What's New?

Readme File

The Readme file included with the C-more Programming Software is a pdf file that provides information on the software version you are currently using, improvements, requirements, and other important and helpful information.

When the C-more Programming Software is installed, a Readme file is included with the installation. To open this file, click on the Windows Start button, then Programs, go to the AutomationDirect folder, then the C-more folder and click on the Readme selection of the drop-down menu. See the figure below for reference.

What's New?

The following Table provides a history of changes made to this Help File. Refer to this history in all correspondences and/or discussions about this Help File.

Version

Date

Description of Change
6.75 01/23/2023
  • Correct various links which opened in new windows
  • CM418 Import a Tag Name Database Correct formatting for
6.74 09/20/2022

  • Correct dead links and links opening in new windows
6.73 04/28/2022
  • CM455 Panel Network - Web Server Setup Update procedure for certificate installation and update figures.
6.72 08/11/2021
  • CM064 - Added Error Code stored in the SYS_ERRrror Code system tag to C-More Panel Error Codes table.
6.71 06/30/2021
  • CM357 - Added note that C-more does not support routing feature of SRTP.
6.70 11/30/2020
  • CM300 - Added Orientation setting and Touch Screen Driver setting.
  • CM637 - New QR Object Topic.
6.60 6/19/2020
  • CM157 - Panel Network - Ethernet Port Setup has been updated with additional security features.

  • CM143 (FAQs) was updated to reflect the total number of alarms that can be displayed at one time in the Alarm List object. The number was changed from 99 to 64.

  • CM470 PTC Errors was updated with error code PTC-029.
  • CM469 GUI Errors was updated with error codes GUI-239-242.

To provide more details on importing Do-more PLC tags, topic CM066 has been divided into two topics:

  • CM066 - AutomationDirect Do-more PLC Importing Tags - Symbolic Memory, and
  • CM120 - AutomationDirect Do-more PLC Importing Tags - Built-in Memory.
6.53 2/26/2020

New topics have been added:

  • CM529 Understanding Allen-Bradley Protocols describes the best use of Allen-Bradley protocols with a C-more PLC.
  • CM631 C-more to Allen-Bradley PLC Optimization provides fundamental knowledge of how and when communications are initiated.
  • CM455 Remote Access Security Best Practices provides methods to use in conjunction with security standards implemented at the C-more installation site.
  • CM636 Siemens Ethernet ISO over TCP/IP (S7-1200 or S7-1500) Setup describes how to configure the S7-1200 or S7-1500 PLC to communicate with the C-more Panel.

CM635 Siemens S7-1200/1500 (Ethernet:ISO over TCP/IP) Addressing table.

  • CM630 C-more Remote HIM App describes how to download the application and get started using it to select a panel for connection, set up communications, and control interactions with the remote C-more panel.
6.50 8/21/2019

The new 'headless' EA9-RHMI C-more HMI does not contain a touch screen from which to access certain functions. However, the HMI uses the same C-more software as our other C-more HMIs that do have integral touch screens. To help set up and program the EA9-RHMI C-more HMI, see the new and updated topics described below.

  • New Topic CM527 Connected Panel Information
  • New Topic CM308 Panel Log Storage Setup
  • New Topic CM079 Tag Import from PAC to C-More
  • New Topic CM523 Importing Tags from the CLICK PLC to C-More
  • New Topic CM133 Importing Control/CompactLogix Predefined Data Types
  • New Topic CM119 Allen-Bradley Importing RSLogix Symbols to C-more
  • New Topic CM128 Allen-Bradley Control/CompactLogix Tags

The following topics were also updated:

  • Topic CM150 FTP Client Setup
  • Topic CM155 Example FTP Connection updated to include TLS selection
  • Topic CM126 Panel Network - Email Client Setup
  • Topic CM156 FTP Service Setup
  • Topic CM157 Panel Network - Ethernet Port updated to include EA-ECOM Support
  • Topic CM455 Panel Network - Web Server Setup
  • TopicCM300 Panel Manager
  • Topic CM496 Screen Selector Object: Screen
6.31 5/2017
  • New Topic CM041 AutomationDirect Do-more Ethernet Drivers added
  • New Topic CM043 AutomationDirect Do-more Ethernet Symbolic (Full Memory) added
  • New Topic CM050 AutomationDirect Do-more Serial Drivers added
  • New Topic CM053 AutomationDirect Do-more Serial Symbolic (Full Memory) added
  • New Topic CM054 AutomationDirect Do-more PLC Importing Tags added
  • New Topic CM055 AutomationDirect Do-more Symbolic Addressing added
  • Update to topic AutomationDirect Do-more Error Codes - Code 0x01 updated
6.30 11/16/2016
  • New Topic CM016 Project Resolution Difference was added.
6.20 6/1/2016
  • Updates to Topic CM132 Ethernet Connection Setup that include new screen captures and minor edits.
  • New Topic CM346 Auto Save and Backup was added.
  • New Topic CM347 A-B Micro800 EtherNet/IP added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM348 A-B Micro800 EtherNet/IP Addressing added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM349 A-B Micro800 EtherNet/IP Tag Import Method added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM351 A-B Micro800 EtherNet/IP Serial added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM355 A-B Micro800 EtherNet/IP Serial Micro800 Addressing added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM356 A-B Micro800 EtherNet/IP Serial Error Codes added to support configuration A-B Micro800 EtherNet/IP CPU.
  • New Topic CM357 GE 90/30 and Rx3i Protocol Setup added to support configuration GE90/30 Rx3i CPU.
  • New Topic CM358 GE 90/30 and Rx3i Protocol Addressing added to support configuration GE90/30 Rx3i CPU.
  • New Topic CM359 GE 90/30 and Rx3i Protocol Error Codes added to support configuration GE90/30 Rx3i CPU.
6.14 12/3/2015
  • Updates to Topic CM501 CLICK Serial Setup that include new screen captures and minor edits.
  • New Topic CM500 CLICK Ethernet Setup was added to support configuration with NEW CLICK Ethernet CPU.
  • Minor updates made to various topics to match new improvements to C-more Software.
6.11 5/20/2015
  • Updates to Topic CM342. CPU Types were updated.
  • Corrections made to Topic CM413. Visible File Names were corrected to reflect a valid year.

6

3/2015

Original Issue


Remote Access Security Best Practices

The following best practices should be used in conjunction with the security standards implemented at the C-more installation site.

Methods used by those with malicious intent get more sophisticated every day. Therefore, Network Security should be considered at every C-more panel installation. Fortunately, new mitigation procedures and technology are becoming available every day.

The list below should be considered as a ‘bare minimum’ set of requirements for protection of the C-more HMI installation and the process and equipment to which it is connected.

Project Protection

Any C-more panel that will be remotely accessible should have the project saved as a Protected Project and this Protected Project should be sent to the panel. When a project is saved as a Protected Project, the project can never be edited by the C-more Programming software, and it can never be read from the panel. This means that if any network security provision fails, the project cannot be compromised by a malicious user. Safeguards should be taken to make sure there is a backup of the editable project as well as a backup of the protected project. It is recommended to create two backups for every version and store them in two separate locations. This subject is discussed in some length within the C-more Programming Software help file under topic CM379 Save Project as Protected.

Exposure of C-more TCP and UDP Port Numbers

In the past, “Port Forwarding” was a common method of allowing the C-more panel applications to be accessible through a router firewall. This process is no longer recommended as it becomes a method of malicious access and exposes applications that could be otherwise protected and hidden. Today, Virtual Private Network (VPN) is a more secure method of remote accessibility.

However, if the application ports must be exposed, consider using a variety of different uncommon external port numbers that are redirected to the correct port numbers within the router's port forwarding table feature. This will make ‘finger printing’ C-more panels on the Internet very difficult.

Security Appliances

It is highly recommended to use a VPN router to remotely access any factory automation products such as C-more panels and PLCs. This prevents the need for exposing application ports directly on the Internet and adds the security of creating an encrypted tunnel for any communications being sent and received. VPN technology has progressed tremendously and is readily available in a variety of form factors, including industrial hardware that can be DIN rail mounted.

Latest Firmware Version

It is always best practice to keep the C-more panel firmware up-to-date with the latest version. New means for hackers to attack networks are introduced by malicious users on a regular basis and mitigation must be added to the products to protect from these attacks. The further behind a product is on updates, the less protection the product has.

The C-more panel firmware is packaged with the software. So in order to keep the latest firmware in the C-more panel, download the latest software and use it to update the firmware in the panel.

Software Update Notifications

You can sign-up for Software update notifications at the links below:

https://support.automationdirect.com/downloads.html#notificationform

Personnel Access

Passwords for the various applications in C-more, such as FTP, HTTP and Remote Access, should only be given to trusted individuals and should be removed or changed if those individuals leave the company.

Defense in Depth

Defense in depth practices should always be used for factory automation products accessible on the Internet.

Security Considerations for Control Systems Networks

Manufacturers are realizing that to stay competitive, their Automation and Control Systems need to be more integrated within their plant. The systems often need to be integrated with upstream Enterprise Data Systems, and even further integrated to allow information to be accessible across multiple plants, or even through the Internet. This convergence of the IT world with the Automation World creates challenges in maintaining secure systems and protecting your investments in processes, personnel, data and intellectual property.

While Automation Networks and Systems have built-in password protection schemes, this is only one very small step in securing your systems. Automation Control System Networks need to incorporate data protection and security measures that are at least as robust as a typical business computer system. We recommend that users of PLCs, HMI products and SCADA systems perform your own network security analysis to determine the proper level of security required for your application. However, the Department of Homeland Security’s National Cybersecurity and Communications Integration Center (NCCIC) and Industrial Control Systems Cyber Emergency Response Team (ICS-CERT) has provided direction related to network security and safety under an approach described as "Defense in Depth”, which is published at https://www.us-cert.gov/sites/default/files/recommended_practices/NCCIC_ICS-CERT_Defense_in_Depth_2016_S508C.pdf

This comprehensive security strategy involves physical protection methods, as well as process and policy methods. This approach creates multiple layers and levels of security for industrial automation systems. Such safeguards include the location of control system networks behind firewalls, their isolation from business networks, the use of intrusion detection systems, and the use of secure methods for remote access such as Virtual Private Networks (VPNs). Further, users should minimize network exposure for all control system devices and such control systems and these systems should not directly face the internet. Following these procedures should significantly reduce your risks both from external sources as well as internal sources, and provide a more secure system.

It is the user’s responsibility to protect such systems, just as you would protect your computer and business systems. AutomationDirect recommends using one or more of these resources in putting together a secure system:

  • ICS-CERT’s Control Systems recommended practices at the following web address: https://ics-cert.us-cert.gov/Recommended-Practices.
  • Special Publication 800-82 of the National Institute of Standards and Technology – Guide to Industrial Control Systems (ICS) Security: https://csrc.nist.gov/publications/detail/sp/800-82/rev-2/final
  • ISA99, Industrial Automation and Control Systems Security https://www.isa.org/isa99/ (please note this is a summary and these standards have to be purchased from ISA ).

The above set of resources provides a comprehensive approach to securing a control system network and reducing risk and exposure from security breaches. Given the nature of any system that accesses the internet, it is incumbent upon each user to assess the needs and requirements of their application, and take steps to mitigate the particular security risks inherent in their control system.

The latest version of the document above can be found at this link: https://support.automationdirect.com/docs/securityconsiderations.pdf


Tutorials

This Help File provides Tutorials to help users get acquainted with the C-more Programming Software. The Tutorials are simple and designed to use some of the features of the software to provide a basic understanding of the software.

The current available Tutorial selections are:

  • Tutorial: Quick Project with Multi-Language Features
  • Tutorial: Simple AC Drive Control Interface

Look for future revisions of this Help File, which will include additional Tutorials...


Tutorial: Quick Project with Multi-Language Features

The purpose of this tutorial is to create a very basic project screen that will provide a sample of the steps required to develop projects to help a user get acquainted with C-more HMI Programming Software features and use. This project also includes the use of the Multi-Language.

For this sample project we will develop a screen that includes an Analog Clock and uses a Set Language system button object to control the Language to be displayed. Please continue to all the steps listed below to develop your sample project:

Step 1:

Start the C-more Programming Software

Find the C-more Icon [image] on the desktop and double click it. The application launches and a Splash Screen like the one shown below appears for seconds while the full program loads.

After a few seconds the program opens and the Main Application Screen is displayed. The program is now ready for use.

Step 2:

Start a Project

  1. From the Quick Project Toolbar, click on the Start a Project button. This opens the Start a Project window shown below. From this window, the Make a New Project button should be selected by default. The selected button will have a light blue frame around it. If not selected, click on Make a New Project.

  2. Click on the Browse button [image] to the right of the Save Location field. This opens the Browse for Folder window shown below.

The default location is the Project folder of the C-more application. However, the user may pick any preferred location by finding another preferred folder using the folder browser and clicking on that folder to select it. Once the folder is selected it will be highlighted in blue. Click on the OK button to accept this selection.

The Browse for Folder window closes and the Start a Project window now displays the selected folder path on the Save Location field.

Step 3:

Enter a Project Name

The default name given by the application will be displayed on the Project Name field of the Start a Project window. You may choose to keep this name or click on the field to change it. For this sample we will type Multi-Lan Sample in the field. A different name may be used if you prefer.

Step 4:

Select C-more Panel Type

From the HMI Type field of the Start a Project window, select your C-more panel from the drop down list. Your panel model is displayed on the HMI Type field.

Step 5:

Select the PLC Connected to the C-more Panel

From the PLC Protocol field of the Start a Project window, click on the drop down list for compatible PLC's that may be used with the C-more panels. Select your PLC model from the list. The selected PLC model should be displayed in the PLC Protocol field.

The Protocol Setup button allows the user to configure the protocol for the respective PLC.

Step 6:

Verify and Accept Entries

Verify that all entries and selections made are correct. If you want to use the Auto Save and Auto Backup options, select the Click Here text located directly above the OK, Cancel, and Help buttons.

Once the entries and selections are confirmed, click on the OK button of the Start a Project window.

Step 7: Set Up Languages

For this project we will use two Languages, English and Spanish. Click on the Setup selection on the Main Menu and select Language.

The Language Setup window shown below opens.

The Language Setup window offers up to nine different languages. The C-more application is pre-configured for English, Spanish, Japanese, and Chinese. Other languages may require additional setup or may be available in future versions.

  1. The Language Setup screen shows that ALL nine language settings for C-more are set to English by default. To setup the English and Spanish languages follow these steps:

  1. For this project we will assume that English is the main language. Since the default language is English, the System Language field for the Language #1should be English. If not, select English from the drop down list.

  2. The Name field for Language #1 default is Language 1. This field may be left as is or you may enter a different name. For this sample project, change the Name to "English". Any Name may be given (i.e., Inglés, Primary, Main).

  3. The default font used for the language settings is Arial. For this project we will choose a different font. Select Arial Bold from the Font drop down list.

  2. Language #1 is now setup. To set the second language follow these steps:

  1. We will assume that Spanish is the secondary language. On the Language #2 System Language field, select Spanish from the System Language drop down list.

  2. In the Name field, change Language 2 to "Spanish". Any name may be given (i.e., Español, Secondary, Second).

  3. The default font used for the language settings is Arial. For this project we will choose a different font. Select Arial Bold from the drop down list.

  3. Since there are no other languages the setup is complete. If more languages were required you would just repeat the steps above for the next language setting. The two edited fields should look like the figure shown below.

Step 8:

Select and Setup the Analog Clock Object

With all setup windows now closed, the project is ready to add objects. From the Object List window located in the upper-right side of the screen, scroll down to the Clock list. For this project we will use the Analog Clock.

Double-click on the Analog Clock selection shown below.

The setup window shown below will be displayed.

To make this sample quick and simple, we will only edit some basic setup features. To learn more on the setup features of this screen, go to More About Analog Clock Setup.

From the Analog Setup screen follow these steps (use figure above as reference):

  1. First, we'll setup the English properties of the clock. Make sure the Language selected is English. If not, click on the Language down arrow [image] and select English.

  2. Next, click on the Label checkbox to activate the Label feature. The default label text is Analog Clock. For this sample we will leave this text for the English setup. This text may be edited by clicking on the field and replacing the existing text with whatever label is preferred.

With the English portion completed, now let's setup the Spanish portion:

  1. Click on the down arrow [image] of the Language Selection and select Spanish from the drop down list. No change will be noticed, but with the Spanish language selected we will be able to edit the Label.

  2. The Label checkbox should be checked already. The default label text is Analog Clock also. If anything else was typed it will show that text as default. For this sample we will type "Reloj Análogo", which is Analog Clock in Spanish. Please note that special characters with accents are being used.

After completing above instructions click on the OK button to close the Analog Clock Setup window and accept all entries.

Note: To use special characters for Spanish words you will need to use the Windows Special Characters entry. The Character Map is always located on the Start > Program Files > Accessories > System Tools > Character Map.

The Work Area now has an Analog Clock object that looks like the figure below. This object may be resized by clicking and dragging the handles as shown in the figure below. Resize the object to your liking now.

Step 9:

Select and Setup the Set Language Objects

The next objects we need to configure are the Set Language buttons. From the Object List, go to System and double-click on the Set Language selection.

The Set Language Setup window shown below will be displayed.

To make this sample quick and simple, we will only edit some basic setup features. To learn more on the setup features of this screen, go to More About Set Language Object.
From the Set Language window follow these steps (use figure above as reference):

  1. First we'll setup the English selection. Make sure the Language selected is English. If not, click on the down arrow [image] and select English.

  2. Next, make sure the Language selected for the Panel Language under the Select Language field is 1 - English. If not, click on the down arrow [image] and select it from the list.

  3. Click on the Text field to overwrite the default Language text on the field. Type the word "English" on this field.

  4. After completing steps a, b, and c, go back to the Language Selection (labeled "a" in figure above) and click on the down arrow [image] and select Spanish.

  5. Next, click on the Text field to overwrite the default Language text on the field. Type the word "Ingles" on this field, which is English in Spanish.

Once these three steps are completed, click on the OK button to close the Set Language window and accept the entries.

Repeat the steps to add another Set Language object and from the Set Language window follow these steps (use figure above as reference):

  1. Click on the Language Selection and select Spanish from the drop down list.

  2. Next, make sure the Language selected for the Panel Language under the Select Language field is 2 - Spanish. If not, click on the down arrow [image] and select it from the list.

  3. Click on the Text field to overwrite the default Language text on the field. Type the word "Español" on this field.

  4. After completing steps a, b, and c, go back to the Language Selection (labeled "a" in figure above) and click on the down arrow [image] and select English.

  5. Next, click on the Text field to overwrite the default Language text on the field. Type the word "Spanish" on this field.

Once these three steps are completed, click on the OK button to close the Set Language window and accept the entries.

Click on each button to resize them and arrange them on the work area so your project will look similar to the figure below.

Step 10:

Select a Static Text Object

The simple project is almost finished but we will add a Static Text Object to put a label over the language selection buttons that will indicate that a language selection can be made with these buttons.

From the Object List go to Text and double-click on the Static Text selection.

The Static Text shown below will be displayed.

To make this sample quick and simple, we will only edit some basic setup features. To learn more on the setup features of this screen, click on the green More About Static Text Object text.

From the Static Text screen follow these steps (use figure above as reference):

  1. Make sure the Language selected is English. If not, click on the down arrow [image] and select English.

  2. Next, click on the Text field. The default text is Static Text. For this sample we will overwrite this text with "Select a Language".

With the English portion completed, now let's setup the Spanish portion:

  1. Click on the down arrow [image] of the Language Selection and select Spanish from the drop down list. No change will be noticed, but with the Spanish language selected, we will be able to edit the Label.

  2. Overwrite the Text window's default text with "Seleccione un Lenguaje", which is Spanish for Select a Language.

After completing the above instructions, click on the OK button to close the Static Text window and accept all entries.

Click on the Static Text object to resize and arrange it on the work area so your project will look similar to the figure below.

Step 11:

Run a Simulation

The simple Multi-Language project is now complete. To test your project, use the built-in Project Simulator. Click on the Simulate Project button on the Quick Project Toolbar. The simulation will be loaded and your initial screen should look similar to this:

Please note the above figure is all in English. Now click on the Spanish button and the screen will change to the one shown below:

Please note that all the information on the screen is in Spanish. You can toggle back and forth from English to Spanish by simply selecting the language buttons.

Another screen that opens during Simulate Project is the Simulation Control window as shown below.

To learn more about this window, go to Learn More about Simulation.

Step 12: Transfer to HMI Panel

Once you are satisfied with the project, it's time to Transfer the project to your Panel. To Transfer the Project, click on the text to open the Send Project to Panel topic.


Tutorial: Simple AC Drive Control Interface

This example project provides a step-by-step guide to creating a simple AC drive control interface.

The purpose of this exercise is to introduce C-more programming software. We do not intend to imply suitability of this project for your particular application.

In this example, a C-more EA7-T8C panel provides the control interface to a GS2 AC drive. The panel communicates with the drive via Modbus RTU protocol.

The project will create:

  • 2 buttons; to control the start/stop of the AC drive and select the direction of rotation.
  • 1 set point button; to control speed.
  • 2 display windows; one for estimated speed and one for current reading.
  • a bitmap image of the process being controlled.

Getting Started

Step 1:

Start the C-more Programming Software

Find the C-more Icon [image] on the desktop and double click it. The software launches and a Splash Screen like the one shown below appears for a few seconds while the program loads.

When the program opens, the Main Application Screen shown below is displayed. The program is now ready for use.

Step 2:

Start a Project

From the Quick Project Toolbar, click on the Start a Project button.

This opens the Start a Project window shown below. From this window, the Make a New Project button should be selected by default. The selected button will have a light blue frame around it. If not selected, click on Make a New Project.

Click on the Browse button [image] to the right of the Save Location field. This opens the Browse for Folder window shown below.

The default location is the Project folder of the C-more application. However, the user may pick any location using the folder browser and clicking on the preferred folder to select it.

Once the folder is selected it will be highlighted in blue. Click on the OK button to accept this selection.

The Browse for Folder window closes and the Start a Project window now displays the selected folder path on the Save Location field.

Step 3:

Enter a Project Name

The default name given by the application will be displayed on the Project Name field of the Start a Project window. You may choose to keep this name or click on the field to change it. For this sample we will type GS2 Control in the field. A different name may be used if you prefer.

Step 4:

Select C-more Panel Type

From the HMI Type field of the Start a Project window, click on the down arrow [image] and select EA7-T8C panel from the drop down list. (Your panel model is displayed on the HMI Type field.)

Step 5:

Select the PLC Protocol

From the PLC Protocol field of the Start a Project window, click on the down arrow [image] for the drop down list of compatible PLC's that may be used with the C-more panels. For this example, select Modicon Modbus RTU from the list. We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers, including a GS Drives driver (AutomationDirect GS Drives Serial). This tutorial configures communication between the GS2 Drive and the C-more panel using the general Modbus driver.

Step6:

Setting Up the PLC Protocol

Click on the Protocol Setup button [image] to open the Panel Manager window for configuring the protocol for the respective PLC.

In the Direct Connection configuration panel, the C-more panel will be configured as PLC Slave Number = 2, Baud Rate = 9600, Parity = ODD, Stop Bit = 1. The remaining parameters will use the default values. Refer to the Protocol Setup topic in this help file for detailed information on each of the protocols available for C-more panel communication.

In our example, these values match the parameters that would have been programmed for the GS2 group 9:

P9.00 => 2 ( slave #)

P9.01 => 01 (transmission speed)

P9.02 => 05 (MODBUS RTU , 8 data bits, Odd parity, 1 stop bit.)

After verifying entries and selections in the Direct Connection panel, click OK in the Panel Manager protocol setup window, then click OK in the Start a Project window.

Step 7:

Setting Device Name

Access the Panel Manager window by clicking on Setup on the main window tool bar and selecting Panel Manager from the drop-down menu.

The Panel Manager window will then be displayed.

Right click on DEV001 and select Rename.

Replace “DEV001” with “GS2”.

Step 8:

Save the Project

Save the project by clicking on File on the main window tool bar and selecting Save Project from the drop-down menu.

Creating Screen Objects

Step 9:

Opening the Pushbutton Window

Select Object on the main window tool bar, then place the cursor over Button on the Object drop-down menu and select Pushbutton from the Button drop-down menu.

The cursor will turn into a cross, making it possible to drag the cursor to draw a rectangle. When this is done, the Pushbutton window will pop up, as shown below:

Step 10: Adding a Tag Name

The Pushbutton window is used to customize the object. In this case, we need to associate the pushbutton with the start/stop command on the GS2. Looking on page 5-8 of the GS2 User Manual, it says that the MODBUS address for parameter P9.27 is 42332.

Use the Tag Name "START/STOP" for this example. Type "START/STOP" in the Tag Name field and then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.

In the Tag Name – Add window, Tag Information section preform the following:

  • Using the down arrow [image], select Device Name "GS2".
  • Using the down arrow [image], select Tag Data Type "Discrete".

The PLC address from the GS2 User Manual is: Memory Type 4, Address 2332 and Bit 0.

In the Tag Name – Add window, PLC Address section perform the following:

  • Using the down arrow [image], select Memory Type "4".
  • Type in an Address of "2332"
  • Using the down arrow [image], select Bit "0".

Click the Add button to save & close the New Tag - Add window and return to the Pushbutton object window.

Step 11: Customizing the On/Off Pushbutton Object

Customize the pushbutton as follows:

  • Click the Label check box and replace the “PUSHBUTTON” text with “Motor”.
  • Replace the OFF text “Off” with “Stopped”.
  • Change the OFF Back Color (in the OFF Text block) to red by clicking on the color button and selecting from the palette.

  • Replace the “On” text with “RUN”.

Click on the OK button to save the Pushbutton object to the project and close the Pushbutton window.

There are a variety of options to create a more effective object for your application: you can change the size of the fonts, as well as the fonts themselves. You may get one condition blinking, etc.

Step 12: Customizing the FWD/REV Pushbutton Object

In order to create the FWD/REV button, you can follow the same procedure (steps 9,10 & 11), customizing it, or simply copy and paste the object just created.

A copy will be performed for this example:

  • Click once on the Motor Pushbutton object and then copy the object using the techniques of Windows (CTRL+C or click on the menu Edit> Copy). This will copy the object to the Clipboard.
  • After coping the Pushbutton object, paste it with one of the techniques of Windows (CTRL+V or click on the menu Edit> Paste). A copy will show up over the existing pushbutton.
  • Drag the new Pushbutton object to the desired position. Then, you can change the data by editing the object. Double click on the new Pushbutton object to open its configuration window.
  • Type over the Tag Name with the new Tag Name "FWD/REV" and then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.
  • Look on page 5-8 of the GS2 User Manual. It says there that the MODBUS address for parameter P9.28 is 42333.
  • Follow the instructions of step 9 to add the new tag using the following information: Device Name = GS2, Tag Data Type = Discrete, Memory Type = 4, Address = 2333, Bit = 0.

  • After the Pushbutton object window is displayed, for the Label, replace the “Motor” text with “FWD/REV”.
  • Replace the OFF text “Stopped” with “REV”.
  • Replace the ON text “RUN” with “FWD”.

Click on the OK button to save the Pushbutton object to the project and close the Pushbutton window.

You can save the project on this stage by clicking the windows Save icon [image] on the menu bar, or by selecting File – Save from the drop-down menu.

Step 13: Customizing the Set Point Button (Numeric Entry Object)

Now we are ready to create the Numeric Entry object, to set the desired motor speed.

Select Object on the main window tool bar, then place the cursor over Entry on the Object drop-down menu and select Numeric Entry from the Entry drop-down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. When this is done, the Numeric Entry window will pop up, as shown below:

From the GS2 User Manual, we find that the GS2 accepts frequency as set point, with an unsigned 16 bit decimal format. This is located on address 42331(Parameter P9.26).

For our tutorial project, we will configure the following fields:

Numeric Entry Window:

General Tab:

    • Click the Label check box and replace the NUMERIC ENTRY default label text with “SET POINT”
    • Display Format: Data Type; Using the down arrow [image], select "Unsigned Decimal".
    • Display Format:Number of Digits; Set Total = 4 and Fractional = 1
    • For Suffix enter “rpm”

Click the Option tab, select Scaling Option check box.

    • For Point1:PLC Value "0" (Hz) will correspond to Display Value "0" (rpm).
    • For Point2:PLC Value "60" (Hz) will correspond to Display Value "1750" (rpm.)

Click the General Tab and for the Data Entry Tag & Data Display Tag: enter "SPEED", then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.

Tag Name - Add Window:

    • Tag Information; Device Name: Using the down arrow [image], select "GS2".
    • Tag Information; Tag Data Type: Using the down arrow [image], select "Unsigned int 16".
    • PLC Address; Memory Type: Using the down arrow [image], select "4".
    • PLC Address; Address: Enter "2331".
    • Click the Add button to save & close the New Tag - Add window and return to the Numeric Entry object window.

Click on the OK button to save the Numeric Entry object to the project and close the Numeric Entry window.

Step 14: Create a Bitmap Object

Now we are ready to create the Bitmap object, good method to put a picture of your machine, or a mimic diagram of your process, or even a logo.

Select Object on the main window tool bar, then place the cursor over Bitmap on the Object drop-down menu and select Static Bitmap from the Bitmap drop-down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. When this is done, the Static Bitmap window will pop up, as shown below:

On the Image box, select the Symbol button [image] to open the available images.

For this tutorial we will use an HVAC, Furnace Bitmap image.

From the Categories list, select "HVAC" and double click on the first image (top left). The Static Bitmap window will popup with the selected image.

Click on the OK button to save the Static Bitmap object to the project and close the Static Bitmap window.

Step 15: Create the Current Display tag (Static Text Object)

Select Object on the Main Window tool bar, then place the cursor over Text on the Object drop-down menu and select Static Text from the Text drop-down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. When this is done, the Static Text window will pop up, as shown below:

In the Text box, replace “STATIC TEXT” with “Current”.Uncheck the Display Frame checkbox.

Open the Back Color: palette and select white for the background.

Select Text Size: of "14".

Click on the OK button to save the Static Text object to the project and close the Static Text window.

Step 16: Create the Current Display Window (Numeric Display Object)

Select Object on the Main Window tool bar, then place the cursor over Indicator on the Object drop-down menu and select Numeric Display from the Indicator drop-down menu.

The cursor will turn into a cross, drag the cursor to form a rectangle. Form a rectangle next to the "Current" Static Text object. When this is done, the Numeric Display window will pop up, as shown below:

For a Data Display Tag type "CURRENT", then press "Enter" (on the keyboard). The Tag Name - Add window will then be displayed.

From the GS2 User Manual we find: Tag Data Type: is Unsigned int 16, Memory Type is 4, Address is 8453

Follow the instructions of step 9 to add the new tag using the following information: Device Name = GS2, Tag Data Type = Unsigned int 16, Memory Type = 4, Address = 8453.

After the Numeric Display object window is displayed:

  • Set the Font & Color;Text Size to 14.
  • Open the Font & Color;Back palette and select "light orange".
  • Using the down arrow [image], select Display Format;Data Type to Signed Decimal,
  • Set Display Format;Number of Digits:Total to 3 and Fractional to 1.
  • Set Display Format;Suffix to “A”

Click on the OK button to save the Numeric Display object to the project and close the Numeric Display window.

Step 17: Creating the Estimated Speed Tag & Display window (Static Text and Numeric Display Objects)

In order to create the Estimated Speed display objects we will copy the Static Text and Numeric Display objects created in steps 15 and 16.

You can copy and paste the Static Text object and the Numeric Display object by selecting both: click outside the boundaries of the 2 objects, (as in the area marked on the figure below), and drag to form a rectangle that will contain and select both objects.

The objects will show small circles on the corners, showing that they are selected.

Then, copy and paste using the Windows Ctrl-C then Ctrl-V (or Edit – Copy then Edit – Paste).

Move the two new objects to a suitable location on the screen.

Step 17a: Editing the Estimated Speed Tag (Static Text Object)

Double click the new Static Text object and replace the “Current” text with “Estimated Speed”.

Click OK to save the changes and close the Static Text window.

Step 17b: Editing the Estimated Speed Display window (Numeric Display Object)

Double click on the new Numeric Entry object and replace the Data Display Tag with "ESTIM SPEED" then press Enter (on the keyboard). The Tag Name - Add window will then be displayed.

From the GS2 User Manual, we find the address to be Memory Type 4, Address 8456.

Follow the instructions of step 9 to add the new tag using the following information: Device Name = GS2, Tag Data Type = Unsigned int 16, Memory Type = 4, Address = 8456.

Click OK to save and close the window, returning to the Numeric Display window.

After the Numeric Display object window is displayed:

  • Set the Font & Color;Text Size to 14.
  • Set Display Format;Number of Digits:Total to 4 and Fractional to 0.
  • Set Display Format;Suffix to “rpm”

Click on the OK button to save the Numeric Display object to the project and close the Numeric Display window.

Step 18: Save Project and Send to Panel

Save the project (see step 8).

To send the project to the panel, click on the Send Project to panel button. The STEP 3 window will then be displayed.

Click the Panel button on the left.

Select USB if the panel is connected to a PC USB port by the USB-CBL-AB15 cable.

Or, select Ethernet if the panel is connected to the PC via Ethernet; select the appropriate panel IP Address.

Click Transfer button. The Transfer to Panel status window will then be displayed until the project transfer is complete.

The C-more Programing Software window will then be displayed with "Transfer OK" and a time value.

Click OK on the C-more Programming Software window.

Click Close on the Step 3 window.

The panel will now provide the interface to the GS2 drive to provide simple control of the motor.


Open Project

Open Project Description

By default, C-more projects are saved to the C:\Users\%USER%\Documents\AutomationDirect\C-more\Project folder; however, you may save projects in a different folder.

To open a project, do one of the following:

  1. Click the Start button on the toolbar and select Read from Disk.

  2. From the File menu select Open Project,
    or
  3. In the top toolbar, double-click the Open Project icon.
    When you click to open a project, the Open window opens.
  4. Browse to the folder containing your projects.
  5. To open a project, double-click its name, or select the filename and click Open.

    Four project file types are available.
  6. To view only files of a certain project type, in the field adjacent to the Filename field, click the file type drop-down arrow and select a file type:

  • .eap : The standard C-more project file type.
  • .epp : The Save Project as Protected file type. A protected project cannot be edited and can only be written to the panel.
  • .eas : The Startup Storage file type stores the project file, panel firmware, panel operating system and logged data as a back-up file. The file is created when doing a backup to a memory device installed on the panel. The file is also created when doing a Project Transfer to an external memory device.

    When backing up on the panel, the Backup feature is accessed through the Main menu of the touch panel. When storing from the PC, use the Project Transfer feature. The .eas file will be stored in an EA-MemoryCopy folder and can be opened using the C-more software.


CLICK Ethernet Setup

Topic: CM500

AutomationDirect CLICK Ethernet Setup

The following information applies to the AutomationDirect CLICK PLCs compatible with C-more Panels.

The C-morepanel is the master when communicating with a CLICK PLC.

CLICK Programming Software Settings

  1. To find the PLC port settings for the CLICK PLC,do one of the following:
    • Open the CLICK Programming Software and from the Setup menu select Com Port Setup as shown below , or

  • From the Navigation window located on the left side of the program click the Function Tab and double-click Com Port1 Setup.

The Com Port Setup Details window opens.

Com Port1 Setup

The IPAddress and TCP Port Number displayed in the CLICK Com Port Setup Details window highlighted and shown below MUST match the IPAddress and PLCPort in the C-more Panel Manager.

CLICK Password Setup

If the CLICK password option is enabled, the Read Data from PLC and Write Data into PLC features in the Password Setup window must NOT be selected.

C-more Panel Manager Settings

To manage Panel Manager settings, :

  1. Do one of the following:
  • From the Main menu, select Setup and then Panel Manager, or

or

  • From the Navigation window, click the Function tab, click Setup and then select Panel Manager, as shown below.

  2. From the Panel Manager window, click on the DEV001 selection on the tree to the left.
    The Device Setup window opens.

  3. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect CLICKEthernet.

Any time you select a different PLC Protocol than the one already displayed, a Warning Message pops up.
  4. Click Yes to accept and the fields for the selected Protocol will be displayed as shown below

Protocol Configuration

Always remember that the IPAddress and PLCPort field values MUST match the field values on the CLICK Programming Software setup explained above.

The fields available are described in the table below.

Panel Manager

Area on Screen

Description

IPAddress

 The IPAddress of the CLICKCPU.Use the CLICK Programming Software to find the IP Address for the CLICKPLC.

PLCPort (0-65535)

 Specifies the destination TCP port number that C-more will send to the CLICK CPU. The default is 502. This number may need to be adjusted for firewall/router purposes.

Registers per Message

 Selects the number of registers to be Read/Written per Message. The default number is 64. If fewer Registers per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Registers allowed in a Read or Write Message. (Our example uses the default of 64.)

Coils per Message

 Selects the number of Coils to be Read/Written per Message. The default number is 64. If fewer Coils per Message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Coils allowed in a Read or Write Message. (Our example uses the default of 64.)

Retries (0-10)

The number of times that the Panel will Retry to send a message if the request does not receive a Reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an Error on the screen and begin trying to send messages again.

Timeout Time (1-255) [100ms]

 The amount of Time (in tenths of a second units) that the C-more panel will wait on a reply after sending a request. Once the Timeout timer expires, it will then retry.

Poll Time (0-30000msec)

The amount of Time (in tenths of a second) that the C-more panel will wait in between each request.

Note: To set the CLICK Time and Date from C-more, refer to the CLICK Help file information on how to change Date/Time from an external device (how to change the Date/Time without using CLICK programming software). The C-more Internal Clock source feature may not be used to set CLICK Date/Time.

Related Topics Link Icon Related Topics


CLICK Modbus Addressing

Topic: CM502

AutomationDirect CLICKModbus Addressing

* Note: For the items referenced in the table below with an Asterisk (*), see the explanation of X and Y Addressing syntax below:

AutomationDirect CLICKModbus Addressing

Mem. Type

Addr Range

Bit Spec

Description

Read/Write Type

Data Type

X

* Module Location

* Point Number

Input Memory

Read Only

Discrete

0 to 8

1 to 16

XD

0 to 8

Input Memory

Read Only

Word

Y

* Module Location

* Point Number

Output Memory

R/W

Discrete

0 to 8

1 to 16

YD

0 to 8

Output Memory

R/W

Word

C

1 to 2000

Internal Bit

R/W

Discrete

T

1 to 500

Timer Complete Bit

R/W

Discrete

TD

1 to 500

Timer Present Value

R/W

Word

CT

1 to 250

Counter Complete Bit

R/W

Discrete

CTD

1 to 250

Counter Present Value

R/W

Double Word

SC

1 to 1000

System Bit

Read Only

Discrete

DS

1 to 4500

Data Register (Signed 16)

R/W

Word

DD

1 to 1000

Data Register (Signed 32)

R/W

Double Word

DH

1 to 500

Data Register (Hex)

R/W

Word

DF

1 to 500

Data Register (Float)

R/W

Double Word

SD

1 to1000

System Register

Read Only

Word

TXT

1 to 1000

Text Register

R/W

Byte

Note: To Set the CLICK Time and Date from C-more, refer to the CLICK Help file information on how to change Date/Time from an external device (how to change the Date/Time without using CLICK programming software.) The C-more Internal Clock source feature may not be used to set CLICK Date/Time.


Modbus Protocol Error Codes

Topic: CM503

AutomationDirect Modbus Error Codes

The following table provides reference information for Error Codes specific to the Modbus protocols:

  • AutomationDirect CLICK
  • AutomationDirect GS Drives
  • AutomationDirect Modbus (Koyo Addressing)
  • AutomationDirect SOLO Temp Controllers
  • Entivity Modbus RTU
  • Entivity Modbus Ethernet (H2WinPLC)
  • Modicon Modbus RTU
  • Modicon Modbus TCP/IP Ethernet

The error message is displayed across the top of the panel screen.

Error Code P499 shows any Errors that are generated by the connected PLC.The P499 Error Message includes a four-digit hexadecimal value displayed at the end of the message. These values, specific to the Modbus protocols, appear in the table below.

To see a link to the C-moreErrors Table, which provides Error Codes specific to the C-more Panel, click the green text.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

Note: When using Automation Direct DirectLogic PLCs: 1. The Mode Switch of the PLC must be in the (TERM) position in order for the C-more Panel to communicate with the PLC. 2. DirectLogic PLCs support Multi-level Password Protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multi-level Password can be invoked by creating a Password with an upper case "A" followed by seven numbers (e.g., A1234567). Please refer to the specific PLC user manual for further details.

Modbus Exception Codes

Error Codes

Name

Meaning

0x0001

ILLEGAL FUNCTION

The function code received in the query is not an allowable action for the server (or slave). This may be because the function code is only applicable to newer devices and was not implemented in the unit selected. It could also indicate that the server (or slave) is in the wrong state to process a request of this type; for example, because it is unconfigured and is being asked to return registered values.

0x0002

ILLEGAL DATA ADDRESS

The data address received in the query is not an allowable address for the server (or slave). More specifically, the combination of reference number and transfer length is invalid. For a controller with 100 registers, the PDU addresses the first register as 0, and the last one as 99. If a request is submitted with a starting register address of 96 and a quantity of registers of 4, then the request will operate successfully (address-wise at least) on registers 96, 97, 98, 99. If a request is submitted with a starting register of 96 and a quantity of registers of 5, then the request will fail with Exception code 0x02 "Illegal Data Address" since it attempts to operate on registers 96, 97, 98, 99 and 100, and there is no register with address 100.

0x0003

ILLEGAL DATA VALUE

A value contained in the query data field is not an allowable value for the server (or slave). This indicates a fault in the structure of the remainder of a complex request, such as that the implied length is incorrect. It specifically does NOT mean that a data item submitted for storage in a register has a value outside the expectation of the application program, since the Modbus protocol is unaware of the significance of any particular value of any particular register.

0x0004

SLAVE DEVICE FAILURE

An unrecoverable error occurred while the server (or slave) was attempting to perform the requested action.


Importing Tags from a CLICK PLC to C-more

Topic: CM523

Importing Tags from the CLICKPLC to C-More

To import Tags from a CLICK PLC project into a C-more project, you are actually importing the Nicknames that are in the CLICK project to the Tag Name Database of the C-more project.

  1. Within the CLICK programming software, click the File menu, select Export and then Nickname.

This creates the CSV file.

  2. Within the C-more programming software, click the File menu, then select Import and Tag Name Database.

  3. Navigate to the folder where you saved the exported CSV in the CLICK software, select the file and click Open.
Once you have selected the CSV file, there are a few options to choose from in the Import Tag Name Database dialog window. Use the information in the table to complete the fields on the screen.

Import Tag Name Database from Excel/CSVFile

Field

Description

File Path

This was automatically populated with the path of the selected file. Do not change unless you intend to select a different file to import.

CSV Format

Leave this set to CLICK.

Device

Choose the appropriate device configured in the Panel Manager to which these imported tags will be assigned.

Append Text

Allows for device- specific text to be added to the tags as they are imported. This is useful for situations where C-more is communicating with multiple systems containing the same tag names.

For example: Machine 1 and Machine 2 both have the tag “Cycle_Start”. When importing Machine 1’s tags, you could place the text “_Machine1” in the Append Text field and then when importing Machine 2’s tags, you could place the text “_Machine2” in the Append Text field and you would have 2 tags that look like this: Cycle_Start_Machine1 and Cycle_Start_Machine2.

Overwrite Existing Tags

This selection will only overwrite those tags of the same name when importing. Select this option when appropriate.


CLICK Serial Setup

Topic: CM501

AutomationDirect CLICK Serial Setup

The following information applies to the AutomationDirect CLICK PLCs compatible with C-more Panels.

The C-more panel is the master when communicating with a CLICK PLC.

CLICK Programming Software Settings

To find the PLC port settings for the CLICK PLC, do the following:

  1. Open the CLICK Programming software.
  2. Do one of the following:
  • From theSetup menu, select Com Port Setup as shown below or

  • From the Navigation window located on the left side of the program click the Function tab, and select either Com Port1 or Com Port2 Setup, also shown below.

Com Port1 Setup

If connecting the C-more Panel to Port1 of the CLICK CPU, match the fixed settings displayed by the CLICK Com Port Setup Details window highlighted and shown below.

Com Port2 Setup

If you are connecting the C-more Panel to Port2 of the CLICK PLC, then the following parameters MUST MATCH the settings displayed by the CLICK Com Port Setup Details window highlighted and shown below.

CLICK Password Setup

If the CLICK password option is enabled, the Read Data from PLC and Write Data into PLC features must NOT be selected.

  3. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect CLICK Serial.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.
  4. Click Yes to accept and the fields for the selected Protocol will be displayed as shown on the applicable figure above.

C-more Panel Manager Settings

To manage Panel Manager settings,

  1. Do one of the following:
  • From the Main menu, select Setup and then Panel Manager, or

or

  • From the Navigation window, click the Function tab, click Setup and then select Panel Manager, as shown below.

  2. From the Panel Manager window, click on the DEV001 selection on the tree to the left.
    The Device Setup window opens.

  3. From PLCProtocol field, click the down arrow and select AutomationDirect CLICKSerial.

Any time you select a different PLCProtocol that the one already displayed, the Warning Message shown below pops up. Click Yes to accept, and the fields for the selected protocol will appear as shown in the figure above.

Protocol Configuration

Use the CLICK Programming Software screen on the top of this page as reference. The fields available for configuration are set by default by the C-more Programming Software but can be modified if needed. Always remember that the field values MUST match the field values on the CLICK Programming Software setup explained above.

CLICK Protocol Configuration

Area on Screen

Description

PLC Slave Number (1-247)

 The Node Address of the PLC port to which the C-more panel will be connected. This number should match the Node Address field for Port 2 of the PLC port connected to the C-more panel. If the C-more panel is connected to Port 1 of the PLC, this number should be 1.

Baud Rate

This setting should match the Baud Rate set in the Baud Rate field for Port 2 of the PLC port to which the C-more panel is connected. If the C-more panel is connected to Port 1 of the PLC, this number should be 38400.

Parity

This setting should match the Parity field for Port 2 of the PLC port that the C-more panel is connected to. If the C-more panel is connected to Port 1 of the PLC, this field should be set to Odd

Stop Bit

Stop Bits are extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)

Control RTS

If Yes is selected, then the C-more panel senses the RTS signal line is being controlled from the PLC port. Also, select Yes if the RS-422 driver signal needs to be turned OFF at the end of transmission. The default is No and is based on connecting to a port with the RTS and CTS signals jumpered together. (Our example uses the default No for this protocol setting.)

Require CTS

 If Yes is selected, then the C-more panel senses the CTS signal line is being controlled from the PLC port. The default is No and is based on connecting to a port with the RTS and CTS signals jumpered together.

Select RS485

 When the C-more panel is communicating to a device using RS-485, select Yes for this protocol setting, otherwise select No. When Yes is selected, the Control RTS setting is forced to Yes for controlling the RS-485 driver.

PLC Protocol

RTU is the only selection available for CLICK.

Registers Per Message

Selects the number of registers to be Read/Written per Message.The default number is 64.If fewer Registers per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Registers allowed in a Read or Write Message.(Our example uses the default of 64.)

Coils Per Message

Selects the number of Coils to be Read/Written per Message. The default number is 64. If fewer Coils per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Coils allowed in a Read or Write Message. (Our example uses the default of 64.)

Timeout (0-255)

 The amount of Time (in tenths of a second units) that the C-more panel will wait on a reply after sending a request. Once the Timeout timer expires, it will then retry.

Poll Time (0-30000 msec)

The amount of Time (in milliseconds) that the C-more panel will wait in between each request.

Note: To set the CLICKTime and Date from C-more, refer to the CLICK Help file topic on how to change Date/Time from an external device (how to change the Date/Time without using CLICK programming software). The C-moreInternal Clock source feature may not be used to set CLICK Date/Time.


AutomationDirect DirectNet (DL05/06/105/205/350/405) Protocol Setup

The AutomationDirect DirectNet (DL05/06/105/205/350/405) protocol is used with Direct LOGIC PLCs DL05 (all models), DL06 (all models), D2-240, D2-250, D2-250-1, D2-260, D3-350, D4-430, D4-440 and D4-450.

Note: The Mode Switch of all DirectLogic PLCs must be in the (TERM) position in order for the C-more Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

C-more Panel Manager Settings

To manage Panel Manager settings,

  1. Do one of the following:
  • From the Main menu, select Setup and then Panel Manager, or

or

  • From the Navigation window, click the Function tab, click Setup and then select Panel Manager, as shown below.

  2. From the Panel Manager window, click on the DEV001 selection on the tree to the left.
    The Device Setup window opens.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

  3. Click Yes

The fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software.The C-more Panel Manager is shown above with the AutomationDirect DirectNet (DL05/06/105/205/350/405) driver selected.

Set Up PLC Comm Port for AutomationDirect DirectNet (DL05/06/105/205/350/405) Using DirectSoft

To set up the PLCComm Port, do the following:

  1. From the DirectSoft programming software, from the Main menu, click the PLC drop-down menu.
  2. Select Setup and then click on Setup Sec. Comm Port.
    It should be noted that in this example, we will be using Port 2 found on such Direct LOGIC PLCs as the DL06, D2-250-1 and D2-260. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available on-line and can be downloaded at www.automationdirect.com.

The Setup Communication Ports window in the Direct SOFT programming software open. Set the protocol settings as shown below for the example. These settings should match the like settings that were done in the C-more Panel Manager.

Note: It is strongly recommended that the Format selection be set for Hex.

  3. Complete the fields on the screen using the information in the table below.

DirectSoft - Setup Communication Ports

Field

Description

Time-out

The PLCTime-out is only used when the PLC is the Master device. The C-more panel is the master when communicating on a DirectNet network.

RTS ON/OFF Delay

  • RTS (Request to Send) is a handshaking signal to notify another device that the asserting device would like to transmit. RTS ON and RTS OFF delay can typically be set to 0 ms for 4-wire networks. For 2-wire networks, the values should be increased to 5 ms and 2 ms respectively. See below.(In our example we are not usingRTSso we have kept the default values of0 msfor bothONandOFFdelays.

            •

    Station Number

    The Station Number is the Slave Number or Address.This is the number that will be polled by the Master (C-more panel) on the network. Slaves can be addressed from 1 through 90 for DirectNet protocol.

    Baud Rate

    The rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps.If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using aBaud Rateof19,200 bps.)

    Stop Bits:

    Extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting.(The example uses a defaultStop Bitof1.)

    Parity

    A low-level form of error checking that counts the number of 1s in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1s in the data packet; either Odd or Even.

    If the number of 1s is Even when Parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network. (Our example usesOdd Parity, which is the default for some of theDirectLOGIC PLC'sfixed ports, such asPort 1on theDL05andDL06 PLCs.)

    Format

    DirectNET protocol requires that the formatselected be Hex or ASCII.In other words, the data represents a Hexadecimal number or an ASCII character. All of the other protocols ignore this parameter. If you want the fastest communication possible, select Hex mode. The same data is twice as long in ASCII format, so it takes longer to transfer. If you have a device on the network that requires ASCII, then choose ASCII mode. ASCII is not usually recommended unless absolutely necessary.(Our example uses aHexformat.)

    Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.

    DirectNet Networking Notes

    The C-more panel acts as the Master when connected to one or more Direct LOGIC PLCs, which become Slave stations. Up to 90 Slave stations can be connected to a single C-more touch panel Master.

    The Master station is addressed as the number Zero (0). The Slave station numbers are addressed as 1 - 90, with the default being 1. The Master communicates with the Slave units using the Direct LOGIC PLC driver, which issues network requests using the Direct NET protocol.


AutomationDirect DirectNet (DL05/06/105/205/350/405) Addressing

Memory Type

Address Range

Bit Specification

Description

Read/Write

Type

Data Type

X

0 to 1777

Input

R/W

Discrete

Y

0 to 1777

Output

R/W

Discrete

C

0 to 3777

Internal Relay

R/W

Discrete

SP

0 to 777

Specific Relay

Read Only

Discrete

T

0 to 377

Timer

Read Only

Discrete

CT

0 to 377

Counter

Read Only

Discrete

S

0 to 1777

Stage

R/W

Discrete

GX

0 to 3777

Remote@Input/Output

R/W

Discrete

GY

0 to 3777

RemoteOutput

R/W

Discrete

V

0 to 377

0 to 15

Timer Present Value

R/W

Discrete

V

0 to 377

Timer Present Value

R/W

Word

V

400 to 677

0 to 15

Data Register

R/W

Discrete

V

400 to 677

Data Register

R/W

Word

V

700 to 777

0 to 15

System Parameter

Read Only

Discrete

V

700 to 777

System Parameter

Read Only

Word

V

1000 to 1377

0 to 15

Counter Present Value

R/W

Discrete

V

1000 to 1377

Counter Present Value

R/W

Word

V

1200 to 7577

0 to 15

Data Register

R/W

Discrete

V

1200 to 7577

Data Register

R/W

Word

V

7600 to 7777

0 to 15

Specific Register

Read Only

Discrete

V

7600 to 7777

Specific Register

Read Only

Word

V

10000 to 37777

0 to 15

Data Register

R/W

Discrete

V

10000 to 37777

Data Register

R/W

Word

V

37000 to 37777

0 to 15

Specific Register

R/W

Discrete

V

37000 to 37777

Specific Register

R/W

Word

V

40000 to 40177

0 to 15

Link Input

R/W

Discrete

V

40000 to 40177

Link Input

R/W

Word

V

40200 to 40377

0 to 15

Link Output

R/W

Discrete

V

40200 to 40377

Link Output

R/W

Word

V

40400 to 40477

0 to 15

Input

R/W

Discrete

V

40400 to 40477

Input

R/W

Word

V

40500 to 40577

0 to 15

Output

R/W

Discrete

V

40500 to 40577

Output

R/W

Word

V

40600 to 40777

0 to 15

Internal Relay

R/W

Discrete

V

40600 to 40777

Internal Relay

R/W

Word

V

41000 to 41077

0 to 15

Stage

R/W

Discrete

V

41000 to 41077

Stage

R/W

Word

V

41100 to 41117

0 to 15

Timer

Read Only

Discrete

V

41100 to 41117

Timer

Read Only

Word

V

41140 to 41157

0 to 15

Counter

Read Only

Discrete

V

41140 to 41157

Counter

Read Only

Word

V

41200 to 41237

0 to 15

Specific Relay

Read Only

Discrete

V

41200 to 41237

Specific Relay

Read Only

Word


AutomationDirect DirectNet (DL05/06/105/205/350/405) Error Codes

Only errors as listed in the Panel Error Code Table can occur when using the AutomationDirect DirectNet (DL05/06/105/205/350/405) Protocol. There are no PLC-generated errors. To view the C-more Panel Error Codes, click the button below.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a password with an uppercase A followed by seven numbers characters (e.g., A1234567). Please refer to the specific PLC user manual for further details.


DirectLogic DirectNet for 330 and 340 Setup

Topic: CM328

AutomationDirect DirectLogic DirectNet for 330 and 340 Setup

The DirectNET for DirectLogic 330 and 340 protocol is used with Direct LOGIC PLCs D3-330 and D3-340.

Note:DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a password with an upper case A followed by seven numbers (e.g., A1234567). Please refer to the specific PLC user manual for further details.

C-more Panel Manager Settings

To manage Panel Manager settings,

  1. Do one of the following:
  • From the Main menu, select Setup and then Panel Manager, or

or

  • From the Navigation window, click the Function tab, click Setup and then select Panel Manager, as shown below.

  2. From the Panel Manager window, click on the DEV001 selection on the tree to the left.
    The Device Setup window opens.

  3. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect DirectNet (DL330/340).
    Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

  3. Click Yes.
    The fields for the selected Protocol will be displayed as shown on the figure above.

Additional device drivers to communicate with the panel can be added using the Panel Manager dialog box. In the example, we have selected a Station Number of 1, a Baud Rate of 19,200, etc. It is important to make sure that the selections for the protocol in the Panel Manager match the selections that we will make in the setup of the PLC's communications port which follows. In the example below, the basic defaults for Parity, Control RTS, Require CTS, Wiring, Timeout and Poll Time are left as shown above.

Setup PLC Comm Port for DirectLogic DirectNet (for DL330/340) Using DirectSoft

To set up the PLCComm Port, do the following:

  1. In the DirectSoft Programming Software, from the Main menu click the PLC drop-down menu.
  2. Select Setup and then Setup Sec. Comm Port.
    In this example, we will use Port 2 on a D3-340 CPU. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available on-line and can be downloaded at www.automationdirect.com.

    The Setup Secondary Communication Port window in the Direct SOFT programming software opens and we will set the protocol settings as shown below for our example. These settings should match the like settings in the C-more Panel Manager.

Note: It is strongly recommended that the Format selection be set for Hex.
  3. Complete the protocol settings using the information in the table below.

Secondary Communication Port Protocol Settings

Field

Description

Baud Rate

The rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems.(The example is shown using a Baud Rate of 19,200 bps.)

Parity

See Chapter 3 in the DirectLogic 305 User Manual, D3-USER-M).

Format:

DirectNET protocol requires that the Format be selected – Hex or ASCII.In other words, the data represents a Hexadecimal number or an ASCII character. All of the other protocols ignore this parameter. If you want the fastest communication possible, select Hex mode. The same data is twice as long in ASCII format, so it takes longer to transfer. If you have a device on the network that requires ASCII, then choose ASCII mode. ASCII is not usually recommended unless absolutely necessary. (Our example uses a Hex format.)

Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.

DirectNet for DL330

The D3-330 requires the use of the D3-232-DCU DL305 communications module. See the user manual D3-DCU-M for dip switch settings.

DirectNet Networking Notes

The C-more Panel acts as the Master when connected to one or more Direct LOGIC PLCs, which become Slave stations. Up to 90 Slave stations can be connected to a single C-more panel Master. The Slave station numbers are addressed as 1-90, with the default being 1. The Master communicates with the Slave units using the Direct LOGIC PLC driver, which issues network requests using the Direct NET protocol.


AutomationDirect DirectNet (DL330/340) Addressing

Memory Type

Address Range

Bit Specification

Description

Read/Write Type

Data Type

IO

0 to 157

Input/Output Point

R/W

Discrete

IO

700 to@767

Input/Output Point

R/W

Discrete

C

160 to 373

Internal Relay

R/W

Discrete

C

374 to 377

Specific Relay

Read Only

Discrete

C

770 to 777

Specific Relay

Read Only

Discrete

C

1000 to 1067

Internal Relay

R/W

Discrete

C

1070 to 1077

Specific Relay

Read Only

Discrete

SR

400 to 577

Shift Register

Read Only

Discrete

600 to 677

Timer/Counter Status Bit

Read Only

Discrete

R

0 to 15

0 to 15

Input/Output Point

R/W

Discrete

R

0 to 15

Input/Output Point

R/W

Word

R

16 to 37

0 to 15

Internal Relay

R/W

Discrete

R

16 to 37

Internal Relay

R/W

Word

R

37

Specific Relay

R/W

Word

R

70 to 76

0 to 15

Input/Output Point

R/W

Discrete

R

70 to 76

Input/Output Point

R/W

Word

R

77

Specific Relay

R/W

Word

R

100 to 106

0 to 15

Internal Relay

R/W

Discrete

R

100 to 106

Internal Relay

R/W

Word

R

107

Specific Relay

R/W

Word

R

400 to 563

Data Word

R/W

Word

R

574 to 577

Specific Register

Read Only

Word

R

600 to 677

Timer/Counter Elapsed Value

R/W

Word

R

700 to 767

Data Word

R/W

Word

R

770 to 777

Specific Register

Read Only

Word

CT

600 to 677

Timer/Counter Status Bit

Read Only

Word

TCA

600 to 677

Timer/Counter Present Value

R/W

Word

CTA

600 to 677

Timer/Counter Present Value

R/W

Word


AutomationDirect DirectNet (DL330/340) Error Codes

Only Errors listed in the Panel Error Code table can occur when using the AutomationDirect Directnet (DL330/340) Protocol. There are no PLC-generated errors. To view the C-more Panel Error Codes, click the button below.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case A followed by seven numbers (e.g., A1234567). Please refer to the specific PLC user manual for further details.


DirectLogic Ethernet to H0/H2/H4 ECOM Modules Setup

Topic: CM329

AutomationDirect DirectLogic Ethernet to H0/H2/H4 ECOM Modules Setup

The DirectLOGIC Ethernet protocol is used with:

  • Direct LOGIC PLCs DL05 (all models)
  • DL06 (all models),
  • D2-240, D2-250, D2-250-1, D2-260, D3-350, D4-430, D4-440 and D4-450 with the addition of an Ethernet Communications Module (ECOM), part numbers H0-ECOM/ECOM100, H2-ECOM/ECOM100 or H4-ECOM/ECOM100.

The C-more panel is the master when communicating with a DirectLOGIC PLC.

Notes: It's important that the IP Address Subnet for the C-more Panel and the PLC ECOM module are the same in order for the two devices to communicate via Ethernet.It is also important for the PC to have the same Subnet in order for it to communicate with both devices.

The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case A followed by seven numbers (e.g., A1234567). Please refer to the specific PLC user manual for further details.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect ECOM Ethernet (DL05/06/205/405).

C-more Panel Manager Settings

To manage Panel Manager settings,

  1. Do one of the following:
  • From the Main menu, select Setup and then Panel Manager, or

or

  • From the Navigation window, click the Function tab, click Setup and then select Panel Manager, as shown below.

  2. From the Panel Manager window, click on the DEV001 selection on the tree to the left.
    The Device Setup window opens.

Note: We will only be able to see the IP Address of the ECOM module if it has been assigned the same Subnet as the Network Interface Card (NIC) that is setup in the PC and they are networked together.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

The following shows the Node List dialog box with the ECOM module highlighted for the PLC ECOM module that we are configuring. Click on the module you want to use to highlight it.

The Module Name and IP Address will automatically be entered into their respective parameter boxes when the Node List dialog box's OK button is clicked. The result is shown below. We have kept the other parameters with their default settings.

Note: The Module Name parameter will import the name that has been assigned for the ECOM module, but the Module Name does not have to be the same as what was assigned for the ECOM module. You can create any name that you prefer.

If the ECOM is not connected and you know the IP Address that has been assigned to the ECOM module, then you can enter that IP Address into the parameter box manually. Before you can click the OK button in the Panel Manager dialog box, you will need to enter a name in the Module Name box. Again, the name does not have to be the same as the module name assigned to the ECOM module, although it allows keeping track of the various devices in your network easier if the names for each module are kept consistent.

In the example, we have selected an IP Address of 192.168.33.3, etc. It is important to make sure that the selections for the protocol in the Panel Manager match the selections that we will make in the setup of the PLC's ECOM module which follows.

Example Setup for the PLC ECOM Port for DirectLOGIC Ethernet

In the DirectSoft Programming Software, under the DSLaunch window, select the NetEdit 3 utility form the Main Menu tree.

Select the ECOM module that we will be using with our C-more touch panel by double clicking on it.

The General Settings dialog box will pop up. It is within this box that we will set our Module ID Number, Name, IP Address and Subnet Mask for our example.

Click OK when finished to accept.

Checking C-more Panel's IP Address

The C-more panel's IP Address can be checked by using the Panel Tab on the C-more Programming Software's Navigation Window shown below, and then selecting Ethernet under the Communication Config dialog at the bottom of the Navigation Window, and then clicking the Browse button.

The Dialog Window shown below will pop up. Identify the panel that you will be communicating with from your PLC. From this window you can also select the C-more panel that you wish to communicate with from your PC.


AutomationDirect ECOM Ethernet (DL05/06/205/405) Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
X | 0 to 1777 |  | Input | R/W | Discrete
Y | 0 to 1777 |  | Output | R/W | Discrete
C | 0 to 3777 |  | Internal Relay | R/W | Discrete
SP | 0 to 777 |  | Specific Relay | Read Only | Discrete
T | 0 to 377 |  | Timer | Read Only | Discrete
CT | 0 to 377 |  | Counter | Read Only | Discrete
S | 0 to 1777 |  | Stage | R/W | Discrete
GX | 0 to 3777 |  | Link Input/Output | R/W | Discrete
GY | 0 to 3777 |  | Link Output | R/W | Discrete
V | 0 to 377 |  | Timer Present Value | R/W | Word
V | 0 to 377 | 0 to 15 | Timer Present Value | R/W | Discrete
V | 400 to 677 |  | Data Register | R/W | Word
V | 400 to 677 | 0 to 15 | Data Register | R/W | Discrete
V | 700 to 777 |  | System Parameter | Read Only | Word
V | 700 to 777 | 0 to 15 | System Parameter | Read Only | Discrete
V | 1000 to 1377 |  | Counter Present Value | R/W | Word
V | 1000 to 1377 | 0 to 15 | Counter Present Value | R/W | Discrete
V | 1200 to 7577 |  | Data Register | R/W | Word
V | 1200 to 7577 | 0 to 15 | Data Register | R/W | Discrete
V | 7600 to 7777 |  | Specific Register | Read Only | Word
V | 7600 to 7777 | 0 to 15 | Specific Register | Read Only | Discrete
V | 10000 to 37777 |  | Data Register | R/W | Word
V | 10000 to 37777 | 0 to 15 | Data Register | R/W | Discrete
V | 37000 to 37777 |  | Specific Register | R/W | Word
V | 37000 to 37777 | 0 to 15 | Specific Register | R/W | Discrete
V | 40000 to 40177 |  | Link Input | R/W | Word
V | 40000 to 40177 | 0 to 15 | Link Input | R/W | Discrete
V | 40200 to 40377 |  | Link Output | R/W | Word
V | 40200 to 40377 | 0 to 15 | Link Output | R/W | Discrete
V | 40400 to 40477 |  | Input | R/W | Word
V | 40400 to 40477 | 0 to 15 | Input | R/W | Discrete
V | 40500 to 40577 |  | Output | R/W | Word
V | 40500 to 40577 | 0 to 15 | Output | R/W | Discrete
V | 40600 to 40777 |  | Internal Relay | R/W | Word
V | 40600 to 40777 | 0 to 15 | Internal Relay | R/W | Discrete
V | 41000 to 41077 |  | Stage | R/W | Word
V | 41000 to 41077 | 0 to 15 | Stage | R/W | Discrete
V | 41100 to 41117 |  | Timer | Read Only | Word
V | 41100 to 41117 | 0 to 15 | Timer | Read Only | Discrete
V | 41140 to 41157 |  | Counter | Read Only | Word
V | 41140 to 41157 | 0 to 15 | Counter | Read Only | Discrete
V | 41200 to 41237 |  | Specific Relay | R/W | Word
V | 41200 to 41237 | 0 to 15 | Specific Relay | R/W | Discrete


AutomationDirect ECOM Ethernet (DL05/06/205/405) Error Codes

Only Errors as listed in the Panel Error Code Table can occur when using the AutomationDirect ECOM Ethernet (DL05/06/205/405) Protocol. There are no PLC generated errors. To view the C-more Panel Error Codes, click the button below.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.


AutomationDirect K-Sequence (DL05/06/105/205/350/405) Protocol Setup

The K-Sequence protocol is used with Direct LOGICPLCsDL05 (all models), DL06 (all models), DL105 (all models), D2-230, D2-240, D2-250, D2-250-1, D2-260, D3-350, D4-430, D4-440 and D4-450.

The K-Sequence protocol can be used to communicate between an operator interface acting as the Master to a PLC network. When using K-Sequence with DirectLogic PLCs, the PLCs cannot be the Master.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings.From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect K-Sequence (DL05/06/105/205/350/405).

AutomationDirect K-Sequence (DL05/06/105/205/350/405) is the default driver selected when DEV001 Panel Manager is selected. Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the AutomationDirect K-Sequence (DL05/06/105/205/350/405) driver selected.

Setup PLC Comm Port for AutomationDirect K-Sequence Using DirectSoft

From the DirectSoft programming software, select the PLC drop-down menu from the Main Menu as shown below, select Setup and then click on Setup Sec. Comm Port.It should be noted that in this example, we will be using Port 2 found on such Direct LOGIC PLCs as the DL06, D2-250-1 and D2-260. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available online and can be downloaded at www.automationdirect.com.

The Setup Communication Ports window in the Direct SOFT programming software will open and we will want to set the protocol settings as shown below for our example. These settings should match the like settings that were done in the C-more Panel Manager.

  1. Time-out: The PLCTime-out is only used when the PLC is the Master device. The C-more panel is the master when communicating on a K-sequence network.

  2. RTS ON/OFF Delay:RTS (Request to Send) is a handshaking signal to notify another device that the asserting device would like to transmit. RTS ON and RTS OFF delay can typically be set to 0 ms for 4-wire networks. For 2-wire networks, the values should be increased to 5 ms and 2 ms respectively. See below.(In our example we are not usingRTSso we have kept the default values of0 msfor bothONandOFFdelays.)

  3. Station Number: The Station Number is the Slave Number or Address. This is the Number that will be polled by the Master (C-more panel) on the network. Slaves can be addressed from 1 through 90 for K-sequence protocol.

  4. Baud Rate:Baud Rate is the rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps.If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using aBaud Rateof19,200 bps.)

  5. Stop Bits:Stop Bits are extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting.(The example uses a defaultStop Bitof1.)

  6. Parity:Parity is a low level form of error checking that counts the number of 1s in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1s in the data packet; either Odd or Even.If the number of 1s is Even when Parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network.(Our example usesOdd Parity, which is the default for some of theDirectLOGIC PLCsfixed ports, such asPort 1on theDL05andDL06 PLCs.)

Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.


AutomationDirect K-Sequencer (DL05/06/105/205/350/405) Addressing

Topic: CM114

AutomationDirect K-Sequence (DL05/06/105/205/350/405) Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
X | 0 to 1777 |  | Input | R/W | Discrete
Y | 0 to 1777 |  | Output | R/W | Discrete
C | 0 to 3777 |  | Internal Relay | R/W | Discrete
SP | 0 to 777 |  | Specific Relay | Read Only | Discrete
T | 0 to 377 |  | Timer | Read Only | Discrete
CT | 0 to 377 |  | Counter | Read Only | Discrete
S | 0 to 1777 |  | Stage | R/W | Discrete
GX | 0 to 3777 |  | Link Input/Output | R/W | Discrete
GY | 0 to 3777 |  | Link Output | R/W | Discrete
V | 0 to 377 |  | Timer Present Value | R/W | Word
V | 0 to 377 | 0 to 15 | Timer Present Value | R/W | Discrete
V | 400 to 677 |  | Data Register | R/W | Word
V | 400 to 677 | 0 to 15 | Data Register | R/W | Discrete
V | 700 to 777 |  | System Parameter | Read Only | Word
V | 700 to 777 | 0 to 15 | System Parameter | Read Only | Discrete
V | 1000 to 1377 |  | Counter Present Value | R/W | Word
V | 1000 to 1377 | 0 to 15 | Counter Present Value | R/W | Discrete
V | 1200 to 7577 |  | Data Register | R/W | Word
V | 1200 to 7577 | 0 to 15 | Data Register | R/W | Discrete
V | 7600 to 7777 |  | Specific Register | Read Only | Word
V | 7600 to 7777 | 0 to 15 | Specific Register | Read Only | Discrete
V | 10000 to 37777 |  | Data Register | R/W | Word
V | 10000 to 37777 | 0 to 15 | Data Register | R/W | Discrete
V | 37000 to 37777 |  | Specific Register | R/W | Word
V | 37000 to 37777 | 0 to 15 | Specific Register | R/W | Discrete
V | 40000 to 40177 |  | Link Input | R/W | Word
V | 40000 to 40177 | 0 to 15 | Link Input | R/W | Discrete
V | 40200 to 40377 |  | Link Output | R/W | Word
V | 40200 to 40377 | 0 to 15 | Link Output | R/W | Discrete
V | 40400 to 40477 |  | Input | R/W | Word
V | 40400 to 40477 | 0 to 15 | Input | R/W | Discrete
V | 40500 to 40577 |  | Output | R/W | Word
V | 40500 to 40577 | 0 to 15 | Output | R/W | Discrete
V | 40600 to 40777 |  | Internal Relay | R/W | Word
V | 40600 to 40777 | 0 to 15 | Internal Relay | R/W | Discrete
V | 41000 to 41077 |  | Stage | R/W | Word
V | 41000 to 41077 | 0 to 15 | Stage | R/W | Discrete
V | 41100 to 41117 |  | Timer | Read Only | Word
V | 41100 to 41117 | 0 to 15 | Timer | Read Only | Discrete
V | 41140 to 41157 |  | Counter | Read Only | Word
V | 41140 to 41157 | 0 to 15 | Counter | Read Only | Discrete
V | 41200 to 41237 |  | Specific Relay | R/W | Word
V | 41200 to 41237 | 0 to 15 | Specific Relay | R/W | Discrete


AutomationDirect K-Sequencer Error Codes

Topic: CM189

AutomationDirect K-Sequence Error Codes

The following Table provides reference information for Error Codes displayed by the C-more Panels. As seen in the Table below, if the Error Code is PLC-499, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the button provided below.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g. A1234567). Please refer to the specific PLC user manual for further details.

PLC Errors for DirectLogic K-Sequence
Error Code | Description
01F8 | Error Setting Value.
020D | Error in Key Mode.
021C | Password Close. (See Note above)


AutomationDirect Modbus (DL05/06/205/350/405) Protocol Setup

The AutomationDirect Modbus (Koyo Addressing) protocol is used with Direct LOGIC PLCs DL05 (all models), DL06 (all models), D2-250, D2-250-1, D2-260, D3-350 and D4-450.

Note: The Mode Switch of all DirectLogic PLCs must be in (TERM) position in order for the C-more Panel to communicate with the PLC. DirectLogic PLCs support Multi-level Password protection of the ladder program. This allows Password protection while not locking the communication port to an operator interface. The Multilevel Password can be invoked by creating a Password with an upper case "A" followed by seven numeric characters (e.g., A1234567). Please refer to the specific PLC user manual for further details.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens. From the Setup drop-down menu, select Panel Manager.

From the Setup drop-down menu, select Panel Manager. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

This is the default PLC device driver name that appears in the C-more Programming Software when first opened. Additional device drivers to communicate with the panel can be added using the Panel Manager dialog box. In the example, we have selected a Station Number of 1, a Baud Rate of 19,200, etc. It is important to make sure that the selections for the protocol in the Panel Manager match the selections that we will make in the setup of the PLC's communications port which follows.

In the example shown below, the basic defaults for Parity, Select RS485, Control RTS, Require CTS, Timeout and Poll Time are left as shown.

The following are the parameters available for configuration:

  1. PLC Slave Number (1-247):
  2. Baud Rate: The rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using a Baud Rate of 19,200 bps.)
  3. Parity: A low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network. (Our example uses Odd Parity, which is the default for some of the Direct LOGIC PLC's fixed ports, such as Port 1 on the DL05 and DL06 PLCs.)
  4. Stop Bits: Extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)
  5. Control RTS: If Yes is selected, then the C-more Panel senses the RTS signal line is being controlled from the PLC port. Also, select Yes if the RS-422 driver signal needs to be turned OFF at the end of transmission. The default is No and is based on connecting to a Modbus port with the RTS and CTS signals jumpered together. (Our example uses the default No for this protocol setting.)
  6. Required RTS: If Yes is selected, then the C-more Panel senses the CTS signal line is being controlled from the PLC port. The default is No and is based on connecting to a Modbus port with the RTS and CTS signals jumpered together. (Our example uses the default No for this protocol setting.)
  7. Selected RTS: When the C-more Panel is communicating to a device using RS-485, select Yes for this protocol setting, otherwise select No. When Yes is selected, the Control RTS setting is forced to Yes for controlling the RS-485 driver. (Our example uses the default No for this protocol setting.)
  8. PLC Protocol:
  9. Registers per Message: Selects the number of registers to be Read/Written per Message. The default number is 64. If fewer Registers per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Registers allowed in a Read or Write Message. (Our example uses the default of 64.)
  10. Coils per Message: Selects the number of Coils to be Read/Written per Message. The default number is 64. If fewer Coils per message are used, this reduces the communication time for a single message and increases the amount of error checking that is done. The number may need to be adjusted for specific controllers that have a limit to the number of Coils allowed in a Read or Write Message. (Our example uses the default of 64.)
  11. Timeout Time: Enter a number that represents a Time in Tenths of a Second that the C-more Panel will wait for communications with the PLC before displaying an error. (Our example uses the default of 30 tenths of a second or 3 seconds.)
  12. Poll Time: Enter a number that represents a Time in msec that the C-more Panel will wait between executing a complete sequence of reads for screen that is displayed. (Our example uses the default time of "0" which produces constant polling.)

Setup PLC Comm Port for AutomationDirect Modbus (Koyo Addressing) Using DirectSoft

From the Direct SOFT programming software, select the PLC drop-down menu from the Main Menu, select Setup and then click on Setup Sec. Comm Port. It should be noted that in this example, we will be using Port 2 found on such Direct LOGIC PLCs as the DL06, D2-250-1 and D2-260. Please refer to the individual user manuals of the particular PLC you are using for descriptions and settings of other communication ports available on the Direct LOGIC PLCs. The user manuals are available on-line and can be downloaded at www.automationdirect.com.

The Setup Communication Ports window in the Direct SOFT programming software will open and we will want to set the protocol settings as shown below for our example. These settings should match the like settings that were done in the C-more Panel Manager.

  1. Time-out is the amount of time the port will wait for a response to a message it sent before it logs an error. It is only used when the PLC is the Master device. Notice the selection is relative to the Base Time-out listed next to each protocol, i.e. for Modbus, Base Time-out x 1 = 500 ms. (In our example, we have kept the default of 500 ms.)
  2. RTS (Request to Send) is a handshaking signal to notify another device that the asserting device would like to transmit. RTS ON and RTS OFF delay can typically be set to 0 ms for 4-wire networks. For 2-wire networks, the values should be increased to 5 ms and 2 ms respectively. See below. (In our example we are not using RTS so we have kept the default values of 0 ms for both ON and OFF delays.)

  3. The Station Number is the Slave Number or Address. This is the number that will be polled by the Master on the network. Typically, this is set to 1 for the Master. Slaves can be addressed from 1 through 90 for Direct NET protocol or 1 through 247 for Modbus protocol, depending on the Slave and CPU. (The example uses the default Station Number 1.)
  4. Baud Rate is the rate at which data is transmitted across the connection in bits per second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems. (The example is shown using a Baud Rate of 19,200 bps.)
  5. Stop Bits are extra Bits which follow the data and parity Bits to mark the end of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. (The example uses a default Stop Bit of 1.)
  6. Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is turned ON or OFF to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting largely depends upon the required settings of the other equipment on the network. (Our example uses Odd Parity, which is the default for some of the Direct LOGIC PLC's fixed ports, such as Port 1 on the DL05 and DL06 PLCs.)
  7. Echo Suppression: In a Half Duplex 2-wire network, the receiver of the transmitting device must be disabled so that data is not Echoed back to the receiver. This is called Echo Suppression. If you selected Modbus as the network protocol, you must select either 4-wire or 2-wire. In effect, this is turning Echo Suppression ON for 2-wire networks and OFF for 4-wire networks and RS-232. (Our example uses the default 4-wire selection.)

Note: The Baud Rate, Stop Bits and Parity must all be the same for every device on the network in order for communications to work properly.


AutomationDirect Modbus (DL05/06/205/350/405) Addressing

Memory Type | Address Range | Bit Specification | Modi-Bus Address Range | Description | Read/Write Type | Data Type
X | 0 to 1777 |  | 12049 to 13072 | Input | Read Only | Discrete
Y | 0 to 1777 |  | 02049 to 03072 | Output | R/W | Discrete
C | 0 to 3777 |  | 03073 to 05120 | Internal Relay | R/W | Discrete
SP | 0 to 777 |  | 13073 to 13584 | Specific Relay | Read Only | Discrete
T | 0 to 377 |  | 06145 to 06400 | Timer | R/W | Discrete
CT | 0 to 377 |  | 06401 to 06656 | Counter | R/W | Discrete
S | 0 to 1777 |  | 05121 to 06144 | Stage | R/W | Discrete
GX | 0 to 3777 |  | 10001 to 12048 | Link Input/Output | Read Only | Discrete
GY | 0 to 3777 |  | 00001 to 02048 | Link Output | R/W | Discrete
V | 0 to 377 | 0 to 15 | 00001 to 02048 | Timer Present Value | R/W | Discrete
V | 0 to 377 |  | 30001 to 30256 | Timer Present Value | R/W | Word
V | 700 to 777 | 0 to 15 | 40449 to 40960 | System Parameter | R/W | Discrete
V | 700 to 777 |  | 40449 to 40960 | System Parameter | R/W | Word
V | 1000 to 1177 | 0 to 15 | 30513 to 30640 | Counter Present Value | R/W | Discrete
V | 1000 to 1177 |  | 30513 to 30640 | Counter Present Value | R/W | Word
V | 1200 to 7577 | 0 to 15 | 40641 to 43968 | Data Register | R/W | Discrete
V | 1200 to 7577 |  | 40641 to 43968 | Data Register | R/W | Word
V | 7600 to 7777 | 0 to 15 | 43841 to 47936 | Specific Register | R/W | Discrete
V | 7600 to 7777 |  | 43841 to 47936 | Specific Register | R/W | Word
V | 10000 to 37777 | 0 to 15 | 44097 to 416384 | Data Register | R/W | Discrete
V | 10000 to 37777 |  | 44097 to 416384 | Data Register | R/W | Word
V | 37000 to 37777 | 0 to 15 | 415873 to 416384 | Specific Register | R/W | Discrete
V | 37000 to 37777 |  | 415873 to 416384 | Specific Register | R/W | Word
V | 40000 to 40177 | 0 to 15 | 10001 to 12048 | Link Input/Output | R/W | Discrete
V | 40000 to 40177 |  | 10001 to 12048 | Link Input/Output | R/W | Word
V | 40200 to 40377 | 0 to 15 | 00001 to 02048 | Link Output | R/W | Discrete
V | 40200 to 40377 |  | 00001 to 02048 | Link Output | R/W | Word
V | 40400 to 40477 | 0 to 15 | 12049 to 13072 | Input | R/W | Discrete
V | 40400 to 40477 |  | 12049 to 13072 | Input | R/W | Word
V | 40500 to 40577 | 0 to 15 | 02049 to 03072 | Output | R/W | Discrete
V | 40500 to 40577 |  | 02049 to 03072 | Output | R/W | Word
V | 40600 to 40777 | 0 to 15 | 03073 to 05120 | Internal Relay | R/W | Discrete
V | 40600 to 40777 |  | 03073 to 05120 | Internal Relay | R/W | Word
V | 41000 to 41077 | 0 to 15 | 05121 to 06144 | Stage | R/W | Discrete
V | 41000 to 41077 |  | 05121 to 06144 | Stage | R/W | Word
V | 41100 to 41117 | 0 to 15 | 06145 to 06400 | Timer | Read Only | Discrete
V | 41100 to 41117 |  | 06145 to 06400 | Timer | Read Only | Word
V | 41140 to 41157 | 0 to 15 | 06401 to 06656 | Counter | Read Only | Discrete
V | 41140 to 41157 |  | 06401 to 06656 | Counter | Read Only | Word
V | 41200 to 41237 | 0 to 15 | 13073 to 13584 | Specific Relay | R/W | Discrete
V | 41200 to 41237 |  | 13073 to 13584 | Specific Relay | R/W | Word


AutomationDirect GS Drives Ethernet Setup

This GS Drive protocol allows C-more to easily and directly access the drive parameters for viewing and/or adjustment over an Ethernet Connection when used in conjunction with a GS-EDRV module.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect GS Drives TCP/IP (GS-EDRV) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Click here to learn more about Connection Through Another Panel.

Note: To find the IP Address for the GS-EDRV, the NetEdit utility will be required and can be obtained at www.automationdirect.com in the Technical Support Free software download area.

After you have downloaded and installed Netedit, open the software and browse the network. You will see the GS-EDRV (as shown in the image below) and can obtain the IP Address and insert this address into the C-more Panel Manager configuration.

Panel Manager Settings

The AutomationDirect GS Drives TCP/IP (GS-EDRV) panel manager window provides the following:

  1. IP Address: This is the IP Address of the GS-EDRV.It can be found using the NetEdit utility.

  2. PLC Port(0-65535): This specifies the destination TCP port number that C-more will send to the GS-EDRV.502 is the standard default. Sometimes this number may need to be adjusted for firewall/router purposes.

  3. PLC Slave Number(0-255): This corresponds with the “Unit ID” number in the protocol header. This number can be set to any value as the GS-EDRV will echo back the value sent. This field may be implemented in the future for gateway/routing purposes.

  4. Register Write Function Code and Coil Write Function Code: These fields are read only and are not accessible.

  5. Retries(0-10): The C-more panel will send a request to the specified device. If the device does not reply within the specified “Timeout Time”, the C-more will send the request again. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen.

  6. Timeout Time(1-255)(in 100ms units): This is the amount of time (in 100ms units) that the panel will wait on a reply after sending a request. After the Timeout timer expires, it will then retry.

  7. Poll Time(0-30000 msec): This is the amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect GS Drives Serial Setup

This GS Drive protocol allows C-more to easily and directly access the drive parameters for viewing and/or adjustment over an RS-485Serial Connection.

C-more Panel Manager Settings

  1. Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect GS Drives Serial selection.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Click here to learn more about Connection Through Another Panel.

Note: To check or change the Serial Communication settings on the GS Drive, go to the faceplate keypad and access the P9.xx Parameters

Three parameters relate to the serial communications settings:

  • P9.00 = Communication Address (Slave Address)
  • P9.01 = Transmission Speed (Baud Rate)
  • P9.02 = Communication Protocol

Panel Manager Settings

  1. PLC Slave Number: This is the Slave Address of the GS Drive. This number should match the value set in ParameterP9.00 of the GS Drive that is connected to C-more.

  2. Baud Rate: The Baud Rate setting should match the Transmission Speed set in ParameterP9.01.

  3. Parity: This setting should match the Parity selected in Parameter P9.02.It is important to note that P9.02 must be set to 3, 4 or 5.Values 00, 01 and 02 will not work with the C-more panel.

  4. Stop Bit: This value should match the Stop Bit selection configured in Parameter P9.02.

  5. Control RTS: If “Yes” is selected in this field, C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters, such as a FA-ISOCON.

  6. Require CTS: If “Yes” is selected in this field, C-more will check to see if the CTS signal has been asserted from the connected device before it will transmit data.

  7. Select RS 485: Select “Yes” for this field if 2 wire RS 485 communications is needed. Along with selecting “Yes” in this field, the SD+ and RD+ must be jumpered along with the SD- and RD- pins. This setting is on by default since the GS Drives use 2 wire RS-485 as their method of serial communication.

  8. PLC Protocol, Register Write Function Code and Coil Write Function Code: These fields are read only and are not accessible.

  9. Timeout time: This is the amount of time (in 100 ms units) that the panel will wait on a reply after sending a request.

  10. Poll Time: This is the amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect GS Drives Addressing

GS Drives Addressing Table

Motor Parameters

Memory Type

Read/Write Type

Data Type

P0.00_MOTOR_VOLT

R/W

Word

P0.01_MOTOR_AMP

R/W

Word

P0.02_MOTOR_BASE_FREQ

R/W

Word

P0.03_MOTOR_BASE_RPM

R/W

Word

P0.04_MOTOR_MAX_RPM

R/W

Word

P0.05_MOTOR_AUTO_DET

R/W

Word

P0.06_MOTOR_RESISTANCE

R/W

Word

P0.07_MOTOR_NOLOAD_CURR

R/W

Word

Ramp Parameters

Memory Type

Read/Write Type

Data Type

P1.00_STOP_METHODS

R/W

Word

P1.01_ACCEL_TIME1

R/W

Word

P1.02_DECEL_TIME1

R/W

Word

P1.03_ACCEL_S_CURV

R/W

Word

P1.04_DECEL_S_CURV

R/W

Word

P1.05_ACCEL_TIME2

R/W

Word

P1.06_DECEL_TIME2

R/W

Word

P1.07_SEL_2ND_ACCEL_METH

R/W

Word

P1.08_ACCEL1_2_FREQ

R/W

Word

P1.09_DECEL2_1_FREQ

R/W

Word

P1.10_SKIP_FREQ1

R/W

Word

P1.11_SKIP_FREQ2

R/W

Word

P1.12_SKIP_FREQ3

R/W

Word

P1.13_SKIP_FREQ4

R/W

Word

P1.14_SKIP_FREQ5

R/W

Word

P1.17_SKIP_FREQ_BAND

R/W

Word

P1.18_DC_INJECT_CURR

R/W

Word

P1.19_DC_INJECT_VOLT_LEV

R/W

Word

P1.20_DC_INJECT_STARTUP

R/W

Word

P1.21_DC_INJECT_STOP

R/W

Word

P1.22_DC_INJECT_START_PT

R/W

Word

Volt/Hertz Parameters

Memory Type

Read/Write Type

Data Type

P2.00_VOLT_HZ_SETT

R/W

Word

P2.01_SLIP_COMP

R/W

Word

P2.02_AUTO_TORQ_BOOST

R/W

Word

P2.03_TORQ_COMP_TIME

R/W

Word

P2.04_MID_PT_FREQ

R/W

Word

P2.05_MID_PT_VOLT

R/W

Word

P2.06_MIN_OUT_FREQ

R/W

Word

P2.07_MIN_OUT_VOLT

R/W

Word

P2.08_PWM_CARR_FREQ

R/W

Word

P2.10_CONTROL_MODE

R/W

Word

Digital Parameters
Memory Type | Read/Write Type | Data Type
P3.00_SOURCE_OP_CMD | R/W | Word
P3.01_MULTI_FNC_DI1_2 | R/W | Word
P3.02_MULTI_FNC_DI3 | R/W | Word
P3.03_MULTI_FNC_DI4 | R/W | Word
P3.04_MULTI_FNC_DI5 | R/W | Word
P3.05_MULTI_FNC_DI6 | R/W | Word
P3.06_MULTI_FNC_DI7 | R/W | Word
P3.07_MULTI_FNC_DI8 | R/W | Word
P3.08_MULTI_FNC_DI9 | R/W | Word
P3.09_MULTI_FNC_DI10 | R/W | Word
P3.10_MULTI_FNC_DI11 | R/W | Word
P3.11_MULTI_FNC_RELAY | R/W | Word
P3.12_MULTI_FNC_DO1 | R/W | Word
P3.13_MULTI_FNC_DO2 | R/W | Word
P3.14_MULTI_FNC_DO3 | R/W | Word
P3.16_DESIRED_FREQ | R/W | Word
P3.17_DESIRED_CURR | R/W | Word
P3.18_PID_DEV_LEVEL | R/W | Word
P3.19_PID_DEV_TIME | R/W | Word
P3.20_DESIRED_FREQ2 | R/W | Word
P3.30_FREQ_OUT_MULTIPLY | R/W | Word
P3.31_2ND_SRC_OP_CMD | R/W | Word
Analog Parameters
Memory Type | Read/Write Type | Data Type
P4.00_SOURCE_FREQ_CMD | R/W | Word
P4.01_FREQ_CMD_OFF_POL | R/W | Word
P4.02_FREQ_CMD_OFFSET | R/W | Word
P4.03_FREQ_CMD_GAIN | R/W | Word
P4.04_FREQ_CMD_REVERSE | R/W | Word
P4.05_LOSS_AI2 | R/W | Word
P4.11_ANALOG_OUT_SIGNAL | R/W | Word
P4.12_ANALOG_OUT_GAIN | R/W | Word
P4.13_2ND_SRC_FREQ_CMD | R/W | Word
P4.14_2ND_FREQ_CMD_OFF_POL | R/W | Word
P4.15_2ND_FREQ_CMD_OFF | R/W | Word
P4.16_2ND_FREQ_CMD_GAIN | R/W | Word
P4.17_TRIM_FREQ_REF | R/W | Word
P4.18_TRIM_MODE_SEL | R/W | Word
Presets
Memory Type | Read/Write Type | Data Type
P5.00_JOG | R/W | Word
P5.01_MULTI_SPEED1 | R/W | Word
P5.02_MULTI_SPEED2 | R/W | Word
P5.03_MULTI_SPEED3 | R/W | Word
P5.04_MULTI_SPEED4 | R/W | Word
P5.05_MULTI_SPEED5 | R/W | Word
P5.06_MULTI_SPEED6 | R/W | Word
P5.07_MULTI_SPEED7 | R/W | Word
P5.08_MULTI_SPEED8 | R/W | Word
P5.09_MULTI_SPEED9 | R/W | Word
P5.10_MULTI_SPEED10 | R/W | Word
P5.11_MULTI_SPEED11 | R/W | Word
P5.12_MULTI_SPEED12 | R/W | Word
P5.13_MULTI_SPEED13 | R/W | Word
P5.14_MULTI_SPEED14 | R/W | Word
P5.15_MULTI_SPEED15 | R/W | Word
Protection Parameters
Memory Type | Read/Write Type | Data Type
P6.00_ELECT_THERM_OL | R/W | Word
P6.01_AUTO_RES_FAULT | R/W | Word
P6.02_MOMENT_PWR_LOSS | R/W | Word
P6.03_REVERSE_INHIBIT | R/W | Word
P6.04_AUTO_VOLT_REGUL | R/W | Word
P6.05_OV_VOLT_STALL_PROT | R/W | Word
P6.06_AUTO_ADJ_ACCELDECEL | R/W | Word
P6.07_OV_TORQ_DET_MODE | R/W | Word
P6.08_OV_TORQ_DET_LEVEL | R/W | Word
P6.09_OV_TORQ_DET_TIME | R/W | Word
P6.10_OV_CURR_STALL_PROT_ACCEL | R/W | Word
P6.11_OV_CURR_STALL_PROT_OP | R/W | Word
P6.12_MAX_PWR_LOSS_TIME | R/W | Word
P6.13_BASE_BLK_TIME_SEARCH | R/W | Word
P6.14_MAX_SEARCH_CURR_LEVEL | R/W | Word
P6.15_UP_BOUND_OUT_FREQ | R/W | Word
P6.16_LO_BOUND_OUT_FREQ | R/W | Word
P6.17_OV_VOLT_STALL_PROT_LEVEL | R/W | Word
P6.18_BRAKE_VOLT_LEVEL | R/W | Word
P6.30_LINE_START_LOCK | R/W | Word
P6.31_PRESENT_FAULT_REC | R/W | Word
P6.32_2ND_FAULT_REC | R/W | Word
P6.33_3RD_FAULT_REC | R/W | Word
P6.34_4TH_FAULT_REC | R/W | Word
P6.35_5TH_FAULT_REC | R/W | Word
P6.36_6TH_FAULT_REC | R/W | Word
PID Parameters
Memory Type | Read/Write Type | Data Type
P7.00_IN_TERM_PID_FEEDBACK | R/W | Word
P7.01_PV_100_VALUE | R/W | Word
P7.02_PID_SP_SOURCE | R/W | Word
P7.03_PID_FEEDBACK_GAIN | R/W | Word
P7.04_PID_SP_OFFSET_POLARITY | R/W | Word
P7.05_PID_SP_OFFSET | R/W | Word
P7.06_PID_SP_GAIN | R/W | Word
P7.10_PID_SP | R/W | Word
P7.11_PID_MULTI_SP1 | R/W | Word
P7.12_PID_MULTI_SP2 | R/W | Word
P7.13_PID_MULTI_SP3 | R/W | Word
P7.14_PID_MULTI_SP4 | R/W | Word
P7.15_PID_MULTI_SP5 | R/W | Word
P7.16_PID_MULTI_SP6 | R/W | Word
P7.17_PID_MULTI_SP7 | R/W | Word
P7.20_PROPORT_CNTRL | R/W | Word
P7.21_INTEGRAL_CNTRL | R/W | Word
P7.22_DERIV_CNTRL | R/W | Word
P7.23_UP_BOUND_INTEG_CNTRL | R/W | Word
P7.24_DERIV_FILTER_TIME | R/W | Word
P7.25_PID_OUT_FREQ_LIMIT | R/W | Word
P7.26_FEEDBCK_SIG_DET_TIME | R/W | Word
P7.27_PID_FEEDBCK_LOSS | R/W | Word
P7.28_PID_FEEDBCK_LOSS_PRE | R/W | Word
Display Parameters
Memory Type | Read/Write Type | Data Type
P8.00_USE_DEF_DISP_FNCT | R/W | Word
P8.01_FREQ_SCALE_FACTOR | R/W | Word
P8.02_BACKLIGHT_TIMER | R/W | Word
Communications Parameters
Memory Type | Read/Write Type | Data Type
P9.00_COMM_ADDRESS | R | Word
P9.01_BAUD_RATE | R | Word
P9.02_COMM_PROTOCOL | R | Word
P9.03_TRANS_FAULT_TREAT | R/W | Word
P9.04_TIMEOUT_DETECT | R/W | Word
P9.05_TIMEOUT_DURATION | R/W | Word
P9.07_PARAM_LOCK | R/W | Word
P9.08_RESTORE_DEFAULT | R/W | Word
P9.11_BLK_TRANSFER_PARAM1 | R/W | Word
P9.12_BLK_TRANSFER_PARAM2 | R/W | Word
P9.13_BLK_TRANSFER_PARAM3 | R/W | Word
P9.14_BLK_TRANSFER_PARAM4 | R/W | Word
P9.15_BLK_TRANSFER_PARAM5 | R/W | Word
P9.16_BLK_TRANSFER_PARAM6 | R/W | Word
P9.17_BLK_TRANSFER_PARAM7 | R/W | Word
P9.18_BLK_TRANSFER_PARAM8 | R/W | Word
P9.19_BLK_TRANSFER_PARAM9 | R/W | Word
P9.20_BLK_TRANSFER_PARAM10 | R/W | Word
P9.21_BLK_TRANSFER_PARAM11 | R/W | Word
P9.22_BLK_TRANSFER_PARAM12 | R/W | Word
P9.23_BLK_TRANSFER_PARAM13 | R/W | Word
P9.24_BLK_TRANSFER_PARAM14 | R/W | Word
P9.25_BLK_TRANSFER_PARAM15 | R/W | Word
P9.26_COMM_SPEED_REF | R/W | Word
P9.27_COMM_RUN_CMD | R/W | Discrete
P9.28_COMM_DIRECT_CMD | R/W | Discrete
P9.29_COMM_EXT_FAULT | R/W | Discrete
P9.30_COMM_RESET_FAULT | R/W | Discrete
P9.31_COMM_JOG_CMD | R/W | Discrete
P9.39_FIRMWARE_REV | R/W | Word
P9.40_PARAM_COPY | R/W | Word
P9.41_GS_SERIES_NUMBER | R | Word
P9.42_MANUF_MODEL_INFO | R | Word
Encoder Feedback Parameters
Memory Type | Read/Write Type | Data Type
P10.00_ENCODER_PPR | R/W | Word
P10.01_ENCODER_TYPE_INPUT | R/W | Word
P10.02_PROPORTION_GAIN | R/W | Word
P10.03_INTEGRAL_GAIN | R/W | Word
P10.04_SPD_CNTRL_OUT_SPEED_LIM | R/W | Word
P10.05_ENCODER_LOSS_DET | R/W | Word
Status Monitor Parameters
Memory Type | Read/Write Type | Data Type
2100_STATUS_MONITOR1 | R | Word
2101_STATUS_MONITOR2 | R | Word
2102_FREQ_COMMAND | R | Word
2103_OUTPUT_FREQ | R | Word
2104_OUTPUT_CURRENT | R | Word
2105_DC_BUS_VOLT | R | Word
2106_OUTPUT_VOLT | R | Word
2107_MOTOR_RPM | R | Word
2108_SCALE_FREQ(LOW) | R | Word
2109_SCALE_FREQ(HIGH) | R | Word
210A_PWR_FACTOR_ANGLE | R | Word
210B_PERCENT_LOAD | R | Word
210C_PID_SETPOINT | R | Word
210D_PID_FEEDBACK | R | Word
2110_FIRMWARE_VER | R | Word


AutomationDirect GS4 Drives Ethernet Setup

The GS4 Drive Modbus TCP/IP Protocol allows C-more to easily and directly access the drive parameters for viewing and/or adjustment over an Ethernet Connection. The GS4-CM-MODTCP module for the GS4 driver is required.

GS4 Drive Settings

The IP address and Subnet Mask for the GS4 Communication Cards can be found in parameters P9.49 – P9.56.

The subnet for the GS4 Communication Card will need to match the subnet of C-more panel.

To read and control the drive, 2 additional parameters will need to be set:

  1. P3.00 – See the GS4 DURApulse drive documentation for details

    • set to 5 for Communication Card, Keypad enabled
    • set to 6 for Communication Card, Keypad disabled

  2. P4.00 – set to 4 for Communication Card - See the GS4 DURApulse drive documentation for details

C-More Panel Manager Settings

To set C-More Panel Manager Settings for the GS4 Ethernet=connected drives, do the following:

  1. From the Setup menu on the main tool bar or from the Function tab, select Panel Manager.

  2. From the Panel Manager window, in the selection tree to the left, click on the DEV001.
    The Device Setup screen of the Panel Manager window opens as shown below.

  3. From the PLC Protocol field, click on the down arrow and select AutomationDirect GS4 Drive TCP/IP (GS4-CM-MODTCP).

Panel Manager Settings

Panel Manager Settings
Field | Description
IP Address | The IP address of the GS4-CM-MODTCP module.
PLC Port | Specifies the destination TCP port number that C-more will send to the GS4. 502 is the standard default. Sometimes this number may need to be adjusted for firewall/router purposes.
PLC Slave Number | Corresponds with the “Unit ID” number in the protocol header. At this point in time, this number can be set to any value as the GS4 will just echo back the value sent. This field may be implemented in the future for gateway/routing purposes.
Register Write Function Code | This field is pre-configured to work with the GS4 drive.
Coil Write Function Code | This field is pre-configured to work with the GS4 drive.
Retries | The C-more panel will send a request to the specified device. If the device does not reply within the specified “Timeout Time,” the C-more panel will send the request again. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen.
Timeout Time | The amount of time (in 100ms units) that the panel will wait on a reply after sending a request. After the Timeout timer expires, it will then retry.
Poll Time | The amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect GS4 Drives Ethernet and Serial Addressing

Topic: CM061

AutomationDirect GS4 Drives Ethernet and Serial Drive Addressing

GS4 Drives Ethernet and Serial Drive Addressing

Motor Parameters

Memory Type

Read/Write Type

Data Type
P0.00_MTR1_MAX_VOLTOUT | R/W | Word
P0.01_MTR1_AMPS_RATED | R/W | Word
P0.02_MTR1_BASE_HZ | R/W | Word
P0.03_MTR1_RPM_RATED | R/W | Word
P0.04_MAX_HZ_OUTPUT | R/W | Word
P0.05_AUTO_TUNE_SEL | R/W | Word
P0.06_MTR1_RESISTANCE | R/W | Word
P0.07_MTR1_NL_AMPS | R/W | Word
P0.08_MTR1_HP_RATED | R/W | Word
P0.09_MTR1_POLES | R/W | Word
P0.10_MTR1/MTR2_SEL | R/W | Word
P0.11_MTR2_MAX_VOLTOUT | R/W | Word
P0.12_MTR2_AMPS_RATED | R/W | Word
P0.13_MTR2_BASE_HZ | R/W | Word
P0.14_MTR2_RPM_RATED | R/W | Word
P0.15_MTR2_RESISTANCE | R/W | Word
P0.16_MTR2_NL_AMPS | R/W | Word
P0.17_MTR2_HP_RATED | R/W | Word
P0.18_MTR2_POLES | R/W | Word
Ramp Parameters
Memory Type | Read/Write Type | Data Type
P1.00_STOP_METHODS | R/W | Word
P1.01_1ST_ACC_TIME | R/W | Word
P1.02_1ST_DEC_TIME | R/W | Word
P1.03_2ND_ACC_TIME | R/W | Word
P1.04_2ND_DEC_TIME | R/W | Word
P1.05_3RD_ACC_TIME | R/W | Word
P1.06_3RD_DEC_TIME | R/W | Word
P1.07_4TH_ACC_TIME | R/W | Word
P1.08_4TH_DEC_TIME | R/W | Word
P1.09_S_CURVE_ACC1 | R/W | Word
P1.10_S_CURVE_DEC1 | R/W | Word
P1.11_S_CURVE_ACC2 | R/W | Word
P1.12_S_CURVE_DEC2 | R/W | Word
P1.13_JOG_ACC_TIME | R/W | Word
P1.14_JOG_DEC_TIME | R/W | Word
P1.15_ACC/DEC_UNIT | R/W | Word
P1.16_ACC/DEC_TRANSSEL | R/W | Word
P1.17_ACC_TRANS_HZ | R/W | Word
P1.18_DEC_TRANS_HZ | R/W | Word
P1.19_SKIP_HZ_UP1_LMT | R/W | Word
P1.20_SKIP_HZ_LO1_LMT | R/W | Word
P1.21_SKIP_HZ_UP2_LMT | R/W | Word
P1.22_SKIP_HZ_LO2_LMT | R/W | Word
P1.23_SKIP_HZ_UP3_LMT | R/W | Word
P1.24_SKIP_HZ_LO3_LMT | R/W | Word
P1.25_DCI_INJECT%LEVEL | R/W | Word
P1.26_DCI_START_TIME | R/W | Word
P1.27_DCI_STOP_TIME | R/W | Word
P1.28_DCI_DEC_HZ | R/W | Word
P1.29_DECEL_METHOD | R/W | Word
Volt/Hertz Parameters
Memory Type | Read/Write Type | Data Type
P2.00_V/HZ_CURVE_MODE | R/W | Word
P2.01_SLIP_COMP_GAIN | R/W | Word
P2.02_TORQ_COMP_GAIN | R/W | Word
P2.03_TORQ_COMP_FILTER | R/W | Word
P2.04_M1_MID_HZ1_OUTPT | R/W | Word
P2.05_M1_MID_V1_OUTPUT | R/W | Word
P2.06_M1_MID_HZ2_OUTPT | R/W | Word
P2.07_M1_MID_V2_OUTPUT | R/W | Word
P2.08_M1_MIN_HZ_OUTPUT | R/W | Word
P2.09_M1_MIN_V_OUTPUT | R/W | Word
P2.10_PWM_CARRIER_KHZ | R/W | Word
P2.11_CONTROL_MODE | R/W | Word
P2.12_M2_MID_HZ1_OUTPT | R/W | Word
P2.13_M2_MID_V1_OUTPUT | R/W | Word
P2.14_M2_MID_HZ2_OUTPT | R/W | Word
P2.15_M2_MID_V2_OUTPUT | R/W | Word
P2.16_M2_MIN_HZ_OUTPUT | R/W | Word
P2.17_M2_MIN_V_OUTPUT | R/W | Word
P2.18_ZERO_SPEED_SEL | R/W | Word
P2.19_START_FREQ | R/W | Word
P2.20_YD_SW_HZ | R/W | Word
P2.21_YD_ENABLE | R/W | Word
P2.22_YD_DELAY | R/W | Word
P2.23_ENERGYSAVEENABLE | R/W | Word
P2.24_ENERGYSAVEGAIN | R/W | Word
P2.25_SLIP_COMP_FILTER | R/W | Word
P2.26_SLIP_DEV_LEVEL | R/W | Word
P2.27_SLIP_DEV_TIME | R/W | Word
P2.28_SLIP_DEV_WARN | R/W | Word
P2.29_HUNTING_GAIN | R/W | Word
Digital Parameters
Memory Type | Read/Write Type | Data Type
P3.00_REM_OPER_SRC | R/W | Word
P3.01_LOC_OPER_SRC | R/W | Word
P3.02_2_3_WIRE_CONTROL | R/W | Word
P3.03_DI1_FUNCTION | R/W | Word
P3.04_DI2_FUNCTION | R/W | Word
P3.05_DI3_FUNCTION | R/W | Word
P3.06_DI4_FUNCTION | R/W | Word
P3.07_DI5_FUNCTION | R/W | Word
P3.08_DI6_FUNCTION | R/W | Word
P3.09_DI7_FUNCTION | R/W | Word
P3.10_DI8_FUNCTION | R/W | Word
P3.11_DI10_FUNCTION | R/W | Word
P3.12_DI11_FUNCTION | R/W | Word
P3.13_DI12_FUNCTION | R/W | Word
P3.14_DI13_FUNCTION | R/W | Word
P3.15_DI14_FUNCTION | R/W | Word
P3.16_DI15_FUNCTION | R/W | Word
P3.17_R1_FUNCTION | R/W | Word
P3.18_R2_FUNCTION | R/W | Word
P3.19_DO1_FUNCTION | R/W | Word
P3.20_DO2_FUNCTION | R/W | Word
P3.21_DO10_FUNCTION | R/W | Word
P3.22_DO11_FUNCTION | R/W | Word
P3.23_DO12_FUNCTION | R/W | Word
P3.24_DO13_FUNCTION | R/W | Word
P3.25_DO14_FUNCTION | R/W | Word
P3.26_DO15_FUNCTION | R/W | Word
P3.27_DO16_FUNCTION | R/W | Word
P3.28_DO17_FUNCTION | R/W | Word
P3.29_DO18_FUNCTION | R/W | Word
P3.30_DO19_FUNCTION | R/W | Word
P3.31_DO20_FUNCTION | R/W | Word
P3.32_FREQ_1_SETPT | R/W | Word
P3.33_FREQ_1_BAND | R/W | Word
P3.34_FREQ_2_SETPT | R/W | Word
P3.35_FREQ_2_BAND | R/W | Word
P3.36_PID_DEV._LEVEL | R/W | Word
P3.37_PID_DEV._TIME | R/W | Word
P3.38_FO_OUT_SCALE | R/W | Word
P3.39_INC/DEC_RAMP | R/W | Word
P3.40_INC/DEC_RATE | R/W | Word
P3.41_DI_DEBOUNCE | R/W | Word
P3.42_DI_NC/NO_CFG | R/W | Word
P3.43_DO_NC/NO_CFG | R/W | Word
P3.44_DRV_CTR_END_DONE | R/W | Word
P3.45_DRV_CTR_MID_DONE | R/W | Word
P3.46_DI_STATUS | R/W | Word
P3.47_DO_STATUS | R/W | Word
P3.48_PLC_DI_MASK | R/W | Word
P3.49_PLC_DO_MASK | R/W | Word
P3.50_SPD_CMD_AT_FAULT | R/W | Word
P3.51_BRAKE_DELAY_TIME | R/W | Word
P3.52_CURRENT_SETPT | R/W | Word
P3.53_OUT_HZ_SETPT | R/W | Word
P3.56_ES&FS_SELECT | R/W | Word
P3.57_HOA_SW_MODE | R/W | Word
P3.58_LOC/REM_SW_MODE | R/W | Word
Analog Parameters
Memory Type | Read/Write Type | Data Type
P4.00_REM_FREQ_SRC | R/W | Word
P4.01_LOC_FREQ_SRC | R/W | Word
P4.02_AI1_FUNCTION | R/W | Word
P4.03_AI2_FUNCTION | R/W | Word
P4.04_AI3_FUNCTION | R/W | Word
P4.05_AI1_V_MA_SEL | R/W | Word
P4.06_AI2_V_MA_SEL | R/W | Word
P4.07_TRIM_REF_FREQ | R/W | Word
P4.08_TRIM_SELECT | R/W | Word
P4.09_AI_REV_BIAS | R/W | Word
P4.10_AI1_BIAS | R/W | Word
P4.11_AI1_POLARITY | R/W | Word
P4.12_AI1_GAIN | R/W | Word
P4.13_AI1_FILTER | R/W | Word
P4.14_RESERVED | R/W | Word
P4.15_AI2_BIAS | R/W | Word
P4.16_AI2_POLARITY | R/W | Word
P4.17_AI2_GAIN | R/W | Word
P4.18_AI2_FILTER | R/W | Word
P4.19_AI3_BIAS | R/W | Word
P4.20_AI3_POLARITY | R/W | Word
P4.21_AI3_GAIN | R/W | Word
P4.22_AI3_GAIN | R/W | Word
P4.23_AI3_FILTER | R/W | Word
P4.24_CUSTOM_V/HZ | R/W | Word
P4.25_AI1_LOW_VOLTS | R/W | Word
P4.26_AI1_LOW_HZ_% | R/W | Word
P4.27_AI1_MID_VOLTS | R/W | Word
P4.28_AI1_MID_HZ_% | R/W | Word
P4.29_AI1_HI_VOLTS | R/W | Word
P4.30_AI1_HI_HZ_% | R/W | Word
P4.31_AI2_LOW_VOLTS | R/W | Word
P4.32_AI2_LOW_HZ_% | R/W | Word
P4.33_AI2_MID_VOLTS | R/W | Word
P4.34_AI2_MID_HZ_% | R/W | Word
P4.35_AI2_HI_VOLTS | R/W | Word
P4.36_AI2_HI_HZ_% | R/W | Word
P4.37_AI3_LOW_VOLTS | R/W | Word
P4.38_AI3_LOW_HZ_% | R/W | Word
P4.39_AI3_MID_VOLTS | R/W | Word
P4.40_AI3_MID_HZ_% | R/W | Word
P4.41_AI3_HI_VOLTS | R/W | Word
P4.42_AI3_HI_HZ_% | R/W | Word
P4.43_AI3_HI_VOLTS | R/W | Word
P4.44_AI3_HI_HZ_% | R/W | Word
P4.45_AI3_MID_VOLTS | R/W | Word
P4.46_AI3_MID_HZ_% | R/W | Word
P4.47_AI3_LOW_VOLTS | R/W | Word
P4.48_AI3_LOW_HZ_% | R/W | Word
P4.50_AO1_SELECT | R/W | Word
P4.51_AO1_GAIN | R/W | Word
P4.52_AO1_NEGATIVEMODE | R/W | Word
P4.53_AO1_MA_SELECT | R/W | Word
P4.54_AO2_SELECT | R/W | Word
P4.55_AO2_GAIN | R/W | Word
P4.56_AO2_NEGATIVEMODE | R/W | Word
P4.57_AO2_MA_SELECT | R/W | Word
P4.58_RESERVED | R/W | Word
P4.59_AO2_BIAS | R/W | Word
P4.60_AO1_OUT_%_LEVEL | R/W | Word
P4.61_AO2_OUT_%_LEVEL | R/W | Word
P4.62_PLC_AO_MASK | R/W | Word
P4.63_AI1_4_20MA_LOSS | R/W | Word
P4.64_AI2_4_20MA_LOSS | R/W | Word
Preset Parameters
Memory Type | Read/Write Type | Data Type
P5.00_JOG_FREQ | R/W | Word
P5.01_MULTI_SPD_1 | R/W | Word
P5.02_MULTI_SPD_2 | R/W | Word
P5.03_MULTI_SPD_3 | R/W | Word
P5.04_MULTI_SPD_4 | R/W | Word
P5.05_MULTI_SPD_5 | R/W | Word
P5.06_MULTI_SPD_6 | R/W | Word
P5.07_MULTI_SPD_7 | R/W | Word
P5.08_MULTI_SPD_8 | R/W | Word
P5.09_MULTI_SPD_9 | R/W | Word
P5.10_MULTI_SPD_10 | R/W | Word
P5.11_MULTI_SPD_11 | R/W | Word
P5.12_MULTI_SPD_12 | R/W | Word
P5.13_MULTI_SPD_13 | R/W | Word
P5.14_MULTI_SPD_14 | R/W | Word
P5.15_MULTI_SPD_15 | R/W | Word
Protection Parameters
Memory Type | Read/Write Type | Data Type
P6.00_THERM_OL1_SELECT | R/W | Word
P6.01_THERM_OL1_TIME | R/W | Word
P6.02_THERM_OL2_SELECT | R/W | Word
P6.03_THERM_OL2_TIME | R/W | Word
P6.04_AUTO_RESTART_QTY | R/W | Word
P6.05_RESET_WINDOW | R/W | Word
P6.06_BB_SPD_SEARCH | R/W | Word
P6.07_STARTUP_SPD_SRCH | R/W | Word
P6.08_MPL_SPD_SEARCH | R/W | Word
P6.09_FWD/REV_INHIBIT | R/W | Word
P6.10_AUTO_V_REGULATE | R/W | Word
P6.11_OV_STALL_TRIP | R/W | Word
P6.12_OV_STALL_MODE | R/W | Word
P6.13_AUTO_ACC/DEC | R/W | Word
P6.14_OVER_TRQ1_MODE | R/W | Word
P6.15_OVER_TRQ1_LEVEL | R/W | Word
P6.16_OVER_TRQ1_TIME | R/W | Word
P6.17_OVER_TRQ2_MODE | R/W | Word
P6.18_OVER_TRQ2_LEVEL | R/W | Word
P6.19_OVER_TRQ2_TIME | R/W | Word
P6.20_OC_IN_ACC_LEVEL | R/W | Word
P6.21_OC_IN_RUN_LEVEL | R/W | Word
P6.22_PWR_LOSS_TIME | R/W | Word
P6.23_BB_SPD_SRCH_TIME | R/W | Word
P6.24_SPD_SRCH_AMPS | R/W | Word
P6.25_HZ_UPPER_LMT | R/W | Word
P6.26_HZ_LOWER_LMT | R/W | Word
P6.27_OV_STALL_LVL | R/W | Word
P6.28_DYN_BRAKE_LEVEL | R/W | Word
P6.29_LINESTARTLOCKOUT | R/W | Word
P6.30_OH_WARN_LVL | R/W | Word
P6.31_COOLING_FAN_CTR | R/W | Word
P6.32_FAN_SPEED | R/W | Word
P6.33_DERATE_METHOD | R/W | Word
P6.34_DUTY_SELECTION | R/W | Word
P6.35_LOW_VOLT_LVL | R/W | Word
P6.36_OC_STALL_SELECT | R/W | Word
P6.37_OC_STALL_LMT | R/W | Word
P6.38_CURRENT_LMT | R/W | Word
P6.39_PTC_WARNING | R/W | Word
P6.40_PTC_LEVEL | R/W | Word
P6.41_PT100_LEVEL1 | R/W | Word
P6.42_PT100_LEVEL2 | R/W | Word
P6.43_PT100_DROPHZ | R/W | Word
P6.44_PT100_DELAY_TIME | R/W | Word
P6.45_OPHL_WARNING | R/W | Word
P6.46_OPHL_DET_TIME | R/W | Word
P6.47_OPHL_AMP_BAND | R/W | Word
P6.48_OPHL_BRAKETIME | R/W | Word
P6.49_IPHL_WARN | R/W | Word
P6.50_GFF_DET_LEVEL | R/W | Word
P6.51_GFF_LPF_GAIN | R/W | Word
P6.52_LOW_AMP_LVL | R/W | Word
P6.53_LOW_AMP_TIME | R/W | Word
P6.54_LOW_AMP_WARNING | R/W | Word
P6.55_FIRE_MODE | R/W | Word
P6.56_FIRE_MODE_FREQ | R/W | Word
P6.57_FIRE_BYPASS | R/W | Word
P6.58_FIRE_BYP_DELAY | R/W | Word
P6.59_FIRE_RST_COUNT | R/W | Word
P6.60_FIRE_RST_TIME | R/W | Word
P6.61_DEB_DECEL_SELECT | R/W | Word
P6.62_DEB_OFFSET_LVL | R/W | Word
P6.63_DEB_DISABLE_VOL | R/W | Word
P6.64_DEB_DELAY_TIME | R/W | Word
P6.65_DWELL_ACC_TIME | R/W | Word
P6.66_DWELL_ACC_FREQ | R/W | Word
P6.67_DWELL_DEC_TIME | R/W | Word
P6.68_DWELL_DEC_FREQ | R/W | Word
P6.69_INPH_LOSS_TIME | R/W | Word
P6.70_IPHL_DC_RIPPLE | R/W | Word
P6.71_STO_LATCH_SEL | R/W | Word
PID Parameters
Memory Type | Read/Write Type | Data Type
P7.00_PID_FBK_SELECT | R/W | Word
P7.02_SETPT_SOURCE | R | Word
P7.03_PID_FBK_GAIN | R/W | Word
P7.04_PID_OFFSET% | R/W | Word
P7.05_KEYPAD_SETPT | R | Word
P7.06_MULTI_SETPT1 | R/W | Word
P7.07_MULTI_SETPT2 | R/W | Word
P7.08_MULTI_SETPT3 | R/W | Word
P7.09_MULTI_SETPT4 | R/W | Word
P7.10_MULTI_SETPT5 | R/W | Word
P7.11_MULTI_SETPT6 | R/W | Word
P7.12_MULTI_SETPT7 | R/W | Word
P7.13_P_TERM | R/W | Word
P7.14_I_TERM | R/W | Word
P7.15_D_TERM | R/W | Word
P7.16_I_UPPER_LMT% | R/W | Word
P7.17_D_FILTER_TIME | R/W | Word
P7.18_PID_OUT_LMT_% | R/W | Word
P7.19_PID_FBK_VALUE | R/W | Word
P7.20_PID_FBK_DET_TIME | R/W | Word
P7.21_PID_FBK_LOSS | R/W | Word
P7.22_PID_FBK_LOSS_SPD | R/W | Word
P7.23_RESERVED | R/W | Word
P7.24_PID_OFFSET_SEL | R/W | Word
P7.25_PID_MODE | R/W | Word
P7.26_PID_REVERSE | R/W | Word
P7.27_SLEEP_SOURCE | R/W | Word
P7.28_WAKE_I_LIMIT | R/W | Word
P7.29_SLEEP_LEVEL | R/W | Word
P7.30_WAKE_LEVEL | R/W | Word
P7.31_SLEEP_TIME | R/W | Word
P7.32_WAKE_DELAY_TIME | R/W | Word
Display Parameters
Memory Type | Read/Write Type | Data Type
P8.00_USER_DISPLAY | R/W | Word
P8.01_START_UP_DISPLAY | R/W | Word
P8.02_USERDEFINEDFRMAT | R/W | Word
P8.03_USER_DEFINED_MAX | R/W | Word
P8.04_USER_DEFINED_ACT | R | Word
P8.05_OUTPUT_HZ_GAIN | R/W | Word
P8.06_PSWD_INPUT | R/W | Word
P8.07_PSWD_SETUP | R/W | Word
P8.08_POWER_ON_COUNTER | R | Word
P8.09_POWER_ON_DAYS | R | Word
P8.10_POWER_ON_MINS | R | Word
P8.11_RUN_MINUTES | R | Word
P8.12_RUN_DAYS | R | Word
P8.13_KEYPAD_COMM_FLT | R/W | Word
P8.14_KEYPAD_TIMEOUT | R/W | Word
P8.20_PLC_BUFFER_1 | R/W | Word
P8.21_PLC_BUFFER_2 | R/W | Word
P8.22_PLC_BUFFER_3 | R/W | Word
P8.23_PLC_BUFFER_4 | R/W | Word
P8.24_PLC_BUFFER_5 | R/W | Word
P8.25_PLC_BUFFER_6 | R/W | Word
P8.26_PLC_BUFFER_7 | R/W | Word
P8.27_PLC_BUFFER_8 | R/W | Word
P8.28_PLC_BUFFER_9 | R/W | Word
P8.29_PLC_BUFFER10 | R/W | Word
P8.30_PLC_BUFFER11 | R/W | Word
P8.31_PLC_BUFFER12 | R/W | Word
P8.32_PLC_BUFFER13 | R/W | Word
P8.33_PLC_BUFFER14 | R/W | Word
P8.34_PLC_BUFFER15 | R/W | Word
P8.35_PLC_BUFFER16 | R/W | Word
P8.36_PLC_BUFFER17 | R/W | Word
P8.37_PLC_BUFFER18 | R/W | Word
P8.38_PLC_BUFFER19 | R/W | Word
P8.39_PLC_BUFFER20 | R/W | Word
Communications Parameters
Memory Type | Read/Write Type | Data Type
P9.00_VFD_ADDRESS | R/W | Word
P9.01_MODBUS_BAUDRATE | R/W | Word
P9.02_MODBUS_PROTOCOL | R/W | Word
P9.03_MODBUS_FAULT_SEL | R/W | Word
P9.04_TIMEOUT_DETECT | R/W | Word
P9.05_TIMEOUT_SECONDS | R/W | Word
P9.06_PARAM_COPY | R/W | Word
P9.07_PARAM_LOCK | R/W | Word
P9.08_PARAM_RESET | R/W | Word
P9.09_BLOCKXFER_1_DATA | R/W | Word
P9.10_BLOCKXFER_2_DATA | R/W | Word
P9.11_BLOCKXFER_3_DATA | R/W | Word
P9.12_BLOCKXFER_4_DATA | R/W | Word
P9.13_BLOCKXFER_5_DATA | R/W | Word
P9.14_BLOCKXFER_6_DATA | R/W | Word
P9.15_BLOCKXFER_7_DATA | R/W | Word
P9.16_BLOCKXFER_8_DATA | R/W | Word
P9.17_BLOCKXFER_9_DATA | R/W | Word
P9.18_BLOCKXFER10_DATA | R/W | Word
P9.19_BLOCKXFER11_DATA | R/W | Word
P9.20_BLOCKXFER12_DATA | R/W | Word
P9.21_BLOCKXFER13_DATA | R/W | Word
P9.22_BLOCKXFER14_DATA | R/W | Word
P9.23_BLOCKXFER15_DATA | R/W | Word
P9.24_BLOCKXFER16_DATA | R/W | Word
P9.26_485_SPEED_REF | R | Word
P9.27_485_RUN_CMD | R/W | Word
P9.28_485_DIR_CMD | R/W | Word
P9.29_485_EXT_FLT_CMD | R/W | Word
P9.30_485_FLT_RST | R/W | Word
P9.31_485_JOG_CMD | R/W | Word
P9.33_RATED_AMPS | R | Word
P9.34_PLC_CMD_MASK | R | Word
P9.35_RESPONSE_DELAY | R/W | Word
P9.37_PLC_ADDRESS | R/W | Word
P9.38_DATE_CODE | R | Word
P9.39_FIRMWARE_VERSION | R | Word
P9.41_GS_SERIES_NUMBER | R | Word
P9.42_GS4_MODEL_ID | R | Word
P9.43_IGNORE_CMCD_WARN | R/W | Word
P9.44_C_CARD_TYPE | R | Word
P9.45_VERSION_C_CARD | R | Word
P9.46_P_CODE_C_CARD | R | Word
P9.47_ERR_CODE_C_CARD | R | Word
P9.48_DHCP_C_CARD | R/W | Word
P9.49_IP_ADDR1_C_CARD | R/W | Word
P9.50_IP_ADDR2_C_CARD | R/W | Word
P9.51_IP_ADDR3_C_CARD | R/W | Word
P9.52_IP_ADDR4_C_CARD | R/W | Word
P9.53_MASKADDR1_C_CARD | R/W | Word
P9.54_MASKADDR2_C_CARD | R/W | Word
P9.55_MASKADDR3_C_CARD | R/W | Word
P9.56_MASKADDR4_C_CARD | R/W | Word
P9.57_GWAYADDR1_C_CARD | R/W | Word
P9.58_GWAYADDR2_C_CARD | R/W | Word
P9.59_GWAYADDR3_C_CARD | R/W | Word
P9.60_GWAYADDR4_C_CARD | R/W | Word
P9.63_RESET_C_CARD | R/W | Word
P9.64_EXT_SET_C_CARD | R/W | Word
P9.65_RESERVED_OF_C_CD | R/W | Word
P9.66_RESERVED_OF_C_CD | R/W | Word
P9.67_RESERVED_OF_C_CD | R/W | Word
P9.68_RESERVED_OF_C_CD | R/W | Word
P9.69_BLOCKXFER_1_ADDR | R/W | Word
P9.70_BLOCKXFER_2_ADDR | R/W | Word
P9.71_BLOCKXFER_3_ADDR | R/W | Word
P9.72_BLOCKXFER_4_ADDR | R/W | Word
P9.73_BLOCKXFER_5_ADDR | R/W | Word
P9.74_BLOCKXFER_6_ADDR | R/W | Word
P9.75_BLOCKXFER_7_ADDR | R/W | Word
P9.76_BLOCKXFER_8_ADDR | R/W | Word
P9.77_BLOCKXFER_9_ADDR | R/W | Word
P9.78_BLOCKXFER10_ADDR | R/W | Word
P9.79_BLOCKXFER11_ADDR | R/W | Word
P9.80_BLOCKXFER12_ADDR | R/W | Word
P9.81_BLOCKXFER13_ADDR | R/W | Word
P9.82_BLOCKXFER14_ADDR | R/W | Word
P9.83_BLOCKXFER15_ADDR | R/W | Word
P9.84_BLOCKXFER16_ADDR | R/W | Word
P9.85_PLC_CMD_FREQ | R/W | Word
P9.86_COM1_PROTOCOL | R | Word
P9.87_BACNET_ADDRESS | R/W | Word
P9.88_BACNET_BAUDRATE | R/W | Word
P9.89_BACNET_DEVICEIDL | R/W | Word
P9.90_BACNET_DEVICEIDH | R/W | Word
P9.91_BACNET_POLL_MAX | R/W | Word
P9.92_BACNET_PWD | R/W | Word
P9.93_TIMEO_SEL_C_CARD | R/W | Word
P9.94_TIMEO_DET_C_CARD | R/W | Word
P9.95_TIMEO_DUR_C_CARD | R/W | Word
Pump Parameters
Memory Type | Read/Write Type | Data Type
P10.00_CIRC_CONTROL | R/W | Word
P10.01_MOTOR_QTY | R/W | Word
P10.02_CIRC_TIME | R/W | Word
P10.03_INCR_DELAY_TIME | R/W | Word
P10.04_DECR_DELAY_TIME | R/W | Word
P10.05_AUX_DELAY_TIME | R/W | Word
P10.06_AUX_START_FREQ | R/W | Word
P10.07_CIRC_ERR_FLT | R/W | Word
P10.08_AUX_STOP_FREQ | R/W | Word
Fault Record Parameters
Memory Type | Read/Write Type | Data Type
P11.00_FAULTOPTION1 | R | Word
P11.01_FAULTOPTION2 | R | Word
P11.02_FAULTOPTION3 | R | Word
P11.03_FAULTOPTION4 | R | Word
P11.04_1ST_FAULT_RECORD | R | Word
P11.05_2ND_FAULT_RECORD | R | Word
P11.06_3RD_FAULT_RECORD | R | Word
P11.07_4TH_FAULT_RECORD | R | Word
P11.08_5TH_FAULT_RECORD | R | Word
P11.09_6TH_FAULT_RECORD | R | Word
P11.10_1ST_FAULT_DAY | R | Word
P11.11_1ST_FAULT_MINUTE | R | Word
P11.12_2ND_FAULT_DAY | R | Word
P11.13_2ND_FAULT_MINUTE | R | Word
P11.14_3RD_FAULT_DAY | R | Word
P11.15_3RD_FAULT_MINUTE | R | Word
P11.16_4TH_FAULT_DAY | R | Word
P11.17_4TH_FAULT_MINUTE | R | Word
P11.18_CMD_FREQ_AT_FLT | R | Word
P11.19_OUT_HZ_AT_FAULT | R | Word
P11.20_OUT_V_AT_FAULT | R | Word
P11.21_DCBUS_AT_FAULT | R | Word
P11.22_OUT_AMPS_AT_FLT | R | Word
P11.23_IGBT_TEMP_AT_FLT | R | Word
P11.24_HTSNK_TEMP_ATFLT | R | Word
P11.25_MTR_RPM_AT_FAULT | R | Word
P11.26_DI_STATUS_AT_FLT | R | Word
P11.27_DO_STATUS_AT_FLT | R | Word
P11.28_DRV_STATUS_ATFLT | R | Word
Command Parameters
Memory Type | Read/Write Type | Data Type
2000_CONTROL_1 | R/W | Word
2001_CONTROL_2 | R/W | Word
2002_CONTROL_3 | R/W | Word
Status Monitor Parameters
Memory Type | Read/Write Type | Data Type
2100_STATUS_MONITOR1 | R | Word
2101_STATUS_MONITOR2 | R | Word
2102_FREQ_COMMAND | R | Word
2103_OUTPUT_FREQ | R | Word
2104_OUTPUT_CURRENT | R | Word
2105_DC_BUS_VOLT | R | Word
2106_OUTPUT_VOLT | R | Word
2107_STEP_NUM | R | Word
2108_ACTIVE_WARNING | R | Word
2109_DI6_COUNTER | R | Word
210A_PWR_FACTOR_ANGLE | R | Word
210B_PERCENT_LOAD | R | Word
210C_MOTOR_RPM | R | Word
2118_ERROR_WARNING | R | Word


AutomationDirect GS4 Drives Serial Setup

The GS4 Drive protocol allows C-more to easily and directly access the drive parameters for viewing and/or adjustment over an RS-485 Serial Connection.

GS4 Drive Settings

To check or change the Serial Communication settings on the GS4 Drive, go to the faceplate keypad and access the P9.xx Parameters. There are three parameters that relate to the serial communications settings:

  1. P9.00 – Communication Address (Slave Address) – this should match the PLC Slave Number in the C-more panel.

  2. P9.01 – Transmission Speed (Baud Rate) – this should match the Baud Rate setting in the C-more panel.

  3. P9.02 – Communication Protocol - this setting contains the protocol (RTU), data bit size, parity and number of stop bits and should match the settings selected in the C-more panel.

    It is important to note that P9.02 must be set to a value between 12 - 17. Values 1 - 11 will not work with the C-more panel.

  4. P9.86 – COM1 Protocol needs to be set to 0 (Modbus 485)

To read and control the drive, two additional parameters will need to be set:

  1. P3.00 - See the GS4 DURApulse drive documentation for details.
  • Set to 3 for RS-485, Keypad enabled
  • Set to 4 for RS-485, Keypad disabled
  2. P4.00 - set to 1 for RS-485 - See the GS4 DURApulse drive documentationfor details.

C-More Panel Manager Settings

To set C-More Panel Manager Settings for the GS4 Serial driver, do the following:

  1. From the Setup menu on the main tool bar or from the Function tab, select Panel Manager.

  2. From the Panel Manager window, in the selection tree to the left, click on the DEV001.
    The Device Setup screen of the Panel Manager window opens as shown below.

  3. From the PLC Protocol field, click on the down arrow and select AutomationDirect GS4 Drive Serial.

Panel Manager Settings

Panel Manager Settings
Field | Description
PLC Slave Number | The Slave Address of the GS4 Drive. This number should match the value set in P9.00 of the GS4 drive.
Baud Rate | The Baud Rate setting should match the Transmission speed set in P9.01.
Parity | This setting should match the Parity selected in Parameter P9.02. It is important to note that P9.02 must be set to a value between 12 - 17. Values 1 - 11 will not work with the C-more panel.
Stop Bit | This value should match the Stop bit selection configured in Parameter P9.02.
Control RTS | If Port 1 is selected on the C-more, set to No. For Port 2 these parameters are already pre-configured to work with the GS4 drive.
Require CTS | If Port 1 is selected on the C-more, set to No. For Port 2 these parameters are already pre-configured to work with the GS4 drive.
Select RS 485 | If Port 1 is selected on the C-more, set to Yes. For Port 2 these parameters are already pre-configured to work with the GS4 drive.
Registers Per Message | These parameters are already pre-configured to work with the GS4 drive.
Coils Per Message | These parameters are already pre-configured to work with the GS4 drive.
Timeout time | This is the amount of time (in milliseconds) that the panel will wait on a reply after sending a request.
Poll Time | This is the amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect GS4 PLC Serial Setup

The GS4 Drive protocol allows C-more to easily and directly access the PLC memory areas for viewing and/or adjustment over an RS-485 Serial Connection.

GS4 Drive Settings

To check or change the Serial Communication settings on the GS4 Drive, go to the faceplate keypad and access the P9.xx Parameters. There are three parameters that relate to the serial communications settings:

    1. P9.37 – PLC Slave Address (Note: that this is not the same address as the drive in P9.00). This should match the PLC Slave Number in the C-more panel.

    2. P9.01 – Transmission Speed (Baud Rate). This should match the Baud Rate setting in the C-more panel.

    3. P9.02 – Communication Protocol - This setting contains the protocol (RTU), data bit size, parity and number of stop bits and should match the settings selected in the C-more panel.

    4. P9.86 – COM1 Protocol needs to be set to 0 (Modbus 485).

    • C-More Panel Manager Settings

    To set C-More Panel Manager Settings for the GS4 PLC Serial drive, do the following:

    1. From the Setup menu on the main tool bar or from the Function tab, select Panel Manager.

    2. From the Panel Manager window, in the selection tree to the left, click on the DEV001.
      The Device Setup screen of the Panel Manager window opens as shown below.

    3. From the PLC Protocol field, click on the down arrow and select AutomationDirect GS4 PLC Serial selection.

    Panel Manager Settings

    Panel Manager Settings
Field | Description
PLC Slave Number | The Slave Address of the GS4 PLC. This number should match the value set in P9.37 of the GS4 drive that is connected to C-more.
Baud Rate | The Baud Rate setting should match the Transmission speed set in P9.01.
Parity | This setting should match the Parity selected in Parameter P9.02. It is important to note that P9.02 must be set to a value between 12 - 17. Values 1 - 11 will not work with the C-more panel.
Stop Bit | This value should match the Stop bit selection configured in Parameter P9.02.
Control RTS | If Port 1 is selected on the C-more, set to No. For Port 2 these parameters are already pre-configured to work with the GS4 drive.
Require CTS | If Port 1 is selected on the C-more, set to No. For Port 2 these parameters are already pre-configured to work with the GS4 drive.
Select RS 485 | If Port 1 is selected on the C-more, set to Yes. For Port 2 these parameters are already pre-configured to work with the GS4 drive.
Registers Per Message | These parameters are already pre-configured to work with the GS4 drive.
Coils Per Message | These parameters are already pre-configured to work with the GS4 drive.
Timeout Time | This is the amount of time (in milliseconds) that the panel will wait on a reply after sending a request.
Poll Time | This is the amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect GS4 Drives PLC Serial Addressing

Topic: CM063

AutomationDirect GS4 PLC Serial Driver Addressing Table

GS4 PLC Serial Driver Addressing

Memory Type

Address Range

Description

Read/Write Type

Data Type
X

0 - 17 (Octal)

Input

 R Discrete
Y

0 - 17 (Octal)

Output

 R Discrete
T

0 - 159

Timer Current

 R/W Word
T.DN

0 - 159

Timer Done

 R/W Discrete
C

0 - 79

Counter Current

 R/W Word
C.DN

0 - 79

Counter Done

 R/W Discrete
M

0 - 799

Internal Bit

 R/W Discrete
M

1000 - 1079

Special Bit

 R Discrete
D

0 - 399

Internal Word

 R/W Word
D

1000 - 1109

Special Words

 R Word


AutomationDirect Do-more Ethernet Drivers

Two Ethernet drivers are available in C-more for the Do-more series PLCs:

  • AutomationDirect Do-more Ethernet (Built-in memory)
  • AutomationDirect Do-more Ethernet Symbolic Addressing (Full memory)

Your specific application will determine the best driver to use.

  • For 'most' applications, the Symbolic Addressing driver will be the best choice. With this driver, all memory addresses in the PLC are available. However, the Symbolic Addressing driver is a bit less efficient than the Built-in memory driver. The performance should be sufficient for the majority of applications.
  • For very complicated or large applications, the Built-in memory driver may be a better choice since it is a more efficient driver but the memory is limited to Built-in Memory blocks only.

Both drivers may be used simultaneously. Use the Built-in memory driver for all of the default memory addresses and use a Symbolic Addressing driver for any user- added memory. The two drivers can even co-exist for one PLC in the C-more project.


AutomationDirect Do-more Ethernet

Topic: CM303

AutomationDirect Do-more Ethernet (Built-in Memory)

The following information applies to AutomationDirect Do-more PLCs compatible with C-more Panels.

C-more Panel Manager Settings

  1. Access the Panel Manager by selecting from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

  2. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect Do-more Ethernet selection.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Note: Connection through another panel is not available when using the Do-more driver.

Panel Manager Settings

  1. IP Address: The IP Address of the Do-more CPU. Use the Do-more Designer software or the NetEdit utility to find the IP address for the Do-more PLC. See below for details.

  2. Password: If the Do-more CPU has a password, it will be necessary to enter the password into this field in order to access the PLC.

Note: The Privileges for the password entered must at least have “Read Data – RD” and “Write Data – WD” selected in order to work correctly with C-more. See the image below.

  3. Retries (0-10): The C-more Panel will send a request to the Do-more CPU. If the CPU does not reply within the specified “Timeout Time”, the C-more will send the request again. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen.

  4. Ack Timeout Time( 1-255) (in 100ms units): The amount of time (in 100ms units) the panel will wait on an Ackreply after sending a request. After the Timeout timer expires, a Retry will be attempted if specified.

  5. Command Timeout Time( 1-255) (in 100ms units): The amount of time (in 100ms units) the panel will wait on the Command reply sending a command. After the Timeout timer expires, a Retry will be attempted if specified.

  6. Poll Time (0-30000 msec): The amount of time (in milliseconds) the panel will wait between each request.

  7. Memory version: A display only field that indicates the Do-more Memory version that this version of C-more supports. It should match the Memory Version of the Do-more CPU in order to reliably read and write data If they do not match, an error will be indicated on the C-more panel display. Either the C-more programming software and firmware version or the Do-more firmware version will need to be upgraded in order for both to reliably communicate to each other. The Do-more Memory version can be viewed by entering in DST24 into a Data View window of the Do-more Designer software while connected to the CPU (shown below).

Finding IP Address Using NetEdit

Download the NetEdit software from http://support.automationdirect.com/downloads.html .

Open NetEdit and click Scan Network. A list of any available modules will appear. Double click on the Do-more CPU and the General Settings dialog will open showing the IP Address of the Do-more CPU. Insert this IP Address into the C-more Panel Manager configuration.

Finding IP Address using Do-more Designer

Once you have connected to the Do-more CPU with the Do-more Designer software, click the Info button in the toolbar.

You will see the IP address settings at the bottom of the Info window.


AutomationDirect Do-more Addressing

Topic: CM305

AutomationDirect Do-more PLC Addressing

Note: Add-on Memory blocks and heap items are not supported in C-more. Only the Default/Out of the box memory types are supported.

*Ensure that all addresses outside the default range are properly defined in the Do-more project. Do-more will respond to C-more requests for data of addresses not defined in the Do-more project with incorrect data.

**Items in Bold should be default C-more Data Type to use when Importing.

System ID

Address Range *

Bit Spec

Struct Member

Description

Read/Write

C-more Data Type **

ST

0 - 65535

System Bits

R/W

Discrete

DST

0 - 65535

System Double Words

R/W

Signed int 32

SDT

0 - 65535

System Date/Time Structure

.Date

Year, Month, Day combined

Read Only

Signed int 32

.Year

Year

Read Only

Unsigned int 16 (with Hex option in objects)

.Month

Month

Read Only

Unsigned int 16 (with Hex option in objects)

.Day

Day

Read Only

Unsigned int 16 (with Hex option in objects)

.Time

Day of Week, Hour, Minute, Second combined

Read Only

Signed int 32

.DayofWeek

Day of the Week

Read Only

Unsigned int 16 (with Hex option in objects)

.Hour

Hour

Read Only

Unsigned int 16 (with Hex option in objects)

.Minute

Minute

Read Only

Unsigned int 16 (with Hex option in objects)

.Second

Second

Read Only

Unsigned int 16 (with Hex option in objects)

X

0 - 65535

Discrete Inputs

R/W

Discrete

Y

0 - 65535

Discrete Outputs

R/W

Discrete

WX

0 - 65535

Analog Inputs

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

WY

0 - 65535

Analog Outputs

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

C

0 - 65535

Internal Bits

R/W

Discrete

V

0 - 65535

Internal Unsigned Integer 16

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Internal Unsigned Integer 16 bit of word

R/W

Discrete

N

0 - 65535

Internal Signed Integer 16

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Internal Signed Integer 16 bit of word

R/W

Discrete

D

0 - 65535

Internal Signed Integer 32

R/W

Signed int 32, Unsigned int 32, BCD int 32

0 - 31

Internal Signed Integer 32 bit of word

R/W

Discrete

R

0 - 65535

Internal Floating point 32

R/W

Floating Pt 32

T

0 - 65535

Timer Structure

.Done

Timer done bit

Read Only

Discrete

.Zero

Timer accumulator is at 0

Read Only

Discrete

.Timing

Timer is timing

Read Only

Discrete

.Reset

Timer is reset

Read Only

Discrete

.ACC

Timer accumulator value

R/W

Signed int 32

CT

0 - 65535

Counter Structure

.Done

Counter done bit (counting up)

Read Only

Discrete

.Zero

Counter accumulator is at 0

Read Only

Discrete

.Reset

Counter is reset

Read Only

Discrete

.DnDone

Counter done bit (counting down)

Read Only

Discrete

.ACC

Counter accumulator value

R/W

Signed int 32

SS

0 - 65535

Short String (64 chars)

R/W

ASCII String

SL

0 - 65535

Long String (128 chars)

R/W

ASCII String

UDT

0 - 65535

User Date/Time Structure

R/W

.Date

Year, Month, Day combined

R/W

Signed int 32

.Year

Year

R/W

Unsigned int 16 (with Hex option in objects)

.Month

Month

R/W

Unsigned int 16 (with Hex option in objects)

.Day

Day

R/W

Unsigned int 16 (with Hex option in objects)

.Time

Day of Week, Hour, Minute, Second combined

R/W

Signed int 32

.DayofWeek

Day of the Week

R/W

Unsigned int 16 (with Hex option in objects)

.Hour

Hour

R/W

Unsigned int 16 (with Hex option in objects)

.Minute

Minute

R/W

Unsigned int 16 (with Hex option in objects)

.Second

Second

R/W

Unsigned int 16 (with Hex option in objects)

PL

0 - 65535

Peer Link data word

R/W

Unsigned int 16 (with Hex option in objects)

0 - 15

Peer Link data word bit of word

R/W

Discrete

DLX

0 - 177777 (Octal)

DL Server Input Bits

R/W

Discrete

DLY

0 - 177777 (Octal)

DL Server Output Bits

R/W

Discrete

DLC

0 - 177777 (Octal)

DL Server Internal Bits

R/W

Discrete

DLV

0 - 177777 (Octal)

DL Server Internal Unsigned Integer 16

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

DL Server Internal Unsigned Integer 16 bit of word

R/W

Discrete

MI

0 - 65535

Modbus Input Bits

R/W

Discrete

MC

0 - 65535

Modbus Coils

R/W

Discrete

MIR

0 - 65535

Modbus Input Registers

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Modbus Input Registers bit of word

R/W

Discrete

MHR

0 - 65535

Modbus Holding Registers

R/W

Unsigned int 16 (with Hex option in objects), Signed int 16, BCD int 16

0 - 15

Modbus Holding Registers bit of word

R/W

Discrete

LastMSG

0 - 65535

System Message String (128 chars)

Read Only

ASCII String

LastERR

0 - 65535

System Error String (128 chars)

Read Only

ASCII String

Note: Data Type - Items in Bold should be default C-more data type to use when importing.


AutomationDirect Do-more Error Codes

PLC Errors for Do-more

Error Code

Description

Resolution

0x01

Unknown Command

Should only occur if message has been corrupted or protocol version is mismatched. Check versions and update appropriately. If versions are correct, check cabling, routing and switches for bad packets.

With the Symbolic Addressing driver, this error could indicate:

  • A tag that is being requested that does not exist in the PLC,
  • A tag that is being requested is misspelled in C-More,
  • The max length for a String tag is incorrect.

0x02

Out of Sessions

Too many devices connected to the CPU. Reduce number of devices connected.

0x03

Illegal Operation

Occurs when permission level is not sufficient for the operation performed by the panel. Increase the permission level to correct the problem.

0x04

Invalid Session

Session number does match for sending device. Re-establish connection by power cycling or sending updated project.

0x05

Out of Range

Invalid address exists. Ensure that address range is expanded and load configuration to the CPU.

0x06

Invalid Argument

Occurs when message cannot be parsed correctly. This usually happens when an address is used in the C-more that does not exist in the PLC.

0x07

Program Update Active

Wait until program update is complete.

0x08

No Token

Occurs when client attempts to update the project without first acquiring the program update token.

0x09

Program Update Inhibited

Occurs when client attempts to update the project while ST21 is true. This allows the customer to programmatically prevent the project from being updated.

0x0A

System Configuration Update Active

Wait until System Configuration update is complete to continue communications.

0x0B

Invalid Mode

Ensure that the switch on the CPU is in Term mode.

0x0C

Mode Change Active

Occurs when a PLC mode change is attempted while a mode change is in progress. In some cases it takes several scans for a mode change.

0x0D

Mode Locked

Occurs when mode change is attempted and keyswitch is not in Term.

0x0E

Invalid Password

Enter Do-more password in Password field of
C-more Panel Manager for this device.

0x0F

Resource Locked

Occurs when trying to update a tag that is forced. Force must be removed in order to update the tag.

0x010

Doc Update Active

Occurs when someone attempts to access the documentation file while it is being written back to ROM.

0x011

Invalid Driver

Occurs when attempting to read driver data from a driver that doesn't exist.

0x012

Invalid Driver Data

Occurs when attempting to read a driver data type that isn't valid.

0x013

Shared RAM write failed

Occurs when attempting to read or write to a module's shared RAM and it fails. Usually occurs when the module has gone bad.


AutomationDirect Do-more PLC Importing Tags - Built-in Memory

The Do-more Designer software has several different options for exporting PLC addresses that can be imported into the C-more programming software. The options include:

  • Export of non-structured PLC addresses with Nicknames
  • Export of Structured PLC addresses with Nicknames
  • Export of PLC addresses used in the ladder program
  • Combination of all of the above.

Six export options are possible. To illustrate this better, each option is discussed below with an example configuration. The most complete list may be exported using Option #4. In this example, the PLC contains the following addresses:

  • Built-in Memory Blocks
  • Heap Memory Blocks
  • User Created Structure
  • Fully Nicknamed Structure
  • Individually Nicknamed Structure Elements

Fully Nicknamed Structure

In the table below, address T0, nicknamed "myTimer," is a Fully Nicknamed Structure. In other words, the Timer Structure has the nickname "myTimer," which carries over to each element of the structure in the format [nickname.element].

Individually Nicknamed Structure Elements

Address myPID.SP, nicknamed "PID SP NickName" is an individually Nicknamed Structure Element because it is an element of a larger structure, myPID, and the individual element is given the Nickname "PID_SP Nickname." Individually Nicknamed Structure Elements may have a different Nickname for each element in the larger structure.

In our example, the table below represents the addresses that are in the PLC. Notice some addresses have Nicknames while others do not, and some addresses are used in the PLC ladder logic and others are not.

PLC Address | PLC Nickname | Used in Ladder Logic |
TO.ACC | myTimer.ACC | No | Built-In
TO.Done | myTimer.Done | No | Built-In
T0.Zero | myTimer.Zero | No | Built-In
T0.Timing | myTimer.Timing | No | Built-In
T0.Reset | myTimer.Reset | No | Built-In
T0.TT | myTimer.TT | No | Built-In
T0.EN | myTimer.EN | No | Built-In
T0.DN | myTimer.DN | No | Built-In
myPID.SP | PID_SP_NickName | No | Heap
myPID.PV | - | Yes | Heap
MyStringBlock0 | String_Nickname0 | No | String Struct
V0 | myV0 | Yes | Built-In
C0 | - | Yes | Built-In
C1 | - | Yes | Built-In
D1 | - | Yes | Built-In
V2 | - | Yes | Built-In

Export Option 1

This option exports:

  • Non-structured PLC addresses that have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.
  2. Select C-more Do-more Driver Format.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
V0 | myV0 | myV0 | V0 | Yes | Built-In

Export Option 2

This option exports:

  • Non-structured PLC addresses that have a Nickname.
  • PLC addresses used in the ladder logic even if they do not have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
V0 | myV0 | myV0 | V0 | Yes | Built-In
C0 | - | C0 | C0 | Yes | Built-In
C1 | - | C1 | C1 | Yes | Built-In
D1 | - | D1 | D1 | Yes | Built-In
V2 | - | V2 | V2 | Yes | Built-In

Export Option 3

This option exports:

  • PLC addresses that have a Nicknames, including fully nicknamed structures.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.
  2. Select C-more Do-more Driver Format WITH Struct Fields.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
T0.ACC | myTimer.Acc | myTimer.Acc | T0.ACC | No | Built-In
T0.Done | myTimer.Done | myTimer.Done | T0.Done | No | Built-In
T0.Zero | myTimer.Zero | myTimer.Zero | T0.Zero | No | Built-In
T0.Timing | myTimer.Timing | myTimer.Timing | T0.Timing | No | Built-In
T0.Reset | myTimer.Reset | myTimer.Reset | T0.Reset | No | Built-In
V0 | myV0 | myV0 | V0 | Yes | Built-In

Export Option 4

This option exports the largest number of PLC addresses. It includes:

  • PLC addresses that have a Nickname, including fully nicknamed structures, and
  • PLC addresses used in the ladder logic, even if they do not have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
TO.ACC | myTimer.Acc | myTimer.Acc | TO.ACC | No | Built-In
TO.Done | myTimer.Done | myTimer.Done | TO.Done | No | Built-In
TO.Zero | myTimer.Zero | myTimer.Zero | TO.Zero | No | Built-In
TO.Timing | myTimer.Timing | myTimer.Timing | TO.Timing | No | Built-In
TO.Reset | myTimer.Reset | myTimer.Reset | TO.Reset | No | Built-In
V0 | myV0 | myV0 | V0 | Yes | Built-In
C0 | - | C0 | C0 | Yes | Built-In
C1 | - | C1 | C1 | Yes | Built-In
D1 | - | D1 | D1 | Yes | Built-In
V2 | - | V2 | V2 | Yes | Built-In

Export Option 5

This option exports:

  • Non-structured PLC addresses that have Nicknames and are used in the ladder logic.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

  3. Select Do NOT export ALL nicknamed Struct Fields, just those that are USED.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
V0 | myV0 | - | V0 | Yes | Built-In

Export Option 6

This option exports:

  • Non-structured PLC addresses that have a Nickname and are used in the ladder logic.
  • PLC addresses used in the ladder logic, even if they do not have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

    Select Do NOT export ALL nicknamed Struct Fields, just those that are USED.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
V0 | myV0 | myV0 | V0 | Yes | Built-In
C0 | - | C0 | C0 | Yes | Built-In
C1 | - | C1 | C1 | Yes | Built-In
D1 | - | D1 | D1 | Yes | Built-In
V2 | - | V2 | V2 | Yes | Built-In


AutomationDirect Do-More Ethernet Symbolic Addressing Driver

Topic: CM043

AutomationDirect Do-more Ethernet Symbolic (Full Memory)

The Do-more Ethernet Symbolic Addressing driver is supported with the following devices (all Do-more PLCs require OS ver. 2.0.2 or later):

  • H2-DM1E
  • H2-DM1 with H2-ECOM1-- (ver. 4.0.1808) communications module
  • T1H-DM1E
  • BX-DM1E
  • BX-DM with the BX-P-ECOMLT communication module

Panel Manager Settings

  1. Do one of the following to open the Panel Manager window:
    1. From the Main menu, click the Setup menu and select Panel Manger, or
    2. From the Navigation window, click the Function tab and select Panel Manager.
      See the illustrations below.

  2. From the Panel Manager window, on the tree to the left, click to select DEV001.
    The Device Setup screen of the Panel Manager window opens.

  3. In the PLC Protocol field, select AutomationDirect Do-more Ethernet Symbolic Addressing (Full Memory).

Any time the PLC Protocol is changed for a particular device to a PLC protocol with different addressing, all Tag Names associated with that device will be changed to Internal Tags. In other words, they will be disassociated with the selected device. It is not possible to convert each address for the previous PLC Protocol to corresponding addresses in the selected PLC Protocol. The warning message shown below will be displayed.

Panel Manager
Area on Screen Description

Note: Connection through another panel is not available when using the Do-more driver.

PLC IP Address

Network IP address of the DO-more CPU. To find the IP address for the Do-more PLC, use the NetEdit software utility or the Do-more Designer software to scan the network for Do-more PLCs. Each technique is discussed below.

Password

If the Do-more CPU has been configured to use a password, the C-more project will need to store this password to communicate with the Do-more. It is necessary to enter the password into this field

Note: The Do-more password must be configured to allow access privileges for other devices. These privileges at a minimum must have at least Read Data - RD and Write Data - WD selected to work correctly with C-more. See the image below.

Entries (0-10)

The C-more panel will send a request to the Do-more CPU. If the CPU does not reply within the specified "Timeout Time," the C-more panel will send the request again. Once the retry count (specified in this field) has been reached, the C-more panel will display a PLC Timeout error on the screen.

ACK Timeout Time (1-255) (in 100ms units:

The amount of time (in 100ms units) that the panel will wait for an ACK reply after sending a request. The ACK simply says that the Do-more CPU has received the request and is processing it. After the Timout Timer expires, it will then retry.

Command Timout Time (1-255) (in 100ms units)

The amount of time (in 100ms units) that the pane will wait on the Command reply after sending a request. After the Timeout Timer expires, it will then retry.

Poll Time (0-30000 msec)

The amount of time (in milliseconds) that the panel will wait in between each request.

Find the Do-more Network IP Address

You will need the IP address of the Do-more to enter into the C-more project. To find the IP address for the Do-more PLC, use the NetEdit software utility or the Do-more Designer software to scan the network for Do-more PLCs.

NetEdit Software Method to Find the Network IP Address

After you have downloaded and installed NetEdit (it is also installed with the Do-more Designer software), open the software and browse the network. You will see the Do-more CPU and IP address as shown below. Use this IP address in the C-more Panel Manager Device configuration show later.

Do-more Designer Software Method to Find the Network IP Address

Once you have connected to the Do-more CPU with the Do-more Designer software, click the PLC drop-down menu and select System Information or click the Info button on the toolbar.

The System Information window opens displaying the IP address settings at the bottom of the Info window.


AutomationDirect Do-more Symbolic Addressing

The simplest and quickest way to bring Do-more addresses into C-more is to use the import utility discussed in the Help Topic Do-more PLC Importing Tags, but it is also possible to enter addresses manually.

The Do-more addresses are entered directly into the “Address” field of the C-more Tag Name –Add dialog box in their entirety. The Memory Type must match the Do-more Data Type in the PLC. There are _R versions of every Memory to designate it as a Read Only address. If an address is a Read Only address, the C-more Programming Software will limit which objects can be used with that address.

The Default Built-in memory is also accessible with the Symbolic Driver. To add a Tag Name to C-more. you must first know the Do-more data type and corresponding C-more Tag Data Type. Simply enter the full address name and Do-more data type. The table below shows the default built-in memory.

D-more Data Type

Do-more Default Built-in Memory Block

C-more Tag Data Type

C-more Memory Type

C-more Addresses

Bit

C0 - C2047

Discrete

DISC

DISC_R

C0 - C2047

ST0 - 1023

ST0 - 1023

X0 - 2047

X0 - 2047

Y0 - 2047

Y0 - 2047

DLX0 - 777

DLX0 - 777

DLY0 - 777

DLY0 - 777

DLC0 - 777

DLC0 - 777

MI0 - 1023

MI0 - 1023

MC0 - 1023

MC0 - 1023

Signed Word

WX0 - 255

Signed int 16

SI16

SI16_R

WX0 - 255

WY0 - 255

WY0 - 255

N0 - 4095

N0 - 4095

MIR0 - 2047

MIR0 - 2047

MHR0 - 2047

MHR0 - 2047
Signed Dword DST0 - 511 Signed int 32

SI32

SI32_R

DST0 - 511
D0 - 4095 | D0 - 4095
Unsigned Word V0 - 4095 Unsigned int 16

UI16

UI16_R

V0 - 4095
PL0 - 255 | PL0 - 255
DLV0 - 3777 | DLV0 - 3777
Real R0 - 4095 Floating PT 32

FLOAT

FLOAT_R

R0 - 4095
RX0 - 255 | RX0 - 255
RY0 - 255 | RY0 - 255
String Struct SS0 - 127 Ascii String

ASCII

ASCII_R

SS0 - 127
SL0 - 63 | SL0 - 63
LastMsg0 - 7 | LastMsg0 - 7
LastErr0 - 7 | LastErr0 - 7

Simple Default Built-in Memory Examples

Numeric Example

  1. In the C-more Tag Name-Add window, select the corresponding C-more Tag Data Type.
    Since we are using Memory Block V0 in the example below, the Do-more Data Type is Unsigned Word, which corresponds to Unsigned int 16 in C-more.

  2. From the Memory Type drop-down list, select the desired Memory type.
    In this case UI16 or UI16_R. The _R Memory Type will be Read Only.
  3. In the Address field, type in the Built-in Memory Name (V) and Address(0)) as shown above.
    The C-more tag name can be anything that is clear to the user.

Discrete Example

  1. In the C-more Tag Name-Add window, click the Tag Data Type drop-down arrow and select the corresponding C-more Tag Data Type.
    Since we are using Memory Block C0 in the example below, the Do-more Data Type is Bit, which corresponds to Discrete in C-more.

  2. From the Memory Type drop-down list, select the desired Memory type.
    In this case, select DISC or DISC_R. The _R Memory Type will be Read Only.

  3. In the Address field, type in the Built-in Memory Name (C) and Address (0) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

User-created Built-in Memory Block Examples

To add a Tag Name to C-more, you must first know the Do-more data type and corresponding C-more Tag Data Type. Refer to the table below for tag names and data types.

Do-more Data Type

C-more Tag Data Type

C-more Memory Type

Read/Write
Bit | Discrete | DISC | R/W
DISC_R | Read Only
Signed Byte | Signed int 16 | SI8 | R/W
SI8_R | Read Only
Unsigned Byte | Unsigned int 16 | UI8 | R/W
UI8_R | Read Only
Signed Word | Signed int 16 | SI16 | R/W
SI16_R | Read Only
Signed Dword | Signed int 32 | SI32 | R/W
SI32_R | Read Only
Unsigned Word | Unsigned int 16 | UI16 | R/W
UI16_R | Read Only
Real | Floating PT 32 | FLOAT | R/W
FLOAT_R | Read Only
String Struct | Ascii String | ASCII | R/W
ASCII_R | Read Only

Numeric Example

In this example, the user has created a Memory Block called LineMotor in the Do-more Designer software. See the Do-more Designer Memory Configuration illustration below.

  1. In the C-more Tag Name-Add window, select the corresponding C-more tag Data Type.
    From the chart above, the Do-more Data Type is Unsigned Word; therefore, the C-more Tag Data type is Unsigned int 16.The Tag Name - Edit window opens.

  2. From the Memory Type drop-down list, select the desired Memory type.
    In this case, UI16_R. The -R memory Type will be Read Only.
  3. in the Address field, type in the Built-in Memory Name (LineMotor) and Address (0) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

Discrete Example

In this example, the user has created a Memory Block called Line Sensor in the Do-more Designer software. See the Do-more Designer Memory Configuration illustration below.

  1. In the C-more tag Name-Add window, select the corresponding C-more Tag Data Type.
    From the chart above, if the Do-more Data Type is BIT, the C-more Tag Data type is Discrete.

  2. From the Memory Type drop-down list, select the desiredMemory Type.
    In this case, select DISC or DISC_R. The _R Memory Type is Read Only.
  3. In the Address field, type in the Built-in Memory Name (LineSensor) and Address (0) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

Structure Example

In this example, the user has created a PID Structure called SealHeater in the Do-more Designer software, as illustrated in the figure below. We want to add a Tag Name to C-more for the SealHeater Setpoint.

  1. In the C-more Tag Name-Add window, select the corresponding C-more tag Data Type.
    From the Do-more Help file topic Structure members DMD0327, the .SP member is a 32-Bit Real = Floating PT 32.

  2. From the Memory Type drop-down list, select the desired Memory Type.
    In this case, select FLOAT or FLOAT-R. The _R Memory Type will be Read Only.
  3. In the Address field, type in the Memory Name (SealHeater), Address (0), and element (.SP) as shown above.
    The C-more Tag Name can be anything that is clear to the user.

Note: The entire structure is not specified in the C-more Tag Name dialog box. Only the members of the Structure and Memory Type for that member are specified. The only exceptions to this are the String data types.

User-Created HEAP Item

String Example

In this example, the user has created a String Structure called Line1BarCode in C-more Designer as a HEAP Item. We want to add a Tag Name to C-more for Line1BarCode String Structure.

  1. In the C-more Tag Name-Add window, in the Tag Data Type field, select ACSII String.

  2. From the Memory Type drop-down list, select the desired Memory type.
    In this case, select ASCII or ASCII-R. _R Memory Type will be Read Only.
    String addresses are entered with the full structure name (unlike all other structures) and also require the Max Length value to be entered before the address name within brackets [].
    The C-more Tag Name can be anything that is clear to the user.
  3. In the Address field, type the Max Length ([128]) and Memory Name (Line1BarCode) as shown above.


AutomationDirect Do-more PLC Importing Tags - Symbolic Memory

The Do-more Designer software has several different options for exporting PLC addresses that can be imported into the C-more programming software. The options include:

  • Export of non-structured PLC addresses with Nicknames
  • Export of Structured PLC addresses with Nicknames
  • Export of PLC addresses used in the ladder program
  • Combination of all of the above.

Six export options are possible. To illustrate this better, each option is discussed below with an example configuration. The most complete list may be exported using Option #4. In this example, the PLC contains the following addresses:

  • Built-in Memory Blocks
  • Heap Memory Blocks
  • User Created Structure
  • Fully Nicknamed Structure
  • Individually Nicknamed Structure Elements

Fully Nicknamed Structure

In the table below, address T0, nicknamed "myTimer," is a Fully Nicknamed Structure. In other words, the Timer Structure has the nickname "myTimer," which carries over to each element of the structure in the format [nickname.element].

Individually Nicknamed Structure Elements

Address myPID.SP, nicknamed "PID_SP_NickName" is an Individually Nicknamed Structure Element because it is an element of a larger structure, myPID, and the individual element is given the Nickname "PID_SP Nickname." Individually Structure Elements may have a different Nickname for each element in the larger structure.

In our example, the table below represents the addresses that are in the PLC. Notice some addresses have Nicknames, while others do not, and some addresses are used in the PLC ladder logic and others are not.

PLC Address | PLC Nickname | Used in Ladder Logic | PLC Memory
TO.ACC | myTimer.ACC | No | Built-In
TO.Done | myTimer.Done | No | Built-In
T0.Zero | myTimer.Zero | No | Built-In
T0.Timing | myTimer.Timing | No | Built-In
T0.Reset | myTimer.Reset | No | Built-In
T0.TT | myTimer.TT | No | Built-In
T0.EN | myTimer.EN | No | Built-In
T0.DN | myTimer.DN | No | Built-In
myPID.SP | PID_SP_NickName | No | Heap
myPID.PV | - | Yes | Heap
MyStringBlock0 | String_Nickname0 | No | String Struct
V0 | myV0 | Yes | Built-In
C0 | - | Yes | Built-In
C1 | - | Yes | Built-In
D1 | - | Yes | Built-In
V2 | - | Yes | Built-In

Export Option 1

This option exports:

  • Non-structured PLC addresses that have a Nickname.
  • Individually nicknamed structure elements that have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.
  2. Select C-more Do-more Driver Format.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
myPID.SP | PID_SP_NickName | myV0 | FLOATmyPID.SP | No | -
MyStringBlock0 | String_Nickname0 | String_Nickname0 | ASCII[96]MyStringBlock0 | No | String Struct
V0 | myV0 | PID_SP_NickName | Ul16V0 | Yes | Built-In

Export Option 2

This option exports:

  • Non-structured PLC addresses that have a Nickname,
  • PLC addresses used in the ladder logic even if they do not have a Nickname, and
  • Individually nicknamed structure elements that have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
myPID.SP | PID_SP_NickName | PID_SP_NickName | FLOATmyPID.SP | No | Heap
MyPID.PV | - | myPID.PY | FLOATmyPID.PV | Yes | Heap
MyStringBlock0 | String_Nickname0 | String_Nickname0 | ASCII[96]MyStringBlock0 | No | String Struct
V0 | myV0 | myV1 | UI16V0 | Yes | Built-In
C0 | - | C0 | DISCC0 | Yes | Built-In
C1 | - | C1 | DISCC1 | Yes | Built-In
D1 | - | D1 | SI32D1 | Yes | Built-In
V2 | - | V2 | UI16V2 | Yes | Built-In

Export Option 3

This option exports:

  • PLC addresses that have a Nicknames, including fully nicknamed structures.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.
  2. Select C-more Do-more Driver Format WITH Struct Fields.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
myPID.sp | PID_SP_NickName | PID_SP_NickName | FLOATmyPID.SP | No | Heap
MyStringBlock0 | String_Nickname0 | String_Nickname0 | ASCII[96]MyStringBlock0 | No | String Struct
T0.ACC | myTimer.Acc | myTimer.Acc | SI32T0.Acc | No | Built-In
T0.Done | myTimer.Done | myTimer.Done | DISC_RT0.Done | No | Built-In
T0.Zero | myTimer.Zero | myTimer.Zero | DISC_RT0.Zero | No | Built-In
T0.Timing | myTimer.Timing | myTimer.Timing | DISC_RT0.Timing | No | Built-In
T0.Reset | myTimer.Reset | myTimer.Reset | DISC_RT0.Reset | No | Built-In
T0.TT | myTimer.TT | myTimer.TT | DISC_RT0.TT | No | Built-In
T0.EN | myTimer.EN | myTimer.EN | DISC_RT0.EN | No | Built-In
T0.DN | myTimer.DN | myTimer.DN | DISC_RT0.DN | No | Built-In
V0 | myV0 | myV1 | UI16V0 | Yes | Built-In

Export Option 4

This option exports the largest number of PLC addresses. It includes:

  • PLC addresses that have a Nicknames, including fully nicknamed structures, and
  • PLC addresses used in the ladder logic, even if they do not have a Nickname.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
myPID.sp | PID_SP_NickName | PID_SP_NickName | FLOATmyPID.SP | No | Heap
MyPID.PV | - | MyPID.PV | FLOATmyPID.PV | Yes | Heap
MyStringBlock0 | String_Nickname0 | String_Nickname0 | ASCII[96]MyStringBlock0 | No | String Struct
TO.ACC | myTimer.Acc | myTimer.Acc | SI32T0.Acc | No | Built-In
TO.Done | myTimer.Done | myTimer.Done | DISC_RT0.Done | No | Built-In
TO.Zero | myTimer.Zero | myTimer.Zero | DISC_RT0.Zero | No | Built-In
TO.Timing | myTimer.Timing | myTimer.Timing | DISC_RT0.Timing | No | Built-In
TO.Reset | myTimer.Reset | myTimer.Reset | DISC_RT0.Reset | No | Built-In
T0.TT | myTimer.TT | myTimer.TT | DISC_RT0.TT | No | Built-In
T0.EN | myTimer.EN | myTimer.EN | DISC_RT0.EN | No | Built-In
T0.DN | myTimer.DN | myTimer.DN | DISC_RT0.DN | No | Built-In
V0 | myV0 | myV1 | UI16V0 | Yes | Built-In
C0 | - | C0 | DISCC0 | Yes | Built-In
C1 | - | C1 | DISCC1 | Yes | Built-In
D1 | - | D1 | SI32D1 | Yes | Built-In
V2 | - | V2 | UI16V2 | Yes | Built-In

Export Option 5

This option exports:

  • Non-structured PLC addresses that have Nicknames and are used in the ladder logic.
  • Structured PLC addresses that have a Nickname only if they are used in the ladder logic.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

  3. Select Do NOT export ALL nicknamed Struct Fields, just those that are USED.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
myPID.sp | PID_SP_NickName | myV0 | FLOATmyPID.SP | No | Heap
MyStringBlock0 | String_Nickname0 | String_Nickname0 | ASCII[96]MyStringBlock0 | No | String Struct
V0 | myV0 | PID-SP-Nickname | UI16V0 | Yes | Built-In

Export Option 6

This option exports:

  • Non-structured PLC addresses that have a Nickname and are used in ladder logic.
  • PLC addresses used in the ladder logic, even if they do not have a Nickname.
  • Structured PLC addresses that have a Nickname only if they are used in the ladder logic.

To export these tags:

  1. In Do-more Designer, from the File menu, select Export and then Element Documentation.
    The Content Format window opens.

  2. Select C-more Do-more Driver Format WITH Struct Fields.

    Select Do NOT export ALL nicknamed Struct Fields, just those that are USED.

  3. Select Also export USED elements which do not have a nickname.

The tags imported into C-more are:

PLC Address | PLC Nickname | C-more Tag Name | PLC Address in C-more | Used in Ladder Logic | PLC Memory
myPID.sp | PID_SP_NickName | PID_SP_NickName | FLOATmyPID.SP | No | Heap
myPID.PV | - | myPID.PV | FLOATmyPID.PV | Yes | Heap
MyStringBlock0 | String_Nickname0 | String_Nickname0 | ASCII[96]MyStringBlock0 | No | String Struct
V0 | myV0 | myV1 | UI16V0 | Yes | Built-In
C0 | - | C0 | DISCC0 | Yes | Built-In
C1 | - | C1 | DISCC1 | Yes | Built-In
D1 | - | D1 | SI32D1 | Yes | Built-In
V2 | - | V2 | UI16V2 | Yes | Built-In


AutomationDirect C-more Do-more Serial

Topic: CM050

AutomationDirect Do-more Serial Drivers

Two serial drivers are available in C-more for the Do-more series PLCs:

  • AutomationDirect Do-more Serial (Built-in memory)
  • AutomationDirect Do-more Serial Symbolic Addressing (Full memory)

Your specific application will determine the best driver to use.

  • For most applications, the Symbolic Addressing driver will be the best choice. With this driver, all memory addresses in the PLC are available. However, the Symbolic Addressing driver is a bit less efficient than the Built-in memory driver. The performance should be sufficient for the majority of applications.
  • For very complicated or large applications, the Built-in memory driver may be a better choice since it is a more efficient driver but the memory is limited to Built-in Memory blocks only.

Both drivers may be used simultaneously. Use the Built-in memory driver for all of the default memory addresses and use a Symbolic Addressing driver for any user- added memory. The two drivers can even co-exist for one PLC in the C-more project.


AutomationDirect Do-more Serial

Topic: CM304

AutomationDirect Do-more Serial (Built-in Memory)

The following information applies to AutomationDirect Do-more PLCs compatible with C-more Panels.

C-more Panel Manager Settings

To set up the Do-more PLC, do the following:

    1. From the Main menu, click the Setup menu and select Panel Manger, or
    2. From the Navigation window, click the Function tab and select Panel Manager.
      See the illustrations below.

  2. Do one of the following to open the Panel Manager window.
  3. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  4. In the PLC Protocol field, click on the down arrow [image] and select AutomationDirect Do-more Serial.

Any time you select a PLC Protocol that is different from the one already displayed, the Warning Message shown below will pop up. Click Yes to accept. The fields for the selected Protocol will be displayed as shown on the applicable figure above.

To learn about the Connection Through Another Panel option, click on the green text.

Complete the fields on the screen using the information in the table below.

Panel Manager

Field

Description

Baud Rate

 This setting needs to match the Baud Rate setting in the Do-more CPU serial port configuration.

Parity

This setting needs to match the Parity setting in the Do-more CPU serial port configuration.

Stop Bit

This setting needs to match the Stop Bit setting in the Do-More CPU serial port configuration. This value will most often be set to 1.

Data Bit

This setting needs to match the Data Bit setting in the Do-More CPU serial port configuration. This value will most often need to be set to 8.

Control RTS

If Yes is selected in this field, then C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters such as FA-ISOCON.

Select RS 485

Select Yes for this field if 2 wire RS-485 communication is needed. Along with selecting Yes in this field, the SD+ and RD+ must be jumpered along with the SD- and RD- pins.

Password

If the Do-more CPU has a password, it will be necessary to enter the password into this field in order to access the PLC.

Note: The Privileges for the password entered must at least have Read Data – RD and Write Data – WD selected in order to work correctly with C-more. See image below.

Timeout Time (0-40) (in 100ms units)

The amount of time (in 100ms increments) that the panel will wait on a reply after sending a request.

Poll Time (0-30000 msec)

The amount of time (in milliseconds) that the panel will wait in between each request. The panel will then try to send another request. If 3 timeouts occur, the panel will then give a PLC timeout error.

Memory version

A display only field that indicates the Do-more Memory version that this version of C-more supports. It should match the Memory Version of the Do-more CPU in order to reliably read and write data. If they do not match, an error will be indicated on the C-more panel display. Either the C-more programming software and firmware version or the Do-more firmware version will need to be upgraded in order for both to reliably communicate with each other.

To view the Do-more Memory version, while connected to the CPU (shown below), in the Do-more Designer software, open the Data View window and enter DST24.

Serial Port Settings Using Do-more Designer

Once you have connected to the Do-more CPU with the Do-more Designer software, do the following:

  1. Click the Configure button in the toolbar.
The System Configuration dialog will open. The Serial Port Mode should be set to Do-more Programming.

  2. Click the Device Settings button to set the other serial port options.

  3. In the Transmit Control field, select Unconditional (RS232) or Delayed 5ms (RS-485).
  4. In the RTS Control field, select Follows Transmitter.
  5. Set the Baud Rate, Data Bits, Stop Bits and Parity to match the C-more Programming Software Panel Manager setup described above.


Do-more Serial Symbolic (Full Memory)

Topic: CM053

AutomationDirect Do-more Serial Symbolic (Full Memory)

The Do-more Serial Symbolic Addressing driver is supported with the following devices (all Do-more PLCs require OS ver. 2.0.2 or later):

  • H2-DM1E
  • H2-DM1 with H2-ECOM100 (ver. 4.0.1808) communication module
  • T1H-DM1E
  • BX-DM1E
  • BX-DM with the BX-P-ECOMLT communication module

Panel Manager Settings

  1. Do one of the following:
  • From the Main menu, click the Setup menu and select Panel Manger, or
  • From the Navigation window, click the Function tab and select Panel Manager.
    See the illustrations below.

  2. From the Panel Manager window, on the tree to the left, click to select DEV001.
    The Device Setup screen of the Panel Manager window opens.

  3. In the PLC Protocol field, select AutomationDirect Do-more Serial Symbolic Addressing.

  4. Any time the PLC Protocol is changed for a particular device to a PLC protocol with different addressing, all Tag Names associated with that device will be changed to Internal Tags. In other words, they will be disassociated with the selected device. It is not possible to convert each address for the previous PLC Protocol to corresponding addresses in the selected PLC Protocol. The warning message shown below will be displayed.

Note: Connection through another panel is not available when using the Do-more driver.

Complete the fields on the screen using the information in the table below.

Panel Manager

Field

Description

Baud Rate

 This setting needs to match the Baud Rate setting in the Do-more CPU serial port configuration.

Parity

This setting needs to match the Parity setting in the Do-more CPU serial port configuration.

Stop Bit

This setting needs to match the Stop Bit setting in the Do-More CPU serial port configuration. This value will most often be set to 1.

Data Bit

This setting needs to match the Data Bit setting in the Do-More CPU serial port configuration. This value will most often need to be set to 8.

Control RTS

If Yes is selected in this field, then C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters such as FA-ISOCON.

Control FTS

If Yes is selected in this field, then C-more will check to see if the CTS signal has been asserted from the connected device before it will transmit data.

Select RS 485

  • Select Yes for this field if 2 wire RS-485 communications is needed. Along with selecting, Yes in this field, the SD+ must be jumpered with the SD- and RD- pins.

    • Password
  • If the Do-more CPU has been configured to use a password, the C-more project will need to store this password to communication with the Do-more. It is necessary to enter the password into this field.
            •

    Note: The Do-more password must be configured to allow access privileges for other devices. These privileges, at a minimum, must have at least Read Data - RD and Write Data - WD selected to work correctly with C-more. See the image below.

    Timeout Time (0-40) (in 100ms units)

    The amount of time (in 100 ms increments) that the panel will wait on a reply after sending a request.

    Poll Time

    The amount of time (in milliseconds) that the panel will wait in between each request.

    Serial Port Settings Using Do-more Designer

    1. Once you have connected to the Do-more CPU with the Do-more Designer software, click the Configure button in the toolbar.

    The System Configuration dialog box opens. The Serial Port Configuration should be set to Do-more Programming.

    2. Click the @IntSerial Device Settings button to set the other serial port options.

    Pane Manager - Edit Serial Port Settings

    Field

    Description

    Baud Rate, Data Bits, Stop Bits, and Parity

             Must match the C-more Programming Software Panel Manager setup described above.

    Transmit Control

    Set to Unconditional (RS232) or Delayed 5ms (RS-485).

    RTS Control

    Set to Follows Transmitter.


AutomationDirect Productivity Series Ethernet

Topic: CM513

AutomationDirect Productivity Series - Ethernet

The following information applies to AutomationDirect Productivity- Ethernet PACs (Programmable Automation Controllers) compatible with C-more Panels. It is a higher level PLC, which is a Programmable Logic Controller.

Up to 30 C-more panels can be connected to one Productivity Series CPU and up to 64 CPUs can be connected to one C-more panel.

The C-morepanel is the master when communicating with an AutomationDirect Productivity Series PAC.

C-more Panel Manager Settings

To set Panel Manager settings, do the following:

  1. Do one of the following:

    • From the Main menu, select Setup and then Panel Manager
      or
    • From the Navigation window click the Function tab and double-click on Panel Manager, as shown below.

The Panel Manager window opens.

  2. From the Panel Manager window click on the DEV001 selection in the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. In the right pane in the PLC Protocol field, click on the down arrow [image] and select AutomationDirect Productivity Series Ethernet.

Any time you select a PLC Protocol that is different from the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the fields for the selected Protocol will be displayed as shown in the figure above.

Click here to learn more about Connection Through Another Panel.

Panel Manager Settings

Field

Description

PLC IPAddress

The IP Address of the PAC CPU. This can be found in the CPU settings of the Hardware Configuration.

PLC Port (0-65535)

Specifies the destination TCP port number that C-more will send to the PAC CPU. The default is 502. This number may need to be adjusted for firewall/router purposes.

PLC Slave Number( 0-255)

This corresponds with the Unit ID number in the protocol header. Currently, this number can be set to any value as the CPU will just echo back the value sent. This field may be implemented in the future for gateway/routing purposes.

Retries (0-10):

The C-more Panel will send a request to the specified device. If the PAC does not reply within the specified Timeout Time, the C-more will send the request again. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a Timeout error on the screen.

Timeout Time (1-255) (in 100ms units)

The amount of time (in 100ms units) the panel will wait on a reply after sending a request. After the Timeout timer expires, a Retry will be attempted if specified.

Poll Time (0-30000 msec)

The amount of time (in milliseconds) the panel will wait between each request.

Productivity CPU Communications Settings

Verify the PAC communication port settings are the same as the C-more panel. To access the communication configuration settings for the Productivity CPU, open the Productivity Suite Programming Software.

  1. From the Setup menu, selectHardware Config.

The Hardware Configuration window opens as shown below.

  2. In the Hardware Configuration window, double-click on the image of the Productivity CPU.
    The Configuration window opens as shown below.

  3. Click on the Ethernet Ports tab to display the External Ethernet Port settings. For details on the present IP configuration of the CPU, click on the Show Current Settings button.

Note:The DHCP setting cannot be used when connecting a C-more panel to the Productivity CPU system. The IP Address of the CPU must be static.
  4. If the C-more will be reading and writing data to the CPU, set the Port Security to Read/Write. If the C-more will only be reading data from the CPU, this setting can be changed to Read Only.


AutomationDirect Productivity Series Serial

Topic: CM514

AutomationDirect Productivity Series -Serial

The following information applies for AutomationDirect Productivity Series - Serial PACs (Programmable Automation Controller) compatible with C-more Panels.

Only one C-more panel can be serially connected to a Productivity Series CPU. See Productivity Series Ethernet driver to connect more than one C-more panel to a single CPU.

Up to 64 Productivity Series CPUs can be connected to one C-more panel. See Connecting Multiple PLCs to a Single C-more Panel for more detail.

The C-more panel is the master when communicating with an AutomationDirect Productivity3000 PAC.

C-more Panel Manager Settings

To set Panel Manager settings, do the following:

  1. Do one of the following:

    • From the Main menu, select Setup and then Panel Manager
      or
    • From the Navigation window click the Function tab and double-click on Panel Manager, as shown below.

The Panel Manager window opens.

  2. From the Panel Manager window click on the DEV001 selection in the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. From the PLC Protocol field, click on the down arrow [image] and select AutomationDirect Productivity Serial.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the fields for the selected Protocol will be displayed as shown on the applicable figure above.

Click here to learn more about Connection Through Another Panel.

Panel Manager Settings

Use the information in the table below to complete the settings in the screen.

Panel Manager Settings

Field

Description

PLC Slave Number(1-247)

This number should match the Node Address field of the Productivity Suite programming software Serial Port setting.

Baud Rate

This setting should match the Baud Rate field of the Productivity Suite programming software Serial Port setting. This value may need to be lowered, depending on the environmental conditions and quality of the cabling between C-more and the PAC system.

Parity

This setting should match the Parity setting of the Productivity Suite programming software Serial Port setting.

Stop Bit

This setting should match the Stop Bit setting of the Productivity Suite programming software Serial Port setting.

Control RTS

If the RTS signal of the C-more panel serial port needs to be asserted before every serial transmission for the purpose of using a RS-232 to RS-485 converter or modem, select Yes for this field. In any other case, choose No.

Require CTS

If using a modem on C-more’s serial port and flow control is required, change this setting to Yes; otherwise, leave this setting at No.

Select RS-485

If using 2-wire RS-485, change this setting to Yes.If using RS-232 or 4-wire RS-485, leave this setting at No.

Timeout Time(1-255)(in 100ms units)

The amount of time (in 100ms units) the panel will wait on a reply after sending a request. After the Timeout timer expires, a Retry will be attempted if specified.

Timeout Time(1-255)(in 100ms units)

The amount of time (in 100ms units) the panel will wait on a reply after sending a request. After the Timeout timer expires, a Retry will be attempted if specified.

Poll Time(0-30000 msec)

The amount of time (in milliseconds) the panel will wait between each request.

Productivity Series CPU Communications Settings

Verify the PAC communication port settings are the same as the C-more panel.

To access the communication configuration settings for the Productivity Series CPU, do the following:

  1. Open the Productivity Suite Programming Software.
  2. From the Setup menu, select Hardware Config.

    The Hardware Configuration window opens as shown below.

  3. In the Hardware Configuration window, double-click on the image of the Productivity Series CPU.
    The Configuration window opens as shown below.

  4. Click on the Serial Ports tab to display the port settings for the RS-232 and RS-485 ports.
  5. If the C-more will be reading and writing data to the CPU, set the Port Security to Read/Write.If the C-more will only be reading data from the CPU, this setting can be changed to Read Only.
  6. In the Protocol field, Modbus RTU should be selected.
  7. The Baud Rate, Node Address, Parity and Stop Bits fields should match the settings in the C-more Programming Software Panel Manager settings.


AutomationDirect Productivity3000 (P3-550) Addressing

Topic: CM515

AutomationDirect Productivity Addressing

System ID

Address Range

Max Rows

Max Columns

Max Chars

Read/Write

C-more Data Type

C

000001 - 999999

N/A

N/A

N/A

R/W

Discrete

AR1C

000001 - 999999

65535

N/A

N/A

R/W

Discrete

AR2C

000001 - 999999

65535

65535

N/A

R/W

Discrete

DI

0.1.1.1 - 99.5.16.256

N/A

N/A

N/A

Read Only

Discrete

DO

0.1.1.1 - 99.5.16.256

N/A

N/A

N/A

R/W

Discrete

S16

000001 - 999999

N/A

N/A

N/A

R/W

Signed int 16

AR1S16

000001 - 999999

65535

N/A

N/A

R/W

Signed int 16

AR2S16

000001 - 999999

65535

65535

N/A

R/W

Signed int 16

US16

000001 - 999999

N/A

N/A

N/A

R/W

Unsigned int 16 (with Hex option in objects)

AR1US16

000001 - 999999

65535

N/A

N/A

R/W

Unsigned int 16 (with Hex option in objects)

AR2US16

000001 - 999999

65535

65535

N/A

R/W

Unsigned int 16 (with Hex option in objects)

S32

000001 - 999999

N/A

N/A

N/A

R/W

Signed int 32

AR1S32

000001 - 999999

65535

N/A

N/A

R/W

Signed int 32

AR2S32

000001 - 999999

65535

65535

N/A

R/W

Signed int 32

AIS32

0.1.1.1 - 99.5.16.256

N/A

N/A

N/A

Read Only

Signed int 32

AOS32

0.1.1.1 - 99.5.16.256

N/A

N/A

N/A

R/W

Signed int 32

F32

000001 - 999999

N/A

N/A

N/A

R/W

Floating PT 32

AR1F32

000001 - 999999

65535

N/A

N/A

R/W

Floating PT 32

AR2F32

000001 - 999999

65535

65535

N/A

R/W

Floating PT 32

AIF32

0.1.1.1 - 99.5.16.256

N/A

N/A

N/A

Read Only

Floating PT 32

US8

000001 - 999999

N/A

N/A

N/A

R/W

Unsigned int 16 (with Hex option in objects)

AR1US8

000001 - 999999

65535

N/A

N/A

R/W

Unsigned int 16 (with Hex option in objects)

AR2US8

000001 - 999999

65535

65535

N/A

R/W

Unsigned int 16 (with Hex option in objects)

BCD16

000001 - 999999

N/A

N/A

N/A

R/W

BCD int 16

AR1BCD16

000001 - 999999

65535

N/A

N/A

R/W

BCD int 16

AR2BCD16

000001 - 999999

65535

65535

N/A

R/W

BCD int 16

BCD32

000001 - 999999

N/A

N/A

N/A

R/W

BCD int 32

AR1BCD32

000001 - 999999

65535

N/A

N/A

R/W

BCD int 32

AR2BCD32

000001 - 999999

65535

65535

N/A

R/W

BCD int 32

STR

000001 - 999999

N/A

N/A

128

R/W

ASCII String

AR1STR

000001 - 999999

65535

N/A

128

R/W

ASCII String

AR2STR

000001 - 999999

N/A

N/A

128

R/W

ASCII String

SBR

000001 - 999999

N/A

N/A

N/A

Read Only

Discrete

SBRW

000001 - 999999

N/A

N/A

N/A

R/W

Discrete

SWR

000001 - 999999

N/A

N/A

N/A

Read Only

Signed int 16

SWRW

000001 - 999999

N/A

N/A

N/A

R/W

Signed int 16

SSTR

000001 - 999999

N/A

N/A

50

Read Only

ASCII String

MST

0.1.1.1 - 99.5.16.256

N/A

N/A

N/A

Read Only

Discrete

* For the DI, DO, AIS32, AOS32, AIF32 and MST data types, the System ID number is associated with a physical location (module). The explanation for the System ID number is shown below:

The dash that is seen between the memory type and the System ID number in the Productivity Suite software is not needed nor will be accepted in the C-more programming software. Also note that you cannot enter the comma between two indices of a two dimension array in the C-more programming software. See the captures shown below:

For one dimensional arrays use “SystemID(Column)” and for two dimensional arrays use “SystemID(Row)(Column)."

NOTE: The System ID associated with each Productivity3000 Tag is displayed in the Tag Database window of the Productivity Suite Programming Software. If the System ID column is not visible in the Tag Database, it can be made visible by right clicking on any of the column headers and selecting System ID (shown below).


AutomationDirect Productivity3000 (P3-550) Error Codes

Topic: CM516

AutomationDirect Productivity Error Codes

PLC Errors for Productivity3000
(PLC-499 Error code 0xaaaa)

Error Code

Description

0001

The function code received in the query is not an allowable action for the server (or slave). This may be because the function code is only applicable to newer devices and was not implemented in the unit selected. It could also indicate that the server (or slave) is in the wrong state to process a request of this type, for example because it is unconfigured and is being asked to return registered values.

0002

Address out of range. Check to make sure that the C-more tag and System ID match the Productivity3000 Programming Software Tag Name and System ID. The project file in the Productivity3000 system and the imported CSV into C-more must be in sync with each other.

0003

A value contained in the query data field is not an allowable value for the server (or slave). This indicates a fault in the structure of the remainder of a complex request, such as that the implied length is incorrect. It specifically does NOT mean that a data item submitted for storage in a register has a value outside the expectation of the application program, since the Modbus protocol is unaware of the significance of any particular value of any particular register.

0004

An unrecoverable error occurred while the server (or slave) was attempting to perform the requested action.

Note: Ordinarily, C-more attempts to communicate with the PLC in the most economical fashion by blocking together multiple tags in one request. However, if an error occurs C-more will send individual tag requests in order to ascertain exactly which tag is producing the error. This will result in slower communications. Changing screens or going to the System Screen then back to the project should cause C-more to resume its normal, economical, faster communications method. Such an error might occur when transferring a project to the PLC.


Tag Import from PAC to C-More

The Productivity Suite programming software automatically creates two CSV files every time a project is saved: Basic and Extended. The Basic and Extended designation is in the file name. The Basic file can be directly imported using the C-more programming software Tag Name Database Import feature.

To import a tag from PAC into C-More, do the following:

  1. From the File Menu, select Import and then Tag Name Database Import.

  2. Navigate to the folder where the Productivity project is saved and select the Basic CSV file with the same name as the project that you wish to import.

  3. Once you have selected the CSV file, there are a few options to choose from in the Import Tag Name Database dialog. Use the information in the table to complete the fields on the screen.

Import Tag Name Database from Excel/CSV File

Field

Description

My file contains a Header Row

Leave the selection checked as the CSV file contains a header row.

Device

If the C-more panel will be communicating with more than one Productivity system, there will be multiple devices from which to choose. Choose the appropriate device to which these imported tags will be assigned.

Append Text

Allows for device- specific text to be added to the tags as they are imported. This is useful for situations where C-more is communicating with multiple Productivity systems containing the same tag names. For example: Machine 1 and Machine 2 both have the tag “Cycle_Start”. When importing Machine 1’s tags, you could place the text “_Machine1” in the Append Text field and then when importing Machine 2’s tags, you could place the text “_Machine2” in the Append Text field and you would have 2 tags that look like this: Cycle_Start_Machine1 and Cycle_Start_Machine2.

Import Array Element Count

Defines how many array elements for each individual array will be imported to the C-more programming software. If the array in the Productivity contains 1200 elements but you only need the first 10 in the C-more application, change the Import Array Element Count Limit field to 10. This can greatly reduce the number of tags in the C-more programming software for efficiency in selection. Choose the number appropriate to the application.

Overwrite Existing Tags

This selection will only overwrite those tags of the same name when importing. Select this option when appropriate.


AutomationDirect SOLO Temp Controller Setup

This SOLO temperature controller driver allows C-more to easily and directly access the SOLO parameters for viewing and/or adjustment over a serial connection.

Checking SOLO Communications Parameters

The serial communication settings are shown below and should be set to match the settings in the C-more Programming Software Panel Manager window.

To check or change the serial communication parameters in SOLO, go to the Initial Setting Parameters (P3-xx) by pressing and holding the SET button on the front of the controller for more than 3 seconds.

  • Parameter P3-12 must be turned ON in order to be able to change parameters in the controller from C-more.

  • Parameter P3-13 must be set to RTU in order for C-more to be able to communicate to the controller.

  • Parameters P3-14, P3-15, P3-17 and P3-18 need only match the C-more Programming Software Panel Manager settings.

  • Parameter P3-16 must be set to 8.

C-more Panel Manager Settings

  1. To access the Panel Manager, Do one of the following:
  • From the Main menu, select Setup and then Panel Manger, or
  • From the Navigation window, click the Function tab, select Setup and then select Panel Manager.

  2. From the Panel Manager window, click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

  3. In the PLC Protocol field, click on the down arrow [image] and select the AutomationDirect SOLO Temp Controller selection.

Note: Any time you select a PLC Protocol that is different from the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the fields for the selected Protocol will be displayed as shown on the figure above.

Click here to learn more about Connection Through Another Panel.

The AutomationDirect SOLO Temp Controller Panel Manager window provides the data described in the table below.

Panel Manager

Field

Description

PLC Slave Number

The Slave Address of the SOLO controller. This number should match the value set in parameter P3-14 of the SOLO controller that is connected to C-more

Baud Rate

 The Baud Rate setting should match the rate set in parameter P3-15 of the SOLO controller.

Parity

The Parity setting should match the parity selected in parameter P3-17 of the SOLO controller

Stop Bit

This value should match the Stop bit selection configured in parameter P3-18 of the SOLO controller

Control RTS

If Yes is selected in this field, then C-more will assert the RTS signal of the serial port before transmitting data. This signal is commonly used with media converters, such as a FA-ISOCON

Require CTS

If Yes is selected in this field, then C-more will check to see if the CTS signal has been asserted from the connected device before it will transmit data.

Select RS 485

Select Yes for this field. The SD+ and RD+ must be jumpered and the SD- and RD- pins must be jumpered. This setting is on by default since the SOLO controllers use 2 wire RS-485 as their method of serial communication.

PLC Protocol, Registers Per Message and Coils Per Message

These fields are read only and are not accessible.

Timeout Time

The amount of time (in 100 ms) that the panel will wait on a reply after sending a request.

Poll Time

The amount of time (in milliseconds) that the panel will wait in between each request.


AutomationDirect SOLO Temp Controller Addressing

Note: See the SOLO Temperature Controller manual for description of parameters.

Note: Use C-more Tag Data Type "Discrete" for SOLO BIT Data Type and C-more Tag Data Type "Signed int 16" for SOLO WORD Data Type.

Memory Type

Read/Write Type

Data Type

PV_PROCESS_VALUE

R/W

WORD

SP_SET_POINT_VALUE

R/W

WORD

P1_1_At_AUTO_TUNING

R/W

BIT

P1_2_Pidn_PID_PARAM_GRP

R/W

WORD

P1_3_Sun_TARGET_SV

R/W

WORD

P1_4_Pn_PROPORT_BAND

R/W

WORD

P1_5_In_INTEGRAL_TIME

R/W

WORD

P1_6_dn_DERIV_TIME

R/W

WORD

P1_7_PdoF_PD_CONT_OFFSET

R/W

WORD

P1_8_IoFn_INTEGRAL_OFFSET

R/W

WORD

P1_9_HtS_HEATING_HYST

R/W

WORD

P1_10_CtS_COOL_HYST

R/W

WORD

P1_11_HtPd_OUT1_HEAT_PERIOD

R/W

WORD

P1_12_CLPd_OUT1_COOL_PERIOD

R/W

WORD

P1_13_HCPd_OUT2_PERIOD

R/W

WORD

P1_14_CoEF_PROP_BAND_COEFF

R/W

WORD

P1_15_dEAd_DEAD_BAND

R/W

WORD

P1_16_tPoF_PV_OFFSET

R/W

WORD

P1_17_CrHI_ANALOG_HI_ADJ

R/W

WORD

P1_18_CrLo_ANALOG_LO_ADJ

R/W

WORD

P2_1_r_S_RUN_STOP_CNTRL

R/W

BIT

STOP_RAMPSOAK_CNTRL

R/W

BIT

HOLD_RAMPSOAK_CNTRL

R/W

BIT

P2_2_Ptrn_START_RS_PATTERN

R/W

WORD

P2_3_SP_DECIMAL_PT_POS

R/W

WORD

P2_4_AL1H_ALARM1_HI_LIM

R/W

WORD

P2_5_AL1L_ALARM1_LO_LIM

R/W

WORD

P2_6_AL2H_ALARM2_HI_LIM

R/W

WORD

P2_7_AL2L_ALARM2_LO_LIM

R/W

WORD

P2_8_AL3H_ALARM3_HI_LIM

R/W

WORD

P2_9_AL3L_ALARM3_LO_LIM

R/W

WORD

P2_10_LoC_LOCK_MODE

R/W

WORD

P2_11_oUt1_OUTPUT1_LEVEL

R/W

WORD

P2_12_oUt2_OUTPUT2_LEVEL

R/W

WORD

P3_1_InPt_INPUT_TYPE

R/W

WORD

P3_3_tP_H_INPUT_RANGE_HI

R/W

WORD

P3_4_tP_L_INPUT_RANGE_LO

R/W

WORD

P3_5_CtrL_CONTROL_MODE

R/W

WORD

P3_7_S_HC_HEATING_COOLING

R/W

WORD

P3_8_ALA1_ALARM1

R/W

WORD

P3_9_ALA2_ALARM2

R/W

WORD

P3_10_ALA3_ALARM3

R/W

WORD

P3_11_SALA_SYSTEM_ALARM

R/W

WORD

P3_12_CoSH_ONLINE_CONFIG

R/W

BIT

P3_19_RMPSK_SV_PATT0_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT0_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT0_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT0_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT0_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT0_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT0_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT0_STEP7

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT1_STEP7

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT2_STEP7

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT3_STEP7

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT4_STEP7

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT5_STEP7

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT6_STEP7

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP0

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP1

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP2

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP3

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP4

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP5

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP6

R/W

WORD

P3_19_RMPSK_SV_PATT7_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT0_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT1_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT2_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT3_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT4_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT5_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT6_STEP7

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP0

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP1

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP2

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP3

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP4

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP5

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP6

R/W

WORD

P3_20_RMPSK_TIME_PATT7_STEP7

R/W

WORD

P3_21_LAST_STP_PATT0

R/W

WORD

P3_21_LAST_STP_PATT1

R/W

WORD

P3_21_LAST_STP_PATT2

R/W

WORD

P3_21_LAST_STP_PATT3

R/W

WORD

P3_21_LAST_STP_PATT4

R/W

WORD

P3_21_LAST_STP_PATT5

R/W

WORD

P3_21_LAST_STP_PATT6

R/W

WORD

P3_21_LAST_STP_PATT7

R/W

WORD

P3_22_ADDT_CYC_PATT0

R/W

WORD

P3_22_ADDT_CYC_PATT1

R/W

WORD

P3_22_ADDT_CYC_PATT2

R/W

WORD

P3_22_ADDT_CYC_PATT3

R/W

WORD

P3_22_ADDT_CYC_PATT4

R/W

WORD

P3_22_ADDT_CYC_PATT5

R/W

WORD

P3_22_ADDT_CYC_PATT6

R/W

WORD

P3_22_ADDT_CYC_PATT7

R/W

WORD

P3_23_NXT_PATT_NUM_PATT0

R/W

WORD

P3_23_NXT_PATT_NUM_PATT1

R/W

WORD

P3_23_NXT_PATT_NUM_PATT2

R/W

WORD

P3_23_NXT_PATT_NUM_PATT3

R/W

WORD

P3_23_NXT_PATT_NUM_PATT4

R/W

WORD

P3_23_NXT_PATT_NUM_PATT5

R/W

WORD

P3_23_NXT_PATT_NUM_PATT6

R/W

WORD

P3_23_NXT_PATT_NUM_PATT7

R/W

WORD

LED_STAT_ALM3

R

WORD (BIT)

LED_STAT_ALM2

R

WORD (BIT)

LED_STAT_SET_FAREN

R

WORD (BIT)

LED_STAT_SET_CELCIUS

R

WORD (BIT)

LED_STAT_ALM1

R

WORD (BIT)

LED_STAT_OUT2

R

WORD (BIT)

LED_STAT_OUT1

R

WORD (BIT)

LED_STAT_AT

R

WORD (BIT)

PB_STAT_SET

R

WORD (BIT)

PB_STAT_ROTATE

R

WORD (BIT)

PB_STAT_UP

R

WORD (BIT)

PB_STAT_DOWN

R

WORD (BIT)

FIRMWARE_VERSION

R

WORD

AT_LED_STATUS

R

BIT

OUTPUT1_LED_STATUS

R

BIT

OUTPUT2_LED_STATUS

R

BIT

ALARM1_LED_STATUS

R

BIT

F_LED_STATUS

R

BIT

C_LED_STATUS

R

BIT

ALARM2_LED_STATUS

R

BIT

ALARM3_LED_STATUS

R

BIT

SET_KEY_STATUS

R

BIT

FNC_KEY_STATUS

R

BIT

UP_KEY_STATUS

R

BIT

DOWN_KEY_STATUS

R

BIT

EVENT1_INPUT_STATUS

R

BIT

EVENT2_INPUT_STATUS

R

BIT

SYSTEM_ALARM_STATUS

R

BIT

RAMPSOAK_CNTRL_STATUS

R

BIT

P3_2_tPUn_TEMP_UNIT

R/W

BIT


A-B PLC Protocol Setup

Topic: CM049

Allen-Bradley PLC Protocol Setup

This help file includes set-up information for the following compatible Allen-Bradley PLCs:

The following examples are provided to show how different data formats for Allen-Bradley PLCs may be entered into the Tag Editor for the C-more Programming Software.

Data Types

Floating Point

Integer - Word

Integer - Bit

Input - Word

Input - Bit

System - Word

System - Bit

Binary - Word

Binary - Bit

Output - Word

Output - Bit

Time - Word

Timer - Bit

Counter - Accumulated Value

Counter - Done Bit

Control - Word

Control - Bit

Integer - Word

Integer - Bit

Binary - Word

Binary - Bit

Counter - Accumulated Value

Counter - Done Bit

Floating Point

Input - Word

Input - Bit

Output - Word

Output - Bit

Control - Word

Control - Bit

System - Word

System - Bit

Time - Word

Timer - Bit


Understanding Allen-Bradley Protocols

This topic describes the best use of Allen-Bradley Protocols with the C-more PLC.

DF1 Full Duplex: Used for point-to-point serial connections. If you are using only one C-more panel and one PLC, this is the most economical method of connecting C-more to an Allen-Bradley PLC.

DF1 Half Duplex: This is an economical method for connecting one C-more panel to multiple PLCs. Note that none of the Allen-Bradley PLCs have RS-422 or RS-485 for their serial connection so an RS-232-to-RS-422/485 converter (such as the FA-ISOCON) is required for each PLC.

Generic EtherNet/IP Server: This driver is atypical in that the messaging is initiated by the PLC instead of C-more. The C-more panel is treated basically like a Remote I/O drop. It contains a block of Input Words and Output Words, and the PLC either reads or writes this data back and forth. The PLC tags are not directly referenced as in the EtherNet/IP Client driver. This method is sometimes preferred by some customers for different applications.

EtherNet/IP Client: This driver is the more typical method of reading and writing data back and forth from the PLC. The C-more panel directly references the PLC tags and initiates the messages going back and forth. If your application involves using multiple C-more panels and/or multiple PLCs, this is the best method for accomplishing this.

DH485: This driver is mostly for legacy systems where it is desired to add a C-more panel to an existing network. It is possible with DH485 to have multiple C-more panels and multiple PLCs on the same network, but the performance is much less than EtherNet/IP. DH485 is not as robust as DF1 or EtherNet/IP.


C-more to Allen-Bradley PLC Optimization

In most situations, specific steps to optimize the communications between C-more and the Allen-Bradley PLC will not be necessary. Only in applications where very fast performance is desired or larger C-more projects on the bigger panels (12 inch or 15 inch) may necessitate more careful planning when designing the system.

To understand how to optimize the communications between C-more and the Allen-Bradley PLC, some fundamental knowledge of how and when communications are initiated is necessary.

Writing Data to the PLC

In most applications, C-more writes data to the Allen-Bradley PLC infrequently.

  • One way is when a Screen object is user-triggered. A Screen object will only write to the PLC when triggered by the user, such as when a Pushbutton object is pressed or released, the Enter key is pressed in a Numeric Entry object, the Slider object is moved, etc.
  • The second way that C-more will issue a write to the PLC is through the Event manager Tag Copy function. This can be triggered by a value change of a tag, a screen change or time scheduled. See the Event Manager functions for more details.
  • The third way that C-more will write to the PLC is through the Panel To PLC tags. These typically only occur on a value change and happen infrequently most of the time.

All in all, writes occur rarely enough in most cases that they typically do not need to be considered when trying to optimize communications.

Reading Data from the PLC

Several different functions will cause C-more to issue read requests from the PLC.

The most common are the objects on the current screen that is being displayed. The only screen objects that will issue read requests on screens other than the current screen being displayed are the Trend objects. Most of the time, optimizing the PLC addresses assigned to objects on the same screen will provide the most impact to increased performance.

Another function that will issue reads from the panel are Alarm Events and Tag events. Any event created with a tag object addressed to the PLC will constantly read from the PLC no matter which screen is currently being displayed. Careful planning of the addresses used in events will greatly increase communications performance as well.

The PLC to Panel tags will also be read constantly, with no regard to which screen is currently being displayed. PLC addressing of these tags should also be considered.

Optimization for non-Tag-based PLCs (SLC and MicroLogix)

The SLC and MicroLogix PLCs are fixed addressed PLCs. Grouping together consecutive addresses of the same data type in the same file without significant gaps between the addresses is the only way to optimize communications for these PLCs. Putting together tags of consecutive addresses on the same screen, in the event manager or in the PLC-to-Panel screen will greatly reduce the number of requested packets and will therefore greatly increase the number of updates to the objects visible.

Optimization for Tag-based PLCs (Control/Compact/FlexLogix PLCs)

The Control/Compact and FlexLogix PLCs are tag-based PLCs. The method of communications (both serial and Ethernet) involves sending the actual symbolic tag name in the request sent over the wire. This means that the tag names themselves affect the speed of the communications by creating larger and/or multiple requests to the PLC. Program space tag names are not efficient. Each tag name needs the PROGRAM: header as well as the name of the program in front of the tag name. This makes the size of the request much, much larger, hence requiring more requests to get multiple tags. Therefore, Controller scope tags should be used as much as possible.

Another method to reduce the size of the tag name requested without necessarily compromising the descriptive nature of a tag name is to use an Alias name in the C-more software. The alias name could be much shorter than the original tag name in the PLC.

The most effective method to reduce the number of requests from C-more to the PLC is to use arrays in the PLC and then assign the C-more tags to consecutive elements in the array of the PLC. C-more can then request multiple PLC tags with one request. This method will, by far, have the most impact in enhanced communication performance between C-more and the PLC.


A-B Non-standard Data Type Usage

Topic: CM526

Allen-Bradley Non-standard Data Type Usage

Limit C-more Tag data type selection to Allen-Bradley PLC memory type according to the chart below:

 | Discrete | Signed Int 16 | Signed Int 32 | Unsigned Int 16 | Unsigned Int 32 | BCD Int 16 | BCD Int 32 | Floating Pt 32 | ASCII String
O | Allow | Allow | Warning | Allow | Warning | Allow | Allow |  | Warning
I | Allow | Allow | Warning | Allow | Warning | Allow | Allow |  | Warning
S | Allow | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
B | Allow | Allow | Warning | Allow | Warning | Allow | Allow |  | Warning
T.EN/TT/DN | Allow |  |  |  |  |  |  |  |
T.ACC/PRE |  | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
C.DN/CU/ CD/OV/UN | Allow |  |  |  |  |  |  |  |
C.ACC/PRE |  | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
R.EN/DN/ EU/EM/ ER/UL/IN/FD | Allow |  |  |  |  |  |  |  |
R.LEN/POS |  | Allow | Warning | Allow | Warning | Warning | Warning |  | Warning
N | Allow | Allow | Allow | Allow | Allow | Allow | Allow |  | Allow
F | Allow | Warning | Warning | Warning | Warning | Warning | Warning | Allow | Warning
L | Allow | Warning | Allow | Warning | Allow | Warning | Warning |  | Warning
ST |  |  |  |  |  |  |  |  | Allow
  • Data type combinations identified with green “Allow” Cells will are allowed.
  • Data type combinations identified with yellow “Warning” cells will be allowed, but if the warning option in Tools Options is selected (Figure 1) then the warning message (Figure 2) will ask the programmer to verify that the nonstandard data type combination is intended before proceeding to add the tag. If the warning option in Tools Option is NOT selected then the tag will be added without the warning message.
  • Data type combinations identified with red cells will not be allowed.

Allen-Bradley data types:

O = Output (Word (Analog) & Bit (Discrete))

I = Input (Word (Analog) & Bit (Discrete))

S = Status Type

B = Bit Data

T = Timer

C = Counter

R = Control Data

N =Integer Data

F = Float Data

L = Long Data

ST =String Data

Timer, Counter and Control Data members:

.EN = Enable bit

.TT = Timer Timing bit

.DN = Done bit

.CU = Count Up enable bit

.CD = Count Down enable bit

.OV = Overflow bit

.UN = Underflow bit

.EU = Update enable bit

.EM = Stack empty bit

.ER = Error bit

.UL = Unload bit

.IN = Inhibit bit

.FD = Found bit

.PRE = Preset value

.ACC = Accumulated value

.LEN = Length value

.POS = Position value

If the warning option in Tools Option is selected and an existing tag identified by the yellow “Warning” cell is edited, the warning message will appear before the revisions are saved. This option is selected by default.


A-B SLC500 DF1 (Full Duplex) Protocol Setup

Topic: CM003

Allen-Bradley SLC 5/03, /04, /05 DF1 (Full Duplex) Protocol Setup

The following information applies for Allen-Bradley SLC 5/03/ /04, /05 PLCs compatible with C-more Panels using DF1 Full Duplex Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex (SLC500) selection. Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text or directly on the selection on the figure above.

Setup RSLogix 500

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0-System tab.

  3. From this Configuration window, make the following field selections and inputs:
  • For the Driver field, select DF1 Full Duplex.
  • For the Source ID field, leave set at 9.
  • For the Control Line field, choose No Handshaking.
  • For the following fields, match the C-more Panel Manager settings:
    • Baud Rate
    • Parity
    • Stop Bits
    • Error Detection (Checksum Type)

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.

Note: The Station Address does not matter when using DF1 Full Duplex.
  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshooting Tips for The Fields Discussed Above

  1. It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager). This is probably the most common cause for no communication between panel and PLC.
  2. If you are connecting the C-more panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.

    It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration

  1. An Address must exist in the PLC for every Address referenced in the C-more Project.For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). Then verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.
  3. To create a new Data File:
  1. Right click on Data Files and choose New (Note, you have to be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.
  3. Choose the Data Type.
  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number.This is also the same screen that you would use to increase the number of elements of an existing file.
  5. Select OK and download the changes to the processor.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B MicroLogix and SLC 500 Addressing

Topic: CM397

Allen-Bradley MicroLogix and SLC 500 Addressing

Note: Discrete I/O is Not Supported by SLC 5/01 and 5/02.

There are a few different formats of addressing that C-more supports when connecting to the Allen-Bradley SLC 500 and MicroLogix PLCs.

The Expanded I/O format allows the slot and word to be specified, which is more typical when trying to access Analog I/O data. The Non-Expanded I/O format only allows the slot to be specified and is more typical when trying to access Discrete I/O. The Non I/O Addressing format should be used for all other memory types.

Memory Type

File Number

Slot Number

Word Number

Bit Number

Description

Flag

Read/Write Type

Data Type

O

Expanded Format

0

1 to 30

Output

R/W

Word

Expanded Format

0

1 to 30

0 to 255

0 to 15

Output

R/W

Discrete

O

Non-Expanded Format

0

1 to 30

Output

R/W

Word

O

Non-Expanded Format

0

1 to 30

0 to 127

Output

R/W

Discrete

I

Expanded Format

1

1 to 30

Input

Read Only

Word

I

Expanded Format

1

1 to 30

0 to 255

0 to 15

Input

Read Only

Discrete

I

Non-Expanded Format

1

1 to 30

Input

Read Only

Word

I

Non-Expanded Format

1

1 to 30

0 to 127

Input

Read Only

Discrete

S

File number not used.

0 to 255

Status

Read Only

Word

S

File number not used.

0 to 255

0 to 15

Status

Read Only

Discrete

B

3:, 9: to 255:

0 to 255

Binary

R/W

Word

B

3:, 9: to 255:

0 to 255

0 to 15

Binary

R/W

Discrete

T

4:, 9: to 255:

0 to 255

Timer

.EN

Read Only

Discrete

.TT

Read Only

Discrete

.DN

Read Only

Discrete

.ACC

R/W

Word

.PRE

R/W

Word

C

5:, 9: to 255:

0 to 255

Counter

.DN

Read Only

Discrete

.ACC

R/W

Word

.PRE

R/W

Word

.CU

Read Only

Discrete

.CD

Read Only

Discrete

.OV

Read Only

Discrete

.UN

Read Only

Discrete

R

6:, 9: to 255:

0 to 255

Control

.EN

Read Only

Discrete

.DN

Read Only

Discrete

.EU

Read Only

Discrete

.EM

Read Only

Discrete

.ER

Read Only

Discrete

.UL

Read Only

Discrete

.IN

Read Only

Discrete

.FD

Read Only

Discrete

.LEN

R/W

Word

.POS

R/W

Word

N

7:, 9: to 255:

0 to 255

Integer

R/W

Word

N

7:, 9: to 255:

0 to 255

0 to 15

Integer

R/W

Discrete

F

8: to 255:

0 to 255

Float

R/W

Floating

F

8: to 255:

0 to 255

0 to 31

Float

R/W

Discrete

L

9: to 255:

0 to 255

Long

R/W

Double

L

9: to 255:

0 to 255

0 to 31

Long

R/W

Discrete

ST

9: to 255:

0 to 255

String

R/W

String


A-B DF1 and DH485 Error Codes

 | Topic: CM008
Allen-Bradley DF1 and DH485 Error Codes |

The following PLC Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the DF1 or DH485 Protocols.

DF1 includes Full and Half Duplex communications for the MicroLogix 1000, 1100, 1200, 1400 & 1500, the SLC 5/03, /04, /05, the ControlLogix, CompactLogix and FlexLogix, and Full Duplex communications for the PLC5.

DH485 includes all MicroLogix and SLC500 PLCs, and any communication connection using an Allen-Bradley AIC device using the DH485 Protocol.

The PLC-499 Error Code is used to show any Errors that are generated by the connected PLC. The PLC-499 Error message includes a four-digit hexadecimal value embedded in the message. This value can be looked up in the tables below to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley DF1 and DH485 communication protocols are represented by a hexadecimal value as shown in the diagram below. Please note that the Error Code is broken down into three sections. It is possible for more than one type of PLC Error to be displayed in this value.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the button provided below.

Note: The following Errors are generated from the designated PLC, monitored by the C-more panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

Allen-Bradley DF1/DH485 Remote Errors (4-7 bits)
Error Message | Description
0x0 | Success; No Error.
0x10 | Illegal command or format. Typical error received from PLC when addressed requested to the PLC does not exist. Usually occurs if memory map has not been expanded in PLC to the range requested from panel.
0x20 | Host has a problem and will not communicate.
0x30 | Remote node host is missing, disconnected, or shut down.
0x40 | Host could not complete function due to hardware fault.
0x50 | Addressing problem or memory protect rungs.
0x60 | Function not allowed due to command protection selection.
0x70 | Processor is in Program Mode.
0x80 | Compatibility mode file missing or communication zone problem.
0x90 | Remote node cannot buffer command.
0xA0 | Wait ACK (1775 KA buffer full).
0xB0 | Remote node problem due to download.
0xC0 | Wait ACK (1775 KA buffer full).
0xD0 | Not used.
0xE0 | Not used.
0xF0 | Error code in the EXT STS byte. See the error code table below.
Allen-Bradley DF1/DH485 Local Errors (0-3 bits)
Error Message | Description
0x0 | Success; No Error.
0x1 | DST Node is out of buffer space.
0x2 | Cannot guarantee delivery; link layer. (The remote node specified does not ACK command.)
0x3 | Duplicate token holder detected.
0x4 | Local port is disconnected.
0x5 | Application layer timed out waiting for response.
0x6 | Duplicate node detected.
0x7 | Station is offline.
0x8 | Hardware fault.
Allen-Bradley DF1/DH485 EXT STS Command Code for F0 Command
Error Message | Description
0x0 | Not used.
0x1 | A field has an illegal value.
0x2 | Fewer levels specified in address than minimum for any address.
0x3 | More levels specified in address than system supports.
0x4 | Symbol not found.
0x5 | Symbol is of improper format.
0x6 | Address does not point to something usable.
0x7 | File is wrong size.
0x8 | Cannot complete request; situation has changed since start of the command.
0x9 | Data or file size is too large.
0xA | Transaction size plus word address is too large.
0xB | Access denied; improper privilege.
0xC | Condition cannot be generated; resource is not available.
0xD | Condition already exists; resource is readily available.
0xE | Command cannot be executed.
0xF | Histogram overflow.
0x10 | No access.
0x11 | Illegal data type.
0x12 | Invalid parameter or invalid data.
0x13 | Address reference exists to deleted area.
0x14 | Command execution failure for unknown reason; possible PLC 3 histogram overflow.
0x15 | Data conversion error.
0x16 | Scanner not able to communicate with 1771 rack adapter.
0x17 | Type mismatch.
0x18 | 1771 module response was not valid.
0x19 | Duplicated label.
0x22 | Remote rack fault.
0x23 | Timeout.
0x24 | Unknown error.
0x1A | File is open; another node owns it.
0x1B | Another node is the program owner.
0x1C | Disk File is write protected or otherwise unavailable.
0x1D | Disk file is being used by another application. Update not performed (offline only).
0x1E | Data table element protection violation.
0x1F | Temporary internal problem.


A-B DF1 MicroLogix & SLC500 (Half Duplex)

Allen-Bradley SLC 5/03, /04, /05 & MicroLogix 1000, 1100, 1200, 1400 and 1500 DF1 (Half Duplex) Protocol Setup

Topic: CM001

The following information applies for Allen-Bradley SLC 5/03, /04, /05 & MicroLogix 1000, 1100, 1200, 1400 and 1500 PLC's compatible with C-more Panels using DF1 Half Duplex Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Half Duplex (MicroLogix/SLC500) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

Click here to learn more about Connection Through Another Panel.

Setup

RSLogix 500

All the settings discussed below must be set the same as the settings in the Panel Manager in the C-more Programming Software.

To set up the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0-System tab.

Note: If you are doing DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also match the Error Detection to the Checksum Type in the C-more Panel Manager.
  3. From this Configuration window, make the following field selections and inputs:
  • For the Driver field, select DF1 Half Duplex
  • For the Node Address, set the value to match the PLC Address in the C-more Panel Manager window shown at the top of this page.
  • For the Control Line field, choose No Handshaking
  • For the following fields, match the C-more Panel Manager settings:
    • Baud Rate
    • Parity
    • Stop Bits
    • Error Detection (Checksum Type)

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.
  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshooting Tips for The Fields Discussed Above

  • It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager). This is probably the most common cause for no communication between Panel and PLC.
  • If you are connecting the C-more Panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver. It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration

  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). The second thing to verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.
  3. To create a new Data File:
  1. Right click on Data Files and choose New (Note, you have to be Offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.
  3. Choose the Data Type.
  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the Number of Elements of an existing file.
  5. Select OK and download the changes to the processor.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B DH485 Setup

Topic: CM006

Allen-Bradley DH485 Setup

The following information applies for Allen-Bradley SLC500 MicroLogix PLCs using DH485 Protocol compatible with C-more Panels.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

Note: The fields on the Panel Manager window shown above are filled by default. Please keep in mind that the Panel Station Number refers to the Station Number of the Panel on the Network.This Number should be Unique on the Network.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DH485 (MicroLogix/SLC500/AIC) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text or directly on the selection on the figure above.

Set Up RSLogix 500

To set up the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.
  2. From the Channel Configuration window shown below, choose the Channel 1-System tab.

  3. From this Configuration window, make the following field selections and inputs:
  1. For the Driver, select DH85.
    • The Node Address should be unique on the network. Set this to match the Station Number selection in the C-more Panel Manager.
    • Match the Baud Rate with the C-more Panel Manager setting

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.
  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

PLC Address Configuration

  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left- hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). The second item to verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there are the proper number of elements in the file.
  3. To create a new Data File:
  1. Right click on Data Files and choose New (Note: you must be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.
  3. Choose the Data Type.
  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the number of elements of an existing file.
  5. Select OK and download the changes to the processor.

Troubleshooting Tips for The Fields Discussed Above

  • If you are connecting the C-more Panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver. It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B EtherNet/IP (Client) SLC5/05 Setup

Topic: CM115

Allen-Bradley EtherNet/IP (Client) SLC5/05 Setup

The following information applies for Allen-Bradley SLC 5/05 PLCs compatible with C-more Panels using EtherNet/IP (Client) Protocol.

Note: Requires SLC 5/05 Series A, FW Rev. OS501, FRN5. All Series B and C are supported.

Setup

RSLogix 500

To Setup the RSLogix 500 for this PLC, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Chan. 1 - System tab.

  3. From this configuration window, make the following field selections and inputs:
  • For the IP Address field, this is the IP Address that you enter in the C-more Panel Manager.
  • For the Subnet Mask, enter the same Subnet Mask as set in the C-more Panel Manager.
  • For the BOOTP Enable option, click on the checkbox to deselect it. C-more needs a static IP Address to connect to.
  • Leave all remaining settings as default.
  • Click on the OK button to close the Channel Configuration window.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Client (MicroLogix 1100) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

From the Panel Manager window shown above, configure each field as follows:

  1. IP Address: This is where you enter the IP Address of the Allen-Bradley PLC that you are targeting.
  2. Port (0-65535): This is where you enter the TCP Port Number that you are targeting.

Note: If you are on the same Local Network as the Allen-Bradley PLC, you should always use 44818 as the number. Only use a different Number if trying to go through or a Router or if instructed so by your Local Network Administrator.

  3. Retries: This is the Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an error on the screen and begin trying to send messages again.
  4. Connection Timeout: This is the amount of Time (in seconds) that the Panel will wait before it will Retry again after receiving a Reply when trying to initiate a TCP connection.
  5. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC. If this Timer expires, the Panel will automatically create a new connection when it is ready to request data again. This value should only need to be adjusted if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Panel to the PLC (long poll times, screens with only internal objects, etc.).
  6. Response Timeout: This is the amount of Time (in milliseconds) that the Panel will wait on a Reply after sending a Request. Once the Response Timeout timer expires, it will then Retry.
  7. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

Click here to learn more about Connection Through Another Panel.


A-B EtherNet/IP & ENI Adapter Error Codes

Topic: CM401

Allen-Bradley EtherNet/IP & ENI Adapter Error Codes

The PLC-496, PLC-497 and PLC-498 Error Codes are used to show any Errors that are generated by the connected PLC. These Error Messages include an eight digit hexadecimal value displayed embedded in the message. This value can be looked up in the specific PLC’s Error Tables to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley EtherNet/IP communication protocol is represented by a hexadecimal value.

There are three basic application levels of messaging with the Tag-Based EtherNet/IP protocol that C-more does.

  1. EIP (sometimes called Encapsulation Header) - (Error Code PLC-496)

  2. CIP - (Error Code PLC-497)

  3. Service Packet - (Error Code PLC-498)

Errors may come back in any of these levels, depending upon the situation. The following tables show the Errors and which levels they may come back in. These Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the EtherNet/IP protocol for the ENI Adapter.

PLC-496 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-496 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol - Encapsulation Errors -
(Error Code 0xaaaaaaaa returned from the PLC)

Panel Error Code

PLC-496 Hex Value

Description

0x00000001

The sender issued an invalid or unsupported encapsulation command.

0x00000002

Insufficient memory resources in the receiver to handle the command. You can get this error if the 1761-NET-ENI cannot connect to the PLC serially.

0x00000003

Poorly formed or incorrect data in the data portion of the encapsulation message.

0x00000004 -0x00000063

Reserved for legacy (Rockwell Automation).

0x00000064

An originator used an invalid session handle when sending an encapsulation message to the target.

0x00000065

The target received a message of invalid length.

0x00000066 -0x00000068

Reserved for legacy (Rockwell Automation).

0x00000069

Unsupported encapsulation protocol revision.

0x0000006a -0x000ffff

Reserved for future expansion.

Top of Page

PLC-497 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-497 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol - CIP Errors -
(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-497 Hex Value

Description

0x010100

Connection Manager: Connection in Use or Duplicate Forward Open.

0x010103

Connection Manager: Transport Class and Trigger combination not supported.

0x010106

Connection Manager: Ownership Conflict.

0x010107

Connection Manager: Connection not found at target application.

0x010108

Connection Manager: Invalid connection type (problem with type or priority).

0x010109

Connection Manager: Invalid connection size.

0x010110

Connection Manager: Device not configured.

0x010111

Connection Manager: RPI not supported. Could also be problem with inactivity timeout.

0x010113

Connection Manager: Connection Manager cannot support any more connections.

0x010114

Connection Manager: Either the vendor ID or the Product Code in the key segment did not match the device.

0x010115

Connection Manager: Product Type in the key segment did not match the device.

0x010116

Connection Manager: Major or minor revision information in the key segment did not match the device.

0x010117

Connection Manager: Invalid connection point.

0x010118

Connection Manager: Invalid configuration format.

0x010119

Connection Manager: Connection request fails since there is no controlling connection currently open.

0x01011a

Connection Manager: Target application cannot support any more connections.

0x01011b

Connection Manager: RPI is smaller than the Production Inhibit Time.

0x010203

Connection Manager: Connection cannot be closed since the connection has timed out.

0x010204

Connection Manager: Unconnected Send timed out waiting for a response.

0x010205

Connection Manager: Parameter error in Unconnected send service.

0x010206

Connection Manager: Message toolarge for Unconnected message service.

0x010207

Connection Manager: Unconnected acknowledge without reply.

0x010301

Connection Manager: No buffer memory available.

0x010302

Connection Manager: Network Bandwidth not available for data.

0x010303

Connection Manager: No Tag filters available.

0x010304

Connection Manager: Not configured to send real-time data.

0x010311

Connection Manager: Port specified in Port segment not available.

0x010312

Connection Manager: Link address specified in port segment not available.

0x010315

Connection Manager: invalid segment type or segment value in path.

0x010316

Connection Manager: Path and Connection not equal in close.

0x010317

Connection Manager: Ether Segment not present or Encoded Value in Network Segment is invalid.

0x010318

Connection Manager: Link address to self invalid.

0x010319

Connection Manager: Resources on Secondary unavailable.

0x01031a

Connection Manager: Connection already established.

0x01031b

Connection Manager: Direct connection already established.

0x01031c

Connection Manager: Miscellaneous.

0x01031d

Connection Manager: Redundant connection mismatch.

0x01031e

Connection Manager: No more consumer resources available in the producing module.

0x01031f

Connection Manager: No connection resources exist for target path.

0x010320 -0x0107ff

Connection Manager: Vendor specific.

0x020000

Resource unavailable: Connection Manager resources are unavailable to handle service request.

0x030000

Invalid parameter value.

0x040000

Path segment error: The path segment identifier or the segment syntax was not understood by the processing node.

0x050000

Path destination unknown: The path is referencing an object class, instance or structure element that is not known or is not contained in the processing node.

0x060000

Partial transfer: Only part of the expected data was transferred.

0x070000

Connection lost: The messaging connection was lost.

0x080000

Service not supported: The requested service was not implemented or was not defined for this Object Class/Instance.

0x090000

Invalid attribute value: Invalid attribute data detected.

0x0a0000

Attribute list error: An attribute in the Get_Attribute_List or Set_Attribute_List response has a non-zero status.

0x0b0000

Already in requested mode/state: The object is already in the mode/state being requested by the service.

0x0c0000

Object state conflict: The object cannot perform the requested service in its current mode/state.

0x0d0000

Object already exists: The requested instance of object to be created already exists.

0x0e0000

Attribute not settable: A request to modify non-modifiable attribute was received.

0x0f0000

Privilege violation: A permission/privilege check failed.

0x100000

Device state conflict: The device's current mode/state prohibits the execution of the requested service.

0x110000

Reply data too large: The data to be transmitted in the response buffer is larger than the allocated response buffer.

0x120000

Fragmentation of a primitive value: The service specified an operation that is going to fragment a primitive data value. For example, trying to send a 2 byte value to a REAL data type (4 byte).

0x130000

Not enough data: The service did not supply enough data to perform the specified operation.

0x140000

Attribute not supported: The attribute specified in the request is not supported.

0x150000

Too much data: The service supplied more data than was expected.

0x160000

Object does not exist: The object specified does not exist in the device.

0x170000

Service fragmentation sequence not in progress: The fragmentation sequence for this service is not currently active for this data.

0x180000

No stored attribute data: The attribute data of this object was no saved prior to the requested service.

0x190000

Store operation failure: The attribute data of this object was not saved due to a failure during the attempt.

0x1a0000

Routing failure, request packet too large: The service request packet was too large for transmission on a network in the path to the destination.

0x1b0000

Routing failure, response packet too large: The service response packet was too large for transmission on a network in the path from the destination.

0x1c0000

Missing attribute list entry data: The service did not supply an attribute in a list of attributes that was needed by the service to perform the requested behavior.

0x1d0000

Invalid attribute value list: The service is returning the list of attributes supplied with status information for those attributes that were invalid.

0x1e0000

Embedded service error: See Service Packet error list (PLC-498 Error codes) below:

0x1f0000

Vendor specific error: A vendor specific error has been encountered. This occurs when none of the specified errors relate to the error in the device.

0x200000

Invalid parameter: A parameter associated with the request was invalid. This code is used when a parameter does meet the requirements defined in an Application Object specification.

0x210000

Write-once value or medium already written: An attempt was made to write to a write-once-medium that has already been written or to modify a value that cannot be change once established.

0x220000

Invalid Reply Received: An invalid reply is received (example: service code sent doesn't match service code received.).

0x230000

Reserved by CIP for future extensions.

0x240000

Reserved by CIP for future extensions.

0x250000

Key failure in path: The key segment was included as the first segment in the path does not match the destination module. The object specific status shall indicate which part of the key check failed.

0x260000

Path Size Invalid: The size of the path which was sent with the Service Request is either not large enough to allow the Request to be routed to an object or too much routing data was included.

0x270000

Unexpected attribute in list: An attempt was made to set an attribute that is not able to be set at this time.

0x280000

Invalid Member ID: The Member ID specified in the request does not exist in the specified Class/Instance/Attribute.

0x290000

Member not settable: A request to modify a non-modifiable member was received.

0x2a0000

Group 2 only server general failure: This error code may only be reported by DeviceNet group 2 only servers with 4K or less code space and only in place of Service not supported, Attribute not supported and Attribute not settable.

0x2b0000 -0xcf0000

Reserved by CIP for future extensions.

0xd00000 -0xff0000

Reserved for Object Class and service errors: This range of error codes is to be used to indicate Object Class specific errors. Use of this range should only be used when errors in this table don't accurately reflect the error encountered.

Top of Page

PLC-498 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-498 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Service Packet Errors- (Error Code 0xaabbbb returned from the PLC)
Panel Error Code PLC-498 Hex Value | Description
0x010000 | DST Node is out of buffer space.
0x020000 | Cannot guarantee delivery; link layer (The remote node specified does not ACK command).
0x030000 | Duplicate token holder detected.
0x040000 | Local port is disconnected.
0x050000 | Application layer timed out waiting for response.
0x060000 | Duplicate node detected.
0x070000 | Station is offline.
0x080000 | Hardware fault.
0x100000 | Illegal command or format. Typical error received from PLC when addressed requested to the PLC does not exist. Usually occurs if memory map has not been expanded in PLC to the range requested from panel.
0x200000 | Host has a problem and will not communicate.
0x300000 | Remote node host is missing, disconnected, or shut down.
0x040000 | Host could not complete function due to hardware fault
0x050000 | Addressing problem or memory protected rungs.
0x060000 | Function not allowed due to command protection selection.
0x700000 | Processor is in Program Mode.
0x800000 | Compatibility mode file missing or communication zone problem.
0x900000 | Remote node cannot buffer command.
0xA00000 | Wait ACK (1775 KA buffer full).
0xB00000 | Remote node problem due to download.
0xC00000 | Wait ACK (1775 KA buffer full).
0xD00000 | Not used.
0xE00000 | Not used.
0xF00100 | Error code in the EXT STS byte. See the error code table below.
0xF00200 | Fewer levels specified in address than minimum for any address
0xF00300 | More levels specified in address than system supports.
0xF00400 | Symbol not found.
0xF00500 | Symbol is of improper format.
0xF00600 | Address does not point to something usable.
0xF00700 | File is wrong size.
0xF00800 | Cannot complete request, situation has changed since start of the command.
0xF00900 | Data or file size is too large.
0xF00A00 | Transaction size plus word address is too large.
0xF00B00 | Access denied; improper privilege. This will occur if data file is set to constant or protected.
0xF00C00 | Condition cannot be generated; resource is not available.
0xF00D00 | Condition already exists; resource is readily available.
0xF00E00 | Command cannot be executed.
0xF00F00 | Histogram overflow.
0xF01000 | No access.
0xF01100 | Illegal data type.
0xF01200 | Invalid parameter or invalid data.
0xF01300 | Address reference exists to deleted area.
0xF01400 | Command execution failure for unknown reason; possible histogram overflow.
0xF01500 | Data conversion error.
0xF01600 | Scanner not able to communicate with 1771 rack adapter.
0xF01700 | Type mismatch.
0xF01800 | 1771 module response was not valid.
0xF01900 | Duplicated label.
0xF02200 | Remote rack fault.
0xF02300 | Timeout.
0xF02400 | Unknown error.
0xF01A00 | File is open; another node owns it.
0xF01B00 | Another node is the program owner.
0xF01C00 | Reserved.
0xF01D00 | Reserved.
0xF01E00 | Data table element protection violation.
0xF01F00 | Temporary internal problem.


A-B EtherNet/IP (Client) ENI Adapter Setup

Topic: CM118

Allen-Bradley EtherNet/IP (Client) ENI Adapter Setup

The following information applies to Allen-Bradley ENI Adapters compatible with C-more Panels using EtherNet/IP (Client) Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

Note: When connecting to an A-B PLC with a 1761-NET-ENI, this driver requires that the ENI is a “Series B” or newer.

Setup RSLogix 500

To Setup the RSLogix 500 for this PLC, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0 tab.

  3. From this Configuration window, make the following field selections and inputs:
  • For the Driver field, click on the down arrow [image] and select DF1 Full Duplex.
  • Leave all remaining settings as default and click the OK button.
  4. Open the ENI Configuration Utility shown below.

  5. From this configuration window, make the following field selections and inputs:
  • For the IP Address field, this is the IP Address that you enter in the C-more Panel Manager.
  • For the Subnet Mask, it MUST match the C-more Subnet Mask.
  • For the Obtain Via BOOTP option, click on the checkbox to deselect it. This needs to be turned Off as shown above. C-more needs a static IP Address to connect to.
  • Leave all remaining settings as default.
  • Select Save to ENI ROM.

Note: Make sure to click on “Save To ENI ROM”. If you save to ENI RAM, settings will be lost on power cycle.

Note: Before attempting to connect C-more to ENI Adapter, verify configuration of ENI to PLC by connecting RS Logix 500 to the PLC via the ENI Adapter. Refer to Allen-Bradley documentation for details on this connectivity. Once connectivity has been established from RSLogix 500 to the PLC via the ENI Adapter, there should be no issues connecting C-more to the PLC via the ENI Adapter.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP SLC5/05/ENI Adapter) selection. Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

From the Panel Manager window shown above, configure each field as follows:

  1. IP Address: This is where you enter the IP Address of the Allen-Bradley PLC that you are targeting.
  2. Port (0-65535): This is where you enter the TCP Port Number that you are targeting.

Note: If you are on the same Local Network as the Allen-Bradley PLC, you should always use 44818 as the number. Only use a different Number if trying to go through or a Router or if instructed so by your Local Network Administrator.

  3. Retries: This is the Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an error on the screen and begin trying to send messages again.
  4. Connection Timeout: This is the amount of Time (in seconds) that the Panel will wait before it will Retry again after receiving a Reply when trying to initiate a TCP connection.
  5. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC. If this Timer expires, the Panel will automatically create a new connection when it is ready to request data again. This value should only need to be adjusted if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Panel to the PLC (long poll times, screens with only internal objects, etc.).
  6. Response Timeout: This is the amount of Time (in milliseconds) that the Panel will wait on a Reply after sending a Request. Once the Response Timeout timer expires, it will then Retry.
  7. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


Allen-Bradley Importing RSLogix Symbols to C-more

Importing RSLogix Symbols to C-more

Allen Bradley SLC500, MicroLogix and PLC-5 series PLCs use Symbols instead of Tag Names. The Symbol is just a name associated with a memory address. Within RSLogix500 software the user is allowed to assign Symbols to Addresses. Symbols can also be organized into Symbol Groups. A Description field is associated with each Symbol. To easily bring these Symbols/Addresses into the C-More project, we will export them from RSLogix 500 and import them into the C-more project.

Note: The CSV exported from RSLogix will only contain elements that have either a Symbol Name or a Description field. If an address is used but it is not assigned a Symbol or Description, it will not be included in the CSV export from RSLogix500.

Upon importing, the RSLogix500 Symbol will become the C-more Tag Name. If there is no Symbol Name, the Description field will be used as the C-more Tag Name. Name conflicts cannot occur with Symbols but are possible with Descriptions; the user should resolve these before importing.

Note: The Allen Bradley CSV Import feature was introduced in C-more Programming Software Version 2.1. Support for String and Long data files was added in Version 2.40. System Data Files are not imported, but can be created manually by the user.

Exporting from RSLogix500

To export from RSLogix 500, with your project file open click the Tools menu and select Database and then ASCII Export. The Documentation Database ASCII Export window will open. Select the various tabs and make the selections listed in the table below. When finished, press OK and save the file.

Tab | Action
RSLogix 500 | Deselect ALL Checkboxes
A.I. | Deselect ALL Checkboxes
AB APS | Deselect ALL Checkboxes
CSV | Select Addr/Symbol Desc and deselect all remaining checkboxes.

Importing into the C-more Project

To import a Tag Database into the C-more project, do the following:

  1. From the File menu, select Import and then Tag Name Database.

  2. Select the CSV file that was exported from RSLogix.

  3. Make sure A-B SLC and MicroLogix is selected for CSV Format.
  4. Select the Device that matches the PLC for which you are importing Tags.
    Protocol should say Allen-Bradley DF1 Full Duplex (SLC500)
  5. Click Import.


A-B MicroLogix 1000, 1100, 1200, 1400 & 1500 DF1 (Full Duplex) Protocol Setup

 | Topic: CM013
Allen-Bradley MicroLogix 1000, 1100, 1200, 1400 & 1500 DF1 (Full Duplex) Protocol Setup |

The following information applies for Allen-Bradley MicroLogix 1000, 1100, 1200, 1400 and 1500 PLCs compatible with C-more Panels using DF1 Full Duplex Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex (MicroLogix) selection. Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

To learn about the Connection Through Another Panel option, click on the green text or directly on the selection on the figure above.

Setup RSLogix 500

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 0-System tab.

  3. From this Configuration window, make the following field selections and inputs:
  • For the Driver field, select DF1 Full Duplex
  • For the Source ID field, leave set at 9
  • For the Control Line field, choose No Handshaking
  • For the following fields, match the C-more Panel Manager settings:
    • Baud Rate
    • Parity
    • Stop Bits
    • Error Detection (Checksum Type)

Caution: Record the old PLC settings as you change them for reconnecting with RSLogix later.

Note: The Station Address does not matter when using DF1 Full Duplex.
  4. Select OK from the Channel Configuration window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshoot Tips for The Fields Discussed Above

  1. It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager).This is probably the most common cause for no communication between panel and PLC.
  2. If you are connecting the C-more panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.

    It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration

  1. An Address must exist in the PLC for every Address referenced in the C-more Project.For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). Then verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.
  3. To create a new Data File:
  1. Right click on Data Files and choose New (Note, you have to be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.
  3. Choose the Data Type.
  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the number of elements of an existing file.
  5. Select OK and download the changes to the processor.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B MicroLogix 1100 & 1400 EtherNet/IP (Client) Protocol Setup

Topic: CM107

Allen-Bradley MicroLogix 1100 and 1400 EtherNet/IP (Client) Protocol Setup

The following information applies for Allen-Bradley MicroLogix 1100 & 1400 PLCs compatible with C-more Panels using EtherNet/IP (Client) Protocol.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

Setup RSLogix 500

To Setup the RSLogix 500 for this PLC, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Channel Configuration window shown below, choose the Channel 1 tab.

  3. From this configuration window, make the following field selections and inputs:
  • For the IP Address field, this is the IP Address that you enter in the C-more Panel Manager.
  • For the Subnet Mask, enter the same Subnet Mask as set in the C-more Panel Manager.
  • For the BOOTP Enable option, click on the checkbox to deselect it. C-more needs a static IP Address to connect to.
  • Leave all remaining settings as default.
  • Click on the OK button to close the Channel Configuration window.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Client (MicroLogix 1100) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

From the Panel Manager window shown above, configure each field as follows:

  1. IP Address: This is where you enter the IP Address of the Allen-Bradley PLC that you are targeting.
  2. Port (0-65535): This is where you enter the TCP Port Number that you are targeting.

Note: If you are on the same Local Network as the Allen-Bradley PLC, you should always use 44818 as the number. Only use a different Number if trying to go through or a Router or if instructed so by your Local Network Administrator.

  3. Retries: This is the Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an error on the screen and begin trying to send messages again.
  4. Connection Timeout: This is the amount of Time (in seconds) that the Panel will wait before it will Retry again after receiving a Reply when trying to initiate a TCP connection.
  5. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC. If this Timer expires, the Panel will automatically create a new connection when it is ready to request data again. This value should only need to be adjusted if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Panel to the PLC (long poll times, screens with only internal objects, etc.).
  6. Response Timeout: This is the amount of Time (in milliseconds) that the Panel will wait on a Reply after sending a Request. Once the Response Timeout timer expires, it will then Retry.
  7. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

Click here to learn more about Connection Through Another Panel.


AB Micro800 Serial

Topic: CM351

Allen-Bradley Micro800 Serial

Panel Manager Settings

  1. Baud Rate: The Baud Rate needs to match in C-more and the AB Micro800. For very long cable runs and especially noisy (electrical) environments, this rate may need to be reduced on both sides. The Micro800 settings can be found using the Connected Components Workbench software as shown below.
  2. Parity: This setting needs to match on both sides.
  3. Stop Bit: This setting needs to match on both sides. This is typically a value of 1.
  4. Checksum Type: This is the error detection method used to ensure quality data is being sent and received. This setting need only match on both sides.
  5. Timeout Time (1-255) (in 100ms units): This is the amount of Time (in milliseconds) that the panel will wait on the Command reply from the Micro800 CPU after sending a request. After the Timeout timer expires, the panel will display a PLC-001 timeout error on the screen.
  6. Poll Time (0-30000 msec): This is the amount of Time (in milliseconds) that the panel will wait in between each request.

Locating the Micro800 IPSerial Port Settings in Connected Components Workbench

Double-click on the controller at the top of the Project Organizer to see the settings for the PLC. Select the “Serial” option under the “Controller” section.

Note: The “Driver” field MUST be set to CIP Serial to communicate with the C-more panel.

The address field does not matter as C-more is using Full Duplex protocol. It is best to leave this field at Station 1.


AB Micro800 Serial Addressing

Topic: CM355

Allen-Bradley Micro800 Serial Addressing

Addressing

The C-more panel communicates to the AB Micro800 PLC through symbolic Addressing on EtherNet/IP.

Communications are limited to Global Variables (No Program Local Variables or Function Block Local Variables) of Atomic Data Types and Arrays of Atomic Data Types up to two dimensions.

The Atomic Data Types that can be accessed are shown in the chart below:

Atomic Data Types

Tag Name Example

PLCData Type

Description

C-More DataType

MY_BOOL_TAG

BOOL

Bit data

Discrete

MY_BYTE_TAG

BYTE

8 bit integer

Discrete

Unsigned int 16

Signed int 16

MY_SINT_TAG

SINT

8 bit integer signed

Discrete

Unsigned int 16

Signed int 16

MY_USINT_TAG

USINT

8 bit integer unsigned

Discrete

Unsigned int 16

MY_INT_TAG

INT

16 bit integer signed

Discrete

Unsigned int 16

Signed int 16

BCD int 16

MY_UINT_TAG

UINT

16 bit integer unsigned

Discrete

Unsigned int 16

Signed int 16

BCD int 16

MY_WORD_TAG

WORD

Discrete

Unsigned int 16

Signed int 16

BCD int 16

MY_DINT_TAG

DINT

32 bit integer signed

Discrete

Unsigned int 32

Signed int 32

BCD int 32

MY_DWORD_TAG

DWORD

32 bit integer unsigned

Discrete

Unsigned int 32

Signed int 32

BCD int 32

MY_UDINT_TAG

UDINT

Discrete

Unsigned int 32

BCD int 32

MY_REAL_TAG

REAL

32 bit floating point

Unsigned int 32

Floating point 32

MY_STRING_TAG

STRING

ASCII String (limited to 128 characters)

ASCIIString

LINT

64 bit data signed

Unsupported

LREAL

64 bit floating Point

LWORD

64 bit integer unsigned

ULINT

Examples

Also, Bit of Word is possible for the Integer Data Types:


AB EtherNet/IP Client Tag-Based (AB Micro800) Error Codes

Topic: CM356

Allen-Bradley EtherNet/IP Client Tag-Based (ABMicro800) Error Codes

The PLC-496, PLC-497 and PLC-498 Error Codes are used to show any Errors that are generated by the connected PLC. These Error Messages include an eight-digit hexadecimal value displayed embedded in the message. This value can be looked up in the specific PLC’s Error Tables to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley EtherNet/IP communication protocol is represented by a hexadecimal value.

There are three basic application levels of messaging with the Tag-Based EtherNet/IP protocol that C-more does.

  1. EIP (sometimes called Encapsulation Header) - (Error Code PLC-496)

  2. CIP - (Error Code PLC-497)

  3. Service Packet - (Error Code PLC-498)

Errors may come back in any of these levels, depending upon the situation. The following tables show the Errors and which levels they may come back in. These Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the EtherNet/IP protocol for the ENI Adapter.

PLC-496 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-496 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Encapsulation Errors -
(Error Code 0xaaaaaaaa returned from the PLC)

Panel Error Code

PLC-496 Hex Value

Description

0x00000001

The sender issued an invalid or unsupported encapsulation command.

0x00000002

Insufficient memory resources in the receiver to handle the command. You can get this error if the 1761-NET-ENI cannot connect to the PLC serially.

0x00000003

Poorly formed or incorrect data in the data portion of the encapsulation message.

0x00000004 -0x00000063

Reserved for legacy (Rockwell Automation).

0x00000064

An originator used an invalid session handle when sending an encapsulation message to the target.

0x00000065

The target received a message of invalid length.

0x00000066 -0x00000068

Reserved for legacy (Rockwell Automation).

0x00000069

Unsupported encapsulation protocol revision.

0x0000006a -0x000ffff

Reserved for future expansion.

Top of Page

PLC-497 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-497 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol - CIP Errors -
(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-497 Hex Value

Description

Notes

0x010100

Connection Manager: Connection in Use or Duplicate Forward Open.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Ethernet Module slot #

0x010103

Connection Manager: Transport Class and Trigger combination not supported.

0x010106

Connection Manager: Ownership Conflict.

0x010107

Connection Manager: Connection not found at target application.

0x010108

Connection Manager: Invalid connection type (problem with type or priority).

0x010109

Connection Manager: Invalid connection size.

0x010110

Connection Manager: Device not configured.

0x010111

Connection Manager: RPI not supported. Could also be problem with inactivity timeout.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Input/Output Module slot #

0x010113

Connection Manager: Connection Manager cannot support any more connections.

0x010114

Connection Manager: Either the vendor ID or the Product Code in the key segment did not match the device.

0x010115

Connection Manager: Product Type in the key segment did not match the device.

0x010116

Connection Manager: Major or minor revision information in the key segment did not match the device.

0x010117

Connection Manager: Invalid connection point.

0x010118

Connection Manager: Invalid configuration format.

0x010119

Connection Manager: Connection request fails since there is no controlling connection currently open.

0x01011a

Connection Manager: Target application cannot support any more connections.

0x01011b

Connection Manager: RPI is smaller than the Production Inhibit Time.

0x010203

Connection Manager: Connection cannot be closed since the connection has timed out.

0x010204

Connection Manager: Unconnected Send timed out waiting for a response.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC empty slot #

0x010205

Connection Manager: Parameter error in Unconnected send service.

0x010206

Connection Manager: Message too large for Unconnected message service.

0x010207

Connection Manager: Unconnected acknowledge without reply.

0x010301

Connection Manager: No buffer memory available.

0x010302

Connection Manager: Network Bandwidth not available for data.

0x010303

Connection Manager: No Tag filters available.

0x010304

Connection Manager: Not configured to send real-time data.

0x010311

Connection Manager: Port specified in Port segment not available.

0x010312

Connection Manager: Link address specified in port segment not available.

0x010315

Connection Manager: invalid segment type or segment value in path.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET

0x010316

Connection Manager: Path and Connection not equal in close.

0x010317

Connection Manager: Ether Segment not present or Encoded Value in Network Segment is invalid.

0x010318

Connection Manager: Link address to self invalid.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET (and is also the PLCs IP address)

0x010319

Connection Manager: Resources on Secondary unavailable.

0x01031a

Connection Manager: Connection already established.

0x01031b

Connection Manager: Direct connection already established.

0x01031c

Connection Manager: Miscellaneous.

0x01031d

Connection Manager: Redundant connection mismatch.

0x01031e

Connection Manager: No more consumer resources available in the producing module.

0x01031f

Connection Manager: No connection resources exist for target path.

0x010320 -0x0107ff

Connection Manager: Vendor specific.

0x020000

Resource unavailable: Connection Manager resources are unavailable to handle service request.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC non-existant slot #

0x030000

Invalid parameter value.

0x040000

Path segment error: The path segment identifier or the segment syntax was not understood by the processing node.

0x050000

Path destination unknown: The path is referencing an object class, instance or structure element that is not known or is not contained in the processing node.

0x060000

Partial transfer: Only part of the expected data was transferred.

0x070000

Connection lost: The messaging connection was lost.

0x080000

Service not supported: The requested service was not implemented or was not defined for this Object Class/Instance.

0x090000

Invalid attribute value: Invalid attribute data detected.

0x0a0000

Attribute list error: An attribute in the Get_Attribute_List or Set_Attribute_List response has a non-zero status.

0x0b0000

Already in requested mode/state: The object is already in the mode/state being requested by the service.

0x0c0000

Object state conflict: The object cannot perform the requested service in its current mode/state.

0x0d0000

Object already exists: The requested instance of object to be created already exists.

0x0e0000

Attribute not settable: A request to modify non-modifiable attribute was received.

0x0f0000

Privilege violation: A permission/privilege check failed.

0x100000

Device state conflict: The device's current mode/state prohibits the execution of the requested service.

0x110000

Reply data too large: The data to be transmitted in the response buffer is larger than the allocated response buffer.

0x120000

Fragmentation of a primitive value: The service specified an operation that is going to fragment a primitive data value. For example, trying to send a 2 byte value to a REAL data type (4 byte).

0x130000

Not enough data: The service did not supply enough data to perform the specified operation.

0x140000

Attribute not supported: The attribute specified in the request is not supported.

0x150000

Too much data: The service supplied more data than was expected.

0x160000

Object does not exist: The object specified does not exist in the device.

0x170000

Service fragmentation sequence not in progress: The fragmentation sequence for this service is not currently active for this data.

0x180000

No stored attribute data: The attribute data of this object was no saved prior to the requested service.

0x190000

Store operation failure: The attribute data of this object was not saved due to a failure during the attempt.

0x1a0000

Routing failure, request packet too large: The service request packet was too large for transmission on a network in the path to the destination.

0x1b0000

Routing failure, response packet too large: The service response packet was too large for transmission on a network in the path from the destination.

0x1c0000

Missing attribute list entry data: The service did not supply an attribute in a list of attributes that was needed by the service to perform the requested behavior.

0x1d0000

Invalid attribute value list: The service is returning the list of attributes supplied with status information for those attributes that were invalid.

0x1e0000

Embedded service error: See Service Packet error list (PLC-498 Error codes) below:

0x1f0000

Vendor specific error: A vendor specific error has been encountered. This occurs when none of the specified errors relate to the error in the device.

0x200000

Invalid parameter: A parameter associated with the request was invalid. This code is used when a parameter does meet the requirements defined in an Application Object specification.

0x210000

Write-once value or medium already written: An attempt was made to write to a write-once-medium that has already been written or to modify a value that cannot be change once established.

0x220000

Invalid Reply Received: An invalid reply is received (example: service code sent doesn't match service code received.).

0x230000

Reserved by CIP for future extensions.

0x240000

Reserved by CIP for future extensions.

0x250000

Key failure in path: The key segment was included as the first segment in the path does not match the destination module. The object specific status shall indicate which part of the key check failed.

0x260000

Path Size Invalid: The size of the path which was sent with the Service Request is either not large enough to allow the Request to be routed to an object or too much routing data was included.

0x270000

Unexpected attribute in list: An attempt was made to set an attribute that is not able to be set at this time.

0x280000

Invalid Member ID: The Member ID specified in the request does not exist in the specified Class/Instance/Attribute.

0x290000

Member not settable: A request to modify a non-modifiable member was received.

0x2a0000

Group 2 only server general failure: This error code may only be reported by DeviceNet group 2 only servers with 4K or less code space and only in place of Service not supported, Attribute not supported and Attribute not settable.

0x2b0000 -0xcf0000

Reserved by CIP for future extensions.

0xd00000 -0xff0000

Reserved for Object Class and service errors: This range of error codes is to be used to indicate Object Class specific errors. Use of this range should only be used when errors in this table don't accurately reflect the error encountered.

Top of Page

PLC-498 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-498 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol - Service Packet Errors -
(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-498 Hex Value

Description

0x040000

This general status codes that the tag name could not be deciphered. This could mean that the tag name was entered incorrectly or does not exist in the PLC.

0x050000

The particular item referenced (usually instance) could not be found.

0x060000

The amount of data requested would not fit into the response buffer. Partial data transfer has occurred.

0x0a0000

An error has occurred trying to process one of the attributes.

0x0f2100

The requested tag is read only in the CCW project.

0x130000

Not enough command data/parameters were supplied in the command to execute the service requested.

0x1c0000

An insufficient number of attributes were provided compared to the attribute count.

0x260000

The tag name length specified did not match what was in the message.

0xff0521

You have tried to access beyond the end of the data object.

0xff0721

The abbreviated type does not match the data type of the data object.

0xff0421

The beginning offset was beyond the end of the template.

Top of Page


AB Micro800 EtherNet/IP Client Tag-Based

Topic: CM347

Allen-Bradley Micro800 EtherNet/IP Client Tag-Based

Panel Manager Settings

  1. IP Address: Enter the IP Address of the AB Micro800 CPU. It can be found using the Connected Components WorkbenchSoftware discussed on next subject below.
  2. Port (0–65535): Set the EtherNet/IP listening TCP port number on the PLC. The default value is 44818. This field can be changed in the event that the C-more panel needs to access the PLC through a firewall using NAT.
  3. CPU Slot Number (0–247): This is the Slot Number of the CPU. The default value is 0. This field should not be changed unless there is a processor added to another slot (functionality did not yet exist at the time this document was developed).
  4. Retries (0-10): The C-more panel will send a request to the Micro800 CPU. If the CPU does not reply within the specified “Response Timeout” period, the C-more panel will send the request again up to the number of Retries. Once the Retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen.
  5. Connection Timeout (1-30) (in 1 second units): This is the amount of Time (in seconds) that the panel will wait on a TCP connection from the Micro800 CPU.
  6. Inactivity Timeout (8, 16, 32, 64 and 128) (in 1 second units): If the C-more panel does not send a message within the time period specified in this field, the AB Micro 800 CPU will close the connection to free up its resources.
  7. Response Timeout (100-30000) (in 1ms units): This is the amount of Time (in 1ms units) that the panel will wait on the Command reply from the Micro800 after sending a request. After the Timeout timer expires, it will then retry.
  8. Poll Time (0-30000 msec): This is the amount of Time (in milliseconds) that the panel will wait in between each request.

Locating the Micro800 IPAddress in Connected Components Workbench

Double click on the controller at the top of the Project Organizer to see the settings for the PLC. Select the “Ethernet” option under the “Controller” section:


AB Micro800 EtherNet/IP Addressing

Topic: CM348

Allen-Bradley Micro800 EtherNet/IP Addressing

Addressing

The C-more panel communicates to the AB Micro800 PLC through symbolic Addressing on EtherNet/IP.

Communications are limited to Global Variables (No Program Local Variables or Function Block Local Variables) of Atomic Data Types and Arrays of Atomic Data Types up to two dimensions.

The Atomic Data Types that can be accessed are shown in the chart below:

Atomic Data Types

Tag Name Example

PLCData Type

Description

C-more Data Type

MY_BOOL_TAG

BOOL

Bit data

Discrete

MY_BYTE_TAG

BYTE

8 bit integer

Discrete

Unsigned int 16

Signed int 16

MY_SINT_TAG

SINT

8 bit integer signed

Discrete

Unsigned int 16

Signed int 16

MY_USINT_TAG

USINT

8 bit integer unsigned

Discrete

Unsigned int 16

MY_INT_TAG

INT

16 bit integer signed

Discrete

Unsigned int 16

Signed int 16

BCD int 16

MY_UINT_TAG

UINT

16 bit integer unsigned

Discrete

Unsigned int 16

Signed int 16

BCD int 16

MY_WORD_TAG

WORD

Discrete

Unsigned int 16

Signed int 16

BCD int 16

MY_DINT_TAG

DINT

32 bit integer signed

Discrete

Unsigned int 32

Signed int 32

BCD int 32

MY_DWORD_TAG

DWORD

32 bit integer unsigned

Discrete

Unsigned int 32

Signed int 32

BCD int 32

MY_UDINT_TAG

UDINT

Discrete

Unsigned int 32

BCD int 32

MY_REAL_TAG

REAL

32 bit floating point

Unsigned int 32

Floating point 32

MY_STRING_TAG

STRING

ASCII String (limited to 128 characters)

ASCIIString

LINT

64 bit data signed

Unsupported

LREAL

64 bit floating Point

LWORD

64 bit integer unsigned

ULINT

Examples

Also, Bit of Word is possible for the Integer Data Types:


AB Micro800 EtherNet/IP Tag Import Method

Topic: CM349

Allen-Bradley Micro800 EtherNet/IP Tag Import Method

Tag Import Method

Tags from the Connected Components Workbench software can be imported into the C-more Programming Software. The following steps explain how this is accomplished. Open the “Global Variables” window in the Connected Components Workbench software:

Scroll to the Tags that need to be Imported to the C-more Programming Software (NOTE the supported data types in the Addressing section). Click inside the left-most blue column next to the first Tag. Then hold the Shift key and Down Arrow to highlight all of the Tags to be imported. Then press the CTRL and C keys to Copy these Tags.

Open Notepad and click in the white space area and press the CTRL and V keys to Paste in the Tags. It should look like the window below:

Save the Tag Notepad file to a location to be accessed later. Save the file with an .XML on the end of the file name and “Text Documents (*.txt)” and the Save as Type.

Open the C-more Programming software and the C-more Project that addresses the Micro800 project. Go to File>Import>Tag Name Database.

Choose the XML file saved in Notepad earlier.

Make the choices in the following window as shown below:

  1. For “Device” choose the appropriate device created for the AB Micro800.
  2. You can choose to limit the number of elements imported from any Array Tags that were copied to the XML file. All of the elements of the Array may not be needed and this selection can help to reduce ‘clutter’ in the Tag Name Database.
  3. Any subsequent Import that may have changed some attributes of Tags will need to be Overwritten. Choose the “Overwrite Existing Tags” option in this situation.

After these selections have been configured, click on the “Import” button.

If any Tags with unsupported Data Types were copied and pasted into the XML file, it will be indicated in a Log View window at this point. The supported Tags will be Imported.

The Imported Tags can be viewed in the C-more Tag Name Database window.


A-B EtherNet/IP Client Tag-Based (Control/CompactLogix) Setup

Topic: CM015

Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix) Setup

The following information applies for Allen-Bradley PLCs for the purpose of setting up C-more Panels to do Tag-Based Messaging via EtherNet/IP as a Client. The ONLY models included for this setup are:

  • ControlLogix 1756-ENBT and 1756-ENET/B
  • CompactLogix with Built-in EtherNet/IP

Note: For additional information on the Tags used for Allen-Bradley Tag-Based protocols, click on the button below to view the Control/CompactLogix Tag Names topic.

Setup a Tag Based EtherNet/IP

To Setup a C-more Panel as a Tag Based EtherNet/IP Client to communicate with Control/CompactLogix PLCs, the first thing we need to do is match the Communication Parameter

To do this follow these steps:

  1. Open the RSLogix 5000 Start Screen shown below.

  2. This step assumes you have already configured your Ethernet Port/Module.If you have not, refer to your Allen-Bradley documentation to assist you in doing this first.

    Right click on the EtherNet Module under the I/O Configuration indicated on the figure above and choose Properties. The Module Properties window shown below will open.

Under the General Tab in the Address/Host Name Section, the IP Address shown in the field is the IP Address you will enter in the C-more Panel Manager configuration discussed below.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new simple single tag C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to a simple tag. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

C-more Panel Manager Settings

  1. To Open the C-more Panel Manager, from the Main Menu of the C-more Programming Software, select Setup. The drop-down menu shown below opens.

  2. From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings.From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

  3. From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix) selection. Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

  4. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

Configure the C-more Panel Manager

The C-more Panel Manager Configuration fields for the Allen-Bradley EtherNet/IP Client Tag-Based protocol for Control/CompactLogix are shown above.

The parameter values in C-more MUST match the parameter values on the RSLogix5000 setup explained above on this topic.

The parameters available are:

  1. IP Address: Enter the IP Address of the PLC you are targeting.
  2. Port (0-65535): This is the TCP Port number that you are targeting. NOTE: If you are on the same local network as the Allen-Bradley PLC, you should always use 44818 as the number. Only use a different number if trying to go through a router or if instructed so by your local Network Administrator.
  3. CPU Slot Number (0 – 247): This is the slot number that the ControlLogix CPU resides in.
  4. Connection Options: The Connection Path is made up of 4 segments. Depending on the PLC, the Port used and the Version, different segments may be excluded from the Connection Path. Connection Path: 01 00 20 02 24 01 2c 01.

    01 00
    - Port Segment: Port 1 and slot 0.
    - The Port number is the path to the backplane and is always fixed at 1.
    - The Slot number is the physical slot number of the CPU. It is the same as the CPU Slot Number field in the C-more Panel Manager settings. The range is 0-247.

    20 02
    - Class Segment (20):2 = Message Router

    24 01
    - Instance Segment (24): Instance 1

    2c 01
    - Connection Point Segment (2c): Connection Point 1

    The Connection Options selection is provided due to changes over time in the Allen-Bradley Control/Compact Logix Connection Path.
    1 - Default: This selection will work with most connections. The Connection Path excludes the Connection Point Segment and is 01 00 20 02 24 01.
    2 - L8xE Built-in Ethernet Port: This selection accommodates the L8xE series PLC built-in Ethernet Port. The Connection Path excludes the Port segment and is 20 02 24 01.
    3 - AB Version 14 or earlier: Allen-Bradley PLC version 14 and earlier use the full Connection Path, 01 00 20 02 24 01 2c 01.
  5. Retries: This is the number of times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the retry count has been reached, the Panel will show an error on the screen and begin trying to send messages again.
  6. Connection Timeout: This is the amount of Time (in seconds) that the Panel will wait upon a reply when trying to initiate a TCP connection before it will Retry again.
  7. Inactivity Timeout: This value is sent to the PLC. The PLC will hold an open connection for this amount of Time. Once this Time value has expired, it will release its connection to free up resources for the PLC.If this Timer expires, the panel will automatically create a new connection when it is ready to request data again. This value should only need adjustment if many devices are communicating to the PLC and there are situations where there are long delays in requests from the Panel to the PLC (long Poll Times, screens with only internal objects, etc.).
  8. Response Timeout: This is the amount of Time (in milliseconds) that the Panel will wait on a Reply after sending a request. Once the Response Timeout Timer expires, it will then Retry.
  9. Poll Time: This is the Time (in milliseconds) that the Panel will wait in between each message that it sends to a configured device (after the device responds). If this field is set to "0", the Panel will Poll as fast as its resources and the selected protocol will allow.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

To learn more about Pass Through and using the Connection Through Another Panel option, click on the button below:


A-B Control/CompactLogix Tags

Topic: CM128

Allen-Bradley Control/CompactLogix Tags

The ControlLogix, CompactLogix and FlexLogic PLCs are Tag Based PLC architectures and do not have traditional PLC Addressing like the SLC and MicroLogix series.

The five main types of Tags that can be requested from the PLC are listed and discussed below:

  • Atomic
  • Pre-Defined Structures
  • Arrays
  • User-Defined Structures
  • Add-On Instructions

Atomic Tags

Atomic Tags are the base data type unit of which all other complex data types are comprised. The Atomic data types are:

  • BOOL
  • SINT
  • INT
  • DINT
  • REAL.

The syntax for the Atomic data types is simply the tag name itself (no pre cursors or delimiters). All Atomic data types are addressable in the C-more programming software and can be imported via the L5K or L5X file.

Examples:

Tag Name

Type

Tag Description

THIS_IS_A_BOOL_TAG

BOOL

Single Bit

THIS_IS_A_SINT_TAG

SINT

Byte or Short Integer

THIS_IS_A_INT_TAG

INT

Single Word Single Integer

THIS_IS_A_DINT_TAG

DINT

Double Word Signed Integer

THIS_IS_A_REAL_TAG

REAL

Double Word Float

Pre-Defined Structures Tags

Pre-Defined data types are complex data types that are made up of 1 or more Atomic data types, Arrays, or other Pre-defined data types. They are commonly called “Structures” in other programming languages such as C. The Pre-defined data types already exist in RS Logix 5000 with every new project that is created.

Structures include:

  • Timers
  • Controls
  • Counters
  • Strings
  • Or any grouping of different data types that function as a single unit and serve a specific purpose pre-defined in the software.

Examples:

Tag Name

Type

Tag Description

TIMER_TAG.DN

BOOL

A "timer done" member of a TIMER structure.

TIMER_TAG.ACC

DINT

A "timer accumulated time" member of a TIMER structure.

STRING_TAG.DATA

STRING

The actual string data member of a STRING structure.

There are hundreds of Pre-defined data types available in the RS Logix 5000 software. All Pre-defined data types are addressable in the C-more programming software. The Pre-defined data types can be imported via the L5K or L5X file, but the L5KPreDefine.txt or L5XPreDefine.txt document located in Documents\AutomationDirect\C-more\Setting must be modified for this purpose.

See Importing Control/CompactLogix Predefined Data Types.

Array Tags

Array Tags are a data structure of a sequential set of the same data type. Each element is accessed by an index number. Arrays can be created from Atomic data types or complex data types (Pre-defined or User-defined). All Array Tags are addressable in the C-more programming software. Array Tags (depending upon what data type array) can be imported via L5K or L5X file. You may choose to limit the number of imported elements by adjusting the Import Array Element Count Limit field in the C-more programming software import window.

Examples:

Tag Name

Type

Tag Description

BOOL_ARRAY[0]

BOOL

The first element of a BOOL array.

DINT_ARRAY[10]

DINT

The 11th element of a DINT array.

STRUCTURE_ARRAY[0].BOOL

BOOL

A BOOL member of an array of structures.

User-Defined Tags

User-Defined Structures are complex data types that are created by the user. They are very much like the Pre-defined structures, but the user may choose which data type members the User-defined data type is comprised. All User-defined data types are addressable in the C-more programming software. User-defined data types are also importable via L5K or L5X file depending upon the members of the user-defined data type.

Examples:

  • MY_STRUCT_1.DINT_MEMBER.INTARRAY_MEMBER[0].BOOL_MEMBER is a BOOL member of INT ARRAY member of a DINT member of the MY_STRUCT data type that the user created.

Add-On Instructions

Add-On Instructions allow the programmer to organize common routines and reuse logic. The AOI Parameters are similar to how UDT Members are defined. When an AOI Datatype is used for a Controller or Program Scope Tag, the AOI Parameters become the structure members.

Here the AOI Parameters and Local Tags are defined.

Here are Controller Scope AOI Tags. Notice that the AOI Local Tags are not available. Only Input and Output Tags are available at the Controller or Program Scope. Additionally, for C-more Access, those tags must also be marked with “Read/Write” or “Read Only” External Access permission.

Note: Importing Tags of the Add-On Instruction tags is only supported using the L5X (not L5K). See the section, “Importing Tags Method”.

Tag Entering Methods

Tags can be entered into the C-more Programming Software using either of these two different methods:

  • Importing Tags
  • Entering Tags Manually

See the methods explained below or click on the green text above to go directly to the subject.

Importing Tags Method

The easiest method to add PLC Tags to the C-more project is to Import the L5K or L5X file from RSLogix 5000.

The newer L5X file format allows C-more to directly import I/O Module tags. A configuration file can be customized to reduce the I/O Module tags, which are automatically imported. By default, all I/O Module tags are imported, which may create a large number of unnecessary tags. To disable a group of Module tags from being imported, change the value from 1 to 0.

The configuration file is found at this path: \Documents\AutomationDirect\C-more\Setting\L5XPreDefine.txt

The available options are:

ModuleIO_Include_Local=1

ModuleIO_Include_Remote=1

ModuleIO_Include_Inputs=1

ModuleIO_Include_Outputs=1

ModuleIO_Include_Config=1

ModuleIO_Include_Status=1

The C-more Programming Software will import both Controller Scope and Program Scope tags. In RSLogix 5000, the project can be saved as an .L5K or .L5X extension by clicking on Save As and choosing L5K or L5X at the bottom of the Save As Type drop-down menu as shown below.

From the C-more Programming Software, from the Main menu select File, The drop-down menu shown below will open. From the File drop-down menu, select Import and then Tag Name Database.

The Import Tag Name Database window shown below will open. In the File Path field, click the drop-down arrow and choose your .L5K file and click Import.

If you have multiple PLCs in your C-more Programming Software project, you can choose what Device to Import the tags into. You can also choose text to append to the end of each tag if you are importing multiple projects with the same Tag Names. To learn more about Importing Tag Names, click on the green text.

Note: The C-more Programming Software can import Atomic Tags, TIMER Data Type tags, COUNTER Data Type tags, STRING Data Type tags, and User-defined Data Type tags containing the preceding Tag Types from an RSLogix 5000 .L5K or .L5X file. All other Pre-defined Data Type tags or User-defined Data Type tags comprising Pre-defined Data Type tags (except TIMERS, COUNTERS, and STRINGS) may be imported usingthe methods described in Help Topic Importing Control/CompactLogix Predefined Data Types.

Manually Adding a Tag Method

The second method to add tags to the C-more Programming Software is to manually enter the tags directly. This method can be used for any tag type.

To add a Tag Name, from the C-more Programming Software, click the Main menu and select the Database. The drop-down menu shown below will open. From the Database drop-down menu, select Tag Name Database.

From the Tag Name Database window, click the Add button located on the lower left portion of the window and follow these steps:

  1. Once the Add button is selected the Tag Name - Add window shown below will appear.

  2. The window allows the user to enter the required information for the parameter fields for the new tag name. The following list provides information on the fields available:
  • No.: The Number the application automatically assigns to the tag name.
  • Device Name: Provides a drop-down list of available Devices to which this tag name can be assigned. If using a Panel Internal Tag, select Internal or select an External PLC name (DEV001, DEV002, etc.) assigned in the Panel Manager.
  • Tag Name: Type in a tag name that will help you easily identify the Tag.
  • Tag Data Type: Select the Data Type (Discrete, BCD int 16, ASCII String, etc.) required for this specific tag.
  • Characters: This field is inactive and will only be active if the ASCII String Data Type is selected. This field allows the user to identify the Number of Characters for the ASCII String.
  • Retentive: This checkbox is inactive and will only be active when entering InternalTags (Device Name selection = <INTERNAL>). Click on the checkbox to set the tag as Retentive. If power is lost at the C-more panel, the value of the tag when power was lost will be stored in SDRAM, and when power is restored, to the C-more panel, the tag will retain that value.
  • PLC Address: The PLC Address is not active unless a PLC device has been selected for the Device Name. The PLC Address requires the user to enter the Memory Type and the Address in the selected PLC. When using Discrete Data Type, a Bit Value must be entered. Knowledge of the values for these fields will be required.

Note: For the PLC Address portion of the Tag Name - Add window, in the Address field, enter the PLC Tag Name displayed on the RSLogix 5000 window. The figure below shows a view of the RSLogix 5000 window displaying tag names. The contents for the specific tag under the Tag Name column is what will be entered.

Note: When a Tag Name is added to the Tag Name Database, notice that Memory Type and Address are listed together under the PLC Address column of the Tag Name Database window as shown below. The figure shows that the PLC Address INT THIS_IS_AN_INT_TAG, INT is the Memory Type and THIS_IS_AN_INT_TAG is the actual Address.

Memory Types

Memory Types available for the Allen-Bradley Tag-Based Control/CompactLogix PLCs are:

  • DINT: Represents a Memory with a value of 32-bit 2s compliment integer -2,147,483,648 to 2,147,483,647.
  • INT: Represents a Memory with a value of 16-bit 2s compliment integer -32,768 to 32,767.
  • SINT: Represents a Memory with a value of 8-bit 2s compliment integer -128 to 127.
  • STRING: Represents a Memory with an ASCII string value.
  • CONTROL: Represents Memory that holds Complex Instructions.
  • COUNTER: Represents Memory that holds values from a Counter.
  • MESSAGE:Memory used for Communication purposes between remote devices.
  • PID:Memory used for PID control functions.
  • TIMER: Represents Memory that holds values from a Timer.

Other Memory Types available for other PLCs are:

  • BOOL: Represents Memory that holds a Boolean TRUE or FALSE value.
  • REAL: Represents a Memory with a 32-bit floating point value +/-1.1754944e-38 to +/-3.4028237e38.

Edit a Tag

To Edit a Tag Name, from the Tag Name Database window click on the Edit button on the lower left portion of the window or you may also double-click on the Tag Name directly. The Tag Name - Edit window shown below will open.

To edit the Tag Name fields, click on the respective field and overwrite the current information or click on the down arrow [image] and select a different selection from the drop-down list. For more information on the fields, click on the green Add a Tag Name text. The information about the fields applies for editing also.

Program Scope Tags

While Controller Scope tags are globally accessible, Program Scope tags are only accessible from with the specific program. Program Scope tags can be accessed via C-more or other HMIs but they require additional syntax in front of the tag name.

To access Program Scope Tags, they must be entered as follows:

Program:aaaa.bbbb

Where aaaa is the name of the program in the PLC and bbbb is the Tag Name. The figures below show examples of this.

As seen in the figures above, the PLC Program Name is Main Program and the PLC Tag Name is DINT_PROGRAM_TAG. Therefore, the PLC Address entered in C-more is:

PROGRAM:MAIN PROGRAM.DINT_PROGRAM_TAG


A-B EtherNet/IP Client Tag-Based (Control/CompactLogix) Error Codes

Topic: CM353

Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix) Error Codes

The PLC-496, PLC-497 and PLC-498 Error Codes are used to show any Errors that are generated by the connected PLC. These Error Messages include an eight-digit hexadecimal value displayed embedded in the message. This value can be looked up in the specific PLC’s Error Tables to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley EtherNet/IP communication protocol is represented by a hexadecimal value.

There are three basic application levels of messaging with the Tag-Based EtherNet/IP protocol that C-more does.

  1. EIP (sometimes called Encapsulation Header) - (Error Code PLC-496)

  2. CIP - (Error Code PLC-497)

  3. Service Packet - (Error Code PLC-498)

Errors may come back in any of these levels, depending upon the situation. The following tables show the Errors and which levels they may come back in. These Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the EtherNet/IP protocol for the ENI Adapter.

PLC-496 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-496 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol - Encapsulation Errors -
(Error Code 0xaaaaaaaa returned from the PLC)

Panel Error Code

PLC-496 Hex Value

Description

0x00000001

The sender issued an invalid or unsupported encapsulation command.

0x00000002

Insufficient memory resources in the receiver to handle the command. You can get this error if the 1761-NET-ENI cannot connect to the PLC serially.

0x00000003

Poorly formed or incorrect data in the data portion of the encapsulation message.

0x00000004 -0x00000063

Reserved for legacy (Rockwell Automation).

0x00000064

An originator used an invalid session handle when sending an encapsulation message to the target.

0x00000065

The target received a message of invalid length.

0x00000066 -0x00000068

Reserved for legacy (Rockwell Automation).

0x00000069

Unsupported encapsulation protocol revision.

0x0000006a -0x000ffff

Reserved for future expansion.

Top of Page

PLC-497 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-497 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol - CIP Errors -
(Error Code 0xaabbbb returned from the PLC)

Panel Error Code
PLC-497 Hex Value

Description

Notes

0x010100

Connection Manager: Connection in Use or Duplicate Forward Open.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Ethernet Module slot #

0x010103

Connection Manager: Transport Class and Trigger combination not supported.

0x010106

Connection Manager: Ownership Conflict.

0x010107

Connection Manager: Connection not found at target application.

0x010108

Connection Manager: Invalid connection type (problem with type or priority).

0x010109

Connection Manager: Invalid connection size.

0x010110

Connection Manager: Device not configured.

0x010111

Connection Manager: RPI not supported. Could also be problem with inactivity timeout.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Input/Output Module slot #

0x010113

Connection Manager: Connection Manager cannot support any more connections.

0x010114

Connection Manager: Either the vendor ID or the Product Code in the key segment did not match the device.

0x010115

Connection Manager: Product Type in the key segment did not match the device.

0x010116

Connection Manager: Major or minor revision information in the key segment did not match the device.

0x010117

Connection Manager: Invalid connection point.

0x010118

Connection Manager: Invalid configuration format.

0x010119

Connection Manager: Connection request fails since there is no controlling connection currently open.

0x01011a

Connection Manager: Target application cannot support any more connections.

0x01011b

Connection Manager: RPI is smaller than the Production Inhibit Time.

0x010203

Connection Manager: Connection cannot be closed since the connection has timed out.

0x010204

Connection Manager: Unconnected Send timed out waiting for a response.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC empty slot #

0x010205

Connection Manager: Parameter error in Unconnected send service.

0x010206

Connection Manager: Message too large for Unconnected message service.

0x010207

Connection Manager: Unconnected acknowledge without reply.

0x010301

Connection Manager: No buffer memory available.

0x010302

Connection Manager: Network Bandwidth not available for data.

0x010303

Connection Manager: No Tag filters available.

0x010304

Connection Manager: Not configured to send real-time data.

0x010311

Connection Manager: Port specified in Port segment not available.

0x010312

Connection Manager: Link address specified in port segment not available.

0x010315

Connection Manager: invalid segment type or segment value in path.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET. Also try a different Connection Option selection in the Device Setup .

0x010316

Connection Manager: Path and Connection not equal in close.

0x010317

Connection Manager: Ether Segment not present or Encoded Value in Network Segment is invalid.

0x010318

Connection Manager: Link address to self invalid.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET (and is also the PLCs IP address)

0x010319

Connection Manager: Resources on Secondary unavailable.

0x01031a

Connection Manager: Connection already established.

0x01031b

Connection Manager: Direct connection already established.

0x01031c

Connection Manager: Miscellaneous.

0x01031d

Connection Manager: Redundant connection mismatch.

0x01031e

Connection Manager: No more consumer resources available in the producing module.

0x01031f

Connection Manager: No connection resources exist for target path.

0x010320 -0x0107ff

Connection Manager: Vendor specific.

0x020000

Resource unavailable: Connection Manager resources are unavailable to handle service request.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC non-existant slot #

0x030000

Invalid parameter value.

0x040000

Path segment error: The path segment identifier or the segment syntax was not understood by the processing node.

0x050000

Path destination unknown: The path is referencing an object class, instance or structure element that is not known or is not contained in the processing node.

0x060000

Partial transfer: Only part of the expected data was transferred.

0x070000

Connection lost: The messaging connection was lost.

0x080000

Service not supported: The requested service was not implemented or was not defined for this Object Class/Instance.

0x090000

Invalid attribute value: Invalid attribute data detected.

0x0a0000

Attribute list error: An attribute in the Get_Attribute_List or Set Attribute_List response has a non-zero status.

0x0b0000

Already in requested mode/state: The object is already in the mode/state being requested by the service.

0x0c0000

Object state conflict: The object cannot perform the requested service in its current mode/state.

0x0d0000

Object already exists: The requested instance of object to be created already exists.

0x0e0000

Attribute not settable: A request to modify non-modifiable attribute was received.

0x0f0000

Privilege violation: A permission/privilege check failed.

0x100000

Device state conflict: The device's current mode/state prohibits the execution of the requested service.

0x110000

Reply data too large: The data to be transmitted in the response buffer is larger than the allocated response buffer.

0x120000

Fragmentation of a primitive value: The service specified an operation that is going to fragment a primitive data value. For example, trying to send a 2 byte value to a REAL data type (4 byte).

0x130000

Not enough data: The service did not supply enough data to perform the specified operation.

0x140000

Attribute not supported: The attribute specified in the request is not supported.

0x150000

Too much data: The service supplied more data than was expected.

0x160000

Object does not exist: The object specified does not exist in the device.

0x170000

Service fragmentation sequence not in progress: The fragmentation sequence for this service is not currently active for this data.

0x180000

No stored attribute data: The attribute data of this object was no saved prior to the requested service.

0x190000

Store operation failure: The attribute data of this object was not saved due to a failure during the attempt.

0x1a0000

Routing failure, request packet too large: The service request packet was too large for transmission on a network in the path to the destination.

0x1b0000

Routing failure, response packet too large: The service response packet was too large for transmission on a network in the path from the destination.

0x1c0000

Missing attribute list entry data: The service did not supply an attribute in a list of attributes that was needed by the service to perform the requested behavior.

0x1d0000

Invalid attribute value list: The service is returning the list of attributes supplied with status information for those attributes that were invalid.

0x1e0000

Embedded service error: See Service Packet error list (PLC-498 Error codes) below:

0x1f0000

Vendor specific error: A vendor specific error has been encountered. This occurs when none of the specified errors relate to the error in the device.

0x200000

Invalid parameter: A parameter associated with the request was invalid. This code is used when a parameter does meet the requirements defined in an Application Object specification.

0x210000

Write-once value or medium already written: An attempt was made to write to a write-once-medium that has already been written or to modify a value that cannot be change once established.

0x220000

Invalid Reply Received: An invalid reply is received (example: service code sent doesn't match service code received.).

0x230000

Reserved by CIP for future extensions.

0x240000

Reserved by CIP for future extensions.

0x250000

Key failure in path: The key segment was included as the first segment in the path does not match the destination module. The object specific status shall indicate which part of the key check failed.

0x260000

Path Size Invalid: The size of the path which was sent with the Service Request is either not large enough to allow the Request to be routed to an object or too much routing data was included.

0x270000

Unexpected attribute in list: An attempt was made to set an attribute that is not able to be set at this time.

0x280000

Invalid Member ID: The Member ID specified in the request does not exist in the specified Class/Instance/Attribute.

0x290000

Member not settable: A request to modify a non-modifiable member was received.

0x2a0000

Group 2 only server general failure: This error code may only be reported by DeviceNet group 2 only servers with 4K or less code space and only in place of Service not supported, Attribute not supported and Attribute not settable.

0x2b0000 -0xcf0000

Reserved by CIP for future extensions.

0xd00000 -0xff0000

Reserved for Object Class and service errors: This range of error codes is to be used to indicate Object Class specific errors. Use of this range should only be used when errors in this table don't accurately reflect the error encountered.

Top of Page

PLC-498 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-498 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol - Service Packet Errors -

(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-498 Hex Value

Description

0x040000

This general status codes that the tag name could not be deciphered.

This could mean that the tag name was entered incorrectly or does not exist in the PLC.

Or it could mean the External Access setting for the effected a Tag is set to 'None'. Set to 'Read' or 'Read/Write'.

0x050000

The particular item referenced (usually instance) could not be found.

0x060000

The amount of data requested would not fit into the response buffer. Partial data transfer has occurred.

0x0a0000

An error has occurred trying to process one of the attributes.

0x0f2100

The requested tag is read only in the RSLogix project.

0x130000

Not enough command data/parameters were supplied in the command to execute the service requested.

0x1c0000

An insufficient number of attributes were provided compared to the attribute count.

0x260000

The tag name length specified did not match what was in the message.

0xff0521

You have tried to access beyond the end of the data object.

0xff0721

The abbreviated type does not match the data type of the data object.

0xff0421

The beginning offset was beyond the end of the template.

Top of Page


A-B DF1 Full Duplex Tag-Based (Control/CompactLogix) Setup

Topic: CM018

Allen-Bradley DF1 Full Duplex Tag-Based (Control/CompactLogix) Setup

The following information applies to Allen-Bradley Control/CompactLogix PLCs for the purpose of setting up DF1 Full Duplex Tag Based Serial communication.

The C-morepanel is the master when communicating with an Allen-Bradley PLC.

Note: For additional information on the Tags used for Allen-Bradley Tag-Based protocols, click on the button below to view the Control/CompactLogix Tag Names topic.

Setup a DF1 Full Duplex Tag-Based

Contrologix or CompactLogix

To Setup the Control/CompactLogix PLC, the first thing we need to do is match the Communication Parameters to the C-more Panel Manager parameters. To do this follow these steps:

  1. Open the RSLogix 5000 Start Screen shown below.

  2. Click on the small picture of the PLC Controller located under the Selector Switch graphic in the upper left box as indicated on above figure. This will open the Controller Properties window shown below.

  3. The Controller Properties window shown above opens. Click on the Serial Port Tab to display the items on the figure shown above.
  4. Set the following Parameters:
  1. Mode = System
  2. Baud Rate, Parity and Stop Bits: Match the values set in the C-more Panel Manager for this device.
  3. Data Bits = 8
  4. Control Line = No Handshake
  5. RTS Send Delay = 0
  6. RTS Off Delay = 0
  5. When all of the above are completed, click on the System Protocol Tab. The Controller Properties window will now look like the figure shown below.

  6. From the Protocol field, choose the appropriate Protocol. For DF1 Full Duplex, the correct selection is DF1 Point to Point.
  7. Be sure to match the Error Detection to the Checksum Type in the C-more Panel Manager.
  8. Leave ALL other fields as shown above.

Note: The Station Address does not matter when using DF1 Full Duplex.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex Tag-Based (Control/CompactLogix) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

Configure the C-more Panel Manager

The C-more Panel Manager Configuration fields for the Allen-Bradley DF1 Full Duplex Tag-Based protocol for Control/CompactLogix is shown above.

The following are the parameters available for configuration:

  1. Baud Rate: The Baud Rate is the rate at which data is transmitted across the connection in Bits Per Second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems.
  2. Parity: Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is configured to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting is set to Odd by default and should not require adjustment.
  3. Stop Bit: A Stop Bit is an extra Bit that follows the data and Parity Bits to mark the End of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. This setting is set to 1 by default and should not require adjustment.
  4. Checksum Type: The Checksum is a Character positioned at the end of a data block to detect any possible Errors. Clicking the down arrow on this field provides two selections:
  5. BCC: Stands for Block-Check Character and consists of an Error Detection method that places a Character at the end of the data block that is equal to the binary Sum of All the Characters in the specific data block and enables a check of data accuracy after receiving the data block across a network.
  6. CRC: Stands for Cyclic Redundancy Check and consists of an Error Detection method that treats all the Characters in a message as a string of bits that represent a binary number. This binary number is inserted in the message to enable a check of data accuracy after receiving the message across a network. CRC is the default selection for this field and should not require adjustment.
  7. Transmit: This field is currently inactive and requires no setup.
  8. Timeout Time (1-255) [100ms]: Enter a number that represents a Time (in Tenths of a Second) that the C-more Panel will wait for communications with the PLC before displaying an error. This setting is set to 30 Tenths of a Second by default, which is the same as 3 seconds and should not require any adjustment.
  9. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

Click here to learn more about Connection Through Another Panel.


A-B DF1 Half Duplex Tag-Based (Control/CompactLogix) Setup

Topic: CM020

Allen-Bradley DF1 Half Duplex Tag-Based (Control/CompactLogix) Setup

The following information applies for Allen-Bradley Control/CompactLogix PLCs for the purpose of setting up using DF1 Half Duplex Tag-Based Serial.

The C-more panel is the master when communicating with an Allen-Bradley PLC.

Note: For additional information on the Tags used for Allen-Bradley Tag-Based protocols, click on the button below to view the Control/CompactLogix Tag Names topic.

Setup a DF1 Half-Duplex Tag-Based PLC

To Setup a Tag Based DF1 (Half Duplex) to Control/CompactLogix PLC, the first thing we need to do is match the Communication Parameters. To do this follow these steps:

  1. Open the CompactLogix Start Screen shown below.

  2. Click on the small picture of the PLC Controller located under the Selector Switch graphic in the upper left box and indicated on above figure. This will open the Controller Properties window shown below.

  3. The Controller Properties window shown above opens. Click on the Serial Port Tab to display the items on the figure shown above.
  4. Set the following Parameters:
  1. Mode = System
  2. Baud Rate, Parity and Stop Bits: Match the values set in the C-more Panel Manager for this device.
  3. Data Bits = 8
  4. Control Line = No Handshake
  5. RTS Send Delay = 0
  6. RTS Off Delay = 0
  5. When all of the above are completed, click on the System Protocol Tab. The Controller Properties window will now look like the figure shown below.

Note: If you are doing DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also match the Error Detection to the Checksum Type in the C-more Panel Manager.

  6. From the Protocol field, choose the appropriate Protocol. For DF1 Half Duplex, the correct selection is DF1 Slave.
  7. If using DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also be sure to match the Error Detection to the Checksum Type in the C-more Panel Manager.
  8. Leave ALL other fields as shown above.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Half Duplex Tag-Based (Control/CompactLogix) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up.

Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure below.

Configure the C-more Panel Manager

The C-more Panel Manager Configuration fields for the Allen-Bradley DF1 Full Duplex Tag-Based protocol for Control/CompactLogix is shown above.

The following are the parameters available for configuration:

  1. Station Number (0-254): The Station Number is the Slave Number or Address. This is the Number that will be polled by the Master (C-more panel) on the network. Slaves can be addressed from 1 through 254 for Modbus protocol, depending on the Slave and what CPU is used.
  2. PLC Address (0-254): The PLC Address is the Number or Address of the PLC communicating to the Panel. Typically this is set to 1 for the first PLC in the network. PLCs can be addressed from 1 through 254.
  3. Baud Rate: The Baud Rate is the rate at which data is transmitted across the connection in Bits Per Second (bps). A good starting point is 9600 bps. If no problems are encountered, then increase the Baud Rate to the maximum achievable without communication problems.
  4. Parity: Parity is a low level form of error checking that counts the number of 1's in the Bit Stream to ensure that none have been changed. The Parity Bit is configured to achieve the correct number of 1's in the data packet; either Odd or Even. If the number of 1's is Even when parity is set to Odd, then the packet has been corrupted. This setting is set to Odd by default and should not require adjustment.
  5. Stop Bit: A Stop Bit is an extra Bit that follows the data and Parity Bits to mark the End of the transmission. For older systems, the Stop Bit may need to be increased to 2, but 1 is usually the correct setting. This setting is set to 1 by default and should not require adjustment.
  6. Checksum Type: The Checksum is a Character positioned at the end of a data block to detect any possible Errors. Clicking the down arrow on this field provides two selections:
  7. BCC: Stands for Block-Check Character and consists of an Error Detection method that places a Character at the end of the data block that is equal to the binary Sum of All the Characters in the specific data block and enables a check of data accuracy after receiving the data block across a network.
  8. CRC: Stands for Cyclic Redundancy Check and consists of an Error Detection method that treats all the Characters in a message as a string of bits that represent a binary number. This binary number is inserted in the message to enable a check of data accuracy after receiving the message across a network. CRC is the default selection for this field and should not require adjustment.
  9. Select RS485: Used when the C-more Panel is communicating to a device using RS-485. When used, the Control RTS setting is forced to Yes for controlling the RS-485 driver.
  10. Timeout Time (1-255) [100ms]: Enter a number that represents a Time (in Tenths of a Second) that the C-more Panel will wait for communications with the PLC before displaying an error. This setting is set to 30 Tenths of a Second by default, which is the same as 3 seconds and should not require any adjustment.
  11. Poll Time: Enter a number that represents a Time (in milliseconds) that the C-more Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to "0" by default, which produces constant polling. This setting should not require adjustment.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

Click here to learn more about Connection Through Another Panel.


A-B Generic EtherNet/IP Setup

Topic: CM210

Allen-Bradley Generic EtherNet/IP Setup

What is Generic EtherNet/IP

The Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix) protocol is different from all other protocols that we have on C-more panel in that the panel is a Server (Slave) to communications instead of the Client (Master).

C-more supports two types of communications using the ODVA’s ( www.odva.org ) generic EtherNet/IP protocol:

  • CIP Implicit I/O Messaging using the Generic Ethernet Module setup in ControlLogix and CompactLogix I/O configuration.
  • CIP Explicit Messaging using the CIP Generic Message Type inside of ControlLogix and CompactLogix MSG instructions.

In both of these methods, the C-more panel is the Ethernet Server (Slave) and the CompactLogix or ControlLogix PLC is the Ethernet Client (Master). As of January 2006, only the ControlLogix Ethernet modules (1756-ENBT and 1756-ENET/B) and CompactLogix Controllers with Ethernet supported this type of messaging. PLC5 Ethernet, SLC 5/05, MicroLogix 1100 and 1761-NET-ENI are not supported by C-more's Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix) driver. To communicate to the SLC5/05, MicroLogix 1100(1400) + 1761-NET-ENI use the appropriate Client driver.

Benefit of EtherNet/IP

The generic Ethernet/IP server protocol works well (very fast) for connectivity between (1) PLC Client (Master) and (1) C-more Panel Server (Slave) or (1) PLC Client (Master) and multiple C-more Panel Servers (Slaves), but it is much more difficult to connect multiple PLC's Clients (Masters) and 1 or more C-more Panel Servers (Slaves).

Implicit Messaging

EtherNet/IP Implicit I/O Messaging writes output data and reads input data constantly as fast as possible. This is different from most HMI panel connectivity in that most devices read constantly but only write upon change of value or on events. This is obviously a problem with multiple PLC Clients (Masters) because each Client will be constantly overwriting the other. Therefore, Implicit I/O Messaging works well with (1) PLC Client (Master).

Explicit Messaging

It is probably better to not use EtherNet/IP if the application requires one HMI panel and multiple PLCs. But if it must be used, use of Explicit Messaging is possible.

When using Explicit Messaging, the user will have to control both, the PLC reads and writes of data to and from the panel. Reading constantly is no problem and can be accomplished in a relatively easy fashion. Writing data is a little more difficult. There are two hurdles to overcome when doing this:

  1. Writing the data only when it changes so that you are not constantly overwriting what the other Masters may be changing.
  2. Write only the changed data and not the unchanged data.

To accomplish #1, the user must write the PLC Ladder Logic to check to see when a particular register has changed. Once the user has determined that one of the register’s data values has changed, then they need to accomplish #2.

To accomplish #2, the user will need to read back the other unchanged values from the panel (because one of the other values may have been changed by one of the other Masters) and then write the changed data and unchanged data back to the panel. This is commonly known as a Read/Modify/Write.


A-B Generic EtherNet/IP Explicit Messaging Setup

Topic: CM211

Allen-Bradley Generic EtherNet/IP Explicit Messaging Setup

The following information applies for Allen-Bradley PLCs for the purpose of setting up Explicit Messaging via EtherNet/IP. This setup applies only to:

  • ControlLogix 1756-EBNT and 1756-ENET/B
  • CompactLogix with Built-in EtherNet/IP

The C-more panel is a SLAVE when communicating via Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix).

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. From the Setup drop-down menu, select the Panel Manager selection.

From the Panel Manager window click on the DEV001 on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix MSG) selection.

All settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Generic EtherNet/IP driver selected.

Setup Explicit Messaging

We will not attempt to outline all of the specific instructions to set up Explicit Messaging via EtherNet/IP.EtherNet/IP is generic and can be used with many different platforms. The important part is to use the correct EtherNet/IP Service, Class, Instance and Attribute. The ControlLogix and CompactLogix MSG (Message) instructions are included below. These instructions show the correct codes to use for Explicit Messaging to the C-more panel.

  1. The first thing to do in the ControlLogix and CompactLogix is to create an MSG instruction.

  2. Give the MSG a Name. In the sample below MSG Name is CmorePanelRead.

  3. Next declare this name as a MESSAGE Data Type. To do this, right click on the name and select the name just given. It is the first selection.
  4. The New Tag dialog box for declaring the Data Type for the MSG instruction name will open. Select Message for the Data Type field and select (Controller) for the Scope field. Click on the OK button to accept changes and close the New Tag window.

  5. Now click on the three dots button next to the Data Type field. The Message Configuration dialog box shown below opens. This box is discussed in the section below.

Configuration Tab

Message Configuration Dialog Box Setup - Configuration Tab

To configure the Message to read the Input Data from the C-more Panel:

  1. Select Service Type 0x0e which is Get Attribute Single.
  2. Enter Class 0xa0 (a0).
  3. Enter Instance 0x01 (1).
  4. Enter Attribute 0x01 (1).

The PLC's Destination Array (or Data File in other PLCs), which is DataRead in the figure shown above, needs to be sufficiently large to accommodate all of the Input Data in the Panel that is set up through the C-more Panel Manager Maximum Input Field.

Be sure that the array you create is an Integer (INT) Data Type.

Note: This value is expressed in Bytes in RSLogix but in Words in the C-more Panel Manager. Be sure that the array you create is an Integer (INT) Data Type.

Configuration Tab - Read Output Data from the C-more Panel

To configure the Message to read the Output Data from the C-more panel:

  1. Select Service Type 0x0e, which is Get Attribute Single.
  2. Enter Class 0xa1 (a1).
  3. Enter Instance 0x01 (1).
  4. Enter Attribute 0x01 (1).

Note: This value is expressed in Bytes in RSLogix but in Words in the C-more Panel Manager. Be sure that the array you create is an Integer (INT) Data Type.

Configuration Tab - Write Output Data to the C-more Panel

To configure the Message to write the Output Data to the C-more Panel:

  1. Select Service Type 0x10, which is Set Attribute Single.
  2. Enter Class 0xa1 (a1).
  3. Enter Instance 0x01 (1).
  4. Enter Attribute 0x01 (1).

The PLC's Source Element (or Data File in other PLCs), which in the figure shown above is WriteBuffer, needs to be sufficiently large to accommodate all of the Output Data in the Panel that is setup through the C-more Panel Manager's Maximum Output Field.

Note: This value is expressed in Bytes in RSLogix but in Words in the C-more Panel Manager. Be sure that the array you create is an Integer (INT) Data Type.

Communication Tab

Message Configuration Dialog Box Setup - Communication Tab

To Define the Port being used on the PLC (Ethernet Port on PLC CPU in ControlLogix and Ethernet card in ControlLogix) to communicate to the Panel. You also define the IP Address of the panel in this window.

  1. Click on Browse to choose the Ethernet port of the PLC that you are using.
  2. Choose the Ethernet card you are using and select OK.

  3. Enter a comma after the Ethernet card (LocalENB, ).
  4. Enter the Port Number of the Ethernet card you are using (LocalENB,2).

    For CompactLogix with the built in Ethernet Port, enter 2. For ControlLogix with an Ethernet card, enter 2 as well.
  5. Enter another comma and then the IP Address of the panel you are connecting to (LocalENB,2,10.1.33.25). Be sure to put the period between the IP Address Octets.


A-B Generic EtherNet/IP Protocol Addressing Table

Topic: CM206

Allen-Bradley Generic EtherNet/IP Protocol Addressing Table

Memory Type

File Number Range

Address Range

Bit Specification

Description

Read/Write Type

Data Type

O

N/A

1 to 256

Output

Read Only

Word

O

N/A

1 to 256

0 to 15

Output

Read Only

Discrete

I

N/A

1 to 256

Input

R/W

Word

I

N/A

1 to 256

0 to 15

Input

R/W

Discrete


A-B Generic EtherNet/IP Protocol Error Codes

Topic: CM207

Allen-Bradley Generic EtherNet/IP Protocol Error Codes

Only Errors as listed in the Panel Error Code Table can occur when using the Generic EtherNet/IP Protocol. There are no PLC generated errors. To view the C-more Panel Error Codes, click the button below.


Allen-Bradley Generic EtherNet/IP Implicit Messaging Setup

The following information applies for Allen-Bradley PLCs for the purpose of setting up Implicit I/O Messaging via EtherNet/IP. The models included for this setup are (this setup applies only to these):

  • ControlLogix 1756-EBNT & 1756-ENET/B
  • CompactLogix with Built-in EtherNet/IP

The C-more panel is a SLAVE when communicating via Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix).

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix).

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Generic EtherNet/IP driver selected.

Setup RSLogix 5000

To Setup the RSLogix 5000 for these PLCs, follow these steps:

  1. In RSLogix 5000, under the I/O Configuration selections available on the left panel of the window, right click on the Ethernet Module (1756-ENET/B EnetB) indicated on the graphic below.

Note: This module must have been added earlier in the I/O configuration of the PLC. Please see your Allen-Bradley representative for more information on setting up your I/O configuration.

  2. Right click on the Ethernet Module and from the drop-down menu select the Select Module Type selection. The window shown below opens. From this window, select Generic Ethernet Module and click on OK to accept selection.

  3. Once the Module is selected, the Module Properties window shown below opens.

  4. From the Module Properties window shown above, enter the following:

    1. On the Name field, type in a Name for this panel

    2. For the Comm Format field, select Data-INT. (See section below - Data Format for Other Data Formats).

    3. For the IP Address, enter the IP Address for the C-more Panel.

    4. For the Assembly Instance parameters, type in the following:

      • Input = 100
      • Output = 150
      • Configuration =

Note: The parameters listed on Item #4.a are always the same and never change.

    5. For the Size parameters, select the following:

      • Configuration = 0
      • Input (# of Words): Matches the Maximum Input field in the C-more Panel Manager setup if Data-INT is selected.
      • Output (# of Words): Matches the Maximum Output field in the C-more Panel Manager setup if Data-INT is selected. If Data-DINT is selected, the PLC Input size must be one-half the Panel Maximum Input and the PLC Output size must be one-half the Panel Maximum Output

    6. Click on the Finish button.

Verify Setup

  1. To verify the Setup, in the left navigation window of the screen shown below, click on Task > Main Task > Main Program, and select Program Tags.

  2. On the Scope selection available from the Program Tags window above, click the down arrow [image] and select the Project Name (Controller) for the Controller Tags. You should see different structures with the same name as the panel that you previously entered in the Module Properties box (see Item # 4.a above).

  3. Expand the "<Name>:I" field (CmorePanel:I on sample above). The values here should match the I Data type tags in the C-more panel. These are the values that the PLC reads back from the panel. (Use figure below as reference. For clarity, only theController Tagwindow portion of the full window (see above) is shown below).

  4. Expand the "<Name>:O" field. This is where you set the values that are sent to the panel from the PLC. They should show up on the O Data type in the C-more panel. (Use figure below as reference. For clarity, only theController Tagwindow portion of the full window is shown below).

* Go to Mapping Spreadsheet.

Note:I/0 and O:0 are not valid addresses in C-more.

Adding More C-more Panels to a Network

To add more panels to the PLC, simply create more Generic Ethernet modules just like the one above was added.

Allen-Bradley Ethernet /IP Addressing

Discrete Inputs

Discrete Outputs

Analog Inputs

Analog Outputs

Note:I/0 and O:0 are not valid addresses in C-more.

Data Format and I/O Mapping

The C-more panel Generic EtherNet/IP driver is setup for 16 bit words. This is why it is suggested above to use the Comm Format setting of Data-INT. If another Data Format is selected in RSLogix5000, such as Data-DINT (32 bit words) then the PLC and C-more addresses will map differently.

Below are two charts showing how the addresses in C-more map to the PLC Address for Data-INT and Data-DINT Comm Formats:

Chart 1

C-more |  | A-B ControlLogix
Generic EtherNet/IP |  | Generic Ethernet
 |  | Comm Format: | Data-INT
Maximum Inputs: | 32 | Input Size: | 32
Maximum Outputs: | 96 | Output Size: | 96
Signed Int 16 |  |
I:1 |  | I.Data[0]
I:2 |  | I.Data[1]
I:3 |  | I.Data[2]
I:4 |  | I.Data[3]
I:5 |  | I.Data[4]
& |  | &
& |  | &
I:28 |  | I.Data[27]
I:29 |  | I.Data[28]
I:30 |  | I.Data[29]
I:31 |  | I.Data[30]
I:32 |  | I.Data[31]
O:1 |  | O.Data[0]
O:2 |  | O.Data[1]
O:3 |  | O.Data[2]
O:4 |  | O.Data[3]
O:5 |  | O.Data[4]
& |  | &
& |  | &
O:92 |  | O.Data[91]
O:93 |  | O.Data[92]
O:94 |  | O.Data[93]
O:95 |  | O.Data[94]
O:96 |  | O.Data[95]

Chart 2

C-more |  | A-B ControlLogix
Generic EtherNet/IP |  | Generic Ethernet
 |  | Comm Format: | Data-DINT
Maximum Inputs: | 64 | Input Size: | 32
Maximum Outputs: | 192 | Output Size: | 96
Signed Int 32 |  |
I:1 |  | I.Data[0]
I:3 |  | I.Data[1]
I:5 |  | I.Data[2]
I:7 |  | I.Data[3]
I:9 |  | I.Data[4]
& |  | &
& |  | &
I:55 |  | I.Data[27]
I:57 |  | I.Data[28]
I:59 |  | I.Data[29]
I:61 |  | I.Data[30]
I:63 |  | I.Data[31]
O:1 |  | O.Data[0]
O:3 |  | O.Data[1]
O:5 |  | O.Data[2]
O:7 |  | O.Data[3]
O:9 |  | O.Data[4]
& |  | &
& |  | &
O:183 |  | O.Data[91]
O:185 |  | O.Data[92]
O:187 |  | O.Data[93]
O:189 |  | O.Data[94]
O:191 |  | O.Data[95]


Importing Control/CompactLogix Predefined Data Types

Many pre-defined data types are in the Allen-Bradley ControlLogix and CompactLogix PLCs. A pre-defined data type is a data type that is already created in the RS Logix 5000 software when starting a new project. Some common pre-defined data types are TIMER and COUNTER.

The complication of importing a pre-defined data type is that there are many pre-defined data types in the RS Logix 5000 software and within many of these data types, there are many different members. Many of these pre-defined data types and members, while useful in the PLC application, will not be needed in the C-more project. So the issue is to decide which pre-defined data types and members of these data types should or should not be imported.

Determining Which Pre-defined Data Types to Import

The file L5KPreDefined.txt (located inside the Documents\AutomationDirect\C-more\Settings folder ) can be modified to determine which data types and their members should be imported into the C-more project. The image below shows where the L5KPreDefined.txt file is installed.

If you open the L5KPreDefined.txt file it looks like the image below.

By default, the C-more programming software will import the TIMER and COUNTER pre-defined data types.

To add more pre-defined data types, you can type them in using the format shown above or you can open the master template file called: L5KPreDefine_template.txt located in the same folder.

Example of Adding More Data Types to Import

  1. Open the L5KPreDefine_template.txt file (located inside the Documents\AutomationDirect\C-More\Settings folder) and scroll down to the DATATYPE CAMSHAFT_MONITOR heading as shown below.

  2. Highlight the entire section for the CAMSHAFT_MONITOR data type beginning at DATATYPE and ending at END_DATATYPE.

  3. Right-click and select Edit and then Copy to copy the highlighted area.
  4. Click in the L5KPreDefine.txt file, and scroll to the end.
  5. Right-click and select Edit and then Paste to make the L5KPreDefine file look like the illustration below:

To import all the members of the CAMSHAFT_MONITOR data type shown above, save and close the L5KPreDefine.txt file and re-start the C-more programming software.

You can also remove the members of the data type that are needed in the C-more project as shown below:

It is important to remember the format required in the L5KPreDefine.txt file:

  • DATATYPE Desired data type name as shown in RS Logix 5000
  • Memory type (IE BOOL, DINT, etc…) member name (as shown in RS Logix);
  • END_DATATYPE

The semicolon is necessary after each member name of the data type.


SLC/PLC's Mapping

Topic: CM323

SLC/PLCs Mapping

Mapping DF1/DH485 to Control/CompactLogix

The first step is to match the communication parameters:

  1. From the RSLogix 5000 window shown below, click on the small picture of the PLC controller found under the I/O Configuration selection on the folder tree shown on the left side of the window.

  2. The Controller Properties window shown below opens.

  3. From this window, click on the Serial Port tab.
    The fields available for this tab are displayed as shown below.

  4. In the Mode field, click on the down arrow [image] and choose System.

  5. In the Data Bits field, click on the down arrow [image] and choose 8.

  6. For the Baud Rate, Parity and Stop Bits fields, match the values shown on the Panel Manager setup in C-more. Leave Control Line set to No Handshake. Leave RTS Delays set to 0.

  7. Click on the System Protocol Tab.
    The fields available for this tab are displayed as shown on the figure below.

  8. From the Protocol field, click on the down arrow [image] and choose the appropriate Protocol from the available choices.
    If you are doing DF1 Full Duplex, choose DF1 Point to Point. If you are doing DF1 Half Duplex, choose DF1 Slave. If you are doing DH485, then choose DH485.

  9. If you are doing DF1 Full Duplex (DF1 Point to Point in PLC), then be sure to match the Error Detection to the Checksum Type in the Panel Manager in C-more. Leave everything else as shown above.

Note: The Station Address does not matter in DF1 Full Duplex.

  10. If you are doing DF1 Half Duplex (DF1 Slave in PLC), then you must match the Station Address to the PLC Address in the C-more Panel Manager. Also match the Error Detection to the Checksum Type in the C-more Panel Manager. See figure below for reference.

  11. If you are doing DH485, match the Station Address to the Station Number in the C-more Panel Manager setup. Make sure that the Station Address of the PLC is beneath the Max Station number setup in the C-more Panel Manager. Leave everything else as is. See the figure shown below for reference.

Note: An AIC is required for this connection. See your local AB representative for the correct part number for the PLC you are using.

  12. Once the communication connection parameters are set, the addresses need to be mapped as well. In the C-more panel, the addressing for the DF1 Full, DF1 Half and DH485 is designed based upon the SLC and MicroLogix addressing method (N7:xx, etc..). The ControlLogix and CompactLogix PLCs are Tag Based and do not have these type of addresses. In order to make the connection between the two different types of addresses, you have to do a mapping table in the RSLogix 5000 software.

    The first thing you have to do is to create an array for each Data Type/File Number that you want to connect. In the illustration below, there are two arrays created for this example. N7Array is a 100 Element Array of Integer DataType and F8Array is a 100 Element Array of Real (Floating) Data Type. (See RSLogix documentation on exactly how to create data types and arrays).

  13. From the Main Menu, click on Logic and select Map PLC/SLC Messages as shown below.

  14. The actual Mapping window shown below opens. You choose the file number that you want (7 as in N7:0, etc…). Then choose the corresponding array to go with it.

  15. Once you have done this, download these changes to the controller and you should see your data updating. When finished, click OK to close the window.


A-B DF1 (Full Duplex) Protocol Setup

Topic: CM326

Allen-Bradley DF1 Full Duplex (PLC5) Protocol Setup

The following information applies for Allen-Bradley DF1 Full Duplex (PLC5) PLCs compatible with C-more Panels.

The C-morepanel is the master when communicating with an Allen-Bradley PLC.

C-more Panel Manager Settings

There are two methods to access the Panel Manager:

Select the Setup selection from the Main Menu and then select Panel Manager.

Or, from the Function Tab of the Navigation window, select Panel Manager from the Setup branch.

The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

From the PLC Protocol field, click on the down arrow [image] and select the Allen-Bradley DF1 Full Duplex (PLC5) selection. Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

The setting discussed bellow must be set the same as the settings in Panel Manager in the C-more Programming Software.

Setup RSLogix 500

To Setup the RSLogix 500 for these PLCs, follow these steps:

  1. In RSLogix 500 choose Channel Configuration in the left navigation window.

  2. From the Edit Channel Properties window shown below, choose the Channel 0 tab.

  3. From this Configuration window, make the following field selections and inputs:

  • For the Communication Mode, select System(Point-to-Point).
  • From the Serial Port Tab, for the Control Line field, choose No Handshaking.
  • From the Serial Port Tab, for the Bits Per Character field, set the value to 8.
  • For the following fields, match the C-more Panel Manager settings:

    1. Baud Rate

    2. Parity

    3. Stop Bits

    4. Error Detection (Checksum Type)

CAUTION: Record the old PLC settings as you change them for reconnecting with RSLogix later.

  4. Select OK from the Edit Channel Properties window shown above, the Warning window shown below will appear. Choose Apply from this window and continue to next subject below.

Troubleshoot Tips for The Fields Discussed Above

It is important to match the Error Detection (called Checksum Type in the C-more Panel Manager). This is probably the most common cause for no communication between panel and PLC.

If you are connecting the C-more panel to the same PLC port that you are using to connect your PC and RSLogix to the PLC, it may be difficult to reconnect with RSLogix after changing the settings above. Be sure to note the settings as you change them so that you can go back into RSLinx to reconfigure your driver.

It is recommended that you connect to the PLC through a different port if possible with the particular PLC that you are using. Consult your PLC representative for further help on this subject.

Troubleshooting the PLC to Panel Connection

If your network is returning communication errors, test the basic network setup by transferring a new C-more project with Panel Manager settings that match the PLC port settings and a single Numeric Display object addressed to N7:0. Ensure that the PLC port settings are correct by verification with that PLC’s programming software.

Power cycle the PLC, THEN the C-more panel. If communication errors persist, power cycle the C-more panel, THEN the PLC.

PLC Address Configuration

  1. An Address must exist in the PLC for every Address referenced in the C-more Project. For example, if a Numeric Display in C-more uses address C5:0.ACC, then C5:0.ACC must exist in the PLC Data Files. This can be verified in the left hand side explorer window under Data Files as shown below.

  2. Be sure that the File Number exists first (where 3 is the File Number for B3:0/0 and 7 is the File Number for N7:0). The second thing to verify is that there are enough elements in the file. The user can right click and choose Properties to verify that there is the proper number of elements in the file.

  3. To create a new Data File:

  1. Right click on Data Files and choose New (Note, you have to be offline to do this). The Create Data File window shown below opens.

  2. Enter the File Number you wish to use.

  3. Choose the Data Type.

  4. Choose the number of elements that you need. For B3:4/0, the 4 is the Element Number. This is also the same screen that you would use to increase the number of elements of an existing file.

  5. Select OK and download the changes to the processor.


A-B PLC5 DF1 Addressing

Topic: CM002

Allen-Bradley PLC5 DF1 Addressing

Memory Type | File Number Range | Address Range | Bit Specification | Description | Flag | Read/Write Type | Data Type
O | File number not used. | 0 to 17777 |  | Output |  | Read Only | Word
O | File number not used. | 0 to 17777 | 0 to 15 | Output |  | Read Only | Discrete
I | File number not used. | 0 to 17777 |  | Input |  | Read Only | Word
I | File number not used. | 0 to 17777 | 0 to 15 | Input |  | Read Only | Discrete
S | File number not used. | 0 to 999 |  | State |  | Read Only | Word
S | File number not used. | 0 to 999 | 0 to 15 | State |  | Read Only | Discrete
B | 3:, 9: to 999: | 0 to 1999 |  | Binary |  | R/W | Word
B | 3:, 9: to 999: | 0 to 1999 | 0 to 15 | Binary |  | R/W | Discrete
T | 4:, 9: to 999: | 0 to 1999 |  | Timer | .EN | Read Only | Discrete
 |  |  |  |  | .TT | Read Only | Discrete
 |  |  |  |  | .DN | Read Only | Discrete
 |  |  |  |  | .ACC | R/W | Word
 |  |  |  |  | .PRE | R/W | Word
C | 5:, 9: to 999: | 0 to 1999 |  | Counter | .DN | Read Only | Discrete
 |  |  |  |  | .ACC | R/W | Word
 |  |  |  |  | .PRE | R/W | Word
 |  |  |  |  | .CU | Read Only | Discrete
 |  |  |  |  | .CD | Read Only | Discrete
 |  |  |  |  | .OV | Read Only | Discrete
 |  |  |  |  | .UN | Read Only | Discrete
R | 6:, 9: to 999: | 0 to 1999 |  | Internal | .EN | Read Only | Discrete
 |  |  |  |  | .DN | Read Only | Discrete
 |  |  |  |  | .EU | Read Only | Discrete
 |  |  |  |  | .EM | Read Only | Discrete
 |  |  |  |  | .ER | Read Only | Discrete
 |  |  |  |  | .UL | Read Only | Discrete
 |  |  |  |  | .IN | Read Only | Discrete
 |  |  |  |  | .FD | Read Only | Discrete
 |  |  |  |  | .LEN | R/W | Word
 |  |  |  |  | .POS | R/W | Word
N | 7:, 9: to 999: | 0 to 1999 |  | Integer |  | R/W | Word
N | 7:, 9: to 999: | 0 to 1999 | 0 to 15 | Integer |  | R/W | Discrete
F | 8: to 999: | 0 to 1999 |  | Floating Point |  | R/W | Word
F | 8: to 999: | 0 to 1999 | 0 to 15 | Floating Point |  | R/W | Discrete


Entivity (Think & Do) Modbus Protocol Setup

Topic: CM331

Entivity (Think & Do) Modbus RTU (H2-WinPLC) Protocol Setup

The following information applies for the Entivity (Think & Do) Modbus PLCs compatible with C-more Panels. Start with the C-more Panel Setup instructions below. This topic then provides instructions for setup of Entivity WinPLC using LIVE and Studio, and Entivity EBC using LIVE and Studio.

The C-more panel is the master when communicating on a Modbus network.

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project.

C-more Panel Manager Settings

To set up a protocol, do the following:

  1. From the Main menu select Setup.
    The drop-down menu shown below opens.

  2. From the Setup drop-down menu, select Panel Manager.
    The Panel Manager window opens by default displaying Panel Settings.
  3. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.
  4. From the PLC Protocol field, click on the down arrow [image] and select Entivity Modbus RTU (H2-WinPLC).

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project. When you complete a Build Project and Save in the Think & DoSoftware, Think & Do creates a folder with the Project Name (in the ThinkNDo\Projects folder). The Map File will be created in folder ThinkNDo\Projects\ProjectName\RTE Windows CE - Think & Do WinPLC.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept, and the fields for the selected protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Entivity Modbus RTU driver selected.

To continue with the setup process, select the desired setup below.

Set up Entivity WinPLC RTU Using Live

This setup information is for the setup of Entivity WinPLC (Modbus TCP/IP Ethernet) using the LIVE software. To see the setup information using the Studio software, see the next subject in this topic.

To set up the Entivity WinPLC using LIVE,do the following:

  1. In the Choose Runtime Target window of the Entivity Live program shown below, from the drop-down list, select Windows CE - Think & Do WinPLC and click OK.

The Project Binder window shown below opens.

  2. From the Tools menu, select IOView.

  3. In the upper left window, select Serial Driver.
    You may have to scroll down to see it, depending upon the resolution of your PC.

  4. In the upper right window, click on the WINPLC RS232 Port.

  5. Click on the Module Info tab at the bottom to set the serial port selections.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.
  6. Change the Access Type to Modbus Slave.
  7. Match the following parameters to your PLC setup in the C-more Panel Manager:
    • Baud Rate
    • Parity
    • Stop Bits

  8. In the C-more Panel Manager, select PLC Slave Node Number 1.

Set Up Entivity WinPLC RTU Using Studio

This setup information is for Entivity WinPLC RTU PLC using the Studio software. To see the setup information using the LIVE software, see the previous subject in this topic.

To set up the Entivity WinPLC RTU PLC using Studio, do the following:

  1. In the Entivity Studio - Project Center window shown below, click the Connectivity Center icon located under the Project Tab on the Explorer Window located on the left side of the window as shown below.

The Connectivity Center window opens.

  2. Choose Serial Driver from the upper left window.
    You may have to scroll down to see it, depending upon the resolution of your PC.

  3. Click on the WINPLC RS232 Port window on the upper right window.

  4. Click on Module Info at the bottom to set the serial port selections.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.
  6. Change the Access Type to Modbus Slave.
  7. Match the following parameters to your PLC setup in the C-more Panel Manager:
  • Baud Rate
  • Parity
  • Stop BIts
  8. Select PLC Slave Node Number 1 in the C-more Panel Manager.

Set Up Entivity RTU EBC Using LIVE

This setup information is for the setup of an Entivity RTU EBC PLC using the LIVE software. To see the setup information using the Studio software, see the next subject included in this topic.

To set up the Entivity RTU EBC PLC using LIVE, do the following:

  1. In the Choose Runtime Target window of the Entivity Live program shown below,select Windows CE - Think & Do WinPLC from the drop down list and click OK.

The Project Binder window shown below opens.
  2. From the Main menu, click the Tools menu and select IOView.

  3. Configure your EBC and then select the EBC in the upper left window.
  4. Click on the Module Info tab at the bottom to set the serial port selections.
    The EBC Serial Port Settings window shown below opens.

  5. Click the Enable Serial Port box.
  6. Click in theSlave Devices Configuration area, and then click Add .

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.
  7. Choose EZ-Touch/Text in that window.
  8. Match the following parameters to your PLC setup in the C-more Panel Manager:
  • Baud Rate
  • Parity
  • Stop Bits
  9. Use PLC Slave Node Number 1 in the C-more Panel Manager setting.
  10. When done, click the OK button to accept all changes.

Set Up Entivity RTU EBC Using Studio

This setup information is for the setup of Entivity RTU EBC PLC using the Studio software. To see the setup information using the LIVE software, see the previous subject in this topic.

To set up the Entivity RTU EBC PLC using Studio, do the following:

  1. In the Entivity Studio - Project Center window shown below, click the Connectivity Center icon located under the Project Tab on the Explorer Window located on the left side of the window as shown below.

The Connectivity Center window shown below opens.

  2. Configure your EBC and then select the EBC in the upper left window.
  3. Click on the Module Info tab at the bottom to set the serial port selections.
    The EBC Serial Port Settings window shown below opens.

  4. Click the Enable Serial Port box.
  5. Click in theSlave Devices Configuration area, and then click Add .

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.
  6. Select EZ-Touch/Text in that window.
  7. Match the following parameters to your PLC setup in the C-more Panel Manager:
  • Baud Rate
  • Parity
  • Stop Bits
  8. Use PLC Slave Node Number 1 in the C-more Panel Manager setting.
  9. When complete, click OK to accept all changes.

When all settings are complete the Studio Connectivity Center should look should look like the image below:


Entivty (H2-WinPLC) Modbus RTU and Modbus TCP/IP Ethernet Addressing

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project. When you complete a Build Project and Save in the Think & Do Software, Think & Do creates a folder with the Project Name (in the ThinkNDo\Projects folder). The Map File will be created in folder ThinkNDo\Projects\ProjectName\RTE Windows CE - Think & Do WinPLC.

Prior to Studio Version 7.2

Entivity Studio Data Type

Logical ID / Index

OUTPUT

O-0 to O-4095

FLAG

F-0 to F-4095

INPUT

I-0 to I-4095

COUNTER

C-0 to C-2047

FLOAT

FP-0 to FP-1023

NUMBER

N-0 to N-1023

STRING

S-0 to S-192

Studio Version 7.2 and Later

Entivity Studio Data Type | Logical ID / Index
OUTPUT | O-0 to O-4095
FLAG | F-0 to F-9999
INPUT | I-0 to I-6143
COUNTER | C-0 to C-9999
FLOAT | FP-0 to FP-9999
NUMBER | N-0 to N-9999
STRING | S-0 to S-192


Entivity (Think & Do) Ethernet H2WinPLC (Modbus TCP/IP Ethernet Protocol Setup

Topic: CM330

Entivity (Think & Do) Modbus TCP/IP Ethernet (H2-WinPLC)

The following information applies for the Entivity (Think & Do) Ethernet H2WinPLC (Modbus) PLCs compatible with C-more Panels. This topic covers Entivity TCP Setup. Start with the C-more Panel Setup instructions below.

The C-more panel is the master when communicating on a Modbus network.

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Entivity Modbus TCP/IP Ethernet (H2-WinPLC).

Note: Tags for the Think & Do drivers cannot be manually created in the C-more Software. The Map File must be imported into the C-more Project. When you complete a Build Project and Save in the Think & DoSoftware, Think & Do creates a folder with the Project Name (in the ThinkNDo\Projects folder). The Map File will be created in folder ThinkNDo\Projects\ProjectName\RTE Windows CE - Think & Do WinPLC.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Entivity Modbus TCP/IP Ethernet (H2-WinPLC) driver selected.

To continue with the Setup process, select the desired Setup below:

Setup Entivity TCP Using Live

This Setup information is for the Setup of Entivity Ethernet H2WinPLC (Modbus TCP/IP Ethernet) using the LIVE software. To see the Setup information using the Studio software, click on the green text.

To Setup the Entivity TCP PLC using LIVE, follow these steps:

  1. In the Choose Runtime Target window of the Entivity Live program shown below, choose the Windows CE - Think & Do WinPLC from the drop down list and click on OK.

  2. The Project Binder window shown below opens. From this window, click on the Tools selection of the Main Menu and select the IOView choice from the Tools drop-down menu as shown below.

  3. The I/O View window shown below opens. From this window, click on Backplane I/O Driver in the upper left window.

  4. Click on the WINPLC in the upper right window.

  5. Choose Module Info tab located on the bottom portion of the window.

  6. Choose Enabled for the EZ-EtherPlus (MODBUS TCP/IP) Port field.

Setup Entivity WinPLC RTU PLC Using Studio

This setup information is for the setup of Entivity Ethernet H2WinPLC (Modbus TCP/IP Ethernet) using the Studio software. To see the setup information using the LIVE software, click on the green text.

To set up the Entivity WinPLC RTU PLC using Studio, follow these steps:

  1. In the Entivity Studio - Project Center window shown below, choose the Connectivity Center icon located under the Project Tab on the Explorer Window located on the left side of the window as shown below.

  2. The Connectivity Center window shown below opens.

  3. Choose Serial Driver from the upper left window. You may have to scroll down to see it, depending upon the resolution of your PC.

  4. Click on the WINPLC RS232 Port window on the upper right window.

  5. Then click on Module Info at the bottom to Set the serial port selections.

  6. Change the Access Type to Modbus Slave.

  7. Match the Baud Rate and Parity to your PLC setup in the C-more Panel Manager. (See Caution below).

  8. Choose PLC Slave Node Number 1 in the C-more Panel Manager.

Caution: Record the old PLC settings as you change them for reconnecting with Entivity later.


GE 90/30 and 90/70 SNPX Protocol Setup (GE PLCs Setup)

This help file includes set-up information for GE PLCs. This information applies to the GE 90/30 and 90/70 SNPX PLCs compatible with C-more Panels.

The C-morepanel is the master when communicating with GE PLC.

C-more Panel Manager Settings

To set up the Panel Manager, do the following:

  1. From the C-more Programming Software, from the Main menu, select Setup.
    The drop-down menu shown below opens.

  2. From the Setup drop-down menu, select Panel Manager.
  3. From the Panel Manager window, select DEV001 on the tree to the left.
    The Device Setup screen of the Panel Manager window opens.

  4. In the PLC Protocol field, click on the down arrow [image] and select GE SNPX (90/30 90/70 Micro90 VersaMaxMicro).

All of the following settings must be set the same as the settings in the C-more Programming Software Panel Manager.The C-more Panel Manager is shown above with the GE SNPX (90/30 90/70 Micro90 VersaMaxMicro) driver selected.

Set Up GE 90/30 Pro with Cimplicity

To set up the GE 90/30 using the GE Cimplicity Programming Software, do the following:

  1. From the left side of the explorer window shown below, click the Projecttab (4th tab from the left).

  2. On the Project tab, scroll to the Hardware Configuration selection shown in the figure above, and expand it.
  3. Expand the Main Rack option.
  4. Double-click on Slot 1 (CPU Slot).
    The Configuration window opens in the main pane of the software as shown below.
  5. Click the Settings tab in the main software pane to configure the serial port.
  6. Match the following parameters to your PLC setup in the C-more Panel Manager settings.
  • Baud Rate
  • Parity
  • Stop Bits

Also match the following:

  • SNP ID of the GE software to the SNP-X ID String of the C-more Panel Manager.

Note: No SNP-X ID String is needed if this is a point-to-point connection. If there are multiple PLCs connected to the C-more panel, then each SNP-X ID string needs to be unique.This name is case sensitive.
  7. Once you have completed configuring the communications ports, click the Target menu and select Download "Target xx" to PLC..., as shown below.

The Download to PLC window shown below opens.
  8. Be sure to select Hardware Configuration and Motion in this dialog box before pressing Ok to download the changed configuration selections to the PLC.
Once completed, you should be able to connect the C-more panel to the PLC.


GE Serial and Ethernet Addressing

Memory Type

Address Range

Bit Specification

Description

Read/Write
Type

Data Type

I

1 to 12288

Input

Read Only

Discrete

Q

1 to 12288

Output

Read Only

Discrete

T

1 to 256

Temporary

R/W

Discrete

M

1 to 12288

Internal

R/W

Discrete

S

1 to 128

System State

Read Only

Discrete

SA

1 to 128

System State

R/W

Discrete

SB

1 to 128

System State

R/W

Discrete

SC

1 to 128

System State

R/W

Discrete

G

1 to 7680

Genius Global Data

R/W

Discrete

AI

1 to 8192

Analog Input

Read Only

Word

AQ

1 to 8192

Analog Output

Read Only

Word

R

1 to 16384

Register

R/W

Word


GE 90-30 and 90-70SNPX Protocol Error Codes

The following tables list the Errors that can be generated by the GE 90-30 and 90-70 PLCs when using the SNPX Protocol.

These Tables provide reference information for Error Codes displayed by the C-more Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the button provided below.

PLC Error Codes

PLC Errors for GE 90-30 & 90-70 SNPX Protocol (Major-Minor)

Error Message

Description

0x05c1

Invalid block state transition.

0x05c2

The OEM key is NULL (inactive).

0x05c3

Text length does not match traffic type.

0x05c4

Verify with FA Card or EEPROM failed.

0x05c5

No tasklevel Rack/Slot configuration to read or delete.

0x05c6

Control Program ( CP) tasks exist but requestor not logged into main CP.

0x05c7

Passwords are set to inactive and cannot be enabled or disabled.

0x05c8

Password(s) already enabled and cannot be forced inactive.

0x05c9

Login using nonzero buffer size required for block commands.

0x05ca

Device is write protected.

0x05cb

A comm or write verify error occurred during save or restore.

0x05cc

Data stored on device has been corrupted and is no longer reliable.

0x05cd

Attempt was made to read a device but no data has been stored on it.

0x05ce

Specified device has insufficient memory to handle request.

0x05cf

Specified device is not available in the system (not present).

0x05d0

One or more PLC modules configured have unsupported revision.

0x05d1

Packet size or total program size does not match input.

0x05d2

Invalid write mode parameter.

0x05d3

User Program Module ( UPM) read or write exceeded block end.

0x05d4

Mismatch of configuration checksum.

0x05d5

Invalid block name specified in datagram.

0x05d6

Total datagram connection memory exceeded.

0x05d7

Invalid datagram type specified.

0x05d8

Point length not allowed.

0x05d9

Transfer type invalid for this Memory Type selector.

0x05da

Null pointer to data in Memory Type selector.

0x05db

Invalid Memory Type selector in datagram.

0x05dc

Unable to find connection address.

0x05dd

Unable to locate given datagram connection ID.

0x05de

Size of datagram connection invalid.

0x05df

Invalid datagram connection address.

0x05e0

Service in process cannot login.

0x05e1

No I/O configuration to read or delete.

0x05e2

IOS could not delete configuration, or bad type.

0x05e3

CPU revision number does not match.

0x05e4

Memory Type for this selector does not exist.

0x05e5

DOS file area not formatted.

0x05e6

CPU model number does not match.

0x05e7

Configuration is not valid.

0x05e8

No user memory is available to allocate.

0x05e9

Memory Type selector not valid in context.

0x05ea

Not logged in to process service request.

0x05eb

Task unable to be deleted.

0x05ec

Task unable to be created.

0x05ed

VME bus error encountered.

0x05ee

Could not return block sizes.

0x05ef

Programmer is already attached.

0x05f0

Request only valid in stop mode.

0x05f1

Request only valid from programmer.

0x05f2

Invalid program cannot log in.

0x05f3

I/O configuration mismatch.

0x05f4

Invalid input parameter in request.

0x05f5

Invalid password.

0x05f6

Invalid sweep state to set.

0x05f7

Required to log in to a task for service.

0x05f8

Invalid Task Name referenced.

0x05f9

Task address out of range.

0x05fa

Cannot replace I/O module.

0x05fb

Cannot clear I/O configuration.

0x05fc

I/O configuration is invalid.

0x05fd

Unable to perform auto configuration.

0x05fe

No privilege for attempted operation.

0x05ff

Service Request Error has been aborted.

0x0a8d

Bad DOS Version. Must have DOS 2.0, or later, to support the SNP DOS Driver.

0x0a8e

PC Serial port configured for SNP Master driver is not open; no communication can take place.

0x0a8f

OutofSequence SNP message. SNP message type received was not the type expected.

0x0a90

Bad SNP BCC encountered. Transmission was aborted after maximum retries due to a bad Block Check Code.

0x0a91

Bad SNP communication. Transmission was aborted after maximum retries due to serial errors (that is, parity, overrun, or framing errors).

0x0a92

No SNP communication. Either communication has been lost or a communication session has not been established.

0x0c01

WAIT-type COMMREQ is not permitted; must use NOW AIT-type.

0x0c02

COMMREQ command is not supported.

0x0c03

SNP communication is not active. Must initiate a new SNP communication by sending an Attach or Long Attach COMMREQ.

0x0c04

SNP slave did not respond to Attach message from master.

0x0c05

Unable to write SNP Status Word to local PLC memory; may be due to invalid Status Word memory type or address.

0x0c06

Master device memory type is not valid in this PLC.

0x0c07

Master device memory address or length is zero.

0x0c08

Unable to read or write master device memory locations specified in COMMREQ. Usually caused by invalid memory address for this PLC. SNP message exchange may have taken place.

0x0c09

Master device memory data length exceeds maximum data size of CMM module (2048 bytes). Must use a smaller data length. Use multiple COMMREQs if total data length exceeds this maximum value.

0x0c0a

Slave device memory type is missing or not valid.

0x0c0b

Slave device memory address is missing or zero.

0x0c0c

COMMREQ Data Block Length is too small. Output command string data is missing or incomplete. (When expected COMMREQ length is 6 words or less. An improper length may cause other minor error codes 6-11.)

0x0c0d

Invalid Diagnostic Status Word ( DSW) starting word or length.

0x0c0e

Invalid maximum SNP message data size. Must be an even value from 42 to 2048.

0x0c0f

Invalid Privilege Level. Must be 0 through
4 or -1.

0x0c10

Invalid Fault Table selector. Must be 1 for I/O Fault Table, or 2 for PLC Fault Table.

0x0c11

Invalid Fault Table starting index. Must be 1-32 for I/O Fault Table, or 1-16 for PLC.

0x0c12

Invalid fault count. Must be 1-32 for I/O Fault Table, or 1-16 for PLC Fault Table.

0x0c13

Invalid Set PLC Date/Time mode. Must be 1-4.

0x0c14

Invalid Set PLC Date/Time date, time, or day-of-week value.

0x0c15

Unable to retrieve master device PLC time/date from PLC CPU.

0x0c16

Invalid slave PLC type. Must be 0 for Series 90-70, or 1 for Series 90-30 or Series 90-20.

0x0c17

Invalid datagram type. Must be 01h for normal datagram, or 81h (129) for permanent datagram.

0x0c18

Missing or too many datagram point formats. Must be 1-32.

0x0c19

Invalid datagram point format data.

0x0c1a

Datagram area size is too small to include data for all specified point formats.

0x0c1b

Invalid number of Control Program Names. Must be 1-8.

0x0c1c

SNP-X Request exceeds maximum data size (1000 bytes). Must use a smaller data length. Use multiple COMMREQs if necessary.

0x0c1d

Invalid SNP-X communication session type. Must be 0 for a single slave device, or 1 for multiple slave devices.

0x0c1e

Illegal destination SNP ID specified for SNP-X slave. Must be 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single device. The Broadcast SNP ID (eight bytes of FFh) may be use to specify all slave devices on the serial link.

0x0c1f

Destination SNP ID does not match SNP-X session type. The Broadcast SNP ID is not permitted in a single-slave SNP-X session. The Null SNP ID is not permitted in a multiple-slave SNP-X session.

0x0c20

Inactivity timeout (T3). The SNP slave has not received any new SNP messages within the configured T3 time interval.

0x0c21

A Parity error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.

0x0c22

A BCC (Block Check Code) error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.

0x0c23

A Framing or Overrun serial error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.

0x0c24

An invalid SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram message was required. Communications have not been established.

0x0c25

An invalid next message length value was specified in an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established.

0x0c26

An unexpected SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram was required. Communications have not been established.

0x0c27

Another Break was received while SNP slave was waiting for an Attach or Update Realtime Datagram message.

0x0c28

An SNP message has been sent and retried the maximum number of times. A maximum of two retries are permitted. A retry is caused by a NAK from the remote SNP device.

0x0c29

A received SNP message has been NAKed the maximum number of two times. The NAKed message may be retransmitted a maximum of two times.

0x0c2a

An unknown message was received when an acknowledge ( ACK or NAK) was required.

0x0c2b

Sequence Error. An unexpected SNP message type was received.

0x0c2c

Received SNP message contains bad next message length value.

0x0c2d

Acknowledge timeout. An acknowledge ( ACK or NAK) was not received within the configured T2 time interval. A slave device may generate this error if the master device has aborted after maximum response NAKs and does not NAK the next response retry.

0x0c2e

Response timeout. The SNP Master did not receive an SNP Response message within the configured T5 time interval.

0x0c2f

Buffer message timeout. An expected Text Buffer or Connection Data message was not received within the configured T5 time interval.

0x0c30

Serial output timeout. The CMM module was unable to transmit a Break, an SNP message, or SNP acknowledge ( ACK or NAK) from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)

0x0c31

SNP slave did not receive a response from the Service Request Processor in the PLC CPU.

0x0c32

COMMREQ timeout. The COMMREQ did not complete within the configured time interval.

0x0c33

An SNP Request or Response was aborted prior to completion due to reception of a Break.

0x0c34

PLC backplane communications error.

0x0c35

Invalid Piggyback Status data memory type or address. Communications have not been established.

0x0c36

Invalid SNP Slave SNP ID. Must be a 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single slave device.

0x0c37

The SNP master has received a response message containing an unexpected data length. Usually indicates a problem with the remote SNP slave device. May occur when Series 90-70 commands (Task Memory or Program Block Memory Read/Write) are issued to a Series 90-30 slave device.

0x0c38

Response code in received SNP-X response message does not match expected value. (Response code must equal the request code +80h.)

0x0c39

SNP-X Response message exceeds maximum data size (decimal 1000 bytes). Data in the Response is ignored.

0x0c40

A parity error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.

0x0c41

A framing or overrun error has occurred on an X-Attach Response message when establishing a new SNPX communication session. Communications have not been established.

0x0c42

A BCC (Block Check Code) error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.

0x0c43

An invalid message type was received when an X-Attach Response was required when establishing a new SNP-X communication session. Communications have not been established.

0x0c44

An invalid next message type value was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.

0x0c45

An invalid response code was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established.

0x0c46

An expected X-Attach Response message was not received within the response timeout interval when establishing a new SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.

0x0c50

A parity error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.

0x0c51

A framing or overrun error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.

0x0c52

A BCC (Block Check Code) error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.

0x0c53

An invalid message type was received when an X-Attach Response was required when re-establishing an existing SNP-X communication session. Communications have not been established.

0x0c54

An invalid Next Message Type value was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.

0x0c55

An invalid response code was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.

0x0c56

An expected X-Attach Response message was not received within the response timeout interval when reestablishing an existing SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.

0x0c60

A parity error has occurred on an X-Response message.

0x0c61

A framing or overrun error has occurred on an X-Response message.

0x0c62

A BCC (Block Check Code) error has occurred on an X-Response message.

0x0c63

An invalid message type was received when an X-Response message was required.

0x0c64

An invalid next message type value was detected in an X-Response message.

0x0c65

An invalid response code was detected in an X-Response message.

0x0c66

An expected X-Response message was not received within the response time.

0x0c70

A parity error has occurred on an Intermediate Response message.

0x0c71

A framing or overrun error has occurred on an Intermediate Response message.

0x0c72

A BCC (Block Check Code) error has occurred on an Intermediate Response message.

0x0c73

An invalid message type was received when an Intermediate Response message was required.

0x0c74

An invalid next message type value was detected in an Intermediate Response message.

0x0c75

An invalid response code was detected in an Intermediate Response message.

0x0c76

An expected Intermediate Response message was not received within the response timeout interval.

0x0d40

The requested service is not supported by the SNP slave.

0x0d41

SNP slave on CMM module requires PLC CPU privilege level 2 to operate. The SNP slave has rejected a request to change to a higher or lower privilege level.

0x0d42

SNP Request or Response message exceeds maximum data length of the CMM module. (Total data length for Mailbox and all following Buffer messages is 2048 bytes.) The master must use a smaller data length. Use multiple requests if total data length exceeds the maximum value.

0x0d43

Improper Write Datagram message format. Series 90-70 slave devices use a different format for this message than Series 90-30 or Series 90-20 slave devices. The master must use the proper message format for this SNP slave device. (The SNP master in the CMMmodule sends this message as part of the Establish Datagram COMMREQ command. The datagram has been partially established, but is not usable; the datagram should be canceled by using the Datagram ID returned by the COMMREQ.)

0x0d44

A datagram error occurred in a Series 90-70 slave device (dual-port error).

0x0e01

Not used.

0x0e02

The modem command string length exceeds 250 characters.

0x0e03

COMMREQ Data Block Length is too small. Output command string data is missing or incomplete.

0x0e04

Serial output timeout. The CMM module was unable to transmit the modem autodial output from the serial port. (May be due to missing CTS signal when the CMM is configured to use hardware flow control.)

0x0e05

Response was not received from modem. Check modem and cable.

0x0e06

Modem responded with BUSY. Modem is unable to complete the requested connection. Check the local and remote modems and the telephone line.

0x0e07

Modem responded with NO CARRIER.

0x0e08

Modem responded with NO DIALTONE. Modem is unable to complete the requested connection. Check the modem connections and the telephone line.

0x0e09

Modem responded with ERROR. Modem is unable to complete the requested command. Check the modem command string and modem.

0x0e0a

Modem responded with RING, indicating that the modem is being called by another modem. Modem is unable to complete the requested command. Retry the modem command at a later time.

0x0e0b

An unknown response was received from the modem. Modem is unable to complete the requested command. Check the modem command string and modem. The modem response is expected to be either CONNECT or OK.

0x0f01

The service request code in an X-Request message is unsupported or invalid at this time. This error may occur if an SNP-X communication session has not been success fully established at the slave device.

0x0f02

Insufficient privilege level in the slave PLC CPU for the requested SNP-X service. Password protection at PLC CPU may be preventing the requested service.

0x0f03

Invalid slave memory type in X-Request message.

0x0f04

Invalid slave memory address or range in X-Request message.

0x0f05

Invalid data length in X-Request message. Data length must be non-zero, and may not exceed decimal 1000 bytes.

0x0f06

X-Buffer data length does not match the service request in X-Request message. The X-Buffer message length is obtained from the Next Message Length field in the X-Request message; the length of the data within the buffer message is always the message length.

0x0f07

Queue Full indication from Service Request Processor in slave PLC CPU. The slave is temporarily unable to complete the service request. The master should try again later. It is recommended that the master wait at least 10 msec before repeating the X-Request.

0x0f08

Service Request Processor response exceeds 1000 bytes; the SNP-X slave device cannot return the data in an X-Response message. (This error applies to CMM module only.)

0x0f10

Unexpected Service Request Processor error. (This error applies to CMM module only; the unexpected SRP error code is saved in the Diagnostic Status Words in the CMM module.)

0x0f15

Requested service is not permitted in a Broadcast request. The master must direct the X-Request message to a specific SNP-X slave device.

0x0f20

Invalid Message Type field in a received X-Request message. The message type of an X-Request message must be 58h = X.

0x0f21

Invalid Next Message Type or Next Message Length field in a received X Request message. If this request does not use a buffer (0-2 bytes of data), the Next Message Type must be zero. If this request will be followed with a buffer message (more than 2 byte.)), the Next Message Type must be 54h = T, and the Next Message Length must specify the length of the X-Buffer message. Valid X-Buffer message lengths are 9-1008 bytes (data length plus 8 bytes).

0x0f22

Invalid Message Type field in a received X-Buffer message. The message type of an X-Buffer message must be 54h = T.

0x0f23

Invalid Next Message Type field in a received X-Buffer message. Since an X-Buffer message is never followed by another message, the Next Message Type must always be zero.

0x0f40

Serial output timeout. The slave was unable to transmit an SNP-X message from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)

0x0f41

An SNP-X request was aborted prior to completion due to reception of a Break.

0x0f42

An X-Buffer message was received containing greater than 1000 bytes of data. The data is ignored.

0x0f43

The SNP-X slave did not receive a response from the Service Request Processor in the PLC CPU.

0x0f44

PLC backplane communications error.

0x0f50

A parity error has occurred in a received X-Attach message.

0x0f51

A framing or overrun error has occurred in a received X-Attach message.

0x0f52

A BCC (Block Check Code) error has occurred in a received X-Attach message.

0x0f53

An invalid Message Type was received when an X-Attach message was required. (For an X-Attach message, the message type must be 58h = T.)

0x0f54

An invalid Next Message Type value was detected in a received X-Attach message. (For an X-Attach message, the Next Message Length must be zero.)

0x0f55

An invalid request code was detected in a received X-Attach message.

0x0f60

A parity error has occurred in a received X-Request message.

0x0f61

A framing or overrun error has occurred in a received X-Request message.

0x0f62

A BCC (Block Check Code) error has occurred in a received X-Request message.

0x0f70

A parity error has occurred in a received X-Buffer message.

0x0f71

A framing or overrun error has occurred in a received X-Buffer message.

0x0f72

A BCC(Block Check Code) error has occurred in a received X-Buffer message.

0x0f73

An expected X-Buffer message was not received.

0x1302

Unsupported COMMREQ. These errors are only generated when there is no protocol currently being run on a port, and the port receives a COMMREQ. (The port may be disabled or an error has occurred in processing a new configuration).

0x1303

Invalid COMMREQ length.

0x1304

Invalid COMMREQ status word location.

0x1305

Invalid COMMREQ data.


GE 90/30 and Rx3i Protocol Setup

Topic: CM357

GE Ethernet 90/30 and Rx3i SRTP Protocol Setup

The C-morepanel is the master when communicating with a GE PLC.

C-more Panel Manager Settings

Note: C-more does not support the routing feature of the SRTP. Therefore the CPU must be in Slot 1.

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

Panel Manager Settings

From the PLC Protocol field, click on the down arrow [image] and select the GE Ethernet SRTP (90/30 Rx3i) selection.

  1. IP Address: This is the IP Address of the GE Ethernet CPU. It can be found using the Proficy Machine Edition software (see below).
  2. Port (0–65535): This is the SRTP server listening TCP port number of the PLC. The default value is 18245. This field can be changed in the event that the C-more panel needs to access the PLC through a firewall using NAT. This field can also be changed if there is a requirement to have the SRTP server port number at a non-default value on a LAN.
  3. Retries (0-10): The C-more panel will send a request to the GE Ethernet CPU. If the CPU does not reply within the specified “Response Timeout” period, the C-more panel will send the request again up to the number of Retries. Once the retry count (specified in this field) limit has been reached, the C-more panel will display a PLC Timeout error on the screen. This will occur on a TCP connect request or a Command request (after the TCP connection is established).
  4. Timeout time (1-255) (in 100ms units): This is the amount of Time (in 100ms units) that the panel will wait on the Command reply (or TCP ACK message) after sending a request. After the Timeout timer expires, it will then retry.
  5. Poll Time (0-30000 msec): This is the amount of Time (in milliseconds) that the panel will wait in between each request.

Using Proficy Machine Edition Method to see IPAddress

To Setup the GE 90/30 using the GE Cimplicity Programming Software, follow these steps:

Go to the Project Navigator and double click on the CPU slot (IC693CPU374). In the settings window of the CPU, click on the Ethernet tab to locate the IP Address and Subnet Mask:


Mitsubishi Melsec FX PLC Setup Information

Pay close attention to the configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

This help file includes setup information for the Mitsubishi Melsec FX PLCs. It includes two drivers: Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU) and Mitsubishi FX Series CPU.

The Mitsubishi Melsec FX series PLC's all have a one serial communications port to which the C-more connects. The serial communications parameters are fixed for this port, therefore there is no setup in the PLC. The parameters in the C-more Panel Manager are also fixed with the exception of the Timeout and Poll Time.

The C-more panel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Mitsubishi FX Series CPU or Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU).

Mitsubishi FX Series CPU

Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU)

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

Data Register - 16 Bit Word

Counter - 16 Bit Word

Counter - Done Bit

Relay - Bit

System - Bit

Timer - Bit

Timer - 16 Bit Word

Input - Bit (Octal Addressing)

Output - Bit (Octal Addressing)


Mitsubishi Melsec FX PLC Addressing

This addressing table applies to the Mitsubishi FX-1N(C)/2N(C)/3U(C) CPU Protocol and the Mitsubishi FX Series Protocol as noted.

Memory Type

Address Range

Bit Specification

Description

Read/Write Type

Data Type

X

0 to 177
(Octal Number)

Input

Read Only

Discrete

Y

0 to 177
(Octal Number)

Output

Read Only

Discrete

T

0 to 255
(Decimal Number)

Timer Present Elapsed Time

Read Only

Word

T

.0 to .255
(Decimal Number)

Timer Output

Read Only

Discrete

C

0 to 199
(Decimal Number)

Counter Present Value

Read Only

Word

C

200 to 255
(Decimal Number)

Counter Present Value

Read Only

Word

C

.0 to .255
(Decimal Number)

Counter Output

Read Only

Discrete

D*

0 to 7999
(Decimal Number)

Data Register

R/W

Word

D

8000 to 8255
(Decimal Number)

Data Register

Read Only

Word

S

0 to 999
(Decimal Number)

State

R/W

Discrete

M**

0 to 3071
(Decimal Number)

Relay

R/W

Discrete

M

8000 to 8255
(Decimal Number)

Relay

Read Only

Discrete

* D - Range for Mitsubishi FX Series CPU drivers is 0-999

** M - Range for Mitsubishi FX Series CPU drivers is 0-1535


Mitsubishi Melsec FX Protocol Error Codes

Only Errors as listed in the Panel Error Code Table can occur when using the Mitsubishi Melsec FX Protocol. There are no PLC generated errors. To view the C-more Panel Error Codes, click on the green text.


Mitsubishi Q/QnA Serial PLCs Setup

Pay close attention to the compatibility matrix, configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

The following information applies only to the Mitsubishi Q/QnA Serial PLCs compatible with C-more Panels. This driver can be used to connect to the Serial Port on the CPU for the Q00 CPU and the Q01 CPU only. For other Q Series CPUs, a Serial Communications Module can be used with this driver. Refer to Mitsubishi Q Series Compatibility Matrix to see what driver to use for the various CPUs and Communications Modules in the Mitsubishi Q series.

The Serial Communications Modules supported for this driver are:

  • QJ71C24
  • QJ71C24-R2
  • QJ71C24N
  • QJ71C24N-R2
  • QJ71C24N-R4

The C-morepanel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

View the PLCs Serial Ports Settings

To Configure the Mitsubishi Q/QnA Serial PLC to communicate with the C-more Panel, you will first need to find the Port Settings for your Mitsubishi PLC. To do this, open the MELSOFT Software and double-click on the PLC Parameter icon on the left side panel of the MELSOFT Software as shown below.

When PLC Parameter is selected, the Q Parameter Setting window shown below will open.

Connect to the Q00 and Q01 CPU Serial Ports

To connect to the CPU Serial Ports of the Q00 CPU and the Q01 CPU, click on the Serial Tab so the Serial Communication selections are displayed as shown above. From these selections, do the following:

  1. Use Serial Communication: Click on the check box to select this option.

  2. Transmission Speed: Click on the down arrow to display the Transmission speeds available and select the desired Speed. This is the same as the Baud Rate value setting of the C-more Programming Software's Panel Manager window. The Baud Rate and the Transmission Speed MUST MATCH.

  3. Sum Check: Click on the check box to select the Sum Check option.

  4. Transmission Wait Time: Leave this setting on the default No Waiting Time selection.

  5. RUN Write Setting: Click on the Permit check box to turn this option ON.

You must remember to use STYLE4 for the Protocol setting in the C-more Panel Manager window discussed below when connecting to the Q00 or Q01 CPU directly.

Using the QJ71C24 Module

To use the QJ71C24 module, from the Q Parameter Setting window shown above, select the I/O Assignment Tab. The I/O Assignment selections available from this Tab are shown below.

Note: The PLC will return an Error if you attempt Writes to the X or Y memory area that has been assigned to the communication module in the StartXY column.

From this window, click on the Switch Setting button highlighted on the graphic above. This will open the Switch Setting window that will allow you to view the Serial Module parameters as shown below. This graphic includes call-outs that show what each value refers to.

  1. The column labeled Switch 1 contains the Setting for Channel 1 Baud Rate and Transmission Settings. The High Byte highlighted in the graphic above with yellow, contains the Baud Rate and the Low Byte highlighted in the graphic above with green, contains the Transmission Settings.

    The charts below explain these Settings (fields in gray are invalid choices for C-more):

Baud Rate | High Byte Value (Bits 15 to 8)
50 | 0x0F
300 | 0x00
600 | 0x01
1200 | 0x02
2400 | 0x03
4800 | 0x04
9600 | 0x05
14400 | 0x06
19200 | 0x07
28800 | 0x08
38400 | 0x09
57600 | 0x0A
115200 | 0x0B
230400 | 0x0C
 | Low Byte Value
 | Bit 7 | Bit 6 | Bit 5 | Bit 4 | Bit 3 Bit 2 |  | Bit 1 | Bit 0
Setting | Change Setting | Write During Run | Checksum Code | Stop Bit | Parity |  | Data Bit | Operation Setting
0 | Disabled | Disabled | No | 1 bit | 00 = No Parity 10 = No Parity 01 = Odd Parity 11 = Even Parity |  | 7 bits | Independent
1 | Enabled | Enabled | Yes | 2 bits |  |  | 8 bits | Linked
 | 1 | 1 | 1 | 0 | 0 | 0 | 1 | 0
Looking at the Example graphic above before the tables, Switch 1 setting is 0x09E2. This would set the Channel 1 Serial Port on the module to 38400 Baud Rate, 1 Stop Bit, No Parity and 8 Data bits. Where 0x09E2 breaks down as follows:
0x09 = | 38400 | (From the High Byte Value Table Above)
(From the Low Byte Value Table Above)
0xE = | Bit 7 | Bit 6 | Bit 5 | Bit 4
 | 1 | 1 | 1 | 0
 | Change Setting = Enabled | Write During Run = Enabled | Checksum Code = Yes | Stop Bit = 1 Bit
 | Note: Bits 5, 6 and 7 must be 1 for C-more Communications.
0x2 = | Bit 3 | Bit 2 | Bit 1 | Bit 0
 | 0 | 0 | 1 | 0
 | No Parity |  | Data Bit = 8 Bits | Operation Setting = Independent
 | Note: Bit 0 must be 0 for C-more Communications.

  2. These same charts also apply to the Channel 2 Serial Port using the settings in the Switch 3 field.

  3. Switches 2 and 4 are for the Communications Protocol Settings of Channel 1 and Channel 2 respectively. Set this field to 0001 for STYLE1 or set to 0004 for STYLE4. These are the only two settings that will work with C-more. Refer to Mitsubishi documentation for the other available selections and their meanings.

  4. Switch 5 is the Station Number of the Module. It applies to both Serial Ports.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Mitsubishi Q/QnA Serial selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

All of the following settings must be set the same in Panel Manager in the C-more Programming Software as in MELSOFT Software. Use the MELSOFT Software information on the top of this page as reference.

Configure the Panel Manager selections as follows:

  1. Station Number: This is the PLC Address of the PLC Port that the C-more Panel will be connected to. Refer to Switch 5 setting above.

  2. Baud Rate: This setting should match the Baud Rate setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  3. Parity: This setting should match the Parity setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  4. Stop Bit: This setting should match the Stop Bit setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  5. Data Bit: This setting should match the Data Bit setting in either the Switch 1 or Switch 3 setting above (depending upon which port you are connecting to).

  6. Control RTS: Selecting YES for this setting will enable the panel to assert its RTS signal before transmitting data and deassert the RTS signal when the transmission is complete. For most setups, this setting should be left at NO. This is only required when flow control is needed.

  7. Require CTS: Selecting YES for this setting will force the panel to look for a CTS signal to become true before a transmission will be sent. For most setups, this setting should be left at NO. This is only required when flow control is needed.

  8. Select RS485: This selection will enable the panel to do two wire RS-485 Communications. Along with turning on this setting, the SD+ and RD+ signals must be jumped as well as the SD- and RD- signals.

  9. Protocol Type: This setting should match the Switch 2 or Switch 4 setting of the serial port (depending upon which port you are connecting to). Refer to the explanation above for Switch 2 and 4.

  10. Timeout Time: This is the amount of Time (in 100ms units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  11. Poll Time: This is the amount of Time (in milliseconds) that the Panel will wait between each request.


Mitsubishi Q/QnA Serial/Ethernet and Q Series PLCs Addressing

Memory Type |  | Address Range | Description | Read/Write Type | Data Type
D |  | 0/00 - 32767/15 | Data Memory | R/W | Bit
 |  | 0 - 32767 |  |  | Word
T | T(CONN) | 0 - 32767 | Timer Complete | R/W | Bit
 | T(COIL) |  | Timer Running |  | Bit
 | T |  | Timer Current |  | Word
ST | ST(CONN) | 0 - 32767 | Retentive Timer Comp. | R/W | Bit
 | ST(COIL) |  | Retentive Timer Running |  | Bit
 | ST |  | Retentive Timer Current |  | Word
C | C(CONN) | 0 - 32767 | Counter Complete | R/W | Bit
 | C(COIL) |  | Counter Running |  | Bit
 | C |  | Counter Current |  | Word
X(HEX) |  | 0 - 1FFF | Inputs | R/W | Bit
Y(HEX) |  | 0 - 1FFF | Outputs | R/W | Bit
M |  | 0 -32767 | Internal Relay | R/W | Bit
L |  | 0 -32767 | Latch Relay | R/W | Bit
S |  | 0 -32767 | Step Relay | R/W | Bit
F |  | 0 -32767 | Annunciator | R/W | Bit
B(HEX) |  | 0 - 7FFF | Link Relay | R/W | Bit
V |  | 0 -32767 | Edge Relay | R/W | Bit
W(HEX) |  | 0/00 - 7FFF/15 | Link Register | R/W | Bit
 |  | 0 - 7FFF |  |  | Word
ZR |  | 0/00 - 1042431/15 | File R egister | R/W | Bit
 |  | 0 - 1042431 |  |  | Word
SM |  | 0 - 2047 | Special Relay | R/W | Bit
SB(HEX) |  | 0 - 7FF | Link Special Relay | R/W | Bit
SD |  | 0/00 - 2047/15 | Special Register | R | Bit
 |  | 0 - 2047 |  |  | Word
SW(HEX) |  | 0/00 - 7FF/15 | Link Special Register | R/W | Bit
 |  | 0 - 7FF |  |  | Word


Mitsubishi Serial Calculator

Switch 1 or 3:
Switch 2 or 4:
Switch 5:


Mitsubishi Compatibility Matrix

Pay close attention to the configuration details and limitations provided in the PLC Setup topic. The Mitsubishi CPU types each have specific communication nuances that must be considered; for example, Q00 is not the same as Q00J or Q02 is not the same as Q02U.

 | Q00 | Q00J | Q01 | Q02 | Q02H | Q06H | Q12H | Q25H | Q02U | Q03UD | Q04UDH | Q06UDH
Mitsubishi (CPU) Direct: - Q02 - Q02H - Q06H - Q12H - Q25H |  |  |  | X | X | X | X | X |  |  |  |
* QnA Serial Drive r using QJ71C24N Module | X | X | X | X | X | X | X | X | X | X | X | X
** QnA Serial Driver with Direct Connection to CPU Serial Port | X |  | X |  |  |  |  |  |  |  |  |
QnA Ethernet using QJ71E71 Module | X | X | X | X | X | X | X | X | X | X | X | X
* Using STYLE1 or STYLE4 |  |  |  |  |  |  |  |  |  |  |  |
** Using STYLE4 only |  |  |  |  |  |  |  |  |  |  |  |


Mitsubishi Q Series (Q02/Q02H/Q06H/Q12H/Q25H CPU) Setup

Pay close attention to the configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

The following information applies only to the Mitsubishi Q02/Q02H/Q06H/Q12H/Q25H CPUs compatible with C-more Panels.

The setup for these CPUs is very simple since there are no settings to configure in the PLC. Simply select the desired Baud Rate in the C-more Programming Software Panel Manager window described below and the PLC will automatically respond to the selected Baud Rate.

The C-morepanel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Mitsubishi Q Series (Q02/Q02H/Q06H/Q12H/Q25H CPU) selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

To set up the Mitsubishi Q Series to work with the C-more Panel, configure the C-more Programming Software Panel Manager selections shown above as follows:

  1. Station Number: This is the PLC Address of the PLC Port that the C-more Panel will be connected to.

  2. Baud Rate: Select the desired Baud Rate to communicate from C-more to the PLC. The Baud Rate selection will depend upon the cable length, quality of the environment (electrical noise level) and the quality of the cable.

  3. Parity, Stop Bit and Data Bit: These items are not adjustable from this window and are display only.

  4. Timeout Time: This is the amount of Time (in 100ms units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  5. Poll Time: This is the amount of Time (in milliseconds) that the Panel will wait between each request.

It may be helpful to test the communications settings with a C-more project that requests only address D0 before attempting communications with a more complicated project.


Mitsubishi Q/QnA PLC Error Codes

The following table lists the Errors that can be generated by the Mitsubishi Q/QnA PLCs. This table provides reference information for Error Codes displayed by the C-more Panels as Error Code PLC-499.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the green text.

Mitsubishi Q/QnA PLC Error Codes (PLC-499: Error Code 0xaaaa)
Error Code | Description
0x4000 | Serial communications checksum error. Check cable and grounding.
0x4001 | Unsupported request sent to PLC.
0x4002 | Unsupported request sent to PLC.
0x4003 | Global request sent to PLC that cannot be executed.
0x4004 | System protect switch is on and request was sent that cannot be executed. Also PLC, may still be booting up.
0x4005 | Packet sent is too large according to size request in header.
0x4006 | Serial communications could not be initialized.
0x4008 | CPU busy or buffer full.
0x4010 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4013 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4021 | Drive memory does not exist.
0x4022 | File (ZR memory) does not exist.
0x4023 | File (ZR memory) name and File (ZR memory) number do not match.
0x4024 | File (ZR memory) inaccessible by user.
0x4025 | File (ZR memory) is locked by another device.
0x4026 | File (ZR memory) password required.
0x4027 | Specified range is out of File (ZR memory) range.
0x4028 | File (ZR memory) already exist.
0x4029 | Specified File (ZR memory) capacity cannot be retrieved.
0x402A | Specified File (ZR memory) is abnormal.
0x402B | The requested data cannot be executed in the specified drive memory.
0x402C | The requested operation cannot be executed presently.
0x4030 | The specified data type does not exist. Check the CPUs allowable data types.
0x4031 | The specified address is out of range. The data type requested may need to be expanded in GX developer. The CPU may not allow this data type.
0x4032 | Address qualification is incorrect.
0x4033 | Cannot write to system area.
0x4034 | Request cannot be executed because completion address for an instruction cannot be turned on.
0x4040 | Module doesn't support request.
0x4041 | Request is out of module's range.
0x4042 | Module cannot be accessed.
0x4043 | Address for specified module is incorrect.
0x4044 | Hardware problem exist for specified module.
0x4050 | Request cannot be executed because memory card protect switch is on.
0x4051 | Specified memory cannot be accessed.
0x4052 | Specified memory attribute is read only and cannot be written to.
0x4053 | Error occurred when writing to specified memory location.
0x4080 | Request data error. Check cabling and electrical noise.
0x4082 | Specified request is already being executed.
0x408B | The remote request cannot be performed.
0x40A0 | A block number out of range was specified.
0x40A1 | The number of blocks requested exceeds the range of the PLC.
0x40A2 | A step number was specified out of range.
0x40A3 | Step range limit exceeded.
0x40A4 | Specified sequence step number is out of range.
0x40A5 | Specified SFC device is out of range.
0x40A6 | Block specification and step specification are incorrect.
0x4100 | CPU module hardware fault.
0x4101 | Serial communication connection incorrect.
0x4105 | CPU module internal memory fault. Bad CPU.
0x4106 | CPU is in initialization. Wait until CPU is booted up.
0x4107 | Specified function not supported by this CPU. Check memory types for that CPU.
0x4110 | Specified function not supported because CPU is in Stop. Put CPU in Run.
0x4111 | System is not up yet. Wait until system is up before performing request.
0x4A01 | The network number specified does not exist. Routing not supported in C-more.
0x4A02 | Station number specified does not exist. Routing not supported in C-more.


Mitsubishi Q/QnA Ethernet Setup

Pay close attention to the configuration details, and limitations provided in this topic. The Mitsubishi CPU types each have specific communication nuances that must be considered.

The following information applies only to the Mitsubishi Q/QnA Ethernet PLCs compatible with C-more Panels. This driver requires the following supported Communications Module:

  • QJ71E71-100

The C-more panel is the master when communicating with a Mitsubishi PLC.

Note: Remember to power cycle the PLC after making changes to the communication port settings.

View the PLCs Ethernet Ports Settings

To Configure the Mitsubishi Q/QnA Ethernet PLC to communicate with the C-more Panel, you will first need to enter the Parameter Settings for your Mitsubishi PLC. To do this follow these steps:

  1. Open the MELSOFT Software and double-click on the Network Parameter icon on the left side panel of the MELSOFT Software as shown below.

  2. When Network Parameter is selected, the Network Parameter dialog box shown above will open. From this dialog box select the MELSECNET/Ethernet selection.

  3. Once selected, the settings shown above will open. Configure the settings as shown below:

  1. Network Type: Ethernet

  2. Starting I/O No.: 0000

  3. Network No.: 1

  4. Group No.: 0

  5. Station No.: 1

  6. Mode: On line

  4. Once you have configured these settings, click on the Operational settings button to bring up the dialog box shown below.

From this window you will find the PLC IP Address (highlighted above) to put into the C-more Panel Manager IP setting. In addition, be sure to configure the other settings as shown above.

Once the settings are complete, click on the End button at the bottom of the window to close it.

  5. This will return you to the Network Parameter settings window. From the settings, select the Open Settings button to open the dialog box shown below.

Configure this settings window with the following:

    1. Protocol: TCP

    2. Open System: Unpassive

    3. Fixed Buffer: Receive

    4. Fixed Buffer Communication Procedure: Procedure exist

    5. Pairing Open: Disable

    6. Existence Confirmation: No confirm

    7. Host Station Port No.: This number must match the PLC TCP Port field in the C-more Panel Manager. It should be between 0x0401 – 0x1387 or 0x138B – 0xFFFE.

Note: For each C-more Panel connected to the Ethernet module, an entry must be added. The dialog box above shows what the configuration would look like if two C-more Panels were connected to the PLC.

Once these settings are complete, click on the End button.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Mitsubishi Q/QnA Ethernet selection.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

All of the following settings must be set the same in Panel Manager in the C-more Programming Software as in MELSOFT Software Network Parameter. Use the MELSOFT Software information on the top of this page as reference.

Configure the Panel Manager selections as follows:

  1. IP Address: This is the IP Address of the QJ71E71-100 Module being ed. It can be found in the Ethernet Operations settings dialog box shown above. In our example, this is 192.0.1.254.

  2. PLC TCP Port (0-FFFF): This is the TCP listening port of the QJ71E71-100 Module being ed. This number can be found in the Ethernet Open Setting Window shown above. In our example, this is 0802.

  3. Retries: This item is not adjustable from this window and is display only.

  4. Timeout Time: This is the amount of Time (in 100ms units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

  5. Poll Time: This is the amount of Time (in milliseconds) that the Panel will wait between each request.


Mitsubishi Q/QnA Ethernet PLCs Error Codes

The following table list the Errors that can be generated by the Mitsubishi Q/QnA Ethernet PLCs. This table provides reference information for Error Codes displayed by the C-more Panels as Error Code PLC-499.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the green text.

PLC Errors for Mitsubishi Q Series PLC (PLC-499: Error Code 0xaaaa)
Error Code | Description
0x4000 | Serial communications checksum error. Check cable and grounding.
0x4001 | Unsupported request sent to PLC.
0x4002 | Unsupported request sent to PLC.
0x4003 | Global request sent to PLC that cannot be executed.
0x4004 | System protect switch is on and request was sent that cannot be executed. Also PLC, may still be booting up.
0x4005 | Packet sent is too large according to size request in header.
0x4006 | Serial communications could not be initialized.
0x4008 | CPU busy or buffer full.
0x4010 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4013 | Request cannot be serviced while CPU is running. CPU must be stopped.
0x4021 | Drive memory does not exist.
0x4022 | File (ZR memory) does not exist.
0x4023 | File (ZR memory) name and File (ZR memory) number do not match.
0x4024 | File (ZR memory) inaccessible by user.
0x4025 | File (ZR memory) is locked by another device.
0x4026 | File (ZR memory) password required.
0x4027 | Specified range is out of File (ZR memory) range.
0x4028 | File (ZR memory) already exist.
0x4029 | Specified File (ZR memory) capacity cannot be retrieved.
0x402A | Specified File (ZR memory) is abnormal.
0x402B | The requested data cannot be executed in the specified drive memory.
0x402C | The requested operation cannot be executed presently.
0x4030 | The specified data type does not exist. Check the CPUs allowable data types.
0x4031 | The specified address is out of range. The data type requested may need to be expanded in GX developer. The CPU may not allow this data type.
0x4032 | Address qualification is incorrect.
0x4033 | Cannot write to system area.
0x4034 | Request cannot be executed because completion address for an instruction cannot be turned on.
0x4040 | Module doesn't support request.
0x4041 | Request is out of module's range.
0x4042 | Module cannot be accessed.
0x4043 | Address for specified module is incorrect.
0x4044 | Hardware problem exist for specified module.
0x4050 | Request cannot be executed because memory card protect switch is on.
0x4051 | Specified memory cannot be accessed.
0x4052 | Specified memory attribute is read only and cannot be written to.
0x4053 | Error occurred when writing to specified memory location.
0x4080 | Request data error. Check cabling and electrical noise.
0x4082 | Specified request is already being executed.
0x408B | The remote request cannot be performed.
0x40A0 | A block number out of range was specified.
0x40A1 | The number of blocks requested exceeds the range of the PLC.
0x40A2 | A step number was specified out of range.
0x40A3 | Step range limit exceeded.
0x40A4 | Specified sequence step number is out of range.
0x40A5 | Specified SFC device is out of range.
0x40A6 | Block specification and step specification are incorrect.
0x4100 | CPU module hardware fault.
0x4101 | Serial communication connection incorrect.
0x4105 | CPU module internal memory fault. Bad CPU.
0x4106 | CPU is in initialization. Wait until CPU is booted up.
0x4107 | Specified function not supported by this CPU. Check memory types for that CPU.
0x4110 | Specified function not supported because CPU is in Stop. Put CPU in Run.
0x4111 | System is not up yet. Wait until system is up before performing request.
0x4A01 | The network number specified does not exist. Routing not supported in C-more.
0x4A02 | Station number specified does not exist. Routing not supported in C-more.


Modicon Modbus RTU Protocol Setup

The following information applies for the Modicon Modbus RTU PLCs compatible with C-more Panels.

The C-more panel is the master when communicating on a Modbus network.

Note: We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Modicon Modbus RTU.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Modicon Modbus RTU driver selected.

Setup Modicon Modbus RTU Using Concept

To set up the Modicon Modbus RTU PLC using the Schneider Concept PLC Programming Software, follow these steps:

  1. On the Main Menu of the Concept Start window select Project. From the Project drop-down menu, select Configurator as shown below.

The PLC Configuration window shown below opens.

  2. From the PLC Connection window shown above, select the Modbus Port Settings selection from the tree on the left side of the window and click on the Open Dialog button located on the bottom left side of the window.

  3. The Modbus Port Settings window shown below opens.

  4. On the Modbus Port Settings window, match the following parameters to your PLC setup in the C-more Panel Manager settings:

    • Baud Rate
    • Parity
    • Address
    • Protocol

If the Protocol is RS232, you choose No in the Select RS485 field in C-more. If the Protocol Field in Concept is RS485, you would choose Yes in the Select RS485 in C-more.

  5. Once the Modbus Port Settings are completed, you have to connect and download. Select Online from the Main Menu and from the Online drop-down menu, select Connect as shown below.

  6. The Connect To PLC window shown below opens. From this window, click on the OK button when done.

  7. Once connected, select Online from the Main Menu and from the Online drop-down menu select Download as shown below.

  8. The Download Controller window shown below opens. From this window, choose the items to Download. You must choose Configuration for the port settings to get transferred. Once this is done, you should be able to connect the C-more panel to the PLC.


Modicon Modbus Addressing

Note: We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers.

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
0 | 1 to 65536 |  | Coil | R/W | Discrete
1 | 1 to 65536 |  | Input | Read Only | Discrete
3 | 1 to 65536 | 0 to 15 |  | Read Only | Discrete
3 | 1 to 65536 |  | Input Register | Read Only | Word
4 | 1 to 65536 | 0 to 15 |  | R/W | Discrete
4 | 1 to 65536 |  | Holding Register | R/W | Word

Function Code | Action
01 (01 hex) | Read Coils
02 (02 hex) | Read Input Bits
03 (03 hex) | Read Holding Registers
04 (04 hex) | Read Input Registers
05 (05 hex) | Write Single Coil
06 (06 hex) | Write Single Register
15 (0F hex) | Write Multiple Coils
16 (10 hex) | Write Multiple Registers


Modicon Modbus TCP/IP Protocol Setup

The following information applies for the Modicon Modbus TCP/IP PLCs compatible with C-more Panels.

The C-more panel is the master when communicating on a Modbus network.

Note: We continue to add device-specific drivers to simplify configuring communication with popular modbus devices. Refer to the Help File "What's New" topic for recently added device-specific modbus drivers.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. The Panel Manager window opens by default displaying Panel Settings. From this window, click on the DEV001 selection on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001. From the PLC Protocol field, click on the down arrow [image] and select Modicon Modbus TCP/IP Ethernet.

Anytime you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Modicon Modbus TCP/IP Ethernet driver selected.

Setup Modicon Modbus TCP/IP Using Concept

To Setup the Modicon Modbus TCP/IP PLC, follow these steps:

  1. On the Main Menu of the Concept Start window select Project. From the Project drop-down menu, select Configurator as shown below.

The PLC Configuration window shown below opens.

  2. From the PLC Connection window shown above, select the Ethernet I/O Scanner under Config Extensions and Open Dialog button located on the bottom left side of the window.

  3. The Ethernet I/O Scanner window shown below opens.

  4. On the Ethernet I/O Scanner window, configure the Internet Address to match the specified IP Address in the C-more Panel Manager. In addition, the Subnet Mask should match the C-more Panel Manager settings. Click on the OK button to accept the entries made.

  5. Once the Ethernet I/O Scanner Settings are completed, you have to connect and download. Select Online from the Main Menu and from the Online drop-down menu, select Connect as shown below.

  6. The Connect To PLC window shown below opens. From this window, choose the appropriate communications means for your controller (probably Serial if you are configuring the IP settings of the PLC). Be sure to choose Change Configuration on the bottom left side to download the changed IP Address settings. Click on the OK button when done.

  7. Once connected, select Online from the Main Menu and from the Online drop-down menu select Download as shown below.

  8. The Download Controller window shown below opens. From this window, choose the items to Download. You must choose Configuration for the port settings to get transferred. Once this is done, you should be able to connect the C-more panel to the PLC.


Omron Host Link Module Protocol Setup

The following information applies only to the Omron Host Link Module compatible with C-more Panels.

The C-more panel is the master when communicating with an Omron PLC.

C-more Panel Manager Settings

To set up the Omron Host Link Module, do the following:

  1. From the C-more Programming Software Main menu, select Setup.
    The drop-down menu shown below opens.

  2. From the Setup drop-down menu, select Panel Manager.
    The Panel Manager window opens by default displaying Panel Settings.
  3. From this window, select DEV001 on the tree to the left of the window as shown below.

When the DEV001 icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.
  4. In the PLC Protocol field, click on the down arrow [image] and select Omron C200/C500 Host Link Adapter.

Any time you select a PLC Protocol that is different from the one already displayed, the Warning Message shown below will pop up.
  5. Click Yes to accept.
    The fields for the selected Protocol will be displayed as shown on the figure above.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Omron C200/C500 Host Link Adapter driver selected.

Set Up Omron Host Link Adapter Switches

To set up the Omron Host Link Adapter do the following:

  1. Switches 1 and 2 are used to identify the Unit number of the module. The Unit number can be set between 0 and 31. Each Host Link Module Unit number on a single network must be unique. These settings should be the same as the settings in Panel Manager Setup in the C-more Programming Software.

  2. Switch 3 (SW3 above) sets the Baud Rate. Use the Table below as reference.

  3. Switch 4 (SW4) sets the command level, parity and transmission code. The command level specifies the security level of the port. The customer should refer to the Omron manual for more details. Any of the allowed settings will work with the C-more panel. The figure below shows a Table that can be used as reference to set the Switch 4 (SW4) parameters.

  4. The Dipswitch selector on the back of the Host Link Module specifies the Link Type and the 5 volt supply. Switches 1 and 2 are not used. Switch 3, when OFF, specifies this as a single unit network. Switch 3, when ON, specifies this as a multiple unit network. Switch 4 specifies a 5 volt supply. Leave OFF unless specified differently from the manufacturer. The CTS selector switch should be ON (in the down position).

Omron CPU Connection

From the Main GUI screen, on the left side explorer bar select Settings.

Note: This is the correct protocol to communicate with CQM1. Multiple must be selected in the Panel Manager Link Selector even if the network has a single CQM1. If the PLC serial number indicates manufacture in June 1995 or earlier, the #5 DIP switch must be OFF and CQM1 baud rate settings must be changed to match the C-more baud rate setting. A cable constructed according to the User Constructed Omron FINS cable diagram in the C-more Hardware User Manual must be used.

This will display the PLC Settings screen.

On the PLC Settings screen, choose the Host Link Port tab.

This is the setup for the 9 pin Dsub on certain Omron CPUs.

  1. Under Communication Settings, select the Custom option

  2. In the Baud field, match the Baud Rate selection with the Panel Manager setting in C-more.

  3. In the Format field, click the drop-down arrow and match the Parity and Transmission selection in the Panel Manager setup in C-more.
    If a Format with 7Data bits and 2 Stop bits is selected in the PLC Settings inside Omron software, then Transmission needs to be set to ASCII in the Panel Manager of C-more. If a Format with 8 Data bits and 1 Stop bit is selected in the PLCSettings inside Omron software, then Transmission needs to be set to JIS in the Panel Manager of C-more.

  4. In the Mode field, click the drop-down list and select Host Link.

    In theUnit Number field, click the drop-down arrow until it matches the PLC Host Link Unit Number in the Panel Manager in C-more.

  5. With the CPU connection, the Panel Manager field Link Selector MUST be set to Multiple in C-more. There is no way to select Single for this field on the Omron CPU port setup.

  6. In addition, note that Dipswitch 5 on the CPU will set the CPU 9 pin serial port to fixed settings. In order for the changes made to the Host Link Port to work, that switch must be turned Off.

Note: Power cycle the Omron PLC after changing port settings.


Omron HostLink Adapter (C200/C500) Addressing

Memory Type

Address Range

Bit Specification

Description

Read/Write Type

Data Type

HR

00 to 99

Holding Relay

R/W

Word

HR

00 to 99

0 to 15

Holding Relay

Read Only

Discrete

AR

00 to 27

Assistant Relay

Read Only

Word

AR

00 to 27

0 to 15

Assistant Relay

Read Only

Discrete

LR

00 to 63

Link Relay

R/W

Word

LR

00 to 63

0 to 15

Link Relay

Read Only

Discrete

PV

0 to 511

Time/Counter Preset Value

R/W

Word

TC

0 to 511

Time/Counter Completion Flag

R/W

Discrete

DM

0 to 6655

Data Memory

R/W

Word

IR

000 to 235

Internal Relay

R/W

Word

IR

000 to 235

0 to 15

Internal Relay

R/W

Discrete

SR

236 to 255

Specific Relay

Read Only

Word

SR

236 to 255

0 to 15

Specific Relay

Read Only

Discrete


Omron Host Link Adapter (C200/C500) Error Codes

The following tables list the Errors that can be generated by the Omron Host Link Adapter (C200/C500).

This Table provides reference information for Error Codes displayed by the C-more Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is generated by the connected PLC. The PLC-499 Error Message includes a four digit Hexadecimal Value displayed at the end of the message. This value can be found in the specific PLC’s Error tables to determine the cause of the Error.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLCSpecific Errors Table found below.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the green C-more Error Codes text.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

PLC Error Codes

PLC Errors for Omron Host Link Protocol

Error Message

Description

0X00

Normal Completion.

0X01

Not executable in RUN mode.

0X02

Not executable in MONITOR mode.

0X03

Not executable with PROM mounted.

0X04

Address over (data overflow).

0X0B

Not executable in PROGRAM mode.

0X0C

Not executable in DEBUG mode.

0X0D

Not executable in LOCAL mode.

0X10

Parity error.

0X11

Framing error.

0X12

Overrun.

0X13

FCS error.

0X14

Format error (parameter length error).

0X15

Entry number data error (parameter error, data code error, data length error).

0X16

Instruction not found.

0X18

Frame length error.

0X19

Not executable (due to Un-executable error clear, non-registration of I/O table, etc.).

0X20

I/O table generation impossible (unrecognized remote I/O unit, channel over, duplication of optical transmitting I/O unit).

0XA0

Abort due to parity error in transmit data under process.

0XA2

Abort due to overrun in transmit data under process.

0XA3

Abort due to FCS error in transmit data under process.

0XA4

Abort due to format error in transmit data under process.

0XA5

Abort due to frame length error in transmit data under process.

0XA8

Abort due to entry number data error in transmit data under process.

0XB0

Un-executable due to program area capacity other than 16k bytes.


Omron FINS (CS/CJ) Serial Protocol Setup

The following information applies only to the Omron FINS Protocol Series CS and CJ PLCs compatible with C-more Panels.

The C-more panel is the master when communicating with an Omron PLC.

C-more Panel Manager Settings

To set up the OMRON PLC, do the following:

  1. From the C-more Programming Software, from the Main menu select Setup.
    The drop-down menu shown below opens.

  2. Select Panel Manager.
    The Panel Manager window opens by default displaying Panel Settings.
  3. Select DEV001 on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.
  4. From the PLC Protocol field, click on the down arrow [image] and select Omron CS/CJ FINS Serial.
    Any time you select a PLC Protocol that is different from the one already displayed, the Warning Message shown below will pop up.

  5. Click Yes to accept.
    The fields for the selected Protocol will be displayed as shown in the figure below.

  6. Complete the fields on the screen using the information in the table below.

Protocol Settings Description

The C-more Panel Manager Configuration fields for the Omron FINS Protocol for CS and CJ PLCs are shown above. From this window you will configure the parameters necessary for proper operation with a C-more Panel.

The fields available for configuration are set by default by the C-more Touch Programming Software but can be modified if needed. Always remember that the field values MUST match the field values on the CX-Programmer Software setup explained later in this topic.

Panel Manager

Field

Description

Station Number (0-101):

The Station Number is the Slave Number or Address. This is the number that will be polled by the C-more Panel. Typically this is set to 1 for the first Slave in the network. Slaves can be addressed from 1 through 101 for Omron FINS, depending on the slave and the CPU used.

Baud Rate

The speed or rate at which the data will be transmitted. It is measured in Bits Per Second (BPS). Both the Panel and the PLC have to be set to the same Baud Rate to be able to communicate. Selections available are 9600, 19200, or 38400.

Parity

Choose Even, Odd or None for error checking.

Stop Bit

Choose 1 or 2 Stop Bits.

Data Bit

Data Bits are the portion of the Bit stream that contains useful information for the receiving device. Select either 7 or 8, keeping in mind that the PLC will have to be set the same as the C-more Panel Manager setting.

Time-out Time (1-255)

Enter a number that represents a Time in Tenths of a Second that the C-more Panel will wait for communications with the PLC before displaying an error. (Our example uses the default of 40, which is the same as 4000 msec or 4 seconds).

Poll Time (0-30000 msec)

Enter a number that represents a Time (in milliseconds) that the C-more Panel will wait between executing a complete sequence of reads for the screen displayed. This setting is set to 0 by default, which produces constant Polling.

Omron CPU Connection

  1. From the Main GUI screen, select Settings on the left side explorer bar as shown below.
    The PLC Settings screen will open.

  2. From this screen, select the Host Link Port tab.
    The window will show the settings selections shown below. This is the setup for the 9-pin Dsub Port.

  3. Complete the fields on the Host Link Adapter tab using the information in the table below.

    Host Link Adapter Tab

    Field

    Description

    Custom

    Under Communications Settings, select Custom.

    Baud Rate

    Match the Baud Rate selection with the C-more Panel Manager setting.

    Format

    The selection needs to match the Parity, Stop Bit and Data Bit selections in the C-more Panel Manager setup.

    Mode

    Click the drop-down arrow and select Host Link.

    Unit Number

    Click the drop-down arrow and match the unit number to the Station Number Entry in the C-more Panel Manager.

    Notes: The DIP switch 5 on the CPU will set the CPU 9 Pin Serial Port to fixed settings. In order for the changes made to the Host Link Port to work, the DIP switch 5 MUST be turned Off.

    Power cycle the Omron PLC after changing port settings.


Omron FINS (CS/CJ) Serial Protocol Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
IO | 0 to 6143 | 0 to 15 | I/O Memory | R/W | Discrete
T | 0 to 4095 |  | Timer Complete | Read Only | Discrete
C | 0 to 4095 |  | Counter Complete | Read Only | Discrete
H | 0 to 511 | 0 to 15 | Holding Area | R/W | Discrete
W | 0 to 511 | 0 to 15 | Work Area | R/W | Discrete
DM | 0 to 32767 | 0 to 15 | Data Memory | R/W | Word / Discrete
EMCUR | 0 to 32767 | 0 to 15 | Extended Data Memory | R/W | Word / Discrete
EM0 - EMC | 0 to 32767 | 0 to 15 | Extended Data Memory | R/W | Word / Discrete
A | 0 to 447 * | 0 to 15 | Auxiliary Area | Read Only | Discrete
 | 448 to 959 | 0 to 15 | Auxiliary Area | R/W | Discrete
TIM | 0 to 4095 |  | Timer Present Value | R/W | Word
CNT | 0 to 4095 |  | Counter Present Value | R/W | Word
*This is READ ONLY area. If this range of Addressing is placed into a Write Object, such as a Pushbutton or Numeric Entry, the Programming Software will display the following error:Error TAG-058: Tag IO Type does not match Object Type.


Omron FINS (CS/CJ) Serial Protocol Error Codes

The following table lists the Errors that can be generated by the Omron FINS Series (CS/CJ) PLCs.

This Table provides reference information for Error Codes displayed by the C-more Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is generated by the connected PLC. The PLC-499 Error Message includes a four-digit Hexadecimal Value displayed at the end of the message. This value can be found in the specific PLC’s Error tables to determine the cause of the Error.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the green text.

Note: The following Errors are generated from the designated PLC, monitored by the C-more Panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation for additional and up-to-date information.

PLC Error Table

PLC Errors for Omron FINS Series CS and CJ

Error Message

Description

0x0000

Normal Completion.

0x0001

Service Canceled.

0x0101

Local Error: Local node not in network.

0x0102

Local Error: Token Timeout.

0x0103

Local Error: Retries Failed.

0x0104

Local Error: Too many send frames.

0x0105

Local Error: Node address range error.

0x0106

Local Error: Node Address Duplication.

0x0201

Destination Node Error: Destination Node not in network.

0x0202

Destination Node Error: Unit Missing.

0x0203

Destination Node Error: Third Node missing.

0x0204

Destination Node Error: Destination Node busy.

0x0205

Destination Node Error: Response Timeout.

0x0301

Controller Error: Communications Controller Error.

0x0302

Controller Error: CPU Unit Error.

0x0303

Controller Error: Controller Error.

0x0304

Controller Error: Unit number Error.

0x0401

Service Unsupported: Undefined Command.

0x0402

Service Unsupported: Not supported by Model/Version.

0x0501

Routing Table Error: Destination address setting error.

0x0502

Routing Table Error: No routing tables.

0x0503

Routing Table Error: Routing table error.

0x0504

Routing Table Error: Too many delays.

0x1001

Command Format Error: Command too long.

0x1002

Command Format Error: Command too short.

0x1003

Command Format Error: Elements/Data don't match.

0x1004

Command Format Error: Command format error.

0x1005

Command Format Error: Header Error.

0x1101

Parameter Error: Area classification missing.

0x1102

Parameter Error: Access Size Error.

0x1103

Parameter Error: Address range error.

0x1104

Parameter Error: Address range exceeded.

0x1106

Parameter Error: Program Missing.

0x1109

Parameter Error: Relational Error.

0x110A

Parameter Error: Duplicate Data Access.

0x110B

Parameter Error: Response too long.

0x110C

Parameter Error: Parameter Error.

0x2002

Read Not Possible: Protected.

0x2003

Read Not Possible: Table missing.

0x2004

Read Not Possible: Data missing.

0x2005

Read Not Possible: Program missing.

0x2006

Read Not Possible: File missing.

0x2007

Read Not Possible: Data mismatch.

0x2101

Write Not Possible: Read Only.

0x2102

Write Not Possible: Protected - cannot write data link table.

0x2103

Write Not Possible: Cannot register.

0x2105

Write Not Possible: Program missing.

0x2106

Write Not Possible: File missing.

0x2107

Write Not Possible: File name already exists.

0x2108

Write Not Possible: Cannot change.

0x2201

Not executable in current mode: Not possible during execution.

0x2202

Not executable in current mode: Not possible while running.

0x2203

Not executable in current mode: Wrong PLC mode (Program).

0x2204

Not executable in current mode: Wrong PLC mode (Debug).

0x2205

Not executable in current mode: Wrong PLC mode (Monitor).

0x2206

Not executable in current mode: Wrong PLC mode (Run).

0x2207

Not executable in current mode: Specified node not polling node.

0x2208

Not executable in current mode: Step cannot be executed.

0x2301

No such device: File device missing.

0x2302

No such device: Missing memory.

0x2303

No such device: Clock missing.

0x2401

Cannot Start/Stop: Table missing.

0x2502

Unit Error: Memory Error.

0x2503

Unit Error: I/O setting Error.

0x2504

Unit Error: Too many I/O points.

0x2505

Unit Error: CPU bus error.

0x2506

Unit Error: I/O Duplication.

0x2507

Unit Error: I/O bus error.

0x2509

Unit Error: SYSMAC BUS/2 error.

0x250A

Unit Error: CPU Bus Unit Error.

0x250D

Unit Error: SYSMAC BUS No. duplication.

0x250F

Unit Error: Memory Error.

0x2510

Unit Error: SYSMAC BUS terminator missing.

0x2601

Command Error: No protection.

0x2602

Command Error: Incorrect password.

0x2604

Command Error: Protected.

0x2605

Command Error: Service already executing.

0x2606

Command Error: Service stopped.

0x2607

Command Error: No execution right.

0x2608

Command Error: Settings not complete.

0x2609

Command Error: Necessary items not set.

0x260A

Command Error: Number already defined.

0x260B

Command Error: Error will not clear.

0x3001

Access Right Error: No access right.

0x4001

Abort: Service aborted.


Omron CS/CJ FINS Ethernet Protocol Setup

The following information applies to Omron CS/CJ FINS PLCs compatible with C-more Panels using FINSEthernet Protocol. The setup may differ for the CJ series.

The C-more panel is the master when communicating with an Omron PLC.

Omron FINS CS/CJ Series Ethernet Setup

This example uses the Omron CX-Programmer PLC Programming Software.

To set up the Omron PLC, do the following:

  1. From the Main GUI screen, select New Project and then NewPLC1 (CJ1H-H Run Mode.

  2. On the left side window, double-click IO Tableas shown on the figure below.

The PLC IO Table window opens.
  3. Right click on Ethernet Unit (ET) (0) shown highlighted in the figure below, to bring up the options for the Ethernet Module.

The drop-down menu shown below opens.

  4. Select Unit Setup.

The Configuration window for the Ethernet Module opens.

  5. Complete the fields on the screen using the information in the table below.

Panel Manager

Field

Description

Broadcast

Leave the Broadcast setting as shown above.

Conversion

Leave the Conversion setting as shown above.

FINS UDP port

This selection shown above is where you will find the UDP listening port of the Ethernet Module. This number should match the PLC Port field of the C-more Programming Software Panel Manager window.

Sub-net Mask

The Sub-netMask of the Omron Ethernet Module must match the Subnet Mask (reference the Panel Network - Ethernet Port topic in this Help File or Chapter 5 of User Manual, Page 5-16) of the C-more panel.

IP Address:

The IP Address you enter in the Omron CX-Programmer PLC Programming Software must match the IP Address you will enter in the C-more Programming Software Panel Manager window.

Note: This is the dialog box to set up the IP Address for the CS1 ETN21 Ethernet Module. Other Omron CS1 and CJ1Ethernet Modules may have switches to set the IP Address. Refer to Omron documentation for the specific method of setting the IP Address for the module you may have.

Routing Functions

The Omron FINS Ethernet Protocol also allows for Routing Functions. This allows a Master/Client device to communicate with other devices on other networks through an Omron Ethernet Module. C-moredoes not support this functionality. The C-more FINS Ethernet Protocol is only for communicating directly with an Omron PLC on the local network.

Six fields are used for routing in the Omron FINS Ethernet Protocol header:

  • Destination Network Address:C-more always places a value of 0 in this field (local network).
  • Destination Node Address: C-more places the value from the Station Number field in the Panel Manager setup.
  • Destination Unit Address: C-more always places a value of 0 in this field (CPU Unit Number).
  • Source Network Address: C-more always places a value of 0 in this field (local network).
  • Source Node Address: C-more places the value from the My Station Number field in the Panel Manager setup.
  • Source Unit Address: C-more always places a value of 0 in this field.

The above settings are not accessible in the C-more Programming Software.

C-more Panel Manager Settings

  1. From the C-more Programming Software, from the Main menu select Setup.

    The drop-down menu shown below opens.

  2. Select Panel Manager.
    The Panel Manager window opens by default displaying Panel Settings.
  3. Select DEV001 on the tree to the left of the window as shown below.

When the DEV001 Icon is selected, the right portion of the window will change to display the Device Setup screen for DEV001.

  4. From the PLC Protocol field, click on the down arrow [image] and select Omron CS/CJ FINS Ethernet.
    Any time you select a PLC Protocol that is different from the one already displayed, the Warning Message shown below will pop up.

  5. Click Yes to accept.
    The Panel Manager window opens as shown below.

  6. Complete the fields on the screen using the information in the table below.

Panel Manager

Field

Description

IP Address

Enter the IP Address of the Omron Ethernet Module into this field. Also be sure to match the Subnet Mask of C-more Panel to the Omron Ethernet module Subnet Mask.

PLC Port

Enter the FINS UDP Port of the Omron Ethernet Module into this field.

Station Number

The Node Address setting of the Ethernet Module. This field can be set to either the actual Node Address setting of the module (set by rotary switches on the module itself), or it can be set to 0.

The Omron FINS Ethernet driver is capable of bridging-type communications targeted to the devices not directly on the Ethernet Network but on Serial Networks connected to the same PLC in which the target Ethernet Module is installed.

C-moredoes not support this type of communications. The Station Number field and the subsequent My Station Number field are the only to allow C-more a Unique Station Number on the Network.

My Station Number

The Node Address setting of C-more. This value must be unique on the Network. Your network conditions may restrict the value, possibly to the host part of the C-more IP address; for example, if the host computer has an IP of nnn.nnn.nnn.123 and the subnet mask is 255.255.255.000, My Station Number should be 123.

Retries

This is the number of times that C-more will Retry to send a message if the request does not receive a reply in the specified Timeout period. Once the Retry count has been reached, C-more will show an error on the screen and begin trying to send messages again.

Timeout Time

The amount of time (in 100ms units) that C-more will wait on a reply after sending a request. Once the Timeout Timer expires, it will then retry.

Poll Time

The time (in milliseconds) that C-more will wait in between each message that it sends to a configured device (after the device responds). If this field is set to 0, C-more will send messages as fast as its resources and the selected protocol will allow.

Connection Through Another Panel Option

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to connect through another panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

Click here to learn more about Connection Through Another Panel.

Note: Power cycle the Omron PLC after changing port settings.


Omron CS/CJ FINS Ethernet Error Codes

The following table lists the Errors that can be generated by the Omron CS/CJ FINS PLC using the Ethernet Protocol.

The following Table provides reference information for Error Codes displayed by the C-more Panels. If the Error Code is PLC-495, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the green text.

PLC Error Codes

Error code format

"PLC-495 Error code aaaa (0xbbbb)" Displayed on the panel.

bbbb = unmasked error code from the PLC, see table below for explanation.

As you can see from the format above, Bit 15, 7 and 6 may be set depending upon the type of Error and the PLC state.

Note: The following Errors are generated from the designated PLC, monitored by the C-more panel, and displayed on the panel's screen if active. Please refer to the PLC manufacturer's documentation foradditional and up-to-date information.

PLC Errors for Omron CS/CJ FINS Ethernet

(PLC-495 Error Code aaaa (0xbbbb) Returned from PLC)

Error Code (bbbb)

Description

0103

Local Error: Send Error from lack of buffer space. Try reducing Ethernet load to the module.

0201

Destination Node Error: IP address of remote node not set correctly

0202

Destination Node Error: No node with the specified unit address found

0205

Destination Node Error: Packet corrupted or Response timeout. Try increasing timeout

0301

Controller Error: Communications controller error

0302

Controller Error: CPU Unit error. Check error LEDs on PLC. Refer to documentation for that CPU.

0304

Controller Error: Unit number error. Make sure Unit number is not used twice.

0401

Service unsupported: Undefined command

0501

Routing table error: Destination address setting error. Routing table incorrect.

0502

Routing table error: No routing tables

0503

Routing table error: Routing table error

0504

Routing table error: Too many relays

1001

Command format error: Command too long. Bad packet: check for electrical noise and grounding.

1002

Command format error: Command too short. Bad packet: check for electrical noise and grounding.

1003

Command format error: Elements/data don't match. Bad packet: check for electrical noise and grounding.

1005

Command format error: Header error. This is the error received when station # set in the command does not match the station # of the Ethernet module.

1100

Parameter error: UDP socket number bad.

1101

Parameter error: Address requested does not exist in PLC.

1103

Parameter error: Address area requested in not accessible.

220F

Status error: Duplicate Socket error

2210

Status error: Specified socket not open

2305

Environment Error: IP address conversion failed. Only encountered when using routing tables.

2307

Environment Error: IP address conversion set for automatic.

2503

Unit error: I/O setting error

2505

Unit error: CPU bus error

250A

Unit error: CPU Bus Unit error


Siemens S7-200 PPI PLC Setup

The following information applies only to the Siemens S7-200 PPI PLC compatible with C-more Panels.

The C-more panel is the master when communicating with a Siemens PLC.

Locating the Siemens

S7-200 Configuration Information

To Configure the S7-200 PPI PLC to communicate with the C-more Panel, you will first need to find the Port Settings for your Siemens PLC. To do this, open the Step 7-Micro/WIN Software and select the System Block icon on the left side panel of the Step 7 Software as shown below. This will open the System Block window, which is also shown below.

With the System Block window open to use as reference, continue to the C-more Programming Software to Configure the Panel Manager as discussed below.

C-more Panel Manager Settings

Access the Panel Manager by select from the Setup Menu located on the Main Menu or from the Function Tab of the Navigation Window as shown below.

From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Siemens S7-200 (Serial : PPI) selection.

Any time you select a different PLC Protocol than the one already displayed, the Warning Message shown below will pop up. Click Yes to accept and the Fields for the selected Protocol will be displayed as shown on the applicable figure above.

All of the following settings must be set the same in Panel Manager in the C-more Programming Software as in Step 7-Micro/WIN Software. The C-more Panel Manager is shown above with the Siemens S7-200 PPI driver selected.

Use the Step 7-Micro/WIN Software screen on the top of this page as reference. Configure the Panel Manager selections as follows:

  1. PLC Slave Number: This is the PLC Address of the PLC Port that the C-more Panel will be connected to.

Note: In the Step7 MicroWin Software, the settings for the Ports are displayed from left to right, meaning that Port 0 is on the left and Port 1 is on the right, as shown on the Step 7 graphic on the top of this page. However, on the physical PLC itself, Port 1 is on the left and Port 0 is on the right.

  2. Baud Rate: This setting should match the Baud Rate set in the System Block screen for the appropriate Port. The choices are 9600 or 19200.

  3. Parity, Stop Bit, Data Bit and Select RS485: These items are not adjustable from this window and are display only.

  4. Retries: This is the number of times that the Panel will Retry to send a message if the request does not receive a Reply in the specified Timeout period. Once the Retry count has been reached, the Panel will show an Error on the screen and begin trying to send messages again.

  5. Timeout Time: This is the amount of Time (in 100 milliseconds) that the Panel will wait on a Reply after sending a request. Once the Timeout Timer expires, it will then Retry.

  6. Poll Time: This is the amount of Time (in milliseconds) that the Panel will wait in between each request.


Siemens S7-200 PLC Addressing

Memory Type

Range

Description

Read/Write

Data Type

I

I

0.00 - 15.7

Input Memory

R/W

Bit

IB

0 - 15

Byte

IW

0 - 14

Word

ID

0 - 12

Double Word

Q

Q

0.00 - 15.7

Output Memory

R/W

Bit

QB

0 - 15

Byte

QW

0 -14

Word

QD

0 - 12

Double Word

M

M

0.00 - 31.7

Internal Memory

R/W

Bit

MB

0 - 31

Byte

MW

0 - 30

Word

MD

0 - 28

Double Word

SM

SM

0.00 - 549.7

Special Internal Memory

R/W

Bit

SMB

0 - 549

Byte

SMW

0 -548

Word

SMD

0 - 546

Double Word

V

V

0.00 - 10239.7

Internal Variable memory

R/W

Bit

VB

0 - 10239

Byte/String

VW

0 - 10238

Word

VD

0 - 10236

Double Word

T

TW*

0 - 255

Timer Done

R/W

Bit

T

0 - 255

Timer Acc.

Word

C

C

0 - 255

Counter Done

R/W

Bit

CW*

0 - 255

Counter Acc.

Word

AIW

0 - 62

Analog Input

R/W

Word

AQW

0 - 62

Analog Output

R/W

Word

* These addresses are accessed without the W in the PLC by simply changing the data type to a numeric form, e.g. the tag C-more shows as C1 will be C1, format “Bit” in the PLC and the tag C-more shows as CW1 will be C1, format “Signed” in the PLC.


Siemens PLC Error Codes

The following Table provides reference information for Error Codes displayed by the C-more Panels. The Table refers only to PLC Error Codes. When the C-more Panel displays Error Code PLC-499, this Error Code identifies an Error that is specific to your PLC model.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the green text.

PLC PDU Header Errors for Siemens PLC
(PLC-499: Error Code 0xaaaa)

Error Message

Description

0x0001

Hardware Fault

0x0003

Object access not allowed: Occurs when access to Timer and Counter data type is set to Signed Integer and not BCD.

0x0004

Context not supported

0x0005

Address out of range: Occurs when requesting an address within a Data Block that does not exist or is out of range, or with S7-1200/S7-1500, Timers and Counters are not supported.

0x0006

Data Type not supported

0x0007

Write Data size mismatch

0x000A

Object does not exist: Occurs when trying to request a Data Block that does not exist.

0x8000

Function being used

0x8001

Action is not allowed in current mode

0x8101

Hardware fault

0x8103

Access not allowed

0x8104

Function not supported, or with S7-1200/1500 “Permit access with PUT/GET communication from remote partner” needs to be enabled.

0x8105

Address invalid

0x8106

Data Type not supported

0x8107

Data Type is not consistent with size

0x810A

Object does not exist

0x8500

PDU Size is incorrect

0x8702

Address is invalid

0xD201

Block name syntax error

0xD202

Error with function parameter

0xD203

Error with block type

0xD204

No linked block

0xD205

Object already exists

0xD206

Object already exists

0xD207

Block already used in EPROM

0xD209

Block does not exist

0xD20E

No Block does not exist

0xD210

Block number incorrect


Siemens S7-200 Ethernet: ISO over TCP/IP Setup

The following information is applicable for setting up the C-more Panel for Siemens S7-200 Ethernet : (ISO over TCP/IP).

The C-more panel is the master when communicating with a Siemens PLC.

Note: A CP 243-1 module is required for Ethernet connectivity between C-more and the S7-200 PLC.

C-more Panel Manager Settings

To set up the Do-more PLC, do the following:

  1. Do one of the following to open the Panel Manager window:

    • From the Main menu, click the Setup menu and select Panel Manger, or
    • From the Navigation window, click the Function tab and select Panel Manager.
      See the illustrations below.

  2. From the Panel Manager window, select DEV001 on the tree to the left.
    The Device Setup screen of the Panel Manager window shown below opens.

  3. In the PLC Protocol field, click the down arrow [image] and select Siemens S7-200 (Ethernet : ISO over TCP/IP).

Any time you select a PLC Protocol that is different from the one already displayed, the Warning Message shown below will pop up.
  4. Click Yes to accept.

  5. Complete the fields on the screen using the information in the table below.

Panel Manager Settings

Field

Description

IP Address

The IP address of the S7-200 CP 243-1 Ethernet module. The IP address can be found in the Module Address window of the STEP 7-Micro/WIN Ethernet wizard.

TSAP Source ID(0 – FFFF)

Transport Service Access Point.The source TSAP ID needs to match the Remote Properties TSAP value in the STEP 7-Micro/WIN Ethernet wizard.

TSAP Destination ID(0 – FFFF)

The destination TSAP ID needs to match the Local Properties TSAP value in the STEP 7-Micro/WIN Ethernet wizard.

Retries (0 – 10)

The number of times that the panel will retry to send a message if the request does not receive a reply in the specified timeout period. Once the retry count has been reached, the panel will show an error on the screen and begin trying to send messages again.

Timeout Time (1 – 255)

The amount of time (in 100 milliseconds) that the panel will wait on a reply after sending a request. Once the Timeout timer expires, it will then retry.

Poll Time

The amount of time (in milliseconds) that the panel will wait in between each request.

Step 7-Micro/WIN Setup

To set up the Step 7-Micro/WIN, do the following:

  1. To find the communication configuration settings for the Ethernet module for the S7-200, open the STEP 7-Micro/WIN software.
  2. From Tools menu, select Ethernet Wizard.

Note: The Ethernet Wizard is not available when the STEP 7 - Micro/WIN software is in Monitor Mode.

  3. In the first window of the Ethernet Wizard,click Next.

  4. On the screen below, specify the Ethernet module’s position by either manually entering the value or clicking the Read Modules button (if online with the PLC).

If online and the Ethernet module is successfully found, it will appear as illustrated in the image below:

  5. Click Next .
    The Web Address window opens.

  6. Complete the IP Address and Subnet Mask fields, and (when needed) the Gateway Address field.
    This is the IP address that should be entered into the IP Address field in the C-more programming software Panel Manager settings window. Leave the BOOTP option disabled and leave the Module Connection Type as Auto Detect as shown below:

  7. Click Next.
    The Module Command Byte and Number of connections to configure for this module selections appear.

  8. If you are online while going through the wizard and clicked on the Read Module position button previously, the Module Command Byte will be pre-filled and grayed out. If you are offline, this value will need to be entered manually. Refer to the Siemen’s documentation for information on what value to put into this field.

    The Number of connections field determines how many devices the Ethernet module will communicate with. So if you are using only one C-more panel, enter 1. If you are using two C-more panels, enter 2, etc…

  9. Click Next.
    The Configure Connections window opens.

  10. Select the This is a Server Connection radio button.
    Some of the Local Properties options change as shown below.

The server connection can then be configured to accept only connections from specific IP addresses or to Accept all connection requests (as shown below).

Two important fields in this dialog box are the Local TSAP value and the Remote TSAP value.
The Local Properties (Server) TSAP value needs to match the TSAP Destination ID in the C-more programming software Panel Manager settings.
The Remote Properties (Client) TSAP value needs to match the TSAP Source ID in the C-more programming software Panel Manager settings.

Note: Do not enter the period shown in the STEP 7 - Micro/WIN Software in the C-more programing software Panel Manager TSAP ID fields. For example, enter the TSAP Source ID for the setting shown above as 1000 in C-more, (NOT 10.00).
  11. Click to select the Enable the Keep Alive… checkbox.
    If you had previously selected more than 1 for the number of Peer to Peer connections, the Next Connection button would be available and you would click on it to configure the next connection. Note that it will automatically configure a new Local TSAP value for you.
  12. Click OK.
    The next screen (shown below) contains the CRC Protection selection and Keep Alive Interval. Neither of these settings affects the interaction between C-more and the S7 PLC. Configure these as the Siemens documentation recommends for your application.

  13. Click Next.
    The memory allocation for configuration option appears.
  14. Click the Suggest Address button to allow the wizard to find an unused block of memory for the Ethernet Module Configuration settings.
    These cannot overlap with other memory areas already being used; otherwise the module will not function correctly.
  15. Click Next.

The Ethernet Configuration Wizard is now complete. The project will need to be downloaded to the PLC, and the PLC should be power cycled before attempting to connect C-more to the PLC.

Note: Any time the Ethernet module settings are changed, the PLC should be power cycled.


Siemens Ethernet ISO over TCP/IP (S7-300/400) Setup

The following information applies only to the Siemens Ethernet ISO over TCP/IP (S7-300) PLC compatible with C-more Panels.

The C-more panel is the master when communicating with a Siemens PLC.

Locate PLC's Configuration Information

To Configure the PLC to communicate with the C-more Panel, you will first need to find the Port Settings for your Siemens PLC. To do this, open the SIMATIC Manager Software and project. From the SIMATIC Manager window, select the Hardware option located on the right side pane and indicated below.

When Hardware is selected, the HW Config (Hardware Configuration) window shown below will open.

From the figure shown above:

  1. Note the Rack Number of the device you are trying to connect to. For the sample shown above, this Number is shown in parenthesis next to the text that says UR.
  2. Note the Slot Number listed. For the example shown above the Slot Number is 2. Both the Rack Number and Slot Number are necessary configuration parameters for the C-more Programming Software Panel Manager setup.
  3. Double click on the X3 PN-IO cell. This will open the Properties - PN-IO window shown below.

From the figure shown above:

  1. Make sure the General Tab is selected to see the details shown above.
  2. The current PLC IP Address will be displayed on this location.

Note: If using a communications module, use the IP Address of the communications module in place of the PLC IP Address.
  3. Click on the Properties button to see more details on the IP Configuration. When selected, the Properties window shown below will open.

  1. Click on the Parameters Tab to select it.
  2. This window displays the IP Address and Subnet Mask settings for the PLC. This is the IP Address to enter in the C-more Programming Software Panel Manager setup window. Be sure that the Subnet Mask shown matches the Subnet Mask of the C-more Panel.

C-more Panel Manager Settings

To access the Panel Manager from the C-more Programming Software, from the Main Menu select Setup. The drop-down menu shown below opens.

From the Setup drop-down menu, select the Panel Manager selection. From the Panel Manager window click on the DEV001 selection on the tree to the left to open the Device Setup screen of the Panel Manager window shown below.

From the PLC Protocol field, click on the down arrow [image] and select the Siemens S7-300 (Ethernet : ISO over TCP/IP) selection.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Siemens Ethernet S7-300 driver selected.

Use the SIMATIC Software screen on the top of this page as reference. Configure the Panel Manager selections as follows:

  1. IP Address: This is the IP Address of the S7-300 or S7-400 CPU (319-3). The IP Address can be found in the PN-IO parameter setting of the CPU in the SIMATIC Hardware configuration tool (shown above).
  2. PLC Port (0-65535):TCP port at the PLC. This setting is not configurable.

Note: If using a communications module, use the IP Address of the communications module in place of the PLC IP Address.

  3. Link Type (1-3): This selects what Link Type the C-more Panel will be. Most of the times, this should be left at 2 (OP). There are limited numbers of connections for each Link Type that can be connected to the PLC. If that limit has been reached with the OP Link to the CPU, a different Link Type can sometimes be used. Refer to the Siemens documentation for the limitations of the various Link Types.
  4. Rack Number (0-9): This is the Rack Number of the CPU that is being targeted by C-more. Refer to the SIMATIC Hardware Configuration setting discussed above for this value.
  5. Slot Number (0-9): This is the Slot Number of the CPU that is being targeted by C-more. Refer to the SIMATIC Hardware Configuration setting for this value.
  6. Retries (0-10): This is the Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout Period. Once the Retry Count has been reached, the Panel will show an Error on the screen and begin trying to send messages again.
  7. Timeout Time (1-255): This is the amount of Time (in 100 millisecond units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.
  8. Poll Time (0-30000): This is the amount of Time (in milliseconds) that the Panel will wait in between each Request.


Siemens S7-300 (Ethernet:ISO over TCP/IP) Addressing

Memory Type |  | Range | Description | Read/Write | Data Type
I | I | 0.00 - 65535.7 | Input Memory | R/W | Bit
 | IB | 0 - 65536 |  |  | Byte
 | IW | 0 - 65535 |  |  | Word
 | ID | 0 - 65535 |  |  | Double Word
Q | Q | 0.00 - 65535.7 | Output Memory | R/W | Bit
 | QB | 0 - 65536 |  |  | Byte
 | QW | 0 - 65535 |  |  | Word
 | QD | 0 - 65535 |  |  | Double Word
M | M | 0.00 - 65535.7 | Internal Memory | R/W | Bit
 | MB | 0 - 65536 |  |  | Byte
 | MW | 0 - 65535 |  |  | Word
 | MD | 0 - 65535 |  |  | Double Word
DB | DBX | 1.0 - 65535.65535 | Data Block Memory | R/W | Bit
 | DBB |  |  |  | Byte
 | DBW |  |  |  | Word
 | DBD |  |  |  | Double Word
* T |  | 0 - 255 | Timer Acc. | R/W | Word
* C |  | 0 - 255 | Counter Acc. |  | Word

* Timers and Counters only accept values up to 999 in BCD. If you attempt to write a value greater than 999, it will only accept the lower 12 bits (least significant 3 digits). The upper 4 bits are used for the Time Base. Refer to Siemens documentation for a more specific breakdown of the Timer Bit pattern.

Siemens Elementary Types

C-more Tag Data Type

Siemens Memory Types

BOOL

Discrete

I/Q/M/DBX

BYTE

Signed Int 16

IB/QB/MB/DBB

WORD

IW/QW/MW/DBW

INT

DWORD

Signed Int 32

ID/QD/MD/DBD

DINT

REAL

Floating PT 32

ID/QD/MD/DBD

CHAR

Ascii String

DBB String/DBB Char

View the PLC Variables Status

To view the Status of the Variables in the PLC, once you are Online with the PLC, from the Main Menu of the SIMATIC Manager Software, click on the PLC (1) selection and select Monitor/Modify Variables (2) from the drop-down menu as shown below.

The Variables Monitoring window shown below will open. From this window, you can enter the Variables and Monitor their states.

Data Block Addressing

Data Block Addressing syntax differs some between what is seen in the SIMATIC Software and in C-more. To view the Data Block, double click on the specific Data Block you wish to view in the main SIMATIC Manager window. When a specific Data Block is selected, a window like the one shown below will open.

From the figure shown above:

  1. The image above shows DB1.

  2. Inside DB1, there are Four Variables:

    • MOTOR_RPM is addressed at byte0 and is a 16 bit Integer.
    • SETPOINT_RPM is addressed at byte2 and is also a 16bit Integer.
    • START is addressed at byte 4, bit 0 and is a Boolean.
    • STOP is addressed at byte 4, bit 1 and is a BOOLEAN.

These Four Variables would be Addressed as follows in C-more:

  1. MOTOR_RPM = Memory Type: DB.DBW Address: 1.0

  2. SETPOINT_RPM = Memory Type: DB.DBW Address: 1.2

  3. START = Memory Type: DB.DBX Address: 1.4 Bit: 0

  4. STOP = Memory Type: DB.DBX Address: 1.4 Bit: 1

SIMATIC Variables Addressing Siemens Vs. C-more
SIMATIC Variable | Siemens Addressing | C-more Addressing
 |  | Memory Type | Address | Bit
MOTOR_RPM | DB1.DBW 0 | DB.DBW | 1.0 |
SETPOINT_RPM | DB1.DBW 2 | DB.DBW | 1.2 |
START | DB1.DBX 4.0 | DB.DBX | 1.4 | 0
STOP | DB1.DBX 4.1 | DB.DBX | 1.4 | 1
 | Note: Please note that there is a space (shown in red on the Address sample) on all the Siemens Addressing (DB1.DBW 0). Note: The information provided above for C-more Addressing is used for the C-more PLC Address fields shown below.

Using the Variable #3 as a sample, the Tag Name window from C-more would look as follows:

If you view these Variables in the Variable Table of the SIMATIC Manager, they look more like the C-more syntax. To view, from the Main Menu of the SIMATIC Manager Software, click on the PLC (a) selection and select Monitor/Modify Variables (b) from the drop-down menu as shown below.

The Variable Monitor Table window shown below will open. From this window you can Monitor the Variables shown.


Siemens Ethernet ISO over TCP/IP (S7-1200/1500) Setup

Topic: CM636

Siemens Ethernet ISO over TCP/IP (S7-1200 or S7-1500) Setup

The following information applies only to the Siemens Ethernet ISO over TCP/IP (S7-1200 or S7-1500) PLC compatible with C-more Panels.

The C-more panel is the master when communicating with a Siemens PLC.

Locate PLC's Configuration Information

To configure the S7-1200 or S7-1500 PLC to communicate with the C-more Panel, you will first need to find the Port Settings for your Siemens PLC.

Find the Rack and Slot numbers. Devices > Device Configuration > click on CPU > Project Information, Rack 0, Slot 1.

From the figure shown above:

  1. Note the Rack Number of the device to which you are trying to connect.

  2. Note the Slot Number listed. For the example shown above, the Slot Number is 2. Both the Rack Number and Slot Number are necessary configuration parameters for the C-more Programming Software Panel Manager setup.

Assign Static IP to the Ethernet Interfaces

This is the IP Address to enter in the C-more Programming Software Panel Manager setup window. Be sure that the Subnet Mask shown matches the Subnet Mask of the C-more Panel.

C-more Panel Manager Settings

Enable external access Permit access with PUT/GET communication from remote partner.

To set up the Siemens PLC, do the following:

  1. From the C-more Programming Software, from the Main menu select Setup.
    The drop-down menu shown below opens.

  2. Select Panel Manager.
    The Panel Manager window opens by default displaying Panel Settings.
  3. Select DEV001 on the tree to the left of the window as shown below.

The right portion of the window will change to display the Device Setup screen for DEV001.
  4. From the PLC Protocol field, click on the down arrow [image] and select the Siemens S7-300/400 (Ethernet : ISO over TCP/IP) selection.

All of the following settings must be set the same as the settings in Panel Manager in the C-more Programming Software. The C-more Panel Manager is shown above with the Siemens Ethernet S7-300/400/1200 driver selected.
Use the TIA Portal (SIMATIC STEP 7) screen on the top of this page as reference.
  5. Complete the fields on the screen using the information in the table below.

Panel Manager

Field

Description

IP Address

The IP Address of the S7-1200 or S7-1500 CPU (shown above).

PLC Port (0-65535)

The TCP port at the PLC. This setting is not configurable.

Link Type (1-3)

This selects the C-more Panel Link Type. Most of the time, this should be left at 2 (OP). There are limited numbers of connections for each Link Type that can be connected to the PLC. If that limit has been reached with the OP Link to the CPU, a different Link Type can sometimes be used. Refer to the Siemens documentation for the limitations of the various Link Types.

Rack Number (0-9)

The Rack Number of the CPU that is being targeted by C-more.

Slot Number (0-9)

The Slot Number of the CPU that is being targeted by C-more.

Retries (0-10)

The Number of Times that the Panel will Retry to send a message if the request does not receive a reply in the specified Timeout Period. Once the Retry Count has been reached, the Panel will show an Error on the screen and begin trying to send messages again.

Timeout Time (1-255)

The amount of Time (in 100 millisecond units) that the Panel will wait on a Reply after sending a Request. Once the Timeout Timer expires, it will then Retry.

Poll Time (0-30000)

This is the amount of Time (in milliseconds) that the Panel will wait in between each Request.


Siemens S7-1200/1500 (Ethernet:ISO over TCP/IP) Addressing

Memory Type |  | Range | Description | Read/Write | Data Type
I | I | 0.00 - 65535.7 | Input Memory | R/W | Bit
 | IB | 0 - 65536 |  |  | Byte
 | IW | 0 - 65535 |  |  | Word
 | ID | 0 - 65535 |  |  | Double Word
Q | Q | 0.00 - 65535.7 | Output Memory | R/W | Bit
 | QB | 0 - 65536 |  |  | Byte
 | QW | 0 - 65535 |  |  | Word
 | QD | 0 - 65535 |  |  | Double Word
M | M | 0.00 - 65535.7 | Internal Memory | R/W | Bit
 | MB | 0 - 65536 |  |  | Byte
 | MW | 0 - 65535 |  |  | Word
 | MD | 0 - 65535 |  |  | Double Word
DB | DBX | 1.0 - 65535.65535 | Data Block Memory | R/W | Bit
 | DBB |  |  |  | Byte
 | DBW |  |  |  | Word
 | DBD |  |  |  | Double Word
 |  | Note: Timers and Counters are System Blocks that are not addressable. Note: Data_Blocks must have “Optimized Block Access” DISABLED in the Simatic Step 7 software.

Use the Offset column of the Data Block as the byte address for C-more. Even though the DB is defined as “Int” the offset is still byte not word.

Siemens Elementary Types

C-more Tag Data Type

Siemens Memory Types

BOOL

Discrete

I/Q/M/DBX

BYTE

Signed Int 16

IB/QB/MB/DBB

WORD

IW/QW/MW/DBW

INT

DWORD

Signed Int 32

ID/QD/MD/DBD

DINT

REAL

Floating PT 32

ID/QD/MD/DBD

CHAR

Ascii String

DBB String/DBB Char

View the PLC Variables Status

To view the Status of the Variables in the PLC, once you are Online with the PLC, from the Devices Tree of the TIA Portal (SIMATICSTEP7), add or open an existing Watch Table.

Data Block Addressing

Data Block Addressing syntax differs some between what is seen in the TIA Portal (SIMATICSTEP7) and in C-more. To view the Data Block, double click on the specific Data Block you wish to view. When a specific Data Block is selected, a window like the one shown below will open.

From the figure shown above:

  1. The image above shows DB2.
  2. Inside DB2, there are Four Variables:
    • MOTOR_RPM is addressed at byte0 and is a 16 bit Integer.
    • SETPOINT_RPM is addressed at byte2 and is also a 16bit Integer.
    • START is addressed at byte 4, bit 0 and is a Boolean.
    • STOP is addressed at byte 4, bit 1 and is a BOOLEAN.

If the "Offset" column is not displayed, right-click any column header to Show / Hide Columns.

These Four Variables would be Addressed as follows in C-more:

  1. MOTOR_RPM = Memory Type: DB.DBW Address: 2.0
  2. SETPOINT_RPM = Memory Type: DB.DBW Address: 2.2
  3. START = Memory Type: DB.DBX Address: 2.4 Bit: 0
  4. STOP = Memory Type: DB.DBX Address: 2.4 Bit: 1

SIMATIC Variables Addressing Siemens Vs. C-more
SIMATIC Variable | Siemens Addressing | C-more Addressing
 |  | Memory Type | Address | Bit
MOTOR_RPM | DB2.DBW 0 | DB.DBW | 2.0 |
SETPOINT_RPM | DB2.DBW 2 | DB.DBW | 2.2 |
START | DB2.DBX 4.0 | DB.DBX | 2.4 | 0
STOP | DB2.DBX 4.1 | DB.DBX | 2.4 | 1
 | Note: Please note that there is a space (shown in red on the Address sample) on all the Siemens Addressing (DB2.DBW 0). Note: The information provided above for C-more Addressing is used for the C-more PLC Address fields shown below.

Using the Variable #3 as a sample, the Tag Name window from C-more would look as follows:

If you view these Variables in the Watch Table of the TIAPortal (SIMATICSTEP7), they look more like the C-more syntax. From the Devices tree add new watch table or open an existing watch table.

The Watch and Force Tables window shown below will open. From this window you can Monitor the Variables shown.


Wiring Diagrams Link

Please Note!

This opens a web page with the PDF version of Chapter 6

of the C-more Panel manual, which is the PLC Communications

Chapter and includes Cables and Wiring Diagrams.

Internet Connection is required to view...

If you have Internet Connection, click below to open the Chapter 6.


Communication Configuration

Communication Configuration Description

The Communication Configuration setup is located on the bottom portion of the Panel Tab of the Navigation Window. The Communication Configuration allows the user to choose the method to be used to connect the PC and the panel.

The Communication options are:

  1. USB: Click on the USB radio button to choose to communicate with the panel via USB. The USB cable between the PC and the panel must be connected. Once a connection between the PC and panel is detected, the Red indicator will turn Green.
  2. Ethernet: Click on the Ethernet radio button to choose to communicate with the panel via Ethernet. There must be an Ethernet network connection between the PC and the panel. Once a connection between the PC and panel is detected, the Red indicator will turn Green. If necessary, click on the down arrow [image] on the field to view a list of available panels on the network. Select the panel you want to use. If the panel you are connecting to has been previously connected, the panel IP Address will be available in the dropdown [image] list.

If the panel you want to use is not listed, click on the Browse button to open the Ethernet Connection Setup window and find the panel. To learn more about the Browse selection, click here: Ethernet Connection Setup


C-more Protocol Timing Settings

General Rules of How The Panel Formulates Requests

The C-more Panel optimizes its Data Request as much as the Protocol will allow. This means that it will take the Object addresses on the screen and any addresses being updated in the background (i.e., Event Manager Tags, PLC to Panel Tags, Trend Graphs, etc.) and put them together in as few Requests as possible.

The screen configuration shown below will necessitate three separate requests from the panel. Some general rules of why the panel must separate the requests are:

  • Different data types require different requests.
  • Long gaps between addresses within a data type (generally about 128 bytes is the rule).
  • In addition, the Panel separates requests from Dynamic Text Objects because of their varying length.

Poll Time and Timeout

When setting up PLC Protocols to work with the C-more Panels, there are two Timing fields that may be available during the set-up process. A sample of these fields is shown below followed by a description for each.

  1. Timeout: This represents the time allowed for a response. The Response Time is the time that the Panel measures between sending out a request and receiving a response. If this time exceeds the Timeout setting entered in the Timeout field, then the Panel will display a PLC Timeout Error on the screen.

  2. Poll Time: This represents the time that the Panel “injects” between when it receives the last response and before it sends the next request.

The figure below is a diagram showing how the requests and responses reflect the Response Time and how after the Poll Time is completed, a second request is sent. The process repeats constantly.

Reasons for Adjusting Poll Time

  • To get faster updates on the Panel, reduce the Poll Time as much as possible.

  • If the device the Panel is communicating with has a heavy load (i.e., long scan times, other devices communicating with it, etc.), increase the Poll Time to allow other processes to get serviced better.

    Example: Multiple C-more Panels to one PLC using ECOM. The ECOM is bottlenecked by the backplane. The ECOM can only send one request to the CPU via the backplane per scan. So if the PLC's scan is long and multiple C-more Panelsare requesting data, the ECOM's buffer can overload. Increase the Poll Time to help with this situation.

Reasons for Adjusting Timeout

  • If the PLC's scan is long, you may have to increase the Timeout value to compensate. Our PLCs will only respond with data once per scan.
  • Using Radio Modems or other converters that create a delay in the response.
  • If you get PLC Timeout Errors on the panel and all of the rest of the settings have been verified, this is the setting to try to adjust next.


Importing Tags from the CLICK PLC to C-more

Topic: CM527

Connected Panel Information

The Panel Information window is useful for seeing important information about the panel without going to the system screen locally. Going to the system screen pauses the project running in the panel, which may not be desired in an actively running process.

To see information about the connected panel, do one of the following:

  1. From the Main menu, click Panel and then select Panel Information, or

  2. From the Navigation pane, click the Panel tab and select Panel Information.

Connected Panel Information

Field

Description

Title Bar

The title bar of the window includes the Name of the panel and the IPAddress. The Panel Name and IPAddress are entered or updated in the Panel Manager window, accessed from Setup on the Main menu.

Refresh Rate

Since information can change on a connected panel, a Refresh selection of 1, 2, 3, 5, or 10 seconds is available on all windows.

General

Information about the panel model, configuration, Power Voltage status and Firmware Version may be seen in this window.

Useful information:

  • Power Voltage: Good for checking to see if the panel is in low power state due to low voltage.
  • Project Boot Storage: Shows where the project in the panel is actually stored: Built-in Memory or SD1. This selection is configured in the Panel Manager window.
  • HDMI: When an HDMI monitor is connected, this will remain connected. If there is a physical connection but nothing is displayed, check here to see if the panel is connected to the monitor or if there may be a physical problem.

Version

The version information is important for troubleshooting. The Boot Loader, OS, Runtime and System Screen are all updated using Firmware Update in the Panel tab.

Memory

Memory information is useful for seeing how much memory your project requires and how much free memory remains.

The panel's SDRAM, MRAM, and Built-in Flash memory information are displayed. If an optional SD card and/or USB memory device is installed in the panel, information for those locations will appear as well.

Ethernet

The Ethernet window shows the network setting for the Built-in Ethernet Port and the Optional EA-ECOM. These settings are configured in the Panel Network - Ethernet Port window.

Error List

The Error List window is useful for seeing the different panel errors without having to be at the panel.

The Clear button will clear all non-active errors from the list.

RHMI USBRemote

The RHM IUSB Remote is only available if the panel is connected to the PC by a USB cable. The RHMI USB Remote allows for connecting to the panel and seeing what the panel should be displaying if a monitor were connected to it.

The panel may also be operated from this window. In this way, your PC can become your screen for the headless RHMI unit.

Enable Panel Operation

 When selected, this allows the screens to be clicked with a mouse and operated as if you were touching a touchscreen connected to the panel.

Quality

 The quality of the screen image can be adjusted. A higher quality can put a load on the panel's processor, resulting in slower operation. For faster operations, run the quality as low as possible.

Panel Switch Position

 Indicates the position of the panel's Run/Stop switch.

Panel Mode

 If Enable Panel Operation is selected, and the panel mode switch is in Run, you can put the panel in Stop mode and back into Run mode. If the panel Mode Switch is in Stop mode, you cannot put the panel in Run Mode remotely.

Screen List

 If Enable Panel Operation is selected, you can select any screen to change to on the panel.


Concurrent C-more Connection Limits

One of the major benefits of Ethernet connectivity is the ability to have more than 1 network master (Client) communicating to a PLC or device. A common question that arises when using C-more (since it is a network master on most of theProtocolsthat it supports) is how many C-mores can be concurrently connected to 1 device?

The answer to this question is: it depends…

There are many factors that affect the answer of how many C-mores that can be concurrently connected to an Ethernet device. If the Protocol being used is over TCP, most devices will have a TCP connection limit. The resources of the Ethernet device are a factor. The PLC scan time (assuming the device is a PLC) will be a major factor. And the rate at which C-more sends requests (“Poll Time” field inC-more Programming Software Panel Manager) can be a tremendous factor.

As you can tell from the information above, the number of concurrent C-mores that can be successfully connected to a device is very application specific. But to give a general idea of what can be achieved; several tests were run with C-more to its supported PLCs on Ethernet and the results are posted in the table below. The PLCs were running almost no logic in the tests performed in the table below so the scan times were much faster than what would be normal in most applications. Unless otherwise noted, the C-more projects were configured for a 0 poll rate which means that it will send requests as fast as it can (when not busy doing other things).

Note: The results noted below may not be typical for your application. The chart below should be used as a guideline and not a specification for your system. It is also important to note that even when successfully achieving the number of concurrent connections shown in the table below, the update and performance of your project running on the C-more panel may not be acceptable for your application. Additional optimizations in your C-more project and/or PLC project may be needed.

Protocol

PLC Used in Test

# C-more Panels Connected

Notes

AutomationDirect ECOM Ethernet (DL05/06/205/405)

DL260 & H2-ECOM100

32

Use an increased Poll rate of 100ms

AutomationDirect Productivity3000 (P3-550)

P3-550

32

Allen-Bradley EtherNet/IP Client (MicroLogic 1100)

(1100) 1763-L16BWA

16

Allen-Bradley EtherNet/IP Client (MicroLogic 1100)

(1400) 1766-L32BXBA

16

Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter)

(SLC 5/05) 1747-L551-L551 FRN10

28

Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter)

(SLC 5/05) 1747-L552 FRN8

20

Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter)

(ENI) 1761-NET-ENI

4

Allen-Bradley EtherNet/IP Client (Control/CompactLogix)

*(Control) 1756-L61A

32

Use an increased Poll rate of 100ms

Allen-Bradley EtherNet/IP Client (Control/CompactLogix)

(Compact) 1769-L35E

32

Entivity Modbus TCP/IP Ethernet (H2-WinPLC)

H2-WPLC2

20

Use an increased Poll rate of 100ms

Siemens S7-200 (Ethernet:ISO over TCP/IP)

CPU226 & CP243-1

8

Siemens S7-300 (Ethernet:ISO over TCP/IP)

CPU319-3

32

Mitsubishi Q/QnA Ethernet

Q12HCPU & QJ71E1-100

16

Omron CS/CJ FINS Ethernet

CJ1H CPU65H & ETN21

32

Station #8 reserved, do not use

*Notes:

1. When tested using a 1756-ENBT/A, (4) C-mores connected utilized 42% of the PLC's Ethernet Module "System Resource Utilization".

2. When tested using a 1756-EN2T/A, (4) C-mores connected utilized 12% of the PLC's Ethernet Module "System Resource Utilization".

Device

Version

DL260

Ver. 2.60

H2-ECOM100

Ver. 4.0.0.1456

P3-550

Ver. 1.0.7.20

(1100) 1763-L16BWA

Ser. A Rev. C FRN 3

(1400) 1766-L32BXBA

Ser. A Rev. A FRN 3

(SLC 5/05) 1747-L551-L551 FRN10

OS501 Ser. C FRN 10

(SLC 5/05) 1747-L552 FRN8

OS501 Ser. C FRN 8

(ENI) 1761-NET-ENI

Ser. C FRN 3.01

(Control) 1756-L61A

Rev. 17

1756-ENBT/A

Rev. 3.01

1756-EN2T/A

Rev. 1.003

(Compact) 1769-L35E

Rev. 17

H2-WPLC2

Ver. 8.0.0.0

CPU226

Rev. 02.01

CP243-1

Rev. 0101 Hardware Rev. 1

CPU319-3

Ver. 2.4

Q12HCPU

Ver. B 0911

QJ71E1-100

Ver. D 0911

CJ1H CPU65H

Rev. L Soft Rev. AB

ETN2

Rev. J Soft Rev. C


Connecting Multiple PLCs to a Single C-more Panel

Multiple PLCs can be connected to a single C-more panel.

Notes:Some protocols do not support multi-drop, for example Allen-Bradley DF1 Full Duplex or Mitsubishi FX Series.

The C-more panel is the master on a multi-drop network.

Some protocols do not support 2 wire RS485 and must be wired RS422 to multi-drop.Protocols that support RS485 have a Select RS485 option in the protocol set-up window of the Panel Manager.

Serial networks are restricted to 1000 m between two devices or a device and a repeater.


Connection Through Another Panel (Pass Through)

 | Topic: CM010
Connection Through Another Panel (Pass Through) |

The following information applies to the Connection Through Another Panel option available on All the PLC Panel Manager Setup windows.

Connection Through Another Panel Option (Pass Through)

In addition to providing the fields to configure the Protocol for the PLCs supported by C-more Panels, the C-more Software's Panel Manager provides an option to Connect Through Another Panel. The Connection Through Another Panel selection allows you to connect a C-more Panel to other C-more Panels on your network via an Ethernet connection. This type of connection is also known as a Pass Through Connection.

The Connect Through Another Panel option allows a Panel (the Client Panel) to use a second Panel (the Server Panel) that is connected to a PLC serially, as its connection to the Server Panel's PLC. Therefore, the Server Panel will pass data through itself from the Client Panel to the PLC and from the PLC to the Client Panel.

There are several advantages to this option:

  • Where you can not normally have multiple Panels on one serial network, unless it is a multiple master network, Pass Though will allow you to connect multiple panels to a PLC that only supports Serial communications.
  • If the PLC is already connected serially to a C-more Panel and the Panel can be connected to a local Ethernet network, Multiple Panels can be connected anywhere on the same Ethernet network and communicate with the PLC as if serially connected to the PLC themselves.

The following is an example of a Panel Pass Through Connection:

  • Each PLC is operating an independent application and is connected to a C-more Panel through a serial connection.
  • Each C-more Panel is connected to the Ethernet network. The Server panels do not have Connect Through Another Panel configured. Each Server panel needs only a unique IP address in addition to the communication configuration between itself and the serially connected PLC.
  • The Client panel is configured to use Pass Through and communicates with the Server panels on an Ethernet network. The Client panel is configured with it's own unique IP address.

  • The Name of the PLC must be identical in the Server panel and in the Client panel.
  • The PLC Protocol must be identical in the Server panel and in the Client panel.

  • Select the IP Address of the Server panel. A list of previously connected panels can be accessed by clicking the down arrow [image] in the IP Address field or click the Select IP Address button to open the Ethernet Connection Setup window and select your panel.


Disable PLC Node

If a Device connected to a C-more should be deactivated while the C-more project continues to run, an internal tag can be created to identify to the C-more project that communication errors from that device should not be displayed.

For example, a C-more panel communicates with two PLCs, each controlling a separate production cell. When a PLC is powered down for maintenance and “PLC Communication Timeout” Errors would be a nuisance, this feature can identify the PLC as disabled. Communication errors from that PLC will not display while the internal DISABLE tag is ON.

How to use this feature

  1. Create an Internal Tag based on the following rule: %[device name]_DISABLE%

    For example, if the device name is "    DEV001", theTagnameneeds to be "%DEV001_DISABLE%", without the quotes.

    In order to keep the setting, you may want to create this tag as a retentive tag.
  2. Assign this tag to a Pushbutton.
  • ON = Disable
  • OFF = Enable
  3. Transfer the project to the panel.


Ethernet Connection Setup

Ethernet Connection Setup Window

The Ethernet Connection Setup window is accessed primarily from the Navigation window by selecting the Panel tab. In the Communications Config window at the bottom of the Panel tab, select Ethernet and click on the Browse button. It can also be accessed in the Read From Panel window and Project Transfer window by selecting the Browse button.

Online Link List

The Online Link List tab displays a list of all the C-more Panels connected on the same network as the PC running the Programming Software.

Although the Programming Software can browse to these panels to populate the Online Link List, the panel must be on the same Subnet as the PC for the Programming Software to be able to Blink the Screen, Read a Project from the panel or Send a Project to the panel.

  1. Select Network: Allows you to select the Network Interface Card (NIC) in the PC. This is helpful to limit the browse to a specific network when a PC has multiple network interfaces. For example, the local plant network and the enterprise information network.
  2. Browse Network: Refreshes the list by performing a Broadcast and Multicast simultaneously from the selected NIC to attempt to establish communication with C-more Panels connected to the Network.

    Any C-more Panel on the Network that can receive the Broadcast or Multicast and respond to the PC will be displayed on the Online Link List.
  3. Status Icon:

If the Status Icon is Red, select the Details button. See information later in this topic.

  4. Details: Opens the Connection Details windows, which shows the network details of the selected panel.

In this window you can see the PC and Panel, IP Address and Subnet Mask.

In most cases in order to connect the PC must be on the same logical network as the Panel. This window allows you to edit the IP Address of the Panel through the Change IP Address button to correct a mismatch.

Notes: Informative notes will display when the Status Icon is Red.

Sometimes notes may display even though the status icon is green. This is not a problem. In some cases a connection can still be made even though the logical Network addresses do not match.

Unmatched Network Address:

The Network Address is derived by AND-ing the IP Address with the Subnet Mask.

Problem Case:

The Network Address of the PC and the Panel do not match and will not be able to connect.

No Problem Case:

The Network Addresses of the PC and the Panel do not match but the status indicator will be green and the PC and Panel will still connect because 10.11.0.110.0 is part of the same network as 10.11.0.0.

Unmatched Subnet Mask:

The Subnet Mask for the PC and Panel do not match. This is not necessarily a problem, but unmatched Subnet Masks could be the cause of an unmatched Network Address. The best practice is to have matching subnet masks to eliminate the potential for network communication issues.

In the configuration below, the unmatched Subnet Mask causes the Network Address to be unmatched. Therefore causing a connection issue. If the Subnet Mask for both were 255.255.0.0 then the Network Address for both would be 10.11.0.0 allowing a connection.

Note: See your Network Administrator for the proper settings for your network.

  6. F/W Version:

If Software and Firmware versions are not the same, then you must Update Firmware in the panel version as the software being used.

  7. Blink Screen: When a panel is selected in the browse list, the Blink Screen button is used to provide a way for the user to confirm that the correct panel has been selected by Blinking the panel backlight several times.
  8. Change IP Address: Opens the dialog below where the Panel Name and IP Address can be edited.

In this dialog you may change:

  • Panel Name
  • Network Settings:
  • Obtain Address from DHCP Service This selection allows the panel to query the network for a DHCP server that will then assign an IP Address to the panel automatically if a DHCP server exists on the network. If there is no response from a DHCP server, the panel will follow APIPA standards and assume an IP Address that starts with 169.254.xxx.xxx.

    The APIPA assigned address is not recommended because it may change without notice.

    This setting is convenient for setting up a panel on an established network for programming and configuration purposes.

    This setting is not recommended for control networks because the IP Address assigned by the DHCP server may be changed by the server without warning causing potential communication issues.
  • Use the following IP Address: This selection allows you to manually set the IP Address, Subnet Mask and Default Gateway.

    This selection is recommended for control networks so that the IP Address will not change.
  • IP Address: The IP Address is unique for each device on the Local Area Network (LAN). If the IP Address is duplicated anywhere on the network, the panel will not communicate properly. See your network administrator for an available IP Address.
  • Subnet Mask: Unlike the IP Address, the Subnet Mask should be the same for each device on the Local Area Network (LAN) that will be communicating with each other. See your network administrator for the proper Subnet Mask.
  • Default Gateway: If a Router is used to connect the LAN to another network and the C-more will be communicating with devices on the other network, then this is the IP Address of the Router. See your network administrator for the proper Default Gateway address.
  9. Remote Link List: The Remote Link List allows the user to connect to Panels that are not on the same network as the PC, for example, a Panel that resides on the Internet or a Virtual Private Network (VPN).

    The Online Link List uses Broadcast and Multicast, which are blocked by Routers by default. Remote Link uses a Unicast, that is, it uses the IP Address you enter for a specific panel to connect to that panel, which is not blocked by routers by default.

  1. Link Name: Enter any desired Name for this link. It is only for display purposes in the Remote Link List.
  2. IP Address: Enter the known IP Address of the panel you wish to connect.
  3. Port Number: Enter the TCP Port number of the panel or the remote network router you wish to target. The C-more Panel programming port number is 9999. The only reason this number would be changed is for use with Port Forwarding in a Router.
  4. Timeout: Enter how long the software should wait for a connection response. Increasing this value may help stay connected on a noisy or slow connection.
  5. Retries: Enter how many times the software should try to connect before displaying an error. Increasing this value may help stay connected on a noisy or slow connection.
  6. Panel Setting Timeout: This is the period of time the panel will wait if the connection from the PC is interrupted. Increasing this value may help stay connected on a noisy or slow connection. Keep in mind the higher this value the longer it will take for the panel to be available for another connection after the previous connection is lost.


Read From Panel - USB and Ethernet

Read From Panel Button

The Read From Panel selection is used when the user wants to back up the project currently loaded in a panel and /or to edit the project in the panel.

To Read a Project from a panel, do the following:

  1. From the File menu, if a project is already open you can select Read from Panel to open the Start a Project window.

  2. If a project is not already open, from the File menu select Start Project then Read From Panel in the Start a Project window.

  3. Select the Connection Type.
    Refer to the Communication Ports section in Chapter 2 of the C-more Panel User Manual for information on Connection Types available.

  • If the PC is connected to the panel via USB cable, select the USB option and follow the instructions provided below for USB connection.

  • If the PC is connected to the panel via an Ethernet connection, select the Ethernet option and follow the instructions provided below for Ethernet connection.

Read a Project from a Panel Using a USB Connection

  1. With the Read From Panel button selected, click on the USB radio button to select it. Verify that the connection Indicator turns Green. A Red Indicator indicates a connection failure to the USB port. If the Indicator is Red, check your cable connections.
  2. If the Indicator is Green, click the Read Project button.

Read Project from Panel Using an Ethernet Connection

See Ethernet Connection Setup for details about connecting to a panel over Ethernet.

Once a connection is established with the desired panel, click on the OK button to accept the selection and return to the Start a Project/Read From Panel window.

During the Project Reading process, a progress window like the one shown below appears. When the process completes, the Project Reading progress window closes.

  1. Click OK in the Start Project window and the project read from the panel opens in the work area.
  2. You can Save the project and proceed with the development.


Panel to PLC Tab

This selection allows the user to configure specific Panel to PLC communications.

Panel to PLC Configuration

The Panel to PLC configuration is used to send Panel information to the PLC. To access the Panel to PLC window from the Main Menu, click on the Setup selection. The Setup drop-down menu shown below will display. From this drop-down menu, select the PLC <-> Panel selection.

To access the Panel to PLC window from the Navigation Window, click on the Function Tab. Select PLC <-> Panel from the Setup branch of the Function tree.

Once selected, the PLC Panel window shown below will open.

This window opens with the Panel to PLC tab selected. If not selected, click on the Panel to PLC tab.

The following fields are available for this tab:

  1. Current Screen: Writes the Screen Number that the Panel is currently displaying into the PLC Address associated with the Tag.

  2. Good Communication Toggle: Used to confirm a good connection between the Panel and the PLC. The Tag toggles On to OFF on a 5 second interval.

  3. Popup Keypad: Used to indicate to the PLC when a Popup Keypad is displayed. (ON = Keypad Active).

  4. Current Language Number: Writes the Number of the Language currently being displayed on the Panel. Refer to the Language settings under the Setup Menu.


PLC to Panel Tab

PLC to Panel Configuration

The PLC to Panel configuration is used to send PLC information to the Panel. To access the PLC to Panel window from the Main Menu, click on the Setup selection. The Setup drop-down menu shown below will display. From this drop-down menu, select the PLC Panel selection.

To access the PLC to Panel window from the Navigation Window, click on the Function Tab. Select PLC Panel from the Setup branch of the Function tree.

Once selected, the PLC Panel window shown below will open.

This window opens with the Panel to PLC tab selected. To access the PLC to Panel tab shown above, click on the PLC to Panel tab.

The following fields are available for this tab:

  1. Switch to Screen Number:Switches the displayed screen of the Panel to the Number in the associated PLC Address. Writes the Screen Number that the Panel is currently displaying into the PLC Address associated with the Tag. When the value changes, it is executed only once. If the value in the Tag does not correspond to an existing Screen Number, it is ignored without showing Error.

    In addition, If you load a "0" (usually with a PLC Tag) into the Switch to Screen Tag, the Panel will go to the last Screen that was displayed.

    For Example:

    Say that Switch to Screen contains Tag Name "Screen Number", which is assigned to PLC address V1200. V1200 contains a random Number and the Panel is on Screen 1. When a 5 is loaded into V1200, the Panel changes to Screen 5. If a "0" is then loaded into V1200, the Panel changes back to Screen 1.

    Another Example:

    Say that Switch to Screen contains Tag Name "Screen Number", which is assigned to PLC Address V1200. V1200 contains a random Number and the Panel is on Screen 1. The operator changes the Screen to Screen 5 using the Screen Change Pushbutton or Screen Selector. If a "0" is then written into V1200, then the Panel changes back to Screen 1.

  2. Beep On/Off: Allows the PLC to turn On and Off the panel Beep. The Beep stays on until the bit is turned off.

Note: This is different than the Beep On/Off in the Panel Manager which only enables or disables the beep. This function is useful for allowing the PLC to use the Beep as an alarm and a Pushbutton as an acknowledgment to silence the alarm.

  3. Increment Clock by 1 Hour: Used by the PLC to adjust the Panel clock. Each OFF to ON transition increments the internal clock by one hour. This function is help for adjusting the Panel for daylight savings time.

  4. Decrement Clock by 1 Hour: Used by the PLC to adjust the Panel clock. Each OFF to ON transition decrements the internal clock by one hour. This function is help for adjusting the Panel for daylight savings time.

  5. Clear Alarm History: Used by the PLC to clear the Alarm History stored in the Panel. Each OFF to ON transition clears the history.

  6. Clear Alarm Count: Used by the PLC to clear the Alarm Count stored in the Panel. Each OFF to ON transition clears the count.

  7. Start Screen Saver: The backlight turns OFF when the Start Screen Save tag changes from OFF to ON.

    The panel backlight will turn ON again:

  • When the panel touchscreen is touched.
  • When the screen is clicked in a Remote Access session.
  • When an Alarm Action in the Event Manager occurs. (Only when the Display setting of the Alarm Action is checked).
  • When there is a Screen Change by the PLC.
  • When an Error such as a Communication Error occurs.

  8. Select Language: Used by the PLC to change the present Language being displayed on the Panel. Refer to the Language Settings under the Setup Menu. When the value changes, it is executed only once. If the value in the Tag is out of the range 1 to 9, it is ignored.


PLC Error Tab

PLC Error Description

The PLC Error configuration is used to communicate PLC Errors to the Panel. This feature can be used to display PLC Errors in other objects on the Panel such as indicator lights, dynamic bitmaps numeric displays, dynamic text displays, and multi-state indicators.

There are two ways to access the PLC Error Tab window:

  • From the Main Menu click on the Setup selection. The Setup drop-down menu shown below will display. From this drop-down menu, select the PLC Panel selection.

  • From the Navigation window click on the Function tab and select PLC Panel from the Setup branch.

Once selected, the PLC Panel window shown below will open.

This window opens with the Panel to PLC tab selected by default. To access the PLC Error Tab shown above, click on the PLC Error Tab.

The following fields are available for this tab:

  1. PLC Error State: This must be an Internal Discrete Tag. This Tag will turn ON when there is a PLC Error sent to the Panel. When an Error occurs, the Tag is cycled ON for three seconds and OFF for one second and repeats.

  2. PLC Error Code: This must be an INTERNAL TAG, it may be any of the types listed below. This Tag will contain the value for the Error Code from the PLC. When an Error occurs, the Error Code is written to the Tag for three seconds and a "0" is written for one second.

Data Types for PLC Error Tags

  • Signed int 16
  • Signed int 32
  • Unsigned int 16
  • Unsigned int 32
  • BCD int 16
  • BCD int 32


Address Book Database

Address Book Database Description

The Address Book database contains a list of names and addresses that can be used in the Event Manager Database when an email or FTP action is configured.

  1. To open the Address Book database, from the Main menu, click the Database menu and select Address Book.

The Address Book window opens displaying configured email addresses.
  2. To add a new email address, click Add.
    The Add Mail dialog box opens.

  3. Complete the fields on the screen using the information in the table below.

Address Book Database

Field

Description

Mail Address Setting

Name

The name associated with the email address entered below. This name is what will show in the Event Manager Mail Action when selecting mail recipients (Send Address).

Static

Enter the static name for the email address. A static name cannot be changed except by changing the C-more project.

Tag Name

To make the email name variable, click to select the Tag Name radio button and then select an ASCII string Tag Name for this email name. This allows the Email name to be changed by changing the value in the string tag using, for example, a Text Entry object.

Click to select the Tag Name radio button and click the drop-down arrow to select a tag name from the Tag Name database.

Mail Address

The email address associated with the Name above.

Static

Enter the static email address. A Static email address cannot be changed except by changing the C-more project.

Tag Name

To make the email address variable and easy to edit, click to select the Tag Name radio button and then select an ASCII String tag for the email address. This allows the email address to be changed by changing the value in the String tag using, for example, a Text Entry object.

Language of Send Message

Click the drop-down arrow and select the language of the email being sent.

When adding an address to the address book, the language for a specific entry will be used by the Event Manager Mail Action to determine the email text of the message as configured in Event Manager.

For example, Person A is configured in the Address Book with Language 1 selected, and Person B is configured with Language 2 selected. In Event Manager, the Mail Action Subject and Message Body are configured with different text for Language 1 and Language 2. When the mail is sent, the text used for Person A will be the Language 1 text and the text for Person B will be the Language 2 text. This is useful when multiple addresses (both Person A and Person B) with different languages are targeted by a single Email Action.
  4. Click OK.
    The new address is added to the Address Book Database.

Managing the Address Book Database

Within the Address Book database, you can edit, delete, copy, paste, import, and filter addresses. You can also configure the list of FTP Servers from the database.

Address Book Database Management

Function

Action

Edit

To edit an email address, select the address and click Edit.

Delete

To delete an email address, select the address(es) and click Delete.

Copy/Paste

To copy and paste an address, select the address(es), click Copy and then Paste.
Copying and pasting creates a duplicate of the copied address(es).

Import

To import an existing address book, click the red Import button.

Export

To export your address book to another address book, click the green Export button.
Import / Export:Import or Export will allow you to Import an existing address book from an .XLS or .CSV format or save the address list as an .XLS or .CSV format to Export. See Import an Address Book Database and Export the Address Book Database.

Filter Addresses

To filter the list to make it easy to find addresses, click the Filter icon [image].
This is especially helpful for Address Books with large amounts of contact information. You can create your own filters and give each one a unique name. Click the Filter icon to open the dialog box to set up filters by text or tag, name/address, name, address, or language. After entering your filter, click the Save icon.

Configure List of FTP Servers

To configure the list of FTP Servers available for Event Manager ftp actions, click the FTP Server tab. See FTP Feature Setup.


Message Database

Message Database Description

The Message Database allows the creation, viewing, and editing of Messages that can be used with the Lookup Text Object. The Messages can contain any alphanumeric information as needed for a specific item in the project.

Each Message is assigned a Message Number, which is used to trigger the Message in the Look Up Text Object. The text on the Messages may be formatted to display in a variety of colors and sizes.

The Message Database window shown below is available from the Database Menu of the Main Menu. This window allows the user to Add, Edit, or DeleteMessages as needed.

To learn more about the selections available on this window, see the list of items listed below and use the figure shown above as reference:

  1. Msg. No.: Shows the Message Number assigned to each specific Message. This Number is assigned automatically or can be modified when Adding/Editing the Message.

  2. Log: This column indicates if the Message has been configured to be Logged or not. The Log Message selection is configured when Adding/Editing Messages. See the Message - Add topic for more information.

  3. Message: This column shows the Message that will be displayed.

  4. Text Size: This column shows the Text Size that has been selected for the specific Message. This is the Text Size of the Message that will be displayed.

  5. Text Color: This column shows the Text Color that has been selected for the Text for this specific Message.

  6. Text Blink: A Yes in this column indicates that the Text on the specific Text Message will Blink repeatedly. A No indicates the Text Message will not Blink.

  7. Back Color: This column shows the Background Color that has been selected for the Background of this specific Message.

  8. Back Blink: A Yes in this column indicates that the Background of the specific Text Message will Blink repeatedly. A No indicates the Background will not Blink.

  9. Sound: This column shows if a Sound has been selected to play when the Message displays. A Blank field indicates No Sound selected and the word Beep indicates a Beep will Sound when the Message is displayed. In addition, the Sound setup allows the use of WAV Sound files and if a WAV file has been assigned, the name of the file will be displayed in this filed.

  10. Repeat: This column will show a Number that represents how many times the Sound assigned for this Message will be repeated when the Message is displayed. If the field has the word Loop in it, the Sound will be played continuously as long as the Message is displayed.

  11. Add: Click on this button to Add a new Message.

  12. Edit: Click on the field of an existing Message to highlight/select it and then click on this button to Edit the selected Message. To learn more go to the Message - Edit topic.

  13. Delete: Click on the field of an existing Message to highlight/select it and then click on this button to permanently Delete the Message.

  14. Copy / Paste: Select a message from the list to highlight it and then click on Copy. Click on Paste to make a duplicate of the copied address to the list.

  15. Attributes Copy / Attributes Paste: Click on an existing Message to highlight/select it and then click on the Attributes Copy button to Copy all the Attributes from the selected Message(s). Click on the Attributes Paste button to make duplicates that are added to the Message Database list.

  16. Language: Click on the button to open a drop down list of Languages to select from and assign to a selected message.

  17. Preview: Click on this button to see a Preview of what the selected Message will look like.

  18. Import / Export:Import or Export will allow you to Import an existing Message Database from an .XLS format or save the Message Database as an .XLS format file to Export.

  19. Filter: Allows users to Filter the list to make it easy to find a Message in the list. This is especially helpful for a Message Database with large amounts of contact information.

Add a New Message

To Add a new Message to your Message Database, from the Message Database window shown above, click on the Add button labeled number 12 on the figure shown above. This will open the Message Add window shown below.

To learn more about the selections available on this window, see the list of items listed below and use the figure shown above as reference:

  1. Msg. No.: Automatically assigns a Message Number on this filed. You may also click on the field to type in a different Number if desired.

  2. Text Color: Click the Text Color button to open the Color Palette. From this Palette, click on the Color you want to assign for the Message Text.

  3. Back Color: Click the Back Color button to open the Color Palette shown above. From this Palette, click on the Color you want to assign for the Message Background.

  4. Blink: Click on either of the Text or Back Color checkboxes to select the Blink feature. If the Text Color Blink is selected, the Text on this Text Message will Blink repeatedly. If the Back Color Blink is selected, the Background of the specific Text Message will Blink repeatedly.

  5. Text Size: Click on the down arrow [image] to open the drop down list of Text Sizes available this Text Message. Click on the Number for the desired Text Size of the Message that will be displayed

  6. Log: If the checkbox is selected, this Message will be Logged every time it's displayed.

  7. Sound: Click on the checkbox to assign a Sound to be played each time this Message displays. When selected, the fields inside the Sound frame will become active and be available for setup. By default, the selected Sound will be the Beep. To assign a different Sound, select the Sound selection discussed below.

  8. Sound Field: When the Sound selection is selected, the Sound field will become active. From this field, click on the down arrow [image] to open a drop-down menu of WAV Sound files available for use. From this drop-down menu, click on the Sound to assign for this Message. The Browse button allows you to select sounds from the hard drive and add them to the Sound drop-down menu library.

  9. Repeat: From this portion of the window you may select how many times the Sound is Repeated by clicking on the Up or Down arrows [image] on the Times field to Increase or Decrease the assigned Number. You may also choose the Loop selection instead to cause the Sound to play continuously.

  10. Language: Click on the down arrow [image] to open a drop down list of Languages. Click on the desired Language to select it. There is a separate Message for each language selected. See the Language topic for more information on setting up Languages.

  11. Text: Click on the field to type the Message that will be displayed. Maximum number of characters allowed is 200. You may hover the mouse pointer over the text field and a small window will pop up displaying Text Entered/Maximum.

  12. Time: The Time feature inserts a code that will automatically display the actual Time while the Message is displayed. Click on the Time Icon and a pop up menu will open with Time format selections available as shown below. Click on the desired format to display the Time. Once selected, the code is entered automatically in the Text field discussed on Item 11 above.

  13. Date: The Date feature inserts a code that will automatically display the actual Date while the Message is displayed. Click on the Date Icon and a pop up menu will open with Date format selections available as shown below. Click on the desired format to display the Date. Once selected, the code is entered automatically in the Text field discussed on Item 11 above. Do Not erase this code or the Date will not display with the Message. To remove the date symbol, click on a time format and select Yes.

  14. Tag: Click on the Tag Icon and the Embedded Data Value window shown below will open. From this window, configure the Embedded Data for the specific Message. More information on the configuration of the Embedded Data Value window located at the bottom of this topic.

Edit a Message

To Edit an existing Message, from the Message Database window shown at the top of this topic, click on the field of any of the existing Messages to highlight/select it and then click on the Edit button located on the lower-left portion of the screen. This will open the Message Edit window shown below.

This window displays all the current configuration settings for the selected Message. From this window you can Edit any of the settings as needed. For reference on each specific setting, see the Message - Add topic discussed above.

Embedded Data Value Window Configuration

When the Tag Icon available from the Message Add and Message Edit window is selected, the Embedded Data Value window shown below will open. Maximum six tags may be added to any one message.

To configure an Embedded Format Value, click on the down arrow [image] of the Embedded Data field (Item 1) and select the desired Data Type from the drop down list. The configuration for each of these choices are discussed below individually.

  • Discrete
  • Numeric
  • String

Embedded Data Value - Discrete

The Discrete Data Format is selected by default when the Embedded Data Value window shown above opens.

  1. Embedded Data: Click on the down arrow [image] to select the Discrete data format. Discrete is selected by default.

  2. Tag Name: Click on the down arrow [image] and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser Icon [image] to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available, Add, Edit and/or Delete Tag Names. The tags listed will be limited to the Data Format selected.

  3. ON Text: Click on the field and type in the Message to be displayed when the selected Discrete Tag is active.

  4. OFF Text: Click on the field and type in the Message to be displayed when the selected Discrete Tag is not active.

  5. Add: Click on Add to save the entered Value and return to the Message Add/Edit screen.

Embedded Data Value - Numeric

The Discrete Data Type is selected by default when the Embedded Data Value window opens. When Numeric Embedded Data is selected, the Embedded Data Value window shown below opens.

  1. Embedded Data: Click on the down arrow [image] to select the Numeric data format. Discrete is selected by default.

  2. Tag Name: Click on the down arrow [image] and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser Icon [image] to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available, Add, Edit and/or Delete Tag Names. The tags listed will be limited to the Data Format selected.

  3. Display Data Type: Click on the down arrow [image] and select the Data Type to display the data.
    The choices are:

  • Unsigned Integer 16
  • Unsigned Integer 32
  • Unsigned Decimal
  • Octal
  • Hex
  • Signed Integer 16
  • Signed Integer 32
  • Signed Decimal
  • Floating Point 32
  • Floating Point
  • BCD Integer 16
  • BCD Integer 32
  • BCD

  4. Justify: Select a Justification setting from the drop-down menu. Leading Zeros display a "0" for every digit that has no value (i.e., 00034567 if eight digits are selected.) Leading or Trailing Spaces do not display any unused digits.

  5. Display Format: Click on the fields to enter a common Prefix (left side field) or Suffix Value (right side field) that will always be displayed (e.g., Max. xxxxDeg. F). Click on the Use 1000 Separator checkbox to add a Comma Separator to the Numeric Value.

  6. Digits: For the Total Digits field, select the Total Number of Digits to be displayed. The maximum Number is based on the Data Type selected in the Tag Name (Item 2). For the Fractional Digits field, select the Total Number of Digits to include on the Fraction portion of the Number displayed.

  7. Auto Check: Click on the checkbox to let the object detect where the decimal should be based on the value in the Tag Name.

  8. Sample: This window displays a Sample view of the Number with the selected parameters applied.

  9. Add: Click on Add to save the entered Value and enter another one.

Embedded Data Value - String

The Discrete Data Type is selected by default when the Embedded Data Value window opens. When String Embedded Data is selected, the Embedded Data Value window shown below opens.

  1. Embedded Data: Click on the down arrow [image] to select the String Data Type.

  2. Tag Name: Click on the down arrow [image] and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser Icon [image] to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available, Add, Edit and/or Delete Tag Names. The tags listed will be limited to the Data Format selected.

  3. String: This window displays a Sample view with the selected parameters applied.

  4. Add: Click on Add to save the entered Value and enter another one.


Recipe Database

Recipe Database Description

The Recipe Database allows the creation, viewing, and editing of Recipe Sheets that can be used with the Recipe and Call Recipe Objects. The Recipe Database can contain up to 99 Recipe Sheets.

Note: When a project is loaded to a Panel, ONLY those Recipe Sheets referenced in the objects used in the project will be loaded to the Panel.

Access the Recipe Database

To access the Recipe Database, do the following:

  1. Do one of the following:
  • From the Main menu, select Database and then select Recipe Database as shown below, or

  • In the Navigation window, click the Function tab, click Database, and then select Recipe Database as shown below.

The Recipe Database window opens as shown below. This window enables the user to add, edit, or delete Recipe Sheets as well as export and import Recipe Sheets.

  2. Reference the figure above and complete the fields in the table below.

Recipe Database

Field

Description

Add

Add a new Recipe Sheet. This will open a new Recipe Sheet that can be edited immediately.

Edit

Opens the selected Recipe Sheet for editing.

Delete

Deletes the selected Recipe Sheet.

Caution:Once a Recipe Sheet has been deleted, it cannot be recovered.

Import and Export

Recipe Sheets may be exported, modified, and imported. See Editing Recipe Sheets Using Excel for more information about editing Recipe Sheets.


Recipe Sheets

Open The Recipe Sheet Window

The Recipe Sheet window is a spreadsheet that works very similar to the spreadsheets used for the most popular programs. Recipe Sheets can even be easily Copied, Pasted and Edited to and from Excel spreadsheets.

The Recipe Sheet consists of Recipe Records (each row) and Destination Tags (top row). The Recipe Records can contain Values or Tags.

A Recipe Sheet is displayed on the C-more Panel when it is opened using the Call Recipe object. Once opened, data in the cells may be edited and a row may be selected and loaded to the Destination Tags.

To open the Recipe Sheet window, from the Recipe Database window, click the Add button or, select an existing Recipe Sheet and click Edit.

Use the information in the table below to work with Recipe Sheets.

Recipe Sheets

Field

Description

Export

Export Recipe Sheet Data to a .csv file.

Find Error

The Recipe Sheet is designed to automatically search and identify any obvious errors that may be present in the spreadsheet entries. Any time the C-more programming software detects an error, it changes the font to red as shown below.

In addition, if you hover the pointer over the field with the red text, a pop-up message opens with the information on the error found.

Each time you select Find Error (F3), the software automatically displays the next error found, enabling you to locate all errors quickly.

Format Selections

Allow the software user to change the width of columns and the height of rows during the Recipe Creation / Editing session. The width and height of the cells on the panel screen are adjusted in the Call Recipe Object.

Toolbar

Save To Project

Click on the Save Icon [image] to save the current Recipe Sheet. The Recipe Sheet is saved. If this is the first time you save the Recipe Sheet, the Save As... To Project window shown below will open. This does not save the Recipe Sheet as a separate file.

Note: If you try to save a Recipe Sheet that has detected errors in it, the Error GUI-182 warning will pop up. The window allows you to continue with the save by clicking on Yes if you want to Save it anyway and correct it at a later time.

Type

Select whether the selected cell will contain a Value or a Tag. The Tag cells are identified by a small triangle on the top-left corner of the cell as shown below. Value cells have no markings. The default selection for this drop-down menu is Value.

Data Format

The Data Format drop-down list will vary depending on the Tag Data Type selected. The following is a list of data format available for the specific Tag Data Type selected for the Destination Tag being used for a cell.

Destination Tags

The Destination Tags are the cells located on the top green shaded row. These Tags identify where the Values for a Recipe Record (Row) are loaded. When a recipe is loaded, the values in the corresponding column are transferred to the specified Destination Tags.

Note: The first cell in the Name column, which is also the first cell in the Destination Row, only accepts ASCII format tags. This is the Name Destination Tag for the Name column

Name Column

The Name column is identified by the highlighted yellow background. This column is used to enter a Name to be assigned for each Recipe Record.

When the Recipe Record is loaded, this text is loaded into the Name Destination Tag, so that each Recipe can be identified by Name.


Editing Recipe Sheets Using Excel™

Editing Recipe Sheets with Excel

A Recipe Sheet MUST be created in the C-more HMI Programming Software. The software provides drop-down menus, formatting options, and error checks to facilitate editing theRecipe Sheet. Although the best way to edit aRecipe Sheet is to use the C-more HMI Programming Software, you may choose to use a spreadsheet editor such as Excel.

Note: The values in a recipe can be edited directly from the Panel if editing privileges are configured in the Object.

Editing Recipe Sheets with Excel

To edit a Recipe Sheet with Excel, first you will have to export the Recipe Sheet.

If you need information on how to Export a Recipe Sheet click on the green text. When a Recipe Sheet is Exported, it saves the data as Unicode Text with a ".csv" extension.

Once the exported Recipe file is open in Excel, the contents will look similar to the figure below:

When looking at an exported Recipe Sheet in Excel, to be able to distinguish between a Tag Name String or Value, look for the following formats:

  • Tag Names: The first character is an ! (exclamation mark). For example: !TagName
  • ASCII Character String: The first character is a ‘ ( single quotation ). For example, 'abcdefg
  • Value: No leading character.

From the figure shown above, we can see the following:

  • The first row contains the Destination Tags for the Recipe Sheet.
  • The first column contains the Recipe Record Names.
  • The remainder is the data that will be loaded to the Destination Tags. The data in the same row as the Recipe Record Name will be loaded into the corresponding Destination Tag. This data may be in the form of Tag Names ( ! ) or Values. Values can be Strings ( ' ) or Values. The Values may have the data format indicated by an ":H" for Hexadecimal and an ":O" for an Octal.

Unless you become very familiar with editing the contents from Excel, we recommend to only edit values and not tag information. To learn about the formats used for the information in the cells, see the File Formats section below.

Once you finish editing the Recipe Sheet, it must be saved as a Unicode Text file with a ".csv" extension in order for the Recipe Sheet to work properly when used by the panel.

Note: To Import a Recipe Sheet, the desired Recipe Sheet being imported must be a Unicode Text Format File Exported/Saved with a "csv" file name extension. When saving from Excel, make sure to save the file as a Unicode Text file format and change the file name extension to "csv".

Note: You can also copy/cut cells on either the Excel spreadsheet or the Recipe Sheet Editor in the C-more HMI Programming Software, and Paste them back and forth.

File Formats

When a recipe sheet is to be imported, it must meet the formatting criteria mentioned in this topic. When recipe sheets are exported, they are formatted as follows:

  • File/Encode Type:Unicode (When saving file in Excel, the file extension must be changed to CSV. Excel saves Unicode files as TXT by default.)
  • Extension:CSV
  • Number of Columns: 2 - 256 (Please note that when editing with Excel, the columns are shifted by one column. This means that if the column in the recipe sheet is D, in Excel it will show as E. This is because the Name column in the C-more Software is actually Column A in Excel.
  • Number of Rows: 1 - 1000 Rows (Recipe Records)

Tag Data Type

The characters at the end of the Tag Name designate the data format of the tag. See the table below.

Discrete Value Format

Discrete Values can be values other than 1 and 0, such as YES or NO.

Note: As shown on the tables below, Values can be Strings ( ' ) or Values. The Values may have the data format indicated by an ":H" for Hexadecimal and an ":O" for an Octal.

Hex and Octal Value Format

ASCII Character String


Event Manager Database

Event Manager Database Description

The Event Manager Database consists of Events that continuously monitor conditions in the panel. When these conditions are met, Actions are executed. The Database is used to create, view and edit both the Events and the Actions associated with them.

Events are conditional triggers that can execute any of 11 Actions.

Conditional triggers for Events are based on:

  • Tag - state or value of a tag
    • A single Tag
    • A logical combination of up to four tags
  • Day and Time
    • Single event triggered at a specific date and time
    • Recurring daily, specific days of the week or even a number of times per day at a set interval during a window of time
  • Screen Change - When the panel is changed to or from a specific screen

Up to 16 total Actions can be executed with a single Event. Actions can include:

Alarm - Displaying and logging an Alarm message

Tag - Setting the value of a tag

Tag Copy - Copying the value of one tag to another tag

Sound - Playing a sound from the Sound database

Screen Capture - Saving a screen capture of any screen

Mail - Sending email with an attached log file or screen capture file

FTP - Sending a log file or screen capture to an FTP server

Backlight - Turning on or off the panel backlight

Screen Change - Changing from the current screen to any other screen

Message Box - Pop up a message box on the screen

Math - Perform a mathematical calculation

Some Actions can only be used once in an Event; others may be used up to 16 times. See the individual Event Action topics for details.

The Actions for an Event occur once when the conditions configured in the Event become true. Some Actions, such as the Alarm Action, reset automatically when the conditions are no longer true. Others, such as the Tag and Tag Copy actions, require a separate Event and Action to change the Tag value. See each Event Action topic in the online Help for more details.

The table below provides links to each Event Action topic and it shows which Actions can be used with each Event Type.

Actions and Event Types Available
Action | Event Type
Tag | Date and Time | Screen Change
Alarm | Yes | No | No
Tag | Yes | Yes | Yes
Tag Copy | Yes | Yes | Yes
Sound | Yes | Yes | Yes
Screen Capture | Yes | Yes | Yes
Mail | Yes | Yes | Yes
FTP | Yes | Yes | Yes
Backlight | Yes | Yes | Yes
Screen Change | Yes | Yes | Yes
Message Box | Yes | Yes | Yes
Math | Yes | Yes | Yes

Creating an Event

To get started creating an event, do the following:

From the Main menu in the top toolbar, click Database and then select Event Manager Database.

The Event Manager window opens. This window lists the Events you create and their associated actions, and allows you to Add, Edit, or Delete Events. See Event Add, Edit, or Delete.

For events that will be similar, you can save time by using the Copy and Paste selections.

To copy an Event, select the Event and then select Copy.n
Paste is selected, the Event is copied to the end of the Event Manager Database list of Events. The order of the Events in the list can be adjusted by using the Up and Down arrows at the bottom of the window.
From this window, the Event Manager Database may be exported and imported. See Exporting Event Manager Database and Importing Event Manager Database.

For any event that you enter,
A green checkmark indicates at least one action of that type is configured and enabled for that Event.
A red checkmark indicates that at least one action is configured, but all actions of that type are disabled for that Event.


Add, Edit and Delete Event Manager Actions

Topic: CM137

Event Manager Actions - Add/Edit/Delete

If you need information on Event Actions specific to Data Logging, review the information provided below about Adding Actions and then refer to the FTP and/or Email Actions.

Add, Edit, and Delete Event Manager Actions

To add an event to the Event Manager Database, do the following:

  1. in the top toolbar click Database and select Event Manager Database.
    The Event Manager window opens. Within this dialog box, you can add or edit an event, and add, edit or delete each event's actions.

  2. To add an event, click Add.
    The Event Add dialog box opens.

  3. Use the Event No. arrow buttons to select either the next available event to add or an existing event that you wish to edit.

The available Action items and how many times they can be used with each Event are shown here:

  • Alarm - only 1 action per event can be used.
  • Tag - 1 to 16 can be used depending on how many other actions are selected so that the total does not exceed 16 actions.
  • Tag Copy - 1 to 16 can be used depending on how many other actions are selected so that the total does not exceed 16 actions.
  • Sound - only 1 action per event can be used.
  • Message Box - 1 to 16 can be used depending on how many other actions are selected so that the total does not exceed 16 actions.
  • Screen Capture - only 1 action per event can be used.
  • Mail - only 1 action per event can be used.
  • Screen Change - only 1 action per event can be used.
  • Backlight - only 1 action per event can be used.
  • FTP - only 1 action per event can be used

The Sequence List in the Action area allows you to select the item in the list and then using the up and down arrows, you can change the order of the actions.

For example, if we have the following Actions, and we want to make the 05-Alarm the first action, then we would click on 05-Alarm.

Each time the Up arrow is clicked, the 05-Alarm action will move up the Sequence List by one position.

Keep clicking the UP arrow until the 05-Alarm action is in the number one position. The Alarm action will be first in the Sequence List and will be displayed as 01-Alarm .


Event - Tag

Topic: CM139

Add Event - Tag

Tag Event

The Tag event type is used to cause actions based on the condition of a tag or combination of tags.

Discrete type tags can trigger an action based on the tag's transition from one state to another.

A numeric tag type can trigger an action based on a condition for the value of the tag.

Number of Tags

  • Up to four tags can be used in combination to trigger events.
  • These tags can be combined in up to five different ways to create the Event Trigger.
  • The tags can be discrete, numeric, or a combination of both.

Add Event

To enter a Tag event, do the following:

From the Database tab in the top Ribbon, select Event Manager Database.

In the Event Manager window, click Add.

For the Event Type select Tag.

Complete the fields on the top half of the screen (above the big blue arrow) using the information in the table below.

Tag Event

Field

Description

Enable This Event

 Select this checkbox to enable the Event. If the Event is not enabled, it will not execute when the trigger occurs.

Event Name

 The programmer-assigned name for each event. Event Name is not a requirement.

Event No.

 The assigned event number for each specific event is used only as a reference in the database.

No. of Tags

 Select 1, 2, 3, or 4 Tags. If more than one tag is selected, a drop-down box appears. Select one of the Tag combinations available.

Tabs

For each Tag there will be a tab for configuring the Tag to be monitored and the conditions for triggering the Event.

Tag Name

 This is the tag to be monitored.

Bit state

 If the Tag is discrete, then select which state, ON or OFF, that will trigger the Event.

Limits

 If the Tag name is numeric, several conditions are available to trigger the Event.

Outside Range: Select a Minimum and Maximum range for the Tag value. If the Tag goes outside of this range, the Event is triggered.

Inside Range: Select a Minimum and Maximum range for the Tag value. If the Tag goes inside this range, the Event is triggered.

Other Operations: Any of the other operations require just one value to which the Tag will be compared. If the value of the tag makes the condition true, the Event is triggered.

Continue to the instructions (listed below) for adding the specific trigger action you want to associate with a Tag event.

Tag Event Actions

  • Add Alarm Action
  • Add Tag Action
  • Add Tag Copy Action
  • Add Sound Action
  • Add Screen Change Action
  • Add Screen Capture Action
  • Add Mail Action
  • Add FTP Action
  • Add Backlight Action
  • Add Message Box Action
  • Add Math Action


Event Manager Database: Import

Importing an Event Manager Database

A previously exported Event Manager Database in an Excel™.XLS formatted file can be imported using the Import Event Manager Database selection.

It is recommended that you first export the Event Manager Database with a few properly configured Events and Actions, modify the exported file, and then import. This will ensure that you have the correct formatting for a successful import.

To Import an Event Manager Database, do the following:

  1. From the Main menu in the top toolbar, click File, then Import and then Event Manager Database.
The Open window opens.
  2. From this window locate the file to Import, click on it once to select it, and click on the Open button.
    The Import Event Manager Database window opens.

  3. Complete the fields on the screen using the information in the table below:

Event Manager Import

Area on Screen

Description

File Path

 Displays the Path of the File that was selected to be Imported.

Select Import Action

Three options are available:

Simple (Alarm): Selecting Simple (Alarm) will only Import the data formatted as determined by the Simple (Alarm) Action Export. This selection is optimal for those only using the Alarm Action.

All: Selecting All Imports All Event Manager Actions contained in the spreadsheet file formatted as generated by the Export All or Export Select options. It is recommended that each Action be imported by selecting them individually with the Select option.

Select: To limit the Actions Imported, choose Select then choose the type of Action(s) to Import by selecting the corresponding checkbox for each Action. This will Import Event Manager Actions contained in the spreadsheet file formatted as generated by the Export All or Export Select options.

Note: If you select to import a Simple (Alarm) file and the selected file is not in the Simple format, the Import will generate an Error: Error GUI-185: Import File is already opened or corrupted. Please check the file and Import again. You will continue getting this Error until the Import window is closed and then reopened.

Note: If you select an Action that is not contained in the file, the Import will generate an Error: Error GUI-185: Import File is already opened or corrupted. Please check the file and Import again. You will continue getting this Error until the Import window is closed and then reopened.

Overwrite Existing Event Manager

When making this selection be aware that the data on the existing Event Manager Database of the same name will be overwritten and therefore lost.
  4. When all selections are completed, click theImportbutton.
    The progress window shown below will open.

When the Import process is complete, a small window that reads Import Completed will open as shown below.


Event Manager Database: Export

Exporting an Event Manager Database

The Export Event Manager Database enables you to Export an Event Manager Database as an Excel™ XLS file.

To Export an Event Manager Database do the following:

  1. From the Main menu, click File, select Export and then Event Manager Database.

The Export Event Manager Database window opens.
  2. Complete the fields on the screen using the information in the table below:

Event Manager Export

Area on Screen

Description

Save In

Enter the location where you would like to Save the Exported XLS file. You may also use the Browse button to open the File/Folder Browse window and find a location.

File Name

Enter the Name you would like to give to this Event Manager Database file.

File Type

The only File Type available is the .XLS Microsoft Windows Excel™ spreadsheeet format.

Select Import Action

Three options are available:

Simple (Alarm): Selecting Simple (Alarm) only Exports the Alarm Actions in a simple format to expedite the Export and Import of large numbers of Alarms. Using the Export and Import functions, Alarms can be quickly added and edited using Microsoft Windows Excel or equivalent spreadsheet software.

All: Selecting All Exports All Event Manager Actions. This file format is quite complicated because of the many different Actions and options in each Action. It is recommended that each Action be exported by selecting them individually with the Select option below.

Select: To limit the Actions that are not exported, choose Select then choose the type of Action(s) to export by selecting the corresponding checkbox for each Action. Because the Actions vary greatly, it is recommended that each Action type be exported and imported separately.

Create Sample Template:

Click this button to create an Exported Event Manager Database file that can be used as a Template.The Sample Template consists of the first ten events from the current project. These events provide an example of the correct format for events to ensure that new events created outside the project using Excel™ will import back into a project correctly.
  3. When all selections are completed, click on theExportbutton shown in the figure above to begin theExportprocess. When theExportprocess is complete, theExport Completedwindow as shown below will open. Click on theOKbutton and the application is ready to use.

Editing Exported Data

Many of the fields exported can be edited and then imported.Events can even be added by adding them in the exported file and then importing it. Care should be taken when editing the exported file. Many of the fields require a strict syntax for Time, Data, Embedded Data, File Names, etc. Fields such as these should be edited in the Event Manager Database to ensure proper syntax is applied and no errors occur when Importing.

Additional rows must be inserted ABOVE the existing row identified as End ofRecord (DONOTMODIFYTHISROW). Do not copy and paste this row.

Example Event ManagerDatabase with oneAlarm Event Defined

Use the MSExcel Insert command to create additional rows for new Events. Select the row ABOVE the row identified as End ofRecord (DONOTMODIFYTHISROW) to add rows as needed.

Note:Tag Names entered in the spreadsheet must already exist in the C-more Project or they will not import correctly.


Event Add/Delete/Edit

Topic: CM134

Event Add/Edit/Delete

As described in Event Manager Database, the Event Manager window, shown in the figure below, opens when it is selected from the Database menu in the top Ribbon.

The following is an example of the Event Manager showing several event/action entries.

For any event: A green check mark indicates at least one action of that type is configured and enabled for that Event. A red check mark indicates all actions of that type are disabled for that Event.

Add an Event

To add an event, do the following:

From the Database menu in the top toolbar, select Event Manager Database. The Event Manager window opens as shown above.

To add an event, click Add.

The Event Add window opens.

The Event Name field is used to label each event for quick reference when looking for a specific event, etc. The event name can be up to 40 characters in length. By default, the Event Name field is blank.

Three different types of events can be selected to produce an action: Tag, Day &Time, and Screen Change.

The top half of the screen is different for each of the three Event types (Tag, Day & Time, or Screen Change) you can select. The lower half of the screen will change depending on the Action you select to associate with an Event. The screen below illustrates a Tag event type with an Alarm action.

In the Event Type drop-down list, select one of the following event types:

Event Types

Event Type

Description

Tags

 Used to cause an action to occur based on the condition of the Tag. Discrete type tags can trigger an action based on the tag's On or Off state. A numeric type tag, which would be a variable value, can trigger an action based on a condition for the value of the tag.

No. of Tags

 Used to cause an action to occur based on the condition of a combination of Tags. When you select Tag, you may select a number higher than 1 in the No. of Tags field. This will turn on the ability to select more than one tag and a combination scheme to trigger the Event.

Day & Time

Enables you to schedule an exact time that you want an action to occur. The action can be made to happen every day at the same time, specific days of the week or even several times per day at a set interval during a window of time.

Screen Change

 When a certain screen is open or closed, we can cause any of the available actions to occur.
  4. See either Event - Tag, Event - Day & Time, or Event - Screen Change for specific information on entering events and actions.

Edit an Event

Existing events can be edited.

To edit an event, in the Event Manager window as shown below, click on the specific event and then either double-click the event or click the Edit button. When the window opens, make changes as if creating an Event and then select Apply.

Delete an Event

Events can be deleted. To delete an event, in the Event Manager window shown above, click the specific event or hold down the CTRL key and select multiple events, then click Delete.


Event - Day and Time

Topic: CM135

Add Event - Day and Time

Day and Time Event

The Day & Time event type is used to schedule an exact time that you want an action to occur. The scheduled event can be set up to occur every day or specific days of the week and at specific times.

To enter a Day & Time event, do the following:

From the Database tab in the top Ribbon, select Event Manager Database.

In the Event Manager window, click Add.

For the Event Type select Day & Time.

Complete the fields on the top half of the screen (above the big blue arrow) using the information in the table below.

Day & Time Event

Field

Description

Enable This Event

 Select this checkbox to enable the event. If the Event is not enabled, it will not execute when the trigger occurs.

Event Name

 The programmer-assigned name for each event. Event Name is not a requirement.

Event No.

 The assigned event number for each specific event is used only as a reference in the database.

Day

 Click to select if you wish this event to occur every day or select days of the week.

Time

 Click to select the Start Time for this Event (see the screen above). If Repeat is selected, then select an End Time and how often the Event will repeat.

Note: All times are in a 24-hour format.

Examples

An example of a Day & Time event being scheduled to happen Everyday of the week at 5:00 PM .

An example of a Day & Time event being scheduled to happen during the work days of the week at 6:00 PM

.

An example of a Day & Time event being scheduled to happen on just Monday, Wednesday & Friday starting at 10:00 AM, repeating every 5 minutes, and ending at 11:00 AM.

Continue to the instructions (listed below) for adding the specific trigger action you want to associate with a Day & Time event.

Day & Time Event Actions

  • Add Tag Action
  • Add Tag Copy Action
  • Add Sound Action
  • Add Screen Change Action
  • Add Screen Capture Action
  • Add Mail Action
  • Add FTP Action
  • Add Backlight Action
  • Add Message Box Action
  • Add Event Action - Math


Add Event Action - Screen Change

Topic: CM138

Add Event - Screen Change

Screen Change Event

The Screen Change Event type is used to cause an action(s) to occur when a particular screen is changed, either opened or closed.

To enter a Screen Change Event, do the following:

From the Database tab in the top Ribbon, select Event Manager Database.

In the Event Manager window, click Add.

For the Event Type, select Screen Change.

Complete the fields on the top half of the screen (above the big blue arrow) using the information in the table below.

Screen Change Event

Field

Description

Enable This Event

 Select this checkbox to enable the event. If the Event is not enabled, it will not execute when the trigger occurs.

Event Name

 The programmer-assigned name for each event. Event Name is not a requirement.

Event No.

 The assigned event number for each specific event is used only as a reference in the database.

Screen No. and Screen Name

 Select the Screen Number or Screen Name of the existing screen to monitor for the Event trigger.

When Screen Is Opened/Closed

 Click to select whether the Event will trigger when the selected screen is opened or closed.

Continue to the instructions (listed below) for adding the specific trigger action you want to associate with a Screen Change event.

Screen Change Event Actions

  • Add Tag Action
  • Add Tag Copy Action
  • Add Sound Action
  • Add Screen Change Action
  • Add Screen Capture Action
  • Add Mail Action
  • Add FTP Action
  • Add Backlight Action
  • Add Message Box Action
  • Add Event Action - Math


Adding Event Actions - The Basics

Topic: CM142

Adding Event Actions

The Basics

The following basic steps are the same for adding any Event Action to an Event. Details for completing the addition of each Event Action are available in the online Help. Click a link in the table below to go to an Event Action.

Tag | Tag Copy | Sound
Alarm | Screen Change | Screen Capture
Mail | Message Box | FTP
Math | Backlight |

To configure an Action, do the following:

  1. From the Database menu in the top toolbar, select Event Manager Database.
    The Event Manager window opens.

  2. Click Add.
    The Event Add window opens.

  3. Click the Event Type drop-down list and select the Event Type to be associated with this Event Action.
    For details on Event Types, see Add Event - Tag, Add Event - Day and Time, or Add Event - Screen Change.

    By default, in the lower section of the window under Action, an Alarm Action has been added. This may be configured or deleted.
  4. To add a new Action, click Add Action.
    The Add Action window opens.

  5. Click to select the action you want.
    The Add Action window closes.
    Notice that in the Event Add window, a new tab labeled with the Action you selected has been added to the lower half of the screen. A new tab will appear. In the example below, the Sound event action was selected.

  6. Continue to the details for the specific event action that describe how to complete the fields on the screen.
    See the list of Event Actions below.
  7. After completing the fields on the screen, click Add.
Tag | Tag Copy | Sound
Alarm | Screen Change | Screen Capture
Mail | Message Box | FTP
Math | Backlight |


Add Event Action - Alarm

Alarm Action

The Alarm action will display the Alarm Text in the Alarm Banner at the bottom of the C-more panel screen when the Event is triggered.

The Alarm action can only be associated with the Tag Event Type.

Only one Alarm action can be used with each event.

By default, an Alarm Action is added to each Event Type when the Event is created. It is disabled for Date and Time and Screen Change Event types.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

Alarm Action

Area on Screen

Description

Language

 Select the language for the text in the alarm message. You may enter different text for up to nine languages. The text entered for each language will display when that language is selected using the Set Language object.

Text

Enter the text for the alarm message.

Embedded Values

The embedded values can be the current Time, the current Date or the value of a defined Tag Name. Six items maximum can be embedded in the Alarm Text field.

Clicking the proper icon will allow you to format and configure the embedded value.

Time

Click the Clock icon to select the Time format and embed this in the Alarm Text.

Date

Click the Date icon to select the Date format and embed this in the Alarm text.

Tag

Click the Tag icon to select and format the Tag data embedded in the Alarm Text.

See also Configuring Embedded Data Value in a Message.

Show in Alarm Objects

If you want the alarm to be listed in the Call Alarm Screen or Alarm List objects, click the Show in Alarm Objects checkbox.

Display

If you want the alarm text to be displayed in the alarm bar at the bottom of the C-more screen, click the Display check box. Unchecking it will not display this alarm in the alarm bar.

Require Confirmation

If Require Confirmation is selected, then the Alarm must be Confirmed on the Details popup in the Alarm List (or Call Alarm Screen) object before it can be cleared.

Save file to SD1, SD2, or USB

If you wish the alarm to be logged to the Alarm Log file, click the Save File checkbox.

The Alarm Log file is stored on the memory device that is selected in the Panel Manager's Data Storage - Alarm Save To: selection box.

The alarm data is saved in a format as Time of occurrence + Date of occurrence +Alarm Text.

Example of Alarm Log File Name: ALARM_YYMMDD.txt

Panel Manager Storage Selection

Text Color and Back Color

Select the color of the Alarm Text in the Alarm Banner at the bottom of the panel screen.

An example of an alarm action, including a text message with embedded data, is shown below.

An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating-Point data display objects.

A new Alarm file is created each day. The file is saved in the selected memory device for 365 days. When the last day is reached, the file is automatically deleted.


Add Event Action - Sound

Sound Action

The Sound action allows you to specify the internal beeper to Beep or a sound file to be played through the Audio Line Output port based on the occurrence of an Event. The Audio Line Output, which is stereo, requires amplified speaker(s) in order to play the sound file. The default is the internal beeper.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

Sound Action

Area on Screen

Description

Beep

 Generates a beep when the Event occurs.

Sound

Plays a WAV file when the Event occurs. Click the drop-down arrow to select a WAV sound file from the Sound Library. To select other sound files, click on the Browse button and select an existing WAV or MP3 file.

Repeat

Select if you want the sound file or beep to repeat either in a loop or a specific number of times. The Repeat selection area allows you to determine how many times the sound is repeated. The times can be specified from 1 to 10.

Loop

Causes the beep or sound to continue in an endless loop until the event trigger is false.

Times

Causes the beep or sound to continue a specified number of times only.


Add Event Action - Mail

Mail Action

The Mail action allows you to send specified Mail (email) messages with attachments to addresses through a specified Mail server.

Notes: To configure a Mail action, at least one email address must be assigned in the Address Book. To set up email addresses see the Address Book. Also, for email actions to work correctly the Email client must be configured under Panel Network.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

From the Mail tab, a list of email addresses configured in the Address Book Database will be displayed in the Send Address field. Click on the green text to learn more about setting up email addresses in the Address Book.

Mail Action

Area on Screen

Description

Send Address

To select recipients for this email, click on the appropriate checkboxes. See Address Book for configuring email addresses.

Address Book

If the Recipient is not listed you can select this button to open the Address Book and add it.

Language

Select the language for the text in the Subject and Message body. You may enter different text for up to 9 languages. Click on the green text to learn more about Language setup.

Subject

Enter the subject for this email.
If the Subject field is left blank, the first line of the email message will be the subject in email received.

Message

Enter the Message body that will be sent with this email. A maximum of six tags, time, and date may be embedded in the email Message body. See also Configuring Embedded Data Value in a Message.

Embedding Time, Date, or Tag in Email

  1. To embed a tag, time, or date in the body of the email, click one of the icons directly below the Message text box.

  2. Click the Clock icon and select the hour mode.

  3. Click the Date icon and select the date format.

  4. Click the Tag icon and the Embedded Data Value window opens.
    See Embedded Data Value Configuration in the topic Message Database.

  5. Click the Embedded Data Value drop-down list and select the type of tag you wish to enter: Discrete, Numeric, or String.
  6. Complete the fields for the type of tag you have selected.

To Attach Files to a Mail Action

The Attached File feature will enable you to attach one log file or screen capture to the Email.

  1. Click the Attached File Browse button to open the Select Attached File for Email dialog box as shown below.

The following files can be selected from the dialog box to attach to the Email. Some of these log files are created daily. Only the latest file will be sent.

Mail Action - Attach Files

Area on Screen

Description

Message Log file

Attaches the latest log files produced from the Message Database

Alarm Log file

Attaches the log latest files produced in the Event Manager Alarm Action

Line Trend Log file

Attaches the selected Line Trend Graph Data Log files

PID Faceplate Trend Log file

Attaches the selected PID Faceplate Trend Graph Data log files

Screen Capture Image

Attaches the latest Screen Capture JPG file images generated by the Event Manager Screen Capture Action

If the selected file does not exist, the system ignores it and sends only the files that can be sent.


Add Event Action - Message Box

Message Box Action

The Message Box action will display the specified message when the event is triggered. The Message Box can show a Title, the message Text, and an Icon to indicate the type of message.

The Message Box is a Modal window; when the Message Box is displayed, it will stay displayed until the OK button is pressed. No other items on the screen can be selected. Other actions in the Sequence List will queue until the OK button in the Message Box is pressed. The queue can hold up to 1000 actions.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

Message Box Action

Area on Screen

Description

Language

 Select the language for the text in the alarm message. You may enter different text for up to nine languages. The text entered for each language will display when that language is selected using the Set Language object.

Title

Enter a title for the Message Box.

Text

Enter the text that appears when the message is displayed. In addition to text, you can select a time, date, and/or tag to appear when the message displays.

Icon

Select an icon to appear on the message.

Sample

As you create the message box, a sample appears here.


Add Event Action - Tag

Tag Action

The Tag Action is used to set the value of a tag.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

Tag Action

Area on Screen

Description

Tag Name

 Click the drop-down arrow or the adjacent box to select a Tag Name from the Tag Name Database whose value is to be set.

Byte Swap

Applicable to ASCII data, the Byte Swap check box allows characters to display in the proper order when the configuration of memory registers in the PLC would otherwise cause the characters to display out of order.

Write State

Write Value

When the event is triggered, the selected Write State or Write Value will be written to the entered Tag Name.

Data Type

If the Tag action is numeric, the Data Type field is activated. This sets the data type of the Value that is being written into the Tag. If the Tag data type is Unsigned Integer, the Value Data Type can be Unsigned Decimal, Octal, or Hex.


Add Event Action - FTP

FTP Action

The FTP action allows you to send files from the panel to a specific FTP server on the network. The FTP action requires an FTP server address be configured in the Address Book database FTP tab.

The network folder destination for the file is set in the Address Book FTP Server tab.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

FTP Server Action

Area on Screen

Description

Send Address

Under Send Address, click on the check box of the addresses of the FTP servers to which you wish to send files. These servers must be configured previously in the Address Book database FTP tab.

Address Book

If the FTP server is not listed you can select this button to open the Address Book and add it.

Selected Send Files

Click the Select Send Files button.

The Select a File dialog box opens.

The following files can be selected from the dialog box to copy to the designated FTP server. Some of these log files are created daily. Only the latest file will be sent.

FTP Server Action

Field

Description

Message Log File

Sends the latest Message log file created using the Lookup Text object and the Message Database.

Alarm Log File

Sends the latest log files produced in the Event Manager Alarm Action.

Line Trend Log File

When selected, the latest Line Trend Log files for eachLine Trend that has logging configured are listed. Multiple log files may be selected by holding down the CTRL key and clicking on the filenames. The latest version of the selected files will be sent.

PID Faceplate Log File

When selected, the latest PID Faceplate Line Trend Log files for each PID Faceplate Line Trendthat has logging configured are listed. Multiple log files may be selected by holding down the CTRL key and clicking the filenames. The latest version of the selected files will be sent.

Screen Capture Image

Sends the latest screen capture image.

Note: If the selected file does not exist, the system ignores it and sends only the files that can be sent.


Add Event Action - Tag Copy

Tag Copy Action

The Tag Copy action copies the Tag value from the Source Tag to the Destination Tag.

This action can be used effectively to copy data from one controller to another, commonly referred to as Protocol Conversion.

The Source Tag and Destination Tag data types must be the same.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

Tag Copy Action

Area on Screen

Description

Source Tag

 Select the tag that you want to copy to the Destination tag.

Destination Tag

Select the tag that you want to receive the source tag.

Byte Swap

Applicable to ASCII data, the Byte Swap check box allows characters to display in the proper order when the configuration of memory registers in the PLC would otherwise cause the characters to display out of order.


Add Event Action - Screen Capture

Screen Capture Action

The Screen Capture action gives you the ability to capture an image of any of the touch panel's screens, either the screen that is currently displayed at the instant the event takes place, or any of the other screens. The specified screen is saved as a JPEG image file. You create the name of the file that is saved. The file path and name can be up to 1-128 characters in length.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

Screen Capture Action

Area on Screen

Description

Save Screen
Current Screen: When the event is triggered, a screen capture will be taken of the screen currently displayed on the C-more panel.
Other Screen: When the event is triggered, a screen capture will be taken of the specified screen. This is handy for capturing an Alarm Screen or a snapshot of process settings at the time of an event.

Screen Number or Screen Name

 When Other Screen is selected, select either the Screen Number or Screen Name you wish to capture with the action.

Save File Path name

 Sub Folder Path and File name combined can be up to 128 characters.

Sub Folder Name
Type in a path of folder names for the location to which you want to save the captured screen image. Separate folder names with a backslash “\”. Example: folder_1\folder_2. The folder will be created on the memory device are specified in the Panel Manager. You can preview the folder path below the entry area.

File Name
Type in a file name for the captured screen image. No extension is necessary. It will be added automatically. You can preview the combined folder path and file name below the entry area.

Save to
This is a preview of the folder path and file name to which the capture will be saved. This is configured in the Panel Manager.

Add Time Stamp
If you want to capture multiple copies of the screen over time without them being overwritten by subsequent triggers, select the Add Time Stamp checkbox. This will add a date/timestamp in the format YYMMDDhhmmss to the end of the image file name to differentiate it. A copy of the latest screen capture file is also saved without a time stamp. It is over written with each subsequent capture. This is the file that is attached to email or FTP transfers.

Image Quality
Image quality may be 20,40,60,80 or 100% quality. The better the quality, the larger the file size will be. So you must decide how much storage space you want to use for the captures.


Add Event Action - Backlight

Backlight Action

The Backlight action is used to control the touch panel's Backlight based on an Event. The panel's Backlight can be turned either OFF or turned ON.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

To have the panel backlit when an event occurs, select ON; otherwise, select OFF.


Add Event Action - Math

Math Action

The Math instruction solves a user-defined formula when the condition defined in Event Type transitions to TRUE. The formula is developed on the Math dialog using the on-screen keypad, the computer keyboard, and Tag Name Database.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

  1. In the Result Tag field, click the drop-down arrow or browse to the tag you want to assign where the Result will be stored.
    The Result value will be adjusted to the data type of the Result Tag.
  2. In the Formula text box, enter a formula or alternately select Keypad to open a more comprehensive keypad window. Tags can be entered into the formula using the Tag Browse button.
  3. Using the key descriptions in the table below, develop your formula. See the Formula Example at the end of this topic.

Parenthetical expressions can be nested up to eight levels deep.

If Floating Point Data Type is used in any operation, then all operations will be based on Floating Point math. The solution will be stored in the data format selected for the Result.

Error Flags: These internal System Tags are provided to programmatically react to an unexpected condition.

SYS MATH ERROR

SYS MATH DIVISION ERROR

SYS MATH OUT OF RANGE

SYS MATH ERROR EVENT NUM

See System Tags for more information.

· Maximum Embedded Tags = 8
·Maximum Formula String Length = 512 Characters
· When a Math Error is True, the Result Tag isn't updated.

Math Action Formula

Key

Name

Definition

Usage Example

Left and Right

Parentheses

Used for grouping terms. Must be used in pairs.

(DF1 + 5)

Sine

Sine Θ = opposite / hypotenuse Θ = Radian

SIN(DF1)

SIN(RAD(DF1))

Cosine

Cosine Θ = adjacent / hypotenuse Θ = Radian

COS(DF1)

COS((RAD(DF1))

Tangent

Tangent Θ = sine / cosine Θ = Radian

TAN(DF1)

Arc Sine

Inverse Sine

ASIN(DF1)

Arc Cosine

Inverse Cosine

ACOS(DF1)

Arc Tangent

Inverse Tangent

ATAN(DF1)

Power (Exponent)

a ^ b = a raised to the power b.

DF1^DF2

Log (Base 10)

If x = b ^ y, y = log_bx

LOG(DF1)

Square Root

The Square Root of b is the number a if a * a = b.

SQRT(DF1)

Log (Natural)

If x = e ^ y, y = ln_bx

LN(DF1)

Radians

Converts degrees to radians. radians = degrees * (pi/180)

RAD(DF1)

Degrees

Converts radians to degrees. degrees = radians * (180/pi)

DEG(DF1)

Pi

Constant that equals the ratio of a circle's circumference to its diameter.

3.1415927

to

 Number Keys

The numbers 0 to 9.

0123456789

Decimal

Decimal notation, "."

1.234

Arithmetic Operators

Divide, Multiply, Subtract, Add

DF1 / DF2

DF1 * DF2

DF1 – DF2

DF1 + DF2

Modulo

a MOD b refers to the arithmetic remainder after a is divided by b.

DF1 MOD DF2

Formula Example

For example, an inventory forecast of a part needed for production may be calculated every morning before the day’s production starts. The resulting value may be used in another Event to alert purchasing to replenish stock, or to email a supervisor to reorganize production plans.


Add Event Action - Screen Change

Screen Change Action

The Screen Change action switches the currently displayed screen to the specified screen when the event is triggered.

Configuring an Action

The basic steps are the same for adding any Event Action to an Event. See Adding Event Actions - The Basics.

Screen Change Action

Field

Description

Power Up Screen

Switch to the Start Up screen configured in the Panel Manager.

Forward Screen

If the panel has Switch to Previous Screen, then this will act as the Forward in a web browser.

Previous Screen

If the screen has been changed, this will switch to the screen that was displayed before the present screen. This acts like a Back button in a web browser.

Other Screen

Select the Screen Number or Screen Name to which you wish to switch.


Configuring Embedded Data Value in an Event Action

Topic: CM163

Configuring Embedded Data Value

Values such as the current time, the current date, or the value of a defined Tag Name can be embedded with an Event Action.

When the Tag icon that is available from the Message Add and Message Edit window is selected, the Embedded Data Value window shown below will open. A maximum of six tags may be added to any one message.

To configure an Embedded Format Value in the Embedded Data field, click the down arrow and select the desired Data Type from the drop-down list. The configuration for each of these choices is discussed individually below.

  • Discrete
  • Numeric
  • String

Embedded Data Value - Discrete

The Discrete Data Format is selected by default when the Embedded Data Value window shown above opens.

Complete the fields on the screen using the information in the table below.

Embedded Data Value - Discrete

Area on Screen

Description

Embedded Data

Click the down arrow to select theDiscrete data format. Discrete is selected by default.

Tag Name

Click on the down arrow and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser icon to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available. Add, edit, or delete Tag Names. The tags listed will be limited to the Data Format selected.

ON Text

Click in the field and type in the message to be displayed when the selected Discrete Tag is active.

OFF Text

Click in the field and type in the message to be displayed when the selected Discrete Tag is not active.

Embedded Data Value - Numeric

The Discrete Data Type is selected by default when the Embedded Data Value window opens. When Numeric Embedded Data is selected, the Embedded Data Value window shown below opens.

Complete the fields on the screen using the information in the table below.

Embedded Data Value - Numeric

Area on Screen

Description

Embedded Data

Click the down arrow to select theNumeric data format.

Tag Name

Click on the down arrow and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser icon to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available. Add, edit, or delete Tag Names. The tags listed will be limited to the Data Format selected.

Display DataType

Click on the down arrow and select the Data Type to display the data. The choices are:

  • Unsigned Integer 16
  • Unsigned Integer 32
  • Unsigned Decimal
  • Octal
  • Hex
  • Signed Integer 16
  • Signed Integer 32
  • Signed Decimal
  • Floating Point 32
  • Floating Point
  • BCD Integer 16
  • BCDInteger 32
  • BCD

Justify

Select how to display the number in the display,

Leading Zero – Places zeros at the beginning of a number smaller than the Total Digits entered above. For example, if the Total Digits is set to 5, the number 1.234 will be displayed as 01.234.

Leading Spaces - Places spaces at the beginning of a number smaller than the Total Digits entered above. For example, if the Total Digits is set to 5, the number 1.234 will be displayed as 1.234.

Trailing Spaces - Places spaces at the end a number smaller than the Total Digits entered above. For example, if the total digits is set to 5, the number 12.34 will be displayed as 12.34.

Display Format

Click on the fields to enter a common Prefix (left side field) or Suffix value (right side field) that will always be displayed (i.e., Max. xxxxDeg. F). Click on the Use 1000 Separator checkbox to add a Comma Separator to the Numeric Value.

Digits

In the Total Digits field, select the total number of digits to be displayed. The maximum number is based on the Data Type selected in the Tag Name.

In the Fractional Digits field, select the total number of digits to include on the Fraction portion of the Number displayed.

Auto Check

Click on the checkbox to let the object detect where the decimal should be based on the value in the Tag Name.

Sample

This window displays a sample view of the number with the selected parameters applied.

Embedded Data Value - String

When String Embedded Data is selected in the Embedded Data Value window, the window shown below opens.

Complete the fields on the screen using the information in the table below.

Embedded Data Value - String

Area on Screen

Description

Embedded Data

Click the down arrow to select theNumeric data format.

Tag Name

Click on the down arrow and select the Tag Name from where the Value will be Read for the Embedded Data. If necessary, click the Tag Name Browser icon to the right of the field to open the Tag Name Database. From the Tag Name Database window you will be able to see the Tag Names available. Add, edit, or delete Tag Names. The tags listed will be limited to the Data Format selected.

String

This window displays a Sample view with the selected parameters applied.


Tag Name Database

Tag Name Database Description

A Tag Name is a name given to an object or component used as part of a control system. The Tag Name is commonly an abbreviated name that identifies a specific object or component. Each Tag Name has a set of user specified parameters.

In order to keep Tag Names organized and easy to locate, the C-more application provides a Tag Name Database that can be accessed from the Database menu of the Main Menu. The Tag Name Database provides a list of predefined Internal Tag Names that are panel system tags. These Tag Names may be used when configuring objects and functions, but the parameters cannot be edited. The Tag Name Database also allows users to Add, Edit and Delete Tag Names as shown in the Tag Name Database window figure below.

Tag Name Database Configuration

To access the Tag Name Database window from the Main Menu, click on the Database selection. The Database drop-down menu shown below will display. From this drop-down menu, select the Tag Name Database selection.

To access the Tag Name Database window from the Navigation Window, click on the Function Tab. Select Tag Name Database from the Database branch of the Function tree.

Once selected, the Tag Name Database window shown below will open.

This window provides the following fields and selections:

  1. Fill Down: When you highlight an External Tag (a PLC tag) then click Fill Down, it makes a copy of the Tag, appending a number in parentheses to the tag name “(1)” for the first copy, “(2)” if you click Fill Down again, etc.

    The new tag is assigned the next PLC address. The Fill Down does NOT check whether the next address has been assigned to another tag. For example, if you have a tag called Motor 1 Speed that is Uns Int 32, PLC Address V1000, and you highlight it and click Fill Down, a tag called Motor 1 Speed (1), Uns Int 32, V1002 is created.

  2. Replace: The Replace tool allows you to change characters in the Tag Name. For example, all Tag Names that include “WEST” can be changed to include “EAST”. This tool will change the Tag Names everywhere they appear in the project.

  3. Import / Export:Import or Export will allow you to Import an existing Tag Name Database from an .XLS, .CSV or .l5K format or save the Tag Name Database as an .XLS or .CSV format to Export.
  4. Filter: Allows users to Filter the list to make it easy to find an address in the list. This is especially helpful for Tag Name Databases with large amounts of contact information.

Add a Tag Name

To Add a Tag Name, click on the Add button on the lower left portion of the window shown above and follow these steps:

  1. Once the Add button is selected the Tag Name - Add window shown below will appear.

  2. This window allows the user to setup the Tag Name by entering the correct information for the following fields:

  1. No.: This is the Number automatically assigned to the Tag Name. The user does not change it unless there is a need to assign a specific Number for the new Tag Name. To change the Number, click on the field and overwrite the assigned Number.

  2. Device Name: Provides a drop down list of available Devices that the Tag Name can be assigned. Select Internal if using a Panel Internal Tag or select the external PLC Name (DEV001, DEV002, etc) that has been assigned for the desired PLC.

  3. Tag Name: Type in a Tag Name to easily identify the new Tag Name.

  4. Tag Data Type: Select the Data Type (Discrete, BCD int 16, ASCII String, etc.) for this Tag Name.

  5. Characters: Only available if the ASCII String Data Type is selected. Allows the user to identify the number of characters for the ASCII String. Enter a 128 character maximum value or click on the up/down arrows [image] to adjust.

  6. Retentive: If power to the C-more panel fails, a retentive tag will retain it's value when power is restored to the C-more panel.

  7. PLC Address: The PLC Address is not active unless a PLC has been selected for the Device Name (above on list). The PLC Address requires the user to enter the Memory Type and the Address of the selected PLC.

  3. Once all fields are completed, click on the Add button to accept. The Tag Name will appear in the Tag Name Database window.

Edit A Tag Name

To Edit a Tag Name, click on the Edit button on the lower left portion of the Tag Name Database window shown above. Click on the fields to Edit and type or select the desired information. For reference use the descriptions offered on the Add subject discussed directly above this subject.

The only difference is on Step 3, click on the Apply button instead of the Add button to accept the changes.


Tag Name Database Specifications

Configuration of Exported File

Export Example

Protocol

ID

Device

Name

Tag

Name

Data

Type

Data

Count

Retentive

Address

Array

End

0

<INTERNAL>

EXAMPLE

Signed_int_16

1

FALSE

0

100

DEV001

TEST

BCD_int_32

1

False

V10

0

Field Descriptions

Field

Description

Values

ProtocolID

Protocol ID

See Protocol ID Table Below

DeviceName

Device Name

Alphanumeric - No Spaces

or <INTERNAL>

TagName

Tag Name

Alphanumeric - Spaces allowed

DataType

Data Type

See Data Types Table Below

DataCount

Preset by the system *

Preset by the system *

Retentive

Retentive value

TRUE or FALSE

Address

Address

Protocol Dependent

(For <Internal> address leave blank)

ArrayStart

Preset by the system *

Preset by the system *

ArrayEnd

Preset by the system *

Preset by the system *

* Editing this field may cause Import Errors.

Protocol ID

Protocol

100

AutomationDirect K-Sequence (DL05/06/105/205/350/405)

101

AutomationDirect DirectNet (DL05/06/105/205/350/405)

102

AutomationDirect Modbus (DL05/06/205/350/405)

103

AutomationDirect DirectNet (DL330/340)

107

AutomationDirect Modbus (CLICK)

111

AutomationDirect ECOM Ethernet (DL05/06/205/405)

200

Modbus RTU

201

AutomationDirect Productivity3000 Ethernet (P3-550)

211

Modbus TCP/IP

212

AutomationDirect Productivity3000 Serial (P3-550)

230

AutomationDirect GS Drives Serial

231

AutomationDirect SOLO Temperature Controller

250

AutomationDirect GSDrives TCP/IP (GS-EDRV)

400

Allen-Bradley DF1 Full Duplex (SLC500)

401

Allen-Bradley DF1 Half Duplex (MicroLogix/SLC500)

402

Allen-Bradley DF1 Full Duplex (PLC5)

403

Allen-Bradley DH485 (MicroLogix/SLC500/AIC)

404

Allen-Bradley DF1 Full Duplex (MicroLogix)

405

Allen-Bradley DF1 Full Duplex Tag-Based (Control/CompactLogix)

406

Allen-Bradley DF1 Half Duplex Tag-Based (Control/CompactLogix)

407

Allen-Bradley EtherNet/IP Client (MicroLogix 1100)

408

Allen-Bradley EtherNet/IP Client (SLC5/05/ENI Adapter)

409

Allen-Bradley EtherNet/IP Client Tag-Based (Control/CompactLogix)

500

Entivity (Think&Do) Modbus

512

Entivity (Think&Do) Ethernet H2 WinPLC(Modbus TCP/IP Ethernet)

600

GE 90/30 SNPX

700

Mitsubishi Melsec FX

711

Mitsubishi FX-1N(C)/2N(C)/3U(C) (CPU)

715

Mitsubishi Q/QnA Serial

716

Mitsubishi Q/QnA Ethernet

717

Mitsubishi Q Series (Q02/Q02H/Q06H/Q12H/Q25H CPU)

800

Omron Host Link Adapter

802

Omron CS/CJ FINS Serial

805

Omron CS/CJ FINS Ethernet

900

Siemens S7-200 (Serial : PPI)

902

Siemens S7-200 (Ethernet : ISO over TCP/IP)

903

Siemens S7-300 (Ethernet : ISO over TCP/IP)

1000

Allen-Bradley EtherNet/IP Server (Generic IO Messaging) (Control/CompactLogix)

2500

AutomationDirect Do-more Serial

2510

AutomationDirect Do-more Ethernet

Data Types

Discrete

Signed_int_16

Signed_int_32

Unsigned_int_16

Unsigned_int_32

BCD_int_16

BCD_int_32

Floating_PT_32

ASCII_String


Alarm Database

C-more does not have a conventional Alarm Database. Alarms are configured in the Event Manager using an Alarm Action. It allows the user to configure other actions in conjunction with the Alarm such as popping up a Message Box, sending an email or even initiated a screen change.

Alarms are displayed on the screen using the Alarm List object or the Call Alarm Screen object.

General Alarm configuration parameters can be found in the Panel Manager and Alarm Log Protection under the Setup Menu.

Refer to the Event Manager to learn more.


Panel Network

Panel Network Setup

The C-more panel has the ability to function as an FTP Server, an Email Client and also a Web Server. These Internet-ready features are available as part of the standard operating system of the touch panel. It will be helpful to have some basic knowledge of the Internet and how it functions, both its protocol and connectivity, in order to put these features to work in your application.

The Panel Network dialog box can be accessed from the C-more programming software development screen.

  1. From the Main menu, select Setup and then select Panel Network, or

  2. From the Navigation window, select the Function tab; under Setup, double-click on Panel Network.

The Panel Network setup dialog box is used to configure the panel for the networking features described in the Panel Network Tabs table. For setup details for each tab, click the green text in the Tab Details column.

Panel Network Tabs

Tab

Description

Tab Details

General (Panel Name)

Used to assign the panel with a name up to 15 characters in length. This name is saved with the project files so that any time the project is transferred to the panel, the assigned name is stored into the memory of the panel.

General

Ethernet Port and DNS

The setup of the panel's built-in Ethernet port and optional EA-ECOM can be configured with this feature and the set-up information is saved with the project files. Any time the project is transferred to the panel, the Ethernet port settings in the panel will be set to the saved settings. Any settings that were completed through the panel's system set-up screens will be overwritten.

Ethernet Port

FTP Service

Used to configure the panel's FTP server. An FTP client can then access the touch panel's internal files through the Internet.

FTP Feature Setup

Email Client

Used to assign the destination mail server that is used to send Email from the panel.

Email Client

Web Server

The Web Server allows authorized users to access the HTML Web pages from any Browser on the network. A browser can be used to view individual panel screens and various log files.

Web Server Setup

Remote Access

Remote Access allows authorized users to connect a PC or Smart Phone/Pad to the C-more panel from anywhere on the Internet via a web browser, such as Internet Explorer. The remote user can control, fully operate and monitor the local HMI system. This can reduce the need for the user to be on-site to view or operate the C-more panel. The HMI project can also be configured so that the local operator can enable or disable control at any time by using assigned tags on one of the project screens.

Remote Access

Note: Some of the above features can also be set up in the panel's System Setup Screens. Keep in mind that any settings entered and saved as part of the project by way of the Panel Network dialog box and then transferred to the panel will override the settings that may have been entered by the panel's System Setup Screens.


Panel Network - Ethernet Port Setup

In the Panel Network, click on the Ethernet Port selection. The Ethernet Port window is used to configure the Ethernet port settings for the built-in Ethernet port and the optional EA-ECOM Ethernet module.

Although theEthernet Port settings can also be entered through the panel's built-in System Setup screens, if the Save Settings to Project checkbox is checked, any time the project is transferred to the panel, the panel's Ethernet port settings will be overwritten by the parameters saved in the Ethernet Port window.

For the Built-in port and the EA-ECOM port, make the appropriate selections to configure the port. Refer to the information in the table below.

Panel Network - Ethernet Port

Field

Description

Security

Account Setting to Access the Panel - If selected the correct Username and Password will be required when performing the following operations with the Panel over an Ethernet Connection.

Username and Password requirements:

  • Maximum 64 characters
  • There are no minimum requirements
  • Upper and lower case Alphanumeric, Symbols and Spaces allowed

Online panel operations effected by Username and Password:

  • Transfer Project to Panel
  • Read Project from Panel
  • Panel Information
  • Change Panel IP Address or Name
  • Display Screen
  • Adjust Clock
  • Reboot
  • Clear Memory
  • Reset Factory Defaults
  • Reset Web Server Contents
  • Update Firmware

Save settings to Project

Select this checkbox to enable the Ethernet Port settings.

If the Save settings to Project checkbox is checked, any time the project is transferred to the panel, the panel's Ethernet port settings will be overwritten by the parameters saved in the Ethernet Port window.

Obtain Address from DHCP

This selection enables the panel to query the network for a DHCP server that will then assign Ethernet Port settings to the panel automatically if a DHCP server exists on the network. If there is no response from a DHCP server, the panel will follow APIPAstandards and assume an IPAddress that starts with 169.254.xxx.xxx.

This APIPA-assigned address is not recommended because it may change without notice.

This setting is convenient for setting up a panel on an established network for programming and configuration purposes.

Note:This is not recommended for control networks because the IPaddress assigned by the DHCP server may be changed by the server without warning, causing potential communication issues.

Use the Following IPAddress

This selection enables you to manually set the IPAddress, Subnet Mask, and Default Gateway.

Note:This selection is recommended for control networks so that the IP Address will not change.

IPAddress

The IPAddress is unique for each device on the Local Area Network (LAN). If the IPAddress is duplicated anywhere on the network, the panel will not communicate properly. See your Network Administrator for an available IPAddress.

Subnet Mask

Unlike the IPAddress, the Subnet Mask should be the same for each device on the LAN that will be communicating with each other. See your Network Administrator for the proper Subnet Mask.

Default Gateway

If a router is used to connect the LAN to another network and the C-more panel will be communicating with devices on the other network, then this is the IPAddress of the router. See your Network Administrator for the proper Default Gateway Address.

This is required if the panel must access the Internet. For example, for the Email Client to send emails through an outside email server.

See Router Setup for Internet Access for more information.

DNSServer

A Domain Name System (DNS) server resolves a URL(for example: www.automationdirect.com) into an IP address (for example: 192.168.20.254).

When a DNSserver is configured for a panel, names can be configured instead of IP addresses for email servers, FTP servers, and devices connected via Ethernet.

Note:To configure a DNS server, the Ethernet Port must be configured.

Obtain DNSServer address automatically

This selection is available only if DHCP is selected.

This selection allows the panel to query the network for a DNSserver, if a DHCP server exists on the network.

Use the following DNSServer Addresses

It is more efficient to enter a Preferred DNSServer address, if one is known.

Preferred DNSServer

The IPAddress of the DNSserver you prefer the panel to use when resolving a URL.

Alternate DNSServer

The IPAddress of a back-up DNS server if the first fails to resolve the URL.
Enable IP Address to be change from software

If selected, then the IP Address and Panel name can be edited through the associated Ethernet Browse Window or Panel Tab.

If NOT selected, the neither the IP Address or the Panel Name can be edited over the associated Ethernet connection. The IP Address and Panel name can still be edited through a USB connection or from the Panel System Screen.

So long as the project is in the panel, the IP Address cannot be changed over the Ethernet connection. Reset Factory Defaults or Clearing Panel Memory will clear the project from the panel.


opic: CM156

Panel Manager - FTP Service Setup

With the FTP server enabled in the panel, you can use your own FTP client to retrieve Recipe, Data log, Alarm log, and Screen Capture files that have been saved to the panel's external memory devices. Recipe files and HTML files may also be written to the panel.

To set up FTP service, do the following:

  1. In the Panel Network, select FTP Service.
    The FTP Service window opens.

  2. Complete the fields on the screen using the information in the table below:

FTP Service Setup

Field

Description

Execute Panel FTP Server Service

Select this checkbox to enable the FTP server in the panel. If the FTP server will not be used, for security purposes clear (uncheck) this box.

Port Number

This field should stay at the default of 21.

User Restrictions

The maximum number of users allowed to be connected to the panel at one time (1 to 10 users).

Note: When using Microsoft Internet Explorer as the FTP client with small, standalone applications, Internet Explorer requires the use of three (3) or more User Restrictions to access the C-more FTP server.

Account

Anonymous

Select if you do not want to require an account and password to access the FTP server.

Account and Password

The account and password can be anything you wish to use to restrict access to the FTP server.

Account

Enter a username or ID required to access the FTP server on the panel.

Password

Enter a password required to access the FTP server on the panel.


Example FTP Connection

Once a project is downloaded to the C-more panel with the FTP Server Enabled and Panel Network - Ethernet Port configured, the files may be viewed using a Web Browser or FTP Client such as FileZilla™.

Below is an example of accessing the files using Microsoft Internet Explorer™ Web browser.

For the URL address, enter ftp://[Panel or EA-ECOM IP Address]/. If a Username and Password were configured for the FTP server, you will be prompted to enter them to log in. If neither was configured, select Log on anonymously.

Note: If you use Internet Explorer with a panel that requires a Username and Password, you can set up a link to ‘ftp://<userid>:<password>@<panel-IP>’ to avoid having to enter the logon Information.

Browser Settings

To ensure that the browser displays the panel's current files, do the following:

  1. On the top right of the Internet Explorer window, click on the gear icon.

  2. From the drop-down menu, select Internet Options.
    The Internet Options window opens.

  3. Under Browsing History, click Settings.
    The Website Data Settings dialog box opens.

  4. In the Settings dialog box, click on Every time I visit the webpage so that each time the touch panel's FTP site is accessed, the most current files are displayed.
  5. Click OK to save the settings and close Internet Explorer's Settings dialog box.


Panel Network: Email Client Tab

Topic: CM126

Panel Network - Email Client Setup

The Email Client feature allows the C-more panel to be set up to send email messages from the panel with embedded data, date and time stamps, and attached files containing logged data, trend graphs and screen captures. This feature requires an SMTP (Simple Mail Transfer Protocol) email server.

You may need to consult your Network Administrator for assistance in setting up this feature.

For the Email Client to be useful, other settings must be configured:

  • The panel's Ethernet Port must be configured,
  • The Address Book must contain at least one recipient, and
  • An Email Action must be set up in the Event Manager.

Configuring the Email Client

To configure the Email Client, do the following:

  1. In the Panel Network window, click the Email Client selection.
    The Email Client appears on the screen.

  2. Complete the fields on the screen using the information in the table below.

Panel Network - Email Client Tab

Field

Description

Server Configuration

Email Client Protocol

Select the Email Protocol required by your Network Administrator or your Email provider. Depending on which protocol you select, different entries will be required/available.

SMTP - Authenticated

SMTP - No Authentication

POP3 before SMTP

This setting must match the Send Mail Server configuration.

Mail Address (Sender)

This can be any valid email address. This address will be displayed as the Sender to those who receive the email. Your Network Administrator or email provider may apply restrictions.

Send Mail Server (SMTP)

The IP Address or URL for the SMTP email server or your email provider's SMTP Send Mail Server.

Consult your Network Administrator or email provider for more information.

Example: smtp.gmail.com

DNS must be enabled in order for the email server to recognize the URLs. See Panel Network - Ethernet Port for more information on DNS.

All of the following settings must match the Send Mail Server configuration.

Port No. (SMTP)

The SMTP Port Number. Some typical port numbers are:

25 – SMTP No Authentication

587 – SMTP Authentication

110 – POP3

465 – SMTP SSL/TLS

You should consult your Network Administrator or email provider.

Encryption

 The encryption method your email provider or Network Administrator requires.

This Server Requires encryption

 Select this to enable encryption.

TLS

 Enables TLS encryption protocol, which is the latest network encryption protocol. Consult your Network Administrator or email provider about encryption requirements.

SSL

 Enables SSL encryption protocol. It is an older protocol, but still used by many email servers. This protocol is not recommended because it is not as secure as TLS. Consult your Network Administrator or email provider about encryption requirements.

Use STARTTLS

 Check with your Network Administrator or email provider whether STATTLS is required.

Note: Root Certificate Authority (CA) signing verification is not used by the C-more panel in establishing an encrypted connection to the mail server. The C-more panel will trust the certificate provided by the connected mail server without verifying its authenticity.

Authentication

 Only required by SMTP-Authenticated and POP3 before SMTP.

Account

 Username/ID required by the email server to access the account.

Password

 Password required by the email server to access the account.

POP3 before SMTP

 Setting that only applies to the POP3 protocol.

Receive Mail Server (POP3)

 The IP address or URL for the Receive email server. This setting is unique to POP3 before SMTP. This setting may be the same as the Send Mail server, but you should check with your Network Administrator or email provider.

Port No. (POP3)

 Unique to POP3 before SMTP, this setting is typically 110, but you should check with your Network Administrator or email provider.

This Server requires encrypted connection (SSL)

 Enables SSL Encryption for POP3 before SMTP.

DNS Server Requirement

To use a URL for the SMTP and POP servers, C-more must be able to reach a DNS server and the IP addresses must be known for these servers. If this is not possible, IP addresses can be entered in the SMTP and POP Server fields. To enter DNS IP addresses, go to the Panel Network - Ethernet Port window.

Default Gateway Requirement

For the C-more panel to send email through an email server not on the same LAN, (in other words, maybe over the Internet), a Default Gateway must be set up in the Panel Network - Ethernet Port settings. The Default Gateway is the IP Address of the router that links the panel's network to other networks. See Router Setup for Internet Access for more information.


Panel Network: Web Server Setup

Topic: CM455

Panel Network - Web Server Setup

The C-more panel can function as a simple Web server. The Web Server feature is disabled on C-more panels by default, so it must be enabled using the C-more Programming Software.

The project with the feature enabled must be transferred to the panel.

A default set of HTML files is installed on the panel, but they may be customized by using the panel's FTP Server feature to write custom HTML files to the panel.

  • The panel does not support CGI programming. All source is for client-side execution.
  • To access screen captures, use <IMG src=/screenNum.jpg> where screenNum is the displayed screen number.

A screen image can be viewed in a browser directly by typing the URL "http://<panel-IP/screen.jpg."

For example: type "http://192.168.100.10:80/1.jpg" to display Screen 1. If no Ethernet port is entered, port 80 is assumed.

The Web server provides the most common access to the panel's Remote Access feature. If Remote Access is configured in the Panel Network>Remote Access section, the default Web page includes a link to download the Remote Access console.

Configure Web Server

To configure a Web server, do the following:

  1. In the Panel Network window, select Web Server.
    The Web Server window opens.

  2. Complete the fields on the screen using the information in the table below.

Panel Network - Web Server

Field

Description

Web Server Function

Select the Web Server Function check box to enable the Web Server feature in this panel.

If the Web server will not be used, for security purposes clear (uncheck) this box.

Port Number

The Web Server Port Number may be changed if required by the C-more network.

Picking a port other than the default of 80 is more secure.

If the port is not the default port 80, the port must be known and entered in the URL to access the panel's Web Server.

For example: if the port configured is 8080 the URL would be http://192.168.100.10:8080.

Page Title

This is the Web Page title that shows up in the Web Browser tab when accessing the Web Server of the C-more panel. For this field to work properly, the default HTML files with version 6.53 or later must be used. To load these files to the panel, select Reset Web Server Contents from the Panel Menu after updating the panel to firmware version 6.53 or later.

This will overwrite any custom HTML files that have been added to the panel. If you are using your own custom HTML files this field is ignored, so there is no need to perform this step.

Password Option

Select if you want to restrict access to the Web server. You can require an account and password.

Account

Enter a User name or ID required to access the Web server on the panel.

Password

Enter a password required to access the Web server on the panel.
Once the project has been downloaded to the panel, you may access the Web server by entering the IP Address in a Web browser on the network.

Using HTTPs (ver 6.73 or later)

  1. To make the Web server connection more secure using TLS, select the Use HTTPs checkbox.

The default Port for HTTPs is port 443.

  2. HTTPs require both a Private Key File and a Server Certificate file. Both files must be PEM format.

For the connection to be secure, the Client PC must also have the same Trusted Certificate installed.

Key File

The Key File is a Private Key that's used in the encryption/decryption of data sent between the specific C-more Web Server and the connecting client (Web Browser). A private key is created by the certificate owner when creating the certificate. The certificate is usually for a specific domain or IP Address

Server Certificate File

A certificate file is a digital certificate that authenticates the C-more Web Server's identity and enables an encrypted connection between the web browser and the C-more panel Web server.

  3. Select a Key File and Certificate file by clicking the folder icon and browser for the file.

To remove the Key for Certificate from the project, select the red X icon.

  3. Open any web browser and type the panel's IP address in the Address field. If HTTPS is not included, then HTTP is used by default.

If the client PC does not have the certificate installed as a Trusted Root Certificate for the specific Server (C-more Panel), the client browser will give a warning like that shown below.

You can proceed with a less secure connection or back out of the connection. If you proceed, the connection to the communication with the C-more Panel will not be encrypted.

To have a secure encrypted connection there must be a Trusted Root Certificate installed on the Client PC that corresponds to the certificate installed in the C-more panel.

If the Server Panel and Client PC both have matching certificates, then the secure connection will be established as shown below:

How to install the certificate on your PC so that your PC will trust the C-more web server:

NOTE: Only install certificates from a source that you trust, e.g., your IT support staff

  • Open the PC’s User Certificate Manager.
  • Select Action>All Tasks> Import.
  • Select the Store Location: User.
  • Browse for the Certificate File.
  • Select Place All Certificates in the following Store: Trusted Root Certification Authority.
  • Check your information and select Finish.

Default Web Pages

The Default Web pages include links to view Screens numbered 1 through 10 and log files. Screen and file access can be customized by modifying the existing html files in the panel or by creating your own html files. Index.html is the entry point for the panel web site.

To access the default HTML files, or to copy your customized HTML files to the panel, ensure that FTP Server is enabled in the project transferred to the panel. Use an FTP Client to access the panel and browse to /Built-in Flash/ROOT/.


Setting Up Remote Access

Getting Started - Configuring the C-more Panel Remote Access

The C-more Programming Software is needed to configure the panel project to allow the Remote Access feature. If the C-more panel has an older version of firmware, the software can also be used to upgrade the firmware in the panel. The Remote Access settings are saved within the project. If a new project is loaded without the Remote Access enabled, the feature will not function.

Verify the C-more Panel Firmware Version

You must have C-more Programming Software and C-more Panel Firmware Version 2.4 or later for the Remote Access feature to be available. If your panel has an earlier version of firmware, you will need to upgrade the panel firmware locally. The FAQ Help File topic section on Firmware describes how to display the panel Firmware version. Additionally, if you upgrade from a version prior to Version 2.4, you must “Reset to factory default” using the System Setup screen on the panel after the firmware update is complete.

Refer to the C-more Hardware User manual if you need assistance on how to access this setup screen.

Important: If you are upgrading firmware from a version earlier than Version 2.4, you must reset the panel to factory defaults for this feature to function properly (the HTML files need to reset to add the link for the Remote Access Feature). You can reset the panel using the Setup screen on the panel itself.

If you have a custom index.htm file loaded, it will be overwritten and replaced with the default index.htm file. You should save your original custom index.htm file first, perform the reset to factory default and then copy the new index.htm file and merge the functions from your custom index.htm into the newly installed index.htm with Remote Access functionality.

IP Configuration and Web Server

Before configuring the Remote Access feature, the IP information for the panel must be configured.Refer to the Panel Network - Ethernet Port topic in this Help file.

Additionally, the Web Server must be enabled. Refer to the Panel Network - Web Server Setup topic in this Help file.

Remote Access Function Tab Setup

The Remote Access Feature is disabled by default in the C-more panel and must be enabled for the Remote Access to function. Remember that the Web Server feature must also be activated on the Web Server Tab.

The Remote Access window is accessed from the Panel Network window.

Determine the type of network in which the C-more panel will be connected (Local connection and/or Remote connection). It is possible that you will need to configure both connection types if you have users that are connecting from the same internal network without a Firewall, and external users that will be connecting through a Firewall.

Recommendation:

If you plan to have external users accessing the C-more panel via the Internet, it is highly recommended that a Firewall be used for security purposes. This is true for any device that can be accessed from the Internet. Although the C-more Remote Access accounts can be assigned passwords, it is more secure and recommended that you use a Firewall to reduce the chances of unauthorized access. Most Ethernet Routers offer Firewall support.

The Remote Access window provides the following:

Panel - Remote Access

Area on Screen

Description

Port No

The Port No. is the destination TCP port number used by the Remote Access software and the listening TCP port of the C-more panel for this connection. This will be needed for access through a Firewall/Router. Enter the Port Number. The port number must be unique for each panel on the local network when those panels are accessed from outside of that network.

Local Connection (No Firewall/Router)

If the PC and the C-more panel are on the same local network, that is, if there is a NOT a firewall or router between the PC and the C-more panel, then the Panel IP address will be used and nothing needs to be entered into the “Remote Connection” field.

Remote Connection (With Firewall/Router)

If there is a Firewall/Router between the PC and the C-more panel, the public IP address will need to be inserted manually into the “Remote Connection” field. Please refer to your Network Administrator for the required Firewall/Router configuration settings. The Firewall/Router must be configured to allow the C-more Remote Access Connection. Refer to Router Setup for Internet Access.

Log on Information

The Log On feature is recommended but not required. Accounts #2 and #3 are not selected by default but can be activated by selecting the checkbox. If an account is activated, but a user name and/or password are not entered in the configuration, then the panel will be accessible through that account by anyone.

Remember, if the C-more panel is controlling an application that could cause damage or serious injury to local operators or machinery being controlled by the panel, you will need to limit the access to those authorized to view or control the remote application.

NOTE: The user accounts are for remote access permissions. The C-more Programming Software also has project password features that can be assigned to screens and objects to help control who can access them. These passwords are used by both the local and remote operators to restrict use to authorized personnel only. Remote users will need to know these passwords just as the local user do. There are eight group names that can be configured for passwords. For more information, click on the green Password text.

Permissions

Three Remote Access user accounts are configured and stored in the panel project. Use the down arrow [image] to select the desired Permission setting. If the account is not configured with a user name or password, any user, authorized or unauthorized, will be able to connect to the panel remotely. Each account can be configured in one of the following permissions:

  • View Only:(Default for Account #1 when the remote access has been enabled.) This permission level gives the remote user the ability to only view the screen that is active on the panel (view the screen that a local operator is viewing). This can be utilized for users that are not authorized to change screens or control objects. This permission level will not interfere with the local operations of the panel. This mode could likely be used by Managers who want to monitor the machine operations for production reasons or machine status without interfering with the local operator or machine operation.
  • View and Screen Change: Gives the remote user the ability to view and activate the “Screen Change” objects that are located on the active screen. This permission does not allow the remote user to activate other objects on the screen. If there are no “Screen Change” objects on the active screen, then remote user will not be able to change the screen. Screen Change button placement will need to be considered when the screens are created in the C-more project if the programmer wants remote users to have screen change abilities. This mode can affect the local operator if the remote user is changing screens while the local operator is using the panel.
  • Full Control: Gives the remote user the ability to view and control all screen-based objects as if at the local site. Remember, if the C-more panel is controlling an application that could cause damage or serious injury to local operators or machinery being control by the panel, you will need to limit the access to those authorized to view or control the remote application. This mode can affect the local operator if the remote user is changing screens while the local operator is using the panel.

Account Name

Three Remote Access user accounts are configured and stored in the panel project. Each account has an “Account Name” field that can be configured by the user. There are some guidelines for account names to consider.

  • No two account names can be the same.
  • Only one enabled Account Name can be left blank.
  • Maximum of 64 characters.
  • The text is case sensitive.
  • Spaces are considered characters.
The Account settings are stored in the C-more panel Project. The programmer must enable the Remote Access feature. Account #1 will default as the active account. If no user name is desired, the field can be left blank. If the account is not configured with a user name or password the user will not receive a log in prompt but any user authorized, or unauthorized, will be able to connect to the panel remotely with the permissions configured for that account without entering a user name or password.

Password

Three Remote Access user accounts are configured and stored in the panel project. Each account has an optional “Account Password” field. There are some guidelines for account passwords to consider.

  • Each separate account may use the same password.
  • The password can be left blank.
  • Maximum of 64 characters.
  • The text is case sensitive.
  • Spaces are considered characters.

The account Passwords are stored in the C-more panel Project. The programmer must enable the Remote Access feature. Account #1 will default as the active account with a blank password. If no password is desired, the field can be left blank. If this field is not configured (no password required) the user will not need to enter a password and any user authorized, or unauthorized, will be able to connect to the panel remotely with the permissions configured for that account.

Note: If the Account Name and Password are configured for the account and the incorrect data is entered, access to the C-more panel will not be granted, a message box will tell the user that the data entered is invalid and the login screen will reappear.

User Restrictions

Each Remote Access Account can support a maximum of 5 remote user connections at a time. This allows for a maximum of 15 remote users that can be active at one time, if all three accounts are configured for the maximum setting of 5 each. Enter the number of users.

Panel Performance

If a remote user tries to log in to an account on a C-more panel that has exceeded the maximum number of users, an error will be displayed. The user will then need to wait until one of the other remote users logs out from the C-more panel.

Consideration should also be given to the effects of having more than one remote user connected at a time and how it may effect the local operations of the C-more panel. If multiple users are connected with the ability to change screens or activate screen objects, it could cause confusion for all users that are connected. For safety reasons, it is highly recommended that applications where that panel controls moving equipment, that only one remote user is allowed to connect to the accounts that allow screen change or full control of the panel.

Remote Access Control and Status Tags

Two optional tags (Disable Tag & Notification Tag) can be configured for each of the three accounts. These tags can be used in the C-more project like any other tag. This allows programmers to be creative in displaying status and making controls for the Remote Access feature.

Disable Tag

Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a new Tag Name. This tag is Off by default and can be assigned to any discrete control object in the project or in the PLC. If this tag is On, the account that is associated with it will be disabled. This means the remote user will not be able to connect using the remote access features. If this tag is activated while the remote user is connected, the connection will be dropped and the remote user will get a connection error on their PC.

Note: It is a good practice to assign this tag to a switch or pushbutton on one of the screens in the C-more project file or to a PLC hardware input with an external switch or pushbutton outside of the C-more panel project. The local operator will then have the ability to enable or disable the remote access feature for safety or security reasons. This would require the remote user to first contact the local operator and obtain permission before attempting the connection. The local operator would then enable the associated remote access account.

Notification Tag

Click on the down arrow [image] to select a Tag Name or use the Browser button [image] to add a new Tag Name. This tag is Off by default and will be On when a remote user is connected to the assigned account. This bit can be assigned to an indicator in the C-more panel project or a PLC I/O point and connected to an indicator light of some type.

When the Remote Access Port Number, IP Address and Logon Information have been entered, click OK to save the configuration. If the Web Server Tab has not yet been configured, the programmer will receive a warning message reminding them to enable the Web server feature in the panel.

Transfer the Project to the Panel

The project must now be loaded to the C-more panel. This will load the settings that were changed in the Panel Network setup.


What is Remote Access

Topic: CM509

What is Remote Access?

SAFETY NOTICE: Remote Access allows users to connect a PC to the C-more panel from anywhere on the Internet via a web browser, such as Internet Explorer. The Remote user can control, fully operate and monitor the local HMI system. This means that it is possible for the remote user to operate the C-more panel and affect the function and control of the application just as the local operator controls it. Proper Control, Security and Safety procedures should be implemented and considered when implementing the Remote Access. If the remote access is required for an application, the C-more programmer should consider the best means to implement it. There are various ways to control, limit and monitor remote users explained in the help file Remote Access Setup topic.

Note: Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity.

Requirements

Requirements to use the Remote Access feature are:

  • C-more Panel with Ethernet port (panels with xxxx–R part numbers do not support Ethernet).
  • The C-more Panel must be using firmware Version 2.4 or later.
  • C-more Programming Software Version 2.4 or later is required to configure and support the Remote Access feature.
  • The C-more Panel must have compatible network settings with the PC running the Remote viewer, or the panel must be accessible from the Internet.
  • The Remote Access feature is accessed via the Web server that is built into the panel. If you upgrade the C-more Panel firmware from a version older than 2.4, then the panel will need to be reset to factory default, for the new updated “Remote Access” HTML link to be added.

Remote Access Features

Web Browser Based:

The C-more Remote Access feature is unique in that the application is downloaded from the C-more panel through the Web Browser on the PC to the browsers temporary file folder or to a location chosen by the user. This allows any authorized user to access the panel remotely without purchasing or downloading any other software package.

Multilevel Logon Security:

There are three Remote Access user Accounts that can be configured and stored in the panel project that is loaded to the panel initially with the C-more Programming Software. Each Account is configured individually with user names and passwords. Each Account also allows from one to five remote users to be connected at one time depending on the configuration. Each Account can be configured in one of the following levels of access:

  • View Only
  • View and allow Screen Change only
  • Full Control

User Configured TAG support:

Each of the three Accounts has two tags associated with the Remote Access feature.

  • Disable Tag- Remote Access Enable/Disable Control bit
  • Notification Tag- Remote Access Active/Inactive Status bit

These tags can be used by the local operator to enable or disable the remote access accounts if required. Simply assign an object on the screen or map the tag to a PLC input with an external hardware switch for control.

Resizable Console Window:

Unlike many other brands, the C-more remote viewer is completely sizable. When the user shrinks or expands the window size, the project objects will rescale accordingly.

Screen Capture:

Users can save jpeg screen captures to review and print if needed. The Zoom feature also allows the user to zoom in on specific areas of the screen and then save a screen capture.

Open Multiple Viewer Consoles:

More than one remote viewer application can be viewed at one time. This allows the user to connect to several different C-more panels and control them. Performance may vary due to PC and network specifications.

Custom Connection Setup:

Connection performance can be affected by the Internet connection speed, PC specifications, screen contents, and the number of remote viewers that are actively connected. The software allows custom connection settings so the user can adjust settings based on the network bandwidth of each connection.

Remote Access Benefits

Remote Access allows authorized users to connect a PC to the C-more panel from anywhere on the Internet via a web browser, such as Internet Explorer. The Remote user can control, fully operate and monitor the local HMI system. This can reduce the need for the user to be on-site to view or operate the C-more panel. The HMI project can also be configured so that the local operator can enable or disable control at any time by using assigned tags on one of the project screens.

This feature allows authorized users the ability to remotely:

  • Control the screen operations of the C-more Panel as if touching the panel itself.
  • Monitor real time screen operations of the panel.
  • Can be used by system integrators to support end users.
  • Troubleshoot and test the C-more project application.
  • View, zoom, print and save screen captures of active screens.

Security Concerns

Firewall: If you plan to have external users accessing the C-more panel via the Internet, it is highly recommended that a Firewall be used for security purposes. This is true for any device that can be accessed from the Internet. Although the C-more Remote Access accounts can be assigned passwords, it is more secure and recommended that you use a Firewall to reduce the chances of unauthorized access. Most all Routers offer Firewall support.

Project Protection: If the project loaded in the C-more panel was saved as a “Protected Project File”, then users who go online with the panel cannot save or edit the project using the IP Address that they have been given for the Remote Access Connection. This keeps users from intentionally or unintentionally saving or editing the project file. The project should be protected if the panel is located on the internet and users know the IP Address.

Remote Access Permission Level: There are three Remote Access user Accounts that are configured and stored in the panel project. Each Account has a “Permission Level” field that can be configured by the user. The user Accounts are for Remote Access permissions. The C-more Programming Software also has project password features that can be assigned to screens and objects to help control who can access them. These passwords are used by both the local and remote operators to restrict use authorized personnel only. Remote users will need to know these passwords just as the local user do. These Permission Levels are:

  • View Only
  • View & Screen Change (control buttons only)
  • Full Control

Account Passwords: There are three Remote Access user Accounts that are configured and stored in the panel project. Each Account has an “Account Password” field that can be configured by the user.

Note: If the Account Name and Password are configured for the account and the incorrect data is entered, access to the C-more panel will not be granted, a message box will tell the user that the data entered is invalid and the login screen will reappear.

Programming with Remote Access Tags

Notification Tag: This tag is Off by default and will be ON when the C-more panel senses that a Remote user is connected to the assigned account. This bit can be assigned to an indicator in the C-more panel project or a PLC I/O point and connected to an indicator light of some type.

Scheduling: Use PLC logic or Event Manager in the C-more project to disable or enable the Remote Access based on the time or another event. For instance, during maintenance or production times you may not want Remote users interfering with the local operator. The Event Manager can automatically activate or deactivate any of the Remote Access Accounts without operator assistance.

Remote Access Control Screen: The programmer can also create a screen that contains a switch object and an indicator object for each Account. Using the password settings for the objects or assigning passwords for the screen adds even more secure control over the Remote Access activation if needed.

Alarm List: If an Alarm is assigned to the Notification Tag of an Account, the C-more System Alarm Banner will continue to display the Alarm List. An example would be something like “Remote Access Account 1 Active- Full Control”. This gives local operator’s notice that a Remote user is connected.

Pop up Message: Using the Event Manager, a Pop up Message window will alert that a Remote user online.

Logging Remote User Access: Use the Event Manager to log the Remote Access Accounts by monitoring the associated tags. This could create a time and date stamp every time a Remote users logs in.

Send an Email: The Event Manager can Send an Email if the C-more panel is configured to use a mail server. This could notify anyone who needs to be aware that the Remote Access feature is active or has been active.

Remember, if the C-more Panel is controlling an application that could cause damage or serious injury to local operators or machinery being controlled by the panel, you will need to limit the access to those authorized to view or control the Remote Application.

Additional Info
  • NOT supported with Remote Access:

  1. System Screen:
    Remote     users cannot view or access the C-more panel System Screens. A user must be at the panel to access the panel system setup if required.

  2. Sounds:
    Project wav files presently are not supported in the Remote Access Console. If you have sound files that are used in your project, the local operator will hear them play, however the remote user will not.

  3. Project loading or editing:
    Editing projects and firmware updating can only be done with the     C-more Programming Software. You can connect and program the C-more panel remotely with the programming software if the panel is on a network.

  • Remote Access Performance:

The update rate of the panel can be affected by many things. Your connection speed may vary for any of the following reasons if they apply to either your local PC connection or the remote C-more connection:

    1. The connection path your Internet Service Provider (ISP) takes to the host

    2. Server capacity

    3. Internet traffic

    4. Your PC hardware or OS

    5. The number of local network users (if you are using a cable connection)

If you are experiencing slow update rates with the panel project, then it is suggested that you test your connection by loading a simple project in the C-more panel that contains only one screen and one object. You can then add more screens and /or objects. Animated objects can decrease the response time as well. There are also many free software tools that can be downloaded from the internet to test your connection speed and your ISP routing paths.

  • Connection Problems:

If you are having trouble connecting with your Web Browser, you should try connecting to the C-more panel with the C-more Programming Software. You will need the IP address of the C-more panel to do this. You can verify that the panel has the correct firmware Version 2.4. If not you will need to connect to the panel and update the firmware locally. If you are upgrading from a firmware version older than version 2.4, the panel has to be reset to the default settings before the Remote Access feature can be activated. The reset to default updates the HTML files in the panel. The Default settings can only be reset using the panel “System Setup” screens.

  • Firewall/Routers:

The firewall/router configuration will differ from manufacturer to manufacturer and the local network administrator should be involved with this setup.

At a minimum, two (2) TCP port numbers will need to be opened up for C-more Remote Access, the Web server port number and the Remote Access port number. The Web server default port number is 80 and is configurable for C-more via the Web server tab in the Panel Network configuration of the C-more Programming Software. The default Remote Access port number is 11102 but is configurable via the Remote Access Tab in the Panel Network configuration of the C-more Programming Software.

Port Forwarding will most likely need to be enabled in the firewall/router for both connections to the specified IP address of the C-more panel(s). Each separate C-more panel will need a unique Web server port number and Remote Access port number configured in the firewall/router.


Communicating with C-more using the Remote Access Feature

Accessing the Panel Server Pages

Open Internet Explorer or any Internet Browser software and type in the panel’s IP address.

  • No Firewall/Router: If there is no Firewall or Router between your PC and the C-more panel then type in: http://<panel IP address>:<web server port number>
  • With Firewall/Router: If there is a Firewall or Router between your PC and the C-more panel then type in: http://<firewall or router IP address>:<web server port number>

    For Example: http://10.16.23.146:80

The web server port number is found in the Panel Network window on the Web Server tab. The port number default is 80. If the web server port number has not been changed from the default, 80 is implied in the browser and does not need to be appended to the IP Address. Refer to Router Setup for Internet Access.

The C-more panel default HTML pages that are located in the C-more panel memory will open. These HTML pages can be edited, however make certain the links remain intact.

Select the C-more Remote Access Link, and the Remote Access HTML page will open.

Remote Access HTML Page: The default HTML page will have two links to choose from. The IP address should be displayed in the link if the panel project has been configured properly with the C-more Programming Software. The user must choose the link that applies to their network connection. Most office or factory networks will have Firewalls that protect the network from unauthorized outside connections.

Tip: The Web/FTP server can be accessed from the C-more Programming Software by using the Ethernet Browsing tool as a shortcut. This makes it easier when there are multiple panels to choose from.

In the Ethernet Browse window, click the Panel tab and select Ethernet Connection Setup.

Right-click on any panel to open the Web Server with a Browser or the FTP server.

Remote Access Activation

After the C-more Remote Access link is selected, the user will have three selections:

  1. Run: If you select Run, the Remote Access executable file will be loaded temporarily into the web browsers temporary files folder of your PC.

  2. Save: If you select Save, the Remote Access executable file will be saved to the location that you define, such as the PC desktop. This link can then be used to activate the independent client software for the remote panel without having to access the C-more panel Web server page and using the Remote Access HTML link.

    Saving     this file to your desktop makes it much easier for users to activate the connection to the panel in the future.

Note: If the name of this file is changed, the remote connection may not work.

The IP Address embedded in the name of the file may be changed to the IP Address of any C-more panel on the network that has Remote Access Enabled to connect to that panel.

If the IP Address in the filename is removed, running the file will open the C-more Network Browse window and show C-more Panels on the network.

Saving to PC for connections to multiple panels: You can save as many executable links to as many panels that support the Remote Access Feature as you like. The performance will be the same with either selection. Saving the link just allows simpler access to the panel for users.

  3. Cancel: This will cancel the loading of the file.

Security Warning: Next you will get a Security Warning pop-up window. The software has not been registered with Microsoft, so a Security Warning will be displayed. If you trust the provider of the software then select Run. The file should run immediately.

C-more Remote Access Console: The C-more Console will then open on the PC. The user will be requested to enter the correct data before any screen data will be displayed. If not, for security purposes it is highly recommended that the user accounts be configured with a User Name and Password.

Using the Remote Access Console

Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity. The Remote Access Console will open and the Connection will begin. This may take several seconds based on your network speed. If the C-more Browser window does not open, it is possible that the URL that was used is incorrect or no longer accessible.

Depending on the log-in access level that you are using, you may use the mouse on your PC to control the Screen objects as if you were touching the actual C-more panel. If you cannot control objects on the screen, you will need to verify your user account access to see if you have control privileges. These accounts are configured in the panel project. Refer to Setting Up Remote Access.

If the PC that is running the viewer has a touch screen interface, then you may use it as well. It will operate the same as the C-more panel.

NOTE: The C-more panel's System Setup screen can only be operated at the panel by the operator and cannot be seen using the remote access console.

Adjusting the Viewer Console Size: The Viewer Console is completely sizable. This allows users to customize the window to fit their PC screen.

Sound Feedback: You will hear some beeping from this client software if the Beep is not disabled in the panel project. The beep is the feedback sound from the remote panel when any input objects on the screen, such as Push Button, are clicked with the mouse and the remote panel receives the mouse operation properly. Presently the Remote Access application does not support playing the sound (wav) files stored in the project. Only the local operator will hear the sound of the wav file playing.

Using the Console Tool Menu

The Main Menu contains options that can be used or configured to enhance the Remote Access and help with performance. The Tool Bar buttons correspond to the same menu options and allow for fast access.

  1. Save Image Button:Allows the remote user to save a Jpeg image to disk. This can be used to capture images of trends, alarm windows, or other screen items that may need to be reviewed at a later time. It is also a great tool for saving images to be used in documentation or the application.

  2. Start and Stop Button:These buttons open and end the connection of the Console window to the C-more panel. When the connection is stopped, the Console window running the C-more project will stop updating and the last image will be displayed until the connection is reestablished and the new image is updated. The local operator can still operate the C-more panel when the connection of the remote user has been stopped. When Started, the screen will be cleared and the new updated image will be displayed as the data is received. This update time will vary on the connection quality and bandwidth.

  3. Pause Button: The Pause Button is much like the Stop button; however, the Pause button does not close the connection to the remote C-more panel. It will suspend the update to the remote console client on the PC while keeping the connection active. The local operator can still operate the C-more panel while the connection of the remote user is paused. Click Pause again and the screen will be cleared and the new updated image will be displayed as the data is received. The pause does not require a connection to be reopened as does the Stop and Start feature. This should require less time to update the screen when the pause is disabled.

  4. Setup Button: The Setup Button contains the settings that control the performance of the C-more Console connection settings. The settings are stored in the C-more panel and if changed, will maintain the values of the last settings entered. This means that if the settings are changed while one remote user is online, all other users connecting from different C-more Console on other computers, will connect with the same settings last entered. For this reason each user may need to make adjustments to the setup items based on their network connection speed and performance. Selecting the Setup Button will pop up the Setup window shown below.

  • Client Setting: Client(PC) settings do not affect performance at the C-more Panel and so do not impact local operations.
  • Timeout: For the Client PC side of the application in milliseconds, adjust to reduce errors on slow connections.
  • Beep: The remote user can choose to hear the Beep on the remote PC or turn it off. This does not disable the Beep sound at the panel itself, only the remote client.
  • Send/Receive Indicator: This is displayed by default.
  • Panel Setting:
  • Graphic Quality: Reduces the resolution of the screen objects. This feature was added to accommodate users who may not need 100% graphic quality and are more interested in a faster update rate. If users prefer high quality graphics, then the setting can be placed at 100%. This setting will be determined by the network speed and/or amount of data on any one screen. The default is 60 %.
  • Update intervals: This setting controls the update rate of the panel to the Client PC. Units are in milliseconds. Update settings will affect the performance at the panel. If the local operator notices any performance issues, the settings should be raised incrementally until the C-more project performance is acceptable.

      1. Screen update: Determines the rate at which the screen updates will occur. For faster update rates, this value should be lowered. It must be noted though that this can affect the performance of the local operations as the C-more panel may also be processing other items such as PLC communications, data logging, and animation. Default is 2000 ms.

      2. Object update: Determines the rate at which the objects on the screen will update when a value change occurs. If there are many objects on the screen that are changing frequently, the user may increase the update time to reduce the amount of data that must be transferred. If a real time update is preferred, then this setting can be lowered to update faster. This is based on the user preference and can be affected by network traffic. This will affect the performance of the local operations at the C-more panel. Default is 2

All of the settings can affect each other and in some cases will need to be adjusted until the user feels that the performance is acceptable.

Note: Regarding response times of Remote Access, please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity.

  5. Console Zoom: The C-more remote access view can be customized to fit the user’s requirements. By default the screen will auto fit into the console window and will adjust when the user changes the size of the console window. This comes in handy when the user has a small computer screen or he wants to view several applications at one time. It is also handy if there are more than one remote access connections active to different C-more panels.

The Zoom features come in handy if the remote user wants to zoom in on a certain part of the screen to see better or perhaps take a screen capture and save it for documentation. This feature is client based and does not affect the view of the local operator. The image below gives an example using the zoom feature.

f. Send/Receive Indicator: Displays Send and Receive communications when green.


Router Setup for Internet Access

In order to access C-more inside of a firewall/router remotely either a VPN connection must be used or port forwarding must be set up in the router to allow the C-more Web Server and Remote Access application to get through.

When a TCP/IP message is sent to a router, it reads both the destination IP address (public IP address) in the message and the destination port number. If the destination IP address is the correct address for the router, the router then looks at the port number to determine whether it should allow this message and where to ‘route’ this message to. This is done by configuring a “Port Forwarding” table within the router configuration.

Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity.

Router Setup

The router will change the destination IP address of the message to the local IP address specified by the “Port Forwarding” table.

In order to access the Remote Access application in C-more, you have to connect to the Web server first, so two port numbers will need to be specified in the Port Forwarding table for each C-more panel that needs to be accessed.

The first port number is the web server port number.By default, this number is 80. When using a web browser, such as Internet Explorer, port 80 is implied without having to type this in manually. If a number other than port 80 is needed, this can be accomplished by simply adding :<port num> after the IP address. An example URL for the image shown below would be: http://10.16.23.146:80

The second port number required is the Remote Access port number. The default for this application is 11102.

Once the user has chosen to run the Remote Access application from the C-more web server, the application will then communicate to the router with the specified Remote Access port number.

So to accomplish the setup as shown above, the C-more Programming Software Panel Network Web Server window and Remote Access window would be set up as shown below:

In order to access an additional C-more panel on the same router using the same public IP address, use a different Web Server port number and Remote Access port number for each panel.

Link Panel Network - Web Server and Remote Access

The C-more Programming Software Panel Network Web Server and Remote Access would be configured as shown below for the second C-more panel:


Remote Access Console Errors

Code

Error Message

1018

Panel Communication Timeout

10005

The password is invalid.

10006

This Remote Control Account has been disabled.

10007

Value must be between 25 and 400.

10008

Screen Saver on Panel is activated. Data Values to this Console Display are not current. Click screen to deactivate the Panel Screen Saver.

10009

System screen on Panel is displayed and any data on the remote screen will not be updated.

10010

This Account has Exceeded the Limit for the Maximum Number of Users. Other active remote users for this account will need to log out from the C-more panel, or you will need to increase the maximum number of "User Restrictions" for this account in the project file Remote Access Setup.

10011

There is a version mismatch between the panel and this Remote Console software. Download the proper Remote Access console software from the panel Web Server. [Open Panel Web Server] [Close]

10012

Not enough buffer memory


C-more Remote HMI App

SAFETY NOTICE: The C-more Remote HMI App allows the user to connect to remote C-more panels from Ethernet, Wi-Fi, or cellular network connections. The Remote user can fully operate and monitor the local HMI system and affect the function and control of the application just as the local operator controls it. Proper Control, Security and Safety Procedures should be considered and implemented when utilizing the Remote Access feature. There are various ways to control, limit and log remote users as explained in the topic Setting Up Remote Access.

App Download Location

The C-more Remote HMI App can be downloaded from the iTunes App Store to any iPhone/iPad/IPod Touch devices running iOS version 4.3 or later.

Refer to the Setting Up Remote Access section of the help file to configure the C-more panel to allow the C-more Remote HMI App to function.

It is recommended that a remote connection be set up via a Web Browser before attempting to connect to the remote C-more panel with the C-more Remote HMI App to ensure Remote Access has been configured properly.

Remote Access Benefits

The C-more Remote HMI App allows authorized users to connect their iPhone/iPad/IPod Touch device to the C-more panel from a WI-Fi or cellular connection. The remote user can fully operate and/or monitor a remote C-more panel. This can reduce the need for the user to be on site to view or operate the C-more panel. The HMI Project can also be configured so that the local operator can enable or disable control at any time by using assigned tags on one of the project screens.

This feature allows authorized users the ability to:

  • Remotely control the screen operations of the C-more panel as if touching the panel itself.
  • Remotely monitor real time screen operations.
  • Allow system integrators to support on-site end users.
  • Remotely troubleshoot and test the C-more project application.
  • Remotely view, zoom, and save screen captures of active screens.

Requirements

Requirements to use the Remote Access feature are:

  • iPhone/iPad/iPod Touch iOS version 4.2 or later
  • C-more panel with Ethernet port
  • C-more Programming Software to program and configure a panel to support the C-more Remote HMI App.
  • The C-more panel must have compatible network settings with the device running the C-more Remote HMI App.

Security Concerns

Firewall: If you plan to have external users accessing the C-more panel via the Internet, it is highly recommended that a Firewall be used for security purposes. This is true for any device that can be accessed from the Internet. Although C-more panels have a Remote Access account for assigning passwords, it is more secure and recommended that you use a Firewall to reduce the chances of unauthorized access. Most routers offer Firewall support.

VPN: Although the Remote Access feature for the C-more panel can be configured with password protection, connecting the C-more panel on an Enterprise network or the Internet exposes security risks. A secure and encrypted VPN connection is highly recommended if the C-more panel will be accessible from the Internet. A VPN (Virtual Private Network) uses encryption and other security mechanisms to ensure that only authorized users are allowed to connect and that the data cannot be intercepted. A VPN greatly reduces the chances of malicious behavior and unauthorized connections.

Project Protection: If the project loaded in the C-more panel was saved as a Protected Project File, then users who go online with the panel cannot save or edit the project using the IP Address that they have been given for the Remote Access Connection. This keeps users from intentionally or unintentionally saving or editing the project file. The project should be protected if the panel is located on the internet and users know the IP Address.

Remote Access User Accounts: Three Remote Access user Accounts are configured and stored in the panel project. Each Account has a Permission Level field that can be configured by the user. The user accounts are for Remote Access permissions. Each of these three accounts has three possible permission levels that can be assigned to the account.

These permission levels are:

  • View Only
  • View and Screen Change (Screen Change Push Button only)
  • Full Control

Account Passwords: Each Remote Access user account allows passwords that are configured and stored in the panel project. If the password is assigned in the panel project, the C-more Remote HMI App user will be required to type in the correct user name and password in order to view and control the C-more panel with the app.

Note: If the Account Name and Password are configured for the account and the incorrect user name and/or password is entered, access to the C-more panel will not be granted. A message box will appear notifying the user that the data entered is invalid and the login screen will reappear.

Getting Started with the C-more Remote HMI App

Make sure the iPhone/iPad/iPod touch cellular or Wi-Fi features are enabled and that you are connected to the network. The C-more panel must be configured to enable the Remote Access and Control feature. See Setting Up Remote Access for complete details. These settings are stored with the C-more panel project and loaded to the panel with the C-more programming software.

Remote HMI Workspace

The C-more Remote HMI App workspace is the Graphical User Interface (GUI) that is used to set up communications, select a panel for connection, and control the interactions with the remote C-more panel. The Workspace is always visible when there has not been a connection made to a C-more panel. Once connected, the Workspace will remain visible for about five seconds and then disappear. When the screen is touched by the user, the workspace will reappear and stay active as long as it is in use, timing out five seconds after the last touch.

The image above shows the C-more Remote HMI App Workspace:

  1. Connection: To access a remote C-more panel, click the Connection button. See Connection for complete details.
  2. Setup:To configure the Client app and panel connection settings, touch the Setup button . See Setup for complete details.
  3. Connection Toolbar: The video style Connection Toolbar offers quick access to multiple tools. See Connection Toolbar for complete details.

Note: The Unlock Safety Button must be active (On) in order to interact with the remote C-more panel.

Connection

The Connection button is used to select a method of connecting to the remote C-more panel.

Favorite

Favorite makes it faster and simpler to remotely connect to a specific C-more panel by allowing users to save the settings required to connect. As an option, the logon settings can also be saved with each Favorite address to simplify the connections.

Adding a Favorite:

Favorites can be added by selecting the Edit button from the Favorite menu or a favorite can be saved by using the connection Toolbar that appears only when connected to a remote C-more panel.

Configuring the Favorite Properties:

  1. Name: If adding a favorite while connected to a C-more panel, the Name field will automatically insert the name that is stored in the panel project. The user has the option of keeping the same name or saving the favorite under a different name. Saving the favorite with a different name does not change the name stored in the panel, it simply creates a favorite list in the app with any name you choose. Saving the favorite name to match the panel name is considered the best practice.
  2. Port No: The default port number for C-more panel Remote Access is 11102. The Port No. is the destination TCP port number used by the (Client) Remote HMI App and the listening TCP port of the C-more panel for this connection. This will be needed for access through a Firewall/Router if not using a VPN connection. The port number in the C-more Remote HMI App must match the port number of the Remote Access port of the C-more panel. If a VPN connection is not being used, then the Port Forwarding feature of your router must be used and the port number of the C-more panel must also be unique for each panel on the local network when those panels are accessed from outside of that network. Refer to the Router Setup for Internet Access section of the Help File for more information on port numbers.
  3. IP Address: The IP Address can be manually inserted or, if adding a favorite while remotely connected to a C-more panel, the field will automatically populate the IP Address of the panel.
  4. User Name: Enter a valid user name. The user name is stored in the C-more panel project and is configured using the C-more programming software. If an account is activated in the C-more panel, but a user name and/or password are left blank in the configuration, then the panel will be accessible through that account by anyone.

If the C-more panel is controlling an application that could cause damage or serious injury to local operators or machinery being controlled by the panel, accounts should be limited to those authorized to view or control the remote application.
  5. Password: The Password feature is recommended but not required. The account passwords are stored in the C-more panel project.
  6. Register Password: If this field is enabled, the user name and password will be stored with the favorite file. This will eliminate the need to type a user name and password when choosing a connection from the favorites list. Although this field simplifies the connection to the C-more panel, it also may allow unauthorized users access to a remote panel if the iPhone/iPad/iPod Touch device is used by an unauthorized user. It is recommended that this field be disabled (Off) if there are concerns for security and safety.

Browse

The Browse tool enables the C-more Remote HMI App to send an Ethernet multicast request over the local network to search for all C-more panels that are connected to the local network.

Browse List:

The Browse List will display the following information from the remote C-more panel.

Panel Name: The name stored in the panel memory or panel project. This name is configured in the project with the C-more Programming Software.

Panel IP Address: The IP address of the C-more panel. The IP address is stored in the panel memory or the panel project .

Color Indicators: Each C-more panel listed on the network will have a colored indicator to the left side of the panel name to show if the C-more panel supports the C-more Remote HMI App. When an incompatible C-more panel is selected, an error message will appear with an explanation of the error. These indicators are used to describe the following...

Red: The C-more panel was found but the firmware in the panel is incompatible with the C-more Remote HMI App. If a C-more Series EA7 panel is targeted, the panel must be using firmware Version 2.73 or later.

Yellow:The C-more panel was found, and the firmware is compatible, but the Remote Access Feature has not been enabled in the Panel. This feature is configured with the C-more Programming Software and saved to the project stored in the panel. See Setting up the Remote Access in this help file.

Green: The C-more panel was found, the firmware is compatible and the Remote Access Feature in the panel is enabled.

The Browse feature does have some limitations:

Routers: Many routers do not support Multicast. If you are connected through a router and the browse multicast does not function, you will need to input the IP address of the C-more panel manually. Once connected, the panel can be saved to the Favorites list to eliminate the need to enter the IP address for the panel manually each time you want to connect.

Timing: If there are several C-more panels on the same network, it is possible that some panels are not shown in the list due to network response time or response collisions. The browse may have to be executed more than one time in order to populate the list of C-more panels on the network.

Cellular or VPN Connection: VPN (Virtual Private Network) and cellular connections do not support Ethernet multicast. You will need to input the IP address of the C-more panel manually. Once connected, the panel can be saved to the Favorites list to eliminate the need to enter the IP address for the panel manually each time you want to connect.

Setup

Please consider that your experience will be affected by network bandwidth and latency, as well as project screen complexity. The SetupButton contains the settings used to modify the performance of the C-more Remote HMI App connection. The Client settings are stored in the C-more Remote HMI App. on your device. The “Panel Settings” are stored in the C-more panel and if changed, the panel will maintain the values of the last settings entered. Selecting the Setup Button will pop up the Setup window.

Client Setting:

Client (iPhone/iPad/iPod Touch) settings do not affect performance or local operations at the C-more panel.

  1. Port No.: The default port number for C-more panel Remote Access is 11102. The Port No. is the destination TCP port number used by the (Client) Remote HMI App and the listening TCP port of the C-more panel for this connection. This will be needed for access through a Firewall/Router if not using a VPN connection. The port number in the C-more Remote HMI App must match the port number of the Remote Access port of the C-more panel. If a VPN connection is not being used, then the “Port Forwarding” feature of your router must be used and the port number of the C-more panel must also be unique for each panel on the local network when those panels are accessed from outside of that network. Refer to the Router Setup for Internet Access section of the help file for more information on port numbers.
  2. Timout: Affects the Client (Remote HMI App) side of the application in milliseconds. Increase the timeout value to reduce timeout errors on slow connections such as cellular connections with poor signal strength.
  3. Beep: The Beep sound is heard when the C-more Remote HMI App user activates an input object on the C-more panel project. The remote user can choose to hear the Beep on the Client (Remote HMI App) or turn it off. This does not disable the Beep sound at the panel itself, only the remote Client. The Beep will sound if the C-more panel acknowledges that an input object has been pressed.
  4. Status Bar: The Status Bar is located at the bottom of the C-more Remote HMI App workspace and is displayed by default. It can be enabled or disabled by the user as needed. Refer to Status Bar later in this topic.

Panel Setting:

These settings affect the communications settings at the remote C-more panel (Server) side. Panel operational performance may be affected by the adjustment of the communication settings in some applications that are processor intensive (such as PLC communications, data logging, and animation). Unlike the Client Settings, these settings are stored in the C-more panel and are retained across sessions. This means that if the panel settings are changed while a remote user is online, another user connecting from a different C-more Remote HMI App will connect with the same settings last entered to the panel. For this reason each user may need to make adjustments to the setup items based on their network connection speed and performance.

  5. Graphic Quality:Graphic Quality reduces the resolution of the screen objects. This feature was added to accommodate users who may not need 100% graphic quality and are more interested in a faster update rate. If users prefer high quality graphics, then the setting can be placed at 100%. This setting will be determined by the network speed and/or amount of data on any one screen. The default is 60%.
  6. Updating IntervalScreen: Updating Interval Screen determines the rate at which the screen change updates will occur. For faster update rates, this value should be lowered. This can affect the performance of the local operations as the C-more panel may also be processing other requests such as PLC communications, data logging, and animation. Default is 2000 ms.
  7. Updating Interval Object: This setting determines the rate at which the Objects on the screen will update when its state changes. If there are many objects on the screen that are changing frequently, the user may increase the update time to reduce the amount of data that must be transferred. If a real time update is preferred, then this setting can be lowered to update faster. This is based on the user preference and can be affected by network traffic. This will affect the performance of the local operations at the C-more panel. Default is 200 ms.
  8. Reset to Defaults: This will reset the client settings and the panel settings to the C-more Remote HMI App defaults.
  9. About App Version: This contains the version number of the C-more Remote HMI App in use.

Unlock Safety Button

The Unlock Button feature has been added to help reduce unintentional activation of the remote C-more panel inputs, such as buttons and keypads entries. Mobile devices are susceptible to being dropped or the screen being touch by a user unintentionally. When in the "Off State", the C-more Remote HMI App workspace tools are active and allow the user to interact with the app menu items, zoom/pan actions, and control all touch interface features. The device functions as an iPhone/iPad/iPod Touch in this state.

Note: The Unlock Safety Button must be active (On) in order to interact with the remote C-more panel.

When the Unlock button is active, the C-more Remote HMI App controls all touch interfaces to the C-more panel. The device functions as a C-more panel in this state. The C-more Remote HMI App workspace GUI tools are not accessible when the Unlock button is active, and the app menu items and zoom/pan features of the iPhone/iPad/iPod Touch are not accessible. To re-establish these features, the unlock button must be deactivated.

Unlock Button States:

Off: (Default State) When the user first logs into the remote C-more panel, the Unlock buttons default mode is not active (off). In the "Off State", the iPhone/iPad/iPod Touch acts in a local mode which activates the C-more Remote HMI App workspace tools and also allows the user to zoom and pan and control all local touch interface features.

Momentary: (Press and Hold) In the touch and hold mode, the Unlock button acts as a momentary button and is active only while being touched. This enables the user to interact with the C-more panel project interface.

Latched: Double tapping the button will latch it in the active(On) state and will remain in the active state until pressed again. This allows the user to interact with the remote C-more panel project as if operating the panel as a local operator.

Move: Tap the button one time to view the Move button. Tap the Move button to enable the Move feature. The Move feature allows the user to place the Unlock button anywhere on the screen as needed so that it does not interfere with the operation of the remote C-more panel inputs or block the view of objects on the remote screen.

Connection Toolbar

The Connection Toolbar allows the C-more Remote HMI App to control the connection to the remote C-more panel. The Toolbar is designed much like the video control toolbar found in many popular video control softwares.

  1. Save Image Button: Allows the C-more Remote HMI App user to save a Jpeg image to the photo section of the iPhone/iPad/iPod Touch. This can be used to capture images of trends, alarm windows, or other screen items that may need to be reviewed at a later time. It is also a great tool for saving images to be used in documentation or the application.

Note: The iPhone/iPad also has a built-in feature that allows the user to capture the active screen image as a jpeg by pressing the iPhone/iPad Home button and the Sleep/Wake (On/Off) key at the top of the device simultaneously.
  2. Pause/Play Button: The pause button will cause the C-more Remote HMI App to pause the updates from the remote C-more panel while still maintaining the connection to the panel. When pressed the button state will change and show the triangular Play button. When the play button is pressed, the remote C-more screen status will begin to update.
  3. Stop Button: When the C-more Remote HMI App is connected to the remote panel, the Stop button will allow the user to disconnect the C-more Remote HMI App from the C-more panel without closing the C-more Remote HMI App workspace GUI. The app will display the last updated status of the remote C-more screen. Once disconnected, the stop button will be grayed out and the play button will then be activated. The user can press the Play button to reconnect the app to the remote C-more panel. The user login information will appear as it does when a new connection is made to the C-more panel.
  4. Add Favorite Button: The Add Favorite button allows the user to add and edit the active C-more panel connection to the list of favorites. This list allows simpler connection to the most used C-more panels.

Status Bar

The Status Bar is located at the bottom of the C-more Remote HMI App workspace and is displayed by default. It can be enabled or disabled by the user as needed from the settings screen. The status bar displays the following information:

  1. Receive and Send Indicators: The indicators blink when data is communicated to and from the C-more Remote HMI App. As objects update on the remote C-more panel, the Receive indicator will highlight in green to show that an update was received by the panel. The Send indicator is activated when data is sent from the Client (Remote HMI App) when an input object is pressed. This can be helpful when troubleshooting connection problems.
  2. Active Login Permission Info: Located in the center of the status bar and displays the login permission level for the account that is presently active. There are three permission levels that can be used for each user account. View mode, View and Screen Control, and Full Control. These permission levels are stored in each C-more panel project and can only be changed by editing the project with the C-more programming software. SeeSetting up the Remote Access for additional information.
  3. Connection Time: This value tracks the time that the C-more Remote HMI App has an active connection to the C-more panel being viewed. This value will increment when the app connection is running or paused with the control toolbar Pause button. It will reset when the connection is stopped with the control toolbar Stop button or the connection is lost.

Saving Favorites File

Using iTunes 9.1 or later, you can copy files between your computer and apps on your iOS device that support file sharing. The C-more Remote HMI App creates a “.dat” file that stores the favorite C-more panel connection settings created by the user. This allows the user to copy, save, or move the favorites from one device to another, or create backup files for when an iPhone/iPad/iPod Touch may fail or need to be reset. Please refer to the iTunes help for more details on file sharing if needed.

Copying Files Using File Sharing:

  1. Connect your iPhone/iPad/iPod Touch device to your computer.
  2. Launch iTunes 9.1 or later on your computer.
  3. Select your device from the Devices section of iTunes.

  4. Click on the Apps tab and scroll down to the bottom of the page.

Note: If you do not see the File Sharing section shown in the image above, your iOS device does not have any apps that support File Sharing.
  5. Under the File Sharing section, you'll find a list of apps currently installed on your iPhone/iPad/iPod Touch device that support File Sharing. Select an app to view a list of the files associated with that app on your iOS device. “RemoteHMIFavorite.dat” should appear in the list when remote HMI is selected.
  6. Drag and drop files from the Documents list to a folder or window on your computer to copy them to your computer, or…
  7. Select the file or files you want to copy to your computer from the Documents list and click the "Save to…" button.


TCP/UDP Connections Port Number Reference

TCP/UDP Connections Port Number Reference Table

The following table provides a list of C-more Port Connection Numbers that may be needed for special configurations by the user (i.e., Router NAT Tables).

Ethernet Connection

Ethernet Connection

Port Number

Protocol

Project Transfer, Programming Port, Ethernet

Server

9999

TCP

Project Transfer, Programming Port, USB

Server

10900

Pass Through

Client - PLC Side

Serial - NA, Ethernet - 11110

TCP

Server - Panel Side

11110

TCP

FTP

Server

21 (Default, but configurable)

TCP

Client

21

TCP

Email- SMTP

Client

25 (Default, but configurable)

TCP

Email- POP3

Client

110 (Default, but configurable)

TCP

Web Server

Server

80 (Default, but configurable)

TCP

Remote Access

Server

11102 (Default, but configurable)

TCP

Modbus TCP

Client

502 (Default, but configurable)

TCP

Productivity Ethernet

Client

TCP

GS Drives TCP/IP

Client

TCP

Entivity Modbus TCP

Client

TCP

DirectLogic Ethernet

Client

28784

UDP

Do-more Ethernet

Client

UDP

Generic EtherNet/IP Server Listening Port

Server

44818 - Explicit messaging

TCP

Server

2222 - I/O Messaging

UDP

Client EtherNet/IP

Client

44818 - (Default, but configurable)

TCP

Siemens Ethernet

Client

102

TCP

Mitsubishi Ethernet

Client

2050 ( 0x0802 ) (Default, but configurable)

TCP

Omron Ethernet

Client

9600 (Default, but configurable)

UDP

Ports reserved for System use

10901 - 10930

Ports reserved for System use

11100

Ports reserved for System use

11101


FTP Client Setup

The C-more panel may be used as an FTP Client to an External FTP server. Server information is entered into the Address Book and files are sent to the targeted FTP Server by the FTP Action in the Event Manager.

Note: The FTP port number 21 is not configurable when the C-more panel acts as an FTP client.

Set Up the Address Book

To set up the Address Book, do the following:

  1. Do one of the following:
  • From the Main menu, click the Database menu and select Address Book, or

  • From the Navigation window, select the Function tab and then under Database, click Address Book.

The Address Book window shown below opens.
  2. Click Add to add a new FTP Server to this list.
    The Add FTP Server dialog box opens.

  3. Complete the fields on the screen using the information in the table below:

FTP Server Tab

Field

Description

Name

This Name is used in the Event Manager to more easily recognize the server from a list.

Server Address

The IP Address of the FTP Server the C-more panel will target when sending files. This information must be known or provided by the person responsible for the FTP server (i.e., the Network Administrator).

Path

The folder to which the files from the C-more panel will be written on the FTP server. If the files will be written to the default folder, no path is required here.

PASV

PASV FTP, also called passive FTP, is an alternative mode for establishing File Transfer Protocol (FTP) connections.

Passive FTP is a preferred FTP mode for FTP clients behind a firewall and is often used for web-based FTP clients and computers connecting to an FTP server within a corporate network. PASV FTP is also more secure than active FTP because the client initiates the transfer, as opposed to the transfer being initiated by the FTP server.

ID/Password

Anonymous

Select if the FTP server does not require a login ID and password.

ID

Username or ID required by the FTP server.

Password

Password required by the FTP server.


Data Logging

What is Data Logging

Data Logging with C-more panels is accomplished by using the Line Trend Graph object or the PID Faceplate Trend object. When Save Log Data is selected on the Option tab configuration for that object, data is written to a " .log " file saved to the storage device selected there.

Data Logging is commonly used to monitor systems and/or processes taking place at an industrial facility, providing time, date, and current conditions as configured on the Object. Data Logging can be used to collect temperatures, flows, alarms, levels, pressure and just about any instrument measurable condition.

By default a header row is added into log files in projects. If the application in which the log file will be used does not support a header row, deselect this option in Panel Manager.

In general, attempts to log data at intervals faster than once per second will be unreliable due to the write time required.

Using Data Logging

As mentioned above, Data Logging for the C-more panel is available through the Line Trend Graph and PID Faceplate Trend Graph Objects. To learn more on the setup of each of these Objects, click on the button selections below to open the respective topic.

The following are the Data Logging Log File quantities allowed by the C-more HMI Program/Panels:

  1. Maximum Number of Logging Files: 18 Log File / Panel
  1. Trend Graph / PID Trend Log Data: 16 Log File / Panel Max subject to storage maximums. Refer to Runtime Errors topic.
  2. Alarm List Log: 1 Log File / Panel
  3. Message DB Log: 1 Log File / Panel
  1. Message Database / Lookup Text Object, or
  2. Multistate Text Object

  2. When is the MRAM buffer written to the SD card or USB Flash?

  1. The MRAM Buffer (2KB) is full or 20 Records have been written.
  2. 1 minute has passed since last transfer to flash device.
  3. A Log File is sent via FTP or Email by the Event Manager.
  4. The following System Tags are turned ON:
    1. SYS Copy LogTo%Device% - %Device% = SD1, SD2 or USB
    2. SYS %Device% Eject - %Device% = SD1, SD2 or USB
  5. The System Screen is called.
  6. When the panel is powered-up, Line Trend and PID Trend Log Data in MRAM will be stored to %Device% - %Device% = SD1, SD2 or USB.

Note: All MRAM Data, *.log Files and *.txt Files in the panel will be cleared when a project is transferred to the panel.

Note: The EA-AC accessory provides a degree of data protection when a power loss occurs. When the EA-AC detects an undervoltage condition (power loss), it will turn off the backlight in order to extend the power to complete the current data logging operation with minimal risk of data corruption. Because of the write speeds inherent in the storage media, there is essentially no risk of data corruption when using an EA-AC and writing to SD card. There is a risk of data corruption upon power loss when writing to USB storage, although the risk is minimized when using the EA-AC.

Note: The maximum number of log files with the same first four characters is 999 files.
Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example,
TREND GRAPH EAST CHILLER TEMP_110925.txt and
TREND GRAPH WEST CHILLER TEMP_110925.txt
will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If multiple graph objects appear on one screen, the files will be identified internally by the first two characters of the screen name plus the first two characters of the object name plus tilde plus three -digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

SYS DELETE DEVICE LOG tags are available to programmatically perform file maintenance.


Managing Data Logging & Logging Devices

A sample project showing an option for using Logging and File Management tags is installed with your software: Using external memory devices.eap9. The default folder is Documents\AutomationDirect\C-more\Projects.

System Tag

Description

Data Type

R/W

"Write ON"

Only

Retentive

Note

SYS SD1 WriteStatus

SYS %Device% Write Status

Use this tag to indicate to user when the device is being accessed. For example, an Indicator Light to indicate "Do Not Remove Device While It Is Being Accessed".

Discrete

R

No

No

Status ON is accessing to SD1 Device.

Status OFF is not access to SD1 Device.

Write data is Alarm, Message, Capture and Trend.

SYS SD2 WriteStatus

Discrete

R

No

No

Status ON is writing log data to SD2 Device.

Status OFF is not writing log data to SD2 Device.

Write data is Alarm, Message, Capture and Trend.

SYS USB WriteStatus

Discrete

R

No

No

Status ON is writing log data to USB Device.

Status OFF is not writing log data to USB Device.

Write data is Alarm, Message, Capture and Trend.

SYS SD1 Eject

SYS %Device% Eject

Use with a Pushbutton, SET ON, to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.

Discrete

R/W

Yes

No

ON to Eject SD1 and automatically OFF when ready to eject

SYS SD2 Eject

Discrete

R/W

Yes

No

ON to Eject SD2 and "SYS SD2 ReadyToUse" is OFF when ready to eject

SYS USB Eject

Discrete

R/W

Yes

No

ON to Eject USB and "SYS USB ReadyToUse" is OFF when ready to eject

SYS Copy LogToSD1

SYS Copy Log to %Device%

Use with Pushbutton. Copies complete logs from all the devices to the %Device% associated with the Tag (%Device%).

Discrete

R/W

No

No

ON to Save Logfile to SD1 and automatically OFF when finished

SYS Copy LogToSD2

Discrete

R/W

No

No

ON to Save Logfile to SD2 and automatically OFF when finished

SYS Copy LogToUSB

Discrete

R/W

No

No

ON to Save Logfile to USB and automatically OFF when finished

The following System Tags are available for SD1, SD2 and USB:

SYS SD1 TotalMemory

Unit: Kbyte

US32

R

No

No

SYS SD1 FreeMemory

Unit: Kbyte

Use to monitor the amount of free memory on the device. Use with Event Manager to alert user that the device is full.

US32

R

No

No

SYS SD1 UsedMemory

Unit: Kbyte

US32

R

No

SYS SD1 ReadyToUse

Use with indicator light to indicate the "Ready To Use" after inserting.

Discrete

R

No

No

SD1 Device ready for use. Status ON is Ready, OFF is not Ready.

SYS SD1 WriteStatus

Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While It Is Being Accessed".

Discrete

R

No

No

Status ON is writing data to SD1 Device. Status OFF is not currently writing to SD1 Device. Write data is Alarm, Message, Capture and Trend.

SYS SD1 Eject

Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.

Discrete

R/W

Yes

No

ON to write data in the log buffer and prepare to physically remove SD1. "SYS SD1 ReadyToUse" is OFF when the device can be safely ejected. SYS SD1 Eject is automatically OFF when data write is complete and ready to eject.
The following General Error Tags are available for use:

SYS ERR

LogError

Status ON when log buffer memory overflow occurs.

Status OFF is no Error.

Discrete

R

No

No

SYS ERR

ScreenCapture Error

Discrete

R

No

SYS SD1 Write Protected

Status ON is Write Protected.

Discrete

R

No

No

SYS SD2 Write Protected

Status ON is Write Protected.

Discrete

R

No

No
The following File Management Tags are available for use:

SYS Copy LogToSD1

Use with Pushbutton. Copies complete logs from all the devices to the %Device% associated with the Tag

Discrete

R/W

No

No

ON to Save all Logfiles to SD1

SYS Copy LogToSD2

Discrete

R/W

No

No

ON to Save all Logfiles to SD2

SYS Copy LogToUSB

Discrete

R/W

No

No

ON to Save all Logfiles to USB

SYS DELETE

ALL LOG

Transition to ON will delete log files on any installed external memory devices

Discrete

R/W

No

No

SYS DELETE

SD1 LOG

Transition to ON will delete log files from an installed SD card in SD1 slot

Discrete

R/W

No

No

SYS DELETE

SD2 LOG

Transition to ON will delete log files from an installed USB memory device

Discrete

R/W

No

No

SYS DELETE

USB LOG

Transition to ON will delete log files from an installed SD card in SD2 slot

Discrete

R/W

No

No

Data Logging - Memory Device Full

The following explains what occurs when logging data from an object, such as Line Trending, and the memory device becomes full. The memory device can be a USB pen drive plugged into the USB port, or a SD memory card plugged into location SD1 or SD2.

  • When the memory device that is being used for logging is full, the panel will stop writing to the log and a RTE-001 Runtime Error will be displayed on the screen. The displayed error message will read "Log Failed. Not enough Memory Space in %Device%"; %Device% can be USB, SD1, or SD2.
  1. The data logging object will continue to execute.
  2. The user can monitor the System Tag "SYS %DEVICE% FreeMemory" with the Event Manager, and display a message to the operator to warn when the memory device is close to full.
  3. The user can also use a Pushbutton object with the tag "SYS Copy Log to %Device%" to copy ALL logs on ALL other devices to %Device% and therefore save the current data. For example, if the application is logging to SD1 and SD2, the user can monitor "SYS SD1 FreeMemory" and "SYS SD2 FreeMemory" in the Event Manager. When the value of either gets below a set value in the Event Manager, then the Event Manger can issue an alarm, send an email, etc. The operator can then insert a USB pen drive into the panel's USB port, and press a pushbutton that is configured with System Tag "SYS Copy Log to USB". This action will copy all of the logged data to the USB pen drive from both SD1 and SD2. The operator can then use the System Setup Screen's Memory selection to clear both SD1 and SD2. This example can work with different combinations of the memory devices, but the preferred method is using a USB pen drive because it is the easiest device to insert and remove.

Notes: The Maximum Number of Log Files with the same first four characters is 999 files. Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example:

TREND GRAPH EAST CHILLER TEMP_110925.txt and TREND GRAPH WEST CHILLER TEMP_110925.txt will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If Multiple Graph Objects appear on one screen, the files will be identified internally by the first Two Characters of the screen name plus the first Two Characters of the object name plus tilde plus three digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

SYS DELETE DEVIC LOG tags are available to programmatically perform file maintenance.


Trend Data Logging Calculator

This topic provides a Calculator that can be used to make Calculations for setup requirements when configuring Trend Data Logging with C-more panels/software. To use this Calculator you must provide the following data:

Number of Pens (# of Pens)

Total Stored Samples (From setting in Trend Dialog Box)

Storage Space Available (Click on the green text to learn how to find this information)

Samples Per Minute

Once you gather this Data, click on the corresponding fields shaded in yellow and type in the Data. Only type info on the Yellow Shaded fields. When you finish entering this Data, click on the Calculate button. All fields will display the results for the Data Logging Calculations specific for the Data provided.

Trend Data Logging Calculator

(Size per Trend Object)

Binary File Size (Per Trend Object)
# of Pens = | BIN File Size = | Bytes
 |  | KB
Total Stored Samples = |  | MB
CSV File Size (Per Trend Object)
Data Type | Size
INT16 File Size (Bytes) = |
INT32 File Size (Bytes) = |
FLOAT File Size (Bytes) = |
Total Storage Time
Storage Space Available = | MB | KB |
Samples Per Minute = | Samples |  |
INT16 File Size (Bytes) = | Minutes | Hours | Days
INT32 File Size (Bytes) = | Minutes | Hours | Days
Float File Size (Bytes) = | Minutes | Hours | Days

Storage Space Available

Note: Storage Space Available can also be checked from the Panel's System Screen accessed by touching and holding the top-left corner of the viewable area of the panel. For more information refer to the C-more Panel Hardware User's Manual.

Note: The Maximum Number of Log Files with the same first four characters is 999 files.
Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example,
TREND GRAPH EAST CHILLER TEMP_110925.txt and
TREND GRAPH WEST CHILLER TEMP_110925.txt
will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If Multiple Graph Objects appear on one screen, the files will be identified internally by the first Two Characters of the screen name plus the first Two Characters of the object name plus tilde plus three digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

SYSDELETEDEVICELOGtags are available to programmatically perform file maintenance.


Recipe Object - General Tab

Recipe Object General Tab Description

The Recipe Object is used to load multiple values into tags with the push of a button.

In a Recipe, Source Data (constant values or Tag values) are loaded to the Destination Tags when the Recipe is loaded.

Adding a Recipe Object to Your Project

To add a recipe object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Recipe and then Recipe.

    or
  • From the Object List, click and drag the Recipe selection to the work area.

The Recipe Object set-up window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Note: If a Recipe Object is configured with Insert/Delete Row privileges, and a Static Recipe is called from a Call Recipe object, the values loaded by a Static Recipe record number may be changed when an Add Row or Delete Row is performed at the panel. That is, if Recipe 3 is entered in this Call Recipe Object, and an operator deletes Recipe 2 from a Recipe Object, this Call Recipe Object will load values previously associated with Recipe Record Number 4 (now reassigned Recipe Record Number 3.)


Recipe Object - Recipe Tab

Configure the Recipe Tab

The Recipe tab is part of the Recipe Object configuration. From this tab, the user may select between a Single Source Recipe or Multiple Source Recipes.

Configuring a Single Source Recipe

Single Source Recipe: The data entered in the object's Recipe Tab is loaded directly into the Destination Tags. This data can only be edited in the C‐more Software. The data type for the Destination Tag must match the data type for the Source Tag.

To configure a single source recipe, do the following:

  1. Click the Recipe tab.

  2. Complete the fields on the screen using the information in the table below.

Recipe Object Window - Recipe Tab

Field

Description

Single Source Recipe

This is the default selection and is used to configure a Single Source Recipe that will be associated with this Recipe Object.

Number

When you add a Recipe, the C-more Program assigns this number automatically according to the next number available on the list.
Data Type

This column displays the Data Type for the specific Recipe Row.
Destination Data | This column displays the Destination Tags that the Source data will be written to when the Recipe object is pressed.
Source Data | This column displays the Source for the specific Recipe Row. This could be a Tag or a Static Data.

  3. Click the Add button to set up a new Recipe Entry.
    The Add/Edit Recipe window opens.

  4. Complete the fields in the Add/Edit Receipt window using the information in the table below and click Add.

Recipe Object Window - Recipe Tab - Add/Edit Recipe

Field

Description

Recipe #

When you Add a Recipe, the C-more Program assigns this number automatically according to the next number available on the list.

Destination
Tag Name

Select a Tag Name to assign as a Destination Tag. When the Recipe object is pressed, the Source Data will be written to this Tag Name.

The Data Type used for the Destination Tag MUST match the Data Type used for the Source Tag.

Source Constant Value

Click on this selection to assign a Constant Value for the source of this Recipe Entry. This is a static value that can only be changed with the C-more software.

Data Format

The list of Data Format choices displayed depends on the data type of the Destination Tag Name selected.
Tag Data Click on this selection to assign a Tag Name from the Tag Name Database as the source for this Recipe Entry. By using a Tag Name, the value of the Source can be changed by using objects in on the C-more panel or by the connected controller.
  5. To edit an entry in the table, select the entry and click the Edit button.
  6. To permanently delete an entry in the table, select the entry and click the Delete button.

If a Recipe Object is configured with Insert/Delete Row privileges, and a Static Recipe is called from a Call Recipe object, the values loaded by a Static Recipe record number may be changed when an Add Row or Delete Row is performed at the panel. That is, if Recipe 3 is entered in this Call Recipe Object, and an operator deletes Recipe 2 from a Recipe Object, this Call Recipe Object will load values previously associated with Recipe Record Number 4 (now reassigned Recipe Record Number 3.)

Configuring a Multiple Source Recipe

The Source Data for the Recipe is taken from a particular row in the selected Recipe Sheet. The Multiple Source Recipe allows the use of a specific Recipe from a specific Recipe Sheet from the Recipe Sheet Database.

To add a multiple source recipe to your project,

  1. Click to select the Multiple Source radio button.
    The Recipe set-up window opens.

Recipe Object Window - Recipe Tab - Multiple Source Recipe

Field

Description

Recipe Sheet

Click on the down arrow to open a drop-down list of any available Recipe Sheets from the Recipe Database. If no Recipe Sheets have been created, click the Recipe Sheet button to the right of the field to create one. Click on the green text to learn more about creating Recipe Sheets. A Recipe Sheet may contain as many as 1000 Recipes (or Recipe Records).

Since the drop-down list only shows a list of Recipe Names, a good way to find out the Recipe Number is by clicking on the Recipe Sheet button. This opens the assigned Recipe Sheet and you can see the Recipe Number on the left column of each row.

Static

To assign a specific recipe from a Recipe Sheet to the Recipe object, select the Static radio button. Use the Up or Down arrows to select a specific Static Recipe Number from the selected Recipe Sheet.

The same Recipe will be loaded each time the object is activated. This has the same result as when "Single Source Recipe" is selected but may be valuable when many Recipes are stored in a Recipe Sheet used in many different projects, each project using only one of the available Recipes.
Tag Name

The Tag Name selection allows the user to variably specify the Recipe from the Recipe Sheet that is assigned to the button.

Select the Tag Name selection to assign a Tag Name to the Recipe object. When this selection is made, the Tag Name can be used to allow the Recipe object to be assigned to any Recipe in the Recipe Sheet by changing the value contained in the Tag.

The Recipe is selectable as the project is running on the panel by changing the Recipe Record number stored in this tag.


Recipe Object - Control Tab

Configuring the Control Tab

The information in this topic applies ONLY to the Control tab available from the following topics:
- Numeric Entry
- Recipe Object

The Control Tab allows the user to configure Handshaking between the Panel and the PLC to ensure data is written within the specified time.

To configure the Notification and Handshake for the Recipe object, do the following:

  1. Click the Control tab.
    The Control tab opens.

  2. Complete the fields on the screen using the information in the table below:

Recipe Object Window - Control Tab

Area on Screen

Description

Notification Tag Name

The Notification Tag is the Controller Tag associated with a Bit to notify the PLC that a value has been entered. The C-more panel turns this bit ON when the Recipe Object is pressed and C-more turns this bit OFF when either the Handshake Tag (ON) is read from the PLC or when the Handshake timer times out. Click on the down arrow to select a Tag Name to assign where the Entry is to be sent.

Handshake Tag

The Handshake Tag associated with a Bit that the Controller turns ON indicating that it has received the Notification Bit. Click on the down arrow to select a Tag Name to assign for the detection of a Handshake from the PLC.
Handshake Timeout

If the Handshake Tag is not turned ON by the Controller in the amount of Time allowed by the Handshake Timeout field, a Handshake Timeout will occur. When a Timeout occurs, the Keypad stays open to indicate that the Notification and Handshake process failed.

To enter a Timeout value, click on the field and enter the amount of time allowed to receive the Handshake in milliseconds.


Recipe Object - Option Visibility Tab

Topic: CM367

Recipe Object - Option (Visibility) Tab

Object Option Tab Window Description

The Option tab enables the user to enter and edit settings that affect visibility of the object.

To configure the Option tab, do the following:

  1. Click the Option tab.
    The set-up window shown below opens.

The selections available are shown in the figure above and will be shaded, indicating that the selections are not active and no changes can be made.

  2. To make the window active, click the Object Visibility Option checkbox.
  3. Complete the fields on the screen using the information in the table below.

Configuring the Option Tab

Object Visibility Options
Field | Description
Tag Name | Select the Tag Name that will determine the visibility of the object.
Object is Visible When Address Value is

This selection is displayed when a Numerical Tag is selected. Click on the down arrow to the right of the field to select the proper operand that makes the value on the field to the right True. When this value is met, the object will become visible.

When a Discrete Tag is selected as a Tag Name, the Option window will provide ON/OFF. Click to select the correct configuration.


Password Tab

Password Tab Description

The Password Tab setup allows the user to configure a Password requirement when an Object is pressed. This allows the programmer to set up an Object that can only be used by authorized individuals. When the Password Tab is selected, the setup window shown below opens.

Select the groups who will be allowed to enter data when their Password is entered correctly. See the Configure Password topic for information on configuring these groups.

Note: Some Style Options do not support the Password Option. These limitations are identified on the Password Tab for each Object.


Call Recipe Object

Topic: CM463

Call Recipe Object - General Tab

Call Recipe Object Description

The Call Recipe Object is used to create a button that will call a specific Recipe Sheet from the Recipe Database and will display it on the Panel as configured during the setup of the object.

Add a Call Recipe Object to Your Project

To add a Call Recipe Object to your project, do the following:

  1. Do one of the following:
    • From the Object menu, select Recipe and then Call Recipe,

      or
    • From the Object List, select Call Recipe or drag it to the work area.
      The Call Recipe window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Call Recipe Object - General Tab

Field

Description
Row Count and Col Count

The Row Count and Col Count determine the number of rows and columns of the Recipe Sheet that will be displayed on the panel when the Call Recipe button is selected.

Back Color1 and Back Color2

The Back Color1 and 2 determine the background colors for the rows and columns on the Recipe Sheet according to the selection on the Shading Format icon on the Recipe Sheet on the panel.

For example, if white is selected for Back Color1 and gray is selected for Back Color2, then the Rows on the Recipe Sheet will display the odd numbered Rows with white Background and the even Rows with gray background.

Select Recipe Sheet | To select a recipe sheet from the Recipe Database, click on the down arrow. If no Recipe Sheet has been created, then the list will be empty. If a new Recipe Sheet needs to be created, click on the Recipe Sheet button to the right of the field to open the Recipe Database.
Object Style | Object styles are round or square. To select the preferred style to use for this object, click to select the Object Style.
Type

Click to select the Type of Call Recipe Object window you would like to use. Three choices are available:

Display Only: You can only view the data on the Recipe Sheet when it is opened on the panel.

Display & Download: When displayed on the panel, you can view the data on the Recipe Sheet and you also can select any of the rows to send it to the Controller.

To download a recipe to the panel, select a row and select the Load button.

Display, Download & Edit: You can view the data on the Recipe Sheet and also can select any of the rows to send to the PLC(s).

To edit any data in the cells when, select Edit mode and touch a cell. The Data Entry screen looks like a Numeric Entry Object and will open to allow changes.
Show Title Bar | Causes the name of the Recipe Sheet to be displayed at the top of the window.

The Recipe Sheet window, displayed on the C-more Panel, displays the information about the entries of the selected Recipe Sheet and also provides buttons to Edit, Load, and perform other functions.

When looking at the list below, keep in mind that the screen is displayed from the panel. The contents of the Recipe Sheet display include the following:

Recipe Sheet Window - Display, Download and Edit

Field

Description

Recipe Sheet

The spreadsheet portion of the recipe sheet where the recipe data is entered or edited on the Recipe Sheet.

The Recipe Sheet window displayed by the panel normally shows only the Recipe Sheet Rows and Columns with data.

Tools | To open or close the Tool Box, click this icon.

Zoom In or Zoom Out

Makes the font larger or smaller on the panel to make it more readable
Shading Format Icons

Button will change the way the shading for the rows or columns appear. The selections are:

  • Every other Row gray
  • Every other Column gray
  • All Rows and Columns are White
Comma | Select to turn ON or OFF the use of Comma for ease of reading large numbers.
Page | Select any of the active double arrows to Page Down, Page UP, or page to the left or right. If the arrows are gray, they are not active.
Row/Column | Click on any of the black arrows to go Down or UP a Row or go Left or Right on columns. If the arrows are gray, they are not active.
Load | To load the selected Recipe, select a row (Recipe) and then select the Load button.
Edit | To activate Edit Mode, click the Edit button. A selected Edit button has a Gray Background. With the Edit Mode active, touch on a cell. A numeric pad will open to allow entry of a new value.
Close | To close the Recipe Sheet window, click the Close button.
Display | This portion of the window displays the value in the selected cell. This display helps to view the contents of a cell when the content is wider than the cell.


Import

C-more Programming Software will allow you to import database files and project information. This is especially useful when copying information from an existing project to a second project, or when a database has been exported and edited.

Import Project Data

The following project information may be imported directly from another project file (*.eap or *.eap9):

  • Tag Name Database
  • Message Database
  • Event Database
  • Address Book
  • Recipe Database - This includes all recipe sheets and all recipe records in each recipe sheet. This is more inclusive than the separate Import-Recipe Sheet function.

Screens may also be imported directly from another project file. In the Project Data Import window, the Screen Data check box must be selected AND each screen to be imported must be selected. Use Shift-Click to select more than one screen.

Import Databases

The following databases may be imported:

  • Tag Name Database (*.xls, *.csv or *.l5k)
  • Message Database (*.xls)
  • Address Book (*.xls)
  • Language Edit (*.xls)
  • Event Database (*.xls)
  • Recipe Sheet (exported from another C-more project OR saved from Excel in UNICODE file format with .csv extension only) - this imports a single recipe sheet with all its recipe records.
  • Library (exported from another C-more project that may include Screen Library, Object Library, Graphic and/or Sound Library)

Project information and databases may be imported form the File > Import menu. Databases may be imported from the Database window in the C-more Software.


Import a Language Edit Database

Topic: CM241

Import Language Edit Database

The Import a Language Edit Database selection enables you to import an existing database from another project.

To import a Language Edit Database, do the following:

  1. From the File menu, select Import and then Language Edit Database.

The Open window opens.

  2. Double-click the database name or click Open.
    The Import Language Edit window opens.

Note: The imported file will overwrite the existing Language Edit Database information.

My File Contains a Header Row. When checked, the first row of the file is not Imported (title row). When unchecked, all rows will be Imported (including the header row).

  3. Click Import.


Import a Library

Import a Library

The Import a Library selection enables a user to import a library that has been exported from another project into the new project.

To import a library, do the following:

  1. From the File menu, select Import and then Library.

The Import Library window opens.

  2. In the Select a Folder field, click Browse to open the Browse for Folder window shown below.

  3. Navigate to the folder where the library was exported.
    If you exported the libraries to your Documents\Exports folder, then by default there will be a folder named Library in the Documents\Exports folder.
  4. Navigate to the Documents folder.
    The software will recognize any library folders regardless of what they are named and list all of the libraries available as shown in the Import Library window below.
  5. Select the folder and click OK.
    The available libraries are loaded.

The selections available are:

  • Select Library: Select the libraries from which you want to import files. You may select multiple libraries or any combination.

  • File List: Select the individual files you want to import into the project.
  6. When all selections are completed, click the Import button.


Import a Message Database

Topic: CM256

Import Message Database

The Import Message Database selection enables a user to import a Message Database that has been exported from another project.

To import a Message Database, do the following:

  1. From the File menu, select Import and then Message Database

The Open window opens.

  2. Once the file is found and selected, double-click the filename or click Open.
    The Import Message Database window opens as shown below.

This window displays the selected file path from the previous window and provides two options to select for the Import process.

  • Import Message that have the Same Message #: If not checked, the program will only Import Message numbers that are not already in the Database. When checked, the program will overwrite Messages that have the same Message Number. This box is not checked by default.

  • My File Contains a Header Row: When checked, the first row of the file is not imported (title row). When unchecked, all rows will be imported (including the header row)

  5. When all selections are completed, click the Import button.


Import a Project Data File

The Import a Project Data File selection enables a user to import selected portions of an existing project.

To import a Project Data file, do the following:

  1. From the File drop-down menu, select Import.
  2. Select Project Data.

The Open window opens.

  3. In the Look In field, browse for the project file by clicking on the down arrow [image].
  4. Double-click the file name or click on Open.
    The Import Project Data window opens.

This window displays the selected file path from the previous window and provides options to select for the Import process. The selections available are:

  • Screen Data: Check this box to enable selecting screens to import. The user may choose specific screens to include in the import process if all screens are not required.

Note:If the screen number being imported already exists in the open project, the next available screen number will be assigned to the imported screens.
  • User Defined Keypad: Check this box to enable selecting User Defined Keypads to import.
  • Database: Select the desired databases to import from the selected project.
  6. When all selections are complete, click on the OK button.
    The Project Data is Imported and the Import Completed window will open indicating the Import is complete.
  7. Click the OK button to close this window.


Import a Tag Name Database

The Import Tag Name Database allows a user to Import a Tag Name Database from the following properly formatted types:

  • CSV - Comma Delimited
  • XLS - Excel Spreadsheet™
  • L5K - Allen-Bradley RSLogix 5000™ File

Import a Tag Name Database

To import a Tag Name Database, do the following:

  1. From the File menu, select Import and then Tag Name Database.

The Import Tag Name Database from Excel/CSVFile window opens.

  2. Complete the fields on the screen using the information in the table below.

Import Tag Name Database

Field

Description

File Path

 Enter the path or browse for the file to import or click the adjacent button to browse for the file. The file should be a CSV, XLS, L5K or L5X file type. The type of file selected will affect the selections available.

Import Settings

CSV Format

 XLS - If the file selected is a .XLS file, then the CSV Format selection is disabled. The .XLS file should be a Tag Name Database file exported from a project using the C-more Programming Software.

CSV - If the file selected for import is a .CSV file, then this drop-down list enables the selection of one of several predefined formats
  • C-more (Default) – This is a Tag Name Database file that was exported from a project using the C-more Programming Software.
  • DirectSOFT – The Tag Name Database file was exported from the DirectSOFT PLC Software using the “Export Element Documentation in C-more format.”
  • CLICK – The Tag Name Database file was exported from the CLICK PLC Software. Only Tag Names with Nicknames will be imported.
  • Productivity Series – The Tag Name Database file was generated by the Productivity Suite Programming Software. The basic file must be selected for import.
  • Do-more – The Tag Name Database file was exported from the Do-more Designer Software using one of the “C-more Do-more Driver Format” selections. See Help topic AutomationDirect Do-more PLC Importing Tags for more information.
  • A-B SLC and MicroLogix Format – When A-B SLC and MicroLogix is selected, the Import function looks for the .CSV file to be in the format as it would be exported from Rockwell Automation RSLogix™ programming software.

    The following Data File types can be Imported for the A-B SLC and MicroLogix:
  • B - Binary
  • T - Timer
  • C - Counter
  • R - Control
  • N - Integer
  • F - Floating Point
  • L - Long
  • ST - String
  • I, O, and S are not imported.
  • Only the following elements of the Timer, Counter and Control Data files are imported:
    • TIMER: EN, TT, DN, ACC, PRE - If ACC or PRE are not designated in the Import file, the Import will default to ACC.
    • COUNTER: DN, CU, CD, OV, UN, ACC, PRE - If ACC or PRE are not designated in the Import file, the Import will default to ACC.
    • CONTROL: EN, DN, EU, EM, ER, UL, IN, FD, LEN, POS.
A-B SLC and MicroLogix Format

C-more Tag Name Determination
When Imported, the C-more Tag Name will be determined by the following priority. If the higher priority is blank, the next priority will be used.

  1. A-B Symbol
  2. Description Lines 1 through 5
  3. PLC Address
Avoid the use of special characters and symbols in all three of these areas. Special characters and symbols include ! @ # $ % ^ & * ( ) + = \ | ] } [ { / ? . > , < ; : ’ ” These will break the delimiting of the file data.

My File contains a header row

 When checked, the first row of the file is not imported. When unchecked, all rows will be imported.

Device

 Select the device that is associated with the tag names being imported. Devices are added and configured in the Panel Manager.
Selecting Default causes the tag names to be imported to the device specified in the Import files “DeviceName” column.

Add Button

 To add a device, click the Add button. The Panel Manager opens so you can add a device.

Protocol

 This is not a writable field. This field is only used for information purposes. The field will display the Protocol settings of the selected device. This field will be blank if Default is selected form the Device drop-down list.

Append Text

 This field allows the user to enter text that will be appended to the end of each Tag Name to differentiate it from the other Tag Names.
C-more does not allow duplicate Tag Names even among different devices.

Import Array Element

 This field is used with devices that support Tag Arrays. It defines how many array elements for each individual array will be imported to the C-more Programming Software. If the array in the device contains 1200 elements but you only need the first 10 in the C-more application, change this value to 10. This can greatly reduce the number of tags in the C-more Programming Software for efficiency in tag name selection. Choose the number appropriate to the application.

Alias Option

 If the file selected for import is a L5K or L5X file type, then this field is enabled. The selections are designed to allow the user to select which is most efficient and convenient for them as the programmer depending on how they have named their tags and aliases.

Do not import Aliases: Will not import any aliases, only regular tags.

Import all Aliases & Tags: Will import all aliases and tags.

Import only Aliases: Will not import regular tags, only aliases.

Import Aliases & Tags that do not have Aliases: Will import all aliases and only tags that do not have aliases assigned to them.

Overwrite Existing Tags

 Select this checkbox to allow any imported tag names to overwrite any existing Tag Names that have the same name. If unchecked, any imported Tag Names with the same name as existing Tag Names will not be imported. An error will be generated for each Tag Name that already exists.

  2. When all selections are completed, click on the Import button shown in the figure above to begin the import process.
    The progress window shown below will open.

  3. When the import process is complete, the Tag Name Database window shown below will open indicating if a Tag Name was not imported and the reason why.

  4. Click OK to close the window and continue working.
    Otherwise, when no issues occur, a message window opens displaying the message Import Completed.

  5. Click OK and the application is ready to use.


Import an Address Book Database

The Import an Address Book selection enables a user to import either an existing Mail address book or FTP address book that was previously exported from this or another project.

To import an Address Book database, do the following:

  1. From the File menu, select Import and then Address Book Database.

    The Open window opens.

  2. Browse for the file to import.

Note: The Mail Address Database and FTP Address Database are separate files and are exported and imported separately.

  3. Once the file is found and selected, double-click the file name or click Open.
    The Import Address Book window shown below opens.

Note: The imported files will overwrite the existing Mail or FTP Address Database information.

My File Contains a Header Row: When checked, the first row of the file is not imported (title row), as described to the right of the selection. When unchecked, all rows will be imported (including the header row.

  4. When all selections are completed, click on the Import button.


Import a Recipe

The Import Recipe selections allow the users to import recipe sheets that were previously exported with the C-More software.

Import a Recipe

To import a recipe, do the following:

  1. From the File menu, select Import and then Recipe Sheet.

Notes: To import a recipe sheet, the desired recipe sheet being imported must be in a Unicode file format exported/saved with a .csv file name extension.

If you want to enter recipe sheet data using a program other than C-more Programming Software, the best way to accomplish this is to create a small recipe sheet using the C-more Programming Software and export the recipe sheet from the program. Add the desired data in the proper format using an application such as Excel™. When saving in Excel, make sure to save the file as a Unicode Text file format and change the file name extension to .csv.

Recipe sheets can be edited using Microsoft Excel. For more details on using Excel to edit recipe sheets, click on the green Excel text.

A blank recipe sheet will open and the Import Recipe Sheet window will open on top of it.

  2. From the Import Recipe Sheet window, browse and select the file to Import. By default, the project files and .csv file backups of the C-more Programming Software are placed or found in the Project folder.

  3. Select the file and click the Open button.

  4. The recipe sheet imports and the data is automatically displayed in the respective fields. The recipe sheet import is complete. Save your recipe sheet and edit as needed.

Note: If you get an Error Message like the one shown below after you import recipe sheet, the imported recipe sheet has existing errors that need to be corrected. Corrections can easily be made in the Recipe Sheet Editor itself. To learn more about finding Errors, click on the green text.


Export

C-more Software enables you to export database files. This is especially useful when copying information to an existing project. Databases may be exported modified and imported also. When editing a database, using a spreadsheet tool such as Excel may be more convenient. Databases may be exported from the File > Export menu or from the Database Window in the C-more Software.

Export

The following project elements may be exported:

  • Tag Name Database (*.xls or *.csv)
  • Message Database (*.xls)
  • Address Book (*.xls)
  • Language Edit (*.xls)
  • Event Manager Database (*.xls)
  • Screen Image (.jpg)
  • Library (may include Screen Library, Object Library, Graphic Library and/or Sound Library)
  • Recipe Sheet (.csv), is a database of one or more Recipe Records.

Note: If an exported Recipe Sheet is edited in Excel, it must be Saved in UNICODE FILE FORMAT with .txt extension, then in File Manager change the extension to .csv.


Export Language Edit Database

The Export Language Edit Database selection enables a user to export an existing Language Edit Database from an existing project.

To export a Language Edit Database, do the following:

  1. From the File menu, select Export and then Language Edit.

The Export Language Edit window opens.

  2. In the Save In field, click Browse and browse to the folder in which the exported Language Edit Database will be saved.

  3. Select the folder and click OK.
  4. In the File Name field, enter the desired file name for the Language Edit Database.
  5. Click Export.
    When the Export process is complete, a window opens as shown below that displays Export Completed.


Export a Library

The Export a Library selection allows a user to export any or all of the existing libraries from a project in your personal computer to another location for use with other projects. The libraries that may be exported are the Screen, Object, Graphics, and Sound libraries.

To export a library, do the following:

  1. From the File menu, select Export and then Library.

The Export Library window opens.

  2. Click the Browse button and browse to the folder where the libraries will be saved.
  3. Select the folder and click OK to accept it.
  4. In the Folder Name field, enter the desired name of the folder to which the libraries will be exported.
    This folder will be created under the path previously selected.
  5. Select the libraries you wish to export.
    - Screen Library
    - Object Library
    - Graphic Library
    - Sound Library
  6. Click Export.
    A subfolder will be created for each library exported.


Export Message Database

Topic: CM255

Export a Message Database

The Export Message Database selection enables a user to export an existing Message Database in an .xls file format.

To export a Message Database, do the following:

  1. From the File menu, select Export and then Message Database.

The Export Message Database window opens.

  2. In the Save in field, click the Browse button and browse for the folder in which the exported Message Database will be saved.
  3. Select the folder and click OK.
  4. In the File Name field, enter the file name.
  5. Click Export.

See Related Topics below for topics on the Message Database and adding or editing a message.


Export a Tag Name Database

The Export Tag Name Database selection enables a user to export an existing Tag Name Database in an xls or csv(character delimited) file format.

Exporting a Tag Name Database

To export a Tag Name Database, do the following:

  1. From theFile menu, select Export and then Tag Name Database.

TheExport Tag Name Database window opens.

  2. In the Save in field, click Browse and browse to the folder in which the exported database will be saved.
  3. Complete the fields on the screen using the information in the table below.

Export Tag Name Database
Field Description

File Name

 Enter the file name or leave the default name Tag DB.

File Type

 Click the drop-down arrow and select a filet ype of .xls or .csv.

Connected Device(s) Tag Name Database

 To Export the Tag Name Database for all the devices listed, select All.To select individual devices, click on Select and then click on the checkbox to the left of each device to be included.

Option:

There is an option to Export the Tag Name Database files with Internal Tags and Unused Tag. The default setting is with both items checked.

  4. When all selections are completed, click on the Export button to begin Exporting.
    When the Export process is complete, a window opens as shown below that reads Export Completed.


Export an Address Book Database

Topic: CM035

Export the Address Book Database

The Export an Address Book Database selection enables you to export an existing Address Book Database from your PC.

To export an Address Book Database, do the following:

  1. From the File menu, select Export and then Address Book.

The Export Address Book window opens.

  2. In the Save in field, click Browse and browse to the folder in which the exported Address Book Database will be saved.
  3. Select the folder name and click OK.
  4. In the Export Address Book window, in the File Name field enter the filename.
  5. In the File Type field, click the drop-down arrow and select XLS or CSV (character delimited).
  6. Click Export.


Export Recipe Sheet

The Export a Recipe Sheet selections allow you to create an exported file of the recipe sheet. This exported file can be used to import to other projects using the C-more Programming Software.

Two Export Recipe Sheet selections are available from the C-more Programming Software:Export using the File menu, and export from the Recipe Database. Each one is described below.

Note:Exported recipe sheets are saved as a Unicode text format file with a csv file extension. Exported recipe sheets can be edited using Microsoft® Excel™. For more details on using Excel to edit recipe sheets, click on the green Excel text.

Export a Recipe Sheet Using File Menu

To export a recipe sheet, do the following:

  1. From the File menu, select Export and then Recipe Sheet.

The Recipe Database window with the Recipe Sheet List opens.

  2. Select the desired recipe sheet to export and click the Export button.
    The Export Receipt Sheet window opens.

  3. In theSave in field, click Browse and browse to the location to which this recipe sheet will be saved.
  4. Click Export.

Export a Recipe Sheet Using the Recipe Sheet Menus

To export a recipe sheet from the Recipe Sheet Database, do the following:

  1. Make sure you have already opened the Recipe Database and have selected and opened the recipe sheet you would like to export.
  2. In the Recipe Sheet window, from the File menu select Export.

The Export Recipe Sheet window shown below opens.

  3. Select the desired Export location. You may also change the File Name by typing a new name in the File name field; however, DO NOT change or delete the .csv extension.
  4. Click the Save button to save the Exported Recipe Sheet.
    The Export Recipe Sheet window closes, and you are returned to the current recipe sheet.


Working with Objects

C-more Programming Software offers over 50 different objects you can use to configure elements such as opening new screens, setting lighting indicators, metering, timing, bitmap animation, turning on and off bits, entering and displaying numeric values, and displaying alarms.

Getting Started

You can get started configuring an object by selecting it using one of these methods:

  • From the Main menu click the Object menu and select an object, or
  • From the Object list, double-click the object or drag and drop it to the work area.

Once an object is selected and placed in the work area, the configuration window for that object opens displaying common fields on the left side of the window and on the General tab. The Label and Font settings are common to most objects. For settings specific to individual types of objects, see the specific Help topic for that object.

Common Object Settings

Listed below are settings that are common to all objects. After completing these settings that are common to all objects and any other settings on the General tab, continue to the next tab in the window. See the appropriate Help topic for explanations of settings on object tabs.

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Name

The Name of the object will give the object a unique name for quick identification in the Object Layer List, Tag Cross Reference, Project Print Out and the Simulator.

The default Name for an Object is always the Object type with a number appended to the end. The number will be incremented as more objects of the same type are added to the screen. e.g. Pushbutton1, Pushbutton2

Object Preview Window

Anytime a setting is changed it can be seen in the Preview so closing and reopening the configuration window is not necessary.

Simulate

Simulate is used to test the appearance of the object in different states. Depending on the object type you can click on the ON or OFF box or enter a value to see the object in action.

Frame Type

Most Objects can be displayed with or without a Frame. By default a Frame is selected. There are 18 possible frames to select, or you can select None to have no frame. In some cases the Frame Type will determine how the object looks when active on the screen.

Language

Click on the drop-down arrow to select one of nine Languages. The selected Language will affect all of the text areas in the Object. See Language Setup to learn more.

Description

Enter up to a 400-character description. The Description can be useful for others that come along behind you to help them understand your configuration.

Tag Name Database

This button is simply a shortcut to open the Tagname Database without having to close the configuration window.

Label and Font Configuration

On the General tab of most Object configuration windows there are settings for the Label and other Text Areas.

Text Fields (Label, On Text, Off Text):

Enter a text up to 40 characters and multiple lines. Note: entering a new line accounts for two characters.

Label

Click on the checkbox to show the Label on the Pushbutton. The Label is equivalent to the Legend Plate on a conventional panel mounted pushbutton.

Position

This determines whether the Label, will be located on the Top or Bottom of the Pushbutton.

Off Text/On Text

Off Text and On Text are the text that will show on discrete objects such as Pushbuttons when the Tag is Off and On respectively. The text you choose should reflect the activity in your process.

Text and Back (Background) Color

Click on the Color box and choose a color from the Color Palette that appears. You can also select color Templates that are a combination of Text and Background colors.

Color Templates
You can also select color Templates that are a combination of Text and Background colors. Color Templates can be edited by selecting the Edit button.

Fill Effects
For the Background Color you can select from various gradients and patterns.
Blink

Select the Blink checkbox to blink the Text or Background color. The alternate color is automatically chosen by the software.

Text Size

The Text size selections will depend on the type of Font selected. For all Fonts except for Class the minimum and maximum Text Sizes selectable 8 are 72 respectively. If a smaller or larger text size is needed, simply type in the desired size.

Align

Select how you want the text aligned in the text area: Right, middle or left and top, middle or bottom.

Font

Select the Font button to open the Font Format Settings. In this window you can select the Font, Style and Size of the text.

Use Default Font
This checkbox is selected by default. When selected, the font used will be the font configured in the Language window opened from the Function tab.

Note: To make Font changes, Use Default Font must be de-selected in order to be able to select from the Font list.
Transparent

Some objects have a Transparent setting for the background. For Graphic Objects, Transparency is configured as part of the Bitmap configuration.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and may noticeably affect screen update rates.

Tag Name selection

Most Objects will require a Tag Name to be assigned. The Tag Name is the connection to the Controller and to other Objects.

Tag Name Click on the down arrow to see a list of existing Tag Names that are of a compatible datatype for the object.
Clicking on the Browser [image] button opens the existing Tag Name Database for this project. From this database you may select a Tag Name and Add or Edit a Tag Name. To learn more see the Tag Name Database topic.
Alternately you can type in a Tag Name. When you click outside the Tag Name field, if the Tag Name does not already exist the Add Tag window will open allowing you to create the tag.
Object Styles and Types

Object Styles and Types are discussed in the individual Object help topics.


Line Object

Topic: CM177

Shape Objects: Line Object - General Tab

Line Object Description

The Line Object allows the user to insert a straight Line drawing into a project. The Line Object can be configured with or without an arrow on either end of the line and has several options for display.

Some uses and features include but are not limited to:

  • Adding callouts, pointers, or indicators;
  • Creating lines that rotate, appear or disappear, or change colors according to the status of the assigned Tag Name;
  • Selecting different line thicknesses;
  • Selecting different styles of lines such as dotted or dashed.

Adding a Line Object to Your Project

To add a Line Object to your project, do the following:

  • From the Object Menu, select Shape and click on the Line Object selection and then click on the Work Area location,

    or
  • From the Object List scroll to the Shape topic and double-click on the Line Object selection or click and drag the Line selection to the Work Area.

The Line window shown below opens displaying the General tab.

Configuring a Standard Line Object

The General tab is the default tab and is used for the basic configuration of the Line Object. If the Advanced feature is selected, additional features are available.

To configure a Standard Line Object, complete the fields on the screen using the information in the Working with Objects Help topic.

Complete the remaining fields on the screen using the information in the table below:

Line Window - General Tab

Area on Screen

Description

Line Width

 There are four line widths available with a default of 2. Click the up and down arrows to select the width of the line.
Line Color | Click the color icon and select the color of the line. 128 colors are available.
Line Style | Click on the desired Line Style. You may leave the default Solid Line selected or choose one of the other two Dotted Line options.
Angle Click on the up and down arrows or enter a value to adjust the Line Angle by ± 360 degrees.

The angle default setting is 0°; however, the line will be displayed at 146° Angle. The easiest way to adjust the angle of a Line Object is by leaving it as 0° and once the Line is displayed on the Work Area, click on it once to select it and place handles at each end. Click on a handle and drag the line until you have the angle and length you want. This can be repeated as many times as needed.
Fix Vertical or Horizontal

When Fix Horizontal or Vertical is selected, the Rotation feature cannot be used. To use the Rotation feature you MUST leave the Fix Horizontal or Vertical feature unchecked.
Object Style | Click on the button that represents the Object Style you want to use.

Advanced

Select this box for advanced features. These features are discussed below on the next subject.

Animating a Line Object

To add animation to a Line Object, click the Advanced checkbox. Using the image below as a reference, complete the fields on the screen using the information in the table below.

Line Window - Advanced Tab

Area on Screen

Description

Tag Name

 Enter or select the Tag Name to control the Line Color.

Line Color When ON and Line Color when OFF

Click on the Line Color checkbox and then click to select the line color when the Tag Name is ON and when it is OFF.
Simulate | Simulate is used to test the Fill Color function of the Line Object when Fill is selected. Click on the ON or OFF button to simulate. You must be on the Advanced tab with the Fill Color ON/OFF feature selected in order to activate the Simulate feature.
Option Tab | Click on the Option tab to control the object's visibility based on Tag Name values.
Move Tab | Click on the Move tab to animate the object's movement based on Tag Name values.
Length Tab | Click on the Size tab to animate the size of the object based on Tag Name Values.
Rotation Tab | Click on the Rotation tab to animate the rotation of the object based on Tag Name values.


Object Move Animation

Topic: CM271

Move Tab

The information included in this topic applies to the following objects:

  • Animation Bitmap
  • Circle
  • Line
  • Rectangle
  • Triangle

Object Move Tab Setup Window

To view the Move tab for the objects listed above, do the following:

  1. Click to select the Advanced checkbox on the top right corner.
  2. Click on the Move tab to select it.
    The Move tab allows the user to enter and edit settings that will animate the object according to the Tag Names and Parameters selected.
    When the Move tab is selected, the set-up window shown below opens

.

The contents shown in the figure above will be shaded, indicating that the selections are not active and no changes can be made. To make the window active, click on the Use Length Animation checkbox.

Note: The Axis Animation and Point Animation features cannot be selected at the same time. You must select one or the other.

Setting Up the Move Tab Axis Animation

The figure above shows the Move tab set-up window with the Use Moving Animation option selected. Complete the fields on the screen using the information in the table below.

Move Tab Axis Animation
Field Description
Axis Animation

Click on this selection to set up the object to move on its own axis (see note above). The settings available for this selection are:

  • Animation Style: Click on the down arrow to open the list of selections available. From this list select the axis to animate.
  • X-Axis Tag: This selection becomes active only if the X-Axis or the X and Y-Axis selections from Item #1 are selected. Click on the down arrow to select a Tag Name to assign to the X-Axis. You may also click on the Browse button to open the Tag Name Database and add, edit, or delete Tag Names.
  • Y-Axis Tag: This selection becomes active only if the Y-Axis or the X and Y-Axis selections from Item #1 are selected. Click on the down arrow to select a Tag Name to assign to the Y-Axis. You may also click on the Browse button to open the Tag Name Database and add, edit, or delete Tag Names.
Point Animation

Click on this selection to set up the object to move from points according to the configuration of the items listed below (see note above).

  • Tag Name: Click on the down arrow to select a Tag Name to assign to activate the Point Animation settings. You may also click on the Browse button to open the Tag Name Database and add, edit, or delete Tag Names.
  • Moving Setup - Point: Select Point to configure Points that indicate where the object moves. To complete this setup, you must click on Moving Object Setup. Clicking this button opens the Moving Line Setup window that allows the user to add points by clicking on the desired spot on the window. The arrows on the top left corner allow users to select a point, add a point, delete a point.

  • Moving Setup - Ratio: Select Ratio to configure the ratio of the object movement. To complete this setup, you must click on Moving Object Setup. Clicking this button opens the Moving Line Setup window that allows the user to add Ratio Points by clicking on the desired spot on the window.

    The arrows on the top left corner allow users to select a point, add a point, delete a point. The object will move across the indicated path according to the input received from a PLC and the value settings. For this to work properly, the PLC Value discussed below must be set properly.

  • Scaling PLC Value: These fields are only active if the Point Animation selection on Item #2 is selected and the Ratio selection is selected. Click on the top field to enter the value that represents a 0% on the PLC values. Click on the bottom field to enter the value that represents 100% on the PLC values.

After completing the fields on the screen, click OK.


Object Visibility

Topic: CM235

Option Tab: Objects Visibility

Object Option Tab Window Description

Sometimes it is desirable to hide an object while the panel is running. You may want to have object visibility tied to the process so that only certain objects appear at certain times to help walk an operator through a process.

The Option tab enables the user to enter and edit settings that affect visibility of the object. When the Option tab is selected, the set-up window shown below opens.

Click on the Visibility checkbox to enable this feature. Select the Tagname you want, and the condition under which you want this tagname to make the object visible.

The selections available are shown in the figure above and will be shaded indicating that the selections are not active and no changes can be made.

Configuring the Option Tab

Complete the fields on the screen using the information in the table below.

Object Visibility Options
Field | Description
Tag Name | Select the Tag Name that will determine the visibility of the object.
Object is Visible When Address Value is

This selection is displayed when a Numerical Tag is selected. Click on the down arrow to the right of the field to select the proper operand that makes the value on the field to the right True. When this value is met, the object will become visible.

When a Discrete tag is selected as a Tag Name, the Option window will provide ON/OFF selections as shown below. Click to select the correct configuration.


Line Object Length Tab

Object Length Tab Setup Window

The Line object is accessed from the Shape selection of the Object menu or the Object List.

To view the Length tab for the Line Object, click to select the Advanced checkbox on the top right corner.

The Length tab allows the user to enter and edit settings that will animate the length of the object according to the Tag Names and Parameters selected.

When the Length tab is selected, the setup window shown below opens.

The contents shown in the figure above will be shaded, indicating that the selections are not active and no changes can be made. To make the window active, click on the Use Length Animation checkbox.

Setting Up the Length Tab Options

Complete the fields on the screen using the information in the table below.

Line Length Options
Field | Description
Base Point | Select the point on the line that will be anchored at all times: center, right, or left.
Tag Name | Select the Tag Name that will determine the length of the line.
Length Scaling

The settings available with this item decide the Length Growth parameters according to values received from the PLC. The settings available are PLC value and animation length.

PLC Value:

  • Point1 enter the minimum value expected from the PLC.
  • Point2 enter the maximum value expected from the PLC.

Animation Length:

  • Point1 enter the desired length of the line in pixels at the minimum expected PLC value.
  • Point2 enter the desired length of the line in pixels at the maximum expected PLC value.


Object Rotation Animation

Topic: CM373

Rotation Tab

The information included in this topic applies to the following Objects:

  • Line
  • Rectangle
  • Circle
  • Triangle
  • Animation Bitmap

Note: To use the Rotation feature for the Line object, the Fix Horizontal or Vertical feature selection MUST be unchecked.

The Rotation tab allows the user to enter and edit settings that animate the size of the object according to the Tag Names and Parameters selected.

Object Rotation Tab Setup Window

To view the Rotation tab for the objects listed above, click to select the Advanced check box on the top right corner must be checked and then click the Rotation tab.

When the Rotation tab is selected, the set-up window shown below opens.

The contents shown in the figure above will be shaded, indicating that the selections are not active and no changes can be made. To make the window active, click on the Use Rotation Animation checkbox.

Setting Up the Rotation Tab Options

Complete the fields on the screen using the information in the table below.

Rotation Tab Options
Field | Description
Use Rotation Animation | When the Rotation tab is selected, the contents shown in the figure above will be shaded indicating that the selections are not active and no changes can be made. To make the window active, click on the Use Rotation Animation option check box.
Rotation Type | This selection determines if the rotation of the object will be to the left (counterclockwise) or right (clockwise). Click on the desired selection to set.
Base Point

The Base Point, is the point of the Object that will remain anchored. It is the center of rotation.

  • Center
  • Top / Left
  • Top / Right
  • Bottom / Left
  • Bottom / Right
Tag Name | Enter or select a Tag Name for the rotational position of the object. The Tag Name must be an integer. Without any scaling, the Tag Name value is assumed to be degrees. So 0 to 359 will result in a full rotation of the object.
Scaling

Scaling is the method used to match position you desire the object to be in for a particular PLC value.

If a PLC value from 0 to 4095 should result in a full rotation of the object, then the settings would be: I

PLC Value

Point 1 = 0

Point 2 = 4095

Degree

Point 1 = 0

Point 2 = 359


Rectangle Object

Topic: CM190

Rectangle Object - General Tab

Rectangle Object Description

The Rectangle Object allows the user to insert a drawing of a Rectangle into a project. The Rectangle is available in a variety of configurations. Some uses and features for Rectangle Objects include but are not limited to:

  • Identifying equipment, components, buildings, locations,
  • Creating Rectangle drawings that rotate, appear or disappear or change colors according to the status of the assigned Tag Name.

Adding a Rectangle Object to Your Project

To add a Rectangle Object to your project,

  • From the Object menu, select Shape and click on the Rectangle selection and then click on the Work Area location;

    or
  • From the Object List, scroll to the Shape object and double-click on the Rectangle selection or click and drag the Rectangle selection to the Work Area.

The Rectangle window opens displaying the General tab.

Configuring a Standard Rectangle Object

The General tab is the default tab and is used for the basic configuration of the Rectangle Object. If the Advanced feature is selection, additional features are available.

To configure a standard Rectangle Object, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Complete the remaining fields on the screen using the information in the table below.

Rectangle Window - General Tab

Area on Screen

Description

Line Width

 Click the up and down arrows to select the width of the line.

Line Color

 Click the line color icon and select the color of the line. 128 colors are available.

Fill

 To fill the Rectangle Object with color, click the Fill checkbox. Click the Fill color to select the color to fill the Rectangle Object.

Object Style

 Click to select the style of the Rectangle Object: rounded corners, trapezoid, pentagon, hexagon, and octagon.

Number of Sides

 This selection is only active when selecting the Style 5 button from the Object Style choices. Click on the up and down arrows to select the number of sides for the octagon shape. This enables you to make hexagons, pentagons, and more.

Angle

 Click the up and down arrows or enter a value to adjust the angle of the rectangle angle by degrees.

Advanced

Select this box for Advanced features.

Animating a Rectangle Object

To add animation to a Rectangle Object, reference the figure below and complete the fields on the screen.

Rectangle Window - Advanced Tab
Area on Screen | Description
Outline Style | Click to select the object's line border style - solid, broken line, or dashed. The dashed outline styles only work when the outline Line Width selection is 1. Any other setting will not display a dashed outline.
Tag Name | Enter or select the Tag Name to control the Shape Fill Color.
Fill Color when ON/OFF | Click the Fill checkbox and then click to select the fill color when the Tag Name is ON and when it is OFF.
Simulate | Used to test the Fill Color function of the Rectangle Object when fill is selected. Click on the ON or OFF box to simulate.
Option Tab | Click on the Option tab to control the object's visibility based on Tag Name values.
Move Tab | Click on the Move tab to animate the object's movement based on Tag Name values.
Size Tab | Click on the Size tab to animate the size of the object based on Tag Name Values.
Rotation Tab | Click on the Rotation tab to animate the rotation of the object based on Tag Name values.


Object Size Animation

Topic: CM396

Size Tab

The information included in this topic applies to the following Objects:

  • Rectangle
  • Circle
  • Triangle
  • Animation Bitmap

The Size tab allows the user to enter and edit settings that animate the size of the object according to the Tag Names and Parameters selected.

Object Size Tab Setup Window

To view the Size tab for the objects listed above, click to select the Advanced checkbox on the top right corner must be checked and then click the Size tab.

The Size tab allows the user to enter and edit settings that will animate the length of the object according to the Tag Names and Parameters selected.

When the Size tab is selected, the set-up window shown below opens.

The contents shown in the figure above will be shaded, indicating that the selections are not active and no changes can be made. To make the window active, click on the Use Sizing Animation checkbox.

Setting Up the Size Tab Options

Complete the fields on the screen using the information in the table below.

Size Setup Options
Field | Description
Base Point | Click on the down arrow to the right of the field to display a list of the options available. Select the Base Point, which is the point of the Object that will remain anchored.
X-Axis Tag | Click on the X-Axis checkbox to set up Horizontal Object Animation. These settings will cause the object to expand or contract horizontally. If no animation is required for the X-Axis, leave the checkbox unchecked.
Tag Name | Click on the down arrow to assign a Tag Name that will activate the Horizontal Size Animation settings. You may also click on the Browse button to open the Tag Name Database and add, edit, or delete Tag Names.
Size Scaling

The settings available with this item decide the Size Growth parameters according to values received from the PLC. The settings available are:

  • PLC Value: Click on the PLC Value - Point1 field and type in the desired low value from the values provided by the PLC.

    Click on the PLC Value - Point2 field and type the desired high value from the values provided by the PLC.
  • Animation Size: Click on the Animation Size - Point1 field and type in the desired size of the object when the PLC value is at the Point1 value.

    Click on the Animation Size - Point2 field and type in the desired size of the object when the PLC value is at the Point2 value.
Y-Axis Tag | Click on the Y-Axis checkbox to set up Vertical Object Animation. These settings will cause the object to expand or contract vertically. If no animation is required for the Y-Axis, leave the checkbox unchecked.
Tag Name | Click on the down arrow to assign a Tag Name that will activate the Vertical Size Animation settings. You may also click on the Browse button to open the Tag Name Database and add, edit, or delete Tag Names.
Size Scaling

The settings available with this item decide the Size Growth parameters according to values received from the PLC. The settings available are:

  • PLC Value: Click on the PLC Value - Point1 field and type in the desired Low value from the values provided by the PLC.
    Click on the PLC Value - Point2 field and type the desired High value from the values provided by the PLC.
  • Animation Size: Click on the Animation Size - Point1 field and type in the desired size of the object when the PLC value is at the Point1 value.
    Click on the Animation Size - Point2 field and type in the desired size of the object when the PLC value is at the Point2 value.

After completing the fields on the screen, click OK.


Circle Object

Topic: CM078

Circle Object - General Tab

Circle Object Description

The Circle Object allows the user to insert a drawing of a Circle into a project. The Circle is available in a variety of configurations. Some uses and features for Circle Objects include but are not limited to:

  • Identifying equipment, components, buildings, locations, etc.,
  • Creating circle drawings that rotate, appear or disappear, or change colors according to the status of the assigned Tag Name.

Adding a Circle Object to Your Project

To add a Circle Object to your project:

  • From the Object menu, select Shape and click on the Circle selection and then click on the work area location;

    or
  • From the Object List, scroll to the Shape topic and double-click on the Circle selection or click and drag the Circle selection to the Work Area.

The Circle window shown below opens displaying the General tab.

Configuring a Standard Circle Object

The General tab is the default tab and is used for the basic configuration of the Circle Object. If the Advanced feature is selected, additional features are available.

To configure a standard Circle Object, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Complete the remaining fields on the screen using the information in the table below.

Circle Object Setup: General Tab

Field

Description

Tag Name Database

 To add, edit, or delete Tag Names, click the Tag Name Database button.

Line Width

 Click the up and down arrows to select the width of the line.

Line Color

 Click the line color icon and select the color of the line. 128 colors are available.

Fill

 To fill the Circle Object with color, click the Fill checkbox. Click the Fill color to select the color to fill the Circle Object.

Ellipse

 Click on the Ellipse checkbox to convert the circle to an ellipse shape. When Ellipse is checked, the Angle selection becomes active.

Angle

 Click on the up and down arrows to adjust the Circle by degrees.

Advanced

 Select this box for advanced features such as Fill color, Ellipse, and Animation features such as Visibility, Move, Size, and Rotate.

Animating a Circle

To add animation to a Circle object, click the Advance checkbox. Using the image below as a reference, complete the fields on the screen using the table below.

Circle Object Setup: Advanced Tab

Area on Screen

Description

Outline Style

Click to select the object's line border style - solid, broken line, or dashed.

The Dashed Outline styles only work when the outline Line Width selection is 1. Any other setting will not display a Dashed Outline.

Tag Name

Enter or select the Tag Name to control the Circle Fill Color.

Fill Color when ON/OFF

Click the Fill Color checkbox and then click to select the fill color when the Tag Name is ON and when it is OFF.

Simulate

 Simulate is used to test the Fill Color function of the Circle Object when Fill is selected. Click on the ON or OFF button to simulate. You must be on the Advanced tab with the Fill Color ON/Off feature selected in order to activate the Simulate feature.

Option Tab

 Click on theOption Visibility tab to control the object's visibility.

Move Tab

 Click on the Move tab to animate the object's movement based on Tag Name values.

Size Tab

 Click on the Size tab to animate the size of the object based on Tag Name values.

Rotation Tab

 Click on the Rotation tab animate the rotation of the object based on Tag Name values.


Triangle Object

Topic: CM178

Triangle Object - General Tab

Triangle Object Description

The Triangle Object, just like with drawing tools, allows the user to insert a drawing of a Triangle into a project. When a Triangle is inserted to a project, a window opens to allow the user to set up all available parameters for the Triangle Object.

Some of the uses for Triangle Objects include but are not limited to:

  • Identifying equipment and components, buildings, locations, etc.
  • Adding Triangle drawings that rotate, appear or disappear, or change colors according to the status of the assigned Tag Name.

Adding a Triangle Object to Your Project

To add a Triangle Object to your project,

  • From the Shape section of the Object menu, click on the Triangle selection and then click on the Work Area location;

    or
  • From the Shape section of the Object List, double-click on the Triangle selection or click and drag the Triangle selection to the Work Area.

The Triangle window opens displaying theGeneral tab.

Configuring the Standard Triangle Object

The General tab is the default tab and is used for the basic configuration of the Triangle Object. If the Advanced feature is selected, additional features are available.

To configure a standard Triangle Object, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Complete the remaining fields on the screen using the information in the table below.

Triangle Object: General Tab

Area on Screen

Description

Line Width

 Click the up and down arrows to select the width of the line.

Line Color

 Click the line color icon and select the color of the line. 128 colors are available.

Fill

 To fill the Triangle Object with color, click the Fill checkbox. Click the Fill color to select the color to fill the Circle Object.

Object Style

 Click to select the style of the Triangle Object.

Angle

 Click the up and down arrows or enter a value to adjust the angle of the Triangle by degrees.

Advanced

 Select this checkbox for advanced features.

Animating a Triangle Object

To add animation to a Triangle Object, click the Advanced checkbox. Using the figure below as a reference, complete the fields on the screen using the table below.

Triangle Object: Advanced Tab

Area on Screen

Description

Outline Style

 Click to select the object's line border - solid, broken, or dashed. The dashed outline styles only work when the outline Line Width selection is 1. Any other setting will not display a dashed outline.

Tag Name

 Enter or select the Tag Name to control the Triangle Fill Color.

Fill Color when ON/OFF

 Click the Fill checkbox and then click to select the fill color when the Object is ON and when it is OFF.

Simulate

 Simulate is used to test the Fill Color function of the Triangle object when Fill is selected. Click the ON or OFF box to simulate.

Option Tab

 Click on the Optiontab to control the object's visibility based on Tag Name values.

Move Tab

 Click on the Move tab to animate the object's movement based on Tag Name values.

Size Tab

 Click on the Size tab to animate the size of the object based on Tag Name values.

Rotation Tab

 Click on the Rotation tab to animate the rotation of the object based on Tag Name values.

When all settings are completed, click on the OK button to accept the settings and continue working.


Frame Object

Topic: CM149

Frame Object - General Tab

The Frame object is used to create a custom object by visually grouping other objects within a custom frame. Frame object is selected from the Shapes section of the Object list.

When the Advanced checkbox is selected, visibility and table-type frame options become available.

Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

Adding a Frame Object to your Project

To add a Frame Object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Shape and click on the Frame selection, then click on the Work Area location.

  1. From the Object List, in the Shape section, double-click on the Frame selection or click and drag the Frame selection to the Work Area.
    The Frame Setup window opens displaying the General tab.

Setting Up a Frame Object

The General tab is the default tab and is used for the basic configuration of the Frame Object. If the Advanced feature is selected, additional features are available.

To configure a standard Frame Object, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Ccomplete the remaining fields on the screen using the information in the table below.

Frame Object

Area on Screen

Description

Interior Color

 Click the Interior Color icon and select the color to fill the frame.

Advanced

 Select this box for advanced features such as Fill color, and Animation features such as Visibility.

Frame Advanced Options

To add animation to a Frame object, click the Advance checkbox. Using the image below as a reference, complete the fields on the screen using the table below.

Frame Object Setup - Advanced Tab

Area on Screen

Description

Object Style

Object Style 1 - Style 1 is the default Frame object. To the frame, you can add text, numbers, 'buttons' and other objects.

Object Style 2 - Style 2 enables you to divide the frame into a multiple row and column table, using the adjacent Table Setup up and down arrows to select the number of rows and columns. To each 'cell' in the table, you can add text, numbers, 'buttons' and other objects.

Option Tab

 Click on the Option tab to configure the object's visibility options.


Button Objects - Pushbutton, Switch, Radio Button, Step Switch & Tri-state Switch

Topic: CM187

Button Objects - Pushbutton, Switch, Radio Button, Step Switch and Tri-state Switch

This topic deals with Button objects that cause one or more discrete tags to change state.

The Key Button object that appears in the Button section of the object selection list is documented in the Key Button Object topic.

The Button objects features include:

  • Password protection
  • Visibility
  • Sound options
  • Press Delay

Some buttons include a Release Delay configuration.

Press Delay will wait the configured delay time before the Tag changes to ON after the button is pressed. Release Delay will wait the configured delay time before the Tag changes to OFF after the button is released. Select the Delay Time from the drop down list by clicking on the down arrow located to the right of the Delay Time field.

Details on configuring Passwords for Objects and Screens are available in the Password topic.

Visibility may be configured using a discrete tag or a numeric tag. The object will be visible when the tag or tag conditions are true. Object visibility may be useful in your project but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

The generic Pushbutton, Indicator Button or Switch can be configured to operate as:

  • Toggle: The Toggle choice will Toggle the Pushbutton operation between ON and OFF each time the Pushbutton is selected (pressed).
  • Momentary On: This selection causes the Pushbutton to be ON while the Pushbutton is pressed. As soon as the button is released it returns to the OFF state.
  • Momentary Off: This selection causes the Pushbutton to be OFF while the Pushbutton is pressed. As soon as the button is released it returns to the ON state.
  • Set On: This selection causes the Pushbutton to be set to the ON state when the Pushbutton is pressed. Once it is set to ON it remains ON until a separate device, such as another Pushbutton or signal from the PLC, turns it OFF.
  • Set Off: This selection causes the Pushbutton to be set to the OFF state when the Pushbutton is pressed. Once it is set to OFF it remains OFF until a separate device, such as another Pushbutton or signal from the PLC, turns it ON.

The Radio Button may use Bit of Word to identify which button is set ON, or it may use multiple discrete tags. If Bits of Word are configured, the Radio Button may have 2-16 options. If Discretre tags are configured, the Radio Button may have 2-8 options.

The Step Switch Object works like a Mechanical Step Switch. With this type of Switch, each time the Step Switch is pressed, each of the assigned Tag Names cycle one at a time from the Off position to the On position. Only one assigned Tag Name is On at a time.

The Tri-State Switch Object consists of a set of three Pushbuttons that allow to configure the first button to the left as a Reset that turns the other two buttons Off, and configure the other two buttons with individual Tag Names.


Key Button Object

Key Button Object Description

The Key Button object is a button mainly used to create a Define Keypad like the ones available from the Define Keypad selection of the Navigation window. The Key Button Object can be used to input numbers or text on Objects that require data entry.

Key Buttons may be edited to fit various shapes, colors, sizes, and styles. When the Key Button object is selected, a setup window opens to allow the user to setup the Key Button as needed. To learn more about the Key Button object use and setup, look at the information provided below.

Add a Key Button Object

To add a Key Button Object to your project:

  1. From the Object Menu or from the Object List shown below, double-click on the Key Button selection or click and drag the Key Button selection to the work area.

Any available Key Button Object styles are displayed on the Parts List window. If selecting a Key Button from the Parts List window, click and hold on the desired Key Button, drag it to the Work Area and release the mouse button.

  2. Once a Key Button is selected using either method described above, the Key Button setup window shown below opens.

Send Key Code: This setting determines the message that will be sent when this specific Key Button is selected. The three setting options are:

  • Text & Number: Click on this selection to input a alphanumeric value that represents this Key Button. When selecting this option the alphanumeric value must be entered by clicking on the field and typing it in the field.
  • System Key Code: Click on this selection to input any of the existing System Key Codes. When selecting this option, click on the down arrow [image] for each field and select the desired Key Codes from the drop down lists.
  • Control Key Code: Click on this selection to input a specific Control Command that will be executed when this Key Button is selected. When selecting this option, click on the down arrow [image] to the right of the field and select a Control Command from the drop down list.


Option Tab

Topic: CM245

Object Option Tab

The Option tab varies based on the type of object. All of the possible selections in the various Option tabs are presented below.

Discrete Objects

Numeric Objects

Object Visibility Option

Sometimes it is desirable to hide an object while the panel is running. You may want to have object visibility tied to the process so that only certain objects appear at certain times to help walk an operator through a process.

.

See the Object Visibility Option

Discrete Objects

Discrete objects include:

  • Buttons (pushbuttons, radio buttons, indicator buttons), and
  • Switches (step switch, tri-state switch).

Sound

For Discrete objects, this option enables a sound to be played when the object is pressed. The default selection is the panel Beep.

To select a different sound from the Sound Library, click on the Sound (Sound Library) selection. A sound file may be chosen by browsing to an available sound file. To learn how to add more sound files to the Sound Library, see Working with Libraries.

Press Delay/Release Delay

Click on either the Press Delay selection or the Release Delay selection to select a delay time before the object actually turns ON or OFF after pressing or releasing. Select the Delay time from the drop-down list. The availability of Press and Release Delay is only available with Momentary On and Momentary Off Object Type.

General Timing Chart

Note: This timing chart is for reference only and is intended to show the general operation of the object. It does not take into account communication timing delays associated with connected external devices.

Numeric Objects

Numeric objects include:

  • Numeric Entry
  • Increment/Decrement
  • Thumbwheel
  • Slider

Scaling Option

The Scaling Options allows you to scale the Tag Name value (PLC) to display as different value. For example: the PLC value range is 0 to 4095 but the desired display value is 0 to 100.

PLC Value

Point1 – enter the minimum PLC value expected. For the example: 0

Point2 – enter the maximum PLC value expected. For the example: 4095

Display Value

Point1 – enter the minimum Display value desired. For the example: 0

Point2 – enter the maximum Display value desired. For the example: 100

Option Focus Option

This selection is available for the Numeric Entry and Text Entry objects. It requires that Style 2 is selected on the General tab. Object Focus is selected to allow the input device (Style 2) to enter data without the Entry Object having to be selected on the screen.

For example, the PLC could turn on the bit associated with the Tag Name when it is time to use a Bar Code scanner to scan a code into the Numeric Entry.

Tag Name

When the Tag Name value meets the Object Focus conditions the associate object will become the focus as if someone touched the object on the screen.


Multi-State Text Indicator Object - General Tab

Topic: CM273

Multi-State Text Indicator Object

Multi-State Text Indicator Object General Tab Description

The Multi-State Text Indicator Object is used to display multiple messages based on bit number or numeric value of a Tag Name. Messages may contain text and have embedded Time, Date and Tag Name values.

Adding a Multi-State Text Indicator Object to Your Project

To add a Multi-State Text Indicator Object to your project, do the following:

  • From the Object menu, select Indicator and click on Multi-State Text Indicator and then click on the work area,

    or
  • From the Object List, click and drag the Multi-State Text Indicator selection to the work area.

The Multi-State Text Indicator set-up window opens displaying the General tab.

To configure a Multi-State Indicator object, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Multi-State Text Indicator Object

Field

Description
Messages

Bit Number: The value of the Tag Name is viewed as a binary number with individual bits. The bit that is on will determine which message is displayed.

Message Number: The value of the Tag Name is viewed as a numeric, so that the Decimal value determines the message that is displayed.

If the Tag Name value does not correspond to a message identification number (as configured on the Message tab), then the Non-Programmed Message Action will display.

The Bit/Message Configuration and the Tag Data type (for Bit Number) determine the number of messages, which may not exceed 255.

Note: After the message table has been configured, changing from Bit Number to Message Number (on the General tab will CHANGE the message identification number (on the Message tab and changing from Message Number to Bit Number will DELETE Message Numbers that don’t correspond to the value of the bit of word.
Data Format Data Format: These selections are only active if the Bit Number option is selected. Click on the preferred selection to select if the Data Format is represented in Decimal or Octal Numbering.
Non-Programmed Message Action

Select what should be displayed if the Tag Name value represents a message number that has not been configured in the Message tab.

Display an Error Message: Message # not programmed.

Display a Blank Message:

Display the Previous Displayed Message (Ignore the Current Value):


Multi-State Text Indicator Object - Message Tab

Object Message Tab Set-up Window

The Message tab is where the individual messages for the object are configured.

Setting Up the Message Tab Messages

To configure a Multi-State Indicator Object Message, reference the figure above and complete the fields in the table below:

Multi-State Text Indicator Object Window - Message Tab

Field

Description

Add New

To set up a new message, click the Add New button. The fields available to create a new message become active on the right side of the window.

Delete

To delete a message, select the message and click the Delete button.

Set Attributes

Used with the Change Attributes message and Highlight Attributes message to copy attributes from one message to other messages.

Select a message whose attributes you wish to copy and select Sets Attributes Message.
Highlight Attributes Message

Check this box to highlight the message that was set by clicking the Set Attributes Message button. The message that was set is highlighted yellow.
Change Attributes | Used with the Set Attributes message to change a selected message to the same attributes as the Attribute message.
Bit No/Msg No

The value that will trigger the message to be displayed must have only one active bit.

If the Tag Name value has more than one active bit, then the Non-Programmed Message Action will display.
Message

The body of the message is typed into this widow. The message can have up 200 characters.

Clock Icon

To embed the present Time into the message, click the Clock icon and select the display format for the time.
Date Icon

To embed the present Date into the message, click the Calendar icon and select a format.
Tag Icon

To embed the value of a Tag Name, click on the Tag icon. The Embedded Data Value set-up window opens. Select the embedded data type and the Tag Name of the tab to embed.
Text and Back Color | Click on the Color box and choose a color from the Color Palette that appears. You can also select color templates that are a combination of Text and Background colors.
Blink | If you would like the text or background to blink when active, click the Blink checkbox. The Blink selection will be displayed in the list as YES or NO.
Text Size | The text size selections will depend on the type of font selected. For all fonts except for Class, the minimum and maximum text sizes selectable are 8 and 72 respectively. If a smaller or larger text size is needed, simply type in the desired size.
Log Message | Select in order to log the message into a logfile when the message is displayed. The destination of the message log is configured in the Panel Manager. The log message selection will be displayed in the list as YES or NO.


Multi-State Text Indicator Object - Option Tab

Topic: CM258

Multi-State Text Indicator Object - Option (Visibility) Tab

Object Visibility Set-up Window

CAUTION: Please note that the information provided for this Option tab topic ONLY applies to specific objects. To confirm if the information in this topic applies to the object you are working with, click the green Objects text.

For some objects, in order to view the Option tab, the Advanced checkbox on the top right corner must be checked.

Object Option Tab Window Description

The Option tab enables the user to enter and edit settings that affect visibility of the object. When the Option tab is selected, the set-up window shown below opens.

The selections available are shown in the figure above and will be shaded, indicating that the selections are not active and no changes can be made. To make the window active, click the Object Visibility Option checkbox.

Configuring the Option Tab

Object Visibility Options
Field | Description
Tag Name | Select the Tag Name that will determine the visibility of the object.
Object is Visible When Address Value is

This selection is displayed when a Numerical Tag is selected. Click on the down arrow to the right of the field to select the proper operand that makes the value on the field to the right True. When this value is met, the object will become visible.

When a Discrete tag is selected as a Tag Name, the Option window will provide ON/OFF selections as shown below. Click to select the correct configuration.


Indicator Light & Valve Indicator Objects

Topic: CM175

Indicator Light and Valve Indicator Objects

This topic deals with the Indicator Light and Valve Indicator Objects which display the state of the associated tag.

The Numeric Display object that appears in the Indicator section of the object selection list is documented in the Numeric Display Object topic.

The Multi-State Text indicator object that appears in the Indicator section of the object selection list is documented in the Multi-State Text Indicator Object topic.

The Button objects features include:

  • Password protection and Visibility.
  • Details on configuring Passwords for Objects and Screens are available in the Password topic.
  • Visibility may be configured using a discrete tag or a numeric tag. The object will be visible when the tag or tag conditions are true.

The Valve Indicator object has a background that may be made Transparent.

Object visibility and transparency may be useful in your project but they have a significant cost in terms of CPU resources and noticeably affects screen update rates.


Numeric Display Object

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

The Numeric Display Object allows you to display the value stored in the Data Display Tag without making that value accessible to be changed by the user.

Note: If using the Use tag for Decimal Point Tag, the Fractional selection will be ignored.

Justify

Select a Justification setting from the drop-down menu. Leading Zeros display a 0 for every digit that has no value (e.g., 00034567if 8 digits are selected.) Leading or Trailing Spaces do not display any unused digits.

Use Tag for Decimal Point

A varying Decimal Point can be placed in the Numeric Display value by specifying the number of places in the assigned Decimal Point Tag.

Visibility may be configured using a discrete tag or a numeric tag. The object will be visible when the tag or tag conditions are true. Object visibility may be useful in your project but it has a significant cost in terms of CPU resources and noticeably affects screen update rates.

The displayed value may be scaled to represent a different range of values than the values stored in the PLC tag (Data Display Tag) configured on the General Tab.


Numeric Entry Object

The Entry Objects allow the operator to enter or change a numeric value from the panel screen.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

The Numeric Entry object can be configured as a popup keypad on-screen entry object, called Style 1.

If an external device, a bar code reader or keyboard for example, will input the data, the Numeric Entry object Style 2 is selected.

The Control Tab allows the programmer to configure Handshaking between the Panel and the PLC to ensure data is written at the specified time.

  • Notification Tag: The Notification Tag is the PLC Tag associated with a Bit to notify the PLC that a value has been entered. The C-more panel turns this bit ON when ENTER is pressed and C-more turns this bit OFF when either the Handshake Tag (ON) is read from the PLC or when the Handshake timer times out.
  • Handshake Tag: The Handshake Tag is the PLC Tag the PLC turns ON indicating that it has received the Notification Bit.
  • Handshake Timeout: If the Handshake Tag is not turned ON by the Controller in the amount of Time allowed by the Handshake Timeout field, a Handshake Timeout will occur. When a Timeout occurs the Keypad stays open to indicate that the Notification and Handshake process failed. The information that a Handshake Timeout occurred must be used by the programmer as appropriate. If the Handshake timer times out, RTE-012 error will display in the panel alarm banner; the object will still attempt to write the data. The Use Display Tag should be configured in the Numeric Entry Object to give visual proof that the data was written to the PLC.

On the Option tab, the programmer can configure Visibility, Scaling and Object Focus.

Note: Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.
  • Scaling allows the PLC value entered in the Numeric Entry object to be displayed as a scaled value. The Data Display Tag value is scaled, whether a single “Data Entry Tag & Data Display Tag” is configured on the General tab, or if a separate Display Tag has been configured (on the General tab).
  • Object Focus Option: This selection is available for the Numeric Entry and Text Entry objects. It requires that Style 2 is selected on the General Tab. Object Focus allows the input device, bar code reader for example, to enter data without requiring the operator to select the Numeric/Text Entry Object on the screen.

The Numeric Entry object can be Password Protected by configuring Passwords on the Password Tab.


Entry Objects - Increment/Decrement Value, Thumbwheel & Slider Objects

Topic: CM224

Entry Objects - Increment/Decrement Value, Thumbwheel and Slider Objects

This topic covers the Increment/Decrement Value object, Thumbwheel object and Slider object. The Numeric Entry object which is included in the Entry objects list, is documented in the Numeric Entry Indicator object topic.

The entry objects allow the operator to enter or change a numeric value from the panel screen.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

The Increment/Decrement Value Object is used to Add or Subtract an amount to the value of a Tag Name by pressing a button on the Panel. The Object uses two Tags, one to read a value from and another to write a modified value to. The Auto Increment /Decrement feature allows the user to continuously increase or decrease the tag value by pressing and holding down either of the object's arrow keys.

The Thumbwheel Object has three style options:

  • Style 1 is a display object until touched; then a pop-up thumbwheel appears on the screen.
  • Style 2 is an entry object directly on the screen.

    Both Style 1 and Style 2 require the ENTER button to be touched before the value is written to the tag.
  • Style 3 is an entry object directly on the screen but the value is written to the tag directly as it is entered, without need of an ENTER button.

For the Slider object, the ENTER button operation type is called “On Demand” or if no ENTER action is needed, “Direct” operation type is an option. For the Slider Object, this choice is made on the General Tab, OperationType selection.


Thumbwheel Object

The Thumbwheel object is very similar to the Numeric Entry object. The Thumbwheel is a digital version of a mechanical Thumbwheel that may be found on a typical industrial control panel. This object can be used to change a value by incrementing or decrementing the specific wheel number value by pressing on the Up or Down arrows for each number or wheel available.

The Thumbwheel object can include up to four wheels for BCD data, up to five for Decimal, and up to six for Octal.

Adding a Thumbwheel Object to your Project

To add a Thumbwheel Object to your project, access Thumbwheel using one of the following three methods:

  1. From the Object menu, click Entry and then select Thumwheel. Click in the Work Area.

  2. From the Object List, click Entry and then double-click on Thumbwheel or click and drag the Thumbwheel selection to the work area.

  3. A list of pre-configured Thumbwheel Object styles are displayed on the Parts List window. If selecting a Thumbwheel from the Parts List window, click and hold on the desired Thumbwheel, drag it to the Work Area and release the mouse button.

Once a Thumbwheel object is selected using one of the methods described above, the Thumbwheel setup window shown below opens.


Line Trend Graph Object

Line Trend Graph Object Description

The Line Trend Graph Object is designed to monitor an assigned Tag Name continuously. This Object is very much like a digital version of a chart recorder used for industrial processes. This Object can be setup to monitor up to 16 different Tag Names.

The Trend Cursor Value is only accurate to 1% of the Full Scale Range of the Line Trend Graph. For example, if full scale is 0 - 10 units, then the cursor will be accurate to 0.1 units. If full scale is 0 - 1000 units, then the cursor values will only be accurate to 10 units.

An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

To retain data displayed by a Line Trend Graph object after a power cycle, Logging must be configured on the Options tab.

Adding a Line Trend Graph Object to your Project

To add a Line Trend Graph Object to your project:

  1. From Meter/Graph selection of the Object Menu or the Object List, double-click on the Line Trend Graph selection or click and drag the Line Trend Graph selection to the work area.

Any available Line Trend Graph Objects are displayed on the Parts List window. If selecting a Line Trend Graph from the Parts List window, click and hold on the desired Line Trend Graph, drag it to the Work Area and release the mouse button.

  2. Once a Line Trend Graph is selected using either method described above, the Line Trend Graph setup window shown below opens.

    3. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
    4. Complete the remaining fields on the screen using the information in the table below.

Line Trend Graph
Field | Description
General Tab
Object Color
Object Fill | The fill (background) color of the object.
Chart Fill | Select the fill color of the chart (plot area).
Grid Lines | Select the color of the grid lines on the chart.
Axis | Select the color of the Axis and tick marks.
Axis Numbers | Select the color of the Axis numbers.
6x8 | Select the font size of the Axis labels and numbers.
Font | Select the font type for the axis labels and axis numbers.
Display Legends

Display the legend below the chart area.

Normal Legends displays a Legend related to information being monitored.

Advanced Legends displays the Normal Legends with the ability to hide the legend or individual pens.
X and Y Axes
Label | This is the label for the Axis, represents time or number of the point. For the Y-Axis it represents the value of the Tag being charted. Enter a text up to 40 characters and multiple lines. Note: entering a new line accounts for two characters.
Text Color | Click to select the color of the Axis label.
Divisions

Add tick marks, tick numbers and grid lines to the chart area.

Major - Major divisions have a tick mark, tick number and grid line.

Minor - Minor divisions only have tick marks.
Axis Grid

Display Grid lines in the chart area corresponding to the Major divisions.
Tick Numbers | Display tick numbers on axis corresponding to the Major divisions.
Points per Chart | The number of points that to display (from 4 - 99) at one time on the chart.
Total Stored Points | The total number of data points (from 10 to 65535) that can be seen on the chart. If the number is greater than the Points per chart, you can scroll back to see historical points.
Samples to average per Point | To smooth out large swings in the values of the data points, you may average from 1 to 255 points.
Y Axis Range
Unsigned | Select how the Y-axis numbers will be displayed, Unsigned, Signed or Floating point. If Floating point is selected, then select the number of decimal places to display.
Min Max | Minimum and Maximum numbers to display on the the Y-Axis. any values beyond this will plot as a flat line at the bottom or top of the chart.
Sample Rate Setup

Sample rate is the interval at which each data point is saved.
Sample Interval | A data point will be plotted at the Sample interval rate. For the default, a point will be plotted every 60 seconds.
Trigger Tag | A data point will be plotted whenever the Trigger Tag (a discrete tag selected from the Tag Name Database) comes ON or goes OFF depending on the Trigger State setting. The Trigger Tag maximum cycle rate is 1 second.
Trigger State is | When Trigger Tag is selected, use this selection plots a data point when the Trigger comes ON or when the Trigger Tag goes OFF.

After completing the fields on the screen, click OK.


Trend Graph Options

The information included in this topic applies to the following objects:

  • Line Trend Graph
  • PID Faceplate Trend Graph

Object Option Tab Window Description

Setting Up the Object Visibility Option

This tab offers the following setup features:

Option Tab: Object Visibilty Option

Field

Description
Object Visibility Option
The Visibility Option allows you to show or hide the object based on the value of a Tag.

Tag Name

Select a Tag Name that will control the visibility of the object.

Object is Visible When Address Value is

 Click on the down arrow to the right of the field to select the proper operand that makes the value on the field to the right true. When this value is met, the Object becomes visible.

Data Logging

As an option in the Line Trend Graph and PID Faceplate Trend Graph, you may select to have the Data Points saved to a Data Log to one of the External Memory Devices which may be retrieved for analysis in another application.

Option Tab: Data Logging
Field Description

Save Log Data

Log File Name

 The Log File Name field is filled automatically. The program will use the Screen Number and the Object Name together to name this Log Data. Therefore, to use a different name, edit the Screen and Object Names.
Selecting Memory Device

When Save Log Data is selected, you may select the memory device where this file will be saved. The choices are:

  • SD1
  • SD2
  • USB

(See also the notes below.)

Notes: The Maximum Number of Log Files with the same first four characters is 999 files. Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example, TREND GRAPH EAST CHILLER TEMP_110925.txt and TREND GRAPH WEST CHILLER TEMP_110925.txt will be identified internally as TREN~001.txt and TREN~002.txt.

As new log files are created each day, these files count against the same max 999 files.If Multiple Graph Objects appear on one screen, the files will be identified internally by the first two characters of the screen name plus the first two characters of the object name plus tilde plus three-digit number. To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

The following are the Data Logging Log File quantities allowed by the C-more HMI Program/Panels:

Data Logging File Quantities

  • Maximum Number of Logging Files: 18 Log File / Panel
  • Trend Graph/PID Trend Log Data: 16 Log File / Panel Max subject to storage maximums. Refer to Runtime Errors topic
  • Alarm Message Log: 1 Log File / Panel
  • Message DB Log: 1 Log File / Panel
  1. Message Database / Lookup Text Object, or
  2. Multistate Text Object

When is the SRAM buffer written to the SD or USB Flash?

  1. The SRAM buffer (2KB) is full or 20 Records have been written.
  2. 1 minute has passed since last transfer to flash device.
  3. The Event Manager sends a Log File via FTP or Email.
  4. The following System Tags are turned ON:
    1. SYS Copy LogTo%Device% - %Device% = SD1, SD2 or USB
    2. SYS %Device% Eject - %Device% = SD1, SD2 or USB
  5. The System Screen is called.
  6. When the panel is powered-up, Line Trend and PID Trend Log Data in SRAM (backed up by battery) will be stored to %Device% - %Device% = CF1, CF2 or USB.

Note: All SRAM Data, *.log Files and *.txt Files in the panel, will be cleared when a project is transferred to the panel.

Setting Up the Start & Stop Selection

Sometimes the user may want to Stop the trend so they can get a closer look at it. Click on the Display a Start and Stop Button checkbox to display a button that the user can press to Start and Stop. Stop will cause the display to stop scrolling AND data will not be posted to the Graph Object. When Start is pushed, data missed during the Stop period will not be displayed.

To assign a Tag Name that will control the Start and Stop, click on the Use Start and Stop Tag, Click on the down arrow to the right of the Tag Name field and select an existing Tag Name to assign.

Setting Up the Clear Selection

The Clear button allows the user to clear all data from the displayed trend and start over. this does not clear data from the data log. To display the Clear button on the Trend Object, click on the Display Clear Button checkbox.

To assign a Tag Name that will control when the currently displayed data will be cleared, click on the Use Clear Tag button.

To select an existing Tag Name to assign, click on the down arrow to the right of the Tag Name field. The Tag Name database opens displaying existing Tag Names for this project.

Setting Up Trend Display Buttons

Optional Scroll and Pause buttons can be configured for the Trend objects.

The Pause button allows the user to temporarily pause the Trend Data Graph. This is useful to view specific data information and be able to make notes of the data being displayed without losing the data as it travels on the Trend Graph. Data continues to post to the Graph Object and will display with the graph is resumed.

Use the arrows to scroll the Graph window to its current point or to search for another Data Point to view. The Single arrow moves to the next point in the direction of the arrow. The double arrow moves the Graph to the Last Point (right arrow) or to the First Point (left arrow).

Setting Up the Date and Time Display On The X-Axis

This selection determines if the date and time will be displayed on the X-Axis of the Trend Data Screen. To display the date and time, click on the Date & Time is Displayed on X-Axis checkbox .

When selected, the Date Format and Time Format fields will become active to allow the user to configure these options. Click on the down arrow for the Date Format and select from the choices of date formats in the table below:

Option Tab: Date and Time Display on the X-Axis

Area on Screen

Description

dd-mmm-yy

 Displays the Day (01 to 31), the first three letters of the Month, and the last two digits of the Year (i.e., 16-May-09).

dd-mm-yy

 Displays the Day (01 to 31), the two digits representing the Month (01 to 12), and the last two digits of the Year (i.e., 16-05-09).

mm-dd-yy

 Displays the Month (01 to 12), the two digits representing the Day (01 to 31), and the last two digits of the Year (i.e., 05-16-09).

yy-mm-dd

 Displays the last two digits of the Year, the two digits representing the Month (01 to 12), and the Day (01 to 31) (i.e., 09-05-16).

Click on the down arrow for the Time Format and select from the Time Format choices in the table below:

Option Tab: Time Formats

Area on Screen

Description

12 hour mode without sec

 Displays the Hours in 12 Hour mode (01 to 12) with the Minutes. No Seconds are displayed. (i.e., 03:45).

12 hour mode with sec

 Displays the Hours in 12 Hour mode (01 to 12) with the Minutes and Seconds displayed. (i.e., 03:45:10).

24 hour mode without sec

 Displays the Hours in 24 Hour mode (01 to 24) with the Minutes. No Seconds are displayed. (i.e., 15:45).

24 hour mode with sec

 Displays the Hours in 24 Hour mode (01 to 24) with the Minutes and Seconds displayed. (i.e., 15:45:10)

When Date&Time is selected, the user may touch a data point to cause a cursor line to display as shown in the figure below. A small data window will open as shown below, providing the information for the selected Data Point.

When Date&Time Displayed on the X-Axis is selected, the Trend Graph will display the date and time at the beginning and end of the visible portion of the Trend Graph as shown below.


Line Trend Graph: Pen Tab

Topic: CM318

Line Trend Graph:Pen

Pen Tab Configure Window

The Pen tab allows the user to enter and edit Pens that will be used to chart the Tag Names assigned to the Line Trend Graph. Click on the fields described below to set up each Pen. A total of 16 Pens may be added to this Object for monitoring.

When the Pentab is selected, the setup window shown below opens.

Configure the PenTab

The Pen Tab window offers the following configuration features:

Pen Tab

Area on Screen

Description

Tag Name

 Click on the down arrow to the right of the Tag Name field and select an existing Tag Name. Clicking on the Browser button to the right of the Tag Name field opens the Tag Name Database for this project. From this Database you may select a Tag Name and add or edit a Tag.

Color

Click on the Color box to open a Color Palette of available color choices for the Pens. Remember to pick different colors for each Pen to prevent reading confusion.

LineStyle

 Lines are an interpolation between Data Points but do not represent real data. Use Point Markers to show real data. Click on the down arrow to select the desired Line Style.

Pt Style

 Point Markers show the specific X and Y axis location of the data points. Click on the down arrow to select the desired Point Style.

Legends

Enter up to 16 characters that describe the pen. This text will appear in the Legend configured in the General tab.


Analog Meter Object

Analog Meter Object Description

The Analog Meter Object is used to monitor an assigned Tag Name continuously. This Object can be used to create digital versions of level, current, and flow meters to name a few samples, or gauges that measure speed and other measurable data.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Adding an Analog Meter Object to Your Project

To Add an Analog Meter Object to your project:

  1. Do one of the following:
  2. From the Object menu, select Meter/Graph and then Analog Meter,

    or
  1. From the Object List, under Meter/Graph Analog Meter select or drag the Analog Meter selection to the work area.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Analog Meter Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Label

Show Divisions

Select to show Tick Marks on the meter

No of Major and Minor

Major divisions are where Tick numbers will show up if turned on. Enter the number of sections you want the meter to be divided into.

Minor divisions divide the Major Divisions. Enter the number of sections you want each Major division to be divided into.

Division Color

Select the color for the major and minor tick marks and the Tick Numbers if they are turned on.

Tick number

Select to display Tick Numbers at each major division.

Floating Point

If the Tag Name used is a Floating-Point data type, this field is enabled. Enter the number of decimal places to display in the Tick Numbers.

Show Digital Display

Places a small window with a digital display of the current value of the meter. Click this checkbox to make the settings for this selection active. The Digital Display Background Color will match the color of the division that the needle is in when simulating or running on the panel.

Total and Fractional Digits

Determines the number of digits that will be displayed in the digital display. Selections are available for Total and Fractional digits.

Justify

Select how to display the number in the display,

Leading Zero – Places zeros at the beginning of a number smaller than the Total Digits entered above. For example, if the Total Digits is set to 5, the number 1.234 will be displayed as 01.234.

Leading Spaces - Places spaces at the beginning of a number smaller than the Total Digits entered above. For example, if the Total Digits is set to 5, the number 1.234 will be displayed as 1.234.

Trailing Spaces - Places spaces at the end a number smaller than the Total Digits entered above. For example, if the Dotal Digits is set to 5, the number 12.34 will be displayed as 12.34.

Digit Color

Select the color for the digits in the Digital Display keeping in mind the background color for the digital display will be the same as the division that the needle is in. Make sure you pick a color that is visible in each division color.

Display Range

Min/Max

Enter the range to display on the meter. This should be based on the expected value from the PLC considering any scaling done in the Option Tab.

Meter Movement

Determines the direction of the meter needle from the Minimum to the Maximum. Click the drop-down arrow and select Clockwise or Counter Clockwise.

Needle Style

Select Needle or Thin Line.

Color

Needle

Color of the needle or thin line of the meter.

Back

Background color of the meter.

Angle

Position and Angle

The Analog Meter by default offers 8 styles with various preset angular positions and angular movements. To change the Position and Angle, simple enter different values in to the Position and Angle parameters. The Position can be set from 0 – 360 degrees. The Angle can be set from 1 – 360 degrees.

Object Style

The Object Style option allows the user to select the preferred style to use for this Analog Meter object. Click on the preferred style to select it. Object Styles have pre-set angels and positions. For example, Style 1 is pre-set with an angle of 180° and a position of 270°.

Style 5 is pre-set with an angle of 90° and a position of 315°.


Alarm Band Tab

Topic: CM042

Analog Meter - Alarm Band Tab

Object Alarm Band Tab Set-up Window

The Alarm Band Tab allows the user to enter and edit Alarm Bands used to set different alarm levels to indicate lows and high settings in the Analog Meter object.

Note: The Alarm Bands are visible on the object only. They are not associated with the Alarm objects or Alarm banner.

Setting Up the Alarm Band Tab Alarm Bands

To set up the Alarm Bands, do the following:

  1. From the Analog Meter Object set-up window, click the Alarm Band Tab.
    The Alarm Band Tab set-up window opens displaying the possible alarm levels.

  2. Select the Alarm Bands you wish to use, up to five.

Analog Meter Object - Alarm Band Tab

Field

Description

Fill Effect

None

Meter Band is flat in appearance.

Effect 1

Meter Band appears depressed.

Effect2

Meter Band appears raised with shadows.

For each alarm level you selected:

  3. Select a color for each Alarm Band. Remember, to prevent confusion, pick a different color for each Alarm Band.
  4. Select Static or Tag.
    For Static, enter the maximum value for the specific Alarm Band.
    For Tag, assign a Tag name to an alarm level.
  5. After making your selections, click OK.

Note: To select, add, or edit a Tag Name to the Tag Name Database, click the three-dotted box to the right of the Tag Name field down arrow.


Bar Meter Object

Topic: CM056

Bar/Circle Meter Object

Bar/Circle Meter Object Description

The Bar/Circle Meter Object is used to display variable data from a Tag Name in a Bar or Circle Meter format. The data can represent levels, currents, flows, speeds, and more.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Adding a Bar/Circle Meter Object

To add a Bar/Circle Meter Object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Meter/Graph, then Bar/Circle Meter , and then click on the work area location, or
  • From the Object List, select Meter/Graph, double-click on the Bar/Circle Meter or click and drag the Bar/Circle Meter selection to the work area.

The Parts List window opens displaying a list of pre-configured Bar/Circle Meter objects.
  2. If selecting a Bar/CircleMeter from the Parts List window, click and hold on the desired meter, drag it to the Work Area and release the mouse button.

The Bar/Circle Meter set-up window opens.

Configure the Bar/Circle Meter Object

  1. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  2. Complete the remaining fields on the screen using the information in the table below.

Bar/Circle Meter Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Option Tab

Click on the green Option Tab text for configuration information.

Show Division

Divisions are used to divide the meter into units. Tick numbers are displayed at Major Divisions. Click on this checkbox to display the Divisions.

Left/Top or Right/Bottom:

The Left/Top selection places the Meter Ticks on the left side of the meter for vertical style Bar Meters and on the top of the Bar Meters on horizontal style Bar Meters. The Right/Bottom selection places the Meter Ticks on the right side of the Meter Bar for vertical style Bar Meters and on the bottom of the Bar Meter on horizontal style Bar Meters.

No. of Major and No. of Minor

The value selected on the No. of Major field divides the Meter into sections and places a tick number at each division related to the specified range. The value selected for the No. of Minor field divides the Major divisions into smaller divisions for more precise reading.

Tick Numbers

Click on this checkbox to display the Tick Numbers on the chart.

Floating Point

When Floating Point data is used, select from 0 to 5 decimal places.

Show Digital Display

Click on this checkbox to make the settings for this selection active. This selection places a small window in the meter object with a digital display of the current value.

Total Digits and Fractional Digits

For the Total Digits, select the Total Number of digits to be displayed. The maximum number is based on the data type selected in the Tag Name. For the Fractional Digits, select the number of fractional digits to be displayed. This selection will place a decimal in a non-decimal number and cannot exceed the number of total digits.

Justify

Select a Justification setting from the drop-down menu. LeadingZeros display a "0" for every digit that has no value (i.e., 00034567 if eight digits are selected.) Leading or Trailing Spaces do not display any unused digits.

Display Range

Enter a Minimum and Maximum range for the meter. This number typically represents the units (temperature, level, speed, etc) of the value being displayed.

Bi-Polar (Mid-Point)

Use Bi-Polar when using a starting point other than the lowest value of the display range. For example, if using a range of 100 to 100, enter a "0" to move the bar from the center in either direction.

Graph Bar Color

Click on the color box for either selection and choose a color from the Color Palette . The Fore Color selection determines the color of the Meter Bar as it indicates a level. The Back Color selection determines the color of the background of the Meter Bar, which represents the non-indicating portion of the bar.

Tag Name

Click on the down arrow to select a Tag Name or use the Browser button [image] to add a Tag Name

Object Style

Select from bar four styles; Horizontal or Vertical; Slide from Top or Bottom; Left or Right.

Select from four circular styles: Clockwise, counter clockwise.


PID Faceplate Bar Meter Object

PID Faceplate Bar Meter Object Description

PID stands for Proportional Integral Derivative. PID is an algorithm used by PLC's to control a process using a Control Loop. The PID Faceplate Bar Meter Object is used to monitor Control Loop assigned Tag Names continuously and display the readings using Bar Meters.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Adding a PID Faceplate Bar Meter Object to Your Project

To add a PID Faceplate Bar Meter Object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Meter/Graph and then PIDFaceplate Bar Meter, or
  • From the Object List, under Meter/Graph, double-click on PID Faceplate Bar Meter or
  • Click and drag the PID Faceplate Bar Meter selection to the work area.

The PIDFaceplate Bar Meter window opens displaying the General tab.

  2. To configure the meter, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Bar Meter Faceplate Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Legends

Click on each of the available Text Fields to type a new Legend if necessary, or leave the default names.

Output

Output

Click the drop-down arrow and select the Tag Name that determines the output.

Process Variable, Set Point, and Output Tags

Click the down arrow to select a Tag Name to assign to each of the offered tags. Click the Browser button to the right of the Tag Name field to open the existing Tag Name Database for this project. From this database, you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name text.

Colors

Click on the color box to open a Color Palette of available color choices. The FG(Foreground) color selection determines the color of the bar meter foreground for each respective tag. The BG(Background) color selection determines the color of the background of the bar meter.

No. of Divisions

Divisions are used to divide the meter into units. Tick numbers are displayed at Major Divisions.Click on this checkbox to display the Divisions.

Total, Fractional

In the Total field, click the up and down arrow and select the total number of digits to be displayed. The maximum number is based on the data type selected in the Tag Name. In the Fractional field, click the up and down arrow and select the total number of fractional digits to be displayed. This selection will place a decimal in a non-decimal number and cannot exceed the number of total digits.

Range

Enter a Minimum and Maximum range for each tag monitored.

Mode Bit and Alarm Bit

In each of the Mode Bit and Alarm Bit fields, click drop-down arrow and select the Tag Name. To open the existing Tag Name Database for this project, click the Browser button next to the field. To learn more, click on the green Tag Name text.

After completing the General tab, click the Option tab and complete the fields on the screen.


PID Faceplate Trend Graph Object

PID Faceplate Trend Graph Object Description

PID stands for Proportional Integral Derivative. PID is an algorithm used by PLCs to control a process using a Control Loop. The PID Faceplate Trend Graph Object is used to monitor Control Loop assigned Tag Names continuously. This Object is much like a digital version of a chart recorder used for industrial processes.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Note: To retain data displayed by a Faceplate Trend Graph object after a power cycle, Logging must be configured on the Options tab.

Adding a PID Faceplate Trend Graph Object to Your Project

To add a PID Faceplate Trend Graph Object to your project, do the following:

  • From the Object Menu, select Meter/Graph, and click on PID Faceplate Trend Graph and then click on the work area,
    or
  • From the Object List, click and drag the PID Faceplate Trend Graph selection to the work area.

The PID Faceplate Trend Graph Object set-up window opens displaying the General tab.

The General tab is the default tab and is used for the basic configuration of the PID Faceplate Trend Graph Object.

To configure a PID Faceplate Trend Graph Object, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Then complete the remaining fields on the screen using the information in the table below:

PID Faceplate Trend Graph Window - General Tab

Field

Description

General Tab
Process Variable and Set Point Use the PV and SP tags to represent the Process Variable and Set Point tags in your PID loop controller. The color selected for the SP and PV will be the pen color on the trend graph as well as the legend.

Output

Use the Output tag to represent the Output tag in your PID loop controller.

The Output FG and BG colors will be the foreground and background colors for the Output bar graph under the trend graph.

Mode and Alarm Tags

Use the Mode Bit tag to represent the PID loop controller Mode, typically Manual or Auto. Use the Alarm bit tag to represent any bit in the controller that you wish to indicate on the PID faceplate object.

Color

PV and SPBack: Click to select the background color for the trend graph.

Axis Tick Marks: Click to select the color for the Axis tick marks on the trend graph.
Display Legends

This selection will display a simple color legend for the SP and PV.

If Advanced is selected, the trend graph will have a button for hiding each pen (SP and PV) and a button for hiding the entire legend.

Legends

PV & SP

Enter Text that will be displayed in the Legend for SP and PV.

Output

Enter the text for the Output label and select the color.

Mode

Enter the label text to be displayed when the Mode Bit tag is off (Auto) and on (Manual).

Alarm

Enter the Text that will be displayed when the Alarm Bit is On and the Text and Background Color for the Alarm label.


PID Faceplate Trend Graph - Data Tab

"/>

Topic: CM096

PID Faceplate Trend Graph Object- Data Tab

PID Faceplate Trend Graph Data Tab Description

The Data Tab of the PID Faceplate Trend Graph Object set-up window enables the user to enter and edit settings that affect the look and operation of the PID Faceplate Trend Graph.

Setting Up the Data Tab

The figure above shows the PID Faceplate Trend Graph Data Tab set-up window.

  1. Complete the fields on the screen common to all objects using the information in the Working with Objects Help topic.

  2. Complete the remaining fields on the screen using the information in the table below.

PID Faceplate Trend Graph Window

Field

Description

Sample Rate Setup

The interval at which each data point is saved.

Sample Interval

A data point will be plotted at the Sample interval rate. For the default, a point will be plotted every 60 seconds.

Trigger Tag

A data point will be plotted whenever the Trigger Tag (a discrete tag selected from the Tag Name Database) comes ON or goes OFF depending on the Trigger State setting. The Trigger Tag maximum cycle rate is 1 second.

Trigger State is

When Trigger Tag is selected, use this selection plots a data point when the Trigger comes ON or when the Trigger Tag goes OFF.

X-Axis and Y-Axis

Click on the X-Axis and/or Y-Axis Division checkboxes to select them. When selected, the settings for each respective Axis will become active.

Divisions

Add tick marks, tick numbers and grid lines to the chart area.

Major - Major divisions have a tick mark, tick number and grid line.

Minor - Minor divisions only have tick marks.

Axis Grid

 Display Grid lines in the chart area corresponding to the Major divisions.

Tick Numbers

 Display tick numbers on axis corresponding to the Major divisions.

Points Per Chart

 The number of points that to display (from 4 - 99) at one time on the chart.

Total Stored Points

 The total number of data points (from 10 to 65535) that can be seen on the chart. If the number is greater than the Points per chart, you can scroll back to see historical points.

Samples to Average per Point

 To smooth out large swings in the values of the data points, you may average from 1 to 255 points.

Auto Scale

 When Auto Scale is selected, the Y-Axis upper and lower limits will adjust to what is visible on the trend graph.

Manual Scale

When Manual Scale is selected, the Trend Graph will be upper and lower limits and will be fixed to the Min and Max values entered.


Bitmap Button

Topic: CM165

Bitmap Button Object

Bitmap Button Object - General Tab Description

The Bitmap Button Object is accessed from the Bitmap selection of the Object Menu or the Object List.

The General Tab of the Bitmap Button Object setup enables you to enter and edit settings that affect the look and operation of the Bitmap Button.

To add a Bitmap Button object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Bitmap and then Bitmap Button,
    or
  • From the Object list, scroll to Bitmap and click Bitmap Button and drag it to the work area.
    The Bitmap Object - General tab window opens.
    or
  • From the Object list, scroll to Bitmap and in the Parts List, click a bitmap button and drag it to the work area.
    The Bitmap Button window opens displaying the General tab.

or

After making your selection, the Bitmap Button window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Bitmap Button Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Label

Button and Indicator Tags

The Tag Name is the connection to the device (PLC or Controller) and to other objects. The Button tag is turned ON when the button is pressed and OFF when the button is released or pressed again, depending on the Object Type selection.

Object Type

The Object Type enables the user to choose between five types of operation for the Bitmap Button. The five choices are:

  • Toggle: Toggles the Bitmap Button operation between ON and OFF every time the Bitmap Button is selected (pressed).
  • Momentary On: Causes the Bitmap Button to be ON while the Bitmap Button is pressed. As soon as the button is released, it returns to the OFF state.
  • Momentary Off: Causes the Bitmap Button to be OFF while the Bitmap Button is pressed. As soon as the button is released, it returns to the ON state.
  • Set On: Causes the Bitmap Button to be set to the ON state when the Bitmap Button is pressed. Once it is set to ON, it remains on until a separate device, such as another Bitmap Button or signal from the PLC, turns its associated Tag Name OFF.
  • Set Off: Causes the Bitmap Button to be set to the OFF state when the Bitmap Button is pressed. Once it is set to OFF, it remains off until a separate device, such as another Bitmap Button or signal from the PLC, turns its associated Tag Name ON.

OFF/ON Bitmap

Read from...

 Under Read From, click on the Disk to select a bitmap from the PC, Symbol to open Symbol Factory, or Clipboard to paste a previously-copied bitmap.

Image Stretching

Lock Aspect Ratio: Click on this checkbox to maintain the ratio of the graphic. This keeps the graphic proportional when changing the X or Y Axis. The object frame will change size, but the graphic will stay proportional.

Stretch to Fit: Click on this checkbox to stretch the graphic to fit the frame.

For best results, keep both options selected.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

Transparent

See Adding Transparency to Animation Bitmap Images Animation Bitmap Object


Static Bitmap

Topic: CM195

Static Bitmap Object

The Static Bitmap Setup Window - General Tab

The Static Bitmap Object is accessed from the Bitmap selection of the Object Menu or the Object List.

The General tab of the Static Bitmap Object setup allows the user to enter and edit settings that affect the look and operation of the Static Bitmap.

To add a Static Bitmap object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Static Bitmap, or
  • From the Object list, scroll to Bitmap, and click and drag Static Bitmap to the Work Area of the screen.

The Static Bitmap window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Static Bitmap Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Image

Import an Image from your PC (Disk), the Symbol Library or from the Clipboard. Select Clear to remove a selection.

Image Stretching

Lock Aspect Ratio: Click on this checkbox to maintain the ratio of the graphic. This keeps the graphic proportional when changing the X or Y Axis. The object frame will change size, but the graphic will stay proportional.

Stretch to Fit: Click on this checkbox to stretch the graphic to fit the frame.

For best results, keep both options selected.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

Transparent

See Adding Transparency to Animation BitmapImages Animation Bitmap Object

Angle

Click on the UP or DOWN Arrows [image] to adjust the Static Bitmap Angle by Degrees. The Object will rotate in a clockwise direction with the center of the Object as the axis.


Dynamic Bitmap

Topic: CM169

Dynamic Bitmap Object

Description

The Dynamic Bitmap Object uses two bitmaps to create an object that toggles between the bitmaps based on the ON/OFF status of the tag.

The General tab of the Dynamic Bitmap object setup enables you to enter and edit settings that affect the look and operation of the Dynamic Bitmap object.

To add a Dynamic Bitmap object to your project:

  1. Do one of the following:
  • From the Object menu, select Bitmap and then Dynamic Bitmap,
    or
  • From the Object list, scroll to Bitmap, click Dynamic Bitmap and drag it to the work area.
    or
  • From the Object list, scroll to Dynamic Bitmap, then scroll to the Parts List, click a dynamic bitmap object and drag it to the work area.

The Dynamic Bitmap window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Dynamic Bitmap Object - General Tab

Field

Description

OFF/ON Bitmap

Read from...

 Import images to be used for the OFF and ON Bitmaps. Select from an image on your PC (Disk), the Symbol Library, or from the Clipboard. To remove a selection, click Clear.

Image Stretching

Lock Aspect Ratio: Click on this checkbox to maintain the ratio of the graphic. This keeps the graphic proportional when changing the X or Y Axis. The object frame will change size, but the graphic will stay proportional.

Stretch to Fit: Click on this checkbox to stretch the graphic to fit the frame.

For best results, keep both options selected.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

Transparent

See Adding Transparency to Animation BitmapImages in the topic Animation Bitmap Object

After completing the General tab, click OK. Continue to the Option tab.


Multi-State Bitmap Object

Multi-State Bitmap Object Description

The Multi-State Bitmap Object is used to display a Frame with Bitmap Images. This Object includes an Image Tab where the user can enter Image Selections configured to display according to the assigned Tag Names or Bit Numbers.

Adding a Multi-State Bitmap Object to your Project

To add a Multi-State Bitmap object to your project, do the following:

  1. Do one of the following:
  • From the Object Menu, select Bitmap and then Multi-State Bitmap,
    or
  • From the Object List, scroll to Bitmap and double-click the Multi-State Bitmap selection,
    or
  • From the Object List, scroll to Bitmap and in the Parts List, click and drag the Multi-State Bitmap selection to the work area.

After making your selection, the Multi-State Bitmap window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Multi-State Bitmap Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Image

Click to select whether the Images are displayed according to a Bit Number or a Message Number. The selection here will be reflected on the image setup tab.

Data Format

These selections are only active if Bit Number is selected for Image.

Bit Number

Bit Number would be selected for an image to be displayed when a specific Input is activated. For example, a set of access/occupancy switches that are assigned bits of a word in PLC memory (the Tag Name address), will display a unique image based on where someone enters the facility. The bit that is active in the Tag Name will select the corresponding image. Note that the Tag Name must only have one active bit. If the Tag Name value has more than one active bit then the Non-Programmed Bitmap Action will display.

Image Number

Image Number would be selected if there is no convenient correlation to bit of word. For example, an image will display based on unrelated triggers; the PLC identifies which image is appropriate and loads the corresponding value to the Tag Name address. This value will select/determine the corresponding image in the object. If the Tag Name value does not correspond to an image identification number (as configured on the Image Tab) then the Non-Programmed Image Action will display.

Note that after the images have been configured, changing from Bit Number to Image Number (on the General Tab) will CHANGE the image identification number (on the Image Tab) and changing from Image Number to Bit Number will DELETE Image Numbers that don't correspond to the value of the bit of word.

The quantity of messages is determined by the Bit/Image Configuration and the Tag Data type (for Bit Number,) but may not exceed 255.

Notes: The Stretch to Fit checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit button.

Transparency can be effective in your project, but also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Image Tab

Click on the Image Tab to select it. The Image Tab allows the user to enter and edit Images that will be used for display with the Muti-State Bitmap.

The Multi-State Bitmap Object is accessed from the Bitmap selection of the Object Menu or the Object List.

When the Image Tab is selected, the setup window shown below opens.

Setting Up the Image Tab Images

  1. Add New: Click on this selection to setup a new Image. When the Add New button is selected, a popup window opens displaying a selection of Images shown below.

Clicking on the down arrow [image] to the right of the Add New button allows you to select where to get the Image from shown below.

Once the Image is selected, it is placed on the table's next available line and the fields available to configure the selected Image become active on the right side of the window. To begin adding a New Image complete the fields as follows:

    1. Bit #: Click on the down arrow [image] to the right side of the field to select one of the 17 choices available. Click on your choice and continue to next step.

    2. Image: Click on the Disk, Symbol, or Clipboard buttons to change the selected Image.

    3. Lock Aspect Ratio: Click on this checkbox to maintain the Ratio of the graphic when it's resized.

    4. Stretch to Fit: Click on this checkbox to Stretch the graphic to fit the frame.

Note: The “Stretch to Fit” checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

    5. Transparent: Click on the Transparent checkbox to activate this selection. The Transparent selection allows you to set a Transparent color for the Dynamic Bitmap Images.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

    6. Back Color: Click on the color box for this selection. A window opens with a Color Palette of available color choices shown below. To select a color from this palette, click on the desired color. The Back Color selection determines the color of the background of the frame where the Multi-State Bitmap is displayed.

    7. Align: Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right.

    8. Note: click on the field to type a Note about this Image.

  2. Delete: Click on this button to Delete an existing Image.

  3. Up and Down Arrows: Clicking on the Up or Down Arrows will scroll up or down the list of Images in the table.


Animation Bitmap Object

The Animation Bitmap offers the ability to display a Bitmap graphic on any screen and use the settings to animate the visibility, position, size and rotation of the Object based on the values of Tag Names from the Tag Name Database. It can also be used to switch from one bitmap to another by selecting the Multi-State Bitmap options.

Adding an Animation Bitmap Object to Your Project

To add an Animation Bitmap Object to your project:

  1. Do one of the following:
  • From the Object menu, select Bitmap and then Animation Bitmap,

    or
  • From the Object List, double-click on the Animation Bitmap selection or click and drag the Animation Bitmap selection to the work area.

The Animation Bitmap set-up window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Animation Bitmap Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Use Multi-state Bitmap

The Multi-state bitmap option allows the bitmap to be changed to one of up to 16 bitmaps based on the value of a Tag. This can be used to show an object in different states as it moves or is rotated or resized. Such as a box on a conveyor in different states of open and close or filled and empty.

When the Multi-state Bitmap option is selected, the Tag Name field and Tag Value Field appear. The Image list is also enabled to allow the configuration of multiple images.

Image

Add New

You may select images from the your PC drive, Symbol Factory® Graphic Library or you may paste them from the Clipboard if you copied them earlier.

Click the arrow on the right side of the Add New button to select the location to retrieve bitmaps.

Disk - (default selection) opens the File Explorer window to select the image from a drive on the computer

Symbol - opens Symbol Factory to select from 4000 available images

Clipboard - pastes an image previously copied to the computer clipboard

Click Add New to and Open or OK depending on the source.

The image appears in both the Preview area, in the Image table below the Add New button listing all your images for the object, and on the right side of the window.

  1. To add more than one image, select the Use Multi-state Bitmap checkbox and then click Add New.

Delete

To delete an existing bitmap image from the image table, select the image row and click Delete.

Up/Down Arrows

These arrows are used to move images up and down the list when Use Multi-state Bitmap is selected.

Angle

The base angle of the object on the screen. This is Zero degrees from the starting point for the Rotation Animation.

Preview

Any time a setting is changed, a thumbnail preview of what this object will look like is displayed.

Read From

Under Read From, click on the Disk, Symbol, or Clipboard to change the bitmap image used in the selected row similar to the Add New button drop down selections.

Image Stretching

 Image Stretching is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Image Stretching option.

Lock Aspect Ratio

Maintains the original height and width ratio of an image when it is resized.

Stretch to Fit

Stretch the image to fit the frame of the object.

Transparent

Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates. See Adding Transparency to Animation Bitmap Images.

Set Transparent Color

See Adding Transparency to Animation Bitmap Images.

Back Color

Background color for the frame in which the bitmap image is displayed.

Align

Click to set justification of the text to Left, Center or Right.

Note

Click in the Note field to type a note about this image. The note text is displayed in the Image table next to the thumbnail image.


QR Code

QR Code Object General Tab Description

The QR Object is used to add a QR Code representing a text string to the screen. The QR Code can be scanned by a bar code reader to enter data in another system, or it can be scanned with a Smart Phone to open a webpage, a video link, send an email, place a phone call or even open the C-more Remote HMI App and connect to the panel.

The Text String can contain embedded Time, Date and Tag Name values.

Adding a Multi-State Text Indicator Object to Your Project

To add a QR Object to your project, do the following:

  • From the Object menu, select Bitmap Indicator and click on Multi-State Text Indicator and then click on the work area,

or

  • From the Object List, click and drag the QR selection to the work area.

The QR set-up window opens displaying the General tab.

To configure a QR object, complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

QR Object

Field

Description

Maximum Length

This is the maximum length string that can be represented by the QR object. This value changes with the size of the object and the other configuration settings. The absolute maximum is 2953 characters.

Source

This is the string that will be represented by the QR Code.

Only characters specified in ISO-8859-1 can be converted to QR Codes.

Clock

Select this icon to format and embed the present time into the Source string at the cursor location.

Date

 Select this icon to format and embed the present date into the Source string at the cursor location.

Tag

String Tag

Much like the Dynamic Text object, embedding a Sting tag into the QR Code allows you to change the QR Code dynamically by writing data to the string using the PLC, Recipe Object or Event Manager Tag Action.

Numeric or Discrete

Embedding Numeric or Discrete tags also allows you to dynamically change part of the QR Code with different values from the PLC or if using a discrete tag, embedding ON and OFF or High and Low or Cold and Hot.

Error Correction

The error correction feature will automatically restore the data if some of the QR Code is damaged or unreadable. This error correction consists of 4 correction levels:

  • Low (L),
  • Medium (M),
  • Quartile (Q),
  • High (H)

Each of the levels has its own capability of how much of the data can be restored.

The QR Code will be larger for each higher error correction. The maximum length of the source is reduced with higher error correction.

Error Correction should not be required on the C-more HMI because the QR is displayed on a screen and not printed where it can be damaged. But the capability exists if it becomes necessary.

Version

The Version determines the module configuration. QR Code Version has 41 settings, Auto and 1 to 40. Auto will select the minimum version necessary to create the QR code representing the string, and is the best selection in most cases.

Each version has a different module configuration or number of modules.

Module refers to the black and white dots that make up QR Code.

Module configuration refers to the number of modules contained in a symbol, commencing with Version 1 (21 × 21 modules) up to Version 40 (177 × 177 modules).

Each higher version number comprises 4 additional modules per side.

The maximum length of the Source is reduced with lower versions.

Masking Pattern

A mask pattern changes which modules are dark and which are light according to a particular rule. There are 9 settings for Masking Pattern: Auto, and 0 to 7. Auto is the best selection in most cases.

The purpose of this setting is to modify the QR code to make it as easy for a QR code reader to scan as possible.

Example QR Codes:

Websites

AutomationDirect Home page: https://www.automationdirect.com/adc/Home/Home

Use Case:

Display a QR code that, when scanned, opens a web page with sales information or technical information about the application. Or open a web page with contact information for the Equipment Manufacturer.

YouTube™: https://www.youtube.com/watch?v=HbA0Evz8XHc

Use Case:

Display a QR code that, when scanned, links to a YouTube™ video containing detailed information the operator or maintenance personnel can use to operate or troubleshoot the application.

Apple Deep Links

Deep links are a type of link that send users directly to an app instead of a website or a store. They are used to send users straight to specific in-app locations,(ie..start a phone call, generate and email, open the C-more Remote HMI app and connect to a specific HMI panel) saving users the time and energy locating a particular page themselves. You can get specifics on how to use Deep Links at the link below.

Apple URL Schemes - https://developer.apple.com/library/archive/featuredarticles/iPhoneURLScheme_Reference/Introduction/Introduction.html

Email:

To: Johndoe@yourmail.com

CC: test@example.com

Subject: [Machine01] Error002_Occured

Body: Check Boiler Temp

mailto: Johndoe@yourmail.com?cc=test@example.com&subject=[Machine01]%20Error002_Occured&body=Check%20Boiler%20Temp

Phone Call:

tel:800-633-0405

Facetime (iOS only):

Video:

facetime:14085551234

facetime:user@example.com

Audio:

facetime-audio:14085551234

facetime-audio:user@example.com

C-more Remote HMI App (iOS)

C-more Remote on HMI Apple Store:

https://itunes.apple.com/us/app/remote-hmi/id441915586?mt=8

Open Remote HMI App:

C-more-remotehmi://

Open Remote HMI App and connect to panel by IP Address:

C-more-remotehmi://?ip=96.87.227.178

Open App and connect to panel by IP Address & Port:

C-more-remotehmi://?ip=96.87.227.178=11102

Open App and connect to panel by URL & Port:

C-more-remotehmi://?ip=remotehmi.com&port=11102


Call Alarm Screen Object

Call Alarm Screen Object Description

The Call Alarm Screen object consists of a Pushbutton that, when pressed, will open a screen that displays either an Alarm Summary or Alarm Count of alarms that have been triggered through the Event Manager Alarm Action.

The Alarm Summary popup window will display details such as time, date, and messages that pertain to each specific alarm.

This object is not configurable. The related object "Alarm List" is configurable and is recommended. The Panel Manager setting "Alarm Screen Style" determines the look of this object, either Default, which looks much like the Alarm List, or Classic.

Adding a Call Alarm Screen Object to Your Project

To add a Call Alarm Screen Object to your project, do one of the following:

  • From the Object Menu click on the Call Alarm Screen selection
    or
  • or from the Object List, click and drag the Call Alarm Screen selection to the work area.

The Call Alarm Screen window opens displaying the General tab.

Setting Up an Alarm Screen Call Object

Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.

Complete the remaining fields on the screen using the information in the table below.

Call Alarm Screen Object

Field

Description

Display Default Alarm Screen

The Alarm Summary displays each occurrence of an alarm and data about each alarm:

Confirmation Required
Activated Date and Time
Confirmed Date and Time
Deactivated Date and Time

The Alarm Count displays each alarm and how many times the alarm has occurred since the last time it was cleared.

Object Style

To select a rectangular or circular shape for the CALL ALARM SCREEN object, click the desired shape.


Alarm List Object

Alarm List Object Description

The Alarm List Object includes a variety of options to customize the display of alarms as a screen, in addition to the alarm banner at the bottom of the screen that shows the active alarms. The look of this object is NOT affected by the Alarm Screen Style setting in Panel Manager.

The Alarms that display in this Object are configured in Event Manager.

Adding a Alarm List Object to your Project

To add a Alarm List Object to your project:

  1. Do one of the following:
  • From the Object menu,select Alarm and then select Alarm List,
    or
  • From the Object List, double-click on the Alarm List selection or click and drag the Alarm List selection to the work area.

The AlarmList window opens displaying the General tab.

  2. Near the bottom of the screen, see Auto-Expand Message Cell.
Auto-Expand Message Cell: This selection is a “special priority” setting that affects the Message Cell width in an individual row if that message is too wide for the configured cell width.

If Auto-Expand Message Cell selection is NOT CHECKED, the Message Cell will show the number of characters set by the “Characters” setting on the General tab. The width of the cell should be configured to fit the longest Alarm Message. Messages longer than the configured width will be truncated.

If Auto-Expand Message Cell selection is CHECKED, the cells to the right of any individual message cell will be overwritten to display the message characters. This is useful when most alarm messages will fit in a narrower cell, but an occasional alarm message may be displayed that includes more characters.
  3. Click the Display tab.

The Clear All button clears all alarm data in the panel. Filter options do not prevent all alarms in the panel from being cleared. This note refers to the data display filter on the General tab that is available for the Alarm Summary option in the Display Default Alarm Screen selection. If some filter is applied to not show All Alarms, the programmer must be aware that when the Operator presses the Clear All button, alarms will be cleared that don't display on this object. That is, CLEAR ALL clears the Alarm database affecting all alarm screens and all alarm views. CLEAR ALL isn't limited to the display on any single object.

Icons that will display in the Confirm Status Icon column are:

= Confirmation Required

= Confirmed

The requirement for confirmation of any alarm is a setting in the Alarm Configuration in Event Manager.


Clock Objects

The Clock Objects, Analog Clock and Digital Clock, allow the programmer to display date and time information in the project.

These objects have a Visibility option. Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Analog Clock Object

Analog Clock Object Description

The Analog Clock object is an electronic version of a typical analog clock. The Analog Clock can be placed on a screen to display the current time.

Analog Clocks may be edited to various shapes, colors, and sizes.

Adding an Analog Clock Object to Your Project

To add an Analog Clock Object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Clock and then Analog Clock,
    or
  • From the Object List, double-click on the Analog Clock selection or click and drag the Analog Clock selection to the work area.

The Analog Clock set-up window opens displaying the General tab.

  2. Complete the fields on the screen using the information in the table below.

Analog Clock Object

Field

Description

Tag Name Database

To add, edit, or delete Tag Names or to learn more, click on Tag Name Database.

Label

Object Color

Background

Click on the Color button to open a Color Palette of available color choices. Click on a color to select the desired color for the background on the clock face of the Analog Clock object.

Digits

Click on the Color button to open a Color Palette of available color choices. Click on a color to select the desired color for the digits on the Analog Clock object.

Hour/Minute Hand

Click on the Color button to open a Color Palette of available color choices. Click on a color to select the desired color for the digits on the hour and minute hands on the Analog Clock object.

Display Second Hand

If you want the clock to display a second hand, click the Display Second Hand checkbox.

Second Hand

Click on the Color button to open a Color Palette of available color choices. Click on a color to select the desired color for the digits on the second hand on the Analog Clock object.

  3. After completing the fields on the screen, click OK.


Screen Change Pushbutton

Topic: CM191

Screen Change Pushbutton Object

Screen Change Pushbutton Object Description

The Screen ChangePushbutton Object is configured to access another screen in the project.

Adding a Screen Change Pushbutton Object to Your Project

To add a Screen Change Pushbutton to your project,

  1. Do one of the following:
  • From the Main menu, click the Object menu and select Control and then Change Screen Pushbutton
    or
  • From the Object List under Control, double-click the Screen Change Pushbutton selection or click and drag Screen Change Pushbutton to the work area.

The Screen Change Pushbutton window opens displaying the General tab.
  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Change Screen Pushbutton Object

Field

Description

Object Style

The Object Style option allows the user to select the preferred button style to use for the Screen Change Pushbutton object. Click to select a style.

Go to

Click to select the choices for screen to go to when the pushbutton is pressed:

Power Up Screen - Changes the screen to the Start Screen Number configured in the Panel Manager.

Forward Screen - Forward works like the Forward button in a Web Browser. You cannot go Forward unless you have first selected Previous.

Previous Screen - Previous works like the Back button in a Web Browser. When selected the screen will change to the previous screen that was viewed.

Other Screen - select a specific screen to go to when the pushbutton is pressed. You can either select it by Screen Number or Screen Name.
  4. After completing the fields on the screen, click OK.


Screen Selector Object

Screen Selector Object Description

The Screen Selector object provides a either a static menu or a popup menu for selecting a specific screen configured in the project. The selector can be populated with all of the available screens, or you can select specific screens to be selectable.

Adding a Screen Selector Object

To add a Screen Selector Object button or keypad to your project,

  1. Do one of the following:

  • From the Main menu, click the Object menu and select Control and then Screen Selector

    or
  • From the Object List, click the Object tab and under Control, double-click Screen Selector

The Screen Selectorwindow opens displaying theGeneraltab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

    Static: If you are creating a Static Screen Selector Object, which is a keypad, under Object Type select Static and then complete the fields under the following areas on the screen: Object Style, Number of Buttons per, Button Text, Control Buttons, Option, and Object Type, as well as Button colors for active and inactive screens.

    Popup: If you are creating a Popup Screen Selector Object, which is a single button, under Object Type select Popup and then complete the fields under Button Text, Button colors for active and inactive screens, and the Popup Button Text.

Screen Selector Object

Field

Description

Button Order

This setting is only active when Style 3 of the Object Style selections is selected. Style 3 has multiple rows and columns, whereas Styles 1 and 2 have a single row or column of buttons. The button order is referring to the layout by screen number.

Number of Buttons per

For Style 1 of the Objects Styles, only the Row selector will be active. For Style 2, only the Column selector will be active. For Style 3, both the Row and Column selectors will be active. The maximum number of rows and/or columns is 16.

Button Text

Click on the checkbox of the preferred text to display on the button face from the three choices available: Screen Number, Screen Name, or Screen Number &Name.

Control Buttons

Control Buttons: Click on the checkboxes to include a Next and a Previous button on this object. The Next and Preview buttons only work when you have more screens than the Number of Buttons selected. These buttons shift to the next set of screen entries available. See below for a series of seven screens (numbered 1-7) shown on a button that holds three Screen Selectors at a time. Pressing the arrow will move to the Next set in the series.

Option

The Rollover Option is useful if fewer buttons will display than the quantity of screens that the buttons will select. In this case, the Next Screen and/or Previous Screen buttons will allow the values of the display buttons to scroll up or down to make all selectable screens available. The Rollover Option will allow the Next Screen button to cycle directly from the highest selectable screens to the lowest selectable screens; the Rollover Option likewise allows the Previous Screen button to cycle from the lowest available screens directly to the highest available screens.

Object Type

To make the object stay as it is on the screen, select Static.

To display a small button that when pressed will pop up the full object, select Popup.

Popup Button Style

This feature becomes active if the Object Type selected is a Popup. Select a style for the button.

Button - Active and Inactive Screen Text
Button -Active and Inactive Screen Text It is helpful to know which screen has been selected. The Active Screen Text will apply to the button that represents the presently viewed screen. The Inactive Screen Text will apply to the buttons of the other screens. This is very useful when the Screen selector object is used on a Background screen to know which screen the user is presently viewing and which screens can be selected.

Popup Button Text

When the Popup Object Type is selected, this selection becomes active. Enter the text you want displayed on the face of the button.
  4. After completing the fields on the screen, click OK.
  5. Continue to the Screen tab in the Screen Selector window.


Static Text Object

Static Text Object Description

The Static Text Object is used to display a frame with a personalized message of up to 500 characters. The Static Text Object can be continually displayed or can change visibility based on the status of an assigned Tag. It can be used for labels, instructions, warnings, etc. Static Text Objects can be configured using a variety of colors and fonts.

Adding a Static Text Object to your Project

To add a Static Text Object to your project, do the following:

  1. Access Static Text using one of the following three methods:
  • From the Object menu select Text and then Static Text, or

  • From the Object List,scroll down to Text and double-click on Static Text or click and drag the Static Text selection to the work area.

The Parts List window opens displaying a list of pre-configured Static Text Object styles.

  3. To select a Static Text style from the Parts List window, click and hold on the desired Static Text, drag it to the work area and release the mouse button.

The Static Text setup window shown below opens.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

  4. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  5. In the Text field, enter the text that you want to appear.
  6. Click OK.


Triggered Text Object

Triggered Text Object Description

The Triggered Text Object is used to display a frame with a personalized message. This frame and message can be placed on any screen and any location within the screen. The Object is always displayed like a sign, but is configured to display only when prompted by an assigned Tag Name. Triggered Texts may be edited to fit various colors and sizes.

When the Triggered Text Object is selected, a setup window opens to allow the user to set up the Triggered Text Object as needed.

Adding a Triggered Text Object to your Project

To add a Triggered Text Object to your project, access Triggered Text using one of the following methods:

  1. From the Object menu, select Shape and then Triggered Text, or

  • From Object List, scroll to the Shape section and double-click on the Triggered Text selection or click and drag the Triggered Text selection to the work area.

A list of pre-configured Triggered Text Object styles are displayed on the Parts List window.

  2. If you are selecting a Triggered Text from the Parts List window, click and hold on the desired Triggered Text, drag it to the work area and release the mouse button.

The Triggered Text set-up window opens.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below, and click OK.

Triggered Text Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

OFF Text

Enter the text that will appear on the object when it is OFF.

ON Text

Enter the text that will appear on the object when it is ON.


Lookup Text

Topic: CM179

Lookup Text Object

The Lookup Text Set-up Window - General Tab

The General tab of the Lookup Text Object set-up window allows the user to enter and edit settings that affect the look and operation of the Lookup Text.

To add a Lookup Text object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select Text and then Lookup Text, or
  • From the Object List, scroll down to Text and either double-click on Lookup Text or drag and drop Lookup Text to the work area.

The Lookup Text set-up window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. To add, edit and delete messages, click on Message Database.
    The Message Database window opens. The font format of the message text is configured in the Message Database. Click here Message Database for more information.


Bitmap Text Object

Bitmap Text Object Description

The advantage to using a Bitmap Text Object is that fonts may be used that won't increase the size of the project. For example, if a few characters from a unique font will be used, the Bitmap Text Object can display the characters without downloading the entire font to the panel.

Note: Transparency can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.


Text Entry Object

Text Entry Object Description

The Text Entry Object is used to enter a Text from your Panel to a PLC Register. There are two ways (or Object Styles) in which you can enter this ASCII String Text:

  • Style 1: Opens a Text Keypad that enables you to enter a text message that will be written to the assigned Tag Name.
  • Style 2: Will require a USB input device connected to Port A of the panel. Most HID Standard USB keyboards, card scanners and bar code readers may be used with this style. The TextEntry Object must be selected on the panel for data to be accepted from the device. The string must have a carriage return at the end of the string OR the user must touch this object on the panel screen when finished to enter the data.

Adding a Text Entry Object to your Project

To add a Text Entry Object to your project,

  1. Do one of the following:
  • From the Main menu, click the Object menu and select Text and then Text Entry,
or
  • From the Object List, click the Object tab and double-click Text Entry or click and drag Text Entry to the work area.

The Text Entry set-up window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Activate Screen Saver Object

Field

Description

Byte Swap

Different Controllers (PLCs) handle Text different ways. Every two letters may appear swapped in the text. If this happens, click this checkbox to display characters in the proper order.

Used when entered in a Text Entry object that is ABCD and the PLC Receives - BADC.

Object Style

Style 1: Opens a Text Keypad that enables you to enter a text message that will be written to the assigned Tag Name.

Style 2: Requires a USB input device connected to Port A of the panel. Most HID Standard USB keyboards, card scanners, and bar code readers may be used with this style. The Text Entry Object must be selected on the panel for data to be accepted from the device. The string must have a carriage return at the end of the string OR the user must touch this object on the panel screen when finished to enter the data.

Keypad

Click to select the type of keypad for use with the Text Entry object. To see a preview of how the keypad would look to the user, click Keypad. To learn more about customizing a keypad, click Define Keypad Icon and Selection.

  4. After completing the fields on the screen, click OK.


Activate Screen Saver Object

Activate Screen Saver Object Description

The Activate Screen Saver Object is used to allow the user to initiate the Screen Saver feature by simply pressing this button. When this button is pressed, the backlight on the panel will go off.

The Screen Saver will be turned off and the panel backlight will come on:

  • When the panel touchscreen is touched.
  • When the screen is clicked by Remote Access.
  • When the Alarm Action of the Event Manager occurs (only when the Display setting of the Alarm Action is checked).
  • When the PLC initiates a screen change. When an Error such as a Communication Error occurs.

Adding an Activate Screen Saver Object to Your Project

To add an Activate Screen Saver Object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select System and then Activate Screen Saver,
    or
  • From the Object List, double-click on the Activate Screen Saver selection or click and drag the Activate Screen Saver selection to the work area.

  2. Complete the fields on the screen common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Activate Screen Saver Object

Field

Description

Lock

Select this checkbox to prevent the object's position or size from being changed accidentally.

Object Style

The Object Style option allows the user to select the preferred button style to use for the Screen Saver object. Click to select a style.
  3. After completing the fields on the screen, click OK.
  4. Continue to the Option tab.


Increment/Decrement Hour Object

Description

The Increment/Decrement Hour Object is used to allow the user to adjust the hour of the internal clock Up or Down according to the setup, by pressing this object button. This button can be modified to various sizes and colors.

Adding an Increment/Decrement Hour Object to your Project

To add an Increment/Decrement Hour Object to your project:

  1. Do one of the following:

  • From the Object menu select System and then Increment/Decrement Hour
    or

  • From the Object List, scroll down to System, and double-click or click and drag Increment/Decrement Hour to the work area.

Any available Increment/Decrement Hour Objects are displayed on the Parts List window. If selecting a Increment/Decrement Hour from the Parts List window, click and hold on the desired Increment/Decrement Hour, drag it to the Work Area and release the mouse button.

The Increment/Decrement Hour window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Increment/Decrement Hour Object - General Tab

Field

Description

Text

 Enter the text that will appear on the Increment/Decrement Hour button.

Object Style

Select a style for the object.

Style 1

Single Button - Increment or Decrement must be assigned to Style 1

Style 2

Includes both Increment and Decrement buttons

Operation Type

When Style 1 is selected choose increment to add to the Hour and Decrement to subtract from one Hour.

  4. After completing the fields on the screen, click OK.
  5. Continue to the Option tab.


Adjust Display Object

Adjust Display Object Description

The Adjust Display Object enables you to adjust the Brightness of the panel screen. An Up arrow Increases the Brightness and a Down arrow Decreases the Brightness.

Adding an Adjust Display Object to your Project

To add an Adjust Display Object to your project:

  1. Do one of the following:
  • From the Object Menu, click on System and select Adjust Display and then click on the work area location,

    or
  • From the Object List, double-click on the Adjust Display selection (under System) or click and drag the Adjust Display selection to the work area.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the information needed for the Object Digits fields.
  4. After completing the fields on the screen, continue to the Option tab.


Set Language

Topic: CM193

Set Language Object

Set Language Object Description

The Set Language Object is used to allow the user to select from any of nine languages configured in Language Setup.

The object places a button on the screen that, when pressed, will change the language of all objects in the project to the language configured in the button. The button can be modified to various sizes and colors.

To see a sample of creating a Multi-Language Project, click on the green text.

To add a Set Language Object to your project, do the following:

  1. Do one of the following:
  • From the Main menu, click the Object menu and select System and then Set Language,
    or
  • From the Object List, click the Object tab and under System, double-click Set Language,
    or
  • From the Object List, click the Object tab, and under System, drag and drop Set Language to the work area.

The Set Language window opens displaying the General tab.
  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. In the Panel Language field, click the down arrow to select the language that this button will activate when pressed.
    Languages must be setup already on the Language Setup.
  4. Continue to the Option tab.


Volume Control Object

The Volume Control object is used to allow the user to adjust the volume of the panel's sound by pressing a button or pressing the Increase or Decrease arrows. This object can be modified to various sizes and colors.

To add a Volume Control object to your project, do the following:

  1. Do one of the following::

    • From the Object menu, select System then Volume Control, or
    • From the Object List, scroll down to System and either double-click on Volume Control or drag and drop Volume Control to the work area.

  3. A list of pre-configured Volume Control Object styles are displayed on the Parts List window. If selecting a Volume Control from the Parts List window, click and hold on the desired Volume Control style, drag it to the Work Area and release the mouse button.

The Volume Control set-up window shown below opens.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Volume Control Object

Field

Description

Object Style

Style 1 is plain text on the button and is used for one operation. Use one button for Volume Up, another button for Volume Down, and another for Mute Set and Reset.

Style 2 uses one object with three buttons for Volume Up, Volume Down and Mute.

Operation Type

Operation Type is used when the Style 1 is selected.

Volume Up makes the button a momentary pushbutton that increases the volume.

Volume Down makes the button a momentary pushbutton that decreases the volume.

Mute Set/Mute Reset makes the button a toggle button that mutes with one push and unmutes with the next push.


Clock Source

Clock Source Description

The Clock Source selection allows the user to determine the source from which the panel clock will update the Time and Date.

To set the panel clock source, do the following:

  1. From the Setup menu, select Clock Source.

The Clock Source window opens.

  2. Complete the fields on the screen using the information in the table below.

Clock Source

Field

Description

External

When External Clock Source is selected, the tags in the Read From PLC Tags list will write their values to the SYS DATE xx and SYS TIME xx tags in the C-morepanel. The SYS DATE xx and SYS TIME xx tags then should be used in the project to trigger events.

Internal

When Internal Clock is selected, the panel will retain the current time from its built-in real-time clock. If tag names are entered in the Write to PLC Tags fields, the C-morepanel will write the values from its built-in real time clock to those tags.

Note: These internal tags cannot be used to write the time to the CLICK tags available to change Date/Time from an external device. Refer to the CLICK help files for details on how to set Date/Time from an external device.

Date Tags

Time Tags

These tags define the PLC addresses to which the panel date and time will be written or from which the date and time will be read.

Synchronize Schedule

For External clock source, if Synchronize Schedule is NOT checked, the tags are constantly read as a background task.

For Internal clock source, if Synchronize Schedule is NOT checked, each tag will be written to the PLC whenever it changes (the second tag written each second, the minute tag written once per minute, etc).

If the Synchronize Schedule box is checked, ALL tags are written or read at the configured schedule (once per day or once per week).

Note:ALL tags are written when C-more is initially powered, and after a project is transferred to the panel, in addition to the Synchronize schedule or the individual tag updates.

Data Types for Date and Time Tags

  • Signed int 16
  • Signed int 32
  • Unsigned int 16
  • Unsigned int 32
  • BCD int 16
  • BCD int 32

Day of the Week Tag Values

1 = Sunday

2 = Monday

3 = Tuesday

4 = Wednesday

5 = Thursday

6 = Friday

7 = Saturday


Alarm Log Protection

The Alarm Log Protection selection is located under the Setup drop-down menu of the Main menu.

The Alarm Log Protection allows the programmer to set a Password requirement to be able to enter a Clear or Clear All when an Alarm is displayed on the Alarm Count window and enter a Clear All from the Call Alarm Screen window. When the Alarm Log Protection is selected, the Alarm Log Protection window shown below opens.

The figure above shows the Alarm Log Protection window with the setup features described below labeled:

  1. Password Protect: Click on the checkbox to activate the Password Protection settings.
  2. Password Groups: If the Master Password is unchecked, click on the checkbox for all those Groups that will require Password assignment.
  3. Configure Password: Click on this button to open the Configure Password window shown below. This window allows you to assign a name to a group and specify a Password for each group This window also allows the user to assign a Tag Name that will activate the Alarm window for a specific group.


Configure Password

Configure Passwords Window Setup

The Configure Password selection can be accessed from the Password Tab by clicking on the Configure Password button [image]. Or from the Setup drop-down menu shown below.

When selected, the Configure Password window shown below opens. From this window the user can Setup Password Configurations for use with Password protecting Objects and Screens.

The Configure Password shown above offers the following setup features:

  1. Group Name: There are Eight Group Names available for configuration. Group Names are set by default but can be renamed by clicking on the respective field and editing the default Name. The Group Name can be up to 20 characters.
  2. Static: Click on this selection to enter a Numeric value to be used as the Password for the specific Group Name on the left. A Static password can be up to 10 characters.
  3. Tag Name: If Tag Name is selected, then the Password is the data contained in the Internal Tag or PLC Address associated with the Tag Name.

Once selected, click on the down arrow [image] to the right of this field to assign a Tag Name. Clicking on the Browser button [image] to the right of the Tag Name field down arrow, opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text.

Tag Data Types
  • BCD int 16
  • BCD int 32
  • Unsigned int 16
  • Unsigned int 32
  • Signed int 16
  • Signed int 32


System Screen Password Setup

System Setup Screens with No Password

If no Password is enabled for the System Setup Screens, then pressing the OK button in the Warning dialog box will bring up the panel's Main Menu as shown below. You can then proceed to the other System Setup Screens.

Note: If the password system tag SYS SYSTEMSCREENPW is enabled, as described in the procedure below, then the Enter Security Code keypad shown below will be displayed. Entering the correct password code will bring up the Main Menu system setup screen. If the wrong password code is entered, the keypad clears the value entered from it's display and stays present until the correct value is entered or the Cancel key is pressed.

System Setup Screens: Enable Password with Software

Under the C-more Programming Software’s Navigation window, select the Function Tab, then select the Event Manager’s Database function shown below:

This will open the Event Manager Database window shown below. From this window, click on the Add button to add an Event to the Database that will be used to enable the System Screen Password.

The Event Add dialog box will be displayed as shown next:

  1. Click on the Tag Name pull down menu and select the internal System Bit On (SYS BIT ON) Tag as shown above. This will force the Tag event type to be continuously active.

  2. Click on the Event Name field and type “System Screen PW” for record keeping. This is optional.

  3. In the Action box, click once on the displayed 01-Alarm (Item d) under the Sequence List to highlight 01-Alarm. Then click the Delete Action button to remove the 01-Alarm.

  4. The Action box should now be blank.

  5. Click on the Add Action button. This will bring up the Add Action dialog box as shown below:

  6. Click on the Tag icon to select the Action. A Tag action item is now displayed on the Sequence List and the Tag action setup window shown below is displayed.

  7. Click on the Tag Name down arrow [image] to open the Tag Name list and select SYS SYSTEMSCREENPW from the list.

  8. Enter a numeric value into the Value field, such as 777. This value becomes the Password code to access the System Setup Screen’s Main Menu.

  9. The Data Type BCD is automatically displayed on this field and should not be changed.

Click the Add button in the Event Add dialog box and then the Close button to return to the Event Manager Database. You now will see that the first event in the database is for the System Screen Password and it is enabled as shown below.


Topic: CM377

Save, Save as, and Save as Protected Project

Save Project Description

C-More Programming Software provides three methods for saving a project. All three methods are available from the File menu in the top toolbar.

  • Save Project: saves an existing project to its current files name or a new project to a new filename
  • Save Project As: saves a current file with a new filename
  • Save Project as Protected: saves the current file as protected and no longer editable

Save Project

The Save Project selection is available using three methods:

  • Selecting Save Project from the File Menu located on the Main menu and shown above, or
  • Clicking the Save Project Icon [image] on the File Toolbar, or
  • Using the short cut keys Ctrl+S.

When you click on Save Project, the existing project will be saved with its current file name. If the project file is new and has never been Saved, the Save Project As window will open.

Save Project As

Save Project As allows the user to select a folder to save the project file to a new filename.

When you click on Save Project As, the window shown below opens. This window also opens when the user clicks on the Save Project selection of the File Menu if the project is being Saved for the first time.

This window enables you to select a folder to Save the project file by using the Save In field to browse the folders. When the desired folder is located, click on the folder to select it. If a new folder is required, use the Create New Folder Icon [image] available from the window shown above.

Once the folder is selected, click on the field for File Name and type in the name for your new project, followed by clicking on the Save button. The window will close and your new project file is saved. The new file will become the open project and the previous project is closed with no changes saved to it.

If this window is accessed by mistake, click on the Cancel button to Close and Cancel this operation.

Save Project as Protected

The Save as Protected option is intended primarily to allow the creator of a project to protect the intellectual property the project represents. To be the most secure, a project should be written to panel memory and NOT an SD card in the SD1 slot. If the project is written to the panel, when a card is installed in the SD1 slot, the SD card may be copied and installed on another panel. Though the project on the SD Card is still not editable in the C-more software.

A protected project file can only be used to transfer to another panel and cannot be edited. A protected project on a panel is not accessible using the C-More Programming Software.

When creating a Protected Project file, you should make an editable project file to store for backup or future authorized modifications. Once this file is created, proceed to create the protected file.


Save Project as Protected

Save Project as Protected Description

The Save As Protected option is intended primarily to allow the creator of a project to protect the intellectual property the project represents. The protected project can not be Read From Panel.

Note that to be most secure, the project should be written to panel memory and NOT an SD card in the SD1 slot. If the project is written to the panel when a card in installed in the SD1 slot, the SD card may be copied and installed on another panel.

The Save Project As Protected selection is available from the File Menu located on the Main Menu.

When the user clicks on the Save Project As Protected selection, a confirmation window like the one shown below pops up to confirm that you want to proceed with this action.

This window warns the user that if the project is Saved as a protected project, the project file can only be used to transfer to panel and cannot be edited. The project will not be accessible using the C-more Programming Software to allow editing.

Note: When creating a Protected Project file, the user should make an editable project file to store for backup or future authorized modifications. Once this file is created then proceed to create the protected file.


Project Transfer

The Project Transfer window allows the user to create a compiled project file ready to be transferred to a panel. The compiled project file can be written directly to the panel from the software, or written to USB memory or an SD card to Restore to a panel in the field.

The most important thing to realize about Project Transfer is that it creates a compiled version of the project file as needed by the panel. The compiled project file ready to be loaded to the panel has a .eas file extension. This is different than the working project file created by the File > Save and File > Save As functions with a .eap file extension.

Note:This compiled project file has file extension .eas9 when saved to USB or SD memory. A project file saved for editing in the software has file extension .eap9. A file saved as a .eap9 file can NOT be RESTORED to a panel in the field.

Accessing the Project Transfer Window

Complete the fields on the screen using the information in the table below.

To transfer a project, do the following:

  1. Do one of the following:
  • From the Main menu, click the File menu and select Project Transfer, or
  • In the lower toolbar, click Send. .

The Project Transfer window opens.

Caution: When transferring a Project to the Panel, any existing project in the panel WILL BE OVERWRITTEN. To Save the existing Project before transferring a new one, exit the current Project and go to the Start a Project selection, followed by Read from Panel.
  2. Select Panel to transfer the compiled project directly to a panel.
  3. Select External Memory Device to write the compiled project to USB memory or an SD card.
    The USB or SD card may be carried to a panel in the field and the project can be Restored to the panel from its System Screen.
  4. Connect to the panel or select the location to store the compiled file.
  5. Click the Transfer button to start the project transfer to the panel or external device.
    If the Project Panel Type does not match the Target Panel Type, you will be prompted to make a few decisions on how these differences will be handled. See the Project Resolution Difference topic for more information.
Memory Usage information is summarized. Refer to the Project Memory topic for more information.

In some cases, project storage memory available may be increased by transferring the project to SD1. This allows the Fonts and Recipes to be stored separately from the project runtime.

Two facets of the compiled project file are important to consider:

  • Project Storage memory size
  • Project Runtime memory size.

Project Storage Memory may be increased by storing the project on an SD card in the SD1 slot. Refer to the Project Storage/Boot Location topic for more details.

If a project is written to a panel using the Restore feature on the System Screen and an SD card is in the SD1 slot, this will be a selectable option during the Restore process.

In particular, if fonts and recipes are responsible for a significant portion of the project size, the benefits of using an SD card for additional memory may be realized. Each font used in a project (except for Bitmap Text objects) is downloaded in its entirety. Some fonts are surprisingly large.

Caution: An .eap9 file created by File >Save or File > Save As can’t be loaded directly to the panel.

Note: If you transfer a project to SD1 and then remove the SD card, you will effectively remove the project; the next power cycle of the panel will show “No User Program” message on the screen. You will have to re-transfer the project to the panel.

Project Runtime Memory is limited to 26MB for the 6, 8, and 10 inch panels or 82MB for the 12 and 15 inch panels. Often, bitmap objects and large trend objects result in the largest Project Runtime files. The Runtime Memory tool available from the Project Transfer window and the Tool menu provides details on the Project Runtime Memory requirements.

Internal Flash

USB

SD1

SD2

Logs

No

Yes

Yes

Yes

Runtime Project

Yes

No

Yes

No

Backup To

No

Yes

Yes

Yes

Restore From

No

Yes

Yes

Yes


Simulation

The Simulation feature allows the user to Simulate a project before it is transferred to a panel. The objects in the project can have Internal or External Tag Names. When selecting Simulate Project, a simulation window is displayed and the objects can be tested by clicking them with a mouse or by entering a value in the Value column of the Tag List of the Simulation Control Window. Simulation makes it possible to detect problems or issues before the project is transferred to the panel.

Running a Simulation

To run a Simulation of a project, do the following:

  1. Do one of the following:
  • From the Quick Project toolbar, click the Simulate button [image] , or
  • From the Main menu, click the File menu and select Simulation

The Simulate window opens.
  2. In the Simulate window, click the Target Panel drop-down list and select the model.
    This is useful when the project panel size is different than the actual panel size. When a target panel is selected, the Adjust Screen Size checkbox becomes active only if the target panel resolution is different from the resolution for which the project is set up.
  3. Select the Adjust Screen Size checkbox if desired.
  4. Once the Target Panel is selected, click on Start

Two windows open, the Simulation Control window and the C-more Simulation window.

Simulation Control Window

C-more Simulation Window

C-more Simulation Window

The C-more Simulation window displays the project screen as it will be seen on the panel. Discrete objects can be tested by clicking on the object. Numeric entry objects can be tested by clicking on the object and entering a value with the keypad.For meters, graphs, numeric displays and similar objects, use the Simulation Control window.

Click the Close [image] icon to end the project simulation.

Simulation Control Window

The Simulation Control window shown above is used to select a project screen for simulation and for testing meters, graphs, numeric displays and similar objects. The Screen List portion of the window provides a list of all the project screens. Clicking on a specific screen on the list will open that screen on the C-more Simulation window.

The Tag List includes a Tag Name, PLC Address and Data Type for each object on the selected screen. Objects are tested by entering a value in the Value field.

In addition, this screen provides three icons:

  • Exit Simulation: Click on this icon to end and Exit the project simulation.
  • Bezel: Click on this icon to display a Frame around the C-more Simulation window. This frame provides a more accurate look of what the project will look like on the panel.
  • Simulation Setup: Click on this icon to open the Simulation Setup window shown and described below.
  • Folder: Click the desired folder icon to open the simulated folder on your PC. These folders located under \Users\%user%\Documents\AutomationDirect\C-more\Simulation\Default on your PC represent the same folders on the C-more panel.

    Simulated Data Logs, Alarm Logs and Screen Captures can be viewed in these folders.

Simulation Setup Window

The Simulation Setup window provides a few setup options when running a Simulation.

The following list describes the options available:

  • Enable Play Sound: This selection is checked by default. When checked, any object that has a sound file will execute the sounds during simulation. Click to uncheck this option if you do not wish to listen to sounds while simulating.
  • Enable Blinking: This selection is checked by default. When checked, any object that has the blinking feature configured will execute during simulation. Click to uncheck this option if you do not wish to view blinking while simulating.
  • Simulate Panel: Click on the down arrow [image] to display a list of the C-more panel models. Select the panel from the drop down list and click OK to exit the setup window and accept the setup selections.


Add New Screen

Topic: CM017

Add, Delete, Copy, and Paste Screens

In this topic, you will find how to:

Add a New Screen

Copy and Paste a Screen

Delete a Screen

Navigation Pane - Screen Tab

Many screen functions take place from the Screen tab on the Navigation pane. See the table below for descriptions of the Screen Tab icons.

Navigation Pane - Screen Tab

Icon

Icon Name

Description

Add New Screen

Add a new screen to the project

Delete a screen

Delete a screen from the project.

Copy a screen

Copy a screen to the clipboard.

Paste a screen

Paste a screen that has been copied to the clipboard into the project

Duplicate a screen

Duplicate the selected screen. This is essentially a one step Copy Paste.

Screen option

Opens the Screen Option window so you can enter a screen description, select a screen background color, and assign a password to the screen.

Display

Select Preview a screen list which shows an large icon representation of the screen, , Detailed Screen List, or open the Screen Library.

Screen

Displays the Screen List and allows adding and editing of Project Screens

Define Keypad

Displays the Keypad List. This is where create a user-defined keypad. See Create a User-Defined Keypad.

Add a New Screen

Screens can be added to projects four different ways:

  • From the Screen menu,
  • From the Navigation Pane Screen tab (see above),
  • From the Screen Library, and
  • By copying and pasting an existing screen.

From the Screen Menu

  1. In the top toolbar, click the Screen menu and select New Screen.
    The New Screen window opens.

  2. Complete the fields in the window using the information in the table below and then click OK.

New Screen Window

Field

Description

Screen Number

By default, the system will display the next available sequential screen number.

Screen Name

Enter a name for the new screen that will help identify the functions on the screen.

Background Color

Click to select a background color for the new screen that will enhance the visualization and usability of the objects on the screen.

Screen Description

Enter a description up to 400 characters long. This description only appears in the Project printout and is optional.

From the Navigation Pane

  1. From the Navigation pane, click the Screen tab.
  2. Click the New Screen button.
  3. Complete the fields in the window as described in From the Screen Menu.

From the Screen Library

  1. From the top toolbar, click the Tools menu and select Screen Library,
    or
    From the Navigation Pane, click the Screen tab and then the Display icon.
  2. Select Screen Library.
  3. Click the New Screen button.
  4. Complete the fields in the window as described in From the Screen Menu.
  5. Alternately, you may drag a Screen from the Screen Library into the project screen list workspace.

For more details on using the Screen Library, go to Screen Library.

Copy and Paste a Screen

Copy Screen, when used with Paste Screen, enables you to create a copy of the selected screen in the same project.

If much of your screen will be duplicated on other screens, you may want to consider creating a Background Screen and assigning it to other screens.

If you want to copy one or a few screens from one project to another project, the Screen Library is a useful tool.

If you want to copy many screens, or some screens and the project Databases, (Tag Name, Message, Events, Address Book and Recipes), then Import a Project Data File will be very useful.

The copied screen will be pasted to the end of the screen list using the next available screen number. You may renumber, rename and drag the screen to the location in the list that you desire.

Screens can be copied and pasted using three methods:

  • From the Navigation Pane,
  • From the Screen menu, and
  • From the screen itself.

From the Screen Menu

  1. On the Screen tab, select the screen to be copied.
  2. From the top toolbar, click the Screen menu and select Copy Screen.
  3. From the Screen menu, select Paste Screen.
    The screen name and number will be generated automatically.

From the Navigation Pane

  1. From the Navigation Pane Screen Tab, right-click on an existing screen.
  2. Click the Copy Screen icon.
  3. Click the Paste Screen icon.
    The screen name and number will be generated automatically.

From the Screen

  1. Select the screen you want to copy.
  2. Right-click and select Copy Screen.
  3. Right-click and select Paste Screen.
    The screen name and number will be generated automatically.

Duplicate a Screen

Duplicating a screen is essentially a one step Copy-Paste.

Screens can be duplicated in two ways: from the screen you wish to duplicate and from the Screen menu.

From the Screen

  1. On the Navigation pane Screen tab, select the screen you want to duplicate.
  2. Right-click and selectDuplicate.
    The duplicated screen appears directly below the original screen with a new screen number.

From the Screen menu

  1. On the Navigation pane Screen tab, select the screen you want to duplicate.
  2. From theToolbar , select the Duplicate icon.

The duplicated screen will be added to the end of the screen list using the next available screen number. You may renumber, rename and drag the screen to the location in the list that you desire.

Delete a Screen

The Delete Screen selection is used to delete a selected screen from the project.

Screens can be deleted from a project using three methods:

  • From the Screen menu,
  • From the Navigation Pane, and
  • From the screen you wish to delete.

From the Screen Menu

  1. Open the screen you want to delete.
  2. From theScreen menu, select Delete Screen.

From the Navigation Menu

  1. Select the screen you want to delete.
  2. Right-click and select Delete Screen or click the Delete icon in the Navigation toolbar.

From the Screen Itself

  1. Click anywhere in the screen you want to delete.
  2. Right-click and select Delete Screen.

Using any of these methods opens the Delete Screen window.

  1. In the Screen List, select the screen to be deleted. To delete multiple screens at once, hold down the Ctrl key and select the screens to delete.
  2. Select Delete.
  3. Click Yes to confirm the deletion.
  4. Click Close.


Define Keypad Icon and Selection

Define Keypad Icon and Selection Description

A User Defined Keypad is valuable when you want to change the layout or size of a keypad that pops up to enter a password, Numeric Entry or Text Entry object. It can also be used to add a key to enter a data string with a single keystroke.

To create a User Defined Keypad, select Define Keypad from the Database menu on the main menu bar:

When Define Keypad is selected, the screen thumbnails on the Screen tab are replaced by Keypad thumbnails. The project Work Area displays a keypad for editing. The six System Default keypads are used for data entry objects and available as EA9 or Classic version:

  • System Default 0 is the default keypad for Password Entry.
  • System Default 1 is the default keypad for Numeric Entry Objects for Signed Integer and BCD data types. The keypad will include the +/- key. System Default 1 is also the default keypad for Unsigned Integer data types when the Display Format is Unsigned Decimal. The keypad will not include the +/- in this case.
  • System Default 2 is the default keypad for Unsigned Integer data types when the Display Format is Octal.
  • System Default 3 is the default keypad for Unsigned Integer data types when the Display Format is Hex.
  • System Default 4 is the default keypad for Floating Point data type.
  • System Default 5 is the default keypad for Text Entry Objects.

Creating a User Defined Keypad

It is important to start with one of the existing keypads since there are built in controls invisible to the user.

To create a user defined keypad, do the following:

  1. Right-click on the existing keypad that will be the starting point for your User Defined Keypad.

  1. Select Duplicate Screen from the drop-down menu. The new keypad is pasted to the bottom of the list, named User Define Keypad 1.
  2. Click on the new User Define Keypad to bring it to the Workspace.

Edit the User Defined Keypad

Refer to Key Button Object for details when adding custom data strings buttons or Control Keys.

After the new keypad is configured, click the Screen icon on the Screen Tab to return to project screens in the workspace pane. The new User Defined Keypad is available in the Keypad list on the Numeric Entry, Text Entry objects or Password configuration windows.


Display Screen

Display Screen

The Display Screen allows you to change the screen displayed on a connected panel.

In the Navigation pane, click the Panel tab and double-click the Display Screen option.

If a panel is connected, a list of the screens in the panel will be displayed. These do not have to match the project open in the software.

If a panel is not connected, the Communication Configuration window opens.

Select USB or Ethernet and browse to select a panel.

In the screen list, select a screen and the connected panel will change to the selected screen.


Jump to the Screen

When you right-click a Screen in the Navigation panel - Screen tab, one option is Jump to the Screen. This is a convenient feature to navigate Screens in large projects for editing, troubleshooting, and project development.

To display a list of all of the project screens, hover the mouse over Jump to Screen.


Edit Objects in the Property List Window

Property List Window Description

The Property List will show the properties of a selected object or screen. From this you can select a property field and edit the value directly in the list. One advantage of using this window is editing the same property on multiple objects.

To view the Property List window, from the View menu in the top toolbar, select Window and then Property List.

Edit Mode

To edit a Property Value, click the ON button next to Edit Mode and then click on a field on the right side of the Property List Window.

Edit the items on the screen using the information in the table below.

Property List Window

Item

Description

Lock

Checking the Lock check box prevents an object from accidentally being moved or edited.

Filter:

The Filter drop-down list has four selections that will help you keep the list short and easier to find what you want to change.

  • All - Shows all of the available parameters for the object.
  • Color - Shows only those parameters that have to do with color such as Text color and Background color.
  • Text - Shows only those parameters associated with Text such as On Text and Off Text.
  • Tag - Shows only parameters associated with Tags such as the Main Object tag and the Visibility tag.

Editing Multiple Objects

Using the Property List to edit multiple objects is a quick and easy method for making all of the objects look the same, i.e., same colors, fonts, etc.

By holding down the CTRL key and selecting multiple objects, the Property List will show only those properties common to every object; i.e., background color, text size, etc. Editing these parameters changes them for every object selected.


Object Layer List

Description

The Object Layer List is a convenience feature for project design; it helps you work with an Object or groups of Objects on a screen. It doesn’t affect Object display or behavior on the panels itself. That is, a Hidden Object is hidden only in the software workspace and this doesn’t affect Object Visibility on the Panel.

The one facet of project display that can be modified in this tool is the Layer number, which will affect object display priority. In the context of this tool, layer refers only to the display order, that is, what object will be "forward" and what object will be "back" when they overlap.

Objects or groups of Objects may be hidden or locked to facilitate manipulating other objects in the workspace.

Example

For example, use the Find Overlapping Objects tab and select an Object in the workspace. The selected Object and all other Objects that overlap the selected Object will appear in the Object Layer List window where they can be hidden or locked so that an otherwise buried Object can easily be edited without affecting the other Objects.

It doesn’t show overlapping Objects on the background screen.

The other tabs are a summary of all pertinent Objects on the screen, not filtered by on-screen selection.

The Object Layer List can be closed if additional workspace is preferable. It can be re-opened from the menu bar:

View > Window > Object Layer List


Parts List

The Parts List is related to the object type currently selected in the Object List. It is a convenient way to drag objects to the workspace with common configuration settings already entered. All configuration settings are still available for customization when an object is added this way.


Tag Cross Reference

Tag Cross Reference provides a way to easily view where Tags are being used in this specific project and offers options to sort the list by Screen Name or Number, or by the Tag Name.

Accessing Tag Cross Reference

To open the Tag Cross Reference window, from the Main menu click the Tool menu and select Tag Cross Reference.

Once selected, the Tag Cross Reference Window shown below opens.

Tag Cross Reference - Sorted By Screen Name/No. Description

In the Tag Cross Reference Window, the list of Tag Names is sorted according to the your selections in the Screen No and Screen Name fields. The Tag Cross Reference opens with this selection by default.

The selections and fields available for this window are described in the table below.

Tag Cross Reference Window

Area on Screen

Description

Reference Type

This is the only part of the screen window that stays the same for either selection. This section of the window provides two choices that allow the user to view this Tag information in this project sorted by the Screen Name orNumber, or sorted by the Tag Names. Click on the preferred sort method.

Screen No.

Click on the up or down arrow [image] to select a Screen Number from the available list. When a Screen Number is selected, the Tag Name information for the selected screen number will appear in the Object Type, Object Name, and Tag Name fields.

Screen Name

Click on the down arrow [image] to select a Screen Name from the available list. When a Screen Name is selected, the Tag Name information for the selected screen name will appear in the Object Type, Object Name, and Tag Name fields.

Refresh

If a Screen Nameor Number is not shown on the drop down list of either the screen number or screen name, click on this Refresh button to force the program to refresh and update the information.

Tag Information

Displays information regarding the Tags available on the selected Screen Name or Number. The information displayed includes the Number of PLC Tags, the Number of Internal Tags, the Number of System Tags, and the Total Number of Tags.

Object Type

This column lists the Names of the Objects included in this Screen Name or Number to allow the user to easily identify the object and Tag Reference information.

Object Name

This column lists the Name given to a specific Object included in this Screen Name or Number to allow the user to easily identify the object and Tag Reference information.

Tag Name

This column lists the Tag Names assigned to the Objects included in this Screen Name or Number to allow the user to easily identify the object and Tag Reference information.

Close

Click on this button to Close the Tag Reference Window and continue working on your project.

Tag Cross Reference - Sorted By Tag Name Description

When Sort By Tag Name is selected, the Tag Name information for that specific Tag Name is displayed. The list displays information on all objects that the Tag Name has been assigned to on any screen in the specific project.

The information provided on this list only applies if the Sort by Tag Name shown in the figure below is selected.

The selections and fields available for this window are described in the table below.

Tag Cross Reference Window - Sort by Tag Name

Area on Screen

Description

Reference Type

This is the only part of the screen window that stays the same for either selection. This section of the window provides two choices that allow the user to view this Tag information in this project sorted by the Screen Name orNumber, or sorted by the Tag Names. Click on the preferred sort method.

Tag Name

Click on the down arrow [image] to display a list of Tag Names that have been assigned to Objects in this project. When a Tag Name is selected from this drop down list, the information on Objects and Screens where this Tag Name is being used for this specific project will be displayed on the list discussed on Screen No., Screen Name, Object Type and Object Name columns.

Refresh

If a Tag Name or Screen/Object information is not shown on the drop down list of either the Tag Name, Screen No., Screen Name, Object Type or Object Name columns, " click on this Refresh button to force the program to Refresh and update the information.

Tag Information

Displays information regarding the selected Tags in the Tag Name field. The information displayed includes the Tag Address, the Tag Data Type, and the Tag I/O Type.

Screen No.

This column displays a list of all the Screen Numbers where the Tag selected on "Item b" has been assigned to an Object. More information on the specific Object is included on the same row as shown in the figure above and discussed in the Screen Name, Object Type, and Object Name columns.

Screen Name

This column displays a list of all the Screen Names where the Tag selected the Tag Name field has been assigned to an Object. More information on the specific Object is included on the same row as shown in the figure above and discussed in the Screen No., Screen Name and Object Type columns.

Object Type

This column lists the Type of the Objects that have been assigned the Tag selected in the Tag Name field. More information on the specific Object is included on the same row as shown in the figure above and discussed in the Screen Name, Screen Name, and Object Name columns.

Object Name

This column lists the Names of the Objects that have been assigned the Tag selected the Tag Name field. More information on this Object is included on the same row as shown in the Screen No., Screen Name, Object Type columns.

Close

Click to close the Tag Reference Window and continue working on your project.


Tool Option

The Tool Option affects the programming software. The selections don’t affect the display on a panel screen.

The Tool Option selections include:

  • A Warning Option for importing tag databases for Allen-Bradley devices that include non-standard data types. For more information see the Allen-Bradley Non-standard Data Type Usage topic.
  • An option for whether selection boxes drawn with the mouse will include objects contained entirely in the box, or all objects touched by and included in the box.
  • An option to highlight objects in the project workspace when the mouse pointer scans across them, that is, highlight objects before they are clicked on.
  • An option to select how color selection palettes display in object configuration windows.


Print

Using the Print Selection

The Print command is used to print information about project Screens, Databases, and Other project Properties.

To print, do the following:

  1. Do one of the following:
  • From the File menu, select Print, or

  • In the top toolbar, click the Print icon.

The Print dialog box opens.
  2. Click the Printer drop-down list and select the printer to which you want to print.
  3. Click the Print Color drop-down list and select to print in color or black and white.
  4. Under Setting, click to select the elements of your project you wish to print.
  5. Under Screens, click to select the screens whose information you want to print.
  6. To preview before printing, click Print Preview.
  7. To print, click Print.


C-more Panel Communication Error Codes

When dealing with network communications, Errors will occur. To simplify the process of identifying a possible Error, the C-more Panels will automatically display an Error Code that helps identify the existing issue.

The Table shown below provides a list of C-more Panel Error Codes that may be displayed by the C-more Panels. If a C-more communications Error does occur, the Error message will display across the top of the screen.

C-more Panel Error Codes

Error Code

Error Message

Error Code stored in the SYS_ERR Error Code system tag

Description
PLC-001 PLC Communication Timeout%Device% PLC Communication Timeout 1001

Timeout occurred after sending request to PLC.When multi connection such as RS-422, 485. Add to %Device%

%Device% is Device registered by Panel Manager.
PLC-002 NAK received from PLC 1002

A Negative Acknowledgment (NAK) control code has been generated during a read/write request from the PLC.
PLC-003

EOT received from PLC

 1003

An End of Transmission (EOT) control code is sent by the PLC in response to a Read/Write/SetBit request.
PLC-004

STX is not found

 1004

A Start of Text (STX) control code was not found in the data packet received from the PLC.
PLC-005

ETX or ETB is not found

 1005

Neither an End of Text (ETX) or an End of Transmission Block (ETB) control code was found in the data packet received from the PLC.
PLC-006

LRC does not match

 1006

There was an incorrect Longitudinal Redundancy Check (LRC) control code in the communications packet received from the PLC. This is an indication that the data in the packet is corrupted.
PLC-007

CRC does not match

 1007

There was an incorrect Cyclic Redundancy Check (CRC) control code in the communications packet received from the PLC. This is an indication that the data in the packet is corrupted.
PLC-008

Address Does

Not Match

 1008

The Address value returned in the data packet from the PLC is incorrect.
PLC-009

Different function code received from PLC

 1009

The Function Code returned in the data packet from the PLC is incorrect.
PLC-010

Data size does not match

 1010

There are Incorrect number of bytes found in the Data returned from the PLC.
PLC-011

Invalid value in function code

 1011

There is an Invalid Value in the Function Code.
PLC-012

Invalid Command sent to PLC

 1012

There was an Invalid Command sent to the PLC that was not recognized by the PLC.
PLC-013

ENQ received from PLC

 1013

If the packet does not include a Negative Acknowledgment (NAK - 0x15 value) in the defined packet field, then an Enquiry (ENQ) control Code Error will be displayed.
PLC-014

Transaction ID Does Not Match

 1014

This Error will be displayed if after checking the Transaction ID Bytes in the packet, there is no match to what was requested.
PLC-015

%Device% No device found

 1015

A PLC device designated as %Device% could not be found.
PLC-016

Data byte communication Error

 1016

0 byte of data is received in data part.
PLC-017

Out of address range

 1017

This an AB Protocol Error only. The Panel sent request of a file number more than 255 to PLC (except PLC5). C-more support for file numbers more than 255 is only for PLC5. Other PLCs support is only up to 255.
PLC-018 Panel Communication Timeout 1018

The server panel did not respond when using the Panel Pass Through.
PLC-019 Found in Parity Error by Hardware 1019

An error detected in the PLC memory.
PLC-020 Can't Open Serial Port0 1020

Cannot Open the Serial Port.

If this error shows on the Panel, it indicates a Hardware Problem.
PLC-021 PLC Number does not Match 1021

The PLC Number does not match the PLC number Configured.
PLC-022 Can't Reset DCB 1022

Unable to Reset the Data Communication Bit.
PLC-023 Cable not connected properly 1023

PLC-024 Cannot detect other devices on Network 1024

PLC-025 Panel not in polling list 1025

PLC-026 PLC Connection Timeout 1026

A Timeout occurred after sending a request to PLC.
PLC-027 Memory Type Incorrect 1027

PLC-028 PLC Failed to Respond 1028
  • If the PLC Protocol in Panel Manager is AutomationDirect K-sequence, AutomationDirect DirectNet or AutomationDirect Modbus and the PLCSecondary Comm Port configuration has all three protocols enabled (as is the default setting for that port), DISABLE (in DirectSoft) the protocols that are not actually being used.
  • Sometimes occurs because C-more PanelManager "CPU Slot" is actually a slot containing a 1756-DHRIO "DH+/RIO Module.
  • Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENBT.
PLC-029 PLC Memory Version Error 1029

PLC-495 Error code %hhhh% (%0xhhhh%) returned from PLC 1495

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.
PLC-496

Error code %0xhhhhhhhh% returned from PLC on EIP

 1496

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.
PLC-497 Error code %0xhhhhhh% returned from PLC on CIP 1497

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.
PLC-498 Error code %0xhhhhhh% returned from PLC on Service 1498

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.
PLC-499 Error code %0xhhhh% returned from PLC 1499

Indicates an Error Message received from the PLC. The error code %0xhhhh% can be found in the Error code topic for the PLC manufacturer, listed in Related Topics below.
PLC-500 Cannot write to Serial Port 1500

Data cannot Write to the Serial Port.

Data was sent to the PLC via the Serial Port. If this error shows on the Panel, it indicates a Hardware Problem.
PLC-700 Not enough buffer memory 1700

There was an Error while allocating Memory for the Read Buffer. When this Error is displayed, a Memory leak may have occurred.
PLC-701 Access to inaccessible PLC memory 1701

Request to Inaccessible Memory from the HMI layer to the PLC protocol layer. This Error is an indication that there is a problem in the HMI layer.
PLC-702

Cannot access by different function code

 1702

A Read/Write/SetBit request has been sent to an Invalid Memory area. This Error is an indication that there is a problem in the HMI layer.
PLC-703 Write request to PLC read only memory 1703

A PLC Write request was made to the PLCs Read-Only Memory area. This Error is an indication that there is a problem in the HMI layer or the PLC protocol layer.
PLC-704 Bad device-access 1704

No device (PLC) exists in the server panel or the device name does Not match between the server and client when using the Panel Pass Through.
PLC-705

Protocol does not match

 1705

The protocol for the device does Not match between the server and client when using the Panel Pass Through.

The PLC-499 Error Code is used to show any Errors that are generated by the connected PLC. The PLC-499 Error Message includes a four digit hexadecimal value. This value can be looked up in the specific PLCs Error Tables to determine the cause of the Error.

The Related Topics below provide PLC Error Codes for each of the PLC Protocols supported by C-more Panels.


GUI Errors

The Table shown below provides a list of C-more GUI (Graphical User Interface) Errors that may be displayed by the C-more Programming Software. GUI Errors are Errors that may occur other than Object or Tag Errors. When a GUI Error does occur, an Error message similar to the one shown below will display on your PC screen.

The Error Message may also be displayed directly on an area you are working on. For example, when working with Recipes, an Error Message like the one shown below may display.

C-more GUI Errors

Error

Error Message

Notes

Error GUI-001

Invalid project name.

Error GUI-002

A folder or file doesn't exist.

Error GUI-003

Target Folder is not chosen.

Error GUI-004

Cannot create.

Error GUI-005

Input a file name.

Error GUI-006

Save folder isn't set up.

Error GUI-007

Select a device.

Error GUI-008

There is no default printer currently selected.

Error GUI-009

There is no effective printer.

Error GUI-010

Failed to back up file copy.

Error GUI-011

Please enter a positive integer.

Error GUI-012

Please enter an integer between 3 and 100.

Error GUI-013

Please enter an integer.

Error GUI-014

Please enter an integer between 25 and 400.

Error GUI-015

Screen No. is invalid. Input a value between 1 to 999.

Error GUI-016

Selected Screen No. has already been used.

Error GUI-017

Type the Screen Name.

Error GUI-018

%s is background screen. Unable to delete.

Error GUI-019

Invalid Screen number.

Error GUI-020

Screen Name cannot be empty.

Error GUI-021

Invalid Tag number.

Error GUI-022

Type the Screen Name.

Error GUI-023

Number of Characters must be even and valid range is 2 to 40.

Error GUI-024

Invalid Address.

Error GUI-025

Bit cannot be empty.

Error GUI-026

Invalid bit address.

Error GUI-027

Invalid Message number.

Error GUI-028

Sound cannot be empty.

Error GUI-029

Times must be between 1 and 10.

Error GUI-030

Length of message should not exceed 200 characters, including the embed commands.

Error GUI-031

Invalid Alarm number.

Error GUI-032

Define a valid tag for Tag name.

Error GUI-033

No Action.

Error GUI-034

Length of message should not exceed 64 characters, including the embed commands.

Error GUI-035

Invalid Value.

Error GUI-037

Screen Name cannot be empty.

Error GUI-038

Save File Name cannot be empty.

Error GUI-039

Length of message should not exceed 256 characters, including the embed commands.

Error GUI-040

Select a Send Address.

Error GUI-041

Length of message should not exceed 400 characters including the embed commands.

Error GUI-042

Name cannot be empty.

Error GUI-043

Address cannot be empty.

Error GUI-044

Invalid Mail address.

Error GUI-045

Cannot Add Duplicate Entry.

Error GUI-046

Server Name cannot be empty.

Error GUI-047

Address cannot be empty.

Error GUI-048

ID cannot be empty.

Error GUI-050

The device name is blank, please enter device name.

Error GUI-051

Device cannot be added.

Error GUI-052

Protocol cannot be changed.

Error GUI-053

Please enter an integer between 1 and 999.

Error GUI-054

Please enter an integer between 30 and 1500.

Error GUI-055

Please enter an integer between 1 and 9.

Error GUI-056

Please enter an integer between 1 and 99.

Error GUI-057

Please enter an integer between 1 and 60.

Error GUI-058

Please enter an integer between 1 and 100.

Error GUI-059

Please enter an integer between 0 and 40.

Error GUI-060

Please enter an integer between 1 and 255.

Error GUI-061

Please enter an integer between 0 and 30000.

Error GUI-062

Please enter an integer between 0 and 31.

Error GUI-063

Please enter an integer between 1 and 90.

Error GUI-064

Please enter an integer between 1 and 247.

Error GUI-065

Either Module Name is empty or Module ID is empty.

Error GUI-066

Please enter an integer between 0 and 255.

Error GUI-067

Either Module Name is empty or IP Address is empty.

Error GUI-068

Either Module Name is empty or MAC Address is empty.

Error GUI-069

Please enter an integer between 0 and 10.

Error GUI-070

IP Address is Empty.

Error GUI-071

Please enter an integer between 0 and 65535.

Error GUI-072

Please enter an integer between 0 and 255.

Error GUI-073

Please enter an integer between 1 and 250.

Error GUI-074

Please enter an integer between 1 and 248.

Error GUI-075

Please enter a number.

Error GUI-076

Please enter a number between 0 and 4294967295.

Error GUI-077

Define a valid Tag for Password %d.

Error GUI-078

Panel Name cannot be empty.

Error GUI-079

Invalid Panel name.

Error GUI-080

IP Address cannot be empty.

Error GUI-081

Invalid IP Address.

Error GUI-082

Subnet Mask cannot be empty.

Error GUI-083

Invalid Subnet Mask.

Error GUI-084

Invalid Default Gateway.

Error GUI-085

Preferred DNS server cannot be empty.

Error GUI-086

Invalid Preferred DNS server.

Error GUI-087

Invalid Alternate DNS server.

Error GUI-088

Port Number must be between 21 and 32767.

Error GUI-089

User Restrictions must be between 1 and 10.

Error GUI-090

Account cannot be empty.

Error GUI-091

Password cannot be empty.

Error GUI-093

Memory Type cannot be empty.

Error GUI-094

Set up Export Screen.

Error GUI-095

This field cannot be empty.

Error GUI-097

Select a File to send.

Error GUI-098

Select File to Import.

Error GUI-099

Select Library.

Error GUI-100

Failed to create the export file.

Error GUI-101

Enter a valid path.

Error GUI-102

Directory Name cannot contain any of the following characters: \/:*?<>| .\""

Error GUI-103

Email Address Book is not configured.

Error GUI-104

FTP services are not configured.

Error GUI-105

Set the DNS Server address.

Error GUI-106

Minimum value is not within range.

Error GUI-107

Maximum value is not within range

Error GUI-108

Minimum value is greater than or equal to maximum value.

Error GUI-109

This Action is associated with an E-mail or FTP. Unable to delete.

Error GUI-110

This device name already exists.

Error GUI-111

Cannot set the Panel Station Number as one of the device has the same Station Number").

Error GUI-112

Adding this device will cause a change in the parity from Even to Odd in all the devices.

Error GUI-113

At least one device is required.

Error GUI-114

Invalid Device Name.

Error GUI-115

The Station Number assigned to %s already exists.

Error GUI-116

The Station number assigned to %s cannot be same as the Panel Station Number.

Error GUI-117

The Link Number assigned to %s already exists.

Error GUI-118

Duplicate device name found, please select another one.

Error GUI-119

Cannot add more than 64 devices.

Error GUI-120

Invalid file extension. (valid extension is 'jpg').

Error GUI-121

Windows has returned an exception error.

Windows Exception

Error GUI-122

Failed to create runtime file.

Error GUI-123

Invalid Screen Name.

Error GUI-124

%s is associated with an object. Unable to delete.

Error GUI-125

This file is not in a recognizable format. \n\n%s

Error GUI-126

Limit exceeded. Object can not be added to screen.

Error GUI-127

%s\n Selected project is protected.

Error GUI-128

Select a folder.

Error GUI-130

Selected Screen No. cannot be used because it has been used as a Background Screen.

Error GUI-131

Type the Object Name.

Error GUI-132

Failed in the copy of the file.

Error GUI-133

Downloaded project is a protected project. \n This cannot be edited/viewed in the editor.

Error GUI-134

No project.

Error GUI-135

Limit exceeded. Message can not be added to database.

Error GUI-136

Please enter an integer between 0 and 101.

Error GUI-137

Address is not Word Aligned (Even address is required).

Error GUI-138

Invalid Server Name.

Error GUI-139

Some Tags were not found. Please set the Tag marked in red.

Error GUI-140

There is a line in which 'Destination' does not exist.

Error GUI-141

Destination and Source Data type does not match.

Error GUI-142

Value is not within range.

Error GUI-143

Please enter a Recipe Sheet Name.

Error GUI-144

Destination Tag does not exist.

Error GUI-145

Data cannot be pasted because range does not match.

Error GUI-146

Value Data cannot be copied to Destination area.

Error GUI-147

Some parts of the data are not Pasted because the range of Paste exceeds the limit.

Error GUI-148

Data cannot be pasted because the range of Copy and Paste are different.

Error GUI-149

Data cannot be pasted for Read-Only Tags.

Error GUI-150

Data cannot be pasted because Source Data doesn't match with Destination Data.

Error GUI-151

Tag is not found. Please set a Tag.

Error GUI-152

Data cannot be pasted because area of Copy and Paste does are different.

Error GUI-153

Values can not be pasted in destination cells.

Error GUI-154

Error in File Reading.

Error GUI-155

Unsupported file version. \n\n%s

Error GUI-156

The empty is not admitted.

Error GUI-157

Name cannot be empty.

Error GUI-158

An object name is already used.

Error GUI-159

Total number of Trends Objects logging data exceeds the maximum of 16.

Error GUI-170

Invalid file name.

Error GUI-173

Tag Not Found.

Error GUI-174

Tag does not exist in the Project.

Error GUI-175

Screen cannot be added.

Error GUI-178

Auto Save Error: Verify that the location for Auto Save is valid

Error GUI-179

File does not contain any valid Records.

Refer to the table below for details on the possible causes of this error.

Error GUI-180

The tag with Tag Name %s has more than 128 characters. Not able add the tag into the database.

Error GUI-181

The cell which is not blank cannot be shifted out of a sheet for preventing disappearance of data.

Error GUI-182

Error(s) Detected in cell(s). Do you want to save?

Error GUI-183

Data can not be pasted because the format of Copy and Paste area are different.

Error GUI-184

Error(s) Detected in cell(s).

Error GUI-185

Import File is already opened or corrupted. Please check the file and import again.

Refer to the table below for details on the possible causes of this error.

Error GUI-186

The import file you selected contains multiple devices. You must select -Default- or modify the import file to contain a single device.

Refer to the table below for details on the possible causes of this error.

Error GUI-187

Port No. must be between 0 and 32767.

Error GUI-188

Port No. has already been used.

Error GUI-189

Version Mismatch

The C-more Software detected that your project file on this disk is created with a newer version of software. You must upgrade the software to read the project on the disk properly. [OK]

Error GUI-190

User Restrictions must be between 1 and 5

Error GUI-191

Warning GUI-191 : Web Server must be enabled unless you have already installed console to your PC.\nSelect the web server tab to configure.

Error GUI-192

Warning GUI-192 : Web Server must be enabled unless you have already installed console to your PC.\nEnable Web Server in the web server tab.

Error GUI-193

Number of Characters must be valid range is 1 to 128.

Error GUI-194

Link Name can not be empty.

Error GUI-195

Please enter an integer between 1 and 65535.

Error GUI-196

Please enter an integer between 0 and 5.

Error GUI-197

Duplicate Link Name.

Error GUI-198

Please enter an integer between 1 and 30.

Error GUI-199

%s is associated with a password. Unable to delete.

Error GUI-200

This project uses SD2 which is not available in the panel you have selected.

Error GUI-201

The external memory you selected, SD2, is not available in the panel selected for this project.

Error GUI-202

%s port no. is reserved by C-more system.

Error GUI-203

%s is not found.

Error GUI-204

 Error GUI : DH485 cannot be used on two ports at the same time.

Error GUI-205

The Formula is missing a value. (Event Manager Math Action)

Error GUI-206

The value entered is outside the range.(Event Manager Math Action)

Error GUI-207

There is no ")" corresponding to "(" in the Formula. (Event Manager Math Action)

Error GUI-208

There is no "(" corresponding to ")" in the Formula. (Event Manager Math Action)

Error GUI-209

Left value missing in Formula (Event Manager Math Action)

Error GUI-210

Right value missing in Formula (Event Manager Math Action)

Error GUI-211

Divide by Zero is not allowed (Event Manager Math Action)

Error GUI-212

Invalid Comma (,) found in the Formula (Event Manager Math Action)

Error GUI-213

Invalid Tag was found in the Formula (Event Manager Math Action)

Error GUI-214

Data Type format does not match (HEX/Dec) in the Formula (Event Manager Math Action)

Error GUI-215

The Formula is too long. (Event Manager Math Action, max 512 characters in the formula string)

Error GUI-216

The Formula has an error. (Event Manager Math Action)

Error GUI-217

Invalid Folder Name (In Screen Library)

Error GUI-218

Please Input a Find word.

Tag Name Database search feature.

Error GUI-219

This name is reserved. Choose another name and try again.

Error GUI-220

 DO NOT SAVE THIS PROJECT. Tag import failed due to the error. Please close this project without saving and reopen the project. This error may occur during a project import if the Tag Database is corrupted. It is important that the project is not saved. Close the project and try the import again. Saving the project can corrupt the Tag Database irrevocably.

Error GUI-221

 Warning - You are posting a Popup Window object to the screen it references. A Popup window object cannot reference itself. Select a different screen

Error GUI-222

 Warning - You are attempting to delete a screen referenced by a Popup Window Object

Error GUI-223

 Error GUI-223 : Cannot refer to a screen when it is used on the background screen.%c%c[Display Screen No.=%d] Popup Window Object cannot refer to its own background screen.

Error GUI-224

 Error GUI-224 : Cannot refer to a screen on which the object is located. %c%c[Display Screen No.=%d] You have selected a screen for a Popup Window Object that contains a Popup Window object using the present screen. This would cause a recursive error.

Error GUI-225

 Error GUI-225 : Referenced Screen does not exist. %c%c[Display Screen No.=%d]

Error GUI-226

 Tag Name has more than 128 characters. Not able add the tag into the Tag Database. When a Tag Name of more than 128 characters is imported to Recipe Database, it cannot be imported. Shorten the Tag Name and import again.

Error GUI-227

 Error GUI-227 : Can not access [%s]. The referenced Network Drive or External Memory Device not accessible.

Error GUI-228

 Error GUI-228 : The total length of folder name and file name should not exceed 128 characters. Event Manager Screen Capture Action Folder Name + File Name cannot exceed 128 characters.

Error GUI-235

 Warning GUI-235 Project is a non-native resolution with Remote Access enabled. This may cause Remote Access connection issues. Running the project at a non-native resolution to the panel causes a heavy load on the processor and will have an effect on the Remote Access communication integrity.

Error GUI-238

The same network address is used (for) both Built-In and EA-ECOM ports. The Built-in Ethernet Port and EA-ECOM must have different Network Addresses. For example, 192.168.1.10 and 192.168.1.20 with a Subnet Mask of 255.255.255.0 both have the same network address of 192.168.1.0. Change one of the IP addresses so that the network addresses are different.

Error GUI-239

Warning GUI-239\nDifferent Network address is used between Default Gateway and Preferred Ethernet Port (Built-in Ethernet)

The Built in Ethernet Port and the Default Gateway IP Addresses must have the same Network Address.

For Example:

Built in Port IP Address: 192.168.2.15

Subnet Mask: 255.255.255.0

Default Gateway: 192.168.2.1

Network Address is 192.168.2.0 for both which is a match.

Error GUI-240

Page Title can not be empty.

Error GUI-241

%s File [%s] is not found.

The path or files that the folder is pointing to does not exist.

Error GUI-242

Username can not be empty.

If Username and Password have been enabled, the fields cannot be left blank.

Error GUI-243

The account settings will be changed as follows.\n\n%s\nDo you want to continue?

Import File Errors
Error ID | Import File Type
 | TAG XLS | TAG CSV | RECIPE CSV | MAIL XLS | MAIL CSV | FTP XLS | FTP CSV | MSG XLS | EVENT XLS | LANGUAGE
GUI-179 | An attempt was made to import an empty file. | An attempt was made to import an empty file. |  | An attempt was made to import an empty file. | An attempt was made to import an empty file. | An attempt was made to import an empty file. | An attempt was made to import an empty file. |  |  | File does not contain any records
GUI-185 | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. | An attempt was made to import a file that is missing a Protocol ID column. | An attempt was made to import a file that is missing a Name column. | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title. | An attempt was made to import a file that is missing a column. | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title. | An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title. | An attempt was made to import an empty file. OR An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. | An attempt was made to import a file that is missing either the Title or the Event column. | An attempt was made to import a file that is open in another application. OR An attempt was made to import a file that is missing a column. OR An attempt was made to import a file that is missing a title.
GUI-186 | One device is selected for import even though Multiple devices are registered. | One device is selected for import even though Multiple devices are registered. |  |  |  |  |  |  |  |


PTC Errors

The Table shown below provides a list of C-more Panel PTC (Project Transfer and Communications) Errors that may be displayed by the C-more Programming Software. When a PTC Error does occur, an Error message similar to the one shown below will display on your PC screen.

C-more PTC Errors

Error

Error Message

Notes

Error PTC-001

Read NG.

When this error occurs:

1. Software cannot connect to the panel or detects the timeout during the project transfer transaction.

2. Project file in the panel is corrupted for some reason such as FAT is broken, and it was detected on the project transfer transaction.

Error PTC-002

Transfer Failed - Communication timeout.

Error PTC-003

Panel read error.

Error PTC-004

No program in panel.

Error PTC-005

There is not enough free disk space.

Error PTC-006

Panel you are connecting to is busy.

Error PTC-007

Panel Firmware version is old. Please update firmware.

Error PTC-009

Firmware Update Failed.

Error PTC-010

There is not enough memory.

Error PTC-011

File not found.

Error PTC-012

Change IP Address Failed.

Error PTC-013

Unsupported hardware version.

Error PTC-020

Version Mismatch

Error PTC-021

Panel is not connected.

Error PTC-022

"USB Communication Error occurred. Disconnect and reconnect the USB cable between PC and Panel."

Error PTC-023

Not supported in this panel.

Error PTC-024

 No SD Card in SD1 slot The Panel Manager "Save to/Boot from" is set to save the project to SD1

Error PTC-025

 Project Transfer was canceled because SD1 was the transfer target but is no longer available. Insert the SD Card or transfer to Built-in FLASH.

Error PTC-026

 This project cannot be transferred to an %s. Change Panel Type in the Panel Manager or choose a different target panel. EA9-RHMI can only run projects designated for the EA9-RHMI and other panels models cannot run EA9-RHMI projects.

Error PTC-027

 Panel initialization failed. Transfer the project again. Starting with version 6.50, panel initialization occurs the first time a project is downloaded to a new panel. If initialization fails, you can transfer the project again, or perform a firmware update.

Error PTC-028

 Project Transfer Failed – Communication Timeout Panel Initialization was successful, but the project transfer failed. Check the connection with the panel and PC and transfer project again.

Error PTC-029

 Username or Password is incorrect. ErrorCode


Object Errors

The Table shown below provides a list of C-more Panel Object Error Codes that may be displayed by the C-more Programming Software while configuring Objects. If an Object Error does occur, an Error message similar to the one shown below will display on your PC screen.

C-more Object Errors
Error | Error Message
Error OBJ-001 | Name cannot be empty.
Error OBJ-002 | Name already exists.
Error OBJ-003 | Visibility Value must be between %0.f and %0.f.
Error OBJ-004 | Please enter a valid Value.
Error OBJ-005 | Point Animation PLC Value Point 1 is not within range.
Error OBJ-006 | Point Animation PLC Value Point 2 is not within range.
Error OBJ-007 | Size Animation PLC Value Point 1 is not within range.
Error OBJ-008 | Size Animation PLC Value Point 2 is not within range.
Error OBJ-009 | Size Animation Value Point 1 is not within range.
Error OBJ-010 | Size Animation Value Point 2 is not within range.
Error OBJ-011 | Scale Y Size PLC1 is not within range.
Error OBJ-012 | Scale Y Size PLC2 is not within range.
Error OBJ-013 | Scale Y Size Display1 is not within range.
Error OBJ-014 | Scale Y Size Display2 is not within range.
Error OBJ-015 | Scale Rotation PLC1 is not within range.
Error OBJ-016 | Scale Rotation PLC2 is not within range.
Error OBJ-017 | Scale Rotation Display1 is not within range.
Error OBJ-018 | Scale Rotation Display2 is not within range.
Error OBJ-019 | This field cannot be empty.
Error OBJ-020 | Select a sound file.
Error OBJ-021 | Scale PLC1 is not within range.
Error OBJ-022 | Scale PLC2 is not within range.
Error OBJ-023 | Scale Display1 is not within range.
Error OBJ-024 | Scale Display2 is not within range.
Error OBJ-025 | Invalid Numeric Value.
Error OBJ-026 | Please Add a Message.
Error OBJ-027 | Bit Number Already Exists.
Error OBJ-028 | Message Number Already Exists.
Error OBJ-029 | Tag Value is not in range!
Error OBJ-030 | Cannot Add Embedded Tag, Message Length Limit Exceeded.
Error OBJ-031 | Range Minimum is greater than Range Maximum.
Error OBJ-032 | Add Amount is not within range.
Error OBJ-033 | Subtract Amount is not within range.
Error OBJ-034 | Minimum value is not within range.
Error OBJ-035 | Maximum value is not within range.
Error OBJ-036 | Minimum value is greater than or equal to maximum value.
Error OBJ-037 | Major Divisions must be between 1 and 20.
Error OBJ-038 | Minor Divisions must be between 0 and 20.
Error OBJ-039 | Floating Point must be between 0 and 5
Error OBJ-040 | Total Digits must be between %d and %
Error OBJ-041 | Fractional Digits must be between %d and %.
Error OBJ-042 | Timed Sample Rate must be between 1 and 65535.
Error OBJ-043 | X-Axis Major Division must be between 1 and 20 and smaller than Samples Per Chart.
Error OBJ-044 | X-Axis Minor Division must be between 0 and 20.
Error OBJ-045 | Total Number of Samples must be between %d and 65535.
Error OBJ-046 | Samples Per Chart must be between 4 and %d.
Error OBJ-047 | Number of Readings to Average Per Sample must be between 1 and 255.
Error OBJ-048 | Y-Axis Major Divisions must be between 1 and 20.
Error OBJ-049 | Y-Axis Minor Division must be between 0 and 20.
Error OBJ-050 | Output Range (Minimum) is not within range.
Error OBJ-051 | Output Range (Maximum) is not within range.
Error OBJ-053 | Range Minimum is not within range (Same as 158).
Error OBJ-054 | Range Maximum is not within range (Same as 158).
Error OBJ-055 | Low2Value is not within range.
Error OBJ-056 | LowValue is not within range.
Error OBJ-057 | HighValue is not within range.
Error OBJ-058 | High2Value is not within range.
Error OBJ-060 | PLC Point1 value is not within range.
Error OBJ-061 | PLC Point2 value is not within range.
Error OBJ-064 | Display Point1 values is not within range.
Error OBJ-065 | Display Point2 values is not within range.
Error OBJ-066 | Process value (Minimum) is not within range.
Error OBJ-067 | Process value (Maximum) is not within range.
Error OBJ-068 | Mid value is not within range.
Error OBJ-070 | Process value (Maximum) is lesser than Present value (Minimum).
Error OBJ-071 | Output value (Minimum) is not within range.
Error OBJ-072 | Output value (Maximum) is not within range.
Error OBJ-073 | There is less Output Range (Maximum) than Output Range (Minimum).
Error OBJ-075 | Output value (Minimum) cannot be greater than Present value (Maximum).
Error OBJ-080 | Manual Scale (Minimum) is not within range.
Error OBJ-081 | Manual Scale (Maximum) is not within range.
Error OBJ-082 | There is less Manual Scale (Maximum) than Manual Scale (Minimum).
Error OBJ-083 | Please Select Bitmap File!
Error OBJ-084 | Select either ON or OFF Bitmap.
Error OBJ-085 | Please Insert an Image.
Error OBJ-086 | Image Number already exists.
Error OBJ-087 | Tag Value Already Exists!
Error OBJ-088 | At least one valid recipe tag must be defined.
Error OBJ-089 | Define a Valid Recipe Sheet.
Error OBJ-090 | Enter a name in Recipe Sheet Name!!!
Error OBJ-091 | File Name cannot contain any of the following characters \ / : * ? < > | . "
Error OBJ-092 | There is a line in which 'Destination' does not exist.
Error OBJ-093 | Value Data cannot copy to Destination Area.
Error OBJ-094 | Paste cannot be executed because the range of Copy and the range of Paste are different.
Error OBJ-095 | Some parts to the data are not Pasted because the range of Paste exceeds range.
Error OBJ-096 | Paste cannot be executed because range does not match.
Error OBJ-097 | The Paste range is outside the Grid range, So Paste cannot be executed.
Error OBJ-098 | Destination Will not be Copied because Copy Paste area does not match.
Error OBJ-099 | Destination Will not be Copied because Value cannot be copied in this Area.
Error OBJ-100 | Don't use these characters. \ " \ / : * ? < > | . \ "
Error OBJ-101 | The saved data is damaged. Data will be converted into the Default value and processed.
Error OBJ-102 | Trigger Value must be between %0.f and %0.f.
Error OBJ-103 | Invalid Screen Number.
Error OBJ-104 | Invalid angle value.
Error OBJ-105 | Please Enter Amount.
Error OBJ-106 | Value is not within range.
Error OBJ-107 | Some parts of the data are not Pasted because the range of Paste exceeds the limit of range.
Error OBJ-108 | Cannot continue Paste, Source Data doesn't match with Destination Data.
Error OBJ-109 | Handshake timeout is not within range.
Error OBJ-110 | Cannot Change Embedded Tag Property; Message Length Limit exceeded.
Error OBJ-111 | Rows and Columns must be between 1 and 32.
Error OBJ-112 | Set Up Screen Number.
Error OBJ-113 | Invalid Value.
Error OBJ-114 | %s Length is not within range.
Error OBJ-115 | %s Length in Index %d is not within range.
Error OBJ-116 | %s Length in Language %d is not within range.
Error OBJ-117 | %s Length in Language %d and Index %
Error OBJ-118 | Line Style and Point Style both cannot be blank.
Error OBJ-119 | Number of point value is not within range.
Error OBJ-121 | Upper Bound Line value is not within range.
Error OBJ-122 | Lower Bound Line value is not within range.
Error OBJ-123 | Refresh Time value is not within range.
Error OBJ-124 | Upper Bound Line Tag Type does not match with the Pen Tag Type.
Error OBJ-125 | Lower Bound Line Tag Type does not match with the Pen Tag Type.
Error OBJ-126 | X-Axis Major Division must be between %d and %
Error OBJ-128 | Expression is not valid
Error OBJ-129 | Expression does not contain 'X'
Error OBJ-130 | Expression contains Division by Zero
Error OBJ-131 | Expression contains number smaller than -4294967295 or greater than 4294967295
Error OBJ-139 | Define a valid tag for Focus Tag
Error OBJ-140 | Focus Value must be between %0.f and %0.f
Error OBJ-142 | Divisions must be between 1 and 20
Error OBJ-143 | Warning: Style 2 must be selected for Object Style in General Tab when using Object Focus Option


Runtime Errors

C-more Panel Runtime Errors

Error Code

Error Message

Error Code stored in the SYS_ERR Error Code system tag

Cause

Log Error

RTE-001

Log Failed. Not enough Memory Space in %Device%

2001

The destination Memory does not have enough memory size. The size of the destination memory is not large enough to store the data.

See Log File Naming.

RTE-002

Log Failed. %Device% cannot be found

2002

No device available or the device is defective.
See Log File Naming.

RTE-003

Log Failed. Can not write file - %file%

2003

Logging the data has failed due to a problem such as the memory write protect is enabled.

See Log File Naming.

RTE-004

Log cache memory is full

2004

The data log buffer in the MRAM memory is full.

See Log File Naming.

Screen Capture

RTE-011

Capture Failed. Not enough Memory Space in %Device%

2011

The size of the destination memory is not large enough to store the data.

RTE-012

Capture Failed. %Device% cannot be found

2012

No device available or the device is defective.

RTE-013

Capture Failed. Cannot write file - %file%

2013

Logging the data has failed due to a problem such as the memory write protect is enabled.

Handshake

RTE-021

Handshake Timeout Error

2021

A communications timeout occurred when either a Recipe or Numeric Entry Object, in which Notification and Handshake signals are used, failed to complete the responses.

Email

RTE-041

E-mail Connection Error %Address%

2041

An incorrect SMTP address has been entered into the Panel Network dialog screen.

RTE-042

Send E-mail Error %Address%

2042

This may be the result of incorrectly entering the send-to email address in the Address Book database, or incorrectly entering the Sent-from email address in the Email Client tab of Panel Settings. The log on Information (account or password) on that tab may be incorrect.

The email server may be blocking the Send-from email address or the C-more IP address. Or the email server may require an SSL connection.

RTE-043

E-mail failed. The file cannot be attached.

2043

Send FTP

RTE-051

FTP Connection Error %Address%&%ID%

2051

An incorrect FTP Service has been assigned into the Panel Network dialog screen.

RTE-052

Send FTP Error %Address%&%ID%

2052

Permission to write to the FTP folder has not been authorized. The FTP site may require a user ID and password.

RTE-053

FTP failed. The file cannot be copied.

2053

Receive FTP

RTE-061

Receive FTP Error %Address%&%ID%

2061

HTTP

RTE-071

Receive HTTP Error %Address%&%ID%

2071

Sound

RTE-081

Sound Failed. Not enough Memory.

2081

The sound file failed to play due to insufficient memory.

Ethernet

RTE-091

IP Address Conflict - Correct IP Address and Power Cycle

2091

The IP Address set in the C-more panel is a duplicate of another device on the network causing an IP Address Conflict. Change the IP of the C-more panel or the other device to eliminate the conflict.

Multiple Recipe

RTE-101

Record doesn't exist

2101

The recipe file or data doesn't exist.

RTE-102

File cannot open

2102

The recipe file cannot be opened.

RTE-103

Wrong Data - Row:%Row% Col:%Col%

2103

Abnormality is found in the numeric character data of the recipe file.

RTE-104

Wrong Tag - Row:%Row% Col:%Col%

2104

Abnormality is found in the Tag data of the recipe file.

RTE-105

Recipe - Index(%Row%) error

2105

Recipe was operated by the record number outside the range.

RTE-106

Not enough buffer memory

2106

Memory allocation error.

RTE-107

File cannot write

2107

There was an error trying to write the recipe file.

RTE-108

Wrong File Format

2108

The recipe file format is incorrect.

RTE-109

Not enough Memory Space in %Device%

2109

Insufficient storage space on media.

Action

RTE-121

Action overflows

2121

The number of actions executed in the event exceeded the maximum number.

SD Card

RTE-130

SD1 has been removed from the panel and the panel has stopped. To restart the panel, insert the SD1 card and press Reboot.

2130

If an SD card is installed in the SD1 slot when a project is transferred to the panel, or if SD1 is selected as the target when Restoring a project to the panel, the project itself will reside on SD1. Removing SD1, then, removes the project from the panel.

Versions 6.14 and newer include a dialog informing the operator that the project will stop running if SD1 is ejected using a pushbutton configured for SYS SD1 Eject tag.

This warning includes an option to cancel the action without affecting the project running.

These newer versions display a warning that the project has stopped if the card in SD1 is removed without the use of the SYS SD1 Eject tag.

RTE-131

 The panel has detected a Project file in SD1 and in the Panel Built-in-Flash. Only one location can contain a project. See Help File topic Project Storage/Boot Location

2131

 The panel was booted with a project on both the SD1 card and in the Built-in Flash memory. One must be cleared.

MRAM Error

RTE-500

MRAM Checksum Error

2500

Memory in Panel has been Corrupted by Power Loss, etc. Try cycling power to the panel and re-transfer the project to the panel, in sequential steps to attempt to resolve the error.

Log File Naming

The Log file name is formed automatically in the panel. The visible file name has the format:

Screen Name + “_” + Object Name + “_” + Date Stamp YYMMDD + “.txt”

Internal to the panel, the file references are stored as the first four characters of the file name + ”~” + a serial number between 000 and 999 + “.txt” So, any “group” of filenames is limited to 999 members.

For Example: The following filenames form the same group. All filenames start with “Scre”:

Screen1_Trend1_yymmdd.txt

Screen2_Trend2_yymmdd.txt
Screen3_Trend3_yymmdd.txt

If an attempt is made to store more than 999 files in a “group” the panel will return RTE-001, RTE-002, RTE-003 or RTE-004.

Visible File Name Internal File Name

Screen1_Trend1_150101.txt SCRE~001.TXT

Screen2_Trend2_150101.txt SCRE~002.TXT

Screen3_Trend3_150101.txt SCRE~003.TXT

Screen1_Trend1_150102.txt SCRE~004.TXT

Screen2_Trend2_150102.txt SCRE~005.TXT

Screen3_Trend3_150102.txt SCRE~006.TXT

...

Screen1_Trend1_151129.txt SCRE~997.TXT

Screen2_Trend2_151129.txt SCRE~998.TXT

Screen3_Trend3_151129.txt SCRE~999.TXT

Screen1_Trend3_151130.txt Runtime Error RTE-001

Workaround: To minimize membership in any one group, change the Screen Name and the Object Name so the first four characters of the visible file name are unique.

For example,

Screen Names: S1, S2

Object Names: AAA, BAA

Visible File Name Internal File Name

S1_AAA_150101.txt S1_A~001.TXT

S1_BAA_150101.txt S1_B~001.TXT

S2_AAA_150101.txt S2_A~001.TXT

S2_BAA_150101.txt S2_B~001.TXT

S1_AAA_150102.txt S1_A~002.TXT

S1_BAA_150102.txt S1_B~002.TXT

S2_AAA_150102.txt S2_A~002.TXT

S2_BAA_150102.txt S2_B~002.TXT

…

S1_AAA_151231.txt S1_A~365.TXT

S1_BAA_151231.txt S1_B~365.TXT

S2_AAA_151231.txt S2_A~365.TXT

S2_BAA_151231.txt S2_B~365.TXT

Note that there is no conflict between file names and since no log group will exceed 365 (days) the 999 member limit is never exceeded.


Recipe Error Codes

When working with Recipes, the C-more Programming Software will automatically check your Recipe Sheet for any possible Errors. If a an Error is found, a pop up-window will open and display a an Error Message identifying the Error or an Error Code.

The list below can be used as cross reference for any Recipe Error Codes displayed.

Error Message

  1. No Tag.

  2. Error TAG-002 : Tag Data Type does not match.

  3. Error TAG-061 : No destination Tag.

  4. Error TAG-053 : PLC Tag Data Type (Read/Write) does not match Object Type.

  5. Error GUI-035 : Invalid Value.

  6. Error GUI-142 : Value is not within range.


Tag Errors

The Table shown below provides a list of C-more Panel Tag Name Errors that may be displayed by the C-more Programming Software while assigning or defining Tag Names in a project. If a Tag Name Error does occur, an Error message similar to the one shown below will display on your PC screen.

C-more Tag Errors
Error | Error Message
Error TAG-001 | Define a valid Tag for Visibility Tag.
Error TAG-002 | Tag Data type does not match.
Error TAG-003 | Define a valid Tag.
Error TAG-004 | Define a valid Line Color Tag.
Error TAG-005 | Define a valid Move Animation X-Axis Tag.
Error TAG-006 | Define a valid Move Animation Y-Axis Tag.
Error TAG-007 | Define a valid Point Animation Tag.
Error TAG-008 | Define a valid Length Animation Tag.
Error TAG-009 | Define a valid Rotation Animation Tag.
Error TAG-010 | Define a valid X-Axis Size Animation Tag.
Error TAG-011 | Define a valid Y-Axis Size Animation Tag.
Error TAG-012 | Define a valid Tag.
Error TAG-013 | Define a valid Push Button Tag.
Error TAG-014 | Define a valid Indicator Tag.
Error TAG-015 | Define a valid Open Tag.
Error TAG-016 | Define a valid Close Tag.
Error TAG-017 | Define a valid Decimal Point Tag.
Error TAG-018 | Define a valid Embedded Tag.
Error TAG-019 | Define a valid Display Tag.
Error TAG-020 | Define a valid Decimal Point Tag.
Error TAG-021 | Define a valid Notify Tag.
Error TAG-022 | Define a valid Handshake Tag.
Error TAG-023 | Define a valid Read Tag.
Error TAG-024 | Define a valid Write Tag.
Error TAG-025 | Define a valid Sample Rate Tag.
Error TAG-026 | Pen Tags and Ranges type must be of same sign type.
Error TAG-027 | Define a valid Tag for Start Stop Tag.
Error TAG-028 | Define a valid Reset Tag.
Error TAG-029 | Define a valid Tag for Low Low Tag.
Error TAG-030 | Define a valid Tag for Low Tag.
Error TAG-031 | Define a valid Tag for High Tag.
Error TAG-032 | Define a valid Tag for High High Tag.
Error TAG-033 | Tag type mismatch.
Error TAG-034 | Define a valid Tag for PV Tag.
Error TAG-035 | Define a valid Tag for SP Tag.
Error TAG-036 | Process Variable Tag and Set Point Tag must be of same Data type.
Error TAG-037 | Define a valid Tag for Output Tag.
Error TAG-038 | Define a valid Tag for Mode Tag.
Error TAG-039 | Define a valid Tag for Alarm Tag.
Error TAG-041 | Define a valid Tag for Source Tag.
Error TAG-042 | Destination data type and Source data type are not same.
Error TAG-043 | Define a valid Tag for Trigger Tag.
Error TAG-044 | Define a valid Tag for String Tag.
Error TAG-045 | Read-Only Tag Name, Paste cannot continue.
Error TAG-046 | Data in Source cell is not matching with the Destination so Please Enter the correct data.
Error TAG-047 | Tag Name cannot be empty.
Error TAG-048 | Tag Name already exists.
Error TAG-049 | Define a valid Tag for EMBED TAG.
Error TAG-050 | Source Tag cannot be empty.
Error TAG-051 | Destination Tag cannot be empty.
Error TAG-052 | Address cannot be empty.
Error TAG-053 | PLC Tag Data Type (Read/Write) does not match Object type.
Error TAG-054 | PV address type supports BCD Tag data type only.
Error TAG-055 | Maximum number of retentive Tags exceeded.
Error TAG-056 | Maximum 30,000 number of Tags exceeded.
Error TAG-057 | Tag not found. It will be created as an Internal Tag: UNKNOWN TAG*
Error TAG-058 | Tag IO Type does not match Object type.
Error TAG-059 | Tag cannot be added. Maximum 30,000 number of Tags exceeded.
Error TAG-060 | Define a valid Write Event Tag.
Error TAG-061 | No Destination Tag.
Error TAG-062 | Push Button Tag and Indicator Light Tag are not having same data types. Do you want to choose a different tag for Indicator Light tag?
Error TAG-063 | Define a valid Upper Bound Line tag
Error TAG-064 | Define a valid Lower Bound Line tag
Error TAG-065 | Non Standard data type combination was selected
Error TAG-066 | Tag Name is duplicated.
Error TAG-067 | Tag Name is too short.
Error TAG-068 | Tag Name is too long.
Error TAG-069 | Tag Name is reserved for a System Tag.


Panel Manager

Panel Manager configures global settings for the project.

To configure settings, do the following:

  1. Do one of the following:
  • From the Main menu, click Setup and select Panel Manager, or

  • From the Navigation window, click the Function tab and select Panel Manager,

The Panel Manager window opens.

When the Panel is highlighted in the left pane, the settings may be configured.
  2. Complete the fields on the screen using the information in the table below.

Panel Settings

Field

Description

Panel Type

Select the panel model that will be used in the project. The available selections are the actual part numbers of the C-more panel. When changing the Panel type, some adjustments may need to be made to the project. If they are necessary, the user will be prompted to make a few decisions on how these changes will be handled. See the Project Resolution Difference topic in this Help file for more information.

Project Resolution

See the Project Resolution Settings topic in this Help file.

Orientation

Choose the physical orientation of the panel that the screens will be viewed as right-side up:

  • Landscape (Default)
  • Portrait (90 Degrees clockwise)
  • Landscape (180 Degree - Upside-down)
  • Portrait (270 Degrees Clockwise)

RHMI Option

Choose Touch Panel Driver - There are three choices of drivers depending on the touchscreen that is installed on the connected touchscreen monitor.

  • ELO™ Resistive and Sonic Acoustic Wave
  • EETI eGalax™ Resistive
  • EETI eGalax™ pCap

HDMI Resolution Auto Adjust

When the EA9-RHMI Panel type is selected, this feature is enabled. If it is not enabled (default), the HMI will attempt to display the project at the resolution selected.

When selected, the HMI will attempt to negotiate with a connected HDMI-compatible display for the highest resolution possible.

Some displays may not negotiate the resolution, resulting in the wrong resolution setting in the HMI. If an incorrect resolution is set, clear the selection.

General

Start Screen Number

Select the Screen Number that the panel will display when it first powers up or reboots.

Start Screen Saver

Select 0 to disable the Screen Saver function or enter a number between 1 and 1500. This number indicates the minutes the panel waits before activating the Screen Saver (turns off the backlight).

Default Language Number

When the project has been configured with more than one language, enter the number assigned to the language required when the panel first powers up or reboots.

Display Large Key Pad On Panels

Select this checkbox to display a larger size keypad than the default keypad for objects such as Numeric Entry and Text Entry. The larger keypad will fill the EA9-T6CL screen.

This setting applies only to system keypads. It does not apply to User Defined Keypads. User Defined Keypads must be created with a size appropriate to the project.

Random password keypad position

Select this checkbox to cause the password keypad to display in random locations on the panel screen. This is useful in preventing screen wear of one position.

Bitmap Option (Less Memory)

When using bitmaps in various objects such as the Multi-State Bitmap or Static Bitmap Objects, the project size can become very large, exceeding the allowed project memory size. To reduce project size, bitmaps using less than 65535 colors should be used, such as 8-bit or 4-bit bitmaps. These bitmaps do not require as much memory. To take advantage of the smaller bitmaps, this Bitmap Option should be selected. This will not reduce the project size where all of the bitmaps used in the project are 16-bit or higher.

Note: Selecting the Bitmap Option may reduce the performance of the panel. A balance will have to be determined between the project size and panel performance.

Disable Exponent Notation

Disables scientific notation for all Floating Point data display objects. When using the Floating Point Data Type with the Numeric Entry, Numeric Display, Slider, Analog Meter, Bar Meter, Line Trend Graph, PID Faceplate Bar Meter, PID Faceplate Trend Graph and objects with embedded numeric data, sometimes the exponential notation can hinder viewing the data. Select this checkbox to disable any Exponential Notations. See examples below.

For a Numeric Entry set to display 4 digits:

With Disable Exponent Notation Deselected:

Entering a value of 0.00006 will be displayed as 6.0000e-05.

With Disable Exponent Notation Selected:

Entering a value of 0.00006 will be displayed as 0.0001.

Enable Anti-aliasing

Affects simple shapes (line, rectangle, circle and triangle), and analog meter objects. All of these objects will default to this setting, but each individual object may be configured to the best setting in the object configuration window.

Checking Anti-aliasing here may improve appearance, especially of diagonal lines, but it may affect panel performance.

Default Frame Style

 This setting makes the selected style the default Frame for objects. Individual object frames may be changed in each object's configuration window.

Project Storage/Boot Location

 This selection allows the user to select the target Storage/Boot Location for the panel. To see more detailed information about panel Boot and Storage, refer to the Project Storage/Boot Location topic in this Help file.

Alarm Settings

Alarm Screen Style

The Call Alarm Screen object style can be selected here. This is helpful if a project is converted from EA7, to ensure Alarm Message objects display as intended.

Default - New Style

Classic - Legacy EA7 style

Alarm Queue Size

 The number of alarms that will queue and be cycled through the Alarm Banner on the panel screen.

Alarm Display Time

 Configures the Time, in seconds, that any current alarms will be displayed in the Alarm banner on the panel screen.

Alarm Banner Text Size

 Allows the user to select the text size of the Alarm banner. This setting may be used to make the Alarm banner at the bottom of the screen more readable on high-resolution panels or smaller on larger panels.

Caution: Objects covered by the Alarm banner will still be activated by touching the screen.

Error Banner

Displays the PLC and RTE error across the top of the panel screen. The settings below help to make these more readable on larger and smaller panels.

Text Size

 This setting allows the user to select the Text size that makes the Error Banner at the top of the screen more readable on high resolution panels or smaller on larger panels. The selections are Windows Font sizes (classic font sizes).

Text and Background colors

 Select the color of the Text and Background color that will grab the user's attention.

Caution: Objects covered by the Error banner cannot be activated by touching the screen.

Log

Add Header Row into Log File

 By default, a header row is added into all log files. If the application in which the Log file will be used does not support a header row, clear (deselect) this option.

Log File Storage Duration

 Currently, the file storage duration is set to 365 days and cannot be changed.

Save to Location

 Alarm log files, Message log files, and Screen Capture files can be saved to either an SD Card in the SD1 or SD2 slot or to a USB memory device connected to the USB port.

Enable Beep

The C-more panel's internal Beeper can be set to be either ON or OFF. The default is with the beeper ON.

Note: This setting does not control the Audio Line Output port.

Show Mouse Cursor

This setting allows an arrow cursor to appear on panel screens where touched, much like the mouse cursor on a PC screen. If a mouse is connected to the USB port, the arrow cursor will allow selections like a PC. This is cleared by default in all Panel types except the EA9-RHMI.


Panel Log Storage Setup

Data logs, Alarm logs, Message logs, and screen captures must all be stored in an external memory device such as a USB pen drive or an SD card.

The data storage options are set up in the Panel Manager for all file types except Data logs. Data logs are set up in the individual Line Trend Graphs with which they are associated.

To set up panel log storage, do the following.

  1. Do one of the following:
  • From the Main menu, select Setup and then Panel Manager, or

  • From the Navigation window, click the Function tab and then Panel Manager,

The Panel Manager window opens.
  2. In the Panel Manager under the Log section for each Alarm, Message, and Capture Save To field, click the drop-down arrow and select SD1, SD2, or USB.
    Each type may be saved to a different memory device.


Project Storage/Boot Location

Typical View of a Panel Manager Window with the Project Storage/Boot Location Highlighted

This is a new feature starting with version 6.20. The Project Storage/Boot Location tells the software where the target Storage Location is located on the panel. The Storage Location selected is also set as the panel's Boot Location. Possible Storage and Boot Locations are Built-in-FLASH memory or SD1 flash card memory.

When Panel Built-in-FLASH is selected, this feature allows the project to be loaded to the Built-in-FLASH memory even when an SD1 card is installed in the SD1 slot. This leaves the SD1 card free for logging data.

  1. Auto: If Auto is selected, the Storage and Boot locations operate the same as in previous versions.
  • Boot: The primary Boot device is SD1. If an SD card is not present in the SD1 slot, the panel will Boot from the Built-in-FLASH memory. If an SD card is present, then the panel will Boot from the SD1 slot regardless of the presence of a project or not. If a project is not found on the SD card or the Built-in-FLASH, then the panel will display NO USER PROGRAM.
  • Storage: If an SD card is present in the SD1 slot, the project will be downloaded onto the SD card when it is sent by the software. If there is a project in the Built-in-FLASH, it will be cleared. If an SD card is not present in the SD1 slot, the project will be downloaded into the Built-in-FLASH.
  2. Panel Built-in-FLASH:
  • Boot: The panel will always Boot the Built-in-FLASH whether an SD cards is present in the SD1 slot or not. If a project is not found in the Built-in-FLASH then the panel will display NO USER PROGRAM.
  • Storage: The project will be always be downloaded to the Built-in-FLASH. If an SD card is present, the project will still be downloaded into the Built-in-FLASH. If there is a project on the SD card, it will be cleared.
  3. SD1:
  • Boot: The panel will always Boot from the project on the SD card in the SD1 slot. If a project is not found on the SD card then the panel will display NO USER PROGRAM.
  • Storage: The project will be always be downloaded to the SD card in the SD1 slot. If there is no SD card present then you will not be able to transfer the project. The Transfer button will be disabled. If there is a project in the Built-in-FLASH, it will be cleared.

Note: If the project is set for Auto, a project cannot reside in both the Built-in-FLASH and the SD card. An error RTE-131 will occur on the panel when rebooted. The project must be removed from one of the Storage media before the panel can run.

Transfer the project to the panel with the proper target storage location selected. This will clear the project from the non-target location.


Project Conversion

Topic: CM004

Project Conversion from C-more EA7 Series Panel

When a C-more EA7 Series project is opened in C-more EA9 Series software, the software will convert the project to C-more EA9 Series. Your C-more EA7 Series project will be preserved and you will need to Save the new C-more EA9 Series project.

Differences between C-more EA7 Series and C-more EA9 Series include:

  • Screen resolution (C-more Series EA9 8" and 10" panels have resolutions that are higher than the C-more EA7 Series panels.) See Project Resolution topic.
  • SD cards (replace the Compact Flash cards)
  • CF2 (C-more EA9 Series 6", 8" and 10" panels do not have a second SD card slot.)
  • No battery (C-more EA9 Series panels do not have a Lithium battery; calendar and retentive tags are protected by a 30 day super capacitor.)
  • SRAM (internal memory) is replaced with MRAM

Conversion Notes:

  1. The settings applied when the project is imported will be optimal to simply replace a C-more Series EA7 panel. This will result in performance and screen images that are comparable to the project running in the C-more Series EA7 panel.
  2. If your project uses SYS ERR Low Battery, you will be warned that the tag doesn’t have a function in C-more Series EA9. If your project uses the tags that refer to Compact Flash, these tags will be automatically converted to SD, for example, SYS CF1 Free Memory or SYS CF1 Eject will convert to SYS SD1 Free Memory or SYS SD1 Eject.

If your project uses a tag referring to SRAM, it will be converted to MRAM (i.e., SYS Built-in MRAM Free Memory).

  3. If the project you are importing uses the Compact Flash 2 slot in a 6", 8" or 10” panel, the software will display the following warning:

"The project you are importing utilizes the Compact Flash 2 slot (CF2) for logging. All CF2 settings and associated tags will be converted to SD Card 2 (SD2). The target panel only supports SD Card 1 (SD1) and USB. In order to work properly all SD2 settings will need to be changed manually to SD1 or USB."

There is no option to add a second SD slot to the 6", 8" or 10” panels.

What if I do not have the EA7 Series software?

The EA9 series software will not connect to an EA7 series panel and read the project.

If you have an EA7 series panel, but you do not have the EA-PGMSW software, you can still retrieve the project from the panel and open it in the EA9 series software. Do the following to retrieve the project from the panel.

  1. Remove power from the EA7 series panel.
  2. Insert a USB pen drive (2GB max) or Compact Flash Card into the EA7 series panel.
  3. Apply power to the EA7 series panel.
  4. Go to the System Screen by holding the upper left corner for 5 seconds.
  5. Select Memory.
  6. Select Backup.
  7. Select the device to back up to, USB or CF1/2
  8. Select Project and then Next.

New in Version 6

Significant improvements are made to the Call Recipe and Alarm objects in Version 6. For existing projects using these objects, settings are configured to mimic the previous versions. The programmer may choose to revise these objects in later versions to take advantage of the improvements.

The Alarm Message object is renamed Alarm List. The new Alarm List object is much more flexible. Columns and buttons to appear on the panel screen are now customizable. Refer to the Alarm List object topic for more information.

The Alarm History object is renamed Call Alarm Screen and the initial Display Screens are Alarm Summary or Alarm Count. Refer to the Call Alarm Screen object topic for more information.


Working with Libraries

Library Tab Description

The Library tab consists of a selectable list of Object, Graphic, and Sound file libraries available for use with projects. The Library tab works in conjunction with the Parts List window. The items in the selected Library will be listed in the Parts List window as shown below. Files in each library in the Parts List will be listed in alphabetical order: Objects, Graphics, Sounds.

To select an item from a library displayed in the Parts List window, click on the item and drag it to the work area, with objects as Objects, graphics as Static Bitmaps, and sounds as Pushbuttons. To edit parameters for the selected item, double-click the object after placing it in the work area.

Object Library

When you drag an object from the Library to the screen, the Object tags may be Internal Tags or they may have a PLC Address assigned to them. This depends on the option selected when the Object was added to the Library.

If the object has a PLC address associated with the Tag, and the Device associated with the PLC address does not exist in the Panel Manager, the software will add that Device to the project.

Adding Objects to the Object Library

To add an object or group of objects to the Object Library, do the following:

  1. Select the object or objects to add.
  2. Right-click the group and select Object and then Library.

The Object > Library window opens.

  3. In the Object Name field, enter the name that will be listed in the Parts Lists.
    Remember, all items in the Library are listed in alphabetical order.
  4. Click the Save Tag(s) radio button to save the PLC Address(es) to the Tag Name(s) in the object.
    When the object is added to another project later, the tags will be added automatically into the Tag Name Database. If there is no device that supports the PLC Addresses assigned to the tags, a device will be added automatically to the Panel Manager.
  5. To make all tags associated with the object internal, click the Save as Internal Tag(s) radio button.
    Any PLC Address(es ) will be erased. When the object is added to another project later, the tags will be added automatically into the Tag Name Database. The tag will then need to be associated with a Device and a PLC Address assigned to it.
  6. Click OK.
    The objects are added to the library.

Graphics Library

When you drag a graphic from the Library to a screen, it creates a Static Bitmap. But graphics in the Library can be used in any of the following objects by selecting the Disk option.

  • Bitmap Button
  • Static Bitmap
  • Dynamic Bitmap
  • Multi-state Bitmap
  • Animation Bitmap

Sound Library

Files in the Sound Library are not associated with any particular objects. Sounds can be selected in the configuration of Pushbuttons and Switches, as well as used in the Event Manager Sound Action.

Adding Graphic or Sound Files to a Library

To add Graphic (.bmp) and/or Sound (.wav) files to a library, do the following:

  1. From the Library tab, click Add Graphic to Library or Add Sound to Library toolbar button.

  2. Browse to the location where the desired file is stored.
  3. Select the file and click Open.
    The file is added to the library.
  4. To view the new file in the library, look in the Parts List.


Object/Library Tab Options

The Object List window provides an Object Tab for stock objects and a Library Tab where you can save and reuse custom objects.

Library Tab Options Drop-Down Menu

The Object Tab allows you to choose to sort the list of stock objects alphabetically or organized into groups of similar functions.

The Library Tab allows you to choose to Add a Graphic or a Sound file to the Library.

From this window, locate the Graphic file on your hard drive or disk and select it. You may double-click to select it or click one time to highlight it and then click the Open button. The Graphics file is added to the User Graphic Library.

Note: At this time only Bitmap (.bmp) files can be added to the User Graphic Library.

Add Sound to Library: Click on this selection to open the Add Sounds to Library window shown below.

From this window, locate the Sound file on your hard drive or disk and select it. You may double-click to select it or click one time to highlight it and then click the Open button. The Sound file is added to the User Sound Library.

Note: At this time only Wave (.wav) files can be added to the User Sound Library.

Add User Defined Object

To add a User Defined object to the library, configure the new object, then right click it (on the project workspace.) Select Object > Library to save it for reuse. Just as saving a screen to the screen library, tags associated with this object may be saved with the device address, or saved as Internal Tags. Saving the tags as Internal Tags is helpful if it's likely that the new projects where the object will be reused will use different device drivers.


Screen Library

The Screen Library allows you to have a Screen from one project to use in another project.

Screen Library Selection Description

The Screen Library selection is available using two methods:

  1. Select Screen Library from the Tool Menu, which is located on the Main Menu and shown below.

  2. Selecting Screen Library from the drop-down menu of the Display Screen Icon [image] located on the Navigation Window.

Adding Screens to the Screen Library

To Add Screens to the Library, follow these steps:

  1. Drag a Screen from the Current Project Screen List to the Screens in the Screen Library pane.

  2. When the mouse button is released, the Project Screen -->Library window shown below opens.

  3. Enter a Folder Name and Screen Name to organize and identify this screen.

  4. If it's likely that the new projects that will use this screen will use the same device driver, then Save Tag(s). If it's likely that the new projects that use this screen will use other device drivers, it may simplify your work in the future to save the screen with tags saved as Internal Tag(s).

  5. Click OK to save the screen in the Screen Library.


Delete Screen

Topic: CM100

The Delete Screen selection is used to Delete a selected screen from the project.

Delete Screen Icon and Menu Selection Description

The Delete Screen Icon [image] is located on the Screen Tab of the Navigation Window. The Delete Screen Menu selection is available from the Screen Menu located on the Main Menu and shown below.

To Delete a screen, click on the screen to select it, then click on the Delete Screen Icon [image] or the Delete Screen selection from the Screen Menu. The Delete Screen window shown below will open.

The Delete Screen window shown above displays a list of all the Screens available for the specific project. To Delete a Screen, find the Screen to Delete from the list, click on the Screen Name to select and highlight the Screen, and click on the Delete button. Repeat as necessary and when done deleting, click on the Close button to Close the Delete Screen window.


System Tags

Click on a link below to go directly to a specific type of System Tag.

Activity | Built-in Counter
Keypads | Password
Removable Devices | User LED
Clock | Errors
Math | Memory
Screens | Communications
System Tag | Description | Data Type | R/W | "Write On"Only | ValueRange | Retentive | Note
SYSBITON | On as long as the panel is on | Discrete | R | No | No
Activity Top
SYS Screen Saver Status | ON indicates the screen saver is active, the backlight is off. | Discrete | R | No | No
SYS User Inactive Count Reset | Turn ON to reset the User Inactive System tags. | Discrete | R/W | No | No
SYS User Inactive Hour Count | The number of hours since the screen was touched. | US16 | R | No | 0~65535 | No
SYS User Inactive Minute Count | The number of minutes since the screen was touched. | US16 | R | No | 0~65535 | No
SYS User Inactive Second Count | The number of seconds since the screen was touched. | US16 | R | No | 0~65535 | No
Clock Top
SYSClock200ms | On for 100ms. Off for 100ms. | Discrete | R | No | No
SYSClock500ms | On for 250ms. Off for 250ms. | Discrete | R | No | No
SYS Clock Sec | On for 0.5 second. Off for 0.5 second. | Discrete | R | No | No
SYSClockMin | On for 30 seconds. Off for 30 seconds. | Discrete | R | No | No
SYS DATEYYY | Contains the year | US16 | R | No | 1752~ | No
SYSDATEYY | Contains the year of last 2 digits | US16 | R | No | 0~99 | No
SYSDATEMM | Contains the month | US16 | R | No | 1~12 | No
SYSDATEDD | Contains the day | US16 | R | No | 1~31 | No
SYSDAYWEEK | Contains the day of the week | ASCIIStrings | R | No | SUN, MON, TUE, WED, THUR, FRI, SAT | No
SYSTIMEHH | Contains the clock hours | US16 | R | No | 0~23 | No
SYSTIMEMM | Contains the clock minutes | US16 | R | No | 0~59 | No
SYSTIMESS | Contains the clock seconds | US16 | R | No | 0~59 | No
Built-in CounterTop
SYSCountInterval

The interval value at which SYSCountValue will increment (Min50ms)

Unit: ms

1 = 1ms, 500 = 500ms, and 1000 = 1sec

 US32 R/W No No
SYSCountMax | Sets the maximum value for SYSCountValue | S32 | R/W | No | No
SYSCountMin | Sets the minimum value for SYSCountValue | S32 | R/W | No | No
SYSCountRepeat | When ON, when SYS CountValue reaches SYSCountMax, SYSCountValue is reset to SYSCountMin | Discrete | R/W | No | No
SYSCountValue | The value from SYSCountMin to SYS CountMax, incremented by one each SYSContInterval | S32 | R | No | No
ErrorsTop
SYSERR
Backlight Bulb
Turned Off 		Unused Discrete R No No
SYSERREmail Error

ON indicates an error occurred sending an email. When SYS ERRE mail Error is ON, the error will blink with the Email Address in the alarm banner at the top of the screen AND the Email address will appear in the SYS ERR Error Message tag.

OFF is no error.

 Discrete R No No An error will indicate that the email address is not valid or an email server could not be reached, usually due to incorrect configuration.
SYSERR ErrorStatus

ON indicates an error has occurred.

OFF is no error.

 Discrete R No No Use along with SYSERRErrorCode to monitor panel errors on other devices.
SYSERRErrorCode

Always contains the last error to occur. It is only overwritten when another error occurs or cleared when power is cycled on the panel.

Most significant digit is error type: 1 = Communication error; 2 = Run time error. The three last significant digits are the error number.

Refer to the topics for Communications Errors or Run Time Errors for more information on the specific error.

 BCD16 R No No
SYSERRErrorMessage | The text associated with SYSERRErrorCode system tag. | ASCII | R | No | No
SYSERRLogError

ON indicates that the log buffer has a memory overflow.

OFF is no error.

 Discrete R No No This could indicate that the memory device for the log files is either not present or is full. Use the SYS %device% ReadytoUse tag to ensure the device is ready and working properly.
SYS ERRHandshake Error | Status ON indicates there is Handshake error. | Discrete | R | No | No | Handshake is set up in Numeric Entry and Recipe Objects Control tab.
SYSERR
Low Battery 		Unused Discrete R No No
SYSERR
Powerfall Count 		Counts and retains the number of power fail events. Counts up to 9999, then resets to 0000 and continues counting. BCD int 16 R/W No 0~9999 Yes
SYSERRScreenCapture Error

ON indicates that the triggered screen capture did not occur due to an error.

OFF is no error.

 Discrete R No No This could indicate that the memory device for storing the screen captures is either not present or is full. Use the SYS %device% ReadytoUse tag to ensure the device is ready and working properly.
SYSERRSend FTP Error

ON indicates an error occurred transferring a file by FTP. When SYSERRFTPError is ON, the error will blink with the FTP address in the alarm banner at the top of the screen AND the FTPaddress will appear in the SYSERRErrorMessage tag.

OFF is no error.

 Discrete R No No An error will indicate that the FTP address is not valid or an FTPI server could not be reached, usually due to incorrect configuration.
Keypads Top
SYSKeypad Current | Contains the active keypad current ASCIIstring | ASCIIstrings | No | No | Used for user-defined keypads. Refer to Define Keypad topic.
SYSKeypad Max | Contains maximum value for the active keypad. | ASCIIstrings | No | No | Used for user-defined keypads. Refer to Define Keypad topic.
SYSKeypad Min | Contains minimum value for the active keypad | ASCIIstrings | No | No | Used for user-defined keypads. Refer to Define Keypad topic.
SYSKeypad Value | Contains value being entered for the active keypad | ASCIIstrings | No | No | Used for user-defined keypads. Refer to Define Keypad topic.
MathTop
SYSMATH
DIVISIONERROR 		ON when a formula results in an attempt to divide by zero. Discrete R/W No No
SYSMATHERROR | ON when any Math error occurs, including Math Division error and Math Out of Range error. | Discrete | R/W | No | No
SYSMATH
ERROREVENTNUMBER 		Stores the event number of the most recent Math Error. Unsigned int 16 R/W No No
SYSMATH
OUTOFRANGE 		ON indicates a Data Overflow, Underflow or Data Conversion error. Discrete R/W No No
Password Top
SYSSystemScreenPW

Set password to protect system screen from operators.

0 = No Password

3505 = Master key code

 BCD
Int16 		R/W No No Refer to System Screen Password Setup topic.
Memory Top
SYSBuiltin DRAMTotalMemory

Total DRAM memory

Unit:Kbyte

 US32 R No 0~4294967295 No
SYSBuiltin DRAMUsedMemory | Used DRAM memory | US32 | R | No | 0~4294967295 | No
SYSBuiltin DRAMFreeMemory

Amount of DRAM memory that is free

Unit: Kbyte

 US32 R 0~4294967295 No
SYSBuiltin FLASHTotal Memory

Total Flash memory

Unit:Kbyte

 US32 R No 0~4294967295 No
SYSBuiltin FLASHUsedMemory

Used Flash memory

Unit:Kbyte

 US32 R No 0~4294967295 No
SYSBuiltin Flash FreeMemory

Amount ofFLASH memory that is free

Unit:Kbyte

 US32 R No 0~4294967295 No
SYS LowGraphMemory | Unused | Discrete | R | No | No
System Builtin MRAMTotalMemory

Total MRAMmemory

Unit:Kbyte

 US32 R No 0~4294967295 No
System Builtin MRAMUsedMemory

Used MRAMmemory

Unit:Kbyte

 US32 R No 0~4294967295 No
SYSBuiltin MRAMFreeMemory

Amount of MRAM memory that is free

Unit:Kbyte

 US32 R No 0~4294967295 No
Removable DevicesTop
SYSDELETE ALLLOG | Turning this tag ON will delete all log files on all installed external memory devices. | Discrete | R/W | No | No
SD1
SYSCopyLogToSD1 | Turn bit ON to Save all Logfiles from all devices (SD1, SD2, and USB) to the SD card in the SD1 slot. | Discrete | R/W | No | No | Use with a Pushbutton to copy logs from a device you do not want to remove to a device that is easily removed.
SYSDELETE SD1 LOG | Turning this tag ON will delete all log files on theSD card in the SD1 slot. | Discrete | R/W | No | No
SYSSD1 Eject | Turn bit ON to safely remove SD card in the SD1 slot. The bit will turn OFF when the SD card is ready to be removed. | Discrete | R/W | Yes | No | Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.
SYSSD1 ReadyToUse | ON when the SD card in the SD1 slot is "Ready to Use" | Discrete | R | No | No | Use with an indicator light object to indicate the SD1 card is "Ready to Use" after inserting.
SYSSD1 WriteStatus

ON is writing data to the SD card in the SD1 slot.

OFF is not currently to the SD card in the SD1 slot.

Write data is Alarm Log, Message Log, Screen Captures and Trend Data Logs.

 Discrete R No No Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While it is Being Accessed."
SYS SD1 Write Protected | Status ON indicates theSD card in the SD1 slot is Write Protected. | Discrete | R | No | No
SYSSD1 FreeMemory

Free memory on an inserted SD card in the SD1 slot.

Unit:Kbyte

 US32 R No 0~4294967295 No Use with Event Manager to create an alarm or notification that the device is nearing full.
SYSSD1 TotalMemory

Total memory on an inserted SD card in the SD1 slot.

Unit:Kbyte

 US32 R No 0~4294967295 No
SYSSD1 UsedMemory

Used memory on an inserted SD card in the SD1 slot.

Unit:Kbyte

 US32 R No 0~4294967295 No
SD2
SYSCopyLogToSD2 | Turn bit ON to Save all Logfiles from all devices (SD1, SD2, and USB) to the SD card in the SD2 slot. | Discrete | R/W | No | No | Use with a Pushbutton to copy logs from a device you do not want to remove to a device that is easily removed.
SYSDELETESD2LOG | Transition to ON will delete log files from an installed SD card in SD2 slot. | Discrete | R/W | No | No
SYSSD2 Eject | Turn bit ON to safely remove SD card in the SD2 slot. The bit will turn OFF when the SD card is ready to be removed. | Discrete | R/W | Yes | No | Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.
SYSSD2 ReadyToUse | ON when the SD card in the SD2 slot is "Ready to Use" | Discrete | R | No | No | Use with an indicator light object to indicate the SD2 card is "Ready to Use" after inserting
SYSSD2 WriteStatus

ON is writing data to SD card in the SD2 slot.

OFF is not currently to the SD card in the SD2 slot.

Write data is Alarm Log, Message Log, Screen Captures and Trend Data Logs.

 Discrete R No No Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While it is Being Accessed."
SYS SD2 Write Protected | Status ON is Write Protected | Discrete | R | No | No
SYSSD2 FreeMemory

Free memory on an inserted SD card in the SD2 slot.

Unit:Kbyte

 US32 R No 0~4294967295 No Use with Event Manager to create an alarm or notification that the device is nearing full.
SYSSD2 TotalMemory

Total memory on an inserted SD card in the SD2 slot.

Unit:Kbyte

 US32 R No 0~4294967295 No
SYSSD2 UsedMemory | Used memory on an inserted SD card in the SD2 slot. | US32 | R | No | 0~4294967295 | No
USB
SYSCopyLogToUSB | Turn bit ON to Save all Logfiles from all devices (SD1, SD2, and USB) to the USB device in the USB slot. | Discrete | R/W | No | No | Use with a Pushbutton to copy logs from a device you do not want to remove to a device that is easily removed.
SYSDELETEUSBLOG | Transition to ON will delete log files from an installed USB memory device. | Discrete | R/W | No | No
SYSUSBEject | Turn bit ON to safely remove USB memory device in the USB port. The bit will turn OFF when the USB device is ready to be removed. | Discrete | R/W | Yes | No | Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.
SYSUSB ReadytoUse | ON when the USB memory device slot is "Ready to Use" | Discrete | R | No | No | Use with an indicator light object to indicate the USB card is "Ready to Use" after inserting
SYSUSBWriteStatus

ON is writing data to the USB memory device in the USBport.

OFF is not currently to the USB memory device in the USB port.

Write data is Alarm Log, Message Log, Screen Captures and Trend Data Logs.

 Discrete R No No Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While it is Being Accessed."
SYSUSBFreeMemory | Free memory on an inserted USB memory device in the USB slot. | US32 | R | No | 0~4294967295 | No | Use with Event Manager to create an alarm or notification that the device is nearing full.
SYSUSB TotalMemory

Total memory on an inserted USB memory device in the USB slot.

Unit:Kbyte

 US32 R No 0~4294967295 No
SYSUSBUsedMemory | Used memory on an inserted USB memory device in the USB slot. | US32 | R | No | 0~4294967295 | No
Screens Top
SYSCurrent Screen Name | ASCII | R | No | No
SYS Current Screen Number | US16 | R | No
User LED Top
SYS
User LEDColor1 		Unsigned int 16 R/W No 0-3 No Allowable values:
0 = off
1 = red
2 = green
3 = yellow
SYS
User LED Color2 		Unsigned int 16 R/W No 0-3 No Allowable values:
0 = off
1 = red
2 = green
3 = yellow

CommunicationsTop

SYS PANEL LOCAL IP

Contains an ASCII string representation of the Local IP Address of the C-more Panel

ASCII String

R

No

No

May be used with a Text Display object to display the Panel Local IP Address on the panel

SYS PANEL LOCAL IP OCT1

Contains an integer representation of the first octet of the Local IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

If the IP Address is: 192.168.204.108, the integer value is 192.

SYS PANEL LOCAL IP OCT2

Contains an integer representation of the second octet of the Local IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

If the IP Address is 192.168.204.108, the integer value is 168.

SYS PANEL LOCAL IP OCT3

Contains an integer representation of the third octet of the Local IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

If the IP Address is 192.168.204.108, the integer value is 204.

SYS PANEL LOCAL IP OCT4

Contains an integer representation of the fourth octet of the Local IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

If the IP Address is 192.168.204.108, the integer value is 108.

SYS PANEL REMOTE IP

Contains an ASCII string representation of the Remote IP Address of the C-more Panel

ASCII String

R

No

No

The Remote IP Address (%IP2) is configured in the Remote Access Tab in the Panel Network setting.

May be used with a Text Display object to display the Panel Local IP Address on the panel

SYS PANEL REMOTE IP OCT1

Contains an integer representation of the first octet of the Remote IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

The Remote IP Address (%IP2) is configured in the Remote Access Tab in the Panel Network setting.

If the IP Address is: 192.168.204.108, the integer value is 192.

SYS PANEL REMOTE IP OCT2

Contains an integer representation of the second octet of the Remote IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

The Remote IP Address (%IP2) is configured in the Remote Access Tab in the Panel Network setting.

If the IP Address is 192.168.204.108, the integer value is 168.

SYS PANEL REMOTE IP OCT3

Contains an integer representation of the third octet of the Remote IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

The Remote IP Address (%IP2) is configured in the Remote Access Tab in the Panel Network setting.

If the IP Address is 192.168.204.108, the integer value is 204.

SYS PANEL REMOTE IP OCT4

Contains an integer representation of the fourth octet of the Remote IP Address of the C-more Panel

Unsigned int 16

R

No

1 - 254

No

The Remote IP Address (%IP2) is configured in the Remote Access Tab in the Panel Network setting.

If the IP Address is 192.168.204.108, the integer value is 108.


Special Characters

The following is a list of Special Characters that may be entered using special key strokes. Other characters may be found on the Windows Character Map tool under Windows Accessories.

Special Character Reference

The following table provides a quick reference for entering Special Characters in Windows. To enter a Special Character from almost any program in Windows, type like you normally would and when a Special Character is needed, hold the "ALT" key [image] down and while holding the key type the reference number of that character. For example:

© = ALT + 0169

á = ALT + 0225

Ñ = ALT + 0209

Note: Please make sure the "Num Lock" on your keyboard is active.

Character | Key Entry
† | ALT + 0134
‹ | ALT + 0139
• | ALT + 0149
– | ALT + 0150
™ | ALT + 0153
› | ALT + 0155
¡ | ALT + 0161
¢ | ALT + 0162
£ | ALT + 0163
¥ | ALT + 0165
© | ALT + 0169
« | ALT + 0171
® | ALT + 0174
° | ALT + 0176
± | ALT + 0177
µ | ALT + 0181
» | ALT + 0187
¼ | ALT + 0188
½ | ALT + 0189
¾ | ALT + 0190
¿ | ALT + 0191
Á | ALT + 0193
É | ALT + 0201
Í | ALT + 0205
Ñ | ALT + 0209
Ó | ALT + 0211
Ø | ALT + 0216
Ú | ALT + 0218
é | ALT + 0233
í | ALT + 0237
ñ | ALT + 0241
ó | ALT + 0243
÷ | ALT + 0247
ú | ALT + 0250


Language

Setup Language Description

The C-more Programming Software supports the following Languages:

  • Arabic
  • Chinese
  • Chinese (Taiwan)
  • English (Default)
  • French
  • German
  • Japanese
  • Korean
  • Russian
  • Spanish
  • Thai

To Setup the Language settings for your project see the sections included below.

Note: The Tag Name Database DOES NOT support all the Languages listed above. Therefore, Tag Name Databases MUST be in English or Japanese.

Access the Language Setup Window

To access the Language Setup window, go to the Setup drop-down menu available from the Main Menu and select Language from the drop-down menu shown below.

The Language Setup window shown below opens.

Setting the Language Window

The Language Setup window offers up to nine Language settings and seven Languages to choose from. The C-more Programming Software is pre-configured with all the languages listed above. Other Languages may require additional setup or may be available in future versions.

The Language Setup screen shows that ALL nine language settings for C-more are set to English by default. Let's assume that we need a project with English and Spanish Languages. To setup a second Language, follow these steps:

  1. Assuming that English is the main Language. Since the default Language is English, the System Language field for the Language #1should stay as it is, English.
  2. The Name field for Language #1 default is Language 1. This field may be left as is or you may enter a different name. For example, you may want to use the Name English. Any Name may be given (i.e., Inglés, Primary, Main).
  3. The default font used for the Language settings is Arial. If you prefer to use a different font, click on the down arrow [image] and select a font available from the list. An object may be configured to use the default fonts, which can be unique for each language. OR, if the Use Default Font checkbox is de-selected in that object, a single font configuration must be used for all languages in that object.
  4. Language #1 is now setup.

Setting Up Additional Languages

To set additional Languages, follow these steps for each Language to add:

  1. Assuming that Spanish is the secondary Language. On the Language #2 System Language field, click on the down arrow [image] and select Spanish from the drop down list.
  2. In the Name field, the default label is Language 2. If preferred, type a new Name, like Spanish for example. Any Name may be given (i.e., Español, Secondary, Second).
  3. The default font used for the Language settings is Arial. If you prefer to use a different font, click on the down arrow and select a font available from the list. . An object may be configured to use the default fonts, which can be unique for each language. OR, if the Use Default Font checkbox is de-selected in that object, a single font configuration must be used for all languages in that object.

For any additional Languages, repeat these steps shown directly above and select the desired Language. When setting up an English and Spanish project, the two edited fields should look like the figure shown below.

When all Language selections are completed, click on the OK button of the Language Setup window to accept all changes and proceed to the next step.


Print Preview

Print Preview Selections Description

Print Preview enables you to preview the project electronically before printing.

Three methods are available for accessing the Print Preview window.

  1. On the File toolbar [image], click the Print Preview icon [image],
    or
  2. From the File menu, select Print Preview,

or

  3. From the Print window, click the Print Preview button.

The Print Preview window opens displaying a sample of the document exactly how it will look when printed. This enables you to confirm that the document is as expected and provides a chance to change Print settings, if necessary.

Preview Window Menu Bar Description

The Print Preview window offers a menu bar that includes the selections shown below. Some of the icons in the Print Preview window menu will be shaded gray to indicate the icon function is not available. The icons change to color when they are available.

  • Print: sends the file to the printer
  • Prev Page arrow: view the previous page available for viewing/printing
  • Next Page arrow: view the next page available for viewing/printing
  • Zoom Slider
  • Fit to Screen: displays the image at the percentage that will fit in the window on your PC monitor
  • Zoom to 100%: displays the image at 100% of the screen


Undo Icon and Menu Selection

Topic: CM443

Undoing and Redoing

The Undo function enables you to go back one step or more after taking an action or actions, such as move, copy, paste or delete. Undo must be used immediately following the action. For example, if you move an object and then decide you want to go back to the original position, click on Undo.

The Redo function enables you to recover an Undo selection. When Undo is selected, it will Undo the last action made to the project. For example, if you move an object and then decide you want to cancel that move and go back to the previous position, click on Undo. Then if you decide that you want to go ahead and make the move, click on Redo and the object will move again to the previous position..

Undo and Redo Selection

Edit Menu - Undo, Redo

Edit Toolbar - Undo, Redo

The Undo and Redo selections are available from the Edit menu in the top toolbar and as icons in the Edit toolbar. Redo also uses the short cut keys Ctrl+Y.

Undo returns the action to its previous state.

Redo performs an Undo action again. For example, if you delete an object and then Undo it, when you select Redo it deletes the object again.

To perform one of these functions, select the object or item and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the function.
  • Use a short-cut key:
  • Undo - Ctrl+Z
  • Redo - Ctrl+Y


Adjust Clock

Adjust Clock Description

The Adjust Clock selection is available on the Panel Menu drop down list shown below and found on the Main Menu.

When the Adjust Clock selection is selected, the Communication Configuration window shown below may open if the communication to the panel is not active or has been broken and not re-established.

If the communication with the panel is all set, this window will not open so continue to the next window setup mentioned below. From the Communication Configuration window, select if the connection to the panel is via USB or Ethernet. Once a selection is made, click on the OK button to accept the setting and the Adjust Clock window shown below opens.

From the Adjust Clock window, complete the following settings to Adjust the Clock Time and Date:

  1. Panel Time and Date: This part of the window displays the current Time and Date of the panel.
  2. Adjust Panel Time and Date: Click on this checkbox to select to Adjust the Time and Date on the panel to match the Time and Date settings of the PC connected to the panel. If this is the selection you want to use, once selected, click on Send to Panel (Item d) to make the adjustment.
  3. Customize: Click on the Customize checkbox to manually enter the Time and Date to be set for the panel. Click on the Up and Down arrows [image] on the right side of the Time field to Adjust the Time as needed. Click on the Down arrow [image] of the Date field to open a calendar and select the desired Date.
  4. Send to Panel: Click on this button when either of the Adjustment settings are completed and ready to execute. Once this button is selected it will update the Time and Date on the panel according to the selected settings.
  5. Close: Once all settings are complete and the panel Time and Date are Adjusted, click on the Close button to Close this window.
  6. Help: Click this button to open this Help File.


EAS9 File Type

Topic: CM007

.EAS9 File Type

A project with the file extension .eas9 is a project format that can be “restored from SD or USB” and run on a panel. Note that the project saved on your PC by the software has a .eap9 file extension and can NOT be “restored” from an SD or USB and run on a panel.

A .eas9 project file can be created in the software by choosing:

  • SEND Project to Panel button (File > Project Transfer menu option)
  • Then select the External Memory Device button
  • Select a drive, path and file name.

Also, from the panel SYSTEM SCREEN > MEMORY > BACKUP page. The BACKUP page will show available options for saving the compiled project file:

  • Select a USB pen drive or SD card
  • Select the device where you will save the file and the Next button
  • Select the files to be saved on your device.

The project file can be saved with or without the Firmware and or Recipe data for a backup or for writing to another C-more panel. The Firmware must be included if the target panel may have a different version than the source panel. Otherwise, the project file will need to be upgraded to the target panel firmware version using the C-more Programming Software.

Log Data can be saved and moved to a PC for record keeping.


Project Resolution Setting

The resolution setting option in Panel Manager will allow projects that were imported from C-more Series EA7 panels to take advantage of the improved resolution and processor speeds in the C-more Series EA9 panels.

When a C-more Series EA7 project is imported for an 8" or 10" panel, the resolution is automatically set by the program to match the C-more Series EA7 panel. The result is performance and screen images in the C-more Series EA9 panel that are comparable to the project running in the C-more Series EA7 series panel.

Note: Projects running at the highest resolution available on the selected panel will experience the best possible performance, since the panel processor will not be burdened with manipulating graphics to the alternate resolution.

Note: The resolution of EA9-T15CL panels is the same as EA7-T15C panels, XGA. For most EA7-T15C projects, the preferred resolution option will be XGA. There are some projects that were migrated to EA7-T15C panels from older panels and the programmer may have elected to maintain the previous VGA resolution.


Resource Monitor

It may sometimes be useful to see the CPU and Memory usage data. We provide a tool called the Resource Monitor to show this data. The Resource Monitor is activated from the SYSTEM SCREEN > INFORMATION > MEMORY tab.

The Resource Monitor also allows the option of returning to the project while displaying the SYSTEM SCREEN > INFORMATION > ERROR tab.


User Defined LED

The C-more Series EA9 panels have two LEDs on the front bezel: one is the Power Indicator and the second is user configurable.

There are three System Tags available to manipulate the user defined LED:

  • SYS User LED Blink (Discrete)
  • SYS User LED Color1 (Unsigned int 16, allowable values: 0 = off, 1=red, 2=green, 3=amber)
  • SYS User LED Color2 (Unsigned int 16, allowable values: 0 = off, 1=red, 2=green, 3=amber)
    This is the alternating color when SYS User LED Blink is ON.

An action can be configured in Event Manager to light the user defined LED. For example, an event may be configured to activate when the value of NUMERIC TAG 1 is greater than some value. A Tag Action may be configured for this event to light the User LED red:

The LED must be programmatically turned OFF as necessary. In our simple example, we create a second Event to turn off the LED when NUMERIC TAG 1 is in an acceptable range:


Firmware Recovery Tool

Recovery Tool

If the panel power is interrupted during a Firmware Update, the Firmware and/or Operating System in the panel may become corrupt. The panel may be recoverable using a recovery utility that installs when the C-more Programming Software is installed.

Firmware Recovery

If the Firmware is corrupt, but the Operating System is still intact, the screen below will open when power is reapplied to the panel.

Press the Information button and the Information Screen shown below will display. Notice that the Runtime version is blank.

To recover, start the Firmware Update again making sure that there is a constant clean power supply.

Operating System Recovery

If the Operating System is corrupt, the screen will be white when power to the panel is reapplied. The panel will not operate at all, and the CPU LED on the back of the panel may be blinking RED or Orange.

To recover the panel’s Operating System:

  1. Connect the Panel to your PC with the USB programming cable. (Any standard USB printer cable will also work.)

  2. Close the C-more Programming Software.

  3. Cycle the power on the panel.

  4. From the Windows Start Menu select:

Start Menu > AutomationDirect > C-more > Special Tools > C-more EA9 Series Recovery Tool

The window shown below will open.

Note: If USB Icon is blinking and the USB light is Red, this indicates that there is a communication problem to the panel. Check that the USB cable is properly connected and make sure there is communication to the panel.

  5. Select Start and the Operating System will be loaded to the panel.


Memory Clear

Topic: CM253

Clear Memory

Clear Memory Description

The Clear Memory selection is available from the Panel drop-down menu available from the Main Menu as shown below.

When the Clear Memory selection is made, the Clear Memory window shown below opens.

Notes: If your panel does not have a SD Card, the Clear Memory window will look like the figure shown above. If the panel does have a SD Card, the SD 1 text and checkbox will be black indicating that it's active.

If the panel is not connected to the PC, the Communication window (shown below) will display instead of the Clear Memory window to indicate that there is no Communication with the panel. In order to proceed, Communication with the panel must be established. For more information on the Communication window, click on the green text.

Caution: Please be aware that all the data in the MRAM, Built-in Flash, and SDWILL BE ERASED!!! If needed, Backup the information about to be cleared before proceeding.

From the Clear Memory window shown above, click on each of the checkboxes of the Memories to be Cleared to select them. After selecting the Memories, click on the OK button to accept the settings and proceed.

The following Warning window displays:

If unsure or to cancel the process, click on the No button. The window will cancel and close.

Please read theCautionindicated above before proceeding. To proceed with the Clearing process, click on the Yes button. The window will Close and the selected Memories will be Cleared.


C-more Panel System Screens Setup

To learn how to set up the C-more Panel System Screens, click on the button below. This button provides a link to the full chapter for System Screens Setup of the C-more Panel User Manual.


Upgrading Firmware

The C-more panels Firmware is the programming for the hardware that allows the panel to communicate and use all the functions available through the PC software. When a C-more Programming Software update/upgrade is available, it includes a Firmware update that is necessary for the panel to recognize all the improvements made to the software. Therefore, anytime a new version of software is installed/upgraded, the Firmware on the panel MUST be upgraded to match the software.

Warning: When Firmware updates, the project files currently loaded in the panel will be erased. Please make sure that the project is Saved in your PC so it can be reloaded to the panel. Refer to the Read From Panel topic.

Note: Starting with version 6.59, an added security enhancement requires the panel project is cleared prior to downgrading the firmware to a version prior to 6.59.

Upgrade Firmware

To upgrade the Firmware follow these steps:

  1. Connect the C-more touch panel to your PC via the USB or Ethernet port.

  2. Access Update Firmware from the C-more Software application using one of the following two methods:

  • Select Update Firmware from the Panel menu located on the Main Menu as shown below.

  • Select Update Firmware from the Panel Tab of the Navigation window as shown below.

  3. Once selected the Update Panel Firmware window shown below appears.

  4. On this window, if the path to the firmware file needed is not displayed, click on the browse button located to the far right of the Firmware File Path field. The Open window shown below opens and allows the user to select the Firmware file.

  5. The window should open on the Firmware directory as shown above. The default location of the Firmware file is C:\Program Files(x86)\AutomationDirect\C-more_EA9\Firmware.

    From the Firmware folder, select the ".eas9" file. Normally only one Firmware file will be displayed. However, if any software upgrades are made without Uninstalling the previous version, previous Firmware versions will be listed as shown in figure above. The Firmware version must match the Software version. Select the Firmware file and click on the Open button. The Firmware file path is now displayed on the Firmware File Path field of the Update Panel Firmware window.

  6. Select Firmware Update Only or Firmware Update and Reset Web Server Contents
IfReset Web Server Contents is selected, any custom Web Server pages loaded by the customer will be over written.

  7. Click the OK button on the Update Panel Firmware window. The Update Firmware window appears and shows the transfer progress bar. The Panel screen will show a message indicating that an update is in process. Please allow a few minutes for this process to complete.

  7. The panel beeps to indicate that the upgrade is complete. At the same time the window shown below pops open indicating Firmware Update OK. Click on the OK button, all windows close, and the main application screen is ready for work again.

  8. Reload the project to the panel.


Project Memory

Project Memory Tool Description

The Project Memory Tool allows the user to determine what Screens, Objects, Bitmaps or other features are consuming the most memory in the project. To access the Project Memory Tool window from the Main Menu, click on the Tools selection. The Tools drop-down menu shown below will display. From this drop-down menu, select the Project Memory selection.

To access the Project Memory Tool window from the Navigation Window, click on the Function Tab. Select Project Memory from the Project branch of the Function tree.

When selected, the Project Memory window shown below opens. This window provides a way for the user to easily view where Memory is being allocated and information on Memory usage.

  1. Click on any of the Icons available from the left portion of the screen to view Memory Usage information for items related to that Icon. The top 10 selection shows the 10 top users of Project Memory.

  2. This Table provides details about the memory use for each item selected in the menu tree on the left.

When expanded, the Bitmap selection in the tree in the right pane will list the different size and bit colors used in the project. For the example shown below, there is only one Bitmap that is x60 y58 24 bit. It is located on Screen 7, used in Dynamic Bitmap5 and it is 6,960 Bytes.

Locating the Screen and Object

To locate the Screen and Object containing the Bitmap or other object, double click on the line on the right pane. In the example below, when you double click on Screen 7-Dynamic Bitmap5, Screen 7 will open and the object will be highlighted on the screen.

Reducing Project Memory

If Bitmaps less than 16-bit are used, the project size can be reduced by selecting Bitmap Option (less Memory) in the Panel Manager as shown below.

Note: This will not reduce the project size where all of the Bitmaps used in the project are 16-bit or higher.

Remote Access Feature Project Memory

If the Remote Access Feature is enabled (in Panel Network Setup), Project Memory will be increased by an amount specific to the panel:

Panel Type | Remote Access Memory Usage
6" | 1,228,800 Byte
8" | 1,920,000 Byte
10" | 1,920,000 Byte
12" | 1,920,000 Byte
15" | 3,145,728 Byte

This appears under the "Setup" item in the left pane of the Project Memory Window.


Frequently Asked Questions (FAQs)

The following Frequently Asked Questions (FAQs) are provided as a quick reference for answers to common questions. These FAQs are constantly being updated to help users find quick answers and solutions without having to pick up a phone. If you do not find a solution to your problem, please feel free to contact our Award Wining Technical Support team for help.

If you would like to suggest a new FAQ item, please go to:

https://community.automationdirect.com/s/contactsupport

Click a Topic from the buttons below, to will take you directly to the FAQs related to that topic.

Alarms / Events

  1. Where did my Alarm Database go?

The C-more Software uses an Event Manager Database where users can setup different types of Events including Events that indicate an Alarm Action. To learn more about using Events as an Alarm Action, click on the button below:

  2. I know that I can send my Trend Log file based on an Alarm Event but I do not see that as an option under Actions?

This Action is only active when an FTP server is added to the address book. Once the FTP server is added, the FTP transfer option is viewable under Actions.

  3. I know that I can send an email based on an Alarm Event but I don’t see that as an option under Actions?

This Option is only available if one or more email addresses are added to the Address Book. Once an email address is added, the Email Notification Option is viewable under Actions. To learn more about adding emails to the address book click on the button below:

  4. What is the Maximum number of Actions per Event and the Maximum number of each action type per Event?

You can have a combination of 16 allowable Actions per Event. However, for each type of Action, the limitations per Event are:

  1. Alarm Action = 1 per Event
  2. Tag Action = 16 per Event
  3. Tag Copy Action = 16 per Event
  4. Sound Action = 1 per Event
  5. Screen Capture Action = 1 per Event
  6. Mail Action = 1 per Event (Requires Panel Manager Email setup)
  7. FTP Action = 1 per Event (Requires Panel Manager FTP setup)
  8. Backlight Action = 1 per Event
  9. Screen Change Action = 1 per Event
  10. Message Box Action = 16 per Event

For example, the table below shows a possible combination 16 Actions for an Event. You can use any of the available Actions as long as the limitations described above are not exceeded and the total Actions don't exceed 16.

EXAMPLE
Action Type | Qty Per Event
Alarm | 1
Tag | 4
Screen Capture | 1
Mail | 1
FTP | 1
Message Box | 4
Sound | 1
Tag Copy | 3
Total Actions: | 16
  5. How many Alarms can be displayed?

Alarm List:64 total displayed alarms (Set in panel manager).

Call Alarm Screen: 64 total displayed alarms (fixed).

Return to Top

Cables / Wiring

The green indicator light on this window means that the very lowest level of USB communications is connected, but it does not necessarily mean the panel and PC are communicating. If the Transfer button is not active, then the panel and PC are not communicating properly.

Before trying anything else, make sure that the panel is not running setup screens (i.e., calibrations screen). If the panel is running setup screens, exit all setup screens to return to operation mode. When setup screens run they may cause the problem described above.

If that was not the problem, then if a PLC is connected to the serial port of the panel, disconnect it. If this corrects the problem, then check your grounding for the PLC and the panel. If this does not correct the problem, reinstall the USB driver.

Return to Top

Databases
  1. What is the Maximum number of Messages in Message Database?

999 Messages

  2. What is the Maximum number of Tags in a Tag Database?

30,000 Tags

  3. Can the databases from C-more be Exported to other applications?

Yes. The Tag Names, Messages, Recipes and Address Book can be exported to any application that accepts Excel files or a CSV file (comma delimited). However, Recipes are Exported as CSV file format and the Messages are Exported as XLS format only. To learn more, click on the button below:

  4. Can databases from other programs be Imported to the C-more application?

Yes. Tag Names, Messages, Recipes and Address Books in Excel or CSV file format can be imported to C-more. However, Recipes can only be Imported as CSV file format and Messages can only be Imported as XLS format. To learn more, click on button below:

  5. How many Events can I include in a project’s Event Database?

C-more Panels have capacity for up to 999 Events.

  6. How many Messages can I include in a project’s Message Database?

C-more Panels have capacity for up to 999 Messages.

Return to Top

Email
  1. Do I have to connect C-more to the Internet in order to send email?

No, but it must have a connection to an SMTP server via Ethernet. To learn more click on the button below:

  2. I know that I can send an email based on an Event, but I get an "Email Services are Not Configured" error when selecting Mail as an Event Action during configuration. Why do I get this error?

The Email feature requires at least one email address to be setup in the Address Book. To learn more about setting up Emails, click on the button below:

  3. How do find out the IP Address of my Email server or FTP server?

If you know the name of the server such as mail.mycompany.com, using the command line on you PC, you can "ping" the server using "c:\ping mail.mycompany.com" command and it will respond with the IP Address.

  4. Can the C-more panel send text messages?

No, but it can email to text, with the same message length restrictions as text messages. Contact your cell provider (or google) for the format of the cell phone email address.

Return to Top

Firmware
  1. What if my software is older than the Firmware in my new panel? Can I load old Firmware in my panel or do I have to download the latest software?

If you have a panel with a newer version of Firmware and you are using an older version of Software, you should Upgrade your Software to use the latest Software version and the Firmware included with it. The latest Software download is found at:

http://support.automationdirect.com/products/cmore.html

To find out the version of Firmware a panel has and what version a software is, and to determine if the panel Firmware and the software are compatible, do the following:

Determine Panel Firmware Version:

  1. Access the Main Menu of the touch panel System Setup Screens by pressing the extreme upper left corner of the panel for 3 seconds as shown below.

The following Screen is displayed:

  2. From this Screen, press on the OK button and the Main Menu screen shown below opens.

Press the Information button to access the Information screen shown below.

The sample shown above shows the Firmware version to be 2.23. Now find the Software version as shown below.

Determine Software Version:

  1. From the C-more Programming Software, go to the Main Menu, click on the Help selection and from the drop-down menu click on the About C-more Programming Software selection. This opens the About C-more Programming Software window shown below.

The sample shown above shows the Software version to be 5.90.

  2. Can I just download the latest Firmware files, and not the entire program?

No.

Return to Top

Fonts
  1. How can I change the default font?

Go to the Setup selection on the Main Menu and select it. From the drop-down menu click on Language and from the Language Setup Window select a Font for each language used on the project.

Return to Top

Graphics
  1. I plan to use a software to produce high quality 2 and 3D diagrams of processes. I want to Export the Image to C-more and use it as the main display on the Touch Screen. Is this possible and if yes, What file extension does C-more read for the main display images?

Yes! C-more will only read .BMP from a disk. If the file being imported has more than 65K colors, C-more will Resample the file for you. You may also Copy to the Clipboard and use the Clipboard option. However, to obtain best image quality, you might want to Resample the Bitmaps yourself in a third party graphics package to have more control over the Resampling. To learn more about Importing Graphics, see the Static Bitmap Object's General Tab topic.

  2. How are CPU resources affected by the design of a screen?

The screen update rate is affected by the CPU resources required by the screen. Several decisions by the programmer affect the CPU resources. As a general rule, if graphics must be processed by the panel, there will be a noticeable affect on the screen update rate.

The “Stretch to Fit” checkbox on the Animation Bitmap Object, Bitmap Button Object, Dynamic Bitmap Object, Multi-State Bitmap Object and Static Bitmap Object is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.

Transparency can be effective in your project, but it also has comes at a significant cost in terms of CPU resources and a noticeable affect on screen update rates. In addition to the Bitmap Objects listed above, transparency is an option for the Bar Meter Object, Bitmap Text Object, Static Text Object and Valve Indicator Object.

The visibility option available on all objects except the Popup Window Frame Object and Static Bitmap Object may noticeably affect screen update speed as well.

The Popup Window Object itself may noticeably affect screen update speed.

The Blink Option has the same effect as Stretch to Fit when objects overlap graphic objects. The graphic object must be redrawn each time the Blink occurs. Stretch to Fit selected on the underlying graphics objects amplifies the affect.

Return to Top

Language
  1. Can I use Multi-language? How do I configure it?

Yes, C-more Software allows users to configure up to nine languages. To learn more about configuring Languages for a project, click on the button below:

Return to Top

Libraries
  1. Are there any limits to the library functions?

They are only limited by your imagination.

  2. It looks like you can pretty much put any object, pushbutton, indicator or bitmap as part of a library object. Is that true?

Any Object that can be placed on a screen can be made part of a Library Object.

Return to Top

Memory
  1. I installed a SD in SD1 for data logging. When the panel was powered up with a project running. After a power cycle the panel comes up with no user project. Why?

The project file is stored in the panel internal flash memory unless SD1 is installed when the project is downloaded to the panel.

If an SD card is installed in the SD1 Slot, the OS assumes you want to use this for project memory. A project that resides in the internal flash memory is cleared when a project is loaded to the SD so that you do not have two different projects resident in the panel. But if the SD card was installed in SD1 Slot after the project had been downloaded, the project remains in the panel's internal flash memory. After a power cycle, the panel looks in SD1 Slot for the project.

SD1 provides more project memory. It does this by separating Fonts and Recipe Sheets from the project on the SD card. The base project size is still limited to 26MB/82MB depending on panel size. If an SD is not used, the overall project size including Fonts and Recipe Sheets is limited to this.

SD2 is intended to be used for Data Logging and Backups, just like the USB.

Return to Top

Objects
  1. What is the Maximum number of Objects per screen?

500 Object/Screen. Of course, the more objects the more the panel performance will be affected.

  2. How can I change the properties of more than one object at time?

By using the Property List window you can choose multiple objects and edit all related properties that the objects may share with each other (i.e., fonts, background colors, size, style). Only the related properties will be displayed when multiple objects are selected. The Property List window can also be opened and closed with the F4 function key on your keyboard.

  3. Can Objects be overlapped over another Object?

Yes. With C-more Programming Software all Objects can be placed anywhere on the screen and overlapped over each other. Users can actually place an Object over another and select when the Objects are visible. This allows efficient use of the work space.

  4. How can I set a standard Frame Style for Objects?

From the Main Menu click on Setup and from the Setup drop-down menu select Panel Manager. From the bottom portion of the Panel Manager window select a Frame Style.

In addition, some object setup windows allow changes to Frames.

  5. Can I use the Floating Point data type with all Objects?

Not with All Objects but the following Objects allow the use of Floating Point:

  • Increment/Decrement Value
  • Line Trend Graph
  • PID Faceplate Bar Meter
  • PID Faceplate Trend Graph
  • Recipe
  • Numeric Entry
  • Numeric Display
  • Meter
  • Bar Graph

Return to Top

PC (Laptop or Desktop) Connections
  1. Can I use the serial port on my laptop or desktop computer to upload/download programs via the serial port on a C-more Panel?

No, the C-more Panel is designed to communicate with a computer via it's USB or Ethernet port. The serial port located on the panel is for PLC Communications only.

Return to Top

PLC Connections
  1. Can C-more talk to multiple PLC nodes? How do I configure it?

Yes. See the topic for your specific PLC under the PLC's Setup on the Table of Contents.

  2. How many PLCs can a C-more Panel be connected to at the same time?

A maximum of 64 PLCs including both Ethernet and Serial can be used. C-more can communicate with multiple PLCs via a Serial network, an Ethernet network, or both. To learn more about setting up PLCs to work with C-more panels, see the topic for your specific PLC under the PLC's Setup on the Table of Contents.

  3. Why can't I select Module Number for my ECOM module / Why doesn't my ECOM show up in the Node List even though I can see it in NetEdit?

The ECOM needs to have a unique IP Address other than 255.255.255.255 or 0.0.0.0.

  4. How many CIP connections are established between a C-more panel and a PLC?

C-more establishes a single TCP connection through which a single CIP connection is used. Consult your PLC manufacturer on the number of each available to your specific PLC model.

The CIP connection is released when the TCP connection is terminated in an orderly manner. If the connection cannot be terminated in an orderly manner, for example, power loss at the C-more panel, the connection will not be released until the Inactivity Timeout (configured in Panel Manager) is reached.

  5. How many TCP connections are established between a C-more panel and a PLC?

One TCP connection is established for each C-more panel.

Return to Top

Projects
  1. What happens if more than one PC tries to Send a Project to the C-more Panel at the same time?

The Panel displays a violation message that reads: “A sharing violation occurred while accessing \Mounted Volume\Prj\EARun.net.” When this message appears, click OK on the violation message window and retry the Project Send from only one source.

Return to Top

Screens
  1. Can I create a common Screen or Template Screen? How should I configure it?

Yes, Use the Background Screen feature.

  2. How many Screens can I include in a project?

A project in a C-more Panel can have up to 999 Screens. This amount may vary slightly depending on the memory usage.

  3. Can I sort Screens in a project?

Yes. Screens can be dragged and dropped either in the Screen Tab of the Navigation Pane, or in the Screen Library.

  4. Does the Backlight come back ON when the panel is touched if a PLC address is used to turn it OFF, or does the PLC have to turn it back ON?

Start Screen Saver: The backlight turns OFF when the Start Screen Save tag changes from OFF to ON.

The panel backlight will turn ON again:

  • When the panel touchscreen is touched.
  • When the screen is clicked in a Remote Access session.
  • When an Alarm Action in the Event Manager occurs. (Only when the Display setting of the Alarm Action is checked).
  • When there is a Screen Change by the PLC.
  • When an Error such as a Communication Error occurs.
  5. What is the screen update time on C-more Panels?

There is not a definite answer for this because it depends upon several factors. C-more updates each Object as the data is received from the PLC in communication packets. So there really isn't a Screen Update Time. There could be one communication packet for a Screen or there may be many based upon how efficiently the PLC Addresses were chosen for each Object.

Other factors that affect Update Times are:

  1. The Poll Rate set for the particular protocol. This is the time between each packet and is set by the programmer. It is used to reduce network traffic when many devices are on one network.
  2. The network communication settings such as Baud Rate.
  3. The network type such as Serial or Ethernet.
  4. The number of PLC Nodes.
  5. Background transactions such as Trend Graphs, Data Logging, Event Manager, FTP and Web Server transactions.
  6. Types of Objects on the Screen (i.e., Animation, Transparency, Blinking and Overlapping Objects) all increase the Screen Redraw Time.

Return to Top

Simulation
  1. When you run the simulator, is the size of the image the exact size of the operator panel you are using?

It is the same pixel size. The actual size in inches may vary depending on your monitor size and resolution.

Return to Top

Sound
  1. How do I turn Off the Beep sound on my panel so that the panel is silent when pressing on the panel screen?

The Panel Beep sound can be silenced by using either one of the following two methods:

  1. The first method is by going to the panel's system screen Main Menu by pressing the viewable upper left corner of the screen for three seconds. When the Main Menu displays on the panel, set the Enable Beeper to NO.
  2. The second method is by setting it up in the project. To change the Beep settings in the software, from the Navigator window, choose the Function Tab, then Setup, and then Panel Manager. On the Panel Manager window, click on OFF on the Beep setup. Click OK to exit.
  2. Does my Sound file get saved with the project?

Yes, you can also save your sounds to the Sound Library to keep them with your C-more Application also.

  3. Is the Audio Out Jack stereo?

Yes.

Return to Top

Tag Names
  1. Can the configuration of a Tag Name already assigned to a PLC address be modified?

Yes. However, only Tag Names that are used for only one Object may be modified. If the Tag Name is assigned to more than one Object, the assigned Objects will need to be deleted or reassigned to other Tag Names, even if temporarily. For more information click here: Tag Name Edit. See also Tag Cross Reference and Property List.

  2. What is the Maximum number of Tags available in a Tag Database?

30,000 Tags

  3. What does Retentive mean?

Retentive is an attribute that can be set for Internal tags. When a tag is Retentive, if power is lost at the C-more panel, the tag will retain its value when power is restored to the panel.

  4. What are the limitations of the Retentive attribute?

The value of a Retentive Tags will be erased when:

  1. The panel is not powered long enough for the capacitor that saves internal data to discharge. This capacitor will retain data for a minimum of 30 days.
  2. When a Memory Clear is executed through the Software or the System Screen.
  3. When a project is Sent or Copied to the panel.
  5. Why do I not see all the Discrete Tags in a Pushbutton object on the Tag Name pull-down?

This is probably because the PLC addresses assigned to these tags are read only. If this is the case, even if you define the tags as Discrete, the tags will not be viewable. Since a Pushbutton writes Discrete data to a PLC address, when the tag is Read Only, it does not allow the Pushbutton to write data to the PLC address.

Return to Top

Touchscreen
  1. What is the Touchscreen?

The Touchscreen is an analog resistive surface. There are no touchcell boundaries. The Touchscreen is designed to respond to a single touch. If it is touched at multiple points at the same time, an unexpected object may be activated.

Return to Top

Web Server
  1. Can I connect to the Web Server on the Panel from anywhere in the world?

Yes, if you have a Global IP Address you can assign to the panel. An IP Address is a unique number that network devices use in order to identify each other on a network when implementing the Internet Protocol. Most often you will need to request a Global IP Address from your Network Administrator or your ISP (Internet Service Provider).

  2. What does the Web Server feature offer in C-more?

When the Web Server feature is activated by using the Panel Network tool in the C-more Programming Software, the C-more panel will accept HTTP requests from clients. These clients are most often web browsers. C-more will display web pages in the browser, which are usually HTML documents, but can also display raw text files, an image, or some other type of document. When you use Web Services through a Web Server, all you need to know to start communicating is the IP Address of the C-more panel you want to talk to.

Return to Top


Glossary

DHCP
Dynamic Host Configuration Protocol. DHCP is a communications protocol that allows central management and automated assignment of IP addresses in a network.
Line Object
The Line Object allows the user to insert a straight Line drawing into a project. The Line Object can be configured with or without an arrow on either end of the line and has several options for display.
Line Trend Graph Object
The Line Trend Graph object is designed to monitor an assigned Tag Name continuously. This object is very much like a digital version of a chart recorder used for industrial processes. This object can be set up to monitor up to 16 different tag names.
Local Area Network (LAN)
A computer network that covers a small area. LANs are typically confined to a single building or group of buildings. However, one LAN can be connected to each other through telephone lines and radio waves. When LANs are connected like this, they are called a wide-area network (WAN).
MAC Address
Short for Media Access Control address. The MAC Address provides the unique identity of each network node.
Multicast
A communication between a single sender and multiple receivers on a network.
Node
A NETWORK NODE is a processing location (i.e.,:, a Computer, a Panel, a Printer, etc.). Each node has its own unique network address or Data Link Control (DLC) address or Media Access Control (MAC) address.
Retentive
Indicates that the output instruction only applies if the rung is true.
Retentive Tag
A Retentive tag is used to retain a value in the event a signal or power is lost temporarily. A good sample of this could be a Retentive Counter. This Counter retains the present Count even if the input enable signal is lost. When the input enable is active again, the Counter begins to Count again from where it left off.
Tag Name
A Tag Name is a name given to an object or component used as part of a control system. The Tag Name is commonly an abbreviated name that identifies a specific object or component. Each Tag Name has a set of user-specified parameters.
Virtual Private Network (VPN)
A network that uses the Internet as the medium for sending and receiving data. A VPN uses encryption and other security mechanisms to ensure that only authorized users can access this network and to secure data.
Wide Area Network (WAN)
Refers to Wide-Area-Network and consists of a computer network that spans across a relatively large geographical area. A WAN usually consists of two or more local-area networks (LANs). Computers connected to a WAN include computers connected through networks such as telephone systems, leased lines, satellites and others. The largest WAN in existence is the Internet.


Project Resolution Difference

Overview

When the resolution of the project changes, the user has the option to:

  • Display screens as original resolution
  • Adjust screens to selected panel resolution

If the Project Panel Type and Resolution are different from the Target Panel Type and Resolution, there may be a significant impact on the panel update rate and communications speed. It is highly recommended that the Project Panel Resolution match the Target Panel native resolution."

The Project Resolution Difference window will assist the developer in deciding which option to select.

There are three situations where the project resolution may change:

  1. Panel Manager - The Panel Type is changed by the developer.
  2. Simulator – The Project Panel resolution is not the same as the Target panel selected.
  3. Project Transfer – The Project Panel resolution is not the same as the physical Target panel.

  1. Display screens as original resolution:
    Selecting this option causes the target screen to match the original project screen pixel for pixel regardless of whether the target screen has more or less pixels than the project screen.
  2. Adjust screens to selected panel resolution:
    The pixel count for the project will be increased or reduced to make the screen fit the selected target panel resolution.
The result of the selection is shown in the Panel Resolution Difference window and is explained below.

Target Selection Results

The Screen Area will be trimmed

When Display screens as original resolution is selected, the original project area may be too large for the selected target screen area. As a result, the screen is trimmed. In the Panel Manager, this means not all of the objects will fit on the screen and as the screen size is reduced, the objects are left in the working area outside of the screen.

When Simulating or transferring a project to a panel, objects that do not fit on the screen area are trimmed out of the viewable area.

Blank area will be filled with Black

When Display screens as original resolution is selected, and the target panel is larger than the original project panel there will be screen areas that are blank. The blank areas will be filled with black when simulated or transferred to the target panel.

Alignment

When Display screens as original resolution is selected and the target panel is larger than the original project panel there will be extra space on the screen where screen areas that are blank. You may choose upon conversion where to place the smaller screen area.

Font size may need to be adjusted

When Adjust screens to selected panel resolution is selected and the target panel is larger than the project panel, the screens and objects are stretched. The text size is not changed. For example, a size 9 font is still a size 9 font but on a higher resolution panel, the text size will appear smaller.

To maintain the same look in the project as before, the developer will need to increase the size of the fonts in the objects. This is easy to accomplish one screen at a time by using Crtl+A to select all of the objects on a screen. Then select the Font Size Up or Font Size Down toolbar buttons [image] to adjust the font size as desired.

Objects may appear blurry

When Adjust screens to selected panel resolution is selected and the resolution of the original project does not match the native resolution of the target panel, graphic lines may fall between pixels. This will give some of the objects and text a blurry or fuzzy look on the screen.

For example, if the project panel type is EA9-T8CL and the resolution is VGA-640x480, but the target panel is an EA9-T8CL, EA9-T10CL or EA9-T12CL which all have a native resolution of SVGA- 800x600, objects and text may appear blurry.

VGA project running on SVGA panel SVGA project running on SVGA panel

The best solution is to select the native resolution of the panel as the project resolution. This is done in the Panel Manager. Then rearrange and resize the objects on the screen as needed.

Objects will be stretched

When Adjust screens to selected panel resolution is selected and the target panel is larger or smaller than the project panel, objects are stretched. They may be made wider or taller or both. The fonts will not be changed. If the Panel Aspect Ratio changes, for example 6 inch to 7 inch wide, the aspect ratio of the objects will change as well.

Note: If objects such as the Bitmap object have Lock Aspect Ratio selected, even though the Object space itself may change aspect ratio, the bitmap image will not. Deselecting Lock Aspect Ratio will allow the bitmap to fit to the object space.


Select a Background Screen

Background Screen Description

The Background Screen selection allows the user to select an existing screen as a background for another project screen.

Selecting a background will make all of the Objects being used on the chosen background screen viewable to the screen being edited. These objects can be operated as if they were on the foreground screen. This saves configuration time by adding common objects to screens without having to recreate them. For example, Screen Change buttons or a Screen Selector button can be on the background screen and used with all other screens.

Note: Background Screen Objects can only be edited on the screen on which they were developed. If a background is selected and enabled on the screen that displays in the Popup Window, the objects on that background WILL NOT DISPLAY in the Popup Window. This prevents recursion of background objects.

Setting a Screen as the Background for Another Screen

To set a screen as the background for another screen, go to the Navigation window shown below, and follow these steps:

  1. In the Navigation Window, select a screen from the screen thumbnails or the screen list. This should be the screen to which the background will be added.
  2. Under the screen thumbnails, click the up arrow to the right side of the screen name .
  3. The following checkboxes are revealed:
  • Foreground Screen
  • Background Screen
  • Background Color

  3. Select the small right arrow below Background Screen.
  4. From the drop -down list of available screens that appears, click on the screen you want to use as a background for the present screen. The selected screen will be displayed in the background screen window preview window to the left.
  5. To activate the displayed background screen, click the checkbox to the left of the Background Screen window. The background will be displayed in the work area.

Note: Only the objects of the screen being used as a background screen are applied to the selected screen. Background color is not transferred.


Background Screen

Background Screen Description

The Background Screen selection allows the user to select an existing Screen as a Background for another project Screen. Selecting a Background Screen will add all the Objects being used on the chosen Background Screen to the Screen being edited. This saves programming time by adding common Objects to Screens without having to recreate them.

Background Screen Objects can only be edited on the Screen on which they were developed.

If a Background Screen is selected and enabled on the screen that displays in the Popup Window, the objects in the background Screen WILL NOT DISPLAY in the popup window. This prevents recursion of Background Objects.

Setting a Screen as Background for Another Screen

To set a Screen as a Background for another Screen, go to the Navigation Window shown below, and follow these steps:

  1. Select a Screen from the Screen thumbnails in the Navigation Window. This should be the Screen that the Background will be added to.
  2. Click on the arrow icon to the right side of the Background Screen setting located at the bottom of the Navigation Window. This will open a drop down list of available Screens.
  3. From the drop down list, click on the Screen you want to use as a Background. The selected Screen will be displayed in the Background Screen window.
  4. To activate the displayed Background Screen, click on the checkbox to the left of the Background Screen window. The Background Screen will be displayed in the Work Area.

Only the objects of the screen being used as Background Screen are applied to the selected screen. Background color is not transferred.

Related Topics:

Background Color - #

Top Layer


AutomationDirect Do-more Serial Symbolic Addressing Driver

Topic: CM058

AutomationDirect Do-more Ethernet

Two Ethernet drivers are available in C-more for the Do-more series PLCs:

  • AutomationDirect Do-more Ethernet (Built-in memory)
  • AutomationDirect Do-more Ethernet Symbolic Addressing (Full memory)

Your specific application will determine the best driver to use.

For 'most' applications, the Symbolic Addressing driver will be the best choice. With this driver, all memory addresses in tte PLC are available. However, the Symbolic Addressing driver is a bit less efficient than the Built-in memory driver. The performance should be sufficient for the majority of applications.

For very complicated or large applications, the Built-in memory driver may be a better choice since it is a more efficient driver but the memory is limited to Built-in Memory blocks only.

Do-more Designer Memory Configurations

Both drivers may be used simultaneously. Use the Built-in memory driver for all of the default memory addresses and use a Symbolic Addressing driver for any user- added memory. The two drivers can even co-exist for one PLC in the C-more project.


Select a Screen Background Color

Topic: CM072

Set a Screen Background Color

Setting a Background Color on a Screen

To set a background color for a screen, do the following:

  1. In the Navigation pane under the Screen tab, select the screen from the thumbnails whose background color you want to change.
  2. Under the screen thumbnails, click the Up arrow.

  3. The following checkboxes are revealed: Foreground Screen, Background Screen, and Background Color.

  4. Click the Background Color checkbox and the small right arrow under Background Color. The Color Palette opens.

  5. From the Color Palette, click the desired background color for the selected screen. The screen will display the selected color.
  6. To disable the color and return to the default, un-check the Background Color checkbox.


Rotating and Flipping Objects

Topic: CM073

Flipping and Rotating Objects

Edit Menu - Flip and Rotate

Edit Toolbar

Rotate and Flip enable you to turn an object left, right, horizontally, or vertically.

  • Rotate Left turns the object 90° to the left.
  • Rotate Right turns the object 90° to the right.
  • Flip Horizontal turns the object 180° horizontally.
  • Flip Horizontal turns the object 180° vertically.

To perform one of these functions, select the object and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the Object Properties.


Applying Line Styles

Edit Menu - Line Styles

Edit Toolbar

The Line Styles enable you to select an Object's line and change its thickness, apply a dashed style, or add an arrowhead to either or both ends of the line.

Line Styles changes the thickness of Object lines.

Dash Style changes the line dash style.

Arrow Style changes the arrow style.

To perform one of these functions, select the object's line and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the Object Properties.


Grid Settings, Display Grid, Snap Objects to Grid, Zoom

View Menu - Grid Setting, Display Grid, Snap Objects to Grid, Zoom

View Toolbar

  • The Grid Size enables you to adjust the horizontal and vertical grid pixel size by clicking the up and down arrows to the right of the respective fields. The minimum grid size is 3 x 3 pixels and the maximum Grid Size is 100 x 100 pixels.

  • Display Grid is used to turn the grid on the work area on and off.
  • When Snap Objects to Grid is selected, any objects added to the project will line up with the grid lines. In addition, when moving an object while Snap Objects to Grid is off, the objects are capable of moving between grid lines. To verify if the Snap Objects to Grid is on or off, look at the icon in the View toolbar. If it is highlighted, the Snap Objects to Grid is on.
  • Zoom enables you to select the percentage to enlarge the view of the screen in the working area. You can also use the Up and Down arrows or enter a percentage in the Current Zoom Level field to increase/decrease the size. Zoom to Fit enlarges the work area grid to fit the screen.

To use one of these settings, do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.


Project Information

Project Information Description

This option provides specific information about the current project.

Project Information can be accessed three ways:

  • From the Main menu, click File and select Project Information.

  • From the Navigation window Function tab, select Project and then Project Information.

  • From the top toolbar, click the Project Information [image] icon.

The Project Information window opens. This window provides specific information about the current project. Some of the displayed information can be edited by clicking on the field and typing in the information.

The available fields are described below.

Project Information

Field

Description

Project Name

 The name that the project has been saved as. This field cannot be edited. To change the project name, save the project using Save Project As. Once the project is saved with a new name, this field automatically displays the current name.

Date

The date the last time this project was saved. This field cannot be edited. The date changes automatically every time the project is saved.

Target

Information about the type of panel that has been selected as the Target panel for this project. This field cannot be edited. The panel information in this field is displayed according to the panel selected under the Panel Manager window.

Company

Click in the field and type a company name, if desired.

Programmer

Click in the field and type the programmer's name, if desired.

Description

Click in the field and type a brief description or purpose of the project that can be used as reference when other programmers access this information.

Help

Click the Help button to open information for this topic.


Cutting, Copying, Pasting, Duplicating, Selecting All, Deleting, Editing

Edit Menu

Edit Toolbar

The Cut selection is used to remove a selected object/objects from the work area. The Clipboard saves the copy in memory so it is available when the Paste function is selected.

Copy places an object on the Clipboard.

Paste places an object that was cut or copied into the work area.

Delete permanently deletes an object. The only way to recover a deleted object is to immediately select Undo. If you save before selecting Undo, the object is permanently deleted.

Duplicate makes an exact copy of an object and places it in the work area.

Select All selects all objects in the work area.

Edit opens the dialog box for an object, panel, or project so you can edit the text, background, etc., of the object.

To perform one of these functions, select the object or item and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the function.
  • Use a short-cut key:
  • Cut - Ctrl+X or Shift+Delete
  • Copy - Ctrl+C
  • Paste - Ctrl+V
  • Duplicate - Ctrl+D
  • Delete - Ctrl+X
  • Select All - Ctrl+A
  • Edit - Ctrl+E or double-click


Positionng Objects

Topic: CM092

Positioning Objects

Edit Menu: > Adjust

Edit Toolbar

These functions enable you to adjust the placement of objects on the screen as well as their placement in relation to each other.

Note: If dragging to select objects, the first selected object is difficult to determine, so it is best to hold CTRL and click on objects to be sure of the order selected.

Left or Right aligns the left or right edge of the selected objects by moving them horizontally to the left or right to align them with the leftmost or rightmost object respectively.

Horizontal Center moves the horizontal center of the selected objects horizontally to the average horizontal position of the selected objects.

Top or Bottom aligns the top or bottom of the selected objects by moving them vertically up or down to align them with the topmost or bottommost object respectively.

Vertical Center moves the vertical center of the selected objects vertically to the average vertical position of the selected objects.

Same Size makes a second selected object the same size as the first selected object.

Same Height makes a second selected object the same height as the first selected object.

Same Width makes a second selected object the same width as the first selected object.

Distribute Vertically evenly spaces three or more selected objects between the top and bottom selected objects without effecting their horizontal position.

Distribute Horizontally evenly spaces three or more selected objects between the left and right selected objects without effecting their vertical position.

Nudge Left, Right, Up or Down moves a selected object by one pixel.

To perform one of these functions, select the object(s) or item(s) and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, select the function.


Grouping and Ungrouping Objects

Edit Menu Group

Edit Toolbar

The Group/Ungroup functions enable you to select two or more objects and group them. The grouped items can then be moved or copied and pasted as a unit. The group can also be added to the Object Library.

Note: If you group locked objects, the unit will also be locked. If you group one locked object and one unlocked object, then both objects in the grouped unit will be locked. When you ungroup the group, both objects remain locked.

Group makes two or more objects behave as a unit.

Ungroup separates the group of objects into separate objects..

To perform one of these functions, select the objects or items and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the function.


Determining the Order of Objects

Edit Menu > Order

Edit Toolbar

The Order functions enable you to move objects that are layered in front or behind each other; that is, the objects are associated with each other. the order in the layers of Objects can be seen in the Object Layer List.

Bring to Front moves the selected object to the front of all of all other objects on the screen.

Send to Back moves the selected object behind all other objects on the screen.

Bring Forward moves an object forward one position in the order of objects on the screen.

Send Backward moves an object back one position in the order of objects on the screen.

To perform one of these functions, select the object or item and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the function.


Hiding and Locking Objects

Edit Menu > Hide or Show

Edit Toolbar

The Hide/Show functions enable you to make an object invisible on the screen while editing. This is useful when many objects overlap so that you can work with the objects underneath. This does not affect the visibility of an object on the panel or the Simulator.

To make an object invisible, select it and click Hide. A frame appears around the 'invisible' object while it is selected. To have the object reappear, select it and click Show.

Note: If you click somewhere else on the screen once it is hidden, it is no longer selectable. So you can not select it to Show it again. To show the object again, either select Undo or select Show next to the object in the Object Layer List. If this happens accidentally, immediately click Undo to restore the object.

To perform one of these functions, select the object(s) or item(s) and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the function.

Edit Menu > Lock or Unlock

Edit Toolbar

The Lock/Unlock functions enable you to select two or more objects and lock them. Locking ensures that no other user can change the object's properties, including position. When objects are locked, they appear in the Property List as locked.

To perform one of these functions, select the object(s) or item(s) and do one of the following:

  • From the Edit menu, select the function.
  • From the Edit toolbar, click the icon.
  • Right-click and select the function.


Dragging and Scrolling the Work Area

This topic presents ways to make working with windows in the C-more Programming Software easier and more efficient. It shows how you can cascade or tile windows, change the screen colors, and reset the layout to the default layout.

Cascading Windows

Tiling Windows

Resetting Windows Layout

Changing Application Looks

Each screen you develop in C-more acts as a separate window in the work area. When you have multiple windows open in the work area, you can cascade or tile them. Cascading leaves each window open, layered on top of each other in the top left-hand corner of the work area, with the title bars appearing at the top. Tiling stacks the windows on top of each other.

Cascading Windows

After you have been working with screens in the work area, your work area may look like this illustration below, with multiple windows open and jumbled. Cascading enables you to see the title of each screen. Notice that you can scroll up and down within each window.

From the Main menu, select Window and then Cascade. The windows are lined up neatly to the left, as illustrated below.

Tiling Windows

To stack each window on top of the other and view the title and a portion of each window, as illustrated below, you can Tile the windows. From the Main menu select Window and then Tile. Notice that you can scroll up and down within each window.

Reseting Windows Layout

This feature returns the look of the window to the default layout, returning the Navigation, Property List, Object List, Parts List, and Object Layer List windows to their original locations around the perimeter of the work area.

To reset the windows layout, from the Main menu, select Window and then Reset Windows Layout.

Changing Application Looks

This feature enables you to change the color behind the toolbars of the C-More Programming Software screen. The illustration above shows the toolbars in Black.

To change the color, from the Main menu select Window and then Application Looks.


Digital Clock Object

Digital Clock Object Description

The Clock Objects, Analog Clock and Digital Clock, allow the programmer to display date and time information in the project.

These objects have a Visibility option. Visibility can be effective in your project, but it also has a significant cost in terms of CPU resources and noticeably affects screen update rates.

The Digital Clock object is an electronic version of a typical Digital Clock. The Digital Clock can be placed on a screen to display the current time and/or date.

Digital Clocks may be edited to various shapes, colors, and sizes. To learn more about the Digital Clock Object use and setup, look at the information provided below.

Adding a Digital Clock Object to your Project

To add a Digital Clock Object to your project:

  1. Do one of the following:
  • From the Object menu, select Clock and then Digital Clock,

    or
  • From the Object list, under Clock double-click Digital Clock or click and drag Digital Clock to the work area

    or
  • From the Parts List window, select the desired Digital Clock and drag it to the work area.

.

The Digital Clock window opens displaying the General tab.

  2. Complete the fields on the screen using the information in the table below.
Digital Clock General Tab
Area on Screen | Description
Tag Name Database | This button opens a window that allows the user to add, edit, or delete Tag Names. See Tag Name Database.
Clock Display
Time, Date, Time & Date | Click on the checkbox to select if this object will display only the Time, only the Date, or both Time and Date.
Time Option | Allows you to select if the Time will be displayed in 24-Hour mode or Standard, and if the Seconds will be displayed or not. The checkboxes are checked by default meaning that the Time format will be 24 Hours and the Seconds will be displayed.
Date Format | Click on the down arrow to select the desired Date Format display.
Text and Back Color | Click on the Color box and choose a color from the Color Palette that appears. You can also select color Templates that are a combination of Text and Background colors.
Blink | Click on the checkboxes if you would like the Text or the Back Color respectively to blink.
Text Size | The text size selections will depend on the type of font selected. For all fonts except Class, the minimum and maximum text sizes selectable are 8 and 72 respectively. If a smaller or larger text size is needed, simply type in the desired size.
Font | Click on the Font button to select a different Font for the label text.

Related Topics:

Adjust Clock - CM039

Analog Clock - CM 050 in the old help

Clock Source - CM080


Adding Transparency to Animation Bitmap Objects

Topic: CM103

Adding Transparency to Animation Bitmap Images

The Transparent selection enables you to set a transparent color for the Animation Bitmap images.

To set a transparent color on a bitmap, do the following:

  1. Click to select the Transparent checkbox.
  2. Click the Set Transparent Color button.
    The Select Transparent Color window opens displaying the image selected for this object.

  3. When you click on a color (such as the white stripe), you will notice the Transparent Color box in the lower left corner of the window changes to the color that was selected (in this case, white).
    This item only displays the color you selected and has no other function associated with it. If you clicked on the wrong color, you may click again on the desired color to make it transparent. The Transparent Color will change to the selected color.

  4. Click on the OK button to accept the transparent color selection.

In essence, what you're doing is changing the selected color to be transparent. Everywhere this color is used will be transparent. The figure shown below shows the same Image with and without the Transparent setting.

Having the ability to set a color to transparent allows objects placed under another object with the Transparent setting to be visible through the transparent portion of the image. One example of using a transparent setting is to show the level in a tank. Using the same image shown above set to Transparent, we can place a Bar Meter Object behind the image to display a tank level. The figure shown below provides an example of what this combination would look like.


Changing the Image Characteristics in Symbol Factory

C-More Programming Software enables you to change any image in a variety of ways including rotating it, making it solid color, etc.

  1. In the Image table, select the row containing the image you want to change.
  2. On the right side of the window, click Disk, Symbol, or Clipboard to select the image you want to change.
    If you click Symbol, the Symbol Factory window opens displaying image in an outline.

  3. To change characteristics, click either Options in the top toolbar or Options in the right-hand pane just above the symbols.
    The Symbol Options window opens.

  4. In this window, you can change the following characteristics. After changing characteristics, click OK.

Animation Bitmap Object

Field

Description

Fill Color Mode

Original - Fill colors are not changed.

Shaded - Fill colors are shaded according to the selected fill color.

Solid - Fill colors are solid according to the selected fill color.

Hollow - Fill colors are removed.

Fill Color

Click this box to change the fill color. The Fill Color box is enabled only if the Fill Color Mode is set to Shaded or Solid.

Orientation

Flip

Click the drop-down arrow and select to clip the image on one or both of its axes.

None - Picture will not be flipped.

Horizontal - Picture will be flipped horizontally.

Vertical - Picture will be flipped vertically.

Both - Picture will be flipped both horizontally and vertically.

Rotation

Click the drop-down arrow and select 0, 90, 180, or 270 degree orientation.

Export Options

Background Color

Click this box to change the background color for exporting metafiles as bitmaps.

NOTE: This setting will have NO EFFECT when exporting images as metafiles, VML, or SVG formats.


Working with Screens

Topic: CM125

Getting Started with Projects and Screens

What are Screens?

Project, Screen, Panel, Pane. What's the difference?

A Project in C-more programming software is a collection of screens and background actions that control and communicate with a controller, typically a PLC. A project usually has multiple screens, and as many as hundreds depending on the complexity of the project. For example, a process that tracks the movement of boxes on a conveyor belt is a project.

A Screen is a window into the Controllers memory and logic. It is composed of different objects such as Push Buttons and Indicators. Each object typically represents a memory location, address or tag in the controller. In the conveyor belt project illustrated above, a screen would include objects that move, rotate, change color, etc., based on the values in the connected PLC addresses.

A Panel in C-More programming software is equivalent to the C-More Panel (see the C-more EA9 User Manual for details). The Panel is located under Navigation, as illustrated below.

A Pane is an area on the C-more software graphical user interface (GUI). Navigation, the Property List, the Object List and the Object Layer List are panes in the GUI. Items in Panes all enable you to create the Screens that make up a Project.


Alarm History Object - General Tab

Topic: CM159

Call Alarm Screen Object

Call Alarm Screen Object Description

The Call Alrm Screen Object consists of a Pushbutton that when pressed will open a full screen pop-up window that displays a list of any configured Alarm conditions that have occurred within the configured monitoring time frame. The Alarm History window will display details such as time, date, and messages that pertain to each specific Alarm.

Adding an Alarm History Object to your Project

To add an Alarm History object to your project:

  1. Do one of the following:
  • From the Object Alarm menu select Call Alarm Screen, or
  • From the Object List, double-click on the Call Alarm Screen selection or click and drag the Call Alarm Screen selection to the work area.

    TheCall Alarm Screen window opens displaying the General tab. TheGeneral tab enables you to enter and edit settings that affect the look and operation of the Alarm History.

Setting Up the General Tab

The figure above shows the General Tab setup window. This tab offers the following setup features:

  1. Label: Click on this checkbox to add a Label to this Alarm History. When unchecked, the Label options are inactive and the Object will have no label. When checked, the Label options are active.

  2. Label Text Field: Click on this text field to type a preferred name for each specific Alarm History object added to this project/screen. The default name is Alarm History.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label when used, will be located on the Top or Bottom of the Alarm History.

  4. Text and Back Color: Click on the Color Box for either of these two selections. A window opens with a Color Palette of available color choices as shown below. To select a color from this Palette, click on the desired color. The Text Color selection determines the color of the Label Text. The Back Color selection determines the color of the background of the frame where the Label text is displayed.

  5. Text Format: Click on the down arrow [image] to select the size of the Label text. Click on the down arrow [image] of the Align box to set the justification of the text to Left, Center, or Right. Click on the Font button [image] to select a different Font for the label text.

    Note: To make Font changes, the Use Default Font must be de-selected in order to be able to select from the Font list.

  6. Display Screen: Click on the checkbox of the preferred choice. To display a History of Alarms, click on the Alarm History checkbox. To display a Count of Alarms that have taken place, click on the Alarm Count checkbox.

  7. Object Style: The Object Style option allows the user to select the preferred style to use for this Alarm History Object.

Related Topics:

Option Tab

Password Tab


Dynamic Text Object

Description

Dynamic Text is used to display text that is retrieved from a tag name assigned to registers in the PLC that contain ASCII data.

The General tab of the Dynamic Text object setup enables you to enter and edit settings that affect the look and operation of the Dynamic Text object.

To add a Dynamic Text object to your project:

  1. Do one of the following:
  • From the Object menu, select Text and then Dynamic Text,
    or
  • From the Object list, scroll to Text, click Dynamic Text and drag it to the work area.
    or
  • From the Object list, scroll to Dynamic Text, then scroll to the Parts List, click a dynamic text object and drag it to the work area.

The Dynamic Text window opens displaying the General tab.

  2. Complete the fields on the screen that are common to all objects using the information in the Working with Objects Help topic.
  3. Complete the remaining fields on the screen using the information in the table below.

Dynamic Bitmap Object - General Tab

Field

Description

Trigger Tag

Tag Name

 The tag that will trigger the text to appear. Click the drop-down arrow to select the Tag.

Text is visible when address value is

This function is based on the Tag Name Data Type. If a discrete tag is assigned, then select either ON or OFF. If a Variable Data Type is assigned, select the operand type (=, <, >, etc.) and enter a value within the variable range (i.e., BCD16 data type range is 0 – 9999).

String Tag

Assign the tag that stores the first two characters of the string. When configuring the tag, assign the total number of characters. Click on the down arrow to select a tag name or use the Browser button to add a tag name.

Byte Swap

Check the Byte Swap check box to allow characters to display in the proper order when the configuration of memory registers in the PLC would otherwise cause the characters to display out of order. This setting depends on the Byte Order in the PLC where the data resides.

After completing the fields, click OK. Continue to the Option tab.


PID Faceplate Trend Graph - General Tab

The PID Faceplate Trend Graph Setup Window - General Tab

The PID Faceplate Trend Graph Object is accessed from the Meter/Graph selection of the Object Menu or the Object List.

The General Tab of the PID Faceplate Trend Graph Object setup allows the user to enter and edit settings that affect the look and operation of the PID Faceplate Trend Graph. When the General Tab is selected, the setup window shown below opens.

Setting Up the General Tab Option

The figure above shows the PID Faceplate Trend Graph General Tab setup window. This tab offers the following setup features:

  1. Label: Click on this checkbox to add a Label to this PID Faceplate Bar Meter. When unchecked the Label options are inactive and the Object will have no label. When checked, the Label options are active.

  2. Label Text Field: Enter a Label with up to 40 characters. For multi-languages, select the Language and then enter the Label text in the corresponding language. The default name is PID Faceplate Bar Meter.

  3. Position: Click on either the Top or Bottom selection. This determines whether the Label when used, will be located on the Top or Bottom of the PID Faceplate Bar Meter.

  4. Text and Back Color: Click on the color box for either of these two selections. A window opens with a Color Palette of available color choices shown below. To select a Color from this palette, click on the desired color. The Text Color selection determines the Color of the Label text. The Back Color selection determines the Color of the background of the frame where the Label text is displayed.

  5. Text Format: Click on the down arrow [image] to select the size of the Label text. Click on the down arrow [image] of the Align box to set the justification of the text to left, center, or right. Click on the Font button [image] to select a different Font for the label text.

Note: To make Font changes, the Use Default Font must be de-selected in order to be able to select from the Font list.

  6. Process Variable, Set Point, and Output Tags: Click on the down arrow [image] to select a Tag Name to assign for each of the offered Tags. Clicking on the Browser button [image] right of the Tag Name field down arrow opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text.

  7. Colors: This applies for ALL color settings. Click on the Color box to open a Color Palette of available color choices as shown above. To select a color from this palette, click on the desired Color.

  8. Range: Click on the Minimum and Maximum fields to type in the respective Minimum and Maximum values for each Tag monitored.

  9. Mode and Alarm Tags: Click on the down arrow [image] to select a Tag Name to assign for each of the offered Tags. Clicking on the Browser button [image] right of the Tag Name field down arrow opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name.

  10. Display Legends: Click to select between Normal or Advanced Legends. If Normal legends is selected, the display will show Legends related to the information being monitored. If the Advanced is selected, the Normal legends will be displayed and an arrow button is added where the user can click on and view more details.

  11. Legends: Click on each of the available Text Fields to type a new Legend if necessary, or leave the default names.

Related Topics:

PID Faceplate Trend Graph Object

PID Faceplate Trend Graph Object Data Tab

PID Faceplate Trend Graph Object Option Tab


Key Button Object Tab

Topic: CM229

Key Button Object - Control Tab

Control Tab Description

The Key Button Control tab is part of the Key Button Object setup. After completing the General tab of the Key Button object, you need to complete the Control tab.

The Control tab enables you to configure handshaking between the Panel and the PLC to ensure data is written at the specified time.

To configure the Control tab:

  1. Click on the Control tab. The Control tab opens displaying the Notification Tag field.
  2. If the object you are configuring requires notification, click on the Notification Option checkbox. The Notification Tag field is activated. The Notification Tag is the Controller Tag associated with a Bit to notify the PLC that a value has been entered.
  3. In the Notification Tag field, click the down arrow to select a Tag Name to assign where the Entry is sent to or click on the Browse icon to open and search the Tag Name Database.

  4. After selecting a Notification tag, click Ok and continue to the Option tab.


Bar Meter Option Tab

Topic: CM297

Bar/Circle Meter Option Tab

Object Option Tab Setup Window

To view the Option tab, click on the Option Tab. The Option Tab allows the user to enter and edit settings that affect visibility and other configurations of the Object. When the Option Tab is selected, the setup window shown below opens.

When the Option tab is selected, some of the contents shown in the figure above will be shaded, indicating that the selections are not active and no changes can be made. To make these active, click on the checkbox.

Option Tab
Object Visibility Option | The Visibility Option allows you to show or hide the object based on the value of a Tag.
Tag Name | Select a Tag Name that will control the visibility of the object.
Object is visible when address value is | Click on the down arrow to the right of the field to select the proper operand that makes the value in the field to the right true. When this condition is met, the Object becomes visible. When the Tag Name is discrete, the only selections are ON or OFF.
Scaling Option | The Scaling Option allows you to scale the Tag Name value (PLC) to display as a different value. For example, the PLC value range is 0 to 4095, but the desired display value is 0 to 100.
PLC Value | Point1 - enter the minimum PLC value expected; for example, 0. Point2 - enter the maximum PLC value expected; for example, 4095.
Display Value | Point1 - enter the minimum Display value desired; for example, 0. Point2 - enter the maximum Display value desired; for example, 100.
Meter and Background Images | Meter and Background Images allows you to make the Bar Meter look like real Process Equipment, such as a Tank with a level tube.
Image | An image may be added from PC or network storage (disk), Symbol Factory or from the PC Clipboard if an image has been copied there.
Lock Aspect Ratio | Maintains the aspect ratio of the image. This keeps the graphic proportional when changing the size of the object. The Object Frame will change size, but the graphic will stay proportional.
Stretch to Fit | The image will normally be in its original size, which may not fit in the object. Stretch to Fit forces the graphic to stretch or shrink to fit in the Object window.
Set Meter Area | Identify the area of the Meter Image where the Meter will be placed.
Transparent | Use this feature to select the color in the image to make transparent so the screen background is visible. More information is available in the Set Transparent Color Help topic.

Note: The Stretch to Fit checkbox is a convenience for the programmer that comes with a significant (but avoidable) cost in terms of CPU resources. When possible, use a graphics program to render the bitmap to the desired fit and save the bitmap file. Then use the revised bitmap file in the object in C-more without using the Stretch to Fit option.


Option Tab

The information included in this topic applies to the following objects:

Line Trend Graph

PID Faceplate Trend Graph

Object Option Tab Window Description

To view the Option Tab for the Objects listed above, click on the Option Tab. The Option Tab allows the user to enter and edit settings that affect visibility and other configurations of the Object. When the Option Tab is selected, the setup window shown below opens.

When the Option Tab is selected, some of the contents shown in the figure above will be shaded indicating that the selections are not active and no changes can be made. To make these active, click on the checkbox.

The settings and selections for this Option Tab are discussed below.

Setting Up the Object Visibility Option

The figure below shows the Object Visibility Option portion of the Option Tab when selected.

This tab offers the following setup features:

Object Visibilty Option
Field Description
  1. Tag Name
 Click on the down arrow [image] to the right of this field to assign a Tag Name that activates the Visibility Option. Clicking on the Tag Name browse button [image] to the right of the Tag Name field down arrow opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text.
  2. Object is Visible When Address Value is
 Click on the down arrow [image] to the right of the field to select the proper operand that makes the value on the field to the right true. When this value is met, the Object will become visible.

Setting Up the Save Log Data Selection

The figure below shows the Save Log Data portion of the Option Tab when selected.

By default a header row is added into Log Files in projects created in version 2.51 and later. If the application in which the Log File will be used does not support a header row, deselect this option in Panel Manager.

This tab offers the following setup features:

Object Visibility Option
Field Description
  1. Tag Name
This field is filled automatically. The program will use the Screen Number and the Object Name together to name this Log Data. Therefore, to use a different name, edit the Screen and Object Names.

Notes: The Maximum Number of Log Files with the same first four characters is 999 files.
Internal file identification is restricted by the DOS 8-character-dot-3-character limit. Because of this, trend log files are identified internally by the first four characters of the screen name + tilde + a three digit number. For example,
TREND GRAPH EAST CHILLER TEMP_110925.txt and
TREND GRAPH WEST CHILLER TEMP_110925.txt
will be identified internally as TREN~001.txt and TREN~002.txt. As new log files are created each day, these files count against the same max 999 files.

If Multiple Graph Objects appear on one screen, the files will be identified internally by the first Two Characters of the screen name plus the first Two Characters of the object name plus tilde plus three digit number.

To maximize file storage capabilities, consider using screen names that are unique in the first four characters, and using object names that are unique in the first two characters.

Click on the down arrow [image] of the field to the right of the Log File Name to select the memory device where this file will be saved. The choices are: (See Note Below also)

  • CompactFLASH1

  • CompactFLASH2

  • USB
Click on the blue More Information text to open the Event Manager Action topics. The Actions you will want to view are the FTP and Email Actions.

When setting up Data Logging Actions for your project, in addition to deciding where to store the Data (Item B above), you will need to decide the following:

  • Where will the Data be gathered from? The Data to be Logged comes from the Tags assigned to the Pens on the Line Trend Graph Object's Pen Tab or, from the Tags assigned to the Data Tab of the PID Faceplate Trend Graph Object.
  • Where do you want to place the retrieved stored Data? The stored Data (stored in the memory device selected in Item B), can be retrieved for viewing using Email, FTP, or by Removing the device and reading it directly from a PC. You will need to create Events with either an Email or an FTP Action. To learn more on how to create the Actions, click on the green text to go to the topics for those specific Actions.

In addition:

  1. If the FTP Server is set up in the panel, an FTP Client such as Internet Explorer can be used to copy the files from the panel.

  2. Remove the Device and carry it to a PC to read the Device directly. Remember, the Data Logging will STOP unless the Device is replaced with a new one.

  • Once the Data is retrieved, you will want to remove the Data from the Memory device to allow space for new Data. To remove old Data, use the System Screen accessed directly from the C-more Panel and select Clear Memory, followed by the Device to clear. In addition, the Device can be Removed and Cleared on a PC by deleting the log files.

The following are the Data Logging Log File quantities allowed by the C-more HMI Program/Panels:

  • Maximum Number of Logging Files: 18 Log File / Panel

  • Trend Graph / PID Trend Log Data: 16 Log File / Panel Max subject to storage maximums. Refer to Runtime Errors topic.

  • Alarm Message Log: 1 Log File / Panel

  • Message DB Log: 1 Log File / Panel

    1. Message Database / Lookup Text Object, or

    2. Multistate Text Object

  • When is the SRAM buffer written to the Compact Flash or USB Flash?

  1. The SRAM Buffer (2KB) is full or 20 Records have been written.

  2. 1 minute has passed since last transfer to flash device.

  3. A Log File is sent via FTP or Email by the Event Manager.

  4. The following System Tags are turned ON:

    1. SYS Copy LogTo%Device% - %Device% = CF1, CF2 or USB

    2. SYS %Device% Eject - %Device% = CF1, CF2 or USB

  5. The System Screen is called.

  6. When the panel is powered-up, Line Trend and PID Trend Log Data in SRAM (backed up by battery) will be stored to %Device% - %Device% = CF1, CF2 or USB.

Note: All SRAM Data, *.log Files and *.txt Files in the panel will be cleared when a project is transferred to the panel.

Setting Up the Start & Stop Selection

This selection determines how the Object Starts and Stops. Click on the Display a Start and Stop Button checkbox to display a button that the user can press to Start and Stop. Stop will cause the display to stop scrolling AND data will not be posted to the Graph Object. When Start is pushed, data missed during the Stop period will not be displayed.

Click on the Use Start and Stop Tag, to assign a Tag Name that will control the Start and Stop. Click on the down arrow [image] to the right of the Tag Name field and select an existing Tag Name to assign. Clicking on the Tag Name browser button [image] to the right of the Tag Name field down arrow opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text. Use figure shown below as reference.

Setting Up the Clear Selection

This selection determines how to Clear the data displayed. Click on the Display Clear Button checkbox to display a button that the user can press to Clear the data currently displayed. Click on the Use Clear Tag, to assign a Tag Name that will control when the currently displayed data will be Cleared. Click on the down arrow [image] to the right of the Tag Name field and select an existing Tag Name to assign. Clicking on the Tag Name browser button [image] to the right of the Tag Name field down arrow opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text. See figure shown below as reference.

Setting Up Trend Display Buttons

Optional Scroll and Pause buttons can be configured for the Trend objects.

When Display Scroll Buttons is selected, the scroll buttons will display on the Trend Graph as shown below. When the DisplayPause Button is selected, the Pause Button will be displayed on the Trend Graph as shown below.

The Pause Button allows the user to temporarily Pause the Trend Data Graph. This is useful to view specific Data information and be able to make notes of the Data being displayed without loosing the Data as it travels on the Trend Graph. Data continues to post to the Graph Object and will display with the graph is resumed.

You may use the Arrows to scroll the Graph window to it's current point or to search for another Data Point to view. The Single Arrow moves to the next point in the direction of the Arrow. The Double Arrow moves the Graph to the Last Point (Right Arrow) or to the First Point (Left Arrow).

When Date&Time is Displayed is selected, the user may touch a data point to cause a line to display as shown in "Item a" on the figure below, and a small Data window will open as shown below in "Item a", providing the information for the selected Data Point.

Setting Up the Date and Time Display On The X-Axis

This selection shown below, determines if the Date and Time will be Displayed on the X-Axis of the Trend Data Screen. Click on the Date & Time is Displayed on X-Axis checkbox to display the Date and Time.

When selected, the Date Format and Time Format fields will become active to allow the user to configure these options. Click on the down arrow [image] for the Date Format and select from the following choices of Date Formats:

  • dd-mmm-yy: Will display the Day (01 to 31), the first three letters of the Month, and the last two digits of the Year (i.e., 16-May-09).

  • dd-mm-yy: Will display the Day (01 to 31), the two digits representing the Month (01 to 12), and the last two digits of the Year (i.e., 16-05-09).

  • mm-dd-yy: Will display the Month (01 to 12), the two digits representing the Day (01 to 31), and the last two digits of the Year (i.e., 05-16-09).

  • yy-mm-dd: Will display the last two digits of the Year, the two digits representing the Month (01 to 12), and the Day (01 to 31)(i.e., 09-05-16).

Click on the down arrow [image] for the Time Format and select from the following choices of Time Formats:

  • 12 hour mode without sec: Will display the Hours in 12 Hour mode (01 to 12) with the Minutes. No Seconds are displayed. (i.e., 03:45).

  • 12 hour mode with sec: Will display the Hours in 12 Hour mode (01 to 12) with the Minutes and Seconds displayed. (i.e., 03:45:10).

  • 24 hour mode without sec: Will display the Hours in 24 Hour mode (01 to 24) with the Minutes. No Seconds are displayed. (i.e., 15:45).

  • 24 hour mode with sec: Will display the Hours in 24 Hour mode (01 to 24) with the Minutes and Seconds displayed. (i.e., 15:45:10).

When the Date and Time Displayed on the X-Axis is selected the Trend Graph will Display the Date and Time at the beginning and end of the visible portion of the Trend Graph as shown below.

Related Topics:

Line Trend Graph Object

PID Faceplate Trend Graph Object

Data Logging

Event Actions


Recipe Object Option Tab

Topic: CM307

Recipe Object Visibility

CAUTION:
Please note that the information provided for this Option Tab topic ONLY applies for specific Objects. To confirm if the information in this topic applies to the Object you are working with, click the green Objects text.

For some Objects, in order to view the Option tab, the Advanced checkbox on the top right corner must be selected.

Object Option Tab Window Description

The Option Tab enables the user to enter and edit settings that affect visibility of the Object. When the Option tab is selected, the set-up window shown below opens.

The selections available are shown in the figure above and will be shaded indicating that the selections are not active and no changes can be made. To make the window active, click on the Object Visibility Option checkbox.

Configuring The Option Tab

Use the figure above as reference with the Object Visibility Option selected. This tab offers the following setup features:

  1. Object Visibility Option:

  • Tag Name: Click on the down arrow to the right of this field to assign a Tag Name that will activate the Visibility Option. Clicking on the three dotted box [image] to the right of the Tag Name field down arrow [image] opens the existing Tag Name Database for this project. From this database you may select a Tag Name and add or edit a Tag Name. To learn more, click on the green Tag Name Database text.

  • Object is Visible When Address Value is: This selection is displayed when a Numerical Tag is selected. Click on the down arrow [image] to the right of the field to select the proper operand that makes the Value on the field to the right True. When this Value is met, the Object will become visible.

Note: When a Discrete Tag is selected as a Tag Name, the Option window will provide ON/OFF selections as shown below. Click to select the correct configuration.
    2. Object Focus Option: This selection is available for the Numeric Entry and Text Entry objects and is configured to allow the input device (using Style 2) to enter data without the Numeric/Text Entry Object being selected on the screen.

    Note: Style 2 must be selected on the Numeric Entry General Tab or Text Entry General Tab (as applicable) in order to utilize the Object Focus Option.


Auto Save and Backup

Project Auto Save/Backup

This option allows the user to configure the Project to automatically Save itself on a set interval and to automatically create a Backup copy of the Project when changes are made.

The Auto Save and Backup are configured by selecting Auto Save and Backup from the File menu or by selecting Project Auto Save/Backup from the Start a Project window as shown.

Once selected, the Auto Save and Backup window opens.

Auto Save Feature

When Auto Save is enabled, the software will Save the project at the interval selected if changes have been made to the project during that time frame. The project is not automatically Saved if changes have not been made to the project since the last Save.

Backup Save Feature

When Backup Save is enabled, a copy of the project is Saved to the indicated folder every time the project has changed and it is Saved, either manually or through Auto Save.

The file is Saved with a .bak9 extension. In order to open the project, change the extension to .eap9.

Note: The previous Backup copy is overwritten with each new Backup Save.


A-B EtherNet/IP Client Tag-Based (AB Micro800) Error Codes

Topic: CM354

Allen-Bradley EtherNet/IP Client Tag-Based (ABMicro800) Error Codes

The PLC-496, PLC-497 and PLC-498 Error Codes are used to show any Errors that are generated by the connected PLC. These Error Messages include an eight digit hexadecimal value displayed embedded in the message. This value can be looked up in the specific PLC’s Error Tables to determine the cause of the Error. The possible PLC generated Error Codes for the Allen-Bradley EtherNet/IP communication protocol is represented by a hexadecimal value.

There are three basic application levels of messaging with the Tag-Based EtherNet/IP protocol that C-more does.

  1. EIP (sometimes called Encapsulation Header) - (Error Code PLC-496)

  2. CIP - (Error Code PLC-497)

  3. Service Packet - (Error Code PLC-498)

Errors may come back in any of these levels, depending upon the situation. The following tables show the Errors and which levels they may come back in. These Error Code tables cover possible Errors that are detected by the panel from Allen-Bradley PLCs using the EtherNet/IP protocol for the ENI Adapter.

PLC-496 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-496 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Encapsulation Errors- (Error Code 0xaaaaaaaa returned from the PLC)
Panel Error Code PLC-496 Hex Value | Description
0x00000001 | The sender issued an invalid or unsupported encapsulation command.
0x00000002 | Insufficient memory resources in the receiver to handle the command. You can get this error if the 1761-NET-ENI cannot connect to the PLC serially.
0x00000003 | Poorly formed or incorrect data in the data portion of the encapsulation message.
0x00000004 -0x00000063 | Reserved for legacy (Rockwell Automation).
0x00000064 | An originator used an invalid session handle when sending an encapsulation message to the target.
0x00000065 | The target received a message of invalid length.
0x00000066 -0x00000068 | Reserved for legacy (Rockwell Automation).
0x00000069 | Unsupported encapsulation protocol revision.
0x0000006a -0x000ffff | Reserved for future expansion.

Top of Page

PLC-497 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-497 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -CIP Errors-

(Error Code 0xaabbbb returned from the PLC)

Panel Error Code

PLC-497 Hex Value

Description

Notes

0x010100

Connection Manager: Connection in Use or Duplicate Forward Open.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Ethernet Module slot #

0x010103

Connection Manager: Transport Class and Trigger combination not supported.

0x010106

Connection Manager: Ownership Conflict.

0x010107

Connection Manager: Connection not found at target application.

0x010108

Connection Manager: Invalid connection type (problem with type or priority).

0x010109

Connection Manager: Invalid connection size.

0x010110

Connection Manager: Device not configured.

0x010111

Connection Manager: RPI not supported. Could also be problem with inactivity timeout.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC Input/Output Module slot #

0x010113

Connection Manager: Connection Manager cannot support any more connections.

0x010114

Connection Manager: Either the vendor ID or the Product Code in the key segment did not match the device.

0x010115

Connection Manager: Product Type in the key segment did not match the device.

0x010116

Connection Manager: Major or minor revision information in the key segment did not match the device.

0x010117

Connection Manager: Invalid connection point.

0x010118

Connection Manager: Invalid configuration format.

0x010119

Connection Manager: Connection request fails since there is no controlling connection currently open.

0x01011a

Connection Manager: Target application cannot support any more connections.

0x01011b

Connection Manager: RPI is smaller than the Production Inhibit Time.

0x010203

Connection Manager: Connection cannot be closed since the connection has timed out.

0x010204

Connection Manager: Unconnected Send timed out waiting for a response.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC empty slot #

0x010205

Connection Manager: Parameter error in Unconnected send service.

0x010206

Connection Manager: Message too large for Unconnected message service.

0x010207

Connection Manager: Unconnected acknowledge without reply.

0x010301

Connection Manager: No buffer memory available.

0x010302

Connection Manager: Network Bandwidth not available for data.

0x010303

Connection Manager: No Tag filters available.

0x010304

Connection Manager: Not configured to send real-time data.

0x010311

Connection Manager: Port specified in Port segment not available.

0x010312

Connection Manager: Link address specified in port segment not available.

0x010315

Connection Manager: invalid segment type or segment value in path.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET

0x010316

Connection Manager: Path and Connection not equal in close.

0x010317

Connection Manager: Ether Segment not present or Encoded Value in Network Segment is invalid.

0x010318

Connection Manager: Link address to self invalid.

Sometimes occurs because C-more Panel Manager "CPU Slot" is actually a slot containing a 1756-ENET (and is also the PLCs IP address)

0x010319

Connection Manager: Resources on Secondary unavailable.

0x01031a

Connection Manager: Connection already established.

0x01031b

Connection Manager: Direct connection already established.

0x01031c

Connection Manager: Miscellaneous.

0x01031d

Connection Manager: Redundant connection mismatch.

0x01031e

Connection Manager: No more consumer resources available in the producing module.

0x01031f

Connection Manager: No connection resources exist for target path.

0x010320 -0x0107ff

Connection Manager: Vendor specific.

0x020000

Resource unavailable: Connection Manager resources are unavailable to handle service request.

Sometimes occurs because C-more Panel Manager "CPU Slot" is a PLC non-existant slot #

0x030000

Invalid parameter value.

0x040000

Path segment error: The path segment identifier or the segment syntax was not understood by the processing node.

0x050000

Path destination unknown: The path is referencing an object class, instance or structure element that is not known or is not contained in the processing node.

0x060000

Partial transfer: Only part of the expected data was transferred.

0x070000

Connection lost: The messaging connection was lost.

0x080000

Service not supported: The requested service was not implemented or was not defined for this Object Class/Instance.

0x090000

Invalid attribute value: Invalid attribute data detected.

0x0a0000

Attribute list error: An attribute in the Get_Attribute_List or Set_Attribute_List response has a non-zero status.

0x0b0000

Already in requested mode/state: The object is already in the mode/state being requested by the service.

0x0c0000

Object state conflict: The object cannot perform the requested service in its current mode/state.

0x0d0000

Object already exists: The requested instance of object to be created already exists.

0x0e0000

Attribute not settable: A request to modify non-modifiable attribute was received.

0x0f0000

Privilege violation: A permission/privilege check failed.

0x100000

Device state conflict: The device's current mode/state prohibits the execution of the requested service.

0x110000

Reply data too large: The data to be transmitted in the response buffer is larger than the allocated response buffer.

0x120000

Fragmentation of a primitive value: The service specified an operation that is going to fragment a primitive data value. For example, trying to send a 2 byte value to a REAL data type (4 byte).

0x130000

Not enough data: The service did not supply enough data to perform the specified operation.

0x140000

Attribute not supported: The attribute specified in the request is not supported.

0x150000

Too much data: The service supplied more data than was expected.

0x160000

Object does not exist: The object specified does not exist in the device.

0x170000

Service fragmentation sequence not in progress: The fragmentation sequence for this service is not currently active for this data.

0x180000

No stored attribute data: The attribute data of this object was no saved prior to the requested service.

0x190000

Store operation failure: The attribute data of this object was not saved due to a failure during the attempt.

0x1a0000

Routing failure, request packet too large: The service request packet was too large for transmission on a network in the path to the destination.

0x1b0000

Routing failure, response packet too large: The service response packet was too large for transmission on a network in the path from the destination.

0x1c0000

Missing attribute list entry data: The service did not supply an attribute in a list of attributes that was needed by the service to perform the requested behavior.

0x1d0000

Invalid attribute value list: The service is returning the list of attributes supplied with status information for those attributes that were invalid.

0x1e0000

Embedded service error: See Service Packet error list (PLC-498 Error codes) below:

0x1f0000

Vendor specific error: A vendor specific error has been encountered. This occurs when none of the specified errors relate to the error in the device.

0x200000

Invalid parameter: A parameter associated with the request was invalid. This code is used when a parameter does meet the requirements defined in an Application Object specification.

0x210000

Write-once value or medium already written: An attempt was made to write to a write-once-medium that has already been written or to modify a value that cannot be change once established.

0x220000

Invalid Reply Received: An invalid reply is received (example: service code sent doesn't match service code received.).

0x230000

Reserved by CIP for future extensions.

0x240000

Reserved by CIP for future extensions.

0x250000

Key failure in path: The key segment was included as the first segment in the path does not match the destination module. The object specific status shall indicate which part of the key check failed.

0x260000

Path Size Invalid: The size of the path which was sent with the Service Request is either not large enough to allow the Request to be routed to an object or too much routing data was included.

0x270000

Unexpected attribute in list: An attempt was made to set an attribute that is not able to be set at this time.

0x280000

Invalid Member ID: The Member ID specified in the request does not exist in the specified Class/Instance/Attribute.

0x290000

Member not settable: A request to modify a non-modifiable member was received.

0x2a0000

Group 2 only server general failure: This error code may only be reported by DeviceNet group 2 only servers with 4K or less code space and only in place of Service not supported, Attribute not supported and Attribute not settable.

0x2b0000 -0xcf0000

Reserved by CIP for future extensions.

0xd00000 -0xff0000

Reserved for Object Class and service errors: This range of error codes is to be used to indicate Object Class specific errors. Use of this range should only be used when errors in this table don't accurately reflect the error encountered.

Top of Page

PLC-498 Error Codes

Note: The following Errors can be generated from the designated PLC, are monitored by the C-more Panel, and displayed on the Panel’s screen as a hexadecimal value in Panel Error Code PLC-498 message, if active. Please refer to the PLC manufacturer’s documentation for additional information.

PLC Errors for Allen-Bradley EtherNet/IP Protocol -Service Packet Errors- (Error Code 0xaabbbb returned from the PLC)
Panel Error Code PLC-498 Hex Value | Description
0x040000 | This general status codes that the tag name could not be deciphered. This could mean that the tag name was entered incorrectly or does not exist in the PLC.
0x050000 | The particular item referenced (usually instance) could not be found.
0x060000 | The amount of data requested would not fit into the response buffer. Partial data transfer has occurred.
0x0a0000 | An error has occurred trying to process one of the attributes.
0x0f2100 | The requested tag is read only in the RSLogix project.
0x130000 | Not enough command data/parameters were supplied in the command to execute the service requested.
0x1c0000 | An insufficient number of attributes were provided compared to the attribute count.
0x260000 | The tag name length specified did not match what was in the message.
0xff0521 | You have tried to access beyond the end of the data object.
0xff0721 | The abbreviated type does not match the data type of the data object.
0xff0421 | The beginning offset was beyond the end of the template.

Top of Page


GE Ethernet 90/30 and Rx3i Addressing

Memory Type | Address Range | Bit Specification | Description | Read/Write Type | Data Type
I | 1 to 12288 |  | Input | Read Only | Discrete
Q | 1 to 12288 |  | Output | Read Only | Discrete
T | 1 to 256 |  | Temporary | R/W | Discrete
M | 1 to 12288 |  | Internal | R/W | Discrete
S | 1 to 128 |  | System State | Read Only | Discrete
SA | 1 to 128 |  | System State | R/W | Discrete
SB | 1 to 128 |  | System State | R/W | Discrete
SC | 1 to 128 |  | System State | R/W | Discrete
G | 1 to 7680 |  | Genius Global Data | R/W | Discrete
AI | 1 to 8192 |  | Analog Input | Read Only | Word
AQ | 1 to 8192 |  | Analog Output | Read Only | Word
R | 1 to 16384 |  | Register | R/W | Word


GE Ethernet 90-30 and Rx3i Protocol Error Codes

The following tables list the Errors that can be generated by the GE 90-30 and Rx3i PLCs when using the SRTP Ethernet Protocol.

These Tables provide reference information for Error Codes displayed by the C-more Panels. If the Error Code is PLC-499, this Error Code identifies an Error that is specific to your PLC model.

For PLC specific Error Codes, make sure you are viewing the correct topic and locate the PLC Specific Errors Table found below.

To see the C-more Panel Errors Table, which provides Error Codes specific to the C-more Panels, click the button provided below.

Note:Addresses are read from or written to as 16 bit blocks by the protocol. As a result, addresses reported with an error message show the beginning address of the block that the protocol attempted to read or write.

Therefore, an error for Address Q7 may be displayed as Q1 even though there is no tag associated with Q1 in the C-more panel. The error could be related to any Address used in a C-more tag in the range of Q1 to Q16.

PLC Error Codes

PLC Errors for GE 90-30 and Rx3i SRTP Ethernet Protocol
Error Message | Description | Error Message | Description
0x05c1 | Invalid block state transition. | 0x0c53 | An invalid message type was received when an X-Attach Response was required when re-establishing an existing SNP-X communication session. Communications have not been established.
0x05c2 | The OEM key is NULL (inactive). | 0x0c54 | An invalid Next Message Type value was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x05c3 | Text length does not match traffic type. | 0x0c55 | An invalid response code was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x05c4 | Verify with FA Card or EEPROM failed. | 0x0c56 | An expected X-Attach Response message was not received within the response timeout interval when reestablishing an existing SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.
0x05c5 | No task-level Rack/Slot configuration to read or delete. | 0x0c60 | A parity error has occurred on an X-Response message.
0x05c6 | Control Program ( CP) tasks exist but requestor not logged into main CP. | 0x0c61 | A framing or overrun error has occurred on an X-Response message.
0x05c7 | Passwords are set to inactive and cannot be enabled or disabled. | 0x0c62 | A BCC (Block Check Code) error has occurred on an X-Response message.
0x05c8 | Password(s) already enabled and cannot be forced inactive. | 0x0c63 | An invalid message type was received when an X-Response message was required.
0x05c9 | Login using nonzero buffer size required for block commands. | 0x0c64 | An invalid next message type value was detected in an X-Response message.
0x05ca | Device is write protected. | 0x0c65 | An invalid response code was detected in an X-Response message.
0x05cb | A comm or write verify error occurred during save or restore. | 0x0c66 | An expected X-Response message was not received within the response time.
0x05cc | Data stored on device has been corrupted and is no longer reliable. | 0x0c70 | A parity error has occurred on an Intermediate Response message.
0x05cd | Attempt was made to read a device but no data has been stored on it. | 0x0c71 | A framing or overrun error has occurred on an Intermediate Response message.
0x05ce | Specified device has insufficient memory to handle request. | 0x0c72 | A BCC (Block Check Code) error has occurred on an Intermediate Response message.
0x05cf | Specified device is not available in the system (not present). | 0x0c73 | An invalid message type was received when an Intermediate Response message was required.
0x05d0 | One or more PLC modules configured have unsupported revision. | 0x0c74 | An invalid next message type value was detected in an Intermediate Response message.
0x05d1 | Packet size or total program size does not match input. | 0x0c75 | An invalid response code was detected in an Intermediate Response message.
0x05d2 | Invalid write mode parameter. | 0x0c76 | An expected Intermediate Response message was not received within the response timeout interval.
0x05d3 | User Program Module ( UPM) read or write exceeded block end. | 0x0d40 | The requested service is not supported by the SNP slave.
0x05d4 | Mismatch of configuration checksum. | 0x0d41 | SNP slave on CMM module requires PLC CPU privilege level 2 to operate. The SNP slave has rejected a request to change to a higher or lower privilege level.
0x05d5 | Invalid block name specified in datagram. | 0x0d42 | SNP Request or Response message exceeds maximum data length of the CMM module. (Total data length for Mailbox and all following Buffer messages is 2048 bytes.) The master must use a smaller data length. Use multiple requests if total data length exceeds the maximum value.
0x05d6 | Total datagram connection memory exceeded. | 0x0d43 | Improper Write Datagram message format. Series 90-70 slave devices use a different format for this message than Series 90-30 or Series 90-20 slave devices. The master must use the proper message format for this SNP slave device. (The SNP master in the CMMmodule sends this message as part of the Establish Datagram COMMREQ command. The datagram has been partially established, but is not usable; the datagram should be canceled by using the Datagram ID returned by the COMMREQ.)
0x05d7 | Invalid datagram type specified. | 0x0d44 | A datagram error occurred in a Series 90-70 slave device (dual-port error).
0x05d8 | Point length not allowed. | 0x0e01 | Not used.
0x05d9 | Transfer type invalid for this Memory Type selector. | 0x0e02 | The modem command string length exceeds 250 characters.
0x05da | Null pointer to data in Memory Type selector. | 0x0e03 | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete.
0x05db | Invalid Memory Type selector in datagram. | 0x0e04 | Serial output timeout. The CMM module was unable to transmit the modem autodial output from the serial port. (May be due to missing CTS signal when the CMM is configured to use hardware flow control.)
0x05dc | Unable to find connection address. | 0x0e05 | Response was not received from modem. Check modem and cable.
0x05dd | Unable to locate given datagram connection ID. | 0x0e06 | Modem responded with BUSY. Modem is unable to complete the requested connection. Check the local and remote modems and the telephone line.
0x05de | Size of datagram connection invalid. | 0x0e07 | Modem responded with NO CARRIER.
0x05df | Invalid datagram connection address. | 0x0e08 | Modem responded with NO DIALTONE. Modem is unable to complete the requested connection. Check the modem connections and the telephone line.
0x05e0 | Service in process cannot login. | 0x0e09 | Modem responded with ERROR. Modem is unable to complete the requested command. Check the modem command string and modem.
0x05e1 | No I/O configuration to read or delete. | 0x0e0a | Modem responded with RING, indicating that the modem is being called by another modem. Modem is unable to complete the requested command. Retry the modem command at a later time.
0x05e2 | IOS could not delete configuration, or bad type. | 0x0e0b | An unknown response was received from the modem. Modem is unable to complete the requested command. Check the modem command string and modem. The modem response is expected to be either CONNECT or OK.
0x05e3 | CPU revision number does not match. | 0x0f01 | The service request code in an X-Request message is unsupported or invalid at this time. This error may occur if an SNP-X communication session has not been success fully established at the slave device.
0x05e4 | Memory Type for this selector does not exist. | 0x0f02 | Insufficient privilege level in the slave PLC CPU for the requested SNP-X service. Password protection at PLC CPU may be preventing the requested service.
0x05e5 | DOS file area not formatted. | 0x0f03 | Invalid slave memory type in X-Request message.
0x05e6 | CPU model number does not match. | 0x0f04 | Invalid slave memory address or range in X-Request message.
0x05e7 | Configuration is not valid. | 0x0f05 | Invalid data length in X-Request message. Data length must be non-zero, and may not exceed decimal 1000 bytes.
0x05e8 | No user memory is available to allocate. | 0x0f06 | X-Buffer data length does not match the service request in X-Request message. The X-Buffer message length is obtained from the Next Message Length field in the X-Request message; the length of the data within the buffer message is always the message length.
0x05e9 | Memory Type selector not valid in context. | 0x0f07 | Queue Full indication from Service Request Processor in slave PLC CPU. The slave is temporarily unable to complete the service request. The master should try again later. It is recommended that the master wait at least 10 msec before repeating the X-Request.
0x05ea | Not logged in to process service request. | 0x0f08 | Service Request Processor response exceeds 1000 bytes; the SNP-X slave device cannot return the data in an X-Response message. (This error applies to CMM module only.)
0x05eb | Task unable to be deleted. | 0x0f10 | Unexpected Service Request Processor error. (This error applies to CMM module only; the unexpected SRP error code is saved in the Diagnostic Status Words in the CMM module.)
0x05ec | Task unable to be created. | 0x0f15 | Requested service is not permitted in a Broadcast request. The master must direct the X-Request message to a specific SNP-X slave device.
0x05ed | VME bus error encountered. | 0x0f20 | Invalid Message Type field in a received X-Request message. The message type of an X-Request message must be 58h = X.
0x05ee | Could not return block sizes. | 0x0f21 | Invalid Next Message Type or Next Message Length field in a received X Request message. If this request does not use a buffer (0-2 bytes of data), the Next Message Type must be zero. If this request will be followed with a buffer message (more than 2 byte.)), the Next Message Type must be 54h = T, and the Next Message Length must specify the length of the X-Buffer message. Valid X-Buffer message lengths are 9-1008 bytes (data length plus 8 bytes).
0x05ef | Programmer is already attached. | 0x0f22 | Invalid Message Type field in a received X-Buffer message. The message type of an X-Buffer message must be 54h = T.
0x05f0 | Request only valid in stop mode. | 0x0f23 | Invalid Next Message Type field in a received X-Buffer message. Since an X-Buffer message is never followed by another message, the Next Message Type must always be zero.
0x05f1 | Request only valid from programmer. | 0x0f40 | Serial output timeout. The slave was unable to transmit an SNP-X message from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)
0x05f2 | Invalid program cannot log in. | 0x0f41 | An SNP-X request was aborted prior to completion due to reception of a Break.
0x05f3 | I/O configuration mismatch. | 0x0f42 | An X-Buffer message was received containing greater than 1000 bytes of data. The data is ignored.
0x05f4 | Invalid input parameter in request. | 0x0f43 | The SNP-X slave did not receive a response from the Service Request Processor in the PLC CPU.
0x05f5 | Invalid password. | 0x0f44 | PLC backplane communications error.
0x05f6 | Invalid sweep state to set. | 0x0f50 | A parity error has occurred in a received X-Attach message.
0x05f7 | Required to log in to a task for service. | 0x0f51 | A framing or overrun error has occurred in a received X-Attach message.
0x05f8 | Invalid Task Name referenced. | 0x0f52 | A BCC (Block Check Code) error has occurred in a received X-Attach message.
0x05f9 | Task address out of range. | 0x0f53 | An invalid Message Type was received when an X-Attach message was required. (For an X-Attach message, the message type must be 58h = T.)
0x05fa | Cannot replace I/O module. | 0x0f54 | An invalid Next Message Type value was detected in a received X-Attach message. (For an X-Attach message, the Next Message Length must be zero.)
0x05fb | Cannot clear I/O configuration. | 0x0f55 | An invalid request code was detected in a received X-Attach message.
0x05fc | I/O configuration is invalid. | 0x0f60 | A parity error has occurred in a received X-Request message.
0x05fd | Unable to perform auto configuration. | 0x0f61 | A framing or overrun error has occurred in a received X-Request message.
0x05fe | No privilege for attempted operation. | 0x0f62 | A BCC (Block Check Code) error has occurred in a received X-Request message.
0x05ff | Service Request Error has been aborted. | 0x0f70 | A parity error has occurred in a received X-Buffer message.
0x0a8d | Bad DOS Version. Must have DOS 2.0, or later, to support the SNP DOS Driver. | 0x0f71 | A framing or overrun error has occurred in a received X-Buffer message.
0x0a8e | PC Serial port configured for SNP Master driver is not open; no communication can take place. | 0x0f72 | A BCC(Block Check Code) error has occurred in a received X-Buffer message.
0x0a8f | OutofSequence SNP message. SNP message type received was not the type expected. | 0x0f73 | An expected X-Buffer message was not received.
0x0a90 | Bad SNP BCC encountered. Transmission was aborted after maximum retries due to a bad Block Check Code. | 0x1302 | Unsupported COMMREQ. These errors are only generated when there is no protocol currently being run on a port, and the port receives a COMMREQ. (The port may be disabled or an error has occurred in processing a new configuration).
0x0a91 | Bad SNP communication. Transmission was aborted after maximum retries due to serial errors (that is, parity, overrun, or framing errors). | 0x1303 | Invalid COMMREQ length.
0x0a92 | No SNP communication. Either communication has been lost or a communication session has not been established. | 0x1304 | Invalid COMMREQ status word location.
0x0c01 | WAIT-type COMMREQ is not permitted; must use NOW AIT-type. | 0x1305 | Invalid COMMREQ data.
0x0c02 | COMMREQ command is not supported. | 0x0c52 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c03 | SNP communication is not active. Must initiate a new SNP communication by sending an Attach or Long Attach COMMREQ. | 0x0c53 | An invalid message type was received when an X-Attach Response was required when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c04 | SNP slave did not respond to Attach message from master. | 0x0c54 | An invalid Next Message Type value was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c05 | Unable to write SNP Status Word to local PLC memory; may be due to invalid Status Word memory type or address. | 0x0c55 | An invalid response code was detected in an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established.
0x0c06 | Master device memory type is not valid in this PLC. | 0x0c56 | An expected X-Attach Response message was not received within the response timeout interval when reestablishing an existing SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established.
0x0c07 | Master device memory address or length is zero. | 0x0c60 | A parity error has occurred on an X-Response message.
0x0c08 | Unable to read or write master device memory locations specified in COMMREQ. Usually caused by invalid memory address for this PLC. SNP message exchange may have taken place. | 0x0c61 | A framing or overrun error has occurred on an X-Response message.
0x0c09 | Master device memory data length exceeds maximum data size of CMM module (2048 bytes). Must use a smaller data length. Use multiple COMMREQs if total data length exceeds this maximum value. | 0x0c62 | A BCC (Block Check Code) error has occurred on an X-Response message.
0x0c0a | Slave device memory type is missing or not valid. | 0x0c63 | An invalid message type was received when an X-Response message was required.
0x0c0b | Slave device memory address is missing or zero. | 0x0c64 | An invalid next message type value was detected in an X-Response message.
0x0c0c | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete. (When expected COMMREQ length is 6 words or less. An improper length may cause other minor error codes 6-11.) | 0x0c65 | An invalid response code was detected in an X-Response message.
0x0c0d | Invalid Diagnostic Status Word ( DSW) starting word or length. | 0x0c66 | An expected X-Response message was not received within the response time.
0x0c0e | Invalid maximum SNP message data size. Must be an even value from 42 to 2048. | 0x0c70 | A parity error has occurred on an Intermediate Response message.
0x0c0f | Invalid Privilege Level. Must be 0 through 4 or -1. | 0x0c71 | A framing or overrun error has occurred on an Intermediate Response message.
0x0c10 | Invalid Fault Table selector. Must be 1 for I/O Fault Table, or 2 for PLC Fault Table. | 0x0c72 | A BCC (Block Check Code) error has occurred on an Intermediate Response message.
0x0c11 | Invalid Fault Table starting index. Must be 1-32 for I/O Fault Table, or 1-16 for PLC. | 0x0c73 | An invalid message type was received when an Intermediate Response message was required.
0x0c12 | Invalid fault count. Must be 1-32 for I/O Fault Table, or 1-16 for PLC Fault Table. | 0x0c74 | An invalid next message type value was detected in an Intermediate Response message.
0x0c13 | Invalid Set PLC Date/Time mode. Must be 1-4. | 0x0c75 | An invalid response code was detected in an Intermediate Response message.
0x0c14 | Invalid Set PLC Date/Time date, time, or day-of-week value. | 0x0c76 | An expected Intermediate Response message was not received within the response timeout interval.
0x0c15 | Unable to retrieve master device PLC time/date from PLC CPU. | 0x0d40 | The requested service is not supported by the SNP slave.
0x0c16 | Invalid slave PLC type. Must be 0 for Series 90-70, or 1 for Series 90-30 or Series 90-20. | 0x0d41 | SNP slave on CMM module requires PLC CPU privilege level 2 to operate. The SNP slave has rejected a request to change to a higher or lower privilege level.
0x0c17 | Invalid datagram type. Must be 01h for normal datagram, or 81h (129) for permanent datagram. | 0x0d42 | SNP Request or Response message exceeds maximum data length of the CMM module. (Total data length for Mailbox and all following Buffer messages is 2048 bytes.) The master must use a smaller data length. Use multiple requests if total data length exceeds the maximum value.
0x0c18 | Missing or too many datagram point formats. Must be 1-32. | 0x0d43 | Improper Write Datagram message format. Series 90-70 slave devices use a different format for this message than Series 90-30 or Series 90-20 slave devices. The master must use the proper message format for this SNP slave device. (The SNP master in the CMMmodule sends this message as part of the Establish Datagram COMMREQ command. The datagram has been partially established, but is not usable; the datagram should be canceled by using the Datagram ID returned by the COMMREQ.)
0x0c19 | Invalid datagram point format data. | 0x0d44 | A datagram error occurred in a Series 90-70 slave device (dual-port error).
0x0c1a | Datagram area size is too small to include data for all specified point formats. | 0x0e01 | Not used.
0x0c1b | Invalid number of Control Program Names. Must be 1-8. | 0x0e02 | The modem command string length exceeds 250 characters.
0x0c1c | SNP-X Request exceeds maximum data size (1000 bytes). Must use a smaller data length. Use multiple COMMREQs if necessary. | 0x0e03 | COMMREQ Data Block Length is too small. Output command string data is missing or incomplete.
0x0c1d | Invalid SNP-X communication session type. Must be 0 for a single slave device, or 1 for multiple slave devices. | 0x0e04 | Serial output timeout. The CMM module was unable to transmit the modem autodial output from the serial port. (May be due to missing CTS signal when the CMM is configured to use hardware flow control.)
0x0c1e | Illegal destination SNP ID specified for SNP-X slave. Must be 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single device. The Broadcast SNP ID (eight bytes of FFh) may be use to specify all slave devices on the serial link. | 0x0e05 | Response was not received from modem. Check modem and cable.
0x0c1f | Destination SNP ID does not match SNP-X session type. The Broadcast SNP ID is not permitted in a single-slave SNP-X session. The Null SNP ID is not permitted in a multiple-slave SNP-X session. | 0x0e06 | Modem responded with BUSY. Modem is unable to complete the requested connection. Check the local and remote modems and the telephone line.
0x0c20 | Inactivity timeout (T3). The SNP slave has not received any new SNP messages within the configured T3 time interval. | 0x0e07 | Modem responded with NO CARRIER.
0x0c21 | A Parity error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0e08 | Modem responded with NO DIALTONE. Modem is unable to complete the requested connection. Check the modem connections and the telephone line.
0x0c22 | A BCC (Block Check Code) error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0e09 | Modem responded with ERROR. Modem is unable to complete the requested command. Check the modem command string and modem.
0x0c23 | A Framing or Overrun serial error has occurred on an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0e0a | Modem responded with RING, indicating that the modem is being called by another modem. Modem is unable to complete the requested command. Retry the modem command at a later time.
0x0c24 | An invalid SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram message was required. Communications have not been established. | 0x0e0b | An unknown response was received from the modem. Modem is unable to complete the requested command. Check the modem command string and modem. The modem response is expected to be either CONNECT or OK.
0x0c25 | An invalid next message length value was specified in an Attach, Attach Response, or Update Realtime Datagram message. Communications have not been established. | 0x0f01 | The service request code in an X-Request message is unsupported or invalid at this time. This error may occur if an SNP-X communication session has not been success fully established at the slave device.
0x0c26 | An unexpected SNP message type was received when an Attach, Attach Response, or Update Realtime Datagram was required. Communications have not been established. | 0x0f02 | Insufficient privilege level in the slave PLC CPU for the requested SNP-X service. Password protection at PLC CPU may be preventing the requested service.
0x0c27 | Another Break was received while SNP slave was waiting for an Attach or Update Realtime Datagram message. | 0x0f03 | Invalid slave memory type in X-Request message.
0x0c28 | An SNP message has been sent and retried the maximum number of times. A maximum of two retries are permitted. A retry is caused by a NAK from the remote SNP device. | 0x0f04 | Invalid slave memory address or range in X-Request message.
0x0c29 | A received SNP message has been NAKed the maximum number of two times. The NAKed message may be retransmitted a maximum of two times. | 0x0f05 | Invalid data length in X-Request message. Data length must be non-zero, and may not exceed decimal 1000 bytes.
0x0c2a | An unknown message was received when an acknowledge ( ACK or NAK) was required. | 0x0f06 | X-Buffer data length does not match the service request in X-Request message. The X-Buffer message length is obtained from the Next Message Length field in the X-Request message; the length of the data within the buffer message is always the message length.
0x0c2b | Sequence Error. An unexpected SNP message type was received. | 0x0f07 | Queue Full indication from Service Request Processor in slave PLC CPU. The slave is temporarily unable to complete the service request. The master should try again later. It is recommended that the master wait at least 10 msec before repeating the X-Request.
0x0c2c | Received SNP message contains bad next message length value. | 0x0f08 | Service Request Processor response exceeds 1000 bytes; the SNP-X slave device cannot return the data in an X-Response message. (This error applies to CMM module only.)
0x0c2d | Acknowledge timeout. An acknowledge ( ACK or NAK) was not received within the configured T2 time interval. A slave device may generate this error if the master device has aborted after maximum response NAKs and does not NAK the next response retry. | 0x0f10 | Unexpected Service Request Processor error. (This error applies to CMM module only; the unexpected SRP error code is saved in the Diagnostic Status Words in the CMM module.)
0x0c2e | Response timeout. The SNP Master did not receive an SNP Response message within the configured T5 time interval. | 0x0f15 | Requested service is not permitted in a Broadcast request. The master must direct the X-Request message to a specific SNP-X slave device.
0x0c2f | Buffer message timeout. An expected Text Buffer or Connection Data message was not received within the configured T5 time interval. | 0x0f20 | Invalid Message Type field in a received X-Request message. The message type of an X-Request message must be 58h = X.
0x0c30 | Serial output timeout. The CMM module was unable to transmit a Break, an SNP message, or SNP acknowledge ( ACK or NAK) from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.) | 0x0f21 | Invalid Next Message Type or Next Message Length field in a received X Request message. If this request does not use a buffer (0-2 bytes of data), the Next Message Type must be zero. If this request will be followed with a buffer message (more than 2 byte.)), the Next Message Type must be 54h = T, and the Next Message Length must specify the length of the X-Buffer message. Valid X-Buffer message lengths are 9-1008 bytes (data length plus 8 bytes).
0x0c31 | SNP slave did not receive a response from the Service Request Processor in the PLC CPU. | 0x0f22 | Invalid Message Type field in a received X-Buffer message. The message type of an X-Buffer message must be 54h = T.
0x0c32 | COMMREQ timeout. The COMMREQ did not complete within the configured time interval. | 0x0f23 | Invalid Next Message Type field in a received X-Buffer message. Since an X-Buffer message is never followed by another message, the Next Message Type must always be zero.
0x0c33 | An SNP Request or Response was aborted prior to completion due to reception of a Break. | 0x0f40 | Serial output timeout. The slave was unable to transmit an SNP-X message from the serial port. (May be due to missing CTS signal when the CMM module is configured to use hardware flow control.)
0x0c34 | PLC backplane communications error. | 0x0f41 | An SNP-X request was aborted prior to completion due to reception of a Break.
0x0c35 | Invalid Piggyback Status data memory type or address. Communications have not been established. | 0x0f42 | An X-Buffer message was received containing greater than 1000 bytes of data. The data is ignored.
0x0c36 | Invalid SNP Slave SNP ID. Must be a 0-7 ASCII characters, plus a terminating null character (00h). The Null SNP ID (eight bytes of 00h) may be used to specify any single slave device. | 0x0f43 | The SNP-X slave did not receive a response from the Service Request Processor in the PLC CPU.
0x0c37 | The SNP master has received a response message containing an unexpected data length. Usually indicates a problem with the remote SNP slave device. May occur when Series 90-70 commands (Task Memory or Program Block Memory Read/Write) are issued to a Series 90-30 slave device. | 0x0f44 | PLC backplane communications error.
0x0c38 | Response code in received SNP-X response message does not match expected value. (Response code must equal the request code +80h.) | 0x0f50 | A parity error has occurred in a received X-Attach message.
0x0c39 | SNP-X Response message exceeds maximum data size (decimal 1000 bytes). Data in the Response is ignored. | 0x0f51 | A framing or overrun error has occurred in a received X-Attach message.
0x0c40 | A parity error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f52 | A BCC (Block Check Code) error has occurred in a received X-Attach message.
0x0c41 | A framing or overrun error has occurred on an X-Attach Response message when establishing a new SNPX communication session. Communications have not been established. | 0x0f53 | An invalid Message Type was received when an X-Attach message was required. (For an X-Attach message, the message type must be 58h = T.)
0x0c42 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f54 | An invalid Next Message Type value was detected in a received X-Attach message. (For an X-Attach message, the Next Message Length must be zero.)
0x0c43 | An invalid message type was received when an X-Attach Response was required when establishing a new SNP-X communication session. Communications have not been established. | 0x0f55 | An invalid request code was detected in a received X-Attach message.
0x0c44 | An invalid next message type value was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f60 | A parity error has occurred in a received X-Request message.
0x0c45 | An invalid response code was detected in an X-Attach Response message when establishing a new SNP-X communication session. Communications have not been established. | 0x0f61 | A framing or overrun error has occurred in a received X-Request message.
0x0c46 | An expected X-Attach Response message was not received within the response timeout interval when establishing a new SNP-X communication session. The master has retried the X-Attach message twice without receiving a response. Communications have not been established. | 0x0f62 | A BCC (Block Check Code) error has occurred in a received X-Request message.
0x0c50 | A parity error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established. | 0x0f70 | A parity error has occurred in a received X-Buffer message.
0x0c51 | A framing or overrun error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established. | 0x0f71 | A framing or overrun error has occurred in a received X-Buffer message.
0x0c52 | A BCC (Block Check Code) error has occurred on an X-Attach Response message when re-establishing an existing SNP-X communication session. Communications have not been established. |  |


Recipe Object - Password Tab

Configuring the Password Tab

The Password tab setup enables the user to configure a password requirement when an object is pressed. This allows the programmer to set up an object that can only be used by authorized individuals. When the Password tab is selected, the set-up window opens.

  1. On the Password tab, click the Password Option checkbox.
  2. To assign passwords for one or more Groups, select the checkbox to the left of the Group you want to include as authorized users. Group names can contain up to 20 characters.
  3. Click Configure Password.
    The Configure Password window opens.

  4. For each password group, assign a Group Name (or use the names provided) doing one of the following methods:
    1. To assign a Static password number, select the Static radio button and, using the number pad on your keyboard, enter a numeric password.
      A Static password can be up to 10 characters.
    2. If you want to assign a Tag Name as a password, select the Tag Name radio button and click the drop-down arrow to select a Tag Name from the list.
      The password is the data contained in the Internal tag or PLC address associated with a Tag Name. This window allows the user to assign a Tag Name that will activate the Alarm window for a specific group.
  5. Click Configure Password.
  6. To preview, click Preview.


Rename/Renumber a Screen

Description

You can rename an existing screen's name and change its number.

To rename a screen,

  1. From the Navigation Pane, click the Screen tab, select the screen whose number/name you want to change.
  2. Right-click and select Rename Screen,
    or
    From the top toolbar, click the Screen menu and select Rename Screen.

The Rename Screen window opens displaying the number and name of the selected screen.

  3. In the To section, you can change the screen number and name.
  4. Click Rename.


Save Project As

Save Project As Description

Save Project As allows the user to select a folder to Save the project file.

The Save Project As selection is available from the File Menu located on the Main Menu.

When the user clicks on Save Project As, the window shown below opens. This window also opens when the user clicks on the Save Project selection of the File Menu if the project is being Saved for the first time.

This window allows the user to select a folder to Save the project file by using the Save In field to browse the folders. When the desired folder is located, click on the folder to select it. If a new folder is required, use the Create New Folder Icon [image] available from the window shown above.

Once the folder is selected, click on the field for File Name and type in the name for your new project, followed by clicking on the Save button. The window will close and your new project file is saved.

If this window is accessed by mistake, click on the Cancel button to Close and Cancel this operation.


Screen Option

Accessing the Screen Option

From the Screen Option window you can:

  • Add a screen description
  • Select a screen background color
  • Select a background screen for the screen
  • Preview a screen
  • Assign a password

Two methods are available for accessing the Screen Option window:

  • From the Screen menu, and
  • From the Navigation Pane.

Screen Menu

  1. In the top toolbar, click the Screen menu and select Screen Option.

Navigation Pane

Click the Screen tab and click the Screen Option icon [image]. The Screen Option window opens.

This window provides three tabs with selections for setting up screens. Each tab with respective settings is described individually below.

General Tab

When the General tab is selected, the Screen Option window looks like the figure shown above.

The General tab offers the following settings or fields:

  • Screen Description: Click in this window and type a description for this screen of up to 400 characters. This description only appears in the Project Printout and is optional.
  • Select Screen Background Color: Click on the icon to open the color palette and select a background that will enhance visualization and usability of the objects on the screen.

View Tab

On the View tab, the Screen Option window looks like the illustration shown below.

The View tab offers the following settings or fields:

Use Background Screen: If much of your screen will be duplicated on other screens, you may want to consider creating a Background Screen and assigning it to other screens. See also Add, Delete, Copy and Paste Screens.

When the checkbox is selected the following fields activate:

    • Screen Number: Select the Screen Number or Screen Name to use as Background for this Screen,
    • Preview: The Preview provides a visual display of the screen as options are selected.

Password Tab

The Password tab enables the user to configure a password requirement when a screen is selected. This allows the programmer to set up a screen that can only be used by authorized individuals.

When the Password tab is selected, the Screen Option window looks like the figure shown below.

The Password Tab offers the following settings:

  • Password Option: When the Password Option is selected, the groups who will be allowed to access the screen can be selected.
  • If all group passwords will allow access to the screen, the Enable All Passwords icon selects all Groups (a convenience to the programmer).
  • To assign passwords for a group of individuals, select a checkbox or checkboxes for the groups.
  • Click on Configure Password to open the Configure Password window.


Select a Foreground Screen

The Foreground Screen selection shown below enables the user to turn the foreground screen On or Off by clicking the checkbox to the left of this selection.

Deselecting (clearing) the Foreground Screen checkbox hides all of the objects in the current screen. This may be helpful in seeing objects on the background screen, if one is assigned.


Panel Network - General Tab

General Tab Setup

Two methods are available for accessing the Panel Network:

  • From the Main menu, select the Setup menu and then select Panel Network.

  • From the Navigation window, select the Function tab. Click Setup and then double-click Panel Network.

The Panel Network dialog box opens displaying the General tab. The General dialog box is used to create a Panel Name for our panel. The panel name is used to help identify various panels that may be networked together. To use this feature, click on the Save setting to Project check box and in the Panel Name field, enter the name of the panel that you want to use. The name can be up to 15 alphanumeric characters. Please see the note at the end of this topic.

NOTE: Although the Panel Name can be entered when starting a New Project and can also be changed when setting up the Communication Config dialog box under the Panel tab in the Navigation window, if a panel name is entered with the Save setting to Project check box checked, then any time the project is transferred to the panel, the panel's name will become this entered name.


Screen Selector Object

Topic: CM496

Screen Selector Object:Screen Tab

Configure the Screen Tab

The Screen Selector object is used to access a specified screen on the panel by selecting the screen number from a static keypad containing buttons to push or a single popup button. The Screen Selector window includes theScreen tab, which is used to configure what screens to list when the Screen Selector object is selected.

To configure the Screen tab, do the following:

  1. From theScreen Selector window, click the Screen tab.
    The Screen tab opens.

  2. Complete the fields on the screen using the information in the table below.

Screen Selector Object: Screen Tab

Field

Description

Select All Screen

When this checkbox is selected, ALL the screens available for the specific project will be included in the Screen Selector list. To pick a selection of screens instead of all the screens, click the checkbox to clear this selection. Select All Screen is the default.

Available Screen

This column is only active if the Select All Screen checkbox is clear. This column displays any screen that is available for selection. If a screen is listed in this column, the screen is not included in the Screen Selector list on the object.

Current Screen

This column is only active if the Select All Screen checkbox is cleared. This column displays any screen that has been selected to display in the Screen Selector list. Only the screens included in this column will be listed on the object.

Add

This button is only active if the Select All Screen checkbox is cleared and there is at least one screen listed in the Available Screen column. This button allows you to add a screen from the Available Screen column to the Current Screen Column. To add a screen, click on the screen once to highlight the screen name, and click Add to move the screen to the Current Screen column.

Delete

This button is only active if the Select All Screen checkbox is cleared and there is at least one screen listed in the Current Screen column. This button allows you to delete a screen from the Available Screen column. To delete a screen, click the screen once to highlight the Screen Name and click Delete to move the screen to the Available Screen column. This selection does not delete the screen from the project.

Add All

This button is only active if the Select All Screen checkbox is cleared and there is at least one screen listed in the Available Screen column. This button allows you to Add All the screens from the Available Screen column to the Current Screen column with just one click. To add all screens, click Add All to move the screens to the Current Screen column.

Delete All

This button is only active if the Select All Screen checkbox is cleared and there is at least one screen listed in the Current Screen column. This button allows you to delete all the screens from the Current Screen column to the Available Screen column with just one click. To delete all screens, click Delete All to move all the screens to the Available Screen column. This selection does not delete the screen from the project.
  4. After completing the fields on the screen, click OK.
  5. Continue to the Option tab in the Screen Selector window.


Importing RSLogix Symbols to C-more

Allen Bradley SLC500, MicroLogix and PLC-5 series PLC's use “Symbols” instead of “Tag Names”. The Symbol is just a name associated with a memory address. Within RSLogix500 software the user is allowed to assign Symbols to Addresses. Symbols can also be organized into Symbol Groups. Additionally there is a Description field associated with each Symbol.

Note: The CSV exported from RSLogix will only contain elements which have either a Symbol Name or a Description field. If an address is used but it is not assigned a Symbol or Description it will not be included in the CSV export from RSLogix500.

Upon Importing the RSLogix500 Symbol will become the C-more Tag Name. If there is not a Symbol Name, the Description Field will be used as the C-more Tag Name. Name conflicts can not occur with Symbols but are

possible with Descriptions; the user should resolve these before importing.

Note: The Allen Bradley CSV Import feature was introduced in C-more Programming Software Version 2.1. Support for String and Long data files was added in Version 2.40. System Data Files are not imported, but can be created manually by the user.

Exporting from RSLogix500

  1. Within RSLogix 500 and with your project file open, Select Tools>Database>ASCII Export

Importing into the C-more Project

  2. To Import Tag Database into the C-more project, select Import>Tag Name Database

  3. Select the CSV file that was exported from RSLogix.

  4. Make sure A-B SLC and MicroLogix is selected for CSV Format.

  5. Select the Device that matches the PLC you are importing Tags for. Protocol should say Allen-Bradley DF1 Full Duplex (SLC500)

  6. Select Import


Pushbuttons

Pushbutton Description

The Pushbutton object is available from the Button Category of the Object List window. The Pushbutton object is an electronic version of a typical Pushbutton normally found on control panels. The Pushbutton object can be used to activate or deactivate components assigned to a Discrete Tag Name.

Pushbuttons may be edited to fit various shapes, colors, sizes, and styles. When the Pushbutton object is selected, a setup window opens to allow the user to set up the Pushbutton as needed. Supports Discrete Data Types only.

Object Group: Buttons

Number of Styles: 2

Data Types: Discrete

Adding a Pushbutton to Your Project

  1. To add a pushbutton to your project, do one of the following:
  • From the Object menu, select Button and then Pushbutton
    or
  • From the Object Library, under Button click Pushbutton and drag the mouse to the work area or under the Parts List, select a type of pushbutton.
    The Pushbutton window opens displaying the General tab.

  2. Complete the fields on the screen using the information in the table below. For the settings not included here, see the Working with Objects Help topic.

Pushbutton Object

Field

Description

Object Style

Select the preferred style to use for the Pushbutton object. In this case, Rectangular Button or Round Button. If the object has a Label, the background will be rectangular.

Style 1 with Label | Style 2 with Label
Style 1 Pushbutton Label | Style 2 Pushbutton Label

Object Type

Choose between five types operation for the Pushbutton.

  • Toggle: The Pushbutton will operate between ON and OFF each time it is selected (pressed).
  • Momentary On: The Pushbutton will be ON while it is pressed. As soon as the button is released it returns to the OFF state. Passwords cannot be used with this type.
  • Momentary Off: The Pushbutton will be OFF while the Pushbutton is pressed. As soon as the button is released it returns to the ON state. Passwords cannot be used with this type.
  • Set On: The Pushbutton is set to the ON state when it is pressed. Once it is set to ON it remains ON until a separate device, such as another Pushbutton or a controller (PLC) turns its associated Tag Name OFF.
  • Set Off: The Pushbutton is set to the OFF state when it is pressed. Once it is set to OFF it remains OFF until a separate device, such as another Pushbutton or controller (PLC) turns its associated Tag Name ON.

General timing chart

Note: This timing chart is for reference only and is intended to show the general operation of the object. It does not take into account communication timing delays associated with connected external devices.


Add, Edit and Delete Event Manager Actions

Topic: CM137

Event Manager Actions - Add/Edit/Delete

If you need information on Event Actions specific to Data Logging, review the information provided below about Adding Actions and then refer to the FTP and/or Email Actions.

Add, Edit, and Delete Event Manager Actions

To add an event to the Event Manager Database, do the following:

  1. in the top toolbar click Database and select Event Manager Database.
    The Event Manager window opens. Within this dialog box, you can add or edit an event, and add, edit or delete each event's actions.

  2. To add an event, click Add.
    The Event Add dialog box opens.

Use the Event No. arrow buttons to select either the next available event to add or an existing event that you wish to edit.

screen - Add Action with Mail selected in Command dropdown

The available Action items and how many times they can be used with each Event are shown here:

  • Alarm - only 1 action per event can be used.
  • Tag - 1 to 16 can be used depending on how many other actions are selected so that the total does not exceed 16 actions.
  • Tag Copy - 1 to 16 can be used depending on how many other actions are selected so that the total does not exceed 16 actions.
  • Sound - only 1 action per event can be used.
  • Message Box - 1 to 16 can be used depending on how many other actions are selected so that the total does not exceed 16 actions.
  • Screen Capture - only 1 action per event can be used.
  • Mail - only 1 action per event can be used.
  • Screen Change - only 1 action per event can be used.
  • Backlight - only 1 action per event can be used.
  • FTP - only 1 action per event can be used

The Sequence List in the Action area allows you to select the item in the list and then using the up and down arrows, you can change the order of the actions.

For example, if we have the following Actions, and we want to make the 05-Alarm the first action, then we would click on 05-Alarm.

Each time the Up arrow is clicked, the 05-Alarm action will move up the Sequence List by one position.

Keep clicking the UP arrow until the 05-Alarm action is in the number one position. The Alarm action will be first in the Sequence List and will be displayed as 01-Alarm as shown here.

Event Edit screen

Related Topics Link Icon Related Topics

Note: these are all in the current help with the same file number.

Add Action - Alarm old #25 -

Backlight - old #26 -

FTP - old # 27 -

Mail - old #28

Message Box - old #29

screen capture - old #30

Screen change - old #31

Sound - old #32

Tag - old #33

Tag Copy - old #34

Event Add, Edit, or Delete - old #134

Event Manager - old #136


Line Trend Graph Object

Line Trend Graph Object Description

The Line Trend Graph Object is designed to monitor an assigned Tag Name continuously. This Object is very much like a digital version of a chart recorder used for industrial processes. This Object can be setup to monitor up to 16 different Tag Names.

Note: The Trend Cursor Value is only accurate to 1% of the Full Scale Range of the Line Trend Graph. For example, if full scale is 0 - 10 units, then the cursor will be accurate to 0.1 units. If full scale is 0 - 1000 units, then the cursor values will only be accurate to 10 units.

Note: An option to suppress scientific notation (exponential notation) when using Floating Point data is selectable in the Panel Manager window. This is a global selection and applies to all Floating Point data display objects.

Note: To retain data displayed by a Line Trend Graph object after a power cycle, Logging must be configured on the Options tab.

Adding a Line Trend Graph Object to your Project

To add a Line Trend Graph Object to your project:

  1. From Meter/Graph selection of the Object Menu or the Object List, double-click on the Line Trend Graph selection or click and drag the Line Trend Graph selection to the work area.

Any available Line Trend Graph Objects are displayed on the Parts List window. If selecting a Line Trend Graph from the Parts List window, click and hold on the desired Line Trend Graph, drag it to the Work Area and release the mouse button.

  2. Once a Line Trend Graph is selected using either method described above, the Line Trend Graph setup window shown below opens.

Display Legends: Click to select between Normal or Advanced Legends. Normal Legends will display Legends related to the information being monitored. Advanced Legends displays the Normal Legends and an arrow button is added where the user can click on and view more details.

The Trend Cursor Value is only accurate to 1% of the Full Scale Range of the Line Trend Graph. For example, if full scale is 0 - 10 units, then the cursor will be accurate to 0.1 units. If full scale is 0 - 1000 units, then the cursor values will only be accurate to 10 units.

When Date and Time is selected on the Option Tab, the user may touch a Data Point to cause a line to display, as shown in "Item a" on the figure below, and a small Data window opens showing details for the selected Data Point.


Switch Object

Switch Object

Object Group:

Number of Styles: 7

Data types: Discrete

Enhanced Feature: Activates three-dimensional (3D) button Graphics

The Switch Object is available.....

Configuring the Switch

screen

Object Style

Select the .....

Style 1 Enhanced a Label | Style 1 Enhanced a without a Label
Style 6 Enhanced a Label | Style 6 Enhanced a without a Label

Copyright © AutomationDirect, Inc.


Sheet1

Motor Parameters
Memory Type | Read/Write Type | Data Type
P0.00_MTR1_MAX_VOLTOUT | R/W | Word
P0.01_MTR1_AMPS_RATED | R/W | Word
P0.02_MTR1_BASE_HZ | R/W | Word
P0.03_MTR1_RPM_RATED | R/W | Word
P0.04_MAX_HZ_OUTPUT | R/W | Word
P0.05_AUTO_TUNE_SEL | R/W | Word
P0.06_MTR1_RESISTANCE | R/W | Word
P0.07_MTR1_NL_AMPS | R/W | Word
P0.08_MTR1_HP_RATED | R/W | Word
P0.09_MTR1_POLES | R/W | Word
P0.10_MTR1/MTR2_SEL | R/W | Word
P0.11_MTR2_MAX_VOLTOUT | R/W | Word
P0.12_MTR2_AMPS_RATED | R/W | Word
P0.13_MTR2_BASE_HZ | R/W | Word
P0.14_MTR2_RPM_RATED | R/W | Word
P0.15_MTR2_RESISTANCE | R/W | Word
P0.16_MTR2_NL_AMPS | R/W | Word
P0.17_MTR2_HP_RATED | R/W | Word
P0.18_MTR2_POLES | R/W | Word
Ramp Parameters
Memory Type | Read/Write Type | Data Type
P1.00_STOP_METHODS | R/W | Word
P1.01_1ST_ACC_TIME | R/W | Word
P1.02_1ST_DEC_TIME | R/W | Word
P1.03_2ND_ACC_TIME | R/W | Word
P1.04_2ND_DEC_TIME | R/W | Word
P1.05_3RD_ACC_TIME | R/W | Word
P1.06_3RD_DEC_TIME | R/W | Word
P1.07_4TH_ACC_TIME | R/W | Word
P1.08_4TH_DEC_TIME | R/W | Word
P1.09_S_CURVE_ACC1 | R/W | Word
P1.10_S_CURVE_DEC1 | R/W | Word
P1.11_S_CURVE_ACC2 | R/W | Word
P1.12_S_CURVE_DEC2 | R/W | Word
P1.13_JOG_ACC_TIME | R/W | Word
P1.14_JOG_DEC_TIME | R/W | Word
P1.15_ACC/DEC_UNIT | R/W | Word
P1.16_ACC/DEC_TRANSSEL | R/W | Word
P1.17_ACC_TRANS_HZ | R/W | Word
P1.18_DEC_TRANS_HZ | R/W | Word
P1.19_SKIP_HZ_UP1_LMT | R/W | Word
P1.20_SKIP_HZ_LO1_LMT | R/W | Word
P1.21_SKIP_HZ_UP2_LMT | R/W | Word
P1.22_SKIP_HZ_LO2_LMT | R/W | Word
P1.23_SKIP_HZ_UP3_LMT | R/W | Word
P1.24_SKIP_HZ_LO3_LMT | R/W | Word
P1.25_DCI_INJECT%LEVEL | R/W | Word
P1.26_DCI_START_TIME | R/W | Word
P1.27_DCI_STOP_TIME | R/W | Word
P1.28_DCI_DEC_HZ | R/W | Word
P1.29_DECEL_METHOD | R/W | Word
Volt/Hertz Parameters
Memory Type | Read/Write Type | Data Type
P2.00_V/HZ_CURVE_MODE | R/W | Word
P2.01_SLIP_COMP_GAIN | R/W | Word
P2.02_TORQ_COMP_GAIN | R/W | Word
P2.03_TORQ_COMP_FILTER | R/W | Word
P2.04_M1_MID_HZ1_OUTPT | R/W | Word
P2.05_M1_MID_V1_OUTPUT | R/W | Word
P2.06_M1_MID_HZ2_OUTPT | R/W | Word
P2.07_M1_MID_V2_OUTPUT | R/W | Word
P2.08_M1_MIN_HZ_OUTPUT | R/W | Word
P2.09_M1_MIN_V_OUTPUT | R/W | Word
P2.10_PWM_CARRIER_KHZ | R/W | Word
P2.11_CONTROL_MODE | R/W | Word
P2.12_M2_MID_HZ1_OUTPT | R/W | Word
P2.13_M2_MID_V1_OUTPUT | R/W | Word
P2.14_M2_MID_HZ2_OUTPT | R/W | Word
P2.15_M2_MID_V2_OUTPUT | R/W | Word
P2.16_M2_MIN_HZ_OUTPUT | R/W | Word
P2.17_M2_MIN_V_OUTPUT | R/W | Word
P2.18_ZERO_SPEED_SEL | R/W | Word
P2.19_START_FREQ | R/W | Word
P2.20_YD_SW_HZ | R/W | Word
P2.21_YD_ENABLE | R/W | Word
P2.22_YD_DELAY | R/W | Word
P2.23_ENERGYSAVEENABLE | R/W | Word
P2.24_ENERGYSAVEGAIN | R/W | Word
P2.25_SLIP_COMP_FILTER | R/W | Word
P2.26_SLIP_DEV_LEVEL | R/W | Word
P2.27_SLIP_DEV_TIME | R/W | Word
P2.28_SLIP_DEV_WARN | R/W | Word
P2.29_HUNTING_GAIN | R/W | Word
Digital Parameters
Memory Type | Read/Write Type | Data Type
P3.00_REM_OPER_SRC | R/W | Word
P3.01_LOC_OPER_SRC | R/W | Word
P3.02_2_3_WIRE_CONTROL | R/W | Word
P3.03_DI1_FUNCTION | R/W | Word
P3.04_DI2_FUNCTION | R/W | Word
P3.05_DI3_FUNCTION | R/W | Word
P3.06_DI4_FUNCTION | R/W | Word
P3.07_DI5_FUNCTION | R/W | Word
P3.08_DI6_FUNCTION | R/W | Word
P3.09_DI7_FUNCTION | R/W | Word
P3.10_DI8_FUNCTION | R/W | Word
P3.11_DI10_FUNCTION | R/W | Word
P3.12_DI11_FUNCTION | R/W | Word
P3.13_DI12_FUNCTION | R/W | Word
P3.14_DI13_FUNCTION | R/W | Word
P3.15_DI14_FUNCTION | R/W | Word
P3.16_DI15_FUNCTION | R/W | Word
P3.17_R1_FUNCTION | R/W | Word
P3.18_R2_FUNCTION | R/W | Word
P3.19_DO1_FUNCTION | R/W | Word
P3.20_DO2_FUNCTION | R/W | Word
P3.21_DO10_FUNCTION | R/W | Word
P3.22_DO11_FUNCTION | R/W | Word
P3.23_DO12_FUNCTION | R/W | Word
P3.24_DO13_FUNCTION | R/W | Word
P3.25_DO14_FUNCTION | R/W | Word
P3.26_DO15_FUNCTION | R/W | Word
P3.27_DO16_FUNCTION | R/W | Word
P3.28_DO17_FUNCTION | R/W | Word
P3.29_DO18_FUNCTION | R/W | Word
P3.30_DO19_FUNCTION | R/W | Word
P3.31_DO20_FUNCTION | R/W | Word
P3.32_FREQ_1_SETPT | R/W | Word
P3.33_FREQ_1_BAND | R/W | Word
P3.34_FREQ_2_SETPT | R/W | Word
P3.35_FREQ_2_BAND | R/W | Word
P3.36_PID_DEV._LEVEL | R/W | Word
P3.37_PID_DEV._TIME | R/W | Word
P3.38_FO_OUT_SCALE | R/W | Word
P3.39_INC/DEC_RAMP | R/W | Word
P3.40_INC/DEC_RATE | R/W | Word
P3.41_DI_DEBOUNCE | R/W | Word
P3.42_DI_NC/NO_CFG | R/W | Word
P3.43_DO_NC/NO_CFG | R/W | Word
P3.44_DRV_CTR_END_DONE | R/W | Word
P3.45_DRV_CTR_MID_DONE | R/W | Word
P3.46_DI_STATUS | R/W | Word
P3.47_DO_STATUS | R/W | Word
P3.48_PLC_DI_MASK | R/W | Word
P3.49_PLC_DO_MASK | R/W | Word
P3.50_SPD_CMD_AT_FAULT | R/W | Word
P3.51_BRAKE_DELAY_TIME | R/W | Word
P3.52_CURRENT_SETPT | R/W | Word
P3.53_OUT_HZ_SETPT | R/W | Word
P3.56_ES&FS_SELECT | R/W | Word
P3.57_HOA_SW_MODE | R/W | Word
P3.58_LOC/REM_SW_MODE | R/W | Word
Analog Parameters
Memory Type | Read/Write Type | Data Type
P4.00_REM_FREQ_SRC | R/W | Word
P4.01_LOC_FREQ_SRC | R/W | Word
P4.02_AI1_FUNCTION | R/W | Word
P4.03_AI2_FUNCTION | R/W | Word
P4.04_AI3_FUNCTION | R/W | Word
P4.05_AI1_V_MA_SEL | R/W | Word
P4.06_AI2_V_MA_SEL | R/W | Word
P4.07_TRIM_REF_FREQ | R/W | Word
P4.08_TRIM_SELECT | R/W | Word
P4.09_AI_REV_BIAS | R/W | Word
P4.10_AI1_BIAS | R/W | Word
P4.11_AI1_POLARITY | R/W | Word
P4.12_AI1_GAIN | R/W | Word
P4.13_AI1_FILTER | R/W | Word
P4.14_RESERVED | R/W | Word
P4.15_AI2_BIAS | R/W | Word
P4.16_AI2_POLARITY | R/W | Word
P4.17_AI2_GAIN | R/W | Word
P4.18_AI2_FILTER | R/W | Word
P4.19_AI3_BIAS | R/W | Word
P4.20_AI3_POLARITY | R/W | Word
P4.21_AI3_GAIN | R/W | Word
P4.22_AI3_GAIN | R/W | Word
P4.23_AI3_FILTER | R/W | Word
P4.24_CUSTOM_V/HZ | R/W | Word
P4.25_AI1_LOW_VOLTS | R/W | Word
P4.26_AI1_LOW_HZ_% | R/W | Word
P4.27_AI1_MID_VOLTS | R/W | Word
P4.28_AI1_MID_HZ_% | R/W | Word
P4.29_AI1_HI_VOLTS | R/W | Word
P4.30_AI1_HI_HZ_% | R/W | Word
P4.31_AI2_LOW_VOLTS | R/W | Word
P4.32_AI2_LOW_HZ_% | R/W | Word
P4.33_AI2_MID_VOLTS | R/W | Word
P4.34_AI2_MID_HZ_% | R/W | Word
P4.35_AI2_HI_VOLTS | R/W | Word
P4.36_AI2_HI_HZ_% | R/W | Word
P4.37_AI3_LOW_VOLTS | R/W | Word
P4.38_AI3_LOW_HZ_% | R/W | Word
P4.39_AI3_MID_VOLTS | R/W | Word
P4.40_AI3_MID_HZ_% | R/W | Word
P4.41_AI3_HI_VOLTS | R/W | Word
P4.42_AI3_HI_HZ_% | R/W | Word
P4.43_AI3_HI_VOLTS | R/W | Word
P4.44_AI3_HI_HZ_% | R/W | Word
P4.45_AI3_MID_VOLTS | R/W | Word
P4.46_AI3_MID_HZ_% | R/W | Word
P4.47_AI3_LOW_VOLTS | R/W | Word
P4.48_AI3_LOW_HZ_% | R/W | Word
P4.50_AO1_SELECT | R/W | Word
P4.51_AO1_GAIN | R/W | Word
P4.52_AO1_NEGATIVEMODE | R/W | Word
P4.53_AO1_MA_SELECT | R/W | Word
P4.54_AO2_SELECT | R/W | Word
P4.55_AO2_GAIN | R/W | Word
P4.56_AO2_NEGATIVEMODE | R/W | Word
P4.57_AO2_MA_SELECT | R/W | Word
P4.58_RESERVED | R/W | Word
P4.59_AO2_BIAS | R/W | Word
P4.60_AO1_OUT_%_LEVEL | R/W | Word
P4.61_AO2_OUT_%_LEVEL | R/W | Word
P4.62_PLC_AO_MASK | R/W | Word
P4.63_AI1_4_20MA_LOSS | R/W | Word
P4.64_AI2_4_20MA_LOSS | R/W | Word
Preset Parameters
Memory Type | Read/Write Type | Data Type
P5.00_JOG_FREQ | R/W | Word
P5.01_MULTI_SPD_1 | R/W | Word
P5.02_MULTI_SPD_2 | R/W | Word
P5.03_MULTI_SPD_3 | R/W | Word
P5.04_MULTI_SPD_4 | R/W | Word
P5.05_MULTI_SPD_5 | R/W | Word
P5.06_MULTI_SPD_6 | R/W | Word
P5.07_MULTI_SPD_7 | R/W | Word
P5.08_MULTI_SPD_8 | R/W | Word
P5.09_MULTI_SPD_9 | R/W | Word
P5.10_MULTI_SPD_10 | R/W | Word
P5.11_MULTI_SPD_11 | R/W | Word
P5.12_MULTI_SPD_12 | R/W | Word
P5.13_MULTI_SPD_13 | R/W | Word
P5.14_MULTI_SPD_14 | R/W | Word
P5.15_MULTI_SPD_15 | R/W | Word
Protection Parameters
Memory Type | Read/Write Type | Data Type
P6.00_THERM_OL1_SELECT | R/W | Word
P6.01_THERM_OL1_TIME | R/W | Word
P6.02_THERM_OL2_SELECT | R/W | Word
P6.03_THERM_OL2_TIME | R/W | Word
P6.04_AUTO_RESTART_QTY | R/W | Word
P6.05_RESET_WINDOW | R/W | Word
P6.06_BB_SPD_SEARCH | R/W | Word
P6.07_STARTUP_SPD_SRCH | R/W | Word
P6.08_MPL_SPD_SEARCH | R/W | Word
P6.09_FWD/REV_INHIBIT | R/W | Word
P6.10_AUTO_V_REGULATE | R/W | Word
P6.11_OV_STALL_TRIP | R/W | Word
P6.12_OV_STALL_MODE | R/W | Word
P6.13_AUTO_ACC/DEC | R/W | Word
P6.14_OVER_TRQ1_MODE | R/W | Word
P6.15_OVER_TRQ1_LEVEL | R/W | Word
P6.16_OVER_TRQ1_TIME | R/W | Word
P6.17_OVER_TRQ2_MODE | R/W | Word
P6.18_OVER_TRQ2_LEVEL | R/W | Word
P6.19_OVER_TRQ2_TIME | R/W | Word
P6.20_OC_IN_ACC_LEVEL | R/W | Word
P6.21_OC_IN_RUN_LEVEL | R/W | Word
P6.22_PWR_LOSS_TIME | R/W | Word
P6.23_BB_SPD_SRCH_TIME | R/W | Word
P6.24_SPD_SRCH_AMPS | R/W | Word
P6.25_HZ_UPPER_LMT | R/W | Word
P6.26_HZ_LOWER_LMT | R/W | Word
P6.27_OV_STALL_LVL | R/W | Word
P6.28_DYN_BRAKE_LEVEL | R/W | Word
P6.29_LINESTARTLOCKOUT | R/W | Word
P6.30_OH_WARN_LVL | R/W | Word
P6.31_COOLING_FAN_CTR | R/W | Word
P6.32_FAN_SPEED | R/W | Word
P6.33_DERATE_METHOD | R/W | Word
P6.34_DUTY_SELECTION | R/W | Word
P6.35_LOW_VOLT_LVL | R/W | Word
P6.36_OC_STALL_SELECT | R/W | Word
P6.37_OC_STALL_LMT | R/W | Word
P6.38_CURRENT_LMT | R/W | Word
P6.39_PTC_WARNING | R/W | Word
P6.40_PTC_LEVEL | R/W | Word
P6.41_PT100_LEVEL1 | R/W | Word
P6.42_PT100_LEVEL2 | R/W | Word
P6.43_PT100_DROPHZ | R/W | Word
P6.44_PT100_DELAY_TIME | R/W | Word
P6.45_OPHL_WARNING | R/W | Word
P6.46_OPHL_DET_TIME | R/W | Word
P6.47_OPHL_AMP_BAND | R/W | Word
P6.48_OPHL_BRAKETIME | R/W | Word
P6.49_IPHL_WARN | R/W | Word
P6.50_GFF_DET_LEVEL | R/W | Word
P6.51_GFF_LPF_GAIN | R/W | Word
P6.52_LOW_AMP_LVL | R/W | Word
P6.53_LOW_AMP_TIME | R/W | Word
P6.54_LOW_AMP_WARNING | R/W | Word
P6.55_FIRE_MODE | R/W | Word
P6.56_FIRE_MODE_FREQ | R/W | Word
P6.57_FIRE_BYPASS | R/W | Word
P6.58_FIRE_BYP_DELAY | R/W | Word
P6.59_FIRE_RST_COUNT | R/W | Word
P6.60_FIRE_RST_TIME | R/W | Word
P6.61_DEB_DECEL_SELECT | R/W | Word
P6.62_DEB_OFFSET_LVL | R/W | Word
P6.63_DEB_DISABLE_VOL | R/W | Word
P6.64_DEB_DELAY_TIME | R/W | Word
P6.65_DWELL_ACC_TIME | R/W | Word
P6.66_DWELL_ACC_FREQ | R/W | Word
P6.67_DWELL_DEC_TIME | R/W | Word
P6.68_DWELL_DEC_FREQ | R/W | Word
P6.69_INPH_LOSS_TIME | R/W | Word
P6.70_IPHL_DC_RIPPLE | R/W | Word
P6.71_STO_LATCH_SEL | R/W | Word
PID Parameters
Memory Type | Read/Write Type | Data Type
P7.00_PID_FBK_SELECT | R/W | Word
P7.02_SETPT_SOURCE | R | Word
P7.03_PID_FBK_GAIN | R/W | Word
P7.04_PID_OFFSET% | R/W | Word
P7.05_KEYPAD_SETPT | R | Word
P7.06_MULTI_SETPT1 | R/W | Word
P7.07_MULTI_SETPT2 | R/W | Word
P7.08_MULTI_SETPT3 | R/W | Word
P7.09_MULTI_SETPT4 | R/W | Word
P7.10_MULTI_SETPT5 | R/W | Word
P7.11_MULTI_SETPT6 | R/W | Word
P7.12_MULTI_SETPT7 | R/W | Word
P7.13_P_TERM | R/W | Word
P7.14_I_TERM | R/W | Word
P7.15_D_TERM | R/W | Word
P7.16_I_UPPER_LMT% | R/W | Word
P7.17_D_FILTER_TIME | R/W | Word
P7.18_PID_OUT_LMT_% | R/W | Word
P7.19_PID_FBK_VALUE | R/W | Word
P7.20_PID_FBK_DET_TIME | R/W | Word
P7.21_PID_FBK_LOSS | R/W | Word
P7.22_PID_FBK_LOSS_SPD | R/W | Word
P7.23_RESERVED | R/W | Word
P7.24_PID_OFFSET_SEL | R/W | Word
P7.25_PID_MODE | R/W | Word
P7.26_PID_REVERSE | R/W | Word
P7.27_SLEEP_SOURCE | R/W | Word
P7.28_WAKE_I_LIMIT | R/W | Word
P7.29_SLEEP_LEVEL | R/W | Word
P7.30_WAKE_LEVEL | R/W | Word
P7.31_SLEEP_TIME | R/W | Word
P7.32_WAKE_DELAY_TIME | R/W | Word
Display Parameters
Memory Type | Read/Write Type | Data Type
P8.00_USER_DISPLAY | R/W | Word
P8.01_START_UP_DISPLAY | R/W | Word
P8.02_USERDEFINEDFRMAT | R/W | Word
P8.03_USER_DEFINED_MAX | R/W | Word
P8.04_USER_DEFINED_ACT | R | Word
P8.05_OUTPUT_HZ_GAIN | R/W | Word
P8.06_PSWD_INPUT | R/W | Word
P8.07_PSWD_SETUP | R/W | Word
P8.08_POWER_ON_COUNTER | R | Word
P8.09_POWER_ON_DAYS | R | Word
P8.10_POWER_ON_MINS | R | Word
P8.11_RUN_MINUTES | R | Word
P8.12_RUN_DAYS | R | Word
P8.13_KEYPAD_COMM_FLT | R/W | Word
P8.14_KEYPAD_TIMEOUT | R/W | Word
P8.20_PLC_BUFFER_1 | R/W | Word
P8.21_PLC_BUFFER_2 | R/W | Word
P8.22_PLC_BUFFER_3 | R/W | Word
P8.23_PLC_BUFFER_4 | R/W | Word
P8.24_PLC_BUFFER_5 | R/W | Word
P8.25_PLC_BUFFER_6 | R/W | Word
P8.26_PLC_BUFFER_7 | R/W | Word
P8.27_PLC_BUFFER_8 | R/W | Word
P8.28_PLC_BUFFER_9 | R/W | Word
P8.29_PLC_BUFFER10 | R/W | Word
P8.30_PLC_BUFFER11 | R/W | Word
P8.31_PLC_BUFFER12 | R/W | Word
P8.32_PLC_BUFFER13 | R/W | Word
P8.33_PLC_BUFFER14 | R/W | Word
P8.34_PLC_BUFFER15 | R/W | Word
P8.35_PLC_BUFFER16 | R/W | Word
P8.36_PLC_BUFFER17 | R/W | Word
P8.37_PLC_BUFFER18 | R/W | Word
P8.38_PLC_BUFFER19 | R/W | Word
P8.39_PLC_BUFFER20 | R/W | Word
Communications Parameters
Memory Type | Read/Write Type | Data Type
P9.00_VFD_ADDRESS | R/W | Word
P9.01_MODBUS_BAUDRATE | R/W | Word
P9.02_MODBUS_PROTOCOL | R/W | Word
P9.03_MODBUS_FAULT_SEL | R/W | Word
P9.04_TIMEOUT_DETECT | R/W | Word
P9.05_TIMEOUT_SECONDS | R/W | Word
P9.06_PARAM_COPY | R/W | Word
P9.07_PARAM_LOCK | R/W | Word
P9.08_PARAM_RESET | R/W | Word
P9.09_BLOCKXFER_1_DATA | R/W | Word
P9.10_BLOCKXFER_2_DATA | R/W | Word
P9.11_BLOCKXFER_3_DATA | R/W | Word
P9.12_BLOCKXFER_4_DATA | R/W | Word
P9.13_BLOCKXFER_5_DATA | R/W | Word
P9.14_BLOCKXFER_6_DATA | R/W | Word
P9.15_BLOCKXFER_7_DATA | R/W | Word
P9.16_BLOCKXFER_8_DATA | R/W | Word
P9.17_BLOCKXFER_9_DATA | R/W | Word
P9.18_BLOCKXFER10_DATA | R/W | Word
P9.19_BLOCKXFER11_DATA | R/W | Word
P9.20_BLOCKXFER12_DATA | R/W | Word
P9.21_BLOCKXFER13_DATA | R/W | Word
P9.22_BLOCKXFER14_DATA | R/W | Word
P9.23_BLOCKXFER15_DATA | R/W | Word
P9.24_BLOCKXFER16_DATA | R/W | Word
P9.26_485_SPEED_REF | R | Word
P9.27_485_RUN_CMD | R/W | Word
P9.28_485_DIR_CMD | R/W | Word
P9.29_485_EXT_FLT_CMD | R/W | Word
P9.30_485_FLT_RST | R/W | Word
P9.31_485_JOG_CMD | R/W | Word
P9.33_RATED_AMPS | R | Word
P9.34_PLC_CMD_MASK | R | Word
P9.35_RESPONSE_DELAY | R/W | Word
P9.37_PLC_ADDRESS | R/W | Word
P9.38_DATE_CODE | R | Word
P9.39_FIRMWARE_VERSION | R | Word
P9.41_GS_SERIES_NUMBER | R | Word
P9.42_GS4_MODEL_ID | R | Word
P9.43_IGNORE_CMCD_WARN | R/W | Word
P9.44_C_CARD_TYPE | R | Word
P9.45_VERSION_C_CARD | R | Word
P9.46_P_CODE_C_CARD | R | Word
P9.47_ERR_CODE_C_CARD | R | Word
P9.48_DHCP_C_CARD | R/W | Word
P9.49_IP_ADDR1_C_CARD | R/W | Word
P9.50_IP_ADDR2_C_CARD | R/W | Word
P9.51_IP_ADDR3_C_CARD | R/W | Word
P9.52_IP_ADDR4_C_CARD | R/W | Word
P9.53_MASKADDR1_C_CARD | R/W | Word
P9.54_MASKADDR2_C_CARD | R/W | Word
P9.55_MASKADDR3_C_CARD | R/W | Word
P9.56_MASKADDR4_C_CARD | R/W | Word
P9.57_GWAYADDR1_C_CARD | R/W | Word
P9.58_GWAYADDR2_C_CARD | R/W | Word
P9.59_GWAYADDR3_C_CARD | R/W | Word
P9.60_GWAYADDR4_C_CARD | R/W | Word
P9.63_RESET_C_CARD | R/W | Word
P9.64_EXT_SET_C_CARD | R/W | Word
P9.65_RESERVED_OF_C_CD | R/W | Word
P9.66_RESERVED_OF_C_CD | R/W | Word
P9.67_RESERVED_OF_C_CD | R/W | Word
P9.68_RESERVED_OF_C_CD | R/W | Word
P9.69_BLOCKXFER_1_ADDR | R/W | Word
P9.70_BLOCKXFER_2_ADDR | R/W | Word
P9.71_BLOCKXFER_3_ADDR | R/W | Word
P9.72_BLOCKXFER_4_ADDR | R/W | Word
P9.73_BLOCKXFER_5_ADDR | R/W | Word
P9.74_BLOCKXFER_6_ADDR | R/W | Word
P9.75_BLOCKXFER_7_ADDR | R/W | Word
P9.76_BLOCKXFER_8_ADDR | R/W | Word
P9.77_BLOCKXFER_9_ADDR | R/W | Word
P9.78_BLOCKXFER10_ADDR | R/W | Word
P9.79_BLOCKXFER11_ADDR | R/W | Word
P9.80_BLOCKXFER12_ADDR | R/W | Word
P9.81_BLOCKXFER13_ADDR | R/W | Word
P9.82_BLOCKXFER14_ADDR | R/W | Word
P9.83_BLOCKXFER15_ADDR | R/W | Word
P9.84_BLOCKXFER16_ADDR | R/W | Word
P9.85_PLC_CMD_FREQ | R/W | Word
P9.86_COM1_PROTOCOL | R | Word
P9.87_BACNET_ADDRESS | R/W | Word
P9.88_BACNET_BAUDRATE | R/W | Word
P9.89_BACNET_DEVICEIDL | R/W | Word
P9.90_BACNET_DEVICEIDH | R/W | Word
P9.91_BACNET_POLL_MAX | R/W | Word
P9.92_BACNET_PWD | R/W | Word
P9.93_TIMEO_SEL_C_CARD | R/W | Word
P9.94_TIMEO_DET_C_CARD | R/W | Word
P9.95_TIMEO_DUR_C_CARD | R/W | Word
Pump Parameters
Memory Type | Read/Write Type | Data Type
P10.00_CIRC_CONTROL | R/W | Word
P10.01_MOTOR_QTY | R/W | Word
P10.02_CIRC_TIME | R/W | Word
P10.03_INCR_DELAY_TIME | R/W | Word
P10.04_DECR_DELAY_TIME | R/W | Word
P10.05_AUX_DELAY_TIME | R/W | Word
P10.06_AUX_START_FREQ | R/W | Word
P10.07_CIRC_ERR_FLT | R/W | Word
P10.08_AUX_STOP_FREQ | R/W | Word
Fault Record Parameters
Memory Type | Read/Write Type | Data Type
P11.00_FAULTOPTION1 | R | Word
P11.01_FAULTOPTION2 | R | Word
P11.02_FAULTOPTION3 | R | Word
P11.03_FAULTOPTION4 | R | Word
P11.04_1ST_FAULT_RECORD | R | Word
P11.05_2ND_FAULT_RECORD | R | Word
P11.06_3RD_FAULT_RECORD | R | Word
P11.07_4TH_FAULT_RECORD | R | Word
P11.08_5TH_FAULT_RECORD | R | Word
P11.09_6TH_FAULT_RECORD | R | Word
P11.10_1ST_FAULT_DAY | R | Word
P11.11_1ST_FAULT_MINUTE | R | Word
P11.12_2ND_FAULT_DAY | R | Word
P11.13_2ND_FAULT_MINUTE | R | Word
P11.14_3RD_FAULT_DAY | R | Word
P11.15_3RD_FAULT_MINUTE | R | Word
P11.16_4TH_FAULT_DAY | R | Word
P11.17_4TH_FAULT_MINUTE | R | Word
P11.18_CMD_FREQ_AT_FLT | R | Word
P11.19_OUT_HZ_AT_FAULT | R | Word
P11.20_OUT_V_AT_FAULT | R | Word
P11.21_DCBUS_AT_FAULT | R | Word
P11.22_OUT_AMPS_AT_FLT | R | Word
P11.23_IGBT_TEMP_AT_FLT | R | Word
P11.24_HTSNK_TEMP_ATFLT | R | Word
P11.25_MTR_RPM_AT_FAULT | R | Word
P11.26_DI_STATUS_AT_FLT | R | Word
P11.27_DO_STATUS_AT_FLT | R | Word
P11.28_DRV_STATUS_ATFLT | R | Word
Command Parameters
Memory Type | Read/Write Type | Data Type
2000_CONTROL_1 | R/W | Word
2001_CONTROL_2 | R/W | Word
2002_CONTROL_3 | R/W | Word
Status Monitor Parameters
Memory Type | Read/Write Type | Data Type
2100_STATUS_MONITOR1 | R | Word
2101_STATUS_MONITOR2 | R | Word
2102_FREQ_COMMAND | R | Word
2103_OUTPUT_FREQ | R | Word
2104_OUTPUT_CURRENT | R | Word
2105_DC_BUS_VOLT | R | Word
2106_OUTPUT_VOLT | R | Word
2107_STEP_NUM | R | Word
2108_ACTIVE_WARNING | R | Word
2109_DI6_COUNTER | R | Word
210A_PWR_FACTOR_ANGLE | R | Word
210B_PERCENT_LOAD | R | Word
210C_MOTOR_RPM | R | Word
2118_ERROR_WARNING | R | Word


Style sheet samples -

11 pt size

Heading 1 - 10 pt, Arial

Heading 2 - 9 pt Arial

Heading 3 - 9 pt Arial, underline

basic paragraph - 9 pt Arial

Not much difference between 9 and 10. But more difference between 9 and 11.

9 point

10 point

11 point

12 point

Topic: CM023

Activate Screen Saver Object

Activate Screen Saver Object Description

The Activate Screen Saver Object is used to allow the user to initiate the Screen Saver feature by simply pressing this object's button. This button can be modified to various sizes and colors.

  • The Screen Saver will be turned off and the panel screen will display:
  • When the panel touchscreen is touched.
  • When the screen is clicked by Remote.
  • When the Alarm Event of the Event Manager occurs. (Only when the Display setting of the Alarm Event is checked).
  • When there is a screen change by the PLC.
  • When an Error such as a Communication Error occurs.

Adding an Activate Screen Saver Object to Your Project

To add an Activate Screen Saver Object to your project, do the following:

  1. Do one of the following:
  • From the Object menu, select System and then Activate Screen Saver,
    or
  • From the Object List, double-click on the Activate Screen Saver selection or click and drag the Activate Screen Saver selection to the work area.

Activate Screen Saver Object

Field

Description

Lock

To activate the fields for the object Label, click the Label checkbox.

Name

Located on the top-left of the window, the default name for this object is Activate Screen Saver. To change the name, click in the field and type in a new name.

Preview

Any time a setting is changed, a preview of what this object will look like is displayed.


Sheet1

System Tag | Description | Data Type | R/W | "Write ON" Only | Value Range | Retentive | Note
SYS Bit ON | On as long as the panel is On | Discrete | R | No |  | No |
Clock |  |  |  |  |  |  |
SYS Clock200ms | On for 100ms. Off for 100ms. | Discrete | R | No |  | No |
SYS Clock500ms | On for 250ms. Off for 250ms. | Discrete | R | No |  | No |
SYS ClockSec | On for 0.5second. Off for 0.5second. | Discrete | R | No |  | No |
SYS ClockMin | On for 30seconds. Off for 30seconds. | Discrete | R | No |  | No |
SYS DATE YYYY | Contains the Year | US16 | R | No | 1752~ | No |
SYS DATE YY | Contains the Year of last 2 digits | US16 | R | No | 0~99 | No |
SYS DATE MM | Contains the Month | US16 | R | No | 1~12 | No |
SYS DATE DD | Contains the Day | US16 | R | No | 1~31 | No |
SYS DAY Week | Contains the Day of the week. | Ascii Strings | R | No | SUN, MON, TUE, WED, THU, FRI, SAT | No |
SYS TIME HH | Contains the clock hours | US16 | R | No | 0~23 | No |
SYS TIME MM | Contains the the clock minutes | US16 | R | No | 0~59 | No |
SYS TIME SS | Contains the clock seconds | US16 | R | No | 0~59 | No |
Built in Counter |  |  |  |  |  |  |
SYS CountValue | The value from SYS CountMin to SYS CountMax, incremented by one each SYS CountInterval | S32 | R | No |  | No |
SYS CountMax | Sets the maximum value for SYS CountValue | S32 | R/W | No |  | No |
SYS CountMin | Sets the minimum value for SYS CountValue | S32 | R/W | No |  | No |
SYS CountInterval | The interval value at which SYS CountValue will increment (Min50ms) Unit:ms 1=1ms, 500=500ms, and 1000=1sec | US32 | R/W | No |  | No |
SYS CountRepeat | When ON, when SYS CountValue reaches SYS CountMax, SYS CountValue is reset to SYS CountMin | Discrete | R/W | No |  | No |
Keypads |  |  |  |  |  |  |
SYS Keypad Current | Contains the active Keypad current Ascii String | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
SYS Keypad Max | Contains Maximum Value for the active Keypad | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
SYS Keypad Min | Contains Minimum Value for the active Keypad | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
SYS Keypad Value | Contains value being entered for the active Keypad | Ascii Strings |  | No |  | No | Used for User Defined Keypads. Refer to Define Keypad Topic.
Password |  |  |  |  |  |  |
SYS SystemScreenPW | Set password to protect System Screen from operators. 0 = No Password 3505 = Master key code | BCD int16 | R/W | No |  | No | Refer to System Screen Password Setup topic.
Memory |  |  |  |  |  |  |
SYS Builtin DRAM TotalMemory | Total DRAM Memory Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin DRAM UsedMemory | Used DRAM Memory Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin DRAM FreeMemory | Amount of DRAM Memory that is free Unit:Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin MRAM TotalMemory | Total MRAM Memory Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin MRAM UsedMemory | Used MRAM Memory Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin MRAM FreeMemory | Amount of MRAM Memory that is free Unit:Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin FLASH TotalMemory | Total FLASH Memory Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin FLASH UsedMemory | Used FLASH Memory Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS Builtin FLASH FreeMemory | Amount of FLASH Memory that is free Unit:Kbyte | US32 | R | No | 0~4294967295 | No |
SYS SD1 TotalMemory | Total Memory on an inserted SD card in the SD1 slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS SD1 UsedMemory | Used Memory on an inserted SD card in the SD1 slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS SD1 FreeMemory | Free Memory on an inserted SD card in the SD1 slot Unit: Kbyte | US32 | R | No | 0~4294967295 |  | Use with Event Manager to create an Alarm or notification that the device is nearing full.
SYS SD2 TotalMemory | Total Memory on an inserted SD card in the SD2 slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS SD2 UsedMemory | Used Memory on an inserted SD card in the SD2 slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS SD2 FreeMemory | Free Memory on an inserted SD card in the SD2 slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No | Use with Event Manager to create an Alarm or notification that the device is nearing full.
SYS USB TotalMemory | Total Memory on an inserted USB memory device in the USB slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS USB UsedMemory | Used Memory on an inserted USB memory device in the USB slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No |
SYS USB FreeMemory | Free Memory on an inserted USB memory device in the USB slot Unit: Kbyte | US32 | R | No | 0~4294967295 | No | Use with Event Manager to create an Alarm or notification that the device is nearing full.
Removable Devices |  |  |  |  |  |  |
SYS SD1 ReadyToUse | ON when the SD Card in the SD1 slot is "Ready to Use" | Discrete | R | No |  | No | Use with an indicator light object to indicate the SD1 Card is "Ready To Use" after inserting.
SYS SD2 ReadyToUse | ON when the SD Card in the SD2 slot is "Ready to Use" | Discrete | R | No |  | No | Use with an indicator light object to indicate the SD2 Card is "Ready To Use" after inserting.
SYS USB ReadyToUse | ON when the USB memory device in the USB slot is "Ready to Use" | Discrete | R | No |  | No | Use with an indicator light object to indicate the USB Card is "Ready To Use" after inserting.
SYS SD1 WriteStatus | ON is writing data to the SD Card in the SD1 Slot. OFF is not currently to the SD Card in the SD1 Slot. Write data is Alarm Log, Message Log, Screen Captures and Trend Data Logs | Discrete | R | No |  | No | Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While It Is Being Accessed".
SYS SD2 WriteStatus | ON is writing data to the SD Card in the SD2 Slot. OFF is not currently to the SD Card in the SD2 Slot. Write data is Alarm Log, Message Log, Screen Captures and Trend Data Logs | Discrete | R | No |  | No | Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While It Is Being Accessed".
SYS USB WriteStatus | ON is writing data to the USB Memory Device in the USB Port. OFF is not currently to the USB Memory Device in the USB Port. Write data is Alarm Log, Message Log, Screen Captures and Trend Data Logs | Discrete | R | No |  | No | Use this tag to indicate to user when the device is being accessed. For example, an indicator light to indicate "Do Not Remove Device While It Is Being Accessed".
SYS SD1 Eject | Turn bit ON to safely remove SD Card in the SD1 slot. The bit will turn OFF when the SD Card is ready to be removed. | Discrete | R/W | Yes |  | No | Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.
SYS SD2 Eject | Turn bit ON to safely remove SD Card in the SD2 slot. The bit will turn OFF when the SD Card is ready to be removed. | Discrete | R/W | Yes |  | No | Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.
SYS USB Eject | Turn bit ON to safely remove the USB memory device in the USB port. The bit will turn OFF when the USB device is ready to be removed. | Discrete | R/W | Yes |  | No | Use with a Pushbutton to complete writing to device. The device must be removed and reinserted to reactivate the writing device. Should be used before removing a device.
SYS Copy LogToSD1 | Turn bit ON to Save all Logfiles from all devices (SD1, SD2 and USB) to the SD Card in the SD1 Slot | Discrete | R/W | No |  | No | Use with Pushbutton to copy logs from a device you do not want to remove to a device that is easily removed.
SYS Copy LogToSD2 | Turn bit ON to Save all Logfiles from all devices (SD1, SD2 and USB) to the SD Card in the SD1 Slot | Discrete | R/W | No |  | No | Use with Pushbutton to copy logs from a device you do not want to remove to a device that is easily removed.
SYS Copy LogToUSB | Turn bit ON to Save all Logfiles from all devices (SD1, SD2 and USB) to the USB device in the USB slot. | Discrete | R/W | No |  | No | Use with Pushbutton to copy logs from a device you do not want to remove to a device that is easily removed.
Screens |  |  |  |  |  |  |
SYS Current Screen Number |  | US16 | R | No |  |  |
SYS Current Screen Name |  | ASCII | R | No |  |  |
Errors |  |  |  |  |  |  |
SYS ERR ErrorStatus | ON indicates an Error has occurred. OFF is No Error. | Discrete | R | No |  | No | Use along with SYS ERR ErrorCode to monitor panel errors on other devices
SYS ERR ErrorCode | Always contains the last error to occur. It Is only overwritten when another error occurs or cleared when power is cycled on the panel. Most significant digit is error type: 1 = Communication Error 2 = Run Time Error The three last significant digits are the error number. Refer to the topics for Communication Errors or Run Time Errors for more information on the specific error. | BCD16 | R | No |  | No |
SYS ERR ErrorMessage | The text associated with SYS ERR ErrorCode system tag. | ASCII | R | No |  | No |
SYS ERR LogError | ON indicates that the log buffer has a memory overflow. OFF is no Error. | Discrete | R | No |  | No | This could indicate that the meory device for the log files is either not present or is full. Use the SYS %device% ReadytoUse tag to insure the device is ready and working properly.
SYS ERR ScreenCapture Error | ON indicates that the triggered screen capture did not occur due to an error. OFF is no Error. | Discrete | R | No |  | No | This could indicate that the memory device for storing the screen captures is either not present or is full. Use the SYS %device% ReadytoUse tag to insure the device is ready and working properly.
SYS ERR Email Error | ON indicates an error occurred sending an email. When SYS ERR Email Error is ON, the Error will blink with the Email Address in the alarm banner at the top of the screen AND the Email Address will appear in the SYS ERR ErrorMessage tag OFF is No Error | Discrete | R | No |  | No | An error will indicate that the email address is not valid or an email server could not be reached usually due to incorrect configuration.
SYS ERR Send FTP Error | ON indicates an error occurred transferring a file by FTP. When SYS ERR FTP Error is ON, the Error will blink with the FTP Address in the alarm banner at the top of the screen AND The FTP Address will appear in the SYS ERR ErrorMessage tag OFF is No Error | Discrete | R | No |  | No | An error will indicate that the FTP target is not valid or an FTPl server could not be reached usually due to incorrect configuration.
Activity |  |  |  |  |  |  |
SYS Screen Saver Status | ON indicates the screen saver is active, the backlight is off. | Discrete | R | No |  | No |
SYS User Inactive Hour Count | The number of hours since the screen was touched | US16 | R | No | 0~65535 | No |
SYS User Inactive Minute Count | The number of minutes since the screen was touched | US16 | R | No | 0~65535 | No |
SYS User Inactive Second Count | The number of seconds since the screen was touched | US16 | R | No | 0~65535 | No |
SYS User Inactive Count Reset | Turn ON to reset the User Inactive Systen tags | Discrete | R/W | No |  | No |